var errorCodes = {
	"-1" : "An error has occured, please try later.",
	"2" : "Invalid Customer Id",
	"300" : "You are using an older version of the application. Please download the latest application from the store",
	"400" : "Device is not active for Customer No. Please register to activate this device",
	"401" : "Device is not active for Customer No. Please register to activate this device",
	"1001" : "Invalid Login Credentials. Your account will be locked after 3 invalid attempts.",
	"1002" : "Invalid Debit Card Details. Please re-enter.",
	"1003" : "Invalid Net Banking credentials.",
	"1004" : "Mobile Banking Registration Failed",
	"1005" : "Invalid Customer ID or Customer does not have access to Mobile Banking.",
	"1006" : "Invalid Account No or Customer does not have access to Mobile Banking.",
	"1007" : "Your Session has expired. Please relogin.",
	"1008" : "Your Session has expired. Please relogin.",
	"1009" : "No accounts available for Customer ID",
	"1010" : "Invalid Account No.",
	"1011" : "Invalid Login PIN",
	"1012" : "Login PIN and Transaction PIN cannot be same.",
	"1013" : "No Transactions found for account selected.",
	"1014" : "Details entered for Fund Transfer are invalid. Please enter correct details.",
	"1015" : "Fund Transfer unsuccessful",
	"1016" : "Invalid Transaction PIN",
	"1017" : "Customer already registered for mobile banking. Please login or try forgot password.",
	"1018" : "Customer ID does not exists.",
	"1019" : "Customer ID and/or Account No are invalid.",
	"1020" : "Cannot transfer to same account.",
	"1021" : "Parameters entered for detailed statement are incorrect.",
	"1022" : "Cheque Book Request already exists.",
	"1023" : "Incorrect Login PIN entered. Please re-enter Current Login PIN.",
	"1024" : "Login and transaction PIN cannot be the same. Please try a different PIN.",
	"1025" : "Incorrect Transaction PIN entered. Please re-enter Current Transaction PIN.",
	"1026" : "Closure of deposit unsuccessful. Please try later or contact customer care.",
	"1027" : "No Cards present for customer. Contact customer care to apply for a card.",
	"1028" : "Invalid Card No.",
	"1029" : "Card Hot Listing Failed. Please try again.",
	"1030" : "Invalid Cheque No or cheque range.",
	"1031" : "No Beneficiaries found. Click Add Beneficiary to add a beneficiary.",
	"1032" : "No NEFT/RTGS Beneficiarys. Click Add Beneficiary to add a beneficiary.",
	"1033" : "Adding beneficiary failed. Please try again.",
	"1034" : "No Banks Exist.",
	"1035" : "Deletion of beneficiary failed.",
	"1036" : "No deposit account is found.",
	"1037" : "Error occured. Could not get details for deposit closure.",
	"1039" : "Entered beneficiary account is invalid.",
	"1040" : "Deposit Could not be created. Please try later.",
	"1042" : "No MMID linked to the account selected",
	"1043" : "IMPS fund transfer unsuccessful.",
	"1044" : "Account is locked. Please re-register.",
	"1045" : "Incorrect Login PIN entered. Please re-enter Current Login PIN.",
	"1046" : "Modifying beneficiary failed. Please try again.",
	"1047" : "Invalid login pin 1 out of 3. Please enter valid pin to process.",
	"1048" : "Invalid login pin 2 out of 3. Please enter valid pin to process.",
	"1049" : "Invalid login pin 3 out of 3. User locked.",
	"1100" : "Dear Customer, your account is locked kindly re-register by visiting 'Register now'.",
	//BharatQR
	"106"  : "No Record Found.",
	"129"  : "No Record Found.",
	"1056" : "Dispute already logged for this transaction.",
	"1057" : "Invalid card or PIN.",
	"1058" : "Entered pin is invalid, Generate your debit card pin under Services option.",
	"1059" : "Something went wrong. please try after some time.",
	"1060" : "Your session has expired. Please login again"
	//End Of BharatQR

};

var allStates = [
	{"type":"AN","mode":"Andaman and Nicobar"},
	{"type":"AP","mode":"Andhra Pradesh"},
	{"type":"AR","mode":"Arunachal Pradesh"},
	{"type":"AS","mode":"Assam"},
	{"type":"BR","mode":"Bihar"},
	{"type":"CH","mode":"Chandigarh"},
	{"type":"CT","mode":"Chhattisgarh"},
	{"type":"DD","mode":"Daman and Diu"},
	{"type":"DL","mode":"Delhi"},
	{"type":"DN","mode":"Dadra and Nagar Haveli"},
	{"type":"GA","mode":"Goa"},
	{"type":"GJ","mode":"Gujarat"},
	{"type":"HP","mode":"Himachal Pradesh"},
	{"type":"HR","mode":"Haryana"},
	{"type":"JH","mode":"Jharkhand"},
	{"type":"JK","mode":"Jammu and Kashmir"},
	{"type":"KA","mode":"Karnataka"},
	{"type":"KL","mode":"Kerala"},
	{"type":"LD","mode":"Lakshadweep"},
	{"type":"MH","mode":"Maharashtra"},
	{"type":"ML","mode":"Meghalaya"},
	{"type":"MN","mode":"Manipur"},
	{"type":"MP","mode":"Madhya Pradesh"},
	{"type":"MZ","mode":"Mizoram"},
	{"type":"NL","mode":"Nagaland"},
	{"type":"OR","mode":"Odisha"},
	{"type":"PB","mode":"Punjab"},
	{"type":"PY","mode":"Puducherry"},
	{"type":"RJ","mode":"Rajasthan"},
	{"type":"SK","mode":"Sikkim"},
	{"type":"TG","mode":"Telangana"},
	{"type":"TN","mode":"Tamil Nadu"},
	{"type":"TR","mode":"Tripura"},
	{"type":"UA","mode":"Uttarakhand"},
	{"type":"UP","mode":"Uttar Pradesh"},
	{"type":"WB","mode":"West Bengal"}
];

var allmonths = [
	{"type":"01","mode":"JAN"},
	{"type":"02","mode":"FEB"},
	{"type":"03","mode":"MAR"},
	{"type":"04","mode":"APR"},
	{"type":"05","mode":"MAY"},
	{"type":"06","mode":"JUN"},
	{"type":"07","mode":"JUL"},
	{"type":"08","mode":"AUG"},
	{"type":"09","mode":"SEP"},
	{"type":"10","mode":"OCT"},
	{"type":"11","mode":"NOV"},
	{"type":"12","mode":"DEC"}
];

var depositOptions = [
	{"type":"1","mode":"All funding account holders"},
	{"type":"2","mode":"For Self Only"}
];

var yesNoJson = [
	{"type":"0","mode":"No"},
	{"type":"1","mode":"Yes"}
];

var maturityInstructions = [
	{"type":"2","mode":"Transfer to Another Account"}
];

var reInvstMatInst = [
	{"type":"2","mode":"Transfer to Another Account"},
	{"type":"3","mode":"Automatically Renew"}
];

var rdMonths = [
	{"type":"0","mode":"0"},
	{"type":"3","mode":"3"},
	{"type":"6","mode":"6"},
	{"type":"9","mode":"9"}
];

var ErrorMessages=[
	{"Message":"Please enter ","type":"ng-invalid-required"},
	// {"Message":"Minimum length of the","type":"ng-invalid-minlength"},
	{"Message":"Enter valid","type":"ng-invalid-minlength"},
	{"Message":"Enter valid","type":"ng-invalid-maxlength"},
	{"Message":" should be same","type":"ng-invalid-compare-to"},
	{"Message":"Enter valid ","type":"ng-invalid-greater-then"},
	{"Message":"","type":"ng-invalid-date-lower-than"},
	{"Message":"","type":"ng-invalid-date-greater-than"},
	{"Message":"Please enter valid Email ID","type":"ng-invalid-email"},
	{"Message":"","type":"ng-invalid-amountmm"},
	{"Message":"","type":"ng-invalid-not-equal"},
	{"Message":"","type":"ng-invalid-password-strength"},
	{"Message":"","type":"ng-invalid-pattern"},
	{"Message":"","":"selectradio"},
	
]


//{"type":"5","mode":"No Action, No Renewal"}

