//English
var translations_en = {
 common:{
 	info:'Info',
 	exitApp:'Thank you for using ESAF Mobile Banking. Do you want to exit the application?',
 	mobileValidation :'Mobile Validation',
 	registerMobile :'Your mobile number does not match with the one registered with the bank. Please try again from a device having the registered mobile number.',
 	mobileValidationError :'We are unable to validate your mobile number. Please check if your device is able to send outgoing SMS or try again later.',
 	errorMessage:'An error occurred while processing your request. Please try again later.',
 	error :'Error',
 	internetDisconnectMessage:'Internet connection is not available on your device. Please enable mobile data or connect to a WiFi network and try again.',
 	internetDisconnect :'Internet Disconnected',
 	update:'Update',
 	updateMessage:'This will update the application to latest version. Continue?',
 	selectMaturityAmount:'Please select account to credit maturity amount',
 	enterAccountNo:'Please enter valid 12 digit Account Number',
 	enterCustomerNo:'Please enter valid 12 digit Customer Id',
 	fromAccToAccMesg:'From Account and To Account cannot be same',
 	pin:'PIN',
 	pinMandatory:'6 digit PIN is mandatory',
 	currentPinNewPinMesg:'Current PIN and New Login PIN must be 6 digits',
 	currentPinNewPinNotMatch:'New Login PIN and Confirm Login PIN do not match',
 	currentPinNewPinSame:'New Login PIN and Current Login PIN cannot be the same',
 	currentPinTransPinMesg:'Current PIN and New Transaction PIN must be 6 digits',
 	currentPinTransPinNotMatch:'New Transaction PIN and Confirm Transaction PIN do not match',
 	currentPinTransPinSame:'New Transaction PIN and Current Transaction PIN cannot be the same',
 	loginPinConfirmPinMesg:'Login PIN and Confirm Login PIN must be 6 digits',
 	loginPinConfirmPinNotMatch:'Login PIN and Confirm Login PIN do not match',
 	TransPinConfirmTransPinMesg:'Transaction PIN and Confirm Transaction PIN must be 6 digits',
 	TransPinConfirmTransPinNotMatch:'Transaction PIN and Confirm Transaction PIN do not match',
 	loginPinTransPinNotSame:'Login PIN and Transaction PIN cannot be the same',
 	selectLoginOrTransPin:'Please select either Login PIN or Transaction PIN to reset.',
 	TransPinMandatory:'6 digit Transaction PIN is mandatory',
 	SyncMesg:'Syncing data. Please wait...',
 	SyncData:'Sync Data',
 	NoDataSync:'No data available for Syncing.',
 	SyncSuccess:'Sync Success',
 	SyncSuccessMesg:'All Data synced successfully.',
 	Logout:'Logout',
 	logoutConfirm:'Are you sure you want to logout?',
 	AreYouSure:'Are you sure you. Continue?',
 	NoData:'No data available',
 	Jan:'Jan',
 	Feb:'Feb',
 	Mar:'Mar',
 	Apr:'Apr',
 	May:'May',
 	Jun:'Jun',
 	Jul:'Jul',
 	Aug:'Aug',
 	Sep:'Sep',
 	Oct:'Oct',
 	Nov:'Nov',
 	Dec:'Dec',
 	Issued:'Issued',
 	Paid:'Paid',
 	Void:'Void',
 	Stopped:'Stopped',
 	InvalidChequeNo:'Invalid Cheque No',
 	smsVerify:'An SMS will be sent from your phone to verify your mobile number. Please click Send to proceed.',
 	existingCustomer:'Existing Customer',
 	generatedMesg:'You have already generated a PIN before. Do you want to continue using the same or setup a new one?',
 	TransAmountExceeds:'Transaction amount exceeds beneficiary maximum limit',
 	CutOffExceeded:'CutOff Exceeded',
 	HolidayMesg:'The transaction cannot be processed as it has been initiated on a holiday or after the cutoff time for the day. Do you still want to continue? If you select Yes, it will get processed on the next working day',
 	ConnectionFailure:'Connection Failure',
 	failureMesg:'Connection to bank not available. Please try again later.',
 	btnLogin: 'Login',
 	btnNext: 'Next',
 	btnSubmit: 'Submit',
 	btnCancel: 'Cancel',
 	btnBack: 'Back',
 	btnDownload:'Download',
	createMstatement :'mStatement created successfully.',
	Loading:'Loading...',
	savedSettings:'Settings saved successfully.',
	accountExit:'Selected accountNo is already activated for mPassbook',
	InvalidMPB:'Invalid mPassbook credentials',
	mPBSync:'mPassbook sync successfully',
	mPBAccountActivate:'Account activated for mPassbook successfully. Please check in Accounts',
	ValidatingMobileNo:'Validating Mobile No',
	ftlimit:"Maximum fund transfer limit is ₹ 5,00,000",
	OTPLbl:'Enter OTP',
	OTP:'OTP',
	Unsuccessful:'Unsuccessful'
 },
 errorCodes : {
	"-1" : "An error occurred while processing your request. Please try again later.",
	"300" : "You are using an older version of the application. Please download the latest application from the store",
	"400" : "Device is not active for Customer No. Please register to activate this device",
	"401" : "Device is not active for Customer No. Please register to activate this device",
	"1001" : "Invalid Login Credentials. Your account will be locked after 3 invalid attempts.",
	"1002" : "Invalid Debit Card Details. Please re-enter.",
	"1003" : "Invalid NetBanking Credentials. Please re-enter.",
	"1004" : "Login and transaction PIN must be 6 digits.",
	"1005" : "Invalid Customer ID or Customer does not have access to Mobile Banking.",
	"1006" : "Invalid Account No or Customer does not have access to Mobile Banking.",
	"1007" : "Your Session has expired. Please relogin.",
	"1008" : "Your Session has expired. Please relogin.",
	"1009" : "No accounts available for Customer ID",
	"1010" : "Invalid Account No.",
	"1011" : "Invalid Login PIN",
	"1012" : "Login PIN and Transaction PIN cannot be same.",
	"1013" : "No Transactions found for account selected.",
	"1014" : "Details entered for Fund Transfer are invalid. Please enter correct details.",
	"1015" : "Fund Transfer unsuccessful",
	"1016" : "Invalid Transaction PIN",
	"1017" : "Customer already registered for mobile banking. Please login or try forgot password.",
	"1018" : "Customer ID does not exists.",
	"1019" : "Customer ID and/or Account No are invalid.",
	"1020" : "Cannot transfer to same account.",
	"1021" : "Parameters entered for detailed statement are incorrect.",
	"1022" : "Cheque Book Request already exists.",
	"1023" : "Incorrect Login PIN entered. Please re-enter Current Login PIN.",
	"1024" : "Login and transaction PIN cannot be the same. Please try a different PIN.",
	"1025" : "Incorrect Transaction PIN entered. Please re-enter Current Transaction PIN.",
	"1026" : "Closure of deposit unsuccessful. Please try later or contact customer care.",
	"1027" : "No Cards present for customer. Contact customer care to apply for a card.",
	"1028" : "Invalid Card No.",
	"1029" : "Card Hot Listing Failed. Please try again.",
	"1030" : "Invalid Cheque No or cheque range.",
	"1031" : "No beneficiaries found for within bank transfers. Use the Add Beneficiary within bank option to add a beneficiary.",
	"1032" : "No beneficiaries found for other bank transfers. Use the Add Beneficiary different bank option to add a beneficiary.",
	"1033" : "Adding beneficiary failed. Please try again.",
	"1034" : "No Banks Exist.",
	"1035" : "Deletion of beneficiary failed.",
	"1036" : "No deposit account is found.",
	"1037" : "Error occured. Could not get details for deposit closure.",
	"1039" : "Entered beneficiary account is invalid.",
	"1040" : "Deposit Could not be created. Please try later.",
	"1042" : "No MMID linked to the account selected",
	"1043" : "IMPS fund transfer unsuccessful.",
	"1044" : "Account is locked. Please re-register.",
	"1045" : "Incorrect Login PIN entered. Please re-enter Current Login PIN.",
	"1046" : "Modifying beneficiary failed. Please try again.",
	"1047" : "Your mobile number does not match with the one registered with the bank. Please register from device with mobile number as registered with Bank.",
	"1050" : "Beneficiary Account No entered is invalid",
	"1051" : "Customer ID entered is invalid or does not have access to Mobile Banking OR Account No entered is invalid or does not have access to Mobile Banking",
},
	//combo changes
	'All Funding Account Holders':'All funding account holders',
	'Transfer to Another Account':'Transfer to Another Account',
	'For Self Only':'For Self Only',
	No:'No',
	Yes:'Yes',
	'Automatically Renew':'Automatically Renew',
	AndamanandNicobar:'Andaman and Nicobar',
	'Chhattisgarh':'Chhattisgarh',
	'Andhra pradesh':'Andhra pradesh',
	ArunachalPradesh:'Arunachal Pradesh',
	Assam:'Assam',
	Bihar:'Bihar',
	Chandigarh:'Chandigarh',
	DamanandDiu:'Daman and Diu',
	Delhi:'Delhi',
	DadraandNagarHaveli:'Dadra and Nagar Haveli',
	'Goa':'Goa',
	Gujarat:'Gujarat',
	'Himachal Pradesh':'Himachal Pradesh',
	Haryana:'Haryana',
	Jharkhand:'Jharkhand',
	'Jammu &amp; Kashmir':'Jammu and Kashmir',
	Karnataka:'Karnataka',
	Kerala:'Kerala',
	Lakshadweep:'Lakshadweep',
	Maharashtra:'Maharashtra',
	Meghalaya:'Meghalaya',
	Manipur:'Manipur',
	'Madhya Pradesh':'Madhya Pradesh',
	Mizoram:'Mizoram',
	Nagaland:'Nagaland',
	Odisha:'Odisha',
	Punjab:'Punjab',
	Puducherry:'Puducherry',
	Rajasthan:'Rajasthan',
	Sikkim:'Sikkim',
	Telangana:'Telangana',
	'Tamil Nadu':'Tamil Nadu',
	Tripura:'Tripura',
	Uttarakhand:'Uttarakhand',
	'Uttar Pradesh':'Uttar Pradesh',
	'West Bengal':'West Bengal',
	Debit:'Debit',
	Credit:'Credit',
	LoansMenu:{
		LoanAmtStmt:'Loan Account Details',
		LoanDetailStmt:'Loan Detail Statement',
		Loanreqstcertificate:'Loan Interest Certificate',
		Title:'Loan'
	},
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'Welcome to Mobile Banking Registration',
		Line1:'You need to register your device and set your Mobile Banking authentication credentials before you begin to use this facility.',
		Line2:'Please ensure that the mobile number of this device (the primary SIM card in case of multi SIM devices) is the same as your registered mobile number with the bank.',
		Line3:'To establish your identity, you will need to provide the authentication credentials for either your Netbanking account or your Debit Card.',
		Line4:'After registration, you can access Mobile Banking only from this device. In case you wish to change your device in future, you will need to register again from the new device.',
		Line5:'I hereby apply for Mobile Banking facility from Saraswat Bank for my account/s. I shall not share the Login password and/or MPIN in any form on the mobile handset. The complete security of the above password is my responsibility and the Bank shall not be held responsible for any compromise of the same from my side. I am aware that I am required to subscribe to data services for availing the Mobile Banking Services.',
		iAgree:'I agree to the terms and conditions mentioned in the website',
	},
	registration:{
		Title1:'Enter Customer ID',
		Title2:'Customer Id',
		Title3:'Choose a Registration option ',
		Title4:'Netbanking',
		Title5:'Debit Card',
		Title6:'Existing Customer'
	},
	ValidateMobile : {
		ValidateMobileNo:'Validate Mobile No',
		validateMobTitle:'Mobile Number Validation'
	},
	registrationDebitCard:{
		Header:'Debit Card Details',
		DCLabel:'Debit Card Number',
		PINLabel:'PIN',
		ExpLabel:'Expiry Month',
		ExpYr:'Expiry Year',
		CVV:'CVV'
	},
	debitPinSetup:{
		Header:'Mobile Banking Registration',
		CurrentLoginPin :'Current Login Pin',
		CurrentTransactionPin :'Current Transaction Pin',
		NewLoginPin:'New Login PIN',
		NewLoginPinAlias:'New Login PIN (Min 6 digits)',
		ConfirmLoginPin:'Confirm Login PIN',
		ConfirmLoginPinAlias:'Confirm Login PIN (Min 6 digits)',
		NewTransactionPin:'New Transaction PIN',
		NewTransactionPinAlias:'New Transaction PIN (Min 6 digits)',
		ConfirmTransactionPin:'Confirm Transaction PIN',
		ConfirmTransactionPinAlias:'Confirm Transaction PIN (Min 6 digits)',
		PleaseNote : 'Please Note',
		NumericValue :' - Enter a 6 digit numeric value for your PIN.' ,
		SameConsecutiveDigits:'- It cannot have more than 2 consecutive digits the same (e.g. 122287 or 186333)',
		ConsecutiveDigitsSequence:'- It cannot have more than 2 consecutive digits in sequence (e.g. 123845 or 987253)',
		SameGroupDigits : '- It cannot contain the same group of 2 digits repeat more than 2 times (e.g. 121212 or 989898)',
	},
	RegistrationMethod:{
		Header:'Choose a Reset Option',
		reg_meth_opt1:'Netbanking',
		reg_meth_opt2:'Debit Card'
	},
	ExistingCustPinSetup:{
		Header:'PIN Setup',
		existCustOp1:'New Login PIN',
		existCustOp2:'Confirm Login PIN',
		existCustOp3:'New Transaction PIN',
		existCustOp4:'Confirm Transaction PIN'
	},
	ExistingCustRegCompletion:{
		existCustRegCompOp1:'Congratulations',
		existCustRegCompOp2:'You have successfully completed the Mobile Banking Registration process.',
		existCustRegCompOp3:'Please click on the Login link below to start using your Mobile Banking Facility.',

	},
	RegistrationCompletion :{
		Congratulations:'Congratulations',
		SuccessfullyComplete:'You have successfully completed the Mobile Banking Registration process.',
		LoginLink:'Please click on the Login link below to start using your Mobile Banking Facility.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'Net Banking Credentials',
		UserId : ' User ID',
		Password :'Password',	
	},
	NBOTP:{
		Title:'Enter OTP',
		OTP:'OTP'
	},
	NBPinSetup:{
		Header:'PIN Setup',
		NewLoginPin:'New Login PIN',
		NewLoginPinAlias:'New Login PIN (Min 6 digits)',
		ConfirmLoginPin:'Confirm Login PIN',
		ConfirmLoginPinAlias:'Confirm Login PIN (Min 6 digits)',
		NewTransactionPin:'New Transaction PIN',
		NewTransactionPinAlias:'New Transaction PIN (Min 6 digits)',
		ConfirmTransactionPin:'Confirm Transaction PIN',
		ConfirmTransactionPinAlias:'Confirm Transaction PIN (Min 6 digits)',
		PleaseNote : 'Please Note',
		NumericValue :' - Enter a 6 digit numeric value for your PIN.' ,
		SameConsecutiveDigits:'- It cannot have more than 2 consecutive digits the same (e.g. 122287 or 186333)',
		ConsecutiveDigitsSequence:'- It cannot have more than 2 consecutive digits in sequence (e.g. 123845 or 987253)',
		SameGroupDigits : '- It cannot contain the same group of 2 digits repeat more than 2 times (e.g. 121212 or 989898)',
	},
	NBRegistrationCompletion :{
		Congratulations:'Congratulations',
		SuccessfullyComplete:'You have successfully completed the Mobile Banking Registration process.',
		LoginLink:'Please click on the Login link below to start using your Mobile Banking Facility.',
	},
	ForgotPinScreen1 :{
		ResetOption :' Choose a Reset Option',
		Netbanking :'Netbanking',
		DebitCard:'Debit Card',
	},
	ForgotPINDebitCard:{
		Title:'Reset PIN - Debit Card',
		DebitCardNumber :'Debit Card Number',
		Pin:'PIN',
		ExpiryMonth:'Expiry Month',
		ExpiryYear : ' Expiry Year',
	},
	ForgotPINNetbanking:{
		Title : 'Reset PIN - Net banking',
		UserId :'User ID',
		Password : 'Password',	
	},
	DebitForgotPinSetup:{
		Title : 'Reset PIN',
		ChangeLoginPin :'Change Login PIN',
		NewLoginPin:'New Login PIN',
		NewLoginPinAlias:'New Login PIN (Min 6 digits)',
		ConfirmLoginPin:'Confirm Login PIN',
		ConfirmLoginPinAlias:'Confirm Login PIN (Min 6 digits)',
		ChangeTransactionPin :'Change Transaction PIN',
		NewTransactionPin:'New Transaction PIN',
		NewTransactionPinAlias:'New Transaction PIN (Min 6 digits)',
		ConfirmTransactionPin:'Confirm Transaction PIN',
		ConfirmTransactionPinAlias:'Confirm Transaction PIN (Min 6 digits)',
		PleaseNote : 'Please Note',
		NumericValue :' - Enter a 6 digit numeric value for your PIN.' ,
		SameConsecutiveDigits:'- It cannot have more than 2 consecutive digits the same (e.g. 122287 or 186333)',
		ConsecutiveDigitsSequence:'- It cannot have more than 2 consecutive digits in sequence (e.g. 123845 or 987253)',
		SameGroupDigits : '- It cannot contain the same group of 2 digits repeat more than 2 times (e.g. 121212 or 989898)',
	},
	NBForgotPinSetup:{
		Title : 'Reset PIN',
		ChangeLoginPin :'Change Login PIN',
		NewLoginPin:'New Login PIN',
		NewLoginPinAlias:'New Login PIN (Min 6 digits)',
		ConfirmLoginPin:'Confirm Login PIN',
		ConfirmLoginPinAlias:'Confirm Login PIN (Min 6 digits)',
		ChangeTransactionPin :'Change Transaction PIN',
		NewTransactionPin:'New Transaction PIN',
		NewTransactionPinAlias:'New Transaction PIN (Min 6 digits)',
		ConfirmTransactionPin:'Confirm Transaction PIN',
		ConfirmTransactionPinAlias:'Confirm Transaction PIN (Min 6 digits)',
		PleaseNote : 'Please Note',
		NumericValue :' - Enter a 4 digit numeric value for your PIN.' ,
		SameConsecutiveDigits:'- It cannot have more than 2 consecutive digits the same (e.g. 122287 or 186333)',
		ConsecutiveDigitsSequence:'- It cannot have more than 2 consecutive digits in sequence (e.g. 123845 or 987253)',
		SameGroupDigits : '- It cannot contain the same group of 2 digits repeat more than 2 times (e.g. 121212 or 989898)',
	},
	DBForgotPINCompletion:{
		Congratulations:'Congratulations',
		SuccessfullyComplete:'Your PIN has been reset successfully.',
		LoginLink:'Please click on the Login link below to start using your Mobile Banking Facility.',
	},
	NBForgotPINCompletion :{
		Congratulations:'Congratulations',
		SuccessfullyComplete:'Your PIN has been reset successfully.',
		LoginLink:'Please click on the Login link below to start using your Mobile Banking Facility.',
	},
	ReLogin:{
		Title : 'Welcome',
		LoginLabel : 'Login PIN (4 Digit numeric)',
		LoginLabelAlias:'Login PIN',
		ForgotPin : 'Forgot PIN',
		Register : 'Register',
		Version :'Version',
		LoginRegister:'Register Now/ Forgot Pin'
	},
	ExistingLogin:{
		lable:'ExistingLogin',
		lableAlias:'Login PIN'
	},
	ExistingUserOTP:{
		lable:'Enter OTP',
		lableAlies:'OTP'
	},
	Menu:{
		LastLoginTime: 'Last Logged In :',
		TermDeposite :'Deposits',
		TransactionAccounts :'Accounts',
		Transfers :'Transfer',
		Services : 'Services',
		Cards :'Cards',
		Profile :'Profile',
		ContactUs:'Contact Us',
		Loans:'Loans',
		ManagePayee:'Manage Payee'
	},
	TransferMenuLink:{
		FT2MN:'Fund Transfer - To Mobile Number',
		FT2ACCNO:'Fund Transfer - To A/c Number',
		ImpsMarPay:'IMPS Merchant Payment',
		FTNEFT:'Fund Transfer NEFT',
		GenMMID:'Generate MMID',
		RetMMID:'Retrieve MMID',
		CancMMID:'Cancel MMID',
		ImpsWithINAcFTr:'IMPS Within Account Fund Transfer'
	},
	FundTransToNEFT:{
		FTTNEE:'Fund Transfer To NEFT',
		Amount:'Amount',
		Particulars:'Particulars(Special characters not allowed)',
		Payee:'Select Payee',
		PaymentType:'Select Payment Type',
		PaymentOption:'Select Payment Option'
	},
	FundTransToNEFTSuccess:{
		Success:'Fund TransFer To NEFT Success'
	},
	ImpsWithinAccFundTrans:{
		Title:'Within Account Fund Transfers',
		FromAccount:'From Account',
		ToAccount:'To Account',
		AmountLbl:'Amount',
		AmountAlias:'Amount',
		ParticularsLbl:'Particulars(Special characters not allowed)',
		ParticularsAlias:'Particulars',
		TPin:'Transaction Pin',
		Success:'Account Fund Transfers Success'
	},
	
	AccountList :{
		AvailableBalance :'Available Balance:',
		CashCreditAccount :'Cash Credit Account',
		CurrentBalance:'Current Balance:',
		LoanAccount :'Loan Account',
		SavingAccount :'Saving Account',
		CurrentAccount : 'Current Account',
	},
	SavCurrAccDetailScreen:{
		ClearBalance :'Clear Balance',
		ImpsToMobile :' IMPS to Mobile Number',
		ActualBalance:'Actual Balance',
		MiniStatement:'Mini Statement',
		TransferToAccountNo:'Transfer to A/c Number',
		IMPSMerchantPayment:'IMPS Merchant Payment',
		FundTransferNEFT:'Fund Transfer NEFT'
	},
	CashCreditDetailScreen:{
		Product :'Product:',
		CreditLimit :'Credit Limit',
		AvailableBalance :'Available Balance',
		CurrentBalance:'Current Balance',
		UnclearFunds :' Uncleared Funds',
		AvailableCredit :'Available Credit',
		TotalAmountDue :'Total Amount Due',
		InterestRate :'Interest Rate',
		Last5Trans :'Last 5 Transactions',
		DetailStatement:'Detailed Statement',
	},
	LoanDetailScreen:{
		LoanAccountDetail:'Loan Account Detail',
		AccountNumber:'Account Number',
		Name:'Name',
		SanctionedAmount:'Sanctioned Amount',
		EMI:'EMI',
		ExpiryDate:'Expiry Date',
		OutstandingBalance:'Outstanding Balance'
	},
	DepositMenu:{
		ViewDeposits :'View Deposits',
		DepositeAccDetl :'Deposit Account Details',
		DetlDepostStmt:'Detail Deposit Statement',
		OpenNewDeposit :'Open New Deposit',
		Title:'Deposit',
		IntrestRate:'Interest Rate'
	},
	RegularIncomeDeposit:{
		Header:' New Regular Income Deposit',
		Scheme :'Scheme',
		FromAccount :'From Account',
		Amount :'Amount',
		PeriodofDeposit:'Period of Deposit : MAXTERM days',
		PeriodofDepositYears:'Period of Deposit Years',
		PeriodofDepositMonths:'Period of Deposit Months',
		PeriodofDepositDays:'Period of Deposit Days',
		InterestPaymentFrequency:'Interest Payment Frequency',
		AccounttoCreditInterest:'Account to Credit Interest',
		MaturityInstructions:'Maturity Instructions',
		'Automatically Renew':'Automatically Renew',
		InterestPaymentOption:'Interest Payment Option',
		AccountToCreditMaturityAmount:'Account To Credit Maturity Amount',
		TransactionRemarks:'Transaction Remarks',
		NomineeRequired:'Nominee Required',
	},
	PIDConfWONom:{
		Header:'Open Deposit - Confirmation',
		Scheme :'Scheme',
		FromAccount :'From Account',
		Amount :'Amount',
		PeriodofDeposit:'Period of Deposit ',
		PeriodofDepositYears:'Period of Deposit Years',
		PeriodofDepositMonths:'Period of Deposit Months',
		PeriodofDepositDays:'Period of Deposit Days',
		InterestPaymentOption:'Interest Payment Option',
		AccounttoCreditInterest:'Account to Credit Interest',
		MaturityInstructions:'Maturity Instructions',
		AccountToCreditMaturityAmount:'Account To Credit Maturity Amount',
		TransactionRemarks:'Transaction Remarks',
		NomineeRequired:'Nominee Required',
		Narration:'Narration',
		InterestRate:'Interest Rate',
		MaturityDate:' Maturity Date',
		MaturityValue:'Maturity Value',
		TransactionPin:'Transaction PIN',
	},
	PIDConfWONomSuceess:{
		Header:'Regular Income Deposit - Success',
		AccountNo :'Your Deposit A/c Number is ',
	},
	PIDNomineeDetails:{
		Header:'Nominee Details',
		NomineeAddressLine1:'Nominee Address Line 1',
		NomineeAddressLine2:'Nominee Address Line 2',
		NomineeAddressLine3 :'Nominee Address Line 3',
		NomineeAddressLine4 :'Nominee Address Line 4',
		NomineeAge :'Nominee Age (in years)',
	},
	PIDNomineeMinorDetails :{
		Header:'Nominee Details',
		RelationshipWithCustomer :'Relationship with Customer',
		DisplayNomineeName :'Display Nominee Name',
		IsNomineeMinor:'Is Nominee Minor',
		NomineeisMinor:'Nominee is Minor',
		GuardianNameforNominee:'Guardian Name for Nominee:',
		GuardianName:'Guardian Name',
	},
	PIDConfWithNom:{
		Header:'Open Deposit - Confirmation',
		Scheme :'Scheme',
		FromAccount :'From Account',
		Amount :'Amount',
		PeriodofDeposit:'Period of Deposit ',
		PeriodofDepositYears:'Period of Deposit Years',
		PeriodofDepositMonths:'Period of Deposit Months',
		PeriodofDepositDays:'Period of Deposit Days',
		InterestPaymentOption:'Interest Payment Option',
		AccounttoCreditInterest:'Account to Credit Interest',
		MaturityInstructions:'Maturity Instructions',
		AccountToCreditMaturityAmount:'Account To Credit Maturity Amount',
		TransactionRemarks:'Transaction Remarks',
		NomineeRequired:'Nominee Required',
		Narration:'Narration',
		InterestRate:'Interest Rate',
		MaturityDate:' Maturity Date',
		MaturityValue:'Maturity Value',
		TransactionPin:'Transaction PIN',
		NomineeAddressLine1:'Nominee Address1:',
		NomineeAddressLine2:'Nominee Address2:',
		NomineeAddressLine3 :'Nominee Address3:',
		NomineeAddressLine4 :'Nominee Address4:',
		NomineeAge :'Nominee Age:',
		RelationshipWithCustomer :'Relationship with Customer :',
		DisplayNomineeName :'Display Nominee Name :',
		IsNomineeMinor:'Is Nominee Minor :',
		NomineeisMinor:'Nominee is Minor',
		GuardianNameforNominee:'Guardian Name for Nominee:',
		GuardianName:'Guardian Name',
		NomineeName:'Nominee Name',
		NominationDetails:'Nomination Details(Click to View)',
		TransactionPin:'Transaction PIN',
		TransactionPinAlias:'Enter your Transaction PIN',
	},
	PIDConfWithNomSuccess:{
		Header:'Regular Income Deposit - Success',
		AccountNo :'Your Deposit A/c Number is ',
	},
	ReinvestmentDeposit:{
		Header:' New Reinvestment Deposit',
		Scheme :'Scheme',
		FromAccount :'From Account',
		Amount :'Amount',
		PeriodofDeposit:'Period of Deposit ',
		PeriodofDepositYears:'Period of Deposit Years',
		PeriodofDepositMonths:'Period of Deposit Months',
		PeriodofDepositDays:'Period of Deposit Days',
		InterestPaymentFrequency:'Interest Payment Frequency',
		InterestPaymentOption:'Interest Payment Option',
		AccounttoCreditInterest:'Account to Credit Interest',
		MaturityInstructions:'Maturity Instructions',
		AccountToCreditMaturityAmount:'Account To Credit Maturity Amount',
		TransactionRemarks:'Transaction Remarks',
		NomineeRequired:'Nominee Required',
		Narration:'Narration',
		InterestRate:'Interest Rate',
		MaturityDate:' Maturity Date',
		MaturityValue:'Maturity Value',
		TransactionPin:'Transaction PIN',
		AtMaturity:'At Maturity',
		RemainonDeposit:'Remain on Deposit',
		'Automatically Renew':'Automatically Renew',
		Narrative :'Narrative',
	},
	ReInvstConfWONom:{
		Header:'Open Deposit - Confirmation',
		Scheme :'Scheme',
		FromAccount :'From Account',
		Amount :'Amount',
		PeriodofDeposit:'Period of Deposit ',
		PeriodofDepositYears:'Period of Deposit Years',
		PeriodofDepositMonths:'Period of Deposit Months',
		PeriodofDepositDays:'Period of Deposit Days',
		InterestPaymentFrequency:'Interest Payment Frequency',
		InterestPaymentOption:'Interest Payment Option',
		AccounttoCreditInterest:'Account to Credit Interest',
		MaturityInstructions:'Maturity Instructions',
		AccountToCreditMaturityAmount:'Account To Credit Maturity Amount',
		TransactionRemarks:'Transaction Remarks',
		NomineeRequired:'Nominee Required',
		Narration:'Narration',
		InterestRate:'Interest Rate',
		MaturityDate:' Maturity Date',
		MaturityValue:'Maturity Value',
		TransactionPin:'Transaction PIN',
		AtMaturity:'At Maturity',
		RemainonDeposit:'Remain on Deposit',
		'Automatically Renew':'Automatically Renew',
		Narrative :'Narrative',
		TransactionPin:'Transaction PIN',
		TransactionPinAlias:'Enter your Transaction PIN',
	},
	ReInvstWONomSuccess :{
		Header: 'New Reinvestment Deposit - Success',
		AccountNo :'Your Deposit A/c Number is',	
	},
	RINomineeDetails :{
		Header:'Nominee Details',
		NomineeName: "Nominee Name",
		Name:'Name',
		NomineeAddressLine1:'Nominee Address Line 1',
		AddressLine1 :'Address Line 1',
		NomineeAddressLine2:'Nominee Address Line 2',
		AddressLine2 :'Address Line 2',
		NomineeAddressLine3 :'Nominee Address Line 3',
		AddressLine3 :'Address Line 3',
		NomineeAddressLine4 :'Nominee Address Line 4',
		AddressLine4 :'Address Line 4',
		NomineeAge :'Nominee Age (in years)',
		Age:'Age',
	},
	RINomineeMinorDetails:{
		Header:' Nominee Details',
		NomineeAge :'Nominee Age:',
		RelationshipWithCustomer :'Relationship with Customer :',
		DisplayNomineeName :'Display Nominee Name :',
		IsNomineeMinor:'Is Nominee Minor :',
		NomineeisMinor:'Nominee is Minor',
		GuardianNameforNominee:'Guardian Name for Nominee:',
		GuardianName:'Guardian',
		NomineeName:'Nominee Name',
		NominationDetails:'Nomination Details(Click to View)',
		TransactionPin:'Transaction PIN',
		TransactionPinAlias:'Enter your Transaction PIN',
	},
	NomineeMaturityDetails:{
		Header:'Open Deposit - Confirmation',
		Scheme :'Scheme',
		FromAccount :'From Account',
		Amount :'Amount',
		PeriodofDeposit:'Period of Deposit ',
		PeriodofDepositYears:'Period of Deposit Years',
		PeriodofDepositMonths:'Period of Deposit Months',
		PeriodofDepositDays:'Period of Deposit Days',
		InterestPaymentFrequency:'Interest Payment Frequency',
		InterestPaymentOption:'Interest Payment Option',
		AccounttoCreditInterest:'Account to Credit Interest',
		MaturityInstructions:'Maturity Instructions',
		AccountToCreditMaturityAmount:'Account To Credit Maturity Amount',
		TransactionRemarks:'Transaction Remarks',
		NomineeDetails:' Nominee Details',
		NomineeRequired:'Nominee Required',
		NomineeName:'Nominee Name',
		Name:'Name',
		RelationshipWithCustomer :'Relationship with Customer :',
		DisplayNomineeName :'Display Nominee Name :',
		IsNomineeMinor:'Is Nominee Minor :',
		NomineeisMinor:'Nominee is Minor',
		GuardianNameforNominee:'Guardian Name for Nominee:',
		GuardianName:'Guardian',
		NominationDetails:'Nomination Details(Click to View)',
		NomineeAddressLine1:'Nominee Address Line 1',
		AddressLine1 :'Address Line 1',
		NomineeAddress1:'Nominee Address1:',
		NomineeAddressLine2:'Nominee Address Line 2',
		AddressLine2 :'Address Line 2',
		NomineeAddress2:'Nominee Address2:',
		NomineeAddressLine3 :'Nominee Address Line 3',
		NomineeAddress3 :'Nominee Address3:',
		AddressLine3 :'Address Line 3',
		NomineeAddressLine4 :'Nominee Address Line 4',
		AddressLine4 :'Address Line 4',
		NomineeAddress4 :'Nominee Address4:',
		NomineeAge :'Nominee Age ',
		NomineeAgeInYears :'Nominee Age (in years)',
		Age:'Age',
		Narration:'Narration',
		InterestRate:'Interest Rate',
		MaturityDate:' Maturity Date',
		MaturityValue:'Maturity Value',
		TransactionPin:'Transaction PIN',
		AtMaturity:'At Maturity',
		RemainonDeposit:'Remain on Deposit',
		'Automatically Renew':'Automatically Renew',
		Narrative :'Narrative',
		TransactionPinAlias:'Enter your Transaction PIN',
		NextInstalmentDate:'Next Installment Date',
	},
	RIConfWithNomSuccess :{
		Header: 'New Reinvestment Deposit - Success',
		AccountNo :'Your Deposit A/c Number is',	
	},
	NewRecurringDeposit :{
		Header: 'New Recurring Deposit',
		InterestRateLink: 'View Interest Rates',
		RecurringDepositFrequency :'Recurring Deposit Frequency',	
		PreferredDateForInstallment :'Preferred date for Installment Debit',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'Recurring Deposit Frequency',
		Monthly :'Monthly',
		InstallmentDebitDay :'Installment Debit Day',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'Recurring Deposit Frequency',
		Monthly :'Monthly',
		InstallmentDebitDay :'Installment Debit Day',
	},
	NRDConfWONomSuccess :{
		Header: 'Open Deposit - Success',
		AccountNo :'Your Deposit A/c Number is',	
	},
	NRDConfWithNomSuccess :{
		Header: 'Open Deposit - Success',
		AccountNo :'Your Deposit A/c Number is',	
	},
	DepositList:{
		RecurringDeposits: 'Recurring Deposits',
		InstallmentAmount: 'Installment Amount:',
		DepositAmount:'Deposit Amount:',
		ReinvestmentDeposits :'Reinvestment Deposits',
		RegularIncomeDeposits:'Regular Income Deposits',
	},
	RDDetailScreen :{
		Product:'Product',
		InstallmentAmount:'Installment Amount',
		CurrentBalance :'Current Balance',
		OpeningDate :'Opening Date',
		MaturityAmount:'Maturity Amount',
		Last5Trans :'Last 5 Transactions',
		DetailStatement :'Detailed Statement',
		CloseAccount :'Close Account',
		SelectAmount:'Select Account',
		SelectDuration:'Select Duration',
		FromDate:'From Date',
		ToDate:'To Date'
	},
	ReInvtDetailScreen :{
		Product:'Product',
		InstallmentAmount:'Installment Amount',
		CurrentBalance :'Current Balance',
		OpeningDate :'Opening Date',
		MaturityAmount:'Maturity Amount',
		Last5Trans :'Last 5 Transactions',
		DetailStatement :'Detailed Statement',
		CloseAccount :'Close Account',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'Detailed Statement',
		SelectAccount:'Select Account',
		FromDate:'From Date',
		ToDate:'To Date',
	},
	DetailDepositStatement :{
		AccountNo :'Account Number',
		Narration :'Narration',
	},
	CloseDepositReq :{
		CloseDeposit :'Close Deposit',
		SelectFDAccount:'Select FD Account',
		SelectFundTransferAccount:'Select Fund Transfer Account',
		Narrative:'Narrative',
	},
	CloseDepositConfirmation :{
		Header:'Close Deposit - Confirmation',
		RedemptionAmount:'Redemption Amount',
		PenaltyAmount:'Penalty Amount',
		FDAccount:'FD Account',
		ToAccount:'To Account',
		Narration :'Narration',
	},
	CloseDepositSuccess:{
		Header :'Close Deposit - Success',
		DepositclosureSuccessful:'Deposit closure Successful',
	},
	TransferMenu:{
		ManageBeneficiaries:'Manage Beneficiaries',	
		TransferBetweenOwnAccounts :'Transfer between own accounts',
		TransferThirdPartyWithinBank:'Transfer to Third Party within bank',
		TransferDifferentBank :'Transfer to Third Party Other bank',
		ImmediatePaymentService:'Immediate Payment Service (IMPS)'
	},
	IMPSMenu:{
		GenerateMMID:'Generate / Retrieve MMID',
		CancelMMID :'Cancel MMID',
		TransferMMID :'Transfer using MMID',
	},
	GenerateMMIDInfo:{
		Title:'Generate MMID',
		AmountLbl : 'Account',
		MobileNo:'Mobile No.',
		TPin:'Transition Pin',
		AmountAlias:'Account No',
		Success:'Generate MMID - Success'
	},
	GenerateMMIDConf:{
		Header:'Generate/Retrieve MMID – Confirmation',
		MMIDText :'MMID(Mobile Money Identifier)is one time code required to be generated for receiving funds into your account via IMPS P2P transfer type.'
	},
	GenerateMMIDSucc :{
		Header:'Generate/Retrieve MMID - Success',
		MMID :'MMID',
		linkAccount :'has been linked to the account',
	},
	CancelMMIDConf:{
		Header :'Cancel MMID - Confirmaton',
		CancelMMIDText :'You will not be able to receive money to this account through MMID after Cancellation of MMID',
		GenerateMMIDText :"To generate MMID for this account, please go to Generate/Retrieve MMID section.",
		MultipleMMIDText :'Multiple MMIDs cannot be generated for the same account number',
	},
	CancelMMIDSucc :{
		Header:'Cancel MMID - Success',
		MMIDLinkText:'MMID linked to the account',
		CancelText:'has been cancelled',
	},
	IMPSP2P :{
		Header :'Fund Transfer To Beneficiary Mobile No and MMID',
		Title:'IMPS Transfer - Confirmation',
		BeneficiaryMobileNo:'Beneficiary Mobile No',
		BeneficiaryMMID:'Beneficiary MMID',
		Remarks:'Remarks',
		Amount:'Amount',
		FromAccount:'From Account',
		TransactionPin:'Transaction PIN',
		Success:'Fund Transfer - Success',
		RefLbl:'Your Reference Number is ',
	},
	IMPSP2PConf :{
		Header :'IMPS P2P - PIN Verification',
		SecretQuestion :'Secret Question',
	},
	IMPSP2PSucc :{
		Header :'Fund Transfer - Success',
		ReferenceNumber :'Your Reference Number is',
	},
	BenefMenu:{
		AddPayee:'Add Payee',
		ModifyPayee :'Modify Payee',
		DeletePayee:'Delete Payee',
	},
	AddBeneWithinBank :{
		Header :'Add New Payee',
		BeneficiaryName:'Beneficiary Name',
		NickName :'Nick Name',
		AccountNo :'Account No',
		BeneficiaryIFSC:'Beneficiary IFSC',
		BeneficiaryIFSCCode:'Beneficiary IFSC code',
		MobileNo:'Mobile No',
		BeneficiaryMMID:'Beneficiary MMID',
		AadharNO:'Aadhar NO',
		TitleConf:'Add Beneficiary - Confirmation',
		AccountNameLbl:'Account Name as per bank records :',
		LimitLbl:'Limit :',
		TransactionPIN:'Transaction PIN',
		Success:'Add New Beneficiary - Success',
		SuccessMsg:'Your new beneficiary has been added successfully'
	},
	AddBeneWithinBankConf:{
		Header :'Add Beneficiary - Confirmation',
		AccountNameText :'Account Name as per bank records',
		Limit : 'Limit',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'Add New Beneficiary - Success',
		BeneficiaryAddedLine1:'Your new beneficiary has been added and will be activated after',
		BeneficiaryAddedLine2:'hours after which you can use it for funds transfer. You can check the status of the beneficiary on the View Beneficiaries page',
	},
	AddBeneInterBank :{
		Header :'Add New Beneficiary - different bank',
		EmailId:'EmailId',
		Address:'Address',
		State :'State',
		City :'City/District',
		Pincode:'Pin Code',
		Title:'Add New Payee',
		PayeeName:'Payee Name',
		NickName:'Payee Nick Name',
		PayeeAccountNo:'Payee Account No',
		PayeeIFSC:'Payee IFSC',
		OR:'OR',
		PayeeMobileNo:'Payee Mobile No',
		PayeeMMID:'Payee MMID',
		PayeeAadharNo:'Payee Aadhar No'
	},
	AddBeneInterBankConf :{
		Header : 'Add Beneficiary - Confirmation',
		Title:'Add New Payee',
		PayeeName:'Payee Name',
		NickName:'Payee Nick Name',
		PayeeAccountNo:'Payee Account No',
		PayeeIFSC:'Payee IFSC',
		OR:'OR',
		PayeeMobileNo:'Payee Mobile No',
		PayeeMMID:'Payee MMID',
		PayeeAadharNo:'Payee Aadhar No',
		TransactionPin:'Transaction Pin',
		Success:'Add New Payee - Success'
	},
	AddBeneInterBankConfSuccess :{
		Header :'Add New Beneficiary - Success',
	},
	DeleteBenInterConf:{
		Title:'Delete Payee - Confirmation',
		PayeeName:'Payee Name',
		PayeeNickName:'Payee Nick Name',
		PayeeAccountNo:'Payee Account No',
		PayeeIFSCCode:'Payee IFSC Code',
		PayeeMobileNumber:'Payee Mobile Number',
		PayeeMMID:'Payee MMID',
		PayeeAadharNumber:'Payee Aadhar Number',
		TransactionPIN:'Transaction PIN',
		Success:'Delete Payee - Success'
	},
	SearchIFSC :{
		Header :'Choose a mode to get IFSC code',
		IFSCcode:'IFSC code',
		BankCodeCity :'Bank Code and City',
	},
	IFSCByCode:{
		EnterIFSCcode : 'Enter IFSC code',
		Title:'IFSC code',
	},
	IFSCByBankCity :{
		BankCode:'Bank Code',
		Title:'IFSC Code',
		LblBank:'Enter Bank',
		BankAlias:'Bank',
		CityLbl:'Enter City',
		CityAlias:'City',
		AreaLbl:'Enter Area',
		AreaAlias:'Area'
	},
	IFSCBankList :{
		IFSCList:'IFSC List',
		BranchName:'Branch Name',
		IFSCLbl:'IFSC'
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'Active Beneficiaries',
		PendingBeneficiaries:'Pending Beneficiaries',
	},
	IntraBankBenDetailActive:{	
		Status: 'Status',
		Active :'Active',
		ModifyBeneficiary:'Modify Beneficiary',
		DeleteBeneficiary:'Delete Beneficiary',
		NickName:'Nick Name',
		Limit:'Limit'
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'Pending Activation',
	},
	ModifyBenWithin:{
		Title:'Modify Payee',
		PayeeNickNameLbl:'Payee Nick Name',
		PayeeNameLbl:'Payee Name',
		PayeeAccountNoLbl:'Payee Account No',
		PayeeIFSCLbl:'Payee IFSC',
		OR:'OR',
		PayeeMobileNoLbl:'Payee Mobile No',
		PayeeMMIDLbl:'Payee MMID',
		PayeeAadharNoLbl:'Payee Aadhar No',
		TransactionPIN:'Transaction PIN',
		Success:'Modify Payee - Success'
	},
	ModifyBenWithinSuccess:{
		Header :'Modify Beneficiary - Success',
		BeneficiarySuccessText :'Beneficiary has been modified successfully',
	},
	DeleteBenWithinConf :{
		Header : 'Delete Beneficiary - Confirmation',
		BeneficiaryNameLbl:'Beneficiary Name',
		NickNameLbl:'Nick Name',
		BeneficiaryAccountNoLbl:'Beneficiary Account No',
		TransactionPIN:'Transaction PIN',
		Success:'Delete Beneficiary - Success'
	},
	DeleteBenWithinSuccess :{
		Header :'Delete Beneficiary - Success',
		BeneficiaryDeletedText:'Beneficiary deleted successfully',
	},
	InterBankBenDetailActive:{
		NickName:'Nick Name',
		Address:'Address',
		Email:'Email',
		Phone:'Phone',
		BankName:'Bank Name',
		BranchName:'Branch Name',
		IFSC:'IFSC',
		Status:'Status',
		Active:'Active',
		Limit:'Limit',
		PendingActivation:'Pending Activation'
	},
	ModifyBenInter:{
		BeneficiaryBank:'Beneficiary Bank',
		BeneficiaryBankBranch:'Beneficiary Bank Branch',
		Title:'Modify Beneficiary',
		BeneficiaryName:'Beneficiary Name',
		BeneficiaryAccountNo:'Beneficiary Account No',
		IFSC:'IFSC',
		NickName:'Nick Name',
		FundTransferLimit:'Fund Transfer Limit',
		TransactionPIN:'Transaction PIN',
		Title:'Modify Beneficiary - Success',
		Success:'Beneficiary has been modified successfully'
	},
	ProfileMenu:{
		MyProfile:'My Profile',
		ChangeLoginPin:'Change Login PIN',
		ChangeTransactionPin :'Change Transaction PIN',
	},
	MyProfile:{
		CustomerProfile:'Customer Profile',
		Name :'Name',
		Mobile : 'Mobile',
		Email :'Email',
		Address : 'Address',
		City :'City',
		State :'State',
		Country :'Country',
		Zip :'Zip',
	},
	Cardservices:{
		GenDebitPin:'Generate Debit card pin',
		BlockDebitCard:'Block debit card',
		UnblockDebitCard:'Unblock debit card',
		Title:'Card Services'

	},
	UnblockDebitCard:{
		Title:'Unblock debit card',
		AccNo:'Account Number',
		DebitCardNumber:'Debit Card Number',
		TPin:'Transaction Pin',
		Success:'unBlock Debit Card Success'
	},
	BlockDebitCard:{
		Title:'Block debit card',
		AccNo:'Account Number',
		DebitCardNumber:'Debit Card Number',
		TPin:'Transaction Pin',
		Success:'Block Debit Card Success',
		block:'block'
	},

	ChangeMPINConfirm :{
		Header :'Change Login PIN - Success',
		LoginPinChangedText:'Login Pin Changed Successfully. Please relogin.'
	},
	ChangeTPINConfirm :{
		Header :'Change Transaction PIN - Success',
		TransactionPinChangedText:'Transaction Pin Changed Successfully.'
	},
	ServicesMenu:{
		ChequeBookRequest:'Cheque Book Request',
		ChequeStatusInquiry :'Cheque Status Inquiry',
		StopCheque :'Stop Cheque',
		Account :'Account Statement',
		GBLSI:'Get Bank List / Search IFSC',
		Br_Al:'Branch/ATM Locator',
		CrdLessCshWitD:'Cardless cashwithdrawal',
		CrdServ:'Card services',
		UpdteEmail:'Update Email Id',
		PositivePay:'Positive Pay',
		ContactUs:'Contact Us',
		AdSeed:'Aadhar Seeding'
	},
	CBRConfirmation :{
		Header:'Cheque Book Request - Confirmation',
		ChequeBookConfirmText :'Cheque Book will be requested for account',
		ChequeBookLine1 :'Charges as applicable will be levied to your account. For details on charges, please visit the Charges section on the ESAF website',
		ChequeBookLine2 :' Cheque book will be delivered to your registered mailing address within 7 working days' 
	},
	CBRSuccess :{
		Header :'Cheque Book Request - Success',
		RequestAccepted :'Your request for a new cheque book has been accepted.',
	},
	CheckChqStatus:{
		Cheques:'Cheques',
		ChequeStatus:'Cheque Status',
		ChequeNo:'Cheque No',
		StartChequeNo:'Start Cheque No',
		EndChequeNo:'End Cheque No',
		Status : 'Status',
		Reason :'Reason',	
	},
	LoanDetailStatement:{
		Title:'Select Loan Account',
		LoanAccount:'Select Loan Account',
		LoanAccountAlias:'Loan Account',
		Duration:'Select Duration',
		DurationAlias:'duration',
		FromDate:'From Date',
		ToDate:'To Date',
		Success:'Loan Detail Statement - Success'
	},
	LoanRequestCertificate:{
		Title:'Loan Interest Certificate',
		LoanAccount:'Select Loan Account',
		LoanAccountAlias:'Loan Account',
		Duration:'Select Duration',
		DurationAlias:'duration',
		FromDate:'From Date',
		ToDate:'To Date',
		Success:'Your Request For Loan Interest Certificate Successfully Placed '
	},
	InterestRateConf:{
		Title:'Interest Rates',
		Month:'Month',
		Days:'Days',
		Interest:'Interest',
		Period:'Period',
		Rate:'Rate (%)',
		InterestDate:'Interest Date',
		InterestRate:'Interest Rate'
	},
	RegularIncomeDepositConf:{
		Title:'Open Deposit - Confirmation',
		TitleOpen:'Open New Deposit',
		DepositLbl:'Deposit Type',
		DebitAccountNo:'Debit Account No',
		DepositBranchAccount:'Deposit Branch and Account',
		AmountofDeposit:'Amount of Deposit',
		TenureMonth:'Tenure Month',
		TenureDay:'Tenure Day',
		TransactionPIN:'Transaction PIN',
		Success:'Open Deposit - Success'
	},
	DepositDetailStatduraSucc:{
		Success:'Detail Deposit Statement  - Success'
	},
	openDepositList:{
		Title:'Deposits'
	},
	DepositReceipt:{
		Title:'Deposit Receipts',
		Success:'Detail Deposit Receipt',
		ReceiptNumber:'Receipt Number',
		DateofReceipt:'Date of Receipt',
		Balance:'Balance',
		InterestRate:'Interest Rate',
		MaturityAmount:'Maturity Amount',
		MaturityDate:'Maturity Date',
		LienAmount:'Lien Amount'
	},
	openDepositAccount:{
		debitAccCboFTILbl:'Select Debit Account',
		depositAccCboFTILbl:'Select Deposit branch and account',
	},
	CancelMMID:{
		CancelMMID:'Cancel MMID',
		Account:'Account',
		AccountAlias:'Account No',
		Success:'Cancel MMID - Success'
	},
	GenerateOTP:{
		Title:'Generate OTP',
		TransactionPIN:'Transaction PIN',
		Success:'Generate OTP Success'
	},
	


	StopChqConfirmation :{
		Header : 'Stop Cheque – Confirmation',
		Type :'Type',
	},
	StopChqResponse :{
		Header : 'Stop Cheque – Success',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'Detailed Statement',
		AccountNo :'Account No',
		FromDate :'From Date',
		ToDate :'To Date',
	},
	DetailAccountStatement :{
			Balance :'Balance',
	},
	FT2OwnAccount:{
		Header :'Fund Transfer To Own Account',
		ToAccount : 'To Account',
		Amount : 'Amount',
	},
	FTConfirmation :{
		Header : 'Fund Transfer - Confirmation',
	},
	FTSuccess :{
		Header :'Fund Transfer - Success',
		ReferenceNumber : 'Your Reference Number is',
	},
	FT2OwnBeneficiary:{	
		Header :'Fund Transfer To Third Party Within Bank',
		Beneficiary :'Beneficiary',
	},
	FTConfirmBeneficary :{
		Header :'Fund Transfer - Confirmation',
		BeneficiaryName :'Beneficiary Name',
		BeneficiaryNickName:'Beneficiary Nick Name',
		BeneficiaryAccount:'Beneficiary Account',
	},
	FT2InterBankBen :{
		Header :' Fund Transfer To Third Party in Different Bank',
		TransactionType :'Transaction Type',
		TotalCharges :'Total Charges(incl. tax)',
	},
	ContactUs :{
		Header : 'Contact Us',
		Address1 :'Saraswat Co-op Bank Ltd.',
		Phone :'Phone',
		Email :'E-Mail',
		Website :' Website',
		WebAddress:'http://www.saraswatbank.com',
		EmailAddress:"corporatecenter@saraswatbank.com"
	},
	CardList:{
		Header :'Cards',
	},
	CardDetailScreen :{
		LinkedAccountNo :'Linked Account No',
		ExpiryDate :'Expiry Date',
		AvailableBalance:'Available Balance',
		HotlistCard:'Hotlist Card',
	},
	HotListCardConf:{
		Header :'Hotlist Card - Confirmation',
		CardNo:'Card No',
	},
	HotListCardSuccess:{
		Header :' Hotlist Card - Success',
		SuccessText:'Card Hot Listed Successfully',
	},
	MiniStatement:{
		Credit :'Credit',
		Debit :'Debit',
	},
	Settings:{
		Header:'Language',
	},
	Language:{
		Header:'Choose your Language',
		Label:'Change Language',
		Settings:'Settings',
	},
	LanguageSuccess :{
		Header:'Your language has been changed',
	},
	progressInfo:{
		ValidatinMobileProgress:'Validating. Please wait...',
		Registering:'Registering. Please wait...',
		PleaseWait:'Please wait...',
	},
	getBranchDetail :{
		selectCity:'Select City',
		selectState:'Select State',
		map:'Map',
		showList:'Branch List',
		Navigation:'Navigation',
		BranchLocator:'Locations',
		getDirections:'Get Directions',
		ContactNumber:'Contact Number',
		ContactPerson:'Contact Person',
		branchLocations:'Branch Locations',
	},
	BranchLocator:{
		BranchLocator:'Branch Locator',
		ATMLocator:'ATM Locator'
	},
	cancelCardlessCashRequestFromToDate:{
		title:'Cancel Cardless Cash Request',
		FromDate:'From  Date',
		ToDate:'To Date'

	},
	CardlessCashWithdrawal:{
		Title:'Cardless Cash Withdrawal',
		CrdlesCashWit:'Cardless Cash Withdrawal Request',
		CancleCardlesCashwit:'Cancel Cardless Cash Request'
	},
	CardlessCashWithdrawalRequest:{
		Title:'Cardless Cash Withdrawal',
		SelectDebitAcc:'Select debit account',
		mobileNo:'mobile Number',
		FullName:'Full name',
		Amount:'Amount',
		TransPin:'Transaction PIN',
		Success:'Cardless Cash Withdrawal Success'
	},
	cancelCardlessCashRequest:{
		Title:'Cancel Cardless Cash Request',
		SelectOption:'Choose a option',
		TransactionId:'Transaction id',
		mobileNo:'mobile Number',
		FullName:'Full name',
		Amount:'Amount',
		TransPin:'Transaction PIN',
		Success:'Cancel Cardless Cash Withdrawal Success'
	},

	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'Add mPassbook security PIN',
		SecurityPIN :'Security PIN',
		ConfirmSecurityPIN:'Confirm Security PIN',
	},
	activateMPBsuccess:{
		title:'mPassbook service activated successfully. Please check login screen.',
	},
	mPBLogin:{
		title:'Welcome to mPassbook'	
	},
	mPBMenu:{
		Accounts:'Accounts',
		activateMPB:'Activate account for mPassbook',
		download:'Download',
	},
	mPBAccountList:{
		title:'No account activated for mPassbook'
	},
	mPBEnableAccount:{
		title:'Activate account'	
	},
	AadharSeeding:{
		Title:'Aadhar Seeding',
		ADhaarNo:'Aadhar Number',
		TPin:'Transaction Pin',
		SelectAcc:'Select Account',
		Success:'Aadhar Seeding Success'
	},
	GenDebitPin:{
		Title:'Card Services',
		AccNo:'Account Number',
		DbtCrdNo:'Debit Card Number',
		CVV:'CVV',
		ExpiryMonth:'Expiry Month',
		ExpiryYear:'Expiry Year',
		EnterDebitPin:'Enter pin',
		ConfirmPIN:'Confirm PIN',
		TPin:'Transaction PIN',
		TPinAlias:'Debit Transaction PIN',
		ConfirmPinAlias:'Confirm Login PIN',
		EnterDebitPinAlias:'Generate New Debit PIN',
		Success:'Generate Debit Pin Success'
	},

	mPBSettings:{
		title:'mPassbook settings',
		records:'Number of records per page',
	},
	mPBDownload:{
		title:'Download Statement',
		SelectCategory:'Select Category',
		Month:'Month',
		Year:'Year',
	},
	PositivePay:{
		Title:'Positive Pay Cheque',
		AccNumber:'Account number',
		ChequeNumber:'Cheque number',
		ChequeDate:'Cheque Date',
		PayTo:'Pay To',
		Amount:'Amount',
		TPin:'Transaction Pin',
		Success:'Positive Pay Cheque Success'
	},
	updateEmailID:{
		Title:'Update Email ID',
		NewEmail:'New Email ID',
		ConfirmEmail:'Confirm Email ID',
		TPin:'Transaction PIN',
		Success:'Update Email ID Success'
	},
	BranchStates:{
		Title:'Branch Locations',
		chooseState:'Select State',
		chooseCity:'Select City',
		stateAlias:'state',
		cityAlias:'city'
	},
	ATMStates:{
		Title:'ATM Locations',
		chooseState:'Select State',
		chooseCity:'Select City',
		stateAlias:'state',
		cityAlias:'city'
	},
	mStatement:{
		Search:'Search',
		Date:'Date',
		Particulars:'Particulars',
		Withdrawal :'Withdrawal',
		Deposit:'Deposit',
		Balance:'Balance',
		Notes:'Notes',
		Remarks:'Remarks',
		Category:'Category',
	},
	addNotesForPassbook:{
		title:'Add Notes',
	},

	Remarks:'Remarks',
	Category:'Category',
	Hindi:'Hindi',
	/*
	English:'English',
	Marathi:'Marathi',
	Bengali:'Bengali',
	Gujrati:'Gujarati',
	Kannada:'Kannada',
	Malayalam:'Malayalam',
	Tamil:'Tamil',
	Telagu:'Telugu',
	Urdu:'Urdu',
	Punjabi:'Punjabi',
	*/
	DCSecQuestions:{
		Title:'Security Questions',
		Question: 'Select Secret Question ',
		Answer:'Secret Answer ',
	},

	ChangeSecQuestions:{
		Title:'Change Security Questions',
	},
	ChangeSecQuestionsSuccess:{
		Title:'Change Security Questions - Success',
		Status:'You have updated your secret questions and their answers successfully.',
	}
};

//Marathi
var translations_ma = {
  common:{
 	info:'माहिती',
 	exitApp:'ESAF बँक मोबाइल बँकिंग वापर धन्यवाद. आपण अनुप्रयोग मधून निर्गमन करू इच्छिता ?',
 	mobileValidation :'मोबाइल प्रमाणीकरण',
 	registerMobile :'आपला मोबाइल नंबर बँकेत नोंदणी एक जुळत नाही. एक साधन नोंदणीकृत मोबाईल नंबर येत पुन्हा प्रयत्न करा.',
 	mobileValidationError :'आम्ही आपला मोबाइल नंबर सत्यापित करण्यात अक्षम आहोत. आपले डिव्हाइस आउटगोइंग एसएमएस पाठवू किंवा नंतर पुन्हा प्रयत्न करण्यासाठी सक्षम आहे ते कृपया तपासा.',
 	errorMessage:'आपल्या विनंतीवर प्रक्रिया करताना त्रुटी आली. कृपया पुन्हा प्रयत्न करा.',
 	error :'त्रुटी',
 	internetDisconnectMessage:'इंटरनेट कनेक्शन आपल्या डिव्हाइसवर उपलब्ध नाही. मोबाइल डेटा सक्षम किंवा वायफाय नेटवर्कशी कनेक्ट करा आणि पुन्हा प्रयत्न करा.',
 	internetDisconnect :'इंटरनेट डिस्कनेक्ट',
 	update:'सुधारणा',
 	updateMessage:'हे नवीनतम आवृत्ती अर्ज अद्यतनित करेल. सुरू?',
 	selectMaturityAmount:'कृपया क्रेडिट मुदतपूर्तीची रक्कम खाते निवडा',
 	enterAccountNo:'वैध 12 अंकी खाते क्रमांक प्रविष्ट करा',
 	enterCustomerNo:'वैध 12 अंकी ग्राहक ID प्रविष्ट करा',
 	fromAccToAccMesg:'खाते आणि खाते करण्यासाठी समान असू शकत नाही ',
 	pin:'पिन ',
 	pinMandatory:'6 आकडी पिन आवश्यक आहे ',
 	currentPinNewPinMesg:'वर्तमान पिन आणि नवीन लॉगिन पिन 6 अंक असणे आवश्यक आहे ',
 	currentPinNewPinNotMatch:'नवीन लॉगिन पिन आणि लॉग-इन पिन पुष्टी करा जुळत नाही',
 	currentPinNewPinSame:'नवीन लॉगिन पिन आणि चालू लॉग-इन पिन समान असू शकत नाही ',
 	currentPinTransPinMesg:'वर्तमान पिन आणि नवीन व्यवहार पिन 6 अंक असणे आवश्यक आहे ',
 	currentPinTransPinNotMatch:'नवीन व्यवहार पिन आणि व्यवहार पिन पुष्टी करा जुळत नाही ',
 	currentPinTransPinSame:'नवीन व्यवहार पिन आणि चालू व्यवहार पिन समान असू शकत नाही ',
 	loginPinConfirmPinMesg:'लॉग इन करा आणि पुष्टी करा लॉग-इन पिन 6 अंक असणे आवश्यक आहे',
 	loginPinConfirmPinNotMatch:'पिन लॉगिन करा आणि लॉग-इन पिन पुष्टी करा जुळत नाही ',
 	TransPinConfirmTransPinMesg:'व्यवहार पिन आणि पुष्टी करा व्यवहार पिन 6 अंक असणे आवश्यक आहे ',
 	TransPinConfirmTransPinNotMatch:'व्यवहार पिन आणि व्यवहार पिन पुष्टी करा जुळत नाही ',
 	loginPinTransPinNotSame:'लॉग-इन पिन आणि व्यवहार पिन समान असू शकत नाही ',
 	selectLoginOrTransPin:'कृपया लॉगिन पिन किंवा व्यवहार पिन एकतर रीसेट निवडा.',
 	TransPinMandatory:'6 आकडी व्यवहार पिन आवश्यक आहे',
 	SyncMesg:'डेटा समक्रमित करणे. कृपया थांबा...',
 	SyncData:'डेटा समक्रमित करा',
 	NoDataSync:'कोणताही डेटा समक्रमित करणे उपलब्ध नाही.',
 	SyncSuccess:'समक्रमण यशस्वी',
 	SyncSuccessMesg:'सर्व डेटा यशस्वीरित्या समक्रमित.',
 	Logout:'बाहेर पडणे',
 	logoutConfirm:'आपली खात्री आहे की आपण लॉग आऊट करायचे आहे?',
 	AreYouSure:'आपण खात्री आहे. सुरू?',
 	NoData:'कोणताही डेटा उपलब्ध नाही',
 	Jan:'जानेवारी',
 	Feb:'फेब्रुवारी',
 	Mar:'मार्च',
 	Apr:'एप्रिल',
 	May:'मे',
 	Jun:'जून',
 	Jul:'जुलै',
 	Aug:'ऑगस्ट',
 	Sep:'सप्टेंबर',
 	Oct:'ऑक्टोबर',
 	Nov:'नोव्हेंबर',
 	Dec:'डिसेंबर',
 	Issued:'जारी',
 	Paid:'सशुल्क',
 	Void:'रिकामा',
 	Stopped:'बंद',
 	InvalidChequeNo:'अवैध धनादेशाचा',
 	smsVerify:'एसएमएस आपला मोबाइल नंबर सत्यापित करण्यासाठी आपल्या फोनवरून पाठविला जाईल. पुढे पाठवा क्लिक करा.',
 	existingCustomer:'विद्यमान ग्राहक',
 	generatedMesg:'आपण आधीपासूनच एक पिन निर्माण झाली आहे. आपण एकाच किंवा सेट एक नवीन वापरून सुरू ठेवू इच्छिता का?',
 	TransAmountExceeds:'व्यवहार रक्कम लाभार्थी कमाल मर्यादा ओलांडते',
 	CutOffExceeded:'CutOff ओलांडला',
 	HolidayMesg:'तो एक सुट्टी वर किंवा दिवस cutoff वेळानंतर करण्यात आली आहे म्हणून व्यवहाराचा प्रक्रिया करणे शक्य नाही . आपण अद्याप सुरू ठेवू इच्छिता का? होय , तो पुढील कार्यालयीन दिवशी प्रक्रिया होईल निवडले, तर',
 	ConnectionFailure:'कनेक्शन अयशस्वी ',
 	failureMesg:'उपलब्ध नाही बँक कनेक्शन. कृपया पुन्हा प्रयत्न करा.',
 	btnLogin: 'लॉग-इन',
 	btnNext: 'पुढे',
 	btnSubmit: 'सादर',
 	btnCancel: 'रद्द करा',
 	btnBack: 'परत',
 	btnDownload : 'डाउनलोड ',
	createMstatement : ' mStatement यशस्वीरित्या तयार केले. ',
	Loading: ' लोड करीत आहे ... ',
	savedSettings : ' सेटिंग्ज यशस्वीरित्या जतन केली .',
	accountExit : ' निवडलेले accountNo आधीच mPassbook सक्रिय आहे ',
	InvalidMPB : ' अवैध mPassbook श्रेय ',
	mPBSync : ' यशस्वीरित्या समक्रमण mPassbook ',
	mPBAccountActivate : 'खाते यशस्वीरित्या साठी mPassbook सक्रिय  . कृपया  खाती तपासा',
	ValidatingMobileNo:'मोबाइल क्रमांक प्रमाणित करत आहे',
	ftlimit:'जास्तीत जास्त निधी हस्तांतरणाचे मर्यादा ₹ 5,00,000 आहे',

 },
 errorCodes:{
	"-1"   : "एक त्रुटी आली आहे , कृपया नंतर पुन्हा प्रयत्न करा." ,
	"300"  : "आपण अनुप्रयोग जुनी आवृत्ती वापरत आहात. स्टोअर नवीनतम अर्ज डाउनलोड करा ",
	"400"  : "ग्राहक क्रमांक या साधन सक्रिय करण्यासाठी नोंदणी करा साधन सक्रिय नाही ",
	"401"  : "ग्राहक क्रमांक या साधन सक्रिय करण्यासाठी नोंदणी करा साधन सक्रिय नाही ",
	"1001" : "अवैध लॉग-इन ेय . आपले खाते 3 अवैध प्रयत्न कुलूपबंद होईल .",
	"1002" : "अवैध डेबिट कार्ड तपशील . पुन्हा-प्रविष्ट करा .",
	"1003" : "अवैध नेटबँकिंग ेय . पुन्हा-प्रविष्ट करा .",
	"1004" : "लॉग इन करा आणि व्यवहार पिन 6 अंक असणे आवश्यक आहे. " ,
	"1005" : "अवैध ग्राहक आयडी किंवा ग्राहक मोबाइल बँकिंग प्रवेश नाही." ,
	"1006" : "अवैध खाते किंवा ग्राहक मोबाइल बँकिंग प्रवेश नाही." ,
	"1007" : "आपले सत्र कालबाह्य झाले आहे . कृपया पुन्हा लॉगिन करा." ,
	"1008" : "आपले सत्र कालबाह्य झाले आहे . कृपया पुन्हा लॉगिन करा." ,
	"1009" : "ग्राहक आयडी उपलब्ध नाही खाती ",
	"1010" : "अवैध खाते क्रमांक ",
	"1011" : "अवैध लॉग-इन पिन ",
	"1012" : "लॉगिन पिन आणि व्यवहार पिन समान असू शकत नाही .",
	"1013" : "नाही व्यवहार निवडलेले खाते आढळले नाही .",
	"1014" : "माहिती निधी हस्तांतरण प्रविष्ट अवैध आहेत. योग्य तपशील प्रविष्ट करा .",
	"1015" : "निधी हस्तांतरण अयशस्वी ",
	"1016" : "अवैध व्यवहार पिन ",
	"1017" : "ग्राहक आधीच मोबाइल बँकिंग नोंदणी . लॉगिन किंवा संकेतशब्द विसरलात? प्रयत्न करा." ,
	"1018" : "ग्राहक आयडी अस्तित्वात नाही." ,
	"1019" : "ग्राहक आयडी आणि / किंवा खाते अवैध आहेत." ,
	"1020" : "त्याच खात्यावर हस्तांतरित करू शकत नाही .",
	"1021" : "सविस्तर विधान प्रविष्ट बाबी अयोग्य आहेत. ",
	"1022" : "चेक बुक विनंती आधीच अस्तित्वात आहे. " ,
	"1023" : "चुकीची लॉग-इन पिन प्रविष्ट केला . चालू लॉग-इन पिन पुन्हा - प्रविष्ट करा." ,	
	"1024" : "लॉगिन करा आणि व्यवहार पिन समान असू शकत नाही . भिन्न पिन प्रयत्न करा. " ,
	"1025" : "चुकीची व्यवहार पिन प्रविष्ट केला . चालू व्यवहार पिन पुन्हा - प्रविष्ट करा." ,
	"1026" : "अयशस्वी ठेव बंद . नंतर किंवा संपर्क ग्राहक सेवा प्रयत्न करा." ,
	"1027" : "ग्राहक. संपर्क ग्राहक सेवा कोणतीही कार्ड एक कार्ड अर्ज .",
	"1028" : "अवैध कार्ड क्रमांक ",
	"1029" : "कार्ड हॉट सूची अयशस्वी. कृपया पुन्हा प्रयत्न करा .",
	"1030" : "अवैध धनादेशाचा किंवा चेक श्रेणी .",
	"1031" : "मार्ग सापडला नाही लाभार्थी . लाभार्थी जोडण्यासाठी लाभार्थी जोडा क्लिक करा. " ,
	"1032" : "नाही एनईएफटी / आरटीजीएस लाभार्थी . लाभार्थी जोडण्यासाठी लाभार्थी जोडा क्लिक करा. " ,
	"1033" : "लाभार्थी अयशस्वी जोडत आहे. कृपया पुन्हा प्रयत्न करा .",
	"1034" : "नाही बँका अस्तित्वात .",
	"1035" : "लाभार्थी हटविणे अयशस्वी झाले .",
	"1036" : "नाही ठेव खाते आढळले आहे. " ,
	"1037" : "त्रुटी आली. ठेव बंद तपशील मिळविणे शक्य नाही. ",
	"1039" : "प्रविष्ट लाभार्थी खाते अवैध आहे .",
	"1040" : "ठेव तयार करणे शक्य झाले नाही . नंतर प्रयत्न करा .",
	"1042" : "नाही MMID प्रविष्ट निवडलेल्या खात्यावर लिंक ",
	"1043" : "अयशस्वी IMPS निधी हस्तांतरण .",
	"1044" : "खाते लॉक केलेले आहे . पुन्हा नोंदणी करा." ,
	"1045" : "चुकीची लॉग-इन पिन प्रविष्ट केला . चालू लॉग-इन पिन पुन्हा - प्रविष्ट करा." ,
	"1046" : "लाभार्थी अयशस्वी संपादीत . कृपया पुन्हा प्रयत्न करा .",
	"1047" :"आपला मोबाइल नंबर बँकेत नोंदणी एक जुळत नाही. बँकेत नोंदणी म्हणून मोबाइल नंबर डिव्हाइसवरून नोंदणी करा.",
	"1050" :"लाभार्थी खाते केला नाही अवैध आहे",
	"1051" :"प्रवेश केला ग्राहक ID अवैध आहे किंवा मोबाइल बँकिंग प्रवेश नाही  किंवा नाही केला खाते अवैध आहे किंवा मोबाइल बँकिंग प्रवेश नाही",
},
		//combo changes
	'All Funding Account Holders':'सर्व निधी खातेधारक',
	'Transfer to Another Account':'आणखी खात्यात हस्तांतरित करा',
	'For Self Only':'स्वत: साठी फक्त',
	No:'नाही',
	Yes:'होय',
	'Automatically Renew':'आपोआप नूतनीकरण',
	AndamanandNicobar:'अंदमान आणि निकोबार',
	'Chhattisgarh':'छत्तीसगड',
	'Andhra pradesh':'आंध्र प्रदेश',
	ArunachalPradesh:'अरुणाचल प्रदेश',
	Assam:'आसाम',
	Bihar:'बिहार',
	Chandigarh:'चंदीगड',
	DamanandDiu:'दमण आणि दीव',
	Delhi:'दिल्ली',
	DadraandNagarHaveli:'दादरा व नगर हवेली',
	'Goa':'गोवा',
	Gujarat:'गुजरात',
	'Himachal Pradesh':'हिमाचल प्रदेश',
	Haryana:'हरियाणा',
	Jharkhand:'झारखंड',
	'Jammu & Kashmir':'जम्मू आणि काश्मीर',
	Karnataka:'कर्नाटक',
	Kerala:'केरळ',
	Lakshadweep:'लक्षद्वीप',
	Maharashtra:'महाराष्ट्र',
	Meghalaya:'मेघालय',
	Manipur:'मणिपूर',
	'Madhya Pradesh':'मध्य प्रदेश',
	Mizoram:'मिझोराम',
	Nagaland:'नागालँड',
	Odisha:'ओडिशा',
	Punjab:'पंजाब',
	Puducherry:'पुडुचेरी',
	Rajasthan:'राजस्थान',
	Sikkim:'सिक्कीम',
	Telangana:'तेलंगणा',
	'Tamil Nadu':'तामिळनाडू',
	Tripura:'त्रिपुरा',
	Uttarakhand:'उत्तराखंड',
	'Uttar Pradesh':' उत्तर प्रदेश',
	'West Bengal':'पश्चिम बंगाल',
	Debit:'डेबिट',
	Credit:'क्रेडिट',
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'मोबाइल बँकिंग नोंदणी मध्ये आपले स्वागत आहे',
		Line1:'आपण आपल्या डिव्हाइसची नोंदणी आणि आपण या सुविधेचा उपयोग सुरू करण्यापूर्वी आपली मोबाइल बँकिंग प्रमाणिकरण श्रेय सेट करणे आवश्यक आहे .',
		Line2:'या डिव्हाइसचे मोबाईल क्रमांक ( मल्टि सिम साधने बाबतीत प्राथमिक सिम कार्ड ) बँक आपल्या नोंदणीकृत मोबाईल नंबर समान आहे याची खात्री करा.',
		Line3:'आपली ओळख प्रस्थापित करण्यासाठी, आपण आपल्या नेटबँकिंग खाते किंवा आपल्या डेबिट कार्ड एकतर अधिप्रमाणन श्रेय प्रदान करणे आवश्यक आहे .',
		Line4:'ोंदणी केल्यानंतर , आपण फक्त हे डिव्हाइस मोबाइल बँकिंग प्रवेश करू शकता. आपण भविष्यात आपले डिव्हाइस बदलू इच्छित बाबतीत, आपण नवीन साधन पुन्हा नोंदणी करणे आवश्यक आहे .',
		iAgree:'मी वेबसाइट मध्ये नमूद केलेल्या अटी व शर्ती सहमत आहात'
	},
	registration:{
		Title1:'निवडा ग्राहक आयडी किंवा खाते क्रमांक',
		Title2:'ग्राहक आयडी',
		Title3:'खाते क्रमांक',
		Title4:'12 अंकी ग्राहक आयडी किंवा खाते क्रमांक प्रविष्ट करा',
		Title5:'येथे क्रमांक प्रविष्ट करा',
		Title6:'नोंदणी पर्याय निवडा ',
		Title7:'नेटबँकिंग',
		Title8:'डेबिट कार्ड',
	},
	ValidateMobile : {
		ValidateMobileNo:'मोबाइल नं अधिकृत',
	},
	registrationDebitCard:{
		Header:'डेबिट कार्ड तपशील',
		DCLabel:'डेबिट कार्ड क्रमांक',
		PINLabel:'PIN',
		ExpLabel:'कालावधी समाप्ती महिना',
		ExpYr:'कालावधी समाप्ती वर्ष',
	},
	debitPinSetup:{
		Header:'मोबाइल बँकिंग नोंदणी',
		CurrentLoginPin :'वर्तमान लॉग-इन पिन',
		CurrentTransactionPin :'वर्तमान व्यवहार पिन',
		NewLoginPin:'नवीन लॉगिन पिन',
		NewLoginPinAlias:'नवीन लॉगिन पिन ( किमान 6 अंक )',
		ConfirmLoginPin:'लॉग-इन पिन पुष्टी करा',
		ConfirmLoginPinAlias:'पुष्टी करा लॉगिन पिन ( किमान 6 अंक )',
		NewTransactionPin:'नवीन व्यवहार पिन',
		NewTransactionPinAlias:'नवीन व्यवहार पिन ( किमान 6 अंक )',
		ConfirmTransactionPin:'व्यवहार पिन पुष्टी करा',
		ConfirmTransactionPinAlias:'पुष्टी करा व्यवहार पिन ( किमान 6 अंक )',
		PleaseNote : 'कृपया लक्षात ठेवा',
		NumericValue :' - आपला PIN एक 6 आकडी अंकीय मूल्य प्रविष्ट करा.' ,
		SameConsecutiveDigits:'-2 पेक्षा सलग अंक समान ( उदा 122287 किंवा 186333 ) असू शकत नाही',
		ConsecutiveDigitsSequence:'- तो क्रम मध्ये 2 पेक्षा अधिक सलग अंक (उदा 123845 किंवा 987253 ) असू शकत नाही',
		SameGroupDigits : '-हे 2 अंक समान गट 2 पेक्षा अधिक वेळा ( उदा 121212 किंवा 989898 ) पुन्हा असू शकत नाही',
	},
	RegistrationCompletion :{
		Congratulations:'अभिनंदन',
		SuccessfullyComplete:'आपण यशस्वीरित्या मोबाइल बँकिंग नोंदणी प्रक्रिया पूर्ण केली आहे.',
		LoginLink:'आपल्या मोबाइल बँकिंग सुविधेचा वापर सुरू करण्यासाठी खालील लॉगिन दुव्यावर क्लिक करा.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'नेट बँकिंग ेय',
		UserId : 'वापरकर्ता आयडी',
		Password :'पासवर्ड',	
	},
	NBPinSetup:{
		Header:'पिन सेटअप',
		NewLoginPin:'नवीन लॉगिन पिन',
		NewLoginPinAlias:'नवीन लॉगिन पिन ( किमान 6 अंक )',
		ConfirmLoginPin:'लॉग-इन पिन पुष्टी करा',
		ConfirmLoginPinAlias:'पुष्टी करा लॉगिन पिन ( किमान 6 अंक )',
		NewTransactionPin:'नवीन व्यवहार पिन',
		NewTransactionPinAlias:'नवीन व्यवहार पिन ( किमान 6 अंक )',
		ConfirmTransactionPin:'व्यवहार पिन पुष्टी करा',
		ConfirmTransactionPinAlias:'पुष्टी करा व्यवहार पिन ( किमान 6 अंक )',
		PleaseNote : 'कृपया लक्षात ठेवा',
		NumericValue :' - आपला PIN एक 6 आकडी अंकीय मूल्य प्रविष्ट करा.' ,
		SameConsecutiveDigits:'- 2 पेक्षा सलग अंक समान ( उदा 122287 किंवा 186333 ) असू शकत नाही',
		ConsecutiveDigitsSequence:'- तो क्रम मध्ये 2 पेक्षा अधिक सलग अंक (उदा 123845 किंवा 987253 ) असू शकत नाही',
		SameGroupDigits : '- हे 2 अंक समान गट 2 पेक्षा अधिक वेळा ( उदा 121212 किंवा 989898 ) पुन्हा असू शकत नाही',
	},
	NBRegistrationCompletion :{
		Congratulations:'अभिनंदन',
		SuccessfullyComplete:'आपण यशस्वीरित्या मोबाइल बँकिंग नोंदणी प्रक्रिया पूर्ण केली आहे.',
		LoginLink:'आपल्या मोबाइल बँकिंग सुविधेचा वापर सुरू करण्यासाठी खालील लॉगिन दुव्यावर क्लिक करा.',
	},
	ForgotPinScreen1 :{
		ResetOption :' एक रीसेट करा पर्याय निवडा',
		Netbanking :'नेटबँकिंग',
		DebitCard:'डेबिट कार्ड',
	},
	ForgotPINDebitCard:{
		Title:'पिन रीसेट करा - डेबिट कार्ड',
		DebitCardNumber :'डेबिट कार्ड क्रमांक',
		Pin:'पिन',
		ExpiryMonth:'कालावधी समाप्ती महिना',
		ExpiryYear : ' कालावधी समाप्ती वर्ष',
	},
	ForgotPINNetbanking:{
		Title : 'पिन रीसेट करा - नेट बँकिंग',
		UserId :'वापरकर्ता आयडी',
		Password : 'पासवर्ड',	
	},
	DebitForgotPinSetup:{
		Title : 'पिन रीसेट करा',
		ChangeLoginPin :'बदला लॉग-इन पिन',
		NewLoginPin:'नवीन लॉगिन पिन',
		NewLoginPinAlias:'नवीन लॉगिन पिन ( किमान 6 अंक )',
		ConfirmLoginPin:'लॉग-इन पिन पुष्टी करा',
		ConfirmLoginPinAlias:'पुष्टी करा लॉगिन पिन ( किमान 6 अंक )',
		ChangeTransactionPin :'बदला व्यवहार पिन',
		NewTransactionPin:'नवीन व्यवहार पिन',
		NewTransactionPinAlias:'नवीन व्यवहार पिन ( किमान 6 अंक )',
		ConfirmTransactionPin:'व्यवहार पिन पुष्टी करा',
		ConfirmTransactionPinAlias:'पुष्टी करा व्यवहार पिन ( किमान 6 अंक )',
		PleaseNote : 'कृपया लक्षात ठेवा',
		NumericValue :' - आपला PIN एक 6 आकडी अंकीय मूल्य प्रविष्ट करा.' ,
		SameConsecutiveDigits:'- 2 पेक्षा सलग अंक समान ( उदा 122287 किंवा 186333 ) असू शकत नाही',
		ConsecutiveDigitsSequence:'-तो क्रम मध्ये 2 पेक्षा अधिक सलग अंक (उदा 123845 किंवा 987253 ) असू शकत नाही',
		SameGroupDigits : '- हे 2 अंक समान गट 2 पेक्षा अधिक वेळा ( उदा 121212 किंवा 989898 ) पुन्हा असू शकत नाही',
	},
	NBForgotPinSetup:{
		Title : 'पिन रीसेट करा',
		ChangeLoginPin :'बदला लॉग-इन पिन',
		NewLoginPin:'नवीन लॉगिन पिन',
		NewLoginPinAlias:'नवीन लॉगिन पिन ( किमान 6 अंक )',
		ConfirmLoginPin:'लॉग-इन पिन पुष्टी करा',
		ConfirmLoginPinAlias:'पुष्टी करा लॉगिन पिन ( किमान 6 अंक )',
		ChangeTransactionPin :'बदला व्यवहार पिन',
		NewTransactionPin:'नवीन व्यवहार पिन',
		NewTransactionPinAlias:'नवीन व्यवहार पिन ( किमान 6 अंक )',
		ConfirmTransactionPin:'व्यवहार पिन पुष्टी करा',
		ConfirmTransactionPinAlias:'पुष्टी करा व्यवहार पिन ( किमान 6 अंक )',
		PleaseNote : 'कृपया लक्षात ठेवा',
		NumericValue :' -आपला PIN एक 6 आकडी अंकीय मूल्य प्रविष्ट करा.' ,
		SameConsecutiveDigits:'-2 पेक्षा सलग अंक समान ( उदा 122287 किंवा 186333 ) असू शकत नाही',
		ConsecutiveDigitsSequence:'- तो क्रम मध्ये 2 पेक्षा अधिक सलग अंक (उदा 123845 किंवा 987253 ) असू शकत नाही',
		SameGroupDigits : '-हे 2 अंक समान गट 2 पेक्षा अधिक वेळा ( उदा 121212 किंवा 989898 ) पुन्हा असू शकत नाही',
	},
	DBForgotPINCompletion:{
		Congratulations:'अभिनंदन',
		SuccessfullyComplete:'आपला PIN यशस्वीरित्या रीसेट करण्यात आली आहे.',
		LoginLink:'आपल्या मोबाइल बँकिंग सुविधेचा वापर सुरू करण्यासाठी खालील लॉगिन दुव्यावर क्लिक करा.',
	},
	NBForgotPINCompletion :{
		Congratulations:'अभिनंदन',
		SuccessfullyComplete:'आपला PIN यशस्वीरित्या रीसेट करण्यात आली आहे.',
		LoginLink:'आपल्या मोबाइल बँकिंग सुविधेचा वापर सुरू करण्यासाठी खालील लॉगिन दुव्यावर क्लिक करा.',
	},
	ReLogin:{
		Title : 'स्वागत हे',
		LoginLabel : 'लॉग इन पिन (4 अंक संख्यात्मक)',
		LoginLabelAlias:'लॉग इन पिन',
		ForgotPin : 'पिन भूल गए',
		Register : 'रजिस्टर',
		Version :'संस्करण',
		LoginRegister:'अब रजिस्टर / पिन भूल गए'
	},
	Menu:{
		LastLoginTime: 'गेल्या लॉग इन मध्ये :',
		TermDeposite :'मुदत ठेवी',
		TransactionAccounts :'व्यवहार खाती',
		Transfers :'हस्तांतरणासाठी',
		Services : 'सेवा',
		Cards :'कार्ड',
		Profile :'प्रोफाइल',
		ContactUs:'आमच्याशी संपर्क साधा',
	},
	AccountList :{
		AvailableBalance :'उपलब्ध शिल्लक:',
		CashCreditAccount :'कॅश क्रेडिट खाते',
		CurrentBalance:'चालू शिल्लक:',
		LoanAccount :'कर्ज खाते',
		SavingAccount :'बचत खाते',
		CurrentAccount : 'चालू खाते',
	},
	SavCurrAccDetailScreen:{
		Product :'उत्पादन:',
		AvailableBalance :'शिल्लक उपलब्ध',
		CurrentBalance:'चालू शिल्लक',
		UnclearFunds :' अस्पष्ट निधी',
		FundsOnHold :'राखून ठेवलेले निधी',
		Last5Trans :'शेवटचे 5 व्यवहार',
		DetailStatement:'तपशीलवार विवरण',
		TransferOwnAccount :'खाते स्वत: हस्तांतरित',
		TransferThirdPartyWithinBank :'बँक आत थर्ड पार्टी हस्तांतरित',
		TransferThirdPartyOtherBank:'थर्ड पार्टी इतर बँक हस्तांतरण',
		ImpsToMobile :' मोबाइल आणि MMID प्रविष्ट करणे IMPS',
	},
	CashCreditDetailScreen:{
		Product :'उत्पादन:',
		CreditLimit :'क्रेडिट मर्यादा',
		AvailableBalance :'शिल्लक उपलब्ध',
		CurrentBalance:'चालू शिल्लक',
		UnclearFunds :' अस्पष्ट निधी',
		AvailableCredit :'उपलब्ध क्रेडिट',
		TotalAmountDue :'एकूण रक्कम मुळे',
		InterestRate :'व्याज दर',
		Last5Trans :'शेवटचे 5 व्यवहार',
		DetailStatement:'तपशीलवार विवरण',
	},
	LoanDetailScreen:{
		Product :'उत्पादन:',
		CreditLimit :'क्रेडिट मर्यादा',
		AvailableBalance :'शिल्लक उपलब्ध',
		CurrentBalance:'चालू शिल्लक',
		OpeningDate :'उघडण्याच्या तारीख',
		MaturityDate:'मॅच्युरिटी तारीख',
		AvailableCredit :'उपलब्ध क्रेडिट',
		TotalAmountDue :'एकूण रक्कम मुळे',
		InterestRate :'व्याज दर',
		Last5Trans :'शेवटचे 5 व्यवहार',
		DetailStatement:'तपशीलवार विवरण',
	},
	DepositMenu:{
		ViewDeposits :'पहा ठेवी',
		NewRecurringDeposite :'नवीन आवर्ती ठेव',
		NewRegularIncome:'नवीन नियमित उत्पन्न ठेव',
		NewReinvestment :'नवीन पुनर्गुंतवणुकीवर ठेव',
	},
	RegularIncomeDeposit:{
		Header:' नवीन नियमित उत्पन्न ठेव',
		Scheme :'योजना',
		FromAccount :'खाते पासून',
		Amount :'रक्कम',
		PeriodofDeposit:'ठेवीची मुदत : MAXTERM दिवस',
		PeriodofDepositYears:'ठेव वर्षे कालावधी',
		PeriodofDepositMonths:'ठेव महिने कालावधी',
		PeriodofDepositDays:'ठेव दिवस कालावधी',
		InterestPaymentFrequency:'व्याज भरणा वारंवारता',
		AccounttoCreditInterest:'क्रेडिट व्याज खाते',
		MaturityInstructions:'मॅच्युरिटी सूचना',
		'Automatically Renew':'स्वयंचलितपणे नूतनीकरण',
		InterestPaymentOption:'व्याज देय पर्याय',
		AccountToCreditMaturityAmount:'मॅच्युरिटी रक्कम जमा करण्यासाठी खाते',
		TransactionRemarks:'व्यवहार शेरा',
		NomineeRequired:'नॉमिनी आवश्यक',
	},
	PIDConfWONom:{
		Header:'ओपन ठेव - पुष्टीकरण',
		Scheme :'योजना',
		FromAccount :'खाते पासून',
		Amount :'रक्कम',
		PeriodofDeposit:'ठेवीची मुदत ',
		PeriodofDepositYears:'ठेव वर्षे कालावधी',
		PeriodofDepositMonths:'ठेव महिने कालावधी',
		PeriodofDepositDays:'ठेव दिवस कालावधी',
		InterestPaymentOption:'व्याज देय पर्याय',
		AccounttoCreditInterest:'क्रेडिट व्याज खाते',
		MaturityInstructions:'मॅच्युरिटी सूचना',
		AccountToCreditMaturityAmount:'मॅच्युरिटी रक्कम जमा करण्यासाठी खाते',
		TransactionRemarks:'व्यवहार शेरा',
		NomineeRequired:'नॉमिनी आवश्यक',
		Narration:'वर्णन',
		InterestRate:'व्याज दर',
		MaturityDate:' मॅच्युरिटी तारीख',
		MaturityValue:'मॅच्युरिटी मूल्य',
		TransactionPin:'व्यवहार पिन',
	},
	PIDConfWONomSuceess:{
		Header:'नियमित उत्पन्न ठेव - यशस्वी',
		AccountNo :'आपले ठेव A / C कर्मांक आहे',
	},
	PIDNomineeDetails:{
		Header:'नामनिर्देशन तपशील',
		NomineeAddressLine1:'नॉमिनी पत्ता ओळ 1',
		NomineeAddressLine2:'नॉमिनी पत्ता ओळ 2',
		NomineeAddressLine3 :'नॉमिनी पत्ता ओळ 3',
		NomineeAddressLine4 :'नॉमिनी पत्ता ओळ 4',
		NomineeAge :'( वर्षात) नॉमिनी वय',
	},
	PIDNomineeMinorDetails :{
		Header:'नामनिर्देशन तपशील',
		RelationshipWithCustomer :'ग्राहक संबंध',
		DisplayNomineeName :'प्रदर्शन नॉमिनी नाव',
		IsNomineeMinor:'नॉमिनी लघु आहे',
		NomineeisMinor:'नामनिर्देशित व्यक्ती अज्ञान आहे',
		GuardianNameforNominee:'नॉमिनी पालक नाव:',
		GuardianName:'पालक नाव',
	},
	PIDConfWithNom:{
		Header:'ओपन ठेव - पुष्टीकरण',
		Scheme :'योजना',
		FromAccount :'खाते पासून',
		Amount :'रक्कम',
		PeriodofDeposit:'ठेवीची मुदत',
		PeriodofDepositYears:'ठेव वर्षे कालावधी',
		PeriodofDepositMonths:'ठेव महिने कालावधी',
		PeriodofDepositDays:'ठेव दिवस कालावधी',
		InterestPaymentOption:'व्याज देय पर्याय',
		AccounttoCreditInterest:'क्रेडिट व्याज खाते',
		MaturityInstructions:'मॅच्युरिटी सूचना',
		AccountToCreditMaturityAmount:'मॅच्युरिटी रक्कम जमा करण्यासाठी खाते',
		TransactionRemarks:'व्यवहार शेरा',
		NomineeRequired:'नॉमिनी आवश्यक',
		Narration:'वर्णन',
		InterestRate:'व्याज दर',
		MaturityDate:' मॅच्युरिटी तारीख',
		MaturityValue:'मॅच्युरिटी मूल्य',
		TransactionPin:'व्यवहार पिन',
		NomineeAddressLine1:'नॉमिनी पत्ता 1:',
		NomineeAddressLine2:'नॉमिनी पत्ता 2:',
		NomineeAddressLine3 :'नॉमिनी पत्ता 3:',
		NomineeAddressLine4 :'नॉमिनी पत्ता 4:',
		NomineeAge :'नॉमिनी वय:',
		RelationshipWithCustomer :'ग्राहक संबंध:',
		DisplayNomineeName :'प्रदर्शन नॉमिनी नाव:',
		IsNomineeMinor:'नॉमिनी लघु आहे:',
		NomineeisMinor:'नामनिर्देशित व्यक्ती अज्ञान आहे',
		GuardianNameforNominee:'नॉमिनी पालक नाव:',
		GuardianName:'पालक नाव',
		NomineeName:'नॉमिनी नाव',
		NominationDetails:'नामनिर्देशन तपशील ( पहा क्लिक करा)',
		TransactionPin:'व्यवहार पिन',
		TransactionPinAlias:'तुमचा ट्रान्झॅक्शन पिन प्रविष्ट करा',
	},
	PIDConfWithNomSuccess:{
		Header:'नियमित उत्पन्न ठेव - यशस्वी',
		AccountNo :'आपले ठेव A / C कर्मांक आहे ',
	},
	ReinvestmentDeposit:{
		Header:'नवीन पुनर्गुंतवणुकीवर ठेव',
		Scheme :'योजना',
		FromAccount :'खाते पासून',
		Amount :'रक्कम',
		PeriodofDeposit:'ठेवीची मुदत ',
		PeriodofDepositYears:'ठेव वर्षे कालावधी',
		PeriodofDepositMonths:'ठेव महिने कालावधी',
		PeriodofDepositDays:'ठेव दिवस कालावधी',
		InterestPaymentFrequency:'व्याज भरणा वारंवारता',
		InterestPaymentOption:'व्याज देय पर्याय',
		AccounttoCreditInterest:'क्रेडिट व्याज खाते',
		MaturityInstructions:'मॅच्युरिटी सूचना',
		AccountToCreditMaturityAmount:'मॅच्युरिटी रक्कम जमा करण्यासाठी खाते',
		TransactionRemarks:'व्यवहार शेरा',
		NomineeRequired:'नॉमिनी आवश्यक',
		Narration:'वर्णन',
		InterestRate:'व्याज दर',
		MaturityDate:' मॅच्युरिटी तारीख',
		MaturityValue:'मॅच्युरिटी मूल्य',
		TransactionPin:'व्यवहार पिन',
		AtMaturity:'मॅच्युरिटीच्या वेळी',
		RemainonDeposit:'ठेव राहा',
		'Automatically Renew':'स्वयंचलितपणे नूतनीकरण',
		Narrative :'गोष्ट',
	},
	ReInvstConfWONom:{
		Header:'ओपन ठेव - पुष्टीकरण',
		Scheme :'योजना',
		FromAccount :'खाते पासून',
		Amount :'रक्कम',
		PeriodofDeposit:'ठेवीची मुदत',
		PeriodofDepositYears:'ठेव वर्षे कालावधी',
		PeriodofDepositMonths:'ठेव महिने कालावधी',
		PeriodofDepositDays:'ठेव दिवस कालावधी',
		InterestPaymentFrequency:'व्याज भरणा वारंवारता',
		InterestPaymentOption:'व्याज देय पर्याय',
		AccounttoCreditInterest:'क्रेडिट व्याज खाते',
		MaturityInstructions:'मॅच्युरिटी सूचना',
		AccountToCreditMaturityAmount:'मॅच्युरिटी रक्कम जमा करण्यासाठी खाते',
		TransactionRemarks:'व्यवहार शेरा',
		NomineeRequired:'नॉमिनी आवश्यक',
		Narration:'वर्णन',
		InterestRate:'व्याज दर',
		MaturityDate:'मॅच्युरिटी तारीख',
		MaturityValue:'मॅच्युरिटी मूल्य',
		TransactionPin:'व्यवहार पिन',
		AtMaturity:'मॅच्युरिटीच्या वेळी',
		RemainonDeposit:'ठेव राहा',
		'Automatically Renew':'स्वयंचलितपणे नूतनीकरण',
		Narrative :'गोष्ट',
		TransactionPin:'व्यवहार पिन',
		TransactionPinAlias:'तुमचा ट्रान्झॅक्शन पिन प्रविष्ट करा',
	},
	ReInvstWONomSuccess :{
		Header: 'नवीन पुनर्गुंतवणुकीवर ठेव - यशस्वी',
		AccountNo :'आपले ठेव A / C कर्मांक आहे',	
	},
	RINomineeDetails :{
		Header:'नामनिर्देशन तपशील',
		NomineeName: 'नॉमिनी नाव',
		Name:'नाव',
		NomineeAddressLine1:'नॉमिनी पत्ता ओळ 1',
		AddressLine1 :'पत्ता ओळ 1',
		NomineeAddressLine2:'नॉमिनी पत्ता ओळ 2',
		AddressLine2 :'पत्ता ओळ 2',
		NomineeAddressLine3 :'नॉमिनी पत्ता ओळ 3',
		AddressLine3 :'पत्ता ओळ 3',
		NomineeAddressLine4 :'नॉमिनी पत्ता ओळ 4',
		AddressLine4 :'पत्ता ओळ 4',
		NomineeAge :'( वर्षात) नॉमिनी वय',
		Age:'वय',
	},
	RINomineeMinorDetails:{
		Header:' नामनिर्देशन तपशील',
		NomineeAge :'नॉमिनी वय:',
		RelationshipWithCustomer :'ग्राहक संबंध:',
		DisplayNomineeName :'प्रदर्शन नॉमिनी नाव:',
		IsNomineeMinor:'नॉमिनी लघु आहे :',
		NomineeisMinor:'नामनिर्देशित व्यक्ती अज्ञान आहे',
		GuardianNameforNominee:'नॉमिनी पालक नाव:',
		GuardianName:'पालक',
		NomineeName:'नॉमिनी नाव',
		NominationDetails:'नामनिर्देशन तपशील ( पहा क्लिक करा)',
		TransactionPin:'व्यवहार पिन',
		TransactionPinAlias:'तुमचा ट्रान्झॅक्शन पिन प्रविष्ट करा',
	},
	NomineeMaturityDetails:{
		Header:'ओपन ठेव - पुष्टीकरण',
		Scheme :'योजना',
		FromAccount :'खाते पासून',
		Amount :'रक्कम',
		PeriodofDeposit:'ठेवीची मुदत',
		PeriodofDepositYears:'ठेव वर्षे कालावधी',
		PeriodofDepositMonths:'ठेव महिने कालावधी',
		PeriodofDepositDays:'ठेव दिवस कालावधी',
		InterestPaymentFrequency:'व्याज भरणा वारंवारता',
		InterestPaymentOption:'व्याज देय पर्याय',
		AccounttoCreditInterest:'क्रेडिट व्याज खाते',
		MaturityInstructions:'मॅच्युरिटी सूचना',
		AccountToCreditMaturityAmount:'मॅच्युरिटी रक्कम जमा करण्यासाठी खाते',
		TransactionRemarks:'व्यवहार शेरा',
		NomineeDetails:' नामनिर्देशन तपशील',
		NomineeRequired:'नॉमिनी आवश्यक',
		NomineeName:'नॉमिनी नाव',
		Name:'नाव',
		RelationshipWithCustomer :'ग्राहक संबंध :',
		DisplayNomineeName :'प्रदर्शन नॉमिनी नाव:',
		IsNomineeMinor:'नॉमिनी लघु आहे :',
		NomineeisMinor:'नामनिर्देशित व्यक्ती अज्ञान आहे',
		GuardianNameforNominee:'नॉमिनी पालक नाव:',
		GuardianName:'पालक',
		NominationDetails:'नामनिर्देशन तपशील ( पहा क्लिक करा)',
		NomineeAddressLine1:'नॉमिनी पत्ता ओळ 1',
		AddressLine1 :'पत्ता ओळ 1',
		NomineeAddress1:'नॉमिनी पत्ता 1:',
		NomineeAddressLine2:'नॉमिनी पत्ता ओळ 2',
		AddressLine2 :'पत्ता ओळ 2',
		NomineeAddress2:'नॉमिनी पत्ता 2:',
		NomineeAddressLine3 :'नॉमिनी पत्ता ओळ 3',
		NomineeAddress3 :'नॉमिनी पत्ता 3:',
		AddressLine3 :'पत्ता ओळ 3',
		NomineeAddressLine4 :'नॉमिनी पत्ता ओळ 4',
		AddressLine4 :'पत्ता ओळ 4',
		NomineeAddress4 :'नॉमिनी पत्ता 4:',
		NomineeAge :'नॉमिनी वय ',
		NomineeAgeInYears :'( वर्षात) नॉमिनी वय',
		Age:'वय',
		Narration:'वर्णन',
		InterestRate:'व्याज दर',
		MaturityDate:' मॅच्युरिटी तारीख',
		MaturityValue:'मॅच्युरिटी मूल्य',
		TransactionPin:'व्यवहार पिन',
		AtMaturity:'मॅच्युरिटीच्या वेळी',
		RemainonDeposit:'ठेव राहा',
		'Automatically Renew':'स्वयंचलितपणे नूतनीकरण',
		Narrative :'गोष्ट',
		TransactionPinAlias:'तुमचा ट्रान्झॅक्शन पिन प्रविष्ट करा',
		NextInstalmentDate:'पुढील हप्त्याचेपुनरुज्जीवन दिनांक',
	},
	RIConfWithNomSuccess :{
		Header: 'नवीन पुनर्गुंतवणुकीवर ठेव - यशस्वी',
		AccountNo :'आपले ठेव A / C कर्मांक आहे',	
	},
	NewRecurringDeposit :{
		Header: 'नवीन आवर्ती ठेव',
		InterestRateLink: 'पहा व्याज दर',
		RecurringDepositFrequency :'आवर्ती ठेव वारंवारता',	
		PreferredDateForInstallment :'हप्ता डेबिट साठी प्राधान्य दिलेली तारीख',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'आवर्ती ठेव वारंवारता',
		Monthly :'मासिक',
		InstallmentDebitDay :'हप्ता डेबिट दिवस',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'आवर्ती ठेव वारंवारता',
		Monthly :'मासिक',
		InstallmentDebitDay :'हप्ता डेबिट दिवस',
	},
	NRDConfWONomSuccess :{
		Header: 'नवीन ठेव - यशस्वी',
		AccountNo :'आपले ठेव A / C कर्मांक आहे',	
	},
	NRDConfWithNomSuccess :{
		Header: 'नवीन  ठेव - यशस्वी',
		AccountNo :'आपले ठेव A / C कर्मांक आहे',	
	},
	DepositList:{
		RecurringDeposits: 'आवर्ती ठेवी',
		InstallmentAmount: 'हप्ता रक्कम:',
		DepositAmount:'ठेव रक्कम:',
		ReinvestmentDeposits :'पुनर्गुंतवणुकीवर ठेवी',
		RegularIncomeDeposits:'नियमित उत्पन्न ठेवी',
	},
	RDDetailScreen :{
		Product:'उत्पादन',
		InstallmentAmount:'हप्ता रक्कम',
		CurrentBalance :'चालू शिल्लक',
		OpeningDate :'उघडण्याच्या तारीख',
		MaturityAmount:'मॅच्युरिटी रक्कम',
		Last5Trans :'शेवटचे 5 व्यवहार',
		DetailStatement :'तपशीलवार विवरण',
		CloseAccount :'खाते बंद करा',
	},
	ReInvtDetailScreen :{
		Product:'उत्पादन',
		InstallmentAmount:'हप्ता रक्कम',
		CurrentBalance :'चालू शिल्लक',
		OpeningDate :'उघडण्याच्या तारीख',
		MaturityAmount:'मॅच्युरिटी रक्कम',
		Last5Trans :'शेवटचे 5 व्यवहार',
		DetailStatement :'तपशीलवार विवरण',
		CloseAccount :'खाते बंद करा',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'तपशीलवार विवरण',
		SelectAccount:'खाते निवडा',
		FromDate:'तारीख पासून',
		ToDate:'तारीख करण्यासाठी',
	},
	DetailDepositStatement :{
		AccountNo :'खाते क्रमांक',
		Narration :'वर्णन',
	},
	CloseDepositReq :{
		CloseDeposit :'बंद करा ठेव',
		SelectFDAccount:'मुदत ठेव खाते निवडा',
		SelectFundTransferAccount:'निवडा निधी हस्तांतरण खाते',
		Narrative:'गोष्ट',
	},
	CloseDepositConfirmation :{
		Header:'बंद करा ठेव - पुष्टीकरण',
		RedemptionAmount:'परताव्यास रक्कम',
		PenaltyAmount:'दंड रक्कम',
		FDAccount:'मुदत ठेव खाते',
		ToAccount:'खाते',
		Narration :'वर्णन',
	},
	CloseDepositSuccess:{
		Header :'बंद करा ठेव - यशस्वी',
		DepositclosureSuccessful:'ठेव बंद यशस्वी',
	},
	TransferMenu:{
		ManageBeneficiaries:'लाभार्थी व्यवस्थापित करा',	
		TransferBetweenOwnAccounts :'स्वत: च्या खाती दरम्यान ट्रान्सफर',
		TransferThirdPartyWithinBank:'बँक आत थर्ड पार्टी हस्तांतरित',
		TransferDifferentBank :'थर्ड पार्टी इतर बँक हस्तांतरित',
		ImmediatePaymentService:'झटपट पेमेंट सेवा ( मी पी शेन एम )'
	},
	IMPSMenu:{
		GenerateMMID:'एम एम मी डी प्रविष्ट पुनर्प्राप्त / व्युत्पन्न',
		CancelMMID :'एम एम मी डी प्रविष्ट रद्द करा',
		TransferMMID :'ट्रान्सफर आणि एम एम मी डी प्रविष्ट पाप',
	},
	GenerateMMID:{
		Account : 'खाते',
		MobileNo:'मोबाइल नं.',
	},
	GenerateMMIDConf:{
		Header:'व्युत्पन्न / पुनर्प्राप्त MMID - पुष्टीकरण',
		MMIDText :'एम एम मी डी प्रविष्ट ( मोबाइल मनी आयडेंटिफायर ) मी एम पी एस पी 2 प हस्तांतरण प्रकार द्वारे आपल्या खात्यात निधी प्राप्त करण्यासाठी निर्माण करणे आवश्यक एक वेळ कोड आहे.'
	},
	GenerateMMIDSucc :{
		Header:'एम एम मी डी प्रविष्ट पुनर्प्राप्त / व्युत्पन्न करा - यशस्वी',
		MMID :'एम एम मी डी',
		linkAccount :'खाते दुवा साधला गेला आहे',
	},
	CancelMMIDConf:{
		Header :'एम एम मी डी प्रविष्ट रद्द करा - पुष्टी',
		CancelMMIDText :'आपण एम एम मी डी प्रविष्ट रद्द केल्यानंतर एम एम मी डी प्रविष्ट या खात्यात पैसे प्राप्त करण्यास सक्षम होणार नाही',
		GenerateMMIDText :'या खात्यासाठी एम एम मी डी प्रविष्ट निर्माण करण्यासाठी, कडे जा व्युत्पन्न / एम एम मी डी प्रविष्ट करा पुनर्प्राप्त',
		MultipleMMIDText :'अनेक एम एम मी डी चे त्याच खाते क्रमांक व्युत्पन्न केले जाऊ शकत नाही',
	},
	CancelMMIDSucc :{
		Header:'एम एम मी डी प्रविष्ट रद्द करा - यशस्वी',
		MMIDLinkText:'एम एम मी डी प्रविष्ट खात्याशी लिंक',
		CancelText:'रद्द करण्यात आली आहे',
	},
	IMPSP2P :{
		Header :'लाभार्थी मोबाइल व एम एम मी डी प्रविष्ट करण्यासाठी निधी हस्तांतरण',
		BeneficiaryMobileNo:'लाभार्थी मोबाइल नं',
		BeneficiaryMMID:'लाभार्थी MMID',
		Remarks:'शेरा',
	},
	IMPSP2PConf :{
		Header :'मी एम पी एस पी 2 प - पिन पडताळणी',
		SecretQuestion :'गुप्त प्रश्न',
	},
	IMPSP2PSucc :{
		Header :'निधी हस्तांतरण - यशस्वी',
		ReferenceNumber :'आपले संदर्भ क्रमांक आहे',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'बँक आत लाभार्थी जोडा',
		AddBeneficiaryDifferentBank :'लाभार्थी विविध बँक जोडा',
		ViewBeneficiaryWithinBank:'बँक आत पहा / संपादित करा लाभार्थी',
		ViewBeneficiaryOtherBank:'पहा / संपादीत लाभार्थी इतर बँक',
	},
	AddBeneWithinBank :{
		Header :'नवीन लाभार्थी जोडा - बँक आत',
		BeneficiaryName:'लाभधारकाचे नाव',
		NickName :'निक नाव',
		FundTransferLimit:'निधी हस्तांतरण मर्यादा',
		LimitMax:'मर्यादा (कमाल',
		AccountNo :'खाते क्रमांक',
		ConfirmAccountNo:'खाते पुष्टी करा',
	},
	AddBeneWithinBankConf:{
		Header :'लाभार्थी जोडा - पुष्टीकरण',
		AccountNameText :'बँक रेकॉर्ड नुसार नाव खाते',
		Limit : 'मर्यादा',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'नवीन लाभार्थी जोडा - यशस्वी',
		BeneficiaryAddedLine1:'आपले नवीन लाभार्थी जोडले गेले आहे आणि नंतर सक्रीय केले जाईल',
		BeneficiaryAddedLine2:'तास ज्यानंतर आपण निधी हस्तांतरण ते वापरू शकता. आपण पहा लाभार्थी पृष्ठावरील लाभार्थी स्थिती तपासू शकता',
	},
	AddBeneInterBank :{
		Header :'नवीन लाभार्थी जोडा - विविध बँक',
		EmailId:'ई-मेल आयडी',
		Address:'पत्ता',
		State :'राज्य',
		City :'शहर / जिल्हा',
		Pincode:'पिन कोड',
	},
	AddBeneInterBankConf :{
		Header : 'लाभार्थी जोडा - पुष्टीकरण',
		IFSC :'आयएफएससी',
		BankName:'बँकेचे नांव',
		BranchName:'शाखा नाव',
		Branch :'शाखा',
		Email:'ईमेल',
		City:'शहर',
		Phone : 'फोन',
		Bank :'बँक',
		BankBranch :'बँक शाखा',
	},
	AddBeneInterBankConfSuccess :{
		Header :'नवीन लाभार्थी जोडा - यशस्वी',
	},
	SearchIFSC :{
		Header :'आयएफएससी कोड मिळविण्यासाठी एक मोड निवडा',
		IFSCcode:'आयएफएससी कोड',
		BankCodeCity :'बँक कोड आणि सिटी',
	},
	IFSCByCode:{
		EnterIFSCcode : 'आयएफएससी कोड प्रविष्ट करा'
	},
	IFSCByBankCity :{
		BankCode:'बँक कोड',
	},
	IFSCBankList :{
		IFSCList:'आयएफएससी यादी',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'सक्रिय लाभार्थी',
		PendingBeneficiaries:'प्रलंबित लाभार्थी',
	},
	IntraBankBenDetailActive:{	
		Status: 'स्थिती',
		Active :'सक्रिय',
		ModifyBeneficiary:'लाभार्थी संपादीत',
		DeleteBeneficiary:'लाभार्थी हटवा',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'प्रलंबित सक्रियन',
	},
	ModifyBenWithinSuccess:{
		Header :'लाभार्थी सुधारित - यशस्वी',
		BeneficiarySuccessText :'लाभार्थी यशस्वीरित्या संपादित केले गेले आहे',
	},
	DeleteBenWithinConf :{
		Header : 'लाभार्थी हटवा - पुष्टीकरण',
	},
	DeleteBenWithinSuccess :{
		Header :'लाभार्थी हटवा - यशस्वी',
		BeneficiaryDeletedText:'लाभार्थी यशस्वीरित्या हटविले',
	},
	ModifyBenInter:{
		BeneficiaryBank:'लाभार्थी बँक',
		BeneficiaryBankBranch:'लाभार्थी बँकेतून',
	},
	ProfileMenu:{
		MyProfile:'माझी माहिती',
		ChangeLoginPin:'बदला लॉग-इन पिन',
		ChangeTransactionPin :'बदला व्यवहार पिन',
	},
	MyProfile:{
		CustomerProfile:'ग्राहक प्रोफाइल',
		Name :'नाव',
		Mobile : 'मोबाइल',
		Email :'ईमेल',
		Address : 'पत्ता',
		City :'सिटी',
		State :'राज्य',
		Country :'देश',
		Zip :'पिन',
	},
	ChangeMPINConfirm :{
		Header :'लॉग-इन पिन बदला - यशस्वी',
		LoginPinChangedText:'लॉग-इन पिन यशस्वीरित्या बदलले . कृपया पुन्हा लॉगिन करा .'
	},
	ChangeTPINConfirm :{
		Header :'व्यवहार पिन बदला - यशस्वी',
		TransactionPinChangedText:'व्यवहार पिन यशस्वीरित्या बदलले .'
	},
	ServicesMenu:{
		ChequeBookRequest:'धनादेश पुस्तिका विनंती',
		ChequeStatusInquiry :'चेकच्या स्थितीची चौकशी',
		StopCheque :'थांबवा धनादेश',
		Account :'खाते'
	},
	CBRConfirmation :{
		Header:'चेक बुक विनंती - पुष्टीकरण',
		ChequeBookConfirmText :'चेक बुक खाते विनंती केली जाईल',
		ChequeBookLine1 :'लागू शुल्क आपल्या खात्यात आकारले जाईल . शुल्क तपशीलासाठी बॅंकेच्या संचालक वेबसाइटवर शुल्क विभाग भेट द्या',
		ChequeBookLine2 :' धनादेश  7 दिवसांच्या आत तुमच्या नोंदणीकृत मेल पत्ता वितरीत केले जातील' 
	},
	CBRSuccess :{
		Header :'चेक बुक विनंती - यशस्वी',
		RequestAccepted :'एक धनादेश पुस्तिकेची आपली विनंती स्वीकारले गेले आहे',
	},
	CheckChqStatus:{
		Cheques:'धनादेश',
		ChequeStatus:'धनादेश स्थिती',
		ChequeNo:'धनादेश क्रमांक',
		StartChequeNo:'प्रारंभ धनादेश क्रमांक',
		EndChequeNo:'समाप्त धनादेश क्रमांक',
		Status : 'स्थिती',
		Reason :'कारण',
	},
	StopChqConfirmation :{
		Header : 'थांबवा धनादेश - पुष्टीकरण',
		Type :'प्रकार',
	},
	StopChqResponse :{
		Header : 'धनादेश थांबवा - यशस्वी',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'तपशीलवार विवरण',
		AccountNo :'खाते क्रमांक',
		FromDate :'तारीख पासून',
		ToDate :'तारीख करण्यासाठी',
	},
	DetailAccountStatement :{
			Balance :'शिल्लक',
	},
	FT2OwnAccount:{
		Header :'स्वत: चे खाते करण्यासाठी निधी हस्तांतरण',
		ToAccount : 'खाते',
		Amount : 'रक्कम',
	},
	FTConfirmation :{
		Header : 'निधी हस्तांतरण - पुष्टीकरण',
	},
	FTSuccess :{
		Header :'निधी हस्तांतरण - यशस्वी',
		ReferenceNumber : 'निधी हस्तांतरण - यशस्वी',
	},
	FT2OwnBeneficiary:{	
		Header :'बँक आत थर्ड पार्टी करण्यासाठी निधी हस्तांतरण',
		Beneficiary :'लाभार्थी',
	},
	FTConfirmBeneficary :{
		Header :'निधी हस्तांतरण - पुष्टीकरण',
		BeneficiaryName :'लाभधारकाचे नाव',
		BeneficiaryNickName:'लाभार्थी निक नाव',
		BeneficiaryAccount:'लाभार्थी खाते',
	},
	FT2InterBankBen :{
		Header :'विविध बँक थर्ड पार्टी करण्यासाठी निधी हस्तांतरण',
		TransactionType :'व्यवहार प्रकार',
		TotalCharges :'एकूण शुल्क ( सहित. कर )',
	},
	ContactUs :{
		Header : 'आमच्याशी संपर्क साधा',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'फोन',
		Email :'ई-मेल',
		Website :'वेबसाइट',
	},
	MiniStatement:{
		Credit :'क्रेडिट',
		Debit :'डेबिट',
	},
	CardList:{
		Header :'कार्ड',
	},
	CardDetailScreen :{
		LinkedAccountNo :'लिंक्ड खाते',
		ExpiryDate :'कालावधी समाप्ती तारीख',
		AvailableBalance:'शिल्लक उपलब्ध',
		HotlistCard:'हॉट लिस्ट कार्ड',
	},
	HotListCardConf:{
		Header :'हॉट लिस्ट कार्ड - पुष्टीकरण',
		CardNo:'कार्ड क्रमांक',
	},
	HotListCardSuccess:{
		Header :' हॉट लिस्ट कार्ड - यशस्वी',
		SuccessText:'कार्ड हॉट यशस्वीरित्या सूचीबद्ध',
	},
	MiniStatement:{
		Credit :'क्रेडिट',
		Debit :'डेबिट',
	},
	Settings:{
		Header:'भाषा',
	},
	Language:{
		Header:'आपली भाषा निवडा',
		Label:'भाषा बदला',
		Settings:'सेटिंग्ज',
	},
	LanguageSuccess :{
		Header:'आपली भाषा बदलली गेली आहे',
	},
	progressInfo:{
		ValidatinMobileProgress:'तपासणी . कृपया थांबा..',
		Registering:'नोंदणी . कृपया थांबा...',
		PleaseWait:'कृपया थांबा...',
	},
	getBranchDetail :{
		selectCity:'शहर निवडा',
		selectState:'राज्य निवडा',
		map:'नकाशा',
		showList:'शाखा दाखवा',
		Navigation:'नेव्हिगेशन',
		BranchLocator:'शाखा शोधक',
		getDirections:'दिशा-निर्देश मिळवा',
		ContactNumber:'संपर्क क्रमांक',
		ContactPerson:'संपर्क व्यक्ती',
		branchLocations:'शाखा स्थाने',
	},
	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook सुरक्षितता पिन जोडा',
		SecurityPIN :'सुरक्षा पिन',		
		ConfirmSecurityPIN : 'सुरक्षितता पिन पुष्टी करा ',
	},
	activateMPBsuccess:{
		title:'mPassbook सेवा यशस्वीरित्या सक्रिय झाले. कृपया लॉगिन स्क्रीन तपासा.',
	},
	mPBLogin:{
		title:'mPassbook आपले स्वागत आहे'	
	},
	mPBMenu:{
		Accounts:'खाती',
		activateMPB:'साठी mPassbook खाते सक्रिय',
		download:'डाउनलोड',
	},
	mPBAccountList:{
		title:'नाही खात्यासाठी mPassbook सक्रिय'
	},
	mPBEnableAccount:{
		title:'खाते सक्रिय'	
	},
	mPBSettings:{
		title:'mPassbook सेटिंग',
		records:'प्रति पृष्ठ रेकॉर्ड संख्या',
	},
	mPBDownload:{
		title:'स्टेटमेंट डाउनलोड',
		SelectCategory:'श्रेणी निवडा',
		Month:'महिना',
		Year:'वर्ष',
	},
	mStatement:{
		Search:'शोध',
		Date:'तारीख',
		Particulars:'तपशील',
		Withdrawal :'पैसे काढणे',
		Deposit:'ठेव',
		Balance:'शिल्लक',
		Notes:'टिपा',
		Remarks:'शेरा',
		Category:'वर्ग',
	},
	addNotesForPassbook:{
		title:'नोट्स जोडा',
	},

	Remarks:'शेरा',
	Category:'वर्ग',
	/*
	Hindi:'हिंदी',
	English:'इंग्रजी',
	Marathi:'मराठी',
	Bengali:'बंगाली',
	Gujrati:'गुजराती',
	Kannada:'कन्नड',
	Malayalam:'मल्याळम',
	Tamil:'तामिळ',
	Telagu:'तेलगु',
	Punjabi:'पंजाबी',
	*/
	DCSecQuestions:{
		Title:'सुरक्षा प्रश्न',
		Question: 'गुप्त प्रश्न निवडा ',
		Answer:'गुप्त उत्तर ',
	},
	ChangeSecQuestions:{
		Title:'सुरक्षा बदला प्रश्न',
	},
	ChangeSecQuestionsSuccess:{
		Title:'सुरक्षा प्रश्न बदला - यशस्वी',
		Status:'आपण यशस्वीरित्या आपल्या गुप्त प्रश्न व त्यांची उत्तरे अद्ययावत आहे.',
	}
};

//Hindi
var translations_hn = {
	common:{
 	info:'जानकारी',
 	exitApp:'ESAF मोबाइल बैंकिंग का उपयोग कर के लिए धन्यवाद। आप अनुप्रयोग से बाहर करना चाहते हैं?',
 	mobileValidation :'मोबाइल मान्यकरण',
 	registerMobile :'पंजीकृत मोबाइल से कोई रजिस्टर कृपया',
 	mobileValidationError :'मोबाइल का सत्यापन नहीं किया जा सकता है। कृपया बाद में पुन: प्रयास करें।',
 	errorMessage:'त्रुटि हुई कृपया फिर कोशिश करें।',
 	error :'त्रुटि',
 	internetDisconnectMessage:'इंटरनेट से अपने डिवाइस पर काट दिया है ।',
 	internetDisconnect :'इंटरनेट डिस्कनेक्ट किया गया',
 	update:'अपडेट',
 	updateMessage:'इस नवीनतम संस्करण के लिए आवेदन को अद्यतन करेगा। जारी रहना?',
 	selectMaturityAmount:'कृपया क्रेडिट परिपक्वता राशि के लिए खाते का चयन करें',
 	enterAccountNo:'वैध 12 अंकीय खाता संख्या दर्ज करें',
 	enterCustomerNo:'वैध 12 अंकों ग्राहक आईडी दर्ज करें',
 	fromAccToAccMesg:'खाते और खाते में ही नहीं हो सकता',
 	pin:'पिन',
 	pinMandatory:'6 अंकों का पिन अनिवार्य है',
 	currentPinNewPinMesg:'वर्तमान पिन और न्यू लॉग इन पिन 6 अंकों का होना चाहिए',
 	currentPinNewPinNotMatch:'नया लॉगिन पिन और लॉगिन पिन की पुष्टि मेल नहीं खाते',
 	currentPinNewPinSame:'नया लॉगिन पिन और वर्तमान लॉगिन पिन ही नहीं हो सकता',
 	currentPinTransPinMesg:'वर्तमान पिन और नया सौदा पिन 6 अंकों का होना चाहिए',
 	currentPinTransPinNotMatch:'नया सौदा पिन और पुष्टि लेनदेन पिन मेल नहीं खाते',
 	currentPinTransPinSame:'नया सौदा पिन और वर्तमान लेनदेन पिन ही नहीं हो सकता',
 	loginPinConfirmPinMesg:'पिन लॉगिन और पुष्टि लॉग इन पिन 6 अंकों का होना चाहिए',
 	loginPinConfirmPinNotMatch:'पिन लॉगिन और लॉगिन पिन की पुष्टि मेल नहीं खाते',
 	TransPinConfirmTransPinMesg:'लेनदेन पिन और लेनदेन की पुष्टि पिन 6 अंकों का होना चाहिए',
 	TransPinConfirmTransPinNotMatch:'लेनदेन पिन और लेनदेन की पुष्टि पिन मेल नहीं खाते',
 	loginPinTransPinNotSame:'पिन लॉगिन और लेनदेन पिन ही नहीं हो सकता',
 	selectLoginOrTransPin:'कृपया या तो प्रवेश या transation पिन का चयन',
 	TransPinMandatory:'6 अंकों लेनदेन पिन अनिवार्य है',
 	SyncMesg:'डेटा सिंक्रनाइज़ किए जा रहे । कृपया प्रतीक्षा करें...',
 	SyncData:'सिंक डेटा',
 	NoDataSync:'कोई डेटा सिंक्रनाइज़ करने के लिए उपलब्ध है।',
 	SyncSuccess:'सिंक सफलता',
 	SyncSuccessMesg:'सभी डेटा को सफलतापूर्वक समन्वयित ।',
 	Logout:'लोग आउट',
 	logoutConfirm:'क्या आप लॉग आउट करना चाहते हैं',
 	AreYouSure:'क्या आप यकीन कर रहे हैं। जारी रहना?',
 	NoData:'कोई डेटा उपलब्ध नहीं है',
 	Jan:'जनवरी',
 	Feb:'फ़रवरी',
 	Mar:'मार्च',
 	Apr:'अप्रैल',
 	May:'मई',
 	Jun:'जून',
 	Jul:'जुलाई',
 	Aug:'अगस्त',
 	Sep:'सितम्बर',
 	Oct:'अक्टूबर',
 	Nov:'नवम्बर',
 	Dec:'दिसम्बर',
 	Issued:'जारी किया गया',
 	Paid:'भुगतान किया है',
 	Void:'शून्य',
 	Stopped:'रोका हुआ',
 	InvalidChequeNo:'अमान्य चैक नहीं',
 	smsVerify:'एप्लिकेशन मोबाइल no.Please क्लिक करें सत्यापित करने के लिए एक एसएमएस भेज देंगे।',
 	existingCustomer:'मौजूदा ग्राहक',
 	generatedMesg:'इससे पहले कि आप पहले से ही एक पिन उत्पन्न किया है। आप एक ही या सेटअप एक नया एक का उपयोग जारी रखना चाहते हैं?',
 	TransAmountExceeds:'सौदे की राशि लाभार्थी अधिकतम सीमा से अधिक',
 	CutOffExceeded:'कटऑफ पार हो गई',
 	HolidayMesg:'लेनदेन के रूप में यह एक छुट्टी पर या दिन के लिए कटऑफ समय के बाद शुरू किया गया है संसाधित नहीं किया जा सकता है। आप अभी भी जारी रखना चाहते हैं ? आप का चयन हाँ, यह अगले कार्य दिवस पर कार्रवाई हो जाएगी तो',
 	ConnectionFailure:'कनेक्शन विफलता',
 	failureMesg:'कनेक्शन उपलब्ध नहीं बैंक के लिए । कृपया बाद में पुन: प्रयास करें।',
 	btnLogin : 'लॉगिन',
 	btnNext : 'अगला',
 	btnCancel: 'रद्द करना',
 	btnSubmit: 'जमा करें',
 	btnBack: 'वापस',
	btnDownload : 'डाउनलोड' ,
	createMstatement : ' mStatement सफलतापूर्वक बनाया गया। ',
	Loading : ' लोड हो रहा है ...',
	savedSettings : 'सेटिंग सफलतापूर्वक बचाया। ',
	accountExit : 'चुने accountNo पहले से ही mPassbook के लिए सक्रिय हो जाता है ',
	InvalidMPB : ' अमान्य mPassbook साख ',
	mPBSync : ' सिंक सफलतापूर्वक mPassbook ',
	mPBAccountActivate : 'mPassbook के लिए सफलतापूर्वक सक्रिय खाता  । खातों में जाँच करें ',
	ValidatingMobileNo:'मान्य मोबाइल नंबर',
	ftlimit:'अधिकतम फंड ट्रांसफर की सीमा के ₹ 5,00,000 है',
	OTPLbl:'ओटीपी दर्ज करें',
	OTP:'ओटीपी',
	Unsuccessful:'असफल'
 },
 errorCodes : {
	"-1" : "कोई त्रुटि हुई है , बाद में कोशिश करें।",
	"300" : "आप आवेदन के एक पुराने संस्करण का उपयोग कर रहे हैं। दुकान से नवीनतम एप्लीकेशन को डाउनलोड करें",
	"400" : "डिवाइस सक्रिय नहीं है ग्राहक नं इस डिवाइस को सक्रिय करने के लिए रजिस्टर कृपया",
	"401" : "डिवाइस सक्रिय नहीं है ग्राहक नं इस डिवाइस को सक्रिय करने के लिए रजिस्टर कृपया",
	"1001" : "अमान्य प्रवेश करना प्रत्यायक। आपका खाता 3 अमान्य प्रयासों के बाद बंद कर दिया जाएगा ।",
	"1002" : "अमान्य डेबिट कार्ड के विवरण । कृपया फिर से दर्ज करें।",
	"1003" : "अमान्य नेटबैंकिंग क्रेडेंशियल। कृपया फिर से दर्ज करें।",
	"1004" : "लॉगिन करें और लेनदेन पिन 6 अंक होने चाहिए।",
	"1005" : "अमान्य ग्राहक आईडी या ग्राहक मोबाइल बैंकिंग के लिए पहुँच नहीं है ।",
	"1006" : "अवैध खाता संख्या या ग्राहक मोबाइल बैंकिंग के लिए पहुँच नहीं है ।",
	"1007" : "हमारे सत्र समाप्त हो गया है । दोबारा लॉगिन करें।",
	"1008" : "हमारे सत्र समाप्त हो गया है । दोबारा लॉगिन करें।",
	"1009" : "कोई खातों ग्राहक आईडी के लिए उपलब्ध",
	"1010" : "अवैध खाता सं",
	"1011" : "अमान्य लॉगिन पिन",
	"1012" : "लॉग इन पिन और पिन लेनदेन में ही नहीं हो सकता है।",
	"1013" : "कोई लेनदेन खाते के लिए पाया का चयन किया।",
	"1014" : "फंड ट्रांसफर के लिए प्रवेश विवरण अमान्य हैं। सही जानकारी दर्ज करें।",
	"1015" : "फंड ट्रांसफर असफल",
	"1016" : "अवैध लेनदेन पिन",
	"1017" : "ग्राहक पहले से ही मोबाइल बैंकिंग के लिए दर्ज की गई। लॉगिन या भूल गया पासवर्ड का प्रयास करें।",
	"1018" : "ग्राहक आईडी नहीं मौजूद है ।",
	"1019" : "ग्राहक आईडी और / या खाता नहीं अमान्य हैं।",
	"1020" : "एक ही खाते में स्थानांतरित नहीं कर सकते ।",
	"1021" : "विस्तृत बयान के लिए प्रवेश किया पैरामीटर सही नहीं हैं।",
	"1022" : "चेक बुक के लिए अनुरोध पहले से ही मौजूद है।",
	"1023" : "गलत लॉगिन पिन में प्रवेश किया। कृपया फिर से दर्ज वर्तमान लॉगिन पिन ।",
	"1024" : "लॉगिन करें और लेनदेन पिन ही नहीं हो सकता। एक अलग पिन का प्रयास करें।",
	"1025" : "गलत पिन लेनदेन में प्रवेश किया। कृपया फिर से दर्ज वर्तमान लेनदेन पिन ।",
	"1026" : "जमा असफल के बंद हो। बाद में कोशिश या कस्टमर केयर से संपर्क करें।",
	"1027" : "कोई कार्ड ग्राहकों के लिए मौजूद है। संपर्क ग्राहक सेवा एक कार्ड के लिए आवेदन करने के लिए।",
	"1028" : "अवैध कार्ड सं",
	"1029" : "कार्ड गर्म लिस्ट में विफल। कृपया पुन: प्रयास करें।",
	"1030" : "अमान्य चैक नहीं या चेक रेंज।",
	"1031" : "कोई लाभार्थियों को मिला। लाभार्थी एक लाभार्थी जोड़ने के लिए जोड़ें पर क्लिक करें।",
	"1032" : "कोई एनईएफटी / आरटीजीएस Beneficiarys । लाभार्थी एक लाभार्थी जोड़ने के लिए जोड़ें पर क्लिक करें।",
	"1033" : "लाभार्थी को जोड़ने में विफल रहा है । कृपया पुन: प्रयास करें।",
	"1034" : "कोई बैंकों मौजूद हैं।",
	"1035" : "लाभार्थी का विलोपन में विफल रहा है ।",
	"1036" : "नहीं जमा खाते पाया जाता है।",
	"1037" : "त्रुटि हुई। जमा बंद करने के लिए विवरण नहीं मिल सका।",
	"1039" : "लाभार्थी के खाते में प्रवेश किया अमान्य है।",
	"1040" : "जमा नहीं बनाया जा सका । बाद में कोशिश करें।",
	"1042" : "कोई एमएमआईडी खाते से लिंक से चयनित",
	"1043" : "आईएमपीएस फंड ट्रांसफर असफल ।",
	"1044" : "अकाउंट बंद कर दिया है । फिर से रजिस्टर करें।",
	"1045" : "गलत लॉगिन पिन में प्रवेश किया। कृपया फिर से दर्ज वर्तमान लॉगिन पिन ।",
	"1046" : "संशोधित लाभार्थी विफल रहा है। कृपया पुन: प्रयास करें।",
	"1047" : "आपका मोबाइल नंबर बैंक के साथ पंजीकृत एक के साथ मेल नहीं खाता। के रूप में बैंक के पास पंजीकृत मोबाइल नंबर के साथ डिवाइस से रजिस्टर करें।",	
	"1050" : "लाभार्थी खाता नहीं दर्ज की गई अमान्य है ",
	"1051" : "ग्राहक आईडी दर्ज किया अमान्य है या मोबाइल बैंकिंग के लिए पहुँच नहीं है  या खाता नहीं दर्ज की गई अमान्य है या मोबाइल बैंकिंग के लिए पहुँच नहीं है ",
},
	//combo changes
	'All Funding Account Holders':'सब धन खाताधारकों',
	'Transfer to Another Account':'एक अन्य खाते में स्थानांतरित',
	'For Self Only':'स्वयं के लिए केवल',
	No:'नहीं',
	Yes:'हाँ',
	'Automatically Renew':'स्वचालित रूप से नवीनीकृत',
	AndamanandNicobar:'अण्डमान और निकोबार',
	'Chhattisgarh':'छत्तीसगढ़',
	'Andhra pradesh':'आंध्र प्रदेश',
	ArunachalPradesh:'अरुणाचल प्रदेश',
	Assam:'असम',
	Bihar:'बिहार',
	Chandigarh:'चंडीगढ़',
	DamanandDiu:'दमन और दीव',
	Delhi:'दिल्ली',
	DadraandNagarHaveli:'दादरा और नगर हवेली',
	'Goa':'गोवा',
	Gujarat:'गुजरात',
	'Himachal Pradesh':'हिमाचल प्रदेश',
	Haryana:'हरयाणा',
	Jharkhand:'झारखंड',
	'Jammu &amp; Kashmir':'जम्मू और कश्मीर',
	Karnataka:'कर्नाटक',
	Kerala:'केरल',
	Lakshadweep:'लक्षद्वीप',
	Maharashtra:'महाराष्ट्र',
	Meghalaya:'मेघालय',
	Manipur:'मणिपुर',
	'Madhya Pradesh':'मध्य प्रदेश',
	Mizoram:'मिजोरम',
	Nagaland:'नगालैंड',
	Odisha:'ओडिशा',
	Punjab:'पंजाब',
	Puducherry:'पुडुचेरी',
	Rajasthan:'राजस्थान',
	Sikkim:'सिक्किम',
	Telangana:'तेलंगाना',
	'Tamil Nadu':'तमिलनाडु',
	Tripura:'त्रिपुरा',
	Uttarakhand:'उत्तराखंड',
	'Uttar Pradesh':'Uttar Pradesh',
	'West Bengal':'पश्चिम बंगाल',
	LoansMenu:{
		LoanAmtStmt:'ऋण खाता विवरण',
		LoanDetailStmt:'ऋण विवरण विवरण',
		Loanreqstcertificate:'ऋण ब्याज प्रमाण पत्र',
		Title:'ऋण'
	},
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'मोबाइल बैंकिंग पंजीकरण करने के लिए आपका स्वागत है',
		Line1:'आप अपने डिवाइस रजिस्टर और आप इस सुविधा का उपयोग करने के लिए शुरू करने से पहले अपने मोबाइल बैंकिंग प्रमाणीकरण साख निर्धारित करने की जरूरत है',
		Line2:'इस डिवाइस के मोबाइल नंबर (मल्टी सिम उपकरणों के मामले में प्राथमिक सिम कार्ड) बैंक के साथ अपने पंजीकृत मोबाइल नंबर के रूप में ही है कि सुनिश्चित करें',
		Line3:'अपनी पहचान स्थापित करने के लिए, आप अपने नेट बैंकिंग अकाउंट या अपने डेबिट कार्ड के लिए या तो सत्यापन श्रेय प्रदान करने की आवश्यकता होगी',
		Line4:'पंजीकरण के बाद, आप केवल इस डिवाइस से मोबाइल बैंकिंग का उपयोग कर सकते हैं। यदि आप भविष्य में अपनी डिवाइस को बदलने की इच्छा मामले में, आप नई डिवाइस से फिर से रजिस्टर करने की आवश्यकता होगी',
		iAgree:'मैं इस वेबसाइट में उल्लेख नियम और शर्तों से सहमत',
		Line5:'मैं अपने खाते / खातों के लिए सरस्वती बैंक से मोबाइल बैंकिंग सुविधा के लिए आवेदन करता हूं I मैं मोबाइल हैंडसेट पर किसी भी रूप में लॉगिन पासवर्ड और / या एमपीिन को साझा नहीं करेगा। उपरोक्त पासवर्ड की पूरी सुरक्षा मेरी ज़िम्मेदारी है और बैंक को मेरी तरफ से किसी भी समझौते के लिए जिम्मेदार नहीं माना जाएगा। मुझे पता है कि मुझे मोबाइल बैंकिंग सेवाओं का लाभ उठाने के लिए डेटा सेवाओं की सदस्यता लेने की आवश्यकता है।'
	},
registration:{
		Title1:'ग्राहक आईडी दर्ज करें',
		Title2:'ग्राहक आईडी',
		Title3:'एक पंजीकरण विकल्प चुनें',
		Title4:'नेटबैंकिंग',
		Title5:'डेबिट कार्ड',
		Title6:'मौजूदा ग्राहक',
		
	},	
ValidateMobile : {
		ValidateMobileNo:'मोबाइल नं मान्य',
		validateMobTitle:'मोबाइल नंबर प्रमाणन'
	},

registrationDebitCard:{
		Header:'डेबिट कार्ड के विवरण',
		DCLabel:'डेबिट कार्ड संख्या',
		PINLabel:'पिन',
		ExpLabel:'समाप्ति माह',
		ExpYr:'समाप्ति की वर्ष',
		CVV:'सीवीवी'
	},
	debitPinSetup:{
		Header:'मोबाइल बैंकिंग पंजीकरण',
		CurrentLoginPin :'वर्तमान लॉगिन पिन',
		CurrentTransactionPin :'वर्तमान लेनदेन पिन',
		NewLoginPin:'नया लॉगिन पिन',
		NewLoginPinAlias:'नया लॉगिन पिन ( मिन 6 अंक )',
		ConfirmLoginPin:'लॉग इन पिन की पुष्टि',
		ConfirmLoginPinAlias:'इस बात की पुष्टि लॉग पिन ( मिन 6 अंक )',
		NewTransactionPin:'नया सौदा पिन',
		NewTransactionPinAlias:'नया सौदा पिन ( मिन 6 अंक )',
		ConfirmTransactionPin:'लेन-देन पिन की पुष्टि',
		ConfirmTransactionPinAlias:'इस बात की पुष्टि लेनदेन पिन ( मिन 6 अंक )',
		PleaseNote : 'कृपया ध्यान दें',
		NumericValue :' - अपना पिन के लिए एक 6 अंकों संख्यात्मक मान दर्ज करें।' ,
		SameConsecutiveDigits:'- यह अधिक से अधिक लगातार 2 अंक ही (जैसे 122,287 या 186,333 ) नहीं हो सकता',
		ConsecutiveDigitsSequence:'- यह क्रम में अधिक से अधिक लगातार 2 अंक (जैसे 123,845 या 987,253 ) नहीं हो सकता',
		SameGroupDigits : '- यह 2 अंकों की एक ही समूह में अधिक से अधिक 2 बार (जैसे 121,212 या 989,898 ) दोहराने को शामिल नहीं कर सकते',
	},
	RegistrationMethod:{
		Header:'रीसेट विकल्प चुनें',
		reg_meth_opt1:'नेटबैंकिंग',
		reg_meth_opt2:'डेबिट कार्ड'
	},
	RegistrationCompletion :{
		Congratulations:'बधाई',
		SuccessfullyComplete:'आप सफलतापूर्वक मोबाइल बैंकिंग पंजीकरण प्रक्रिया पूरी कर ली है ।',
		LoginLink:'अपने मोबाइल बैंकिंग सुविधा का उपयोग शुरू करने के लिए नीचे लॉग इन लिंक पर क्लिक करें ।',
	},
	ExistingCustPinSetup:{
		Header:'पिन सेटअप',
		existCustOp1:'नया लॉगइन पिन',
		existCustOp2:'लॉगिन पिन की पुष्टि करें',
		existCustOp3:'नया लेनदेन पिन',
		existCustOp4:'लेनदेन पिन की पुष्टि करें'
	},
	ExistingCustRegCompletion:{
		existCustRegCompOp1:'बधाई',
		existCustRegCompOp2:'आपने सफलतापूर्वक मोबाइल बैंकिंग पंजीकरण प्रक्रिया पूरी कर ली है।',
		existCustRegCompOp3:'कृपया अपनी मोबाइल बैंकिंग सुविधा का उपयोग शुरू करने के लिए नीचे दिए गए लिंक पर क्लिक करें।',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'नेट बैंकिंग साख',
		UserId : ' यूज़र आईडी',
		Password :'पासवर्ड',	
	},
	NBOTP:{
		Title:'ओटीपी दर्ज करें',
		OTP:'ओटीपी'
	},
	NBPinSetup:{
		Header:'पिन सेटअप',
		NewLoginPin:'नया लॉगिन पिन',
		NewLoginPinAlias:'नया लॉगिन पिन ( मिन 6 अंक )',
		ConfirmLoginPin:'लॉग इन पिन की पुष्टि',
		ConfirmLoginPinAlias:'इस बात की पुष्टि लॉग पिन ( मिन 6 अंक )',
		NewTransactionPin:'नया सौदा पिन',
		NewTransactionPinAlias:'नया सौदा पिन ( मिन 6 अंक )',
		ConfirmTransactionPin:'लेन-देन पिन की पुष्टि',
		ConfirmTransactionPinAlias:'इस बात की पुष्टि लेनदेन पिन ( मिन 6 अंक )',
		PleaseNote : 'कृपया ध्यान दें',
		NumericValue :' -अपना पिन के लिए एक 6 अंकों संख्यात्मक मान दर्ज.' ,
		SameConsecutiveDigits:'- यह अधिक से अधिक लगातार 2 अंक ही (जैसे 122,287 या 186,333 ) नहीं हो सकता',
		ConsecutiveDigitsSequence:'- यह क्रम में अधिक से अधिक लगातार 2 अंक (जैसे 123,845 या 987,253 ) नहीं हो सकता',
		SameGroupDigits : '- यह 2 अंकों की एक ही समूह में अधिक से अधिक 2 बार (जैसे 121,212 या 989,898 ) दोहराने को शामिल नहीं कर सकते',
	},
	NBRegistrationCompletion :{
		Congratulations:'बधाई',
		SuccessfullyComplete:'आप सफलतापूर्वक मोबाइल बैंकिंग पंजीकरण प्रक्रिया पूरी कर ली है.',
		LoginLink:'अपने मोबाइल बैंकिंग सुविधा का उपयोग शुरू करने के लिए नीचे लॉग इन लिंक पर क्लिक करें ।',
	},
	ForgotPinScreen1 :{
		ResetOption :'एक रीसेट विकल्प चुनें',
		Netbanking :'नेटबैंकिंग',
		DebitCard:'डेबिट कार्ड',
	},
	ForgotPINDebitCard:{
		Title:'पिन रीसेट - डेबिट कार्ड',
		DebitCardNumber :'डेबिट कार्ड संख्या',
		Pin:'पिन',
		ExpiryMonth:'समाप्ति माह',
		ExpiryYear : ' समाप्ति की वर्ष',
	},
	ForgotPINNetbanking:{
		Title : 'पिन रीसेट - नेट बैंकिंग',
		UserId :'यूज़र आईडी',
		Password : 'पासवर्ड',	
	},
	DebitForgotPinSetup:{
		Title : 'पिन रीसेट',
		ChangeLoginPin :'बदलें लॉग पिन',
		NewLoginPin:'नया लॉगिन पिन',
		NewLoginPinAlias:'नया लॉगिन पिन ( मिन 6 अंक )',
		ConfirmLoginPin:'लॉग इन पिन की पुष्टि',
		ConfirmLoginPinAlias:'इस बात की पुष्टि लॉग पिन ( मिन 6 अंक )',
		ChangeTransactionPin :'बदलें लेनदेन पिन',
		NewTransactionPin:'नया सौदा पिन',
		NewTransactionPinAlias:'नया सौदा पिन ( मिन 6 अंक )',
		ConfirmTransactionPin:'लेन-देन पिन की पुष्टि',
		ConfirmTransactionPinAlias:'इस बात की पुष्टि लेनदेन पिन ( मिन 6 अंक )',
		PleaseNote : 'कृपया ध्यान दें',
		NumericValue :' - अपना पिन के लिए एक 6 अंकों संख्यात्मक मान दर्ज करें।' ,
		SameConsecutiveDigits:'- यह अधिक से अधिक लगातार 2 अंक ही (जैसे 122,287 या 186,333 ) नहीं हो सकता',
		ConsecutiveDigitsSequence:'- यह क्रम में अधिक से अधिक लगातार 2 अंक (जैसे 123,845 या 987,253 ) नहीं हो सकता',
		SameGroupDigits : '- यह 2 अंकों की एक ही समूह में अधिक से अधिक 2 बार (जैसे 121,212 या 989,898 ) दोहराने को शामिल नहीं कर सकते',
	},
	NBForgotPinSetup:{
		Title : 'पिन रीसेट',
		ChangeLoginPin :'बदलें लॉग पिन',
		NewLoginPin:'नया लॉगिन पिन',
		NewLoginPinAlias:'नया लॉगिन पिन ( मिन 6 अंक )',
		ConfirmLoginPin:'लॉग इन पिन की पुष्टि',
		ConfirmLoginPinAlias:'इस बात की पुष्टि लॉग पिन ( मिन 6 अंक )',
		ChangeTransactionPin :'बदलें लेनदेन पिन',
		NewTransactionPin:'नया सौदा पिन',
		NewTransactionPinAlias:'नया सौदा पिन ( मिन 6 अंक )',
		ConfirmTransactionPin:'लेन-देन पिन की पुष्टि',
		ConfirmTransactionPinAlias:'इस बात की पुष्टि लेनदेन पिन ( मिन 6 अंक )',
		PleaseNote : 'कृपया ध्यान दें',
		NumericValue :' - अपना पिन के लिए एक 6 अंकों संख्यात्मक मान दर्ज करें।' ,
		SameConsecutiveDigits:'- यह अधिक से अधिक लगातार 2 अंक ही (जैसे 122,287 या 186,333 ) नहीं हो सकता',
		ConsecutiveDigitsSequence:'- यह क्रम में अधिक से अधिक लगातार 2 अंक (जैसे 123,845 या 987,253 ) नहीं हो सकता',
		SameGroupDigits : '- यह 2 अंकों की एक ही समूह में अधिक से अधिक 2 बार (जैसे 121,212 या 989,898 ) दोहराने को शामिल नहीं कर सकते',
	},
	DBForgotPINCompletion:{
		Congratulations:'बधाई',
		SuccessfullyComplete:'आपका पिन सफलतापूर्वक रीसेट कर दिया गया है.',
		LoginLink:'अपने मोबाइल बैंकिंग सुविधा का उपयोग शुरू करने के लिए नीचे लॉग इन लिंक पर क्लिक करें.',
	},
	NBForgotPINCompletion :{
		Congratulations:'बधाई',
		SuccessfullyComplete:'आपका पिन सफलतापूर्वक रीसेट कर दिया गया है.',
		LoginLink:'अपने मोबाइल बैंकिंग सुविधा का उपयोग शुरू करने के लिए नीचे लॉग इन लिंक पर क्लिक करें.',
	},
	ReLogin:{
		Title : 'स्वागत',
		LoginLabel : 'लॉग-इन पिन ',
		LoginLabelAlias:'आपके लॉगिन पिन दर्ज करें',
		ForgotPin : 'पिन भूल',
		Register : 'रजिस्टर',
		Version :'संस्करण',
		LoginRegister:'अब रजिस्टर / पिन भूल गए'
	},
	ExistingLogin:{
		lable:'मौजूदा लॉग इन',
		lableAlias:'लॉग इन पिन'
	},
	ExistingUserOTP:{
		lable:'ओटीपी दर्ज करें',
		lableAlies:'ओटीपी'
	},
	Menu:{
		LastLoginTime: 'अंतिम लॉग में:',
		TermDeposite :'सावधि जमा',
		TransactionAccounts :'लेन-देन लेखा',
		Transfers :'स्थानांतरण',
		Services : 'सेवाएं',
		Cards :'पत्ते',
		Profile :'प्रोफाइल',
		ContactUs:'हमसे संपर्क करें',
		Loans:'ऋण',
		ManagePayee:'भुगतानकर्ता को प्रबंधित करें'
	},
	TransferMenuLink:{
		FT2MN:'फंड ट्रांसफर - मोबाइल नंबर से',
		FT2ACCNO:'फंड ट्रांसफर - ए / सी नंबर के लिए',
		ImpsMarPay:'आईएमपीएस व्यापारी भुगतान',
		FTNEFT:'फंड ट्रांसफर एनईएफटी',
		GenMMID:'एमएम आईडी उत्पन्न करें',
		RetMMID:'एमएम आईडी पुनर्प्राप्त करें',
		CancMMID:'एमएम आईडी रद्द करें',
		ImpsWithINAcFTr:'खाता फंड अंतरण के भीतर आईएमपीएस'
	},
	FundTransToNEFT:{
		FTTNEE:'एनईएफटी को फंड ट्रांसफर',
		Amount:'रकम',
		Particulars:'विवरण (विशेष वर्णों की अनुमति नहीं है)',
		Payee:'भुगतानकर्ता चुनें',
		PaymentType:'भुगतान प्रकार चुनें',
		PaymentOption:'भुगतान विकल्प का चयन करें'
	},
	FundTransToNEFTSuccess:{
		Success:'एनईएफटी सफलता के लिए ट्रांसफर फंड'
	},
	ImpsWithinAccFundTrans:{
		Title:'अकाउंट फंड ट्रांसफर के अंतर्गत',
		FromAccount:'खाते से',
		ToAccount:'खाते में',
		AmountLbl:'रकम',
		AmountAlias:'आईएमपीएस राशि',
		ParticularsLbl:'विवरण (विशेष वर्णों की अनुमति नहीं है)',
		ParticularsAlias:'विवरण',
		TPin:'लेनदेन का पिन',
		Success:'खाता धन अंतरण सफलता'
	},
	GenerateMMIDInfo:{
		Title:'एमएम आईडी उत्पन्न करें',
		AmountLbl:'खाता',
		AmountAlias:'खाता क्रमांक',
		TPin:'लेनदेन का पिन',
		Success:'एमएम आईडी उत्पन्न - सफलता'
	},
	AccountList :{
		AvailableBalance :'उपलब्ध शेष राशि',
		CashCreditAccount :'नकदी ऋण खाते',
		CurrentBalance:'वर्तमान शेष',
		LoanAccount :'ऋण खाता',
		SavingAccount : 'बचत खाता',
		CurrentAccount : 'वर्तमान कारण',
	},
	PositivePay:{
		Title:'एकल चेक बुक प्रक्रिया',
		AccNumber:'खाता संख्या',
		ChequeNumber:'चेक नंबर',
		ChequeDate:'तिथि की जांच करें',
		PayTo:'को भुगतान',
		Amount:'रकम',
		TPin:'लेनदेन का पिन',
		Success:'एकल चेक बुक प्रक्रिया सफलता'
	},
	Cardservices:{
		GenDebitPin:'डेबिट कार्ड पिन उत्पन्न करें',
		BlockDebitCard:'डेबिट कार्ड ब्लॉक करें',
		UnblockDebitCard:'डेबिट कार्ड को अनवरोधित करें',
		Title:'कार्ड सेवा'
	},
	BranchStates:{
		Title:'शाखा स्थान',
		chooseState:'राज्य चुनें',
		chooseCity:'शहर चुनें',
		stateAlias:'राज्य',
		cityAlias:'शहर'
	},
	ATMStates:{
		Title:'एटीएम स्थान',
		chooseState:'राज्य चुनें',
		chooseCity:'शहर चुनें',
		stateAlias:'राज्य',
		cityAlias:'शहर'
	},
	SavCurrAccDetailScreen:{
		ClearBalance :'बैलेंस साफ़ करें',
		ImpsToMobile :' आईएमपीएस टू मोबाइल',
		ActualBalance:'वास्तविक बैलेंस',
		MiniStatement:'मिनी स्टेटमेंट',
		TransferToAccountNo:'ए / सी नंबर पर स्थानांतरण',
		IMPSMerchantPayment:'आईएमपीएस व्यापारी भुगतान',
		FundTransferNEFT:'फंड ट्रांसफर एनईएफटी'
	},
	CashCreditDetailScreen:{
		Product :'उत्पाद:',
		CreditLimit :'क्रेडिट सीमा',
		AvailableBalance :'उपलब्ध शेष राशि',
		CurrentBalance:'वर्तमान शेष',
		UnclearFunds :' मिलावटी फंड',
		AvailableCredit :'उपलब्ध ऋण',
		TotalAmountDue :'कुल शेष राशि',
		InterestRate :'ब्याज दर',
		Last5Trans :'अंतिम 5 लेन-देन',
		DetailStatement:'विस्तृत बयान',
	},
	LoanDetailScreen:{
		LoanAccountDetail:'ऋण खाता विस्तार',
		AccountNumber:'खाता संख्या',
		Name:'नाम',
		SanctionedAmount:'स्वीकृत राशि',
		EMI:'ईएमआई',
		ExpiryDate:'समाप्ति तिथि',
		OutstandingBalance:'बकाया राशि'
	},
	LoanDetailStatement:{
		Title:'ऋण खाता चुनें',
		LoanAccount:'ऋण खाता चुनें',
		LoanAccountAlias:'ऋण खाता',
		Duration:'चुनें अवधि',
		DurationAlias:'अवधि',
		FromDate:'तारीख से',
		ToDate:'तारीख तक',
		Success:'ऋण विस्तार विवरण - सफलता'
	},
	LoanRequestCertificate:{
		Title:'ऋण ब्याज प्रमाण पत्र',
		LoanAccount:'ऋण खाता चुनें',
		LoanAccountAlias:'ऋण खाता',
		Duration:'चुनें अवधि',
		DurationAlias:'अवधि',
		FromDate:'तारीख से',
		ToDate:'तारीख तक',
		Success:'ऋण ब्याज प्रमाण पत्र के लिए आपका अनुरोध सफलतापूर्वक रखा गया '
	},
	InterestRateConf:{
		Title:'ब्याज दर',
		Month:'महीना',
		Days:'दिन',
		Interest:'ब्याज',
		Period:'अवधि',
		Rate:'दर (%)',
		InterestDate:'ब्याज तिथि',
		InterestRate:'ब्याज दर'
	},
	RegularIncomeDepositConf:{
		Title:'ओपन जमा - पुष्टिकरण',
		TitleOpen:'नया जमा खाता खोलें',
		DepositLbl:'जमा प्रकार',
		DebitAccountNo:'डेबिट अकाउंट नंबर',
		DepositBranchAccount:'जमा शाखा और खाता',
		AmountofDeposit:'जमा राशि',
		TenureMonth:'कार्यकाल का महीना',
		TenureDay:'कार्यकाल दिवस',
		TransactionPIN:'लेनदेन का पिन',
		Success:'ओपन जमा - सफलता'
	},
	DepositDetailStatduraSucc:{
		Success:'विस्तार जमा विवरण - सफलता'
	},
	openDepositList:{
		Title:'जमा राशि'
	},
	DepositReceipt:{
		Title:'जमा रसीदें',
		Success:'विस्तृत जमा रसीद',
		ReceiptNumber:'रसीद संख्या',
		DateofReceipt:'प्राप्ति की तारीख',
		Balance:'बैलेंस',
		InterestRate:'ब्याज दर',
		MaturityAmount:'परिपक्वता राशि',
		MaturityDate:'परिपक्वता तिथि',
		LienAmount:'ग्रहणाधिकार राशि'
	},
	openDepositAccount:{
		debitAccCboFTILbl:'डेबिट खाते का चयन करें',
		depositAccCboFTILbl:'जमा शाखा और खाता चुनें',
	},
	CancelMMID:{
		CancelMMID:'एमएम आईडी रद्द करें',
		Account:'लेखा',
		AccountAlias:'खाता क्रमांक',
		Success:'एमएम आईडी रद्द - सफलता'
	},
	GenerateOTP:{
		Title:'ओटीपी उत्पन्न करें',
		TransactionPIN:'लेनदेन का पिन',
		Success:'ओटीपी सफलता उत्पन्न करें'
	},
	
	DepositMenu:{
		ViewDeposits :'जमाओं को देखें',
		DepositeAccDetl :'जमा खाता विवरण',
		DetlDepostStmt:'विस्तृत जमा विवरण',
		OpenNewDeposit :'नया जमा खाता खोलें',
		Title:'जमा',
		IntrestRate:'ब्याज दर'
	},
	RegularIncomeDeposit:{
		Header:' नई नियमित आय जमा',
		Scheme :'योजना',
		FromAccount :'खाते से',
		Amount :'मात्रा',
		PeriodofDeposit:'जमा की अवधि : MAXTERM दिनों',
		PeriodofDepositYears:'जमा वर्ष की अवधि',
		PeriodofDepositMonths:'जमा महीने की अवधि',
		PeriodofDepositDays:'जमा दिनों की अवधि',
		InterestPaymentFrequency:'ब्याज भुगतान आवृत्ति',
		AccounttoCreditInterest:'ऋण ब्याज के लिए खाता',
		MaturityInstructions:'परिपक्वता निर्देश',
		'Automatically Renew':'स्वतः नवीनीकृत',
		InterestPaymentOption:'ब्याज भुगतान विकल्प',
		AccountToCreditMaturityAmount:'परिपक्वता राशि क्रेडिट करने के लिए खाते',
		TransactionRemarks:'लेन-देन टिप्पणियां',
		NomineeRequired:'नामांकित की आवश्यकता',
	},
	PIDConfWONom:{
		Header:'ओपन जमा - पुष्टिकरण',
		Scheme :'योजना',
		FromAccount :'खाते से',
		Amount :'मात्रा',
		PeriodofDeposit:'जमा की अवधि ',
		PeriodofDepositYears:'जमा वर्ष की अवधि',
		PeriodofDepositMonths:'जमा महीने की अवधि',
		PeriodofDepositDays:'जमा दिनों की अवधि',
		InterestPaymentOption:'ब्याज भुगतान विकल्प',
		AccounttoCreditInterest:'ऋण ब्याज के लिए खाता',
		MaturityInstructions:'परिपक्वता निर्देश',
		AccountToCreditMaturityAmount:'परिपक्वता राशि क्रेडिट करने के लिए खाते',
		TransactionRemarks:'लेन-देन टिप्पणियां',
		NomineeRequired:'नामांकित की आवश्यकता',
		Narration:'कथा',
		InterestRate:'ब्याज दर',
		MaturityDate:' परिपक्वता तिथि',
		MaturityValue:'परिपक्वता मूल्य',
		TransactionPin:'कार्यसम्पादन पिन',
	},
	PIDConfWONomSuceess:{
		Header:'नियमित आय जमा - सफलता',
		AccountNo :'अपना जमा ए / सी संख्या है',
	},
	PIDNomineeDetails:{
		Header:'नामांकित विवरण',
		NomineeAddressLine1:'नामांकित पता पंक्ति 1',
		NomineeAddressLine2:'नामांकित पता पंक्ति 2',
		NomineeAddressLine3 :'नामांकित पता पंक्ति 3',
		NomineeAddressLine4 :'नामांकित पता पंक्ति 4',
		NomineeAge :'( वर्षों में) नामित उम्र',
	},
	PIDNomineeMinorDetails :{
		Header:'नामांकित विवरण',
		RelationshipWithCustomer :'ग्राहक के साथ संबंध',
		DisplayNomineeName :'प्रदर्शन नामित नाम',
		IsNomineeMinor:'नामांकित नाबालिग है',
		NomineeisMinor:'नामांकित नाबालिग है',
		GuardianNameforNominee:'उम्मीदवार के लिए गार्जियन का नाम:',
		GuardianName:'अभिभावक का नाम',
	},
	PIDConfWithNom:{
		Header:'ओपन जमा - पुष्टिकरण',
		Scheme :'योजना',
		FromAccount :'खाते से',
		Amount :'मात्रा',
		PeriodofDeposit:'जमा की अवधि ',
		PeriodofDepositYears:'जमा वर्ष की अवधि',
		PeriodofDepositMonths:'जमा महीने की अवधि',
		PeriodofDepositDays:'जमा दिनों की अवधि',
		InterestPaymentOption:'ब्याज भुगतान विकल्प',
		AccounttoCreditInterest:'ऋण ब्याज के लिए खाता',
		MaturityInstructions:'परिपक्वता निर्देश',
		AccountToCreditMaturityAmount:'परिपक्वता राशि क्रेडिट करने के लिए खाते',
		TransactionRemarks:'लेन-देन टिप्पणियां',
		NomineeRequired:'नामांकित की आवश्यकता',
		Narration:'कथा',
		InterestRate:'ब्याज दर',
		MaturityDate:' परिपक्वता तिथि',
		MaturityValue:'परिपक्वता मूल्य',
		TransactionPin:'कार्यसम्पादन पिन',
		NomineeAddressLine1:'नामांकित पता 1 :',
		NomineeAddressLine2:'नामांकित पता 2 :',
		NomineeAddressLine3 :'नामांकित पता 3 :',
		NomineeAddressLine4 :'नामांकित पता 4 :',
		NomineeAge :'नामांकित उम्र:',
		RelationshipWithCustomer :'ग्राहक के साथ संबंध:',
		DisplayNomineeName :'प्रदर्शन नामित नाम :',
		IsNomineeMinor:'नामांकित नाबालिग है:',
		NomineeisMinor:'नामांकित नाबालिग है',
		GuardianNameforNominee:'उम्मीदवार के लिए गार्जियन का नाम:',
		GuardianName:'अभिभावक का नाम',
		NomineeName:'नामांकित व्यक्ति का नाम',
		NominationDetails:'नामांकन विवरण (देखने के लिए क्लिक करें)',
		TransactionPin:'कार्यसम्पादन पिन',
		TransactionPinAlias:'अपने लेन-देन पिन दर्ज करें',
	},
	PIDConfWithNomSuccess:{
		Header:'नियमित आय जमा - सफलता',
		AccountNo :'अपना जमा ए / सी संख्या है ',
	},
	ReinvestmentDeposit:{
		Header:' नए पुनर्निवेश जमा',
		Scheme :'योजना',
		FromAccount :'खाते से',
		Amount :'मात्रा',
		PeriodofDeposit:'जमा की अवधि ',
		PeriodofDepositYears:'जमा वर्ष की अवधि',
		PeriodofDepositMonths:'जमा महीने की अवधि',
		PeriodofDepositDays:'जमा दिनों की अवधि',
		InterestPaymentFrequency:'ब्याज भुगतान आवृत्ति',
		InterestPaymentOption:'ब्याज भुगतान विकल्प',
		AccounttoCreditInterest:'ऋण ब्याज के लिए खाता',
		MaturityInstructions:'परिपक्वता निर्देश',
		AccountToCreditMaturityAmount:'परिपक्वता राशि क्रेडिट करने के लिए खाते',
		TransactionRemarks:'लेन-देन टिप्पणियां',
		NomineeRequired:'नामांकित की आवश्यकता',
		Narration:'कथा',
		InterestRate:'ब्याज दर',
		MaturityDate:' परिपक्वता तिथि',
		MaturityValue:'परिपक्वता मूल्य',
		TransactionPin:'कार्यसम्पादन पिन',
		AtMaturity:'परिपक्वता पर',
		RemainonDeposit:'जमा पर बने हुए हैं',
		'Automatically Renew':'स्वतः नवीनीकृत',
		Narrative :'कथा',
	},
	ReInvstConfWONom:{
		Header:'ओपन जमा - पुष्टिकरण',
		Scheme :'योजना',
		FromAccount :'खाते से',
		Amount :'मात्रा',
		PeriodofDeposit:'जमा की अवधि ',
		PeriodofDepositYears:'जमा वर्ष की अवधि',
		PeriodofDepositMonths:'जमा महीने की अवधि',
		PeriodofDepositDays:'जमा दिनों की अवधि',
		InterestPaymentFrequency:'ब्याज भुगतान आवृत्ति',
		InterestPaymentOption:'ब्याज भुगतान विकल्प',
		AccounttoCreditInterest:'ऋण ब्याज के लिए खाता',
		MaturityInstructions:'परिपक्वता निर्देश',
		AccountToCreditMaturityAmount:'परिपक्वता राशि क्रेडिट करने के लिए खाते',
		TransactionRemarks:'लेन-देन टिप्पणियां',
		NomineeRequired:'नामांकित की आवश्यकता',
		Narration:'कथा',
		InterestRate:'ब्याज दर',
		MaturityDate:' परिपक्वता तिथि',
		MaturityValue:'परिपक्वता मूल्य',
		TransactionPin:'कार्यसम्पादन पिन',
		AtMaturity:'परिपक्वता पर',
		RemainonDeposit:'जमा पर बने हुए हैं',
		'Automatically Renew':'स्वतः नवीनीकृत',
		Narrative :'कथा',
		TransactionPin:'कार्यसम्पादन पिन',
		TransactionPinAlias:'अपने लेन-देन पिन दर्ज करें',
	},
	ReInvstWONomSuccess :{
		Header: 'नए पुनर्निवेश जमा - सफलता',
		AccountNo :'अपना जमा ए / सी संख्या है',	
	},
	RINomineeDetails :{
		Header:'नामांकित विवरण',
		NomineeName: "नामांकित व्यक्ति का नाम",
		Name:'नाम',
		NomineeAddressLine1:'नामांकित पता पंक्ति 1',
		AddressLine1 :'पता पंक्ति 1',
		NomineeAddressLine2:'नामांकित पता पंक्ति 2',
		AddressLine2 :'पता पंक्ति 2',
		NomineeAddressLine3 :'नामांकित पता पंक्ति 3',
		AddressLine3 :'पता पंक्ति 3',
		NomineeAddressLine4 :'नामांकित पता पंक्ति 4',
		AddressLine4 :'पता पंक्ति 4',
		NomineeAge :'( वर्षों में) नामित उम्र',
		Age:'आयु',
	},
	RINomineeMinorDetails:{
		Header:'नामांकित विवरण',
		NomineeAge :'नामांकित उम्र:',
		RelationshipWithCustomer :'ग्राहक के साथ संबंध:',
		DisplayNomineeName :'प्रदर्शन नामित नाम:',
		IsNomineeMinor:'नामांकित नाबालिग है :',
		NomineeisMinor:'नामांकित नाबालिग है',
		GuardianNameforNominee:'उम्मीदवार के लिए गार्जियन का नाम:',
		GuardianName:'अभिभावक',
		NomineeName:'नामांकित व्यक्ति का नाम',
		NominationDetails:'नामांकन विवरण (देखने के लिए क्लिक करें)',
		TransactionPin:'कार्यसम्पादन पिन',
		TransactionPinAlias:'अपने लेन-देन पिन दर्ज करें',
	},
	NomineeMaturityDetails:{
		Header:'ओपन जमा - पुष्टिकरण',
		Scheme :'योजना',
		FromAccount :'खाते से',
		Amount :'मात्रा',
		PeriodofDeposit:'जमा की अवधि',
		PeriodofDepositYears:'जमा वर्ष की अवधि',
		PeriodofDepositMonths:'जमा महीने की अवधि',
		PeriodofDepositDays:'जमा दिनों की अवधि',
		InterestPaymentFrequency:'ब्याज भुगतान आवृत्ति',
		InterestPaymentOption:'ब्याज भुगतान विकल्प',
		AccounttoCreditInterest:'ऋण ब्याज के लिए खाता',
		MaturityInstructions:'परिपक्वता निर्देश',
		AccountToCreditMaturityAmount:'परिपक्वता राशि क्रेडिट करने के लिए खाते',
		TransactionRemarks:'लेन-देन टिप्पणियां',
		NomineeDetails:'नामांकित विवरण',
		NomineeRequired:'नामांकित की आवश्यकता',
		NomineeName:'नामांकित व्यक्ति का नाम',
		Name:'नाम',
		RelationshipWithCustomer :'ग्राहक के साथ संबंध:',
		DisplayNomineeName :'प्रदर्शन नामित नाम :',
		IsNomineeMinor:'नामांकित नाबालिग है:',
		NomineeisMinor:'नामांकित नाबालिग है',
		GuardianNameforNominee:'उम्मीदवार के लिए गार्जियन का नाम:',
		GuardianName:'अभिभावक',
		NominationDetails:'नामांकन विवरण (देखने के लिए क्लिक करें)',
		NomineeAddressLine1:'नामांकित पता पंक्ति 1',
		AddressLine1 :'पता पंक्ति 1',
		NomineeAddress1:'नामांकित पता 1 :',
		NomineeAddressLine2:'नामांकित पता पंक्ति 2',
		AddressLine2 :'पता पंक्ति नं। 2',
		NomineeAddress2:'नामांकित पता 2 :',
		NomineeAddressLine3 :'नामांकित पता पंक्ति 3',
		NomineeAddress3 :'नामांकित पता 3 :',
		AddressLine3 :'पता पंक्ति 3',
		NomineeAddressLine4 :'नामांकित पता पंक्ति 4',
		AddressLine4 :'पता पंक्ति 4',
		NomineeAddress4 :'नामांकित पता 4 :',
		NomineeAge :'नामांकित उम्र ',
		NomineeAgeInYears :'( वर्षों में) नामित उम्र',
		Age:'आयु',
		Narration:'कथा',
		InterestRate:'ब्याज दर',
		MaturityDate:' परिपक्वता तिथि',
		MaturityValue:'परिपक्वता मूल्य',
		TransactionPin:'कार्यसम्पादन पिन',
		AtMaturity:'परिपक्वता पर',
		RemainonDeposit:'जमा पर बने हुए हैं',
		'Automatically Renew':'स्वतः नवीनीकृत',
		Narrative :'कथा',
		TransactionPinAlias:'अपने लेन-देन पिन दर्ज करें',
		NextInstalmentDate:'अगली किस्त की तारीख',
	},
	RIConfWithNomSuccess :{
		Header: 'नए पुनर्निवेश जमा - सफलता',
		AccountNo :'अपना जमा ए / सी संख्या है',	
	},
	NewRecurringDeposit :{
		Header: 'नए आवर्ती जमा',
		InterestRateLink: 'देखें ब्याज दरें',
		RecurringDepositFrequency :'आवर्ती जमा फ्रीक्वेंसी',	
		PreferredDateForInstallment :'किस्त डेबिट के लिए पसंदीदा तारीख',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'आवर्ती जमा फ्रीक्वेंसी',
		Monthly :'मासिक',
		InstallmentDebitDay :'किस्त डेबिट डे',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'आवर्ती जमा फ्रीक्वेंसी',
		Monthly :'मासिक',
		InstallmentDebitDay :'किस्त डेबिट डे',
	},
	NRDConfWONomSuccess :{
		Header: 'नए जमा - सफलता',
		AccountNo :'अपना जमा ए / सी संख्या है',	
	},
	NRDConfWithNomSuccess :{
		Header: 'नए जमा - सफलता',
		AccountNo :'अपना जमा ए / सी संख्या है',	
	},
	DepositList:{
		RecurringDeposits: 'आवर्ती जमा',
		InstallmentAmount: 'किस्त की राशि:',
		DepositAmount:'जमा राशि:',
		ReinvestmentDeposits :'पुनर्निवेश जमाराशियों',
		RegularIncomeDeposits:'नियमित आय जमा',
	},
	RDDetailScreen :{
		Product:'उत्पाद',
		InstallmentAmount:'किस्त की राशि',
		CurrentBalance :'वर्तमान शेष',
		OpeningDate :'उद्घाटन की तिथि',
		MaturityAmount:'परिपक्वता राशि',
		Last5Trans :'अंतिम 5 लेन-देन',
		DetailStatement :'विस्तृत बयान',
		CloseAccount :'खाता बंद करें',
		SelectAmount:'खाता चुनें',
		SelectDuration:'चुनें अवधि',
		FromDate:'तारीख से',
		ToDate:'तारीख तक'
	},
	ReInvtDetailScreen :{
		Product:'उत्पाद',
		InstallmentAmount:'किस्त की राशि',
		CurrentBalance :'वर्तमान शेष',
		OpeningDate :'उद्घाटन की तिथि',
		MaturityAmount:'परिपक्वता राशि',
		Last5Trans :'अंतिम 5 लेन-देन',
		DetailStatement :'विस्तृत बयान',
		CloseAccount :'खाता बंद करें',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'विस्तृत बयान',
		SelectAccount:'खाते का चयन करें',
		FromDate:'तारीख से',
		ToDate:'तारीख तक',
	},
	DetailDepositStatement :{
		AccountNo :'खाता संख्या',
		Narration :'कथा',
	},
	CloseDepositReq :{
		CloseDeposit :'बंद जमा',
		SelectFDAccount:'एफडी खाते का चयन करें',
		SelectFundTransferAccount:'चुनें कोष हस्तांतरण खाते',
		Narrative:'कथा',
	},
	CloseDepositConfirmation :{
		Header:'बंद जमा - पुष्टिकरण',
		RedemptionAmount:'प्रतिदान राशि',
		PenaltyAmount:'जुर्माना राशि',
		FDAccount:'एफडी खाते',
		ToAccount:'खाते में',
		Narration :'कथा',
	},
	CloseDepositSuccess:{
		Header :'बंद जमा - सफलता',
		DepositclosureSuccessful:'जमा बंद सफल',
	},
	TransferMenu:{
		ManageBeneficiaries:'लाभार्थियों का प्रबंधन',	
		TransferBetweenOwnAccounts :'खुद के खातों के बीच स्थानांतरण',
		TransferThirdPartyWithinBank:'बैंक के भीतर तीसरी पार्टी के लिए स्थानांतरण',
		TransferDifferentBank :'थर्ड पार्टी अन्य बैंक के लिए स्थानांतरण',
		ImmediatePaymentService:'तत्काल भुगतान सेवा ( आईएमपीएस)'
	},

	IMPSMenu:{
		GenerateMMID:'एमएमआईडी निकालते / उत्पन्न',
		CancelMMID :'एमएमआईडी रद्द',
		TransferMMID :'एमएमआईडी का उपयोग कर स्थानांतरण',
	},
	GenerateMMID:{
		Account : 'खाता',
		MobileNo:'मोबाइल संख्या',
	},
	GenerateMMIDConf:{
		Header:'उत्पन्न / निकालते एमएमआईडी - पुष्टिकरण',
		MMIDText :'एमएमआईडी ( मोबाइल मनी आइडेंटिफायर ) आईएमपीएस पी 2 पी स्थानांतरण प्रकार के माध्यम से अपने खाते में धनराशि प्राप्त करने के लिए उत्पन्न करने के लिए आवश्यक एक बार कोड है ।'
	},
	GenerateMMIDSucc :{
		Header:'एमएमआईडी निकालते / उत्पन्न - सफलता',
		MMID :'एमएमआईडी',
		linkAccount :'खाते से लिंक कर दिया गया है',
	},
	CancelMMIDConf:{
		Header :'एमएमआईडी रद्द - Confirmaton',
		CancelMMIDText :'आप एमएमआईडी रद्द करने के बाद एमएमआईडी के माध्यम से इस खाते में धन प्राप्त करने में सक्षम नहीं होगा',
		GenerateMMIDText :"इस खाते के लिए एमएमआईडी उत्पन्न करने के लिए , गोटो उत्पन्न / एमएमआईडी निकालते हैं तो कृपया",
		MultipleMMIDText :'एकाधिक MMIDs ही खाता संख्या के लिए उत्पन्न नहीं किया जा सकता',
	},
	CancelMMIDSucc :{
		Header:'एमएमआईडी रद्द - सफलता',
		MMIDLinkText:'एमएमआईडी खाते से लिंक',
		CancelText:'रद्द कर दिया गया है',
	},
	IMPSP2P :{
		Header :'लाभार्थी मोबाइल कोई और एमएमआईडी करने के लिए फंड ट्रांसफर',
		Title:'आईएमपीएस स्थानांतरण - पुष्टिकरण',
		BeneficiaryMobileNo:'लाभार्थी मोबाइल नहीं',
		BeneficiaryMMID:'लाभार्थी एमएमआईडी',
		Remarks:'टिप्पणियां',
		Amount:'रकम',
		FromAccount:'अकाउंट से',
		TransactionPin:'लेनदेन का पिन',
		Success:'फंड ट्रांसफर - सफलता',
		RefLbl:'आपका संदर्भ संख्या है '
	},
	IMPSP2PConf :{
		Header :'आईएमपीएस पी 2 पी - पिन सत्यापन',
		SecretQuestion :'गुप्त प्रश्न',
	},
	IMPSP2PSucc :{
		Header :'फंड ट्रांसफर - सफलता',
		ReferenceNumber :'अपनी संदर्भ संख्या है',
	},
	BenefMenu:{
		AddPayee:'प्राप्तकर्ता जोड़ें',
		ModifyPayee :'भुगतानकर्ता को संशोधित करें',
		DeletePayee:'भुगतानकर्ता को हटाएं',
	},
	AddBeneWithinBank :{
		Header :'नई भुगतानकर्ता जोड़ें',
		BeneficiaryName:'लाभार्थी का नाम',
		NickName :'निक नाम',
		AccountNo :'खाता क्रमांक',
		BeneficiaryIFSC:'लाभार्थी आईएफएससी',
		BeneficiaryIFSCCode:'लाभार्थी आईएफएससी कोड',
		MobileNo:'मोबाइल नं',
		BeneficiaryMMID:'लाभार्थी एम एम आईडी',
		AadharNO:'आधार नं',
		TitleConf:'लाभार्थी जोड़ें - पुष्टिकरण',
		AccountNameLbl:'बैंक के रिकॉर्ड के अनुसार खाता नाम:',
		LimitLbl:'सीमा:',
		TransactionPIN:'लेनदेन का पिन',
		Success:'नई लाभार्थी - सफलता जोड़ें',
		SuccessMsg:'आपका नया लाभार्थी सफलतापूर्वक जोड़ दिया गया है'
	},
	AddBeneWithinBankConf:{
		Header :'लाभार्थी जोड़ें - पुष्टिकरण',
		AccountNameText :'बैंक रिकॉर्ड के अनुसार खाता नाम',
		Limit : 'सीमा',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'नए लाभार्थी जोड़ें - सफलता',
		BeneficiaryAddedLine1:'आपका नया लाभार्थी जोड़ दिया गया और बाद में सक्रिय हो जाएगा',
		BeneficiaryAddedLine2:'घंटे जिसके बाद आप धन हस्तांतरण के लिए इसका इस्तेमाल कर सकते हैं। आप देखें लाभार्थियों पेज पर लाभार्थी की स्थिति की जांच कर सकते हैं',
	},
	AddBeneInterBank :{
		Header :'नए लाभार्थी जोड़ें - अलग बैंक',
		EmailId:'ईमेल आईडी',
		Address:'पता',
		State :'राज्य',
		City :'सिटी डिस्ट्रिक',
		Pincode:'पिन कोड',
		Title:'नई भुगतानकर्ता जोड़ें',
		PayeeName:'प्राप्तकर्ता का नाम',
		NickName:'प्राप्तकर्ता निक नाम',
		PayeeAccountNo:'प्राप्तकर्ता खाता संख्या',
		PayeeIFSC:'प्राप्तकर्ता आईएफएससी',
		OR:'या',
		PayeeMobileNo:'प्राप्तकर्ता मोबाइल नंबर',
		PayeeMMID:'दाता एमएमआईडी',
		PayeeAadharNo:'प्राप्तकर्ता आधार नंबर'
	},
	AddBeneInterBankConf :{
		Header : 'लाभार्थी जोड़ें - पुष्टिकरण',
		Title:'नई भुगतानकर्ता जोड़ें',
		PayeeName:'प्राप्तकर्ता का नाम',
		NickName:'प्राप्तकर्ता निक नाम',
		PayeeAccountNo:'प्राप्तकर्ता खाता संख्या',
		PayeeIFSC:'प्राप्तकर्ता आईएफएससी',
		OR:'या',
		PayeeMobileNo:'प्राप्तकर्ता मोबाइल नंबर',
		PayeeMMID:'दाता एमएमआईडी',
		PayeeAadharNo:'प्राप्तकर्ता आधार नंबर',
		TransactionPin:'लेनदेन का पिन',
		Success:'नई भुगतानकर्ता जोड़ें - सफलता'
	},
	AddBeneInterBankConfSuccess :{
		Header :'नए लाभार्थी जोड़ें - सफलता',
	},
	DeleteBenInterConf:{
		Title:'देनदार हटाएं - पुष्टिकरण',
		PayeeName:'प्राप्तकर्ता का नाम',
		PayeeNickName:'प्राप्तकर्ता निक नाम',
		PayeeAccountNo:'प्राप्तकर्ता खाता संख्या',
		PayeeIFSCCode:'प्राप्तकर्ता आईएफएससी कोड',
		PayeeMobileNumber:'प्राप्तकर्ता मोबाइल नंबर',
		PayeeMMID:'दाता एमएमआईडी',
		PayeeAadharNumber:'प्राप्तकर्ता आधार संख्या',
		TransactionPIN:'लेनदेन का पिन',
		Success:'देनदार हटाएं - सफलता'
	},
	SearchIFSC :{
		Header :'आईएफएससी कोड प्राप्त करने के लिए एक मोड चुनें',
		IFSCcode:'आईएफएससी कोड',
		BankCodeCity :'बैंक कोड और सिटी',
	},
	IFSCByCode:{
		EnterIFSCcode : 'आईएफएससी कोड दर्ज',
		Title:'आईएफएससी कोड',
	},
	IFSCByBankCity :{
		BankCode:'बैंक कोड',
		Title:'आईएफएससी कोड',
		LblBank:'बैंक दर्ज करें',
		BankAlias:'बैंक',
		CityLbl:'शहर दर्ज करें',
		CityAlias:'शहर',
		AreaLbl:'क्षेत्र दर्ज करें',
		AreaAlias:'क्षेत्र'
	},
	IFSCBankList :{
		IFSCList:'आईएफएससी सूची',
		BranchName:'शाखा का नाम',
		IFSCLbl:'आईएफएससी'
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'सक्रिय लाभार्थियों',
		PendingBeneficiaries:'लंबित लाभार्थियों',
	},
	IntraBankBenDetailActive:{	
		Status: 'स्थिति',
		Active :'सक्रिय',
		ModifyBeneficiary:'लाभार्थी को संशोधित',
		DeleteBeneficiary:'लाभार्थी को हटाएँ',
		NickName:'निक नाम',
		Limit:'सीमा'
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'लंबित एक्टिवेशन',
	},
	ModifyBenWithin:{
		Title:'भुगतानकर्ता को संशोधित करें',
		PayeeNickNameLbl:'प्राप्तकर्ता निक नाम',
		PayeeNameLbl:'प्राप्तकर्ता का नाम',
		PayeeAccountNoLbl:'प्राप्तकर्ता खाता संख्या',
		PayeeIFSCLbl:'प्राप्तकर्ता आईएफएससी',
		OR:'या',
		PayeeMobileNoLbl:'प्राप्तकर्ता मोबाइल नंबर',
		PayeeMMIDLbl:'दाता एमएमआईडी',
		PayeeAadharNoLbl:'प्राप्तकर्ता आधार नंबर',
		TransactionPIN:'लेनदेन का पिन',
		Success:'प्राप्तकर्ता को संशोधित करें - सफलता'
	},
	ModifyBenWithinSuccess:{
		Header :'लाभार्थी को संशोधित - सफलता',
		BeneficiarySuccessText :'लाभार्थी को सफलतापूर्वक संशोधित किया गया है',
	},
	DeleteBenWithinConf :{
		Header : 'लाभार्थी हटाएँ - पुष्टिकरण',
		BeneficiaryNameLbl:'लाभार्थी का नाम',
		NickNameLbl:'निक नाम',
		BeneficiaryAccountNoLbl:'लाभार्थी खाता नंबर',
		TransactionPIN:'लेनदेन का पिन',
		Success:'लाभार्थी हटाएं - सफलता'
	},
	DeleteBenWithinSuccess :{
		Header :'लाभार्थी हटाएँ - सफलता',
		BeneficiaryDeletedText:'लाभार्थी को सफलतापूर्वक नष्ट कर दिया',
	},
	InterBankBenDetailActive:{
		NickName:'निक नाम',
		Address:'पता',
		Email:'ईमेल',
		Phone:'फ़ोन',
		BankName:'बैंक का नाम',
		BranchName:'शाखा का नाम',
		IFSC:'आईएफएससी',
		Status:'स्थिति',
		Active:'सक्रिय',
		Limit:'सीमा',
		PendingActivation:'लंबित सक्रियण'
	},
	BranchLocator:{
		BranchLocator:'शाखा लोकेटर',
		ATMLocator:'एटीएम लोकेटर'
	},
	ModifyBenInter:{
		BeneficiaryBank:'लाभार्थी बैंक',
		BeneficiaryBankBranch:'लाभार्थी बैंक शाखा',
		Title:'लाभार्थी को संशोधित करें',
		BeneficiaryName:'लाभार्थी का नाम',
		BeneficiaryAccountNo:'लाभार्थी खाता नंबर',
		IFSC:'आईएफएससी',
		NickName:'निक नाम',
		FundTransferLimit:'फंड ट्रांसफर सीमा',
		TransactionPIN:'लेनदेन का पिन',
		Title:'लाभार्थी को संशोधित करें - सफलता',
		Success:'लाभार्थी सफलतापूर्वक संशोधित किया गया है'
	},
	ProfileMenu:{
		MyProfile:'मेरी प्रोफाइल',
		ChangeLoginPin:'बदलें लॉग पिन',
		ChangeTransactionPin :'बदलें लेनदेन पिन',
	},
	MyProfile:{
		CustomerProfile:'ग्राहक प्रोफाइल',
		Name :'नाम',
		Mobile : 'मोबाइल',
		Email :'ईमेल',
		Address : 'पता',
		City :'शहर',
		State :'राज्य',
		Country :'देश',
		Zip :'ज़िप',
	},
	ChangeMPINConfirm :{
		Header :'लॉग इन पिन बदलने - सफलता',
		LoginPinChangedText:'लॉग इन पिन सफलतापूर्वक बदला गया। दोबारा लॉगिन करें.'
	},
	ChangeTPINConfirm :{
		Header :'लेन-देन पिन बदलने - सफलता',
		TransactionPinChangedText:'लेन-देन पिन सफलतापूर्वक बदला.'
	},
	ServicesMenu:{
		ChequeBookRequest:'चेक बुक अनुरोध',
		ChequeStatusInquiry :'चैक स्थिति जांच',
		StopCheque :'बंद करो चैक',
		Account :'खाता विवरण',
		GBLSI:'बैंक सूची / आईएफएससी खोजें',
		Br_Al:'शाखा / एटीएम लोकेटर',
		CrdLessCshWitD:'कार्डलेस नकद निकासी',
		CrdServ:'कार्ड सेवाएं',
		UpdteEmail:'ईमेल आईडी अपडेट करें',
		PositivePay:'सकारात्मक वेतन',
		ContactUs:'हमसे संपर्क करें',
		AdSeed:'आधार सीडिंग'
	},
	CBRConfirmation :{
		Header:'चेक बुक के लिए अनुरोध - पुष्टिकरण',
		ChequeBookConfirmText :'चेक बुक खाते के लिए अनुरोध किया जाएगा',
		ChequeBookLine1 :'लागू के रूप में प्रभार अपने खाते में लगाया जाएगा। आरोपों पर जानकारी के लिए , बीएमबी वेबसाइट पर प्रभार खंड पर जाएँ कृपया',
		ChequeBookLine2 :' चेक बुक 7 दिनों के भीतर अपने पंजीकृत डाक पते पर भेज दिया जायेगा "शैली =" उपयोग - सब -चौड़ाई mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'चेक बुक अनुरोध - सफलता',
		RequestAccepted :'एक चेक बुक के लिए आपका अनुरोध स्वीकार किया गया है',
	},
	CheckChqStatus:{
		ChequeStatus:'चैक स्थिति',
		ChequeNo:'चेक नंबर',
		StartChequeNo:'प्रारंभ चैक संख्या',
		EndChequeNo:'अंत चैक संख्या',
		Status : 'स्थिति',
		Reason:'कारण',
	},
	StopChqConfirmation :{
		Header : 'बंद करो चैक - पुष्टिकरण',
		Type :'प्रकार',
	},
	StopChqResponse :{
		Header : 'बंद करो चैक - सफलता',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'विस्तृत बयान',
		AccountNo :'खाता क्रमांक',
		FromDate :'तारीख से',
		ToDate :'तारीख तक',
	},
	DetailAccountStatement :{
			Balance :'संतुलन',
	},
	FT2OwnAccount:{
		Header :'स्वयं के खाते के फंड ट्रांसफर',
		ToAccount : 'खाते में',
		Amount : 'राशि',
	},
	FTConfirmation :{
		Header : 'फंड ट्रांसफर - पुष्टिकरण',
	},
	FTSuccess :{
		Header :'फंड ट्रांसफर - सफलता',
		ReferenceNumber : 'अपनी संदर्भ संख्या है',
	},
	FT2OwnBeneficiary:{	
		Header :'बैंक के भीतर तीसरी पार्टी के लिए फंड ट्रांसफर',
		Beneficiary :'लाभार्थी',
	},
	FTConfirmBeneficary :{
		Header :'फंड ट्रांसफर - पुष्टिकरण',
		BeneficiaryName :'लाभार्थी का नाम',
		BeneficiaryNickName:'लाभार्थी निक नाम',
		BeneficiaryAccount:'लाभार्थी का खाता',
	},
	FT2InterBankBen :{
		Header :' विभिन्न बैंक में तीसरी पार्टी के लिए फंड ट्रांसफर',
		TransactionType :'सौदे का प्रकार',
		TotalCharges :'कुल शुल्क (सहित । कर)',
	},
	ContactUs :{
		Header : 'हमसे संपर्क करें',
		Address1 :'सारस्वत को-ऑप बैंक लिमिटेड',
		Phone :'फ़ोन',
		Email :'ईमेल',
		Website :' वेबसाइट',
		WebAddress:'http://www.saraswatbank.com',
		EmailAddress:"corporatecenter@saraswatbank.com",
		PhoneNo:'022-41572070'
	},
	CardList:{
		Header :'पत्ते',
	},
	CardDetailScreen :{
		LinkedAccountNo :'लिंक्ड खाते संख्या',
		ExpiryDate :'समाप्ति तिथि',
		AvailableBalance:'उपलब्ध शेष राशि',
		HotlistCard:'हॉटलिस्ट कार्ड',
	},
	HotListCardConf:{
		Header :'हॉटलिस्ट कार्ड - पुष्टिकरण',
		CardNo:'कार्ड संख्या',
	},
	HotListCardSuccess:{
		Header :' हॉटलिस्ट कार्ड - सफलता',
		SuccessText:'कार्ड गर्म सफलतापूर्वक लिस्टेड',
	},
	MiniStatement:{
		Credit :'श्रेय',
		Debit :'नामे',
	},
	Settings:{
		Header:'भाषा',
	},
	Language:{
		Header:'अपनी भाषा चुनिए',
		Label:'भाषा बदलो',
		Settings:'सेटिंग्स',
	},
	LanguageSuccess :{
		Header:'अपनी भाषा बदल दिया गया है',
	},
	progressInfo:{
		ValidatinMobileProgress:'मान्य । कृपया प्रतीक्षा करें...',
		Registering:'दर्ज की गई। कृपया प्रतीक्षा करें...',
		PleaseWait:'कृपया प्रतीक्षा करें...',
	},
	getBranchDetail :{
		selectCity:'शहर चुनें',
		selectState:'राज्य चुनें',
		map:'नक्शा',
		showList:'शाखा सूची',
		Navigation:'पथ प्रदर्शन',
		BranchLocator:'शाखा लोकेटर',
		getDirections:'दिशा - निर्देश प्राप्त करें',
		ContactNumber:'संपर्क संख्या',
		ContactPerson:'संपर्क व्यक्ति',
		branchLocations: 'शाखा स्थान',
	},
	cancelCardlessCashRequestFromToDate:{
		title:'कार्डलेस कैश अनुरोध रद्द करें',
		FromDate:'तारीख से',
		ToDate:'तारीख तक'

	},
	CardlessCashWithdrawal:{
		Title:'कार्डलेस कैश निकासी',
		CrdlesCashWit:'कार्डलेस कैश निकासी अनुरोध',
		CancleCardlesCashwit:'कार्डलेस कैश अनुरोध रद्द करें'
	},
	CardlessCashWithdrawalRequest:{
		Title:'कार्डलेस कैश निकासी',
		SelectDebitAcc:'डेबिट खाते का चयन करें',
		mobileNo:'मोबाइल नंबर',
		FullName:'पूरा नाम',
		Amount:'रकम',
		TransPin:'लेनदेन का पिन',
		Success:'कार्ड रहित कैश निकासी सफलता'
	},
	cancelCardlessCashRequest:{
		Title:'कार्ड रहित कैश अनुरोध को रद्द करें',
		SelectOption:'एक विकल्प चुनें',
		TransactionId:'लेनदेन आईडी',
		mobileNo:'मोबाइल नंबर',
		FullName:'पूरा नाम',
		Amount:'रकम',
		TransPin:'लेनदेन का पिन',
		Success:'कार्ड रहित कैश निकासी सफलता रद्द करें'
	},
	AadharSeeding:{
		Title:'आधार सीडिंग',
		ADhaarNo:'आधार संख्या',
		TPin:'लेनदेन का पिन',
		SelectAcc:'खाता चुनें',
		Success:'आधार सीडिंग सफलता'
	},
	GenDebitPin:{
		Title:'कार्ड सेवा',
		AccNo:'खाता संख्या',
		DbtCrdNo:'डेबिट कार्ड संख्या',
		CVV:'सीवीवी',
		ExpiryMonth:'समाप्ति माह',
		ExpiryYear:'समाप्ति वर्ष',
		EnterDebitPin:'पिन दर्ज करें',
		ConfirmPIN:'पिन की पुष्टि करें',
		TPin:'लेनदेन का पिन',
		TPinAlias:'डेबिट ट्रांजेक्शन पिन',
		ConfirmPinAlias:'लॉगिन पिन की पुष्टि करें',
		EnterDebitPinAlias:'नया डेबिट पिन उत्पन्न करें',
		Success:'डेबिट पिन सफलता उत्पन्न'
	},
	mPassbook: {
		title: 'mPassbook',
	},
	activateMPB: {
		title: 'जोड़ें mPassbook सुरक्षा पिन',
		SecurityPIN: 'सुरक्षा पिन',
		ConfirmSecurityPIN: 'की पुष्टि सुरक्षा पिन',
	},
	activateMPBsuccess: {
		title: 'mPassbook सेवा सफलतापूर्वक सक्रिय । लॉगिन स्क्रीन की जाँच करें।',
	},
	mPBLogin: {
		title: 'mPassbook में आपका स्वागत है',
	},
	mPBMenu: {
		Accounts: 'खाते',
		activateMPB: 'mPassbook के लिए खाते को सक्रिय करें',
		download: 'डाउनलोड',
	},
	mPBAccountList: {
		title: 'कोई खाता नहीं है mPassbook के लिए सक्रिय',
	},
	mPBEnableAccount: {
		title: 'सक्रिय खाता',
	},
	mPBSettings: {
		title: 'mPassbook सेटिंग',
		records: 'प्रति पृष्ठ अभिलेखों की संख्या',
	},
	mPBDownload: {
		title: 'डाउनलोड वक्तव्य',
		SelectCategory: 'श्रेणी का चयन करें',
		Month: 'माह',
		Year: 'द ईयर ',
	},
	updateEmailID:{
		Title:'ईमेल आईडी अपडेट करें',
		NewEmail:'नया ईमेल आईडी',
		ConfirmEmail:'ईमेल आईडी की पुष्टि करें',
		TPin:'लेनदेन का पिन',
		Success:'अपडेट ईमेल आईडी सफलता'
	},
	UnblockDebitCard:{
		Title:'डेबिट कार्ड को अनवरोधित करें',
		AccNo:'खाता संख्या',
		DebitCardNumber:'डेबिट कार्ड संख्या',
		TPin:'लेनदेन का पिन',
		Success:'अनब्लॉक डेबिट कार्ड सफलता'
	},
	BlockDebitCard:{
		Title:'डेबिट कार्ड ब्लॉक करें',
		AccNo:'खाता संख्या',
		DebitCardNumber:'डेबिट कार्ड संख्या',
		TPin:'लेनदेन का पिन',
		Success:'ब्लॉक डेबिट कार्ड सफलता',
		block:'ब्लॉक'
	},
	mStatement: {
		Search: 'खोज',
		Date: 'तिथि',
		Particulars: 'ब्यौरे',
		Withdrawal: 'वापसी',
		Deposit: 'जमा',
		Balance: 'शेष',
		Notes: 'नोट्स',
		Remarks: 'टिप्पणी',
		Category: 'श्रेणी',
	},
	addNotesForPassbook: {
		title: 'नोट्स जोड़ें',
	},

	Remarks: 'टिप्पणी',
	Category: 'श्रेणी',
	/*
	Hindi:'हिंदी',
	English:'अंग्रेज़ी',
	Marathi:'मराठी',
	Bengali:'बंगाली',
	Gujrati:'गुजराती',
	Kannada:'कन्नड़',
	Malayalam:'मलयालम',
	Tamil:'तामिल',
	Telagu:'तेलुगु',
	Punjabi:'पंजाबी',
	*/

	DCSecQuestions:{
		Title:'सुरक्षा प्रश्न',
		Question: 'गुप्त प्रश्न का चयन करें ',
		Answer:'गुप्त उत्तर ',
	},

	ChangeSecQuestions:{
		Title:'सुरक्षा बदलें सवाल',
	},

	ChangeSecQuestionsSuccess:{
		Title:'बदले सुरक्षा प्रश्न - सफलता',
		Status:'आप सफलतापूर्वक अपने गुप्त सवाल और उनके जवाब को अद्यतन किया है ।',
	}
};

//Bengali
var translations_be = {
	common:{
 	info:'তথ্য',
 	exitApp:'ESAF মোবাইল ব্যাংকিং ব্যবহার করার জন্য আপনাকে ধন্যবাদ. আপনি অ্যাপ্লিকেশন থেকে প্রস্থান করতে চান না ?',
 	mobileValidation :'মোবাইল ভ্যালিডেশন',
 	registerMobile :'আপনার মোবাইল নম্বর ব্যাংকের সঙ্গে নিবন্ধিত এক সঙ্গে মিলছে না . একটি ডিভাইস নিবন্ধিত মোবাইল নম্বর থাকার থেকে আবার চেষ্টা করুন.',
 	mobileValidationError :'আমরা আপনার মোবাইল নম্বর যাচাই করতে পারিনি . অনুগ্রহ করে পরীক্ষা করুন আপনার ডিভাইস আউটগোয়িং এসএমএস পাঠাতে বা পরে আবার চেষ্টা করতে সক্ষম হয় .',
 	errorMessage:'আপনার অনুরোধ প্রক্রিয়াকরণের সময় একটি ত্রুটি ঘটেছে. অনুগ্রহ করে একটু পরে আবার চেষ্টা করুন.',
 	error :'ভুল',
 	internetDisconnectMessage:'ইন্টারনেট সংযোগ আপনার ডিভাইসে পাওয়া যায় না. মোবাইল ডেটা সক্রিয় করুন অথবা একটি ওয়াইফাই নেটওয়ার্কের সাথে সংযোগ স্থাপন করে আবার চেষ্টা করুন .',
 	internetDisconnect :'ইন্টারনেট সংযোগ বিচ্ছিন্ন',
 	update:'হালনাগাদ',
 	updateMessage:'এই সর্বশেষ সংস্করণে আবেদন আপডেট করা হবে. চালিয়ে যেতে চান?',
 	selectMaturityAmount:'দয়া করে ক্রেডিট পরিপক্বতা পরিমাণ অ্যাকাউন্ট নির্বাচন',
 	enterAccountNo:'বৈধ 12 অঙ্ক অ্যাকাউন্ট নম্বর লিখুন দয়া করে',
 	enterCustomerNo:'বৈধ 12 অঙ্ক গ্রাহক আইডি লিখুন',
 	fromAccToAccMesg:'একাউন্ট থেকে এবং অ্যাকাউন্টে একই হতে পারে না',
 	pin:'পিন',
 	pinMandatory:'6 ডিজিটের পিন বাধ্যতামূলক',
 	currentPinNewPinMesg:'বর্তমান PIN এবং নতুন লগইন পিন 6 ডিজিটের হতে হবে',
 	currentPinNewPinNotMatch:'নতুন লগইন PIN এবং লগইন PIN নিশ্চিত মিলছে না',
 	currentPinNewPinSame:'নতুন লগইন PIN এবং বর্তমান লগইন পিন একই হতে পারে না',
 	currentPinTransPinMesg:'বর্তমান PIN এবং নিউ লেনদেন পিন 6 ডিজিটের হতে হবে',
 	currentPinTransPinNotMatch:'নিউ লেনদেন পিন এবং নিশ্চিত ট্রানজেকশন পিন মিলছে না',
 	currentPinTransPinSame:'নিউ লেনদেন পিন এবং বর্তমান লেনদেন পিন একই হতে পারে না',
 	loginPinConfirmPinMesg:'পিন লগইন করুন এবং নিশ্চিত করুন লগইন পিন 6 ডিজিটের হতে হবে',
 	loginPinConfirmPinNotMatch:'পিন লগইন করুন এবং লগইন করুন PIN নিশ্চিত মিলছে না',
 	TransPinConfirmTransPinMesg:'লেনদেন পিন এবং নিশ্চিত ট্রানজেকশন পিন 6 ডিজিটের হতে হবে',
 	TransPinConfirmTransPinNotMatch:'লেনদেন পিন এবং নিশ্চিত ট্রানজেকশন পিন মিলছে না',
 	loginPinTransPinNotSame:'পিন লগইন লেনদেন পিন একই হতে পারে না',
 	selectLoginOrTransPin:'লগইন পিন বা ট্রানজেকশন পিন পারেন রিসেট করতে দয়া করে নির্বাচন করুন .',
 	TransPinMandatory:'6 অঙ্কের লেনদেন পিন বাধ্যতামূলক',
 	SyncMesg:'ডেটা সিঙ্ক . অনুগ্রহপূর্বক অপেক্ষা করুন...',
 	SyncData:'সিঙ্ক ডেটা',
 	NoDataSync:'যদি তেমন অবস্থাতেও তথ্য সিঙ্ক করার জন্য উপলব্ধ .',
 	SyncSuccess:'সিঙ্ক সাফল্য',
 	SyncSuccessMesg:'সকল ডেটা সফলভাবে সিঙ্ক .',
 	Logout:'প্রস্থান',
 	logoutConfirm:'আপনি লগ আউট করতে চান?',
 	AreYouSure:'আপনি নিশ্চিত. চালিয়ে যেতে চান?',
 	NoData:'কোন তথ্য নেই',
 	Jan:'জানুয়ারী',
 	Feb:'ফেব্রুয়ারী',
 	Mar:'অনিষ্ট',
 	Apr:'এপ্রিল',
 	May:'মে',
 	Jun:'জুন',
 	Jul:'জুলাই',
 	Aug:'আগস্ট',
 	Sep:'সেপ্টেম্বর',
 	Oct:'অক্টোবর',
 	Nov:'নভেম্বর',
 	Dec:'ডিসেম্বর',
 	Issued:'জারি',
 	Paid:'Paid',
 	Void:'অকার্যকর',
 	Stopped:'বন্ধ',
 	InvalidChequeNo:'অবৈধ চেক কোন',
 	smsVerify:'একটি SMS আপনার মোবাইল নম্বর যাচাই করার জন্য আপনার ফোন থেকে পাঠানো হবে . দয়া করে এগিয়ে যেতে ক্লিক পাঠান .',
 	existingCustomer:'অবশিষ্ট ক্রেতা',
 	generatedMesg:'আপনার আগে থেকেই একটি পিন উত্পন্ন হয়েছে . আপনি একই অথবাব্যবস্থাপনা একটি নতুন এক ব্যবহার করা চালিয়ে যেতে চান?',
 	TransAmountExceeds:'লেনদেনের পরিমাণ সুবিধাভোগী সর্বোচ্চ সীমা ছাড়িয়ে গেছে',
 	CutOffExceeded:'কর্তক অতিক্রম করেছে',
 	HolidayMesg:'লেনদেনের হিসাবে এটি একটি ছুটিতে বা প্রতিদিন কর্তক সময় পর চালু করা হয়েছে প্রক্রিয়াভুক্ত করা যাবে না . আপনি এখনও কি সেটি বদলাতে চান ? আপনি নির্বাচন হ্যাঁ, এটা পরবর্তী কার্যদিবসে প্রক্রিয়া হবে',
 	ConnectionFailure:'সংযোগ ব্যর্থ হয়েছে',
 	failureMesg:'সংযোগ পাওয়া যায় না ব্যাংক . অনুগ্রহ করে একটু পরে আবার চেষ্টা করুন.',
 	btnLogin: 'লগইন',
 	btnNext: 'পরবর্তী',
 	btnSubmit: 'জমা দিন',
 	btnCancel: 'বাতিল',
 	btnBack: 'পিছনে',
	btnDownload : ' ডাউনলোড ',
	createMstatement : ' mStatement সফলভাবে তৈরি হয়েছে. ',
	Loading : ' লোড হচ্ছে ... ' ,
	savedSettings : 'সেটিংস সফলভাবে সংরক্ষিত হয়েছে. ',
	accountExit : ' নির্বাচিত accountNo ইতিমধ্যে mPassbook জন্য সক্রিয় করা হয় ' ,
	InvalidMPB : ' অবৈধ mPassbook পরিচয়পত্র ',
	mPBSync : ' সিঙ্ক সফলভাবে mPassbook ',
	mPBAccountActivate : 'mPassbook জন্য সফলভাবে সক্রিয় অ্যাকাউন্ট  . একাউন্টস চেক দয়া করে ',
	ValidatingMobileNo:'যাচাই করা হচ্ছে মোবাইল নম্বর',
	ftlimit:'সর্বোচ্চ তহবিল স্থানান্তর সীমা ₹ 5,00,000 হয়',
 },
 errorCodes : {
	"-1" : "আপনার অনুরোধ প্রক্রিয়াকরণের সময় একটি ত্রুটি ঘটেছে. অনুগ্রহ করে একটু পরে আবার চেষ্টা করুন.",
	"300" : "আপনি অ্যাপ্লিকেশন এর একটি পুরোনো সংস্করণ ব্যবহার করছেন . দোকান থেকে সর্বশেষ আবেদন ডাউনলোড করুন",
	"400" : "ডিভাইস সক্রিয় নয় গ্রাহক নং এই ডিভাইসটি সক্রিয় করতে দয়া করে নিবন্ধন জন্য",
	"401" : "ডিভাইস সক্রিয় নয় গ্রাহক নং এই ডিভাইসটি সক্রিয় করতে দয়া করে নিবন্ধন জন্য",
	"1001" : "অবৈধ লগইন শংসাপত্রের. আপনার অ্যাকাউন্ট 3 অবৈধ চেষ্টার পর লক করা হবে.",
	"1002" : "অবৈধ ডেবিট কার্ড বিবরণ . দয়া করে পুনরায় প্রবেশ করান.",
	"1003" : "অবৈধ নেটব্যাঙ্কিং পরিচয়পত্র . দয়া করে পুনরায় প্রবেশ করান.",
	"1004" : "লগইন করুন এবং লেনদেন পিন 6 ডিজিটের হতে হবে.",
	"1005" : "অবৈধ গ্রাহক আইডি বা গ্রাহকের মোবাইল ব্যাংকিং অ্যাক্সেস নেই .",
	"1006" : "অবৈধ অ্যাকাউন্ট কোন বা গ্রাহক মোবাইল ব্যাংকিং অ্যাক্সেস নেই .",
	"1007" : "আপনার সেশন মেয়াদউত্তীর্ণ হয়েছে . আবার লগইন করুন দয়া করে .",
	"1008" : "আপনার সেশন মেয়াদউত্তীর্ণ হয়েছে . আবার লগইন করুন দয়া করে .",
	"1009" : "কোনো অ্যাকাউন্ট গ্রাহক আইডি জন্য উপলব্ধ",
	"1010" : "অবৈধ অ্যাকাউন্ট নং",
	"1011" : "অবৈধ লগইন পিন",
	"1012" : "লগইন পিন এবং ট্রানজেকশন পিন একই হতে পারে না .",
	"1013" : "কোন লেনদেন অ্যাকাউন্টের জন্য পাওয়া নির্বাচন করেছেন.",
	"1014" : "তহবিল স্থানান্তর জন্য প্রবেশ বিবরণ অবৈধ. সঠিক বিবরণ লিখুন দয়া করে .",
	"1015" : "তহবিল স্থানান্তর অসফল",
	"1016" : "অবৈধ লেনদেন পিন",
	"1017" : "গ্রাহক ইতিমধ্যে মোবাইল ব্যাংকিং জন্য নিবন্ধিত . লগইন অথবা পাসওয়ার্ড ভুলে গেছি চেষ্টা করুন.",
	"1018" : "গ্রাহক আইডি বিদ্যমান নয় .",
	"1019" : "গ্রাহক আইডি এবং / অথবা অ্যাকাউন্ট কোন অবৈধ.",
	"1020" : "একই অ্যাকাউন্টে স্থানান্তর করা যাবে না .",
	"1021" : "বিস্তারিত বিবরণের জন্য প্রবেশ পরামিতি ভুল .",
	"1022" : "চেক বইয়ের অনুরোধ আগে থেকেই আছে .",
	"1023" : "ভুল লগইন PIN লিখেছেন . দয়া করে পুনরায় প্রবেশ বর্তমান লগইন পিন .",
	"1024" : "লগইন করুন এবং লেনদেন পিন একই হতে পারে না . একটি আলাদা PIN চেষ্টা করুন.",
	"1025" : "ভুল ট্রানজেকশন পিন প্রবেশ . দয়া করে পুনরায় প্রবেশ বর্তমান লেনদেন পিন .",
	"1026" : "আমানত অসফল এর অবসান . পরে চেষ্টা করুন বা কাস্টমার কেয়ার সাথে যোগাযোগ করুন.",
	"1027" : "কোন কার্ড গ্রাহকের জন্য উপস্থিত . কাস্টমার কেয়ার সাথে যোগাযোগ একটি কার্ডের জন্য আবেদন করতে .",
	"1028" : "অবৈধ কার্ড নং",
	"1029" : "কার্ড হট তালিকা ব্যর্থ . অনুগ্রহপূর্বক আবার চেষ্টা করুন.",
	"1030" : "অবৈধ চেক কোন বা চেক পরিসর .",
	"1031" : "কোন সুবিধাভোগী ব্যাংক স্থানান্তর মধ্যে পাওয়া যায়নি . একটি সুবিধাভোগী যোগ করার জন্য ব্যাংক বিকল্প মধ্যে বেনিফিশিয়ারি অ্যাড ব্যবহার করুন.",
	"1032" : "কোন সুবিধাভোগী অন্যান্য ব্যাংক স্থানান্তর জন্য অন্তর্ভুক্ত . একটি সুবিধাভোগী যোগ করার জন্য বেনিফিশিয়ারি অ্যাড বিভিন্ন ব্যাংক বিকল্পটি প্রয়োগ করুন .",
	"1033" : "সুবিধাভোগী যোগ করার পদ্ধতি ব্যর্থ হয়েছে. অনুগ্রহপূর্বক আবার চেষ্টা করুন.",
	"1034" : "কোন ব্যাংক Exist .",
	"1035" : "প্রাপকের মুছে ফেলা ব্যর্থ হয়েছে .",
	"1036" : "কোন আমানত অ্যাকাউন্ট পাওয়া যায় .",
	"1037" : "ত্রুটি ঘটেছে. আমানত বন্ধের জন্য বিশদ বিবরণ পাওয়া যায়নি.",
	"1039" : "প্রবেশ সুবিধাভোগী অ্যাকাউন্ট অবৈধ.",
	"1040" : "ডিপোজিট তৈরি করা যায়নি. পরে চেষ্টা করুন.",
	"1042" : "কোন MMID অ্যাকাউন্ট লিঙ্ক নির্বাচন করা",
	"1043" : "IMPS তহবিল স্থানান্তর অসফল .",
	"1044" : "অ্যাকাউন্ট লক করা আছে. পুনরায় নিবন্ধন করুন.",
	"1045" : "ভুল লগইন PIN লিখেছেন . দয়া করে পুনরায় প্রবেশ বর্তমান লগইন পিন .",
	"1046" : "সংশোধন করা হচ্ছে সুবিধাভোগী ব্যর্থ . অনুগ্রহপূর্বক আবার চেষ্টা করুন.",
	"1047" : "আপনার মোবাইল নম্বর ব্যাংকের সঙ্গে নিবন্ধিত এক সঙ্গে মিলছে না . যেমন ব্যাংকের সঙ্গে নিবন্ধিত মোবাইল নম্বর দিয়ে ডিভাইস থেকে নিবন্ধন করুন.",
	"1050" : "বেনিফিশিয়ারি অ্যাকাউন্ট কোন প্রবেশ অবৈধ ",
	"1051" : "গ্রাহক আইডি প্রবেশ অবৈধ বা মোবাইল ব্যাংকিং অ্যাক্সেস নেই  বা একাউন্টটি কোন প্রবেশ অবৈধ বা মোবাইল ব্যাংকিং অ্যাক্সেস নেই ",
},
	
	//combo changes
	'All Funding Account Holders':'সমস্ত তহবিল অ্যাকাউন্ট হোল্ডার',
	'Transfer to Another Account':'আরেকটি অ্যাকাউন্টে স্থানান্তর',
	'For Self Only':'স্বয়ং জন্য শুধু',
	No:'না',
	Yes:'হাঁ',
	'Automatically Renew':'স্বয়ংক্রিয়ভাবে পুনর্নবীকরণ',
	AndamanandNicobar:'আন্দামান ও নিকোবর',
	'Chhattisgarh':'ছত্তিশগড়',
	'Andhra pradesh':'অন্ধ্র প্রদেশ',
	ArunachalPradesh:'অরুণাচল প্রদেশ',
	Assam:'আসাম',
	Bihar:'বিহার',
	Chandigarh:'চণ্ডীগড়',
	DamanandDiu:'দমন ও দিউ',
	Delhi:'দিল্লি',
	DadraandNagarHaveli:'দাদরা ও নগর হাভেলি',
	'Goa':'গোয়া',
	Gujarat:'গুজরাট',
	'Himachal Pradesh':'হিমাচল প্রদেশ ',
	Haryana:'হরিয়ানা ',
	Jharkhand:'ঝাড়খণ্ড',
	'Jammu &amp; Kashmir':'জম্মু ও কাশ্মীর',
	Karnataka:'কর্ণাটক',
	Kerala:'কেরল',
	Lakshadweep:'লাক্ষাদ্বীপ',
	Maharashtra:'মহারাষ্ট্র',
	Meghalaya:'মেঘালয়',
	Manipur:'মণিপুর',
	'Madhya Pradesh':'মধ্য প্রদেশ',
	Mizoram:'মিজোরাম',
	Nagaland:'নাগাল্যান্ড',
	Odisha:'উড়িষ্যায়',
	Punjab:'পাঞ্জাব',
	Puducherry:'পুদুচেরি',
	Rajasthan:'রাজস্থান',
	Sikkim:'সিকিম',
	Telangana:'তেলেঙ্গানা',
	'Tamil Nadu':'তামিল নাড়ু',
	Tripura:'ত্রিপুরা',
	Uttarakhand:'উত্তরাখণ্ড',
	'Uttar Pradesh':'উত্তর প্রদেশ',
	'West Bengal':'পশ্চিমবঙ্গ',
	Debit:'বিকলন',
	Credit:'ধার',

	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'মোবাইল ব্যাংকিং রেজিস্ট্রেশন স্বাগতম',
		Line1:'আপনি আপনার ডিভাইস রেজিস্টার এবং আপনি এই সুবিধা ব্যবহার করতে শুরু করার আগে আপনার মোবাইল ব্যাংকিং অনুমোদনের শংসাপত্র সেট করতে হবে.',
		Line2:'এই ডিভাইসের মোবাইল নম্বর ( মাল্টি সিম ডিভাইসের ক্ষেত্রে প্রাথমিক সিম কার্ড ) ব্যাংকের সঙ্গে আপনার রেজিস্টার্ড মোবাইল নম্বর হিসাবে একই হয় দয়া করে নিশ্চিত করুন .',
		Line3:'আপনার পরিচয় প্রতিষ্ঠা করতে , আপনি আপনার নেটব্যাঙ্কিং অ্যাকাউন্ট অথবা আপনার ডেবিট কার্ড পারেন জন্য অনুমোদনের শংসাপত্র প্রদান করতে হবে .',
		Line4:'নিবন্ধীকরণের পরে, আপনি শুধুমাত্র এই ডিভাইস থেকে মোবাইল ব্যাংকিং অ্যাক্সেস করতে পারেন . আপনি ভবিষ্যতে আপনার ডিভাইস পরিবর্তন করতে ইচ্ছুক ক্ষেত্রে, আপনি নতুন ডিভাইস থেকে পুনরায় রেজিস্টার করতে হবে .',
		iAgree:'আমি ওয়েবসাইট উল্লেখ শর্তাবলী এবং সম্মত হন',
	},
	registration:{
		Title1:'নির্বাচন গ্রাহক আইডি অথবা একাউন্ট নম্বরের',
		Title2:'গ্রাহক আইডি',
		Title3:'হিসাব নাম্বার',
		Title4:'12 ডাক গ্রাহক আইডি বা অ্যাকাউন্ট নম্বর লিখুন',
		Title5:'এখানে সংখ্যা লিখুন',
		Title6:'একটি নিবন্ধন বিকল্পটি নির্বাচন করুন',
		Title7:'নেট ব্যাংকিং',
		Title8:'ডেবিট কার্ড',
	},
	ValidateMobile : {
		ValidateMobileNo:'মোবাইল কোন যাচাই',
	},
	registrationDebitCard:{
		Header:'ডেবিট কার্ড বিবরণ',
		DCLabel:'ডেবিট কার্ড নম্বর',
		PINLabel:'পিন',
		ExpLabel:'মেয়াদ উত্তীর্ন মাস',
		ExpYr:'মেয়াদ উত্তীর্ন সাল',
	},
	debitPinSetup:{
		Header:'মোবাইল ব্যাংকিং রেজিস্ট্রেশন',
		CurrentLoginPin :'বর্তমান লগইন পিন',
		CurrentTransactionPin :'বর্তমান লেনদেন পিন',
		NewLoginPin:'নতুন লগইন পিন',
		NewLoginPinAlias:'নতুন লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmLoginPin:'লগইন পিন নিশ্চিত',
		ConfirmLoginPinAlias:'নিশ্চিত লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		NewTransactionPin:'নতুন লেনদেন পিন',
		NewTransactionPinAlias:'নতুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmTransactionPin:'লেনদেন পিন নিশ্চিত',
		ConfirmTransactionPinAlias:'নিশ্চিত করুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		PleaseNote : 'দয়া করে লক্ষ্য করুন',
		NumericValue :' - আপনার পিন জন্য একটি 6 ডাক সাংখ্যিক মান লিখুন .' ,
		SameConsecutiveDigits:'- এটা আরো বেশী 2 পরপর সংখ্যা একই ( যেমন 122287 বা 186333 ) থাকতে পারে না',
		ConsecutiveDigitsSequence:'- এটা ক্রমানুসারে অধিক 2 পরপর সংখ্যা ( যেমন 123845 বা 987253 ) থাকতে পারে না',
		SameGroupDigits : '-এটি 2 ডিজিটের একই দলের অধিক 2 বার ( যেমন 121212 বা 989898 ) পুনরাবৃত্তি থাকতে পারে না',
	},
	RegistrationCompletion :{
		Congratulations:'অভিনন্দন',
		SuccessfullyComplete:'আপনি সফলভাবে মোবাইল ব্যাংকিং রেজিস্ট্রেশন প্রক্রিয়া সম্পন্ন হয়েছে .',
		LoginLink:'আপনার মোবাইল ব্যাংকিং সুবিধা ব্যবহার শুরু করার জন্য নিচের লগইন লিঙ্কে ক্লিক করুন .',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'নেট ব্যাংকিং শংসাপত্রের',
		UserId : ' ব্যবহারকারী আইডি',
		Password :'পাসওয়ার্ড',	
	},
	NBPinSetup:{
		Header:'পিন সেটআপ',
		NewLoginPin:'নতুন লগইন পিন',
		NewLoginPinAlias:'নতুন লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmLoginPin:'নিশ্চিত লগইন পিন ',
		ConfirmLoginPinAlias:'নিশ্চিত লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		NewTransactionPin:'নতুন লেনদেন পিন',
		NewTransactionPinAlias:'নতুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmTransactionPin:'লেনদেন পিন নিশ্চিত',
		ConfirmTransactionPinAlias:'নিশ্চিত করুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		PleaseNote : 'দয়া করে লক্ষ্য করুন',
		NumericValue :' - আপনার পিন জন্য একটি 6 ডাক সংখ্যাবিহীন লিখুন.' ,
		SameConsecutiveDigits:'- এটা আরো বেশী 2 পরপর সংখ্যা একই ( যেমন 122287 বা 186333 ) থাকতে পারে না',
		ConsecutiveDigitsSequence:'- এটা ক্রমানুসারে অধিক 2 পরপর সংখ্যা ( যেমন 123845 বা 987253 ) থাকতে পারে না',
		SameGroupDigits : '-এটি 2 ডিজিটের একই দলের অধিক 2 বার ( যেমন 121212 বা 989898 ) পুনরাবৃত্তি থাকতে পারে না',
	},
	NBRegistrationCompletion :{
		Congratulations:'অভিনন্দন',
		SuccessfullyComplete:'আপনি সফলভাবে মোবাইল ব্যাংকিং রেজিস্ট্রেশন প্রক্রিয়া সম্পন্ন হয়েছে .',
		LoginLink:'আপনার মোবাইল ব্যাংকিং সুবিধা ব্যবহার শুরু করার জন্য নিচের লগইন লিঙ্কে ক্লিক করুন.',
	},
	ForgotPinScreen1 :{
		ResetOption :'একটি রিসেট অপশন বেছে নিন',
		Netbanking :'নেট ব্যাংকিং',
		DebitCard:'ডেবিট কার্ড',
	},
	ForgotPINDebitCard:{
		Title:'পিন রিসেট করুন - ডেবিট কার্ড',
		DebitCardNumber :'ডেবিট কার্ড নম্বর',
		Pin:'পিন',
		ExpiryMonth:'মেয়াদ উত্তীর্ন মাস',
		ExpiryYear : ' মেয়াদ উত্তীর্ন সাল',
	},
	ForgotPINNetbanking:{
		Title : 'পিন রিসেট করুন - নেট ব্যাংকিং',
		UserId :'ব্যবহারকারী আইডি',
		Password : 'পাসওয়ার্ড',	
	},
	DebitForgotPinSetup:{
		Title : 'পিন রিসেট',
		ChangeLoginPin :'পরিবর্তন লগইন পিন',
		NewLoginPin:'নতুন লগইন পিন',
		NewLoginPinAlias:'নতুন লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmLoginPin:'লগইন পিন নিশ্চিত',
		ConfirmLoginPinAlias:'নিশ্চিত লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		ChangeTransactionPin :'পরিবর্তন লেনদেন পিন',
		NewTransactionPin:'নতুন লেনদেন পিন',
		NewTransactionPinAlias:'নতুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmTransactionPin:'লেনদেন পিন নিশ্চিত',
		ConfirmTransactionPinAlias:'নিশ্চিত করুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		PleaseNote : 'দয়া করে লক্ষ্য করুন',
		NumericValue :' - আপনার পিন জন্য একটি 6 ডাক সাংখ্যিক মান লিখুন .' ,
		SameConsecutiveDigits:'- এটা আরো বেশী 2 পরপর সংখ্যা একই ( যেমন 122287 বা 186333 ) থাকতে পারে না',
		ConsecutiveDigitsSequence:'-এটা ক্রমানুসারে অধিক 2 পরপর সংখ্যা ( যেমন 123845 বা 987253 ) থাকতে পারে না',
		SameGroupDigits : '- এটি 2 ডিজিটের একই দলের অধিক 2 বার ( যেমন 121212 বা 989898 ) পুনরাবৃত্তি থাকতে পারে না',
	},
	NBForgotPinSetup:{
		Title : 'পিন রিসেট',
		ChangeLoginPin :'পরিবর্তন লগইন পিন',
		NewLoginPin:'নতুন লগইন পিন',
		NewLoginPinAlias:'নতুন লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmLoginPin:'লগইন পিন নিশ্চিত',
		ConfirmLoginPinAlias:'নিশ্চিত লগইন পিন ( ন্যূনতম 6 সংখ্যা )',
		ChangeTransactionPin :'পরিবর্তন লেনদেন পিন',
		NewTransactionPin:'নতুন লেনদেন পিন',
		NewTransactionPinAlias:'নতুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		ConfirmTransactionPin:'লেনদেন পিন নিশ্চিত',
		ConfirmTransactionPinAlias:'নিশ্চিত করুন লেনদেন পিন ( ন্যূনতম 6 সংখ্যা )',
		PleaseNote : 'দয়া করে লক্ষ্য করুন',
		NumericValue :' -আপনার পিন জন্য একটি 6 ডাক সাংখ্যিক মান লিখুন .' ,
		SameConsecutiveDigits:'- এটা আরো বেশী 2 পরপর সংখ্যা একই ( যেমন 122287 বা 186333 ) থাকতে পারে না',
		ConsecutiveDigitsSequence:'-এটা ক্রমানুসারে অধিক 2 পরপর সংখ্যা ( যেমন 123845 বা 987253 ) থাকতে পারে না',
		SameGroupDigits : '- এটি 2 ডিজিটের একই দলের অধিক 2 বার ( যেমন 121212 বা 989898 ) পুনরাবৃত্তি থাকতে পারে না',
	},
	DBForgotPINCompletion:{
		Congratulations:'অভিনন্দন',
		SuccessfullyComplete:'আপনার PIN সফলভাবে রিসেট করা হয়েছে .',
		LoginLink:'আপনার মোবাইল ব্যাংকিং সুবিধা ব্যবহার শুরু করার জন্য নিচের লগইন লিঙ্কে ক্লিক করুন .',
	},
	NBForgotPINCompletion :{
		Congratulations:'অভিনন্দন',
		SuccessfullyComplete:'আপনার PIN সফলভাবে রিসেট করা হয়েছে .',
		LoginLink:'আপনার মোবাইল ব্যাংকিং সুবিধা ব্যবহার শুরু করার জন্য নিচের লগইন লিঙ্কে ক্লিক করুন.',
	},
	ReLogin:{
		Title : 'স্বাগত',
		LoginLabel : 'লগইন করার জন্য আপনার দয়া করে PIN লিখুন',
		LoginLabelAlias:'আপনার লগইন পিন লিখুন',
		ForgotPin : 'পিন ভুলে গেছেন',
		Register : 'নিবন্ধন',
		Version :'সংস্করণ',
	},
	Menu:{
		LastLoginTime: 'সর্বশেষ লগ ইন :',
		TermDeposite :'মেয়াদি আমানত',
		TransactionAccounts :'লেনদেন অ্যাকাউন্ট',
		Transfers :'বদলি',
		Services : 'সেবা',
		Cards :'কার্ড',
		Profile :'প্রোফাইল',
		ContactUs:'আমাদের সাথে যোগাযোগ করুন',
	},
	AccountList :{
		AvailableBalance :'পর্যাপ্ত টাকা:',
		CashCreditAccount :'ক্যাশ ক্রেডিট অ্যাকাউন্ট',
		CurrentBalance:'বর্তমান জমাখরচ:',
		LoanAccount :'লোন অ্যাকাউন্ট',
		SavingAccount : 'সংরক্ষণ অ্যাকাউন্ট',
		CurrentAccount : 'চলতি হিসাব',
	},
	SavCurrAccDetailScreen:{
		Product :'পণ্য :',
		AvailableBalance :'পর্যাপ্ত টাকা',
		CurrentBalance:'বর্তমান জমাখরচ',
		UnclearFunds :' অমুক্ত ফান্ডস',
		FundsOnHold :'স্থগিত তহবিল',
		Last5Trans :'সর্বশেষ 5 টি লেনদেন',
		DetailStatement:'বিস্তারিত বিবৃতি',
		TransferOwnAccount :'অ্যাকাউন্টের মালিক স্থানান্তর',
		TransferThirdPartyWithinBank :'ব্যাংকের মধ্যে তৃতীয় পক্ষের কাছে হস্তান্তর',
		TransferThirdPartyOtherBank:'থার্ড পার্টি অন্য ব্যাংকে হস্তান্তর',
		ImpsToMobile :' মোবাইল এবং MMID করার করে Imps',
	},
	CashCreditDetailScreen:{
		Product :'পণ্য:',
		CreditLimit :'ক্রেডিট সীমা',
		AvailableBalance :'পর্যাপ্ত টাকা',
		CurrentBalance:'বর্তমান জমাখরচ',
		UnclearFunds :'অমুক্ত ফান্ডস',
		AvailableCredit :'উপলব্ধ ক্রেডিট',
		TotalAmountDue :'সর্বমোট বাকির পরিমাণ',
		InterestRate :'সুদের হার',
		Last5Trans :'সর্বশেষ 5 টি লেনদেন',
		DetailStatement:'বিস্তারিত বিবৃতি',
	},
	LoanDetailScreen:{
		Product :'পণ্য :',
		CreditLimit :'ক্রেডিট সীমা',
		AvailableBalance :'পর্যাপ্ত টাকা',
		CurrentBalance:'বর্তমান জমাখরচ',
		OpeningDate :' খোলার তারিখ',
		MaturityDate:'পরিপক্বতা তারিখ',
		AvailableCredit :'উপলব্ধ ক্রেডিট',
		TotalAmountDue :'সর্বমোট বাকির পরিমাণ',
		InterestRate :'সুদের হার',
		Last5Trans :'সর্বশেষ 5 টি লেনদেন',
		DetailStatement:'বিস্তারিত বিবৃতি',
	},
	DepositMenu:{
		ViewDeposits :'দেখুন আমানত',
		NewRecurringDeposite :'নতুন পুনরাবৃত্ত ডিপোজিট',
		NewRegularIncome:'নিউ নিয়মিত আয় ডিপোজিট',
		NewReinvestment :'নতুন রিইনভেস্টমেন্ট ডিপোজিট',
	},
	RegularIncomeDeposit:{
		Header:'নিউ নিয়মিত আয় ডিপোজিট',
		Scheme :'পরিকল্পনা',
		FromAccount :'অ্যাকাউন্ট থেকে',
		Amount :'পরিমাণ',
		PeriodofDeposit:'জমাকরণের সময়কাল : MAXTERM দিন',
		PeriodofDepositYears:'ডিপোজিট বছরের মেয়াদ',
		PeriodofDepositMonths:'ডিপোজিট মাস সময়কালের',
		PeriodofDepositDays:'ডিপোজিট দিনের',
		InterestPaymentFrequency:'সুদ পরিশোধে ফ্রিকোয়েন্সি',
		AccounttoCreditInterest:'ক্রেডিট সুদ অ্যাকাউন্ট',
		MaturityInstructions:'পরিপক্কতা নির্দেশনা',
		'Automatically Renew':'স্বয়ংক্রিয়ভাবে পুনর্নবীকরণ',
		InterestPaymentOption:'সুদ পরিশোধে অপশন',
		AccountToCreditMaturityAmount:'মেয়াদ পূর্তির রাশি ক্রেডিট অ্যাকাউন্ট',
		TransactionRemarks:'লেনদেন মন্তব্য',
		NomineeRequired:'ব্যক্তি প্রয়োজনীয়',
	},
	PIDConfWONom:{
		Header:'ওপেন ডিপোজিট - নিশ্চিতকরণ',
		Scheme :'পরিকল্পনা',
		FromAccount :'অ্যাকাউন্ট থেকে',
		Amount :'পরিমাণ',
		PeriodofDeposit:'জমাকরণের সময়কাল ',
		PeriodofDepositYears:'ডিপোজিট বছরের মেয়াদ',
		PeriodofDepositMonths:'ডিপোজিট মাস সময়কালের',
		PeriodofDepositDays:'ডিপোজিট দিনের',
		InterestPaymentOption:'সুদ পরিশোধে অপশন',
		AccounttoCreditInterest:'ক্রেডিট সুদ অ্যাকাউন্ট',
		MaturityInstructions:'পরিপক্কতা নির্দেশনা',
		AccountToCreditMaturityAmount:'মেয়াদ পূর্তির রাশি ক্রেডিট অ্যাকাউন্ট',
		TransactionRemarks:'লেনদেন মন্তব্য',
		NomineeRequired:'ব্যক্তি প্রয়োজনীয়',
		Narration:'আখ্যান',
		InterestRate:'সুদের হার',
		MaturityDate:' পরিপক্বতা তারিখ',
		MaturityValue:'পরিপক্কতা মূল্য',
		TransactionPin:'লেনদেন পিন',
	},
	PIDConfWONomSuceess:{
		Header:'নিয়মিত আয় ডিপোজিট - সাফল্য',
		AccountNo :'আপনার আমানত একটি / সি সংখ্যা',
	},
	PIDNomineeDetails:{
		Header:'মনোনীত বিস্তারিত',
		NomineeAddressLine1:'মনোনীত ঠিকানা লাইন 1',
		NomineeAddressLine2:'মনোনীত ঠিকানা লাইন 2',
		NomineeAddressLine3 :'মনোনীত ঠিকানা লাইন 3',
		NomineeAddressLine4 :'মনোনীত ঠিকানা লাইন 4',
		NomineeAge :'( বছরে ) মনোনীত বয়স',
	},
	PIDNomineeMinorDetails :{
		Header:'মনোনীত বিস্তারিত',
		RelationshipWithCustomer :'গ্রাহক সঙ্গে সম্পর্ক',
		DisplayNomineeName :'প্রদর্শন মনোনীত নাম',
		IsNomineeMinor:'ব্যক্তি নাবালক',
		NomineeisMinor:'ব্যক্তি নাবালক',
		GuardianNameforNominee:'মনোনীত জন্য গার্ডিয়ান নাম :',
		GuardianName:'গার্ডিয়ান নাম',
	},
	PIDConfWithNom:{
		Header:'ওপেন ডিপোজিট - নিশ্চিতকরণ',
		Scheme :'পরিকল্পনা',
		FromAccount :'অ্যাকাউন্ট থেকে',
		Amount :'পরিমাণ',
		PeriodofDeposit:'জমাকরণের সময়কাল ',
		PeriodofDepositYears:'ডিপোজিট বছরের মেয়াদ',
		PeriodofDepositMonths:'ডিপোজিট মাস সময়কালের',
		PeriodofDepositDays:'ডিপোজিট দিনের',
		InterestPaymentOption:'সুদ পরিশোধে অপশন',
		AccounttoCreditInterest:'ক্রেডিট সুদ অ্যাকাউন্ট',
		MaturityInstructions:'পরিপক্কতা নির্দেশনা',
		AccountToCreditMaturityAmount:'মেয়াদ পূর্তির রাশি ক্রেডিট অ্যাকাউন্ট',
		TransactionRemarks:'লেনদেন মন্তব্য',
		NomineeRequired:'ব্যক্তি প্রয়োজনীয়',
		Narration:'আখ্যান',
		InterestRate:'সুদের হার',
		MaturityDate:' পরিপক্বতা তারিখ',
		MaturityValue:'পরিপক্কতা মূল্য',
		TransactionPin:'লেনদেন পিন',
		NomineeAddressLine1:'Nominee Address1:',
		NomineeAddressLine2:'মনোনীত Address2 :',
		NomineeAddressLine3 :'মনোনীত Address4 :',
		NomineeAddressLine4 :'মনোনীত Address4 :',
		NomineeAge :'ব্যক্তি বয়স :',
		RelationshipWithCustomer :'গ্রাহক সাথে সম্পর্ক :',
		DisplayNomineeName :'প্রদর্শন মনোনীত নাম:',
		IsNomineeMinor:'ব্যক্তি নাবালক:',
		NomineeisMinor:'ব্যক্তি নাবালক',
		GuardianNameforNominee:'মনোনীত জন্য গার্ডিয়ান নাম :',
		GuardianName:'গার্ডিয়ান নাম',
		NomineeName:'ব্যক্তি নাম',
		NominationDetails:'মনোনয়ন বিবরণ (দেখার জন্য ক্লিক করুন)',
		TransactionPin:'লেনদেন পিন',
		TransactionPinAlias:'আপনার লেনদেন পিন লিখুন',
	},
	PIDConfWithNomSuccess:{
		Header:'নিয়মিত আয় ডিপোজিট - সাফল্য',
		AccountNo :'আপনার আমানত একটি / সি সংখ্যা',
	},
	ReinvestmentDeposit:{
		Header:'নতুন রিইনভেস্টমেন্ট ডিপোজিট',
		Scheme :'পরিকল্পনা',
		FromAccount :'অ্যাকাউন্ট থেকে',
		Amount :'পরিমাণ',
		PeriodofDeposit:'জমাকরণের সময়কাল ',
		PeriodofDepositYears:'ডিপোজিট বছরের মেয়াদ',
		PeriodofDepositMonths:'ডিপোজিট মাস সময়কালের',
		PeriodofDepositDays:'ডিপোজিট দিনের',
		InterestPaymentFrequency:'সুদ পরিশোধে ফ্রিকোয়েন্সি',
		InterestPaymentOption:'সুদ পরিশোধে অপশন',
		AccounttoCreditInterest:'ক্রেডিট সুদ অ্যাকাউন্ট',
		MaturityInstructions:'পরিপক্কতা নির্দেশনা',
		AccountToCreditMaturityAmount:'মেয়াদ পূর্তির রাশি ক্রেডিট অ্যাকাউন্ট',
		TransactionRemarks:'লেনদেন মন্তব্য',
		NomineeRequired:'ব্যক্তি প্রয়োজনীয়',
		Narration:'আখ্যান',
		InterestRate:'সুদের হার',
		MaturityDate:' পরিপক্বতা তারিখ',
		MaturityValue:'পরিপক্কতা মূল্য',
		TransactionPin:'লেনদেন পিন',
		AtMaturity:'পরিপক্কতার',
		RemainonDeposit:'ডিপোজিট থাকা',
		'Automatically Renew':'স্বয়ংক্রিয়ভাবে পুনর্নবীকরণ',
		Narrative :'আখ্যান',
	},
	ReInvstConfWONom:{
		Header:'ওপেন ডিপোজিট - নিশ্চিতকরণ',
		Scheme :'পরিকল্পনা',
		FromAccount :'অ্যাকাউন্ট থেকে',
		Amount :'পরিমাণ',
		PeriodofDeposit:'জমাকরণের সময়কাল ',
		PeriodofDepositYears:'ডিপোজিট বছরের মেয়াদ',
		PeriodofDepositMonths:'ডিপোজিট মাস সময়কালের',
		PeriodofDepositDays:'ডিপোজিট দিনের',
		InterestPaymentFrequency:'সুদ পরিশোধে ফ্রিকোয়েন্সি',
		InterestPaymentOption:'সুদ পরিশোধে অপশন',
		AccounttoCreditInterest:'ক্রেডিট সুদ অ্যাকাউন্ট',
		MaturityInstructions:'পরিপক্কতা নির্দেশনা',
		AccountToCreditMaturityAmount:'মেয়াদ পূর্তির রাশি ক্রেডিট অ্যাকাউন্ট',
		TransactionRemarks:'লেনদেন মন্তব্য',
		NomineeRequired:'ব্যক্তি প্রয়োজনীয়',
		Narration:'আখ্যান',
		InterestRate:'সুদের হার',
		MaturityDate:' Maturity Date',
		MaturityValue:'পরিপক্কতা মূল্য',
		TransactionPin:'লেনদেন পিন',
		AtMaturity:'পরিপক্কতার',
		RemainonDeposit:'ডিপোজিট থাকা',
		'Automatically Renew':'স্বয়ংক্রিয়ভাবে পুনর্নবীকরণ',
		Narrative :'আখ্যান',
		TransactionPin:'লেনদেন পিন',
		TransactionPinAlias:'আপনার লেনদেন পিন লিখুন',
	},
	ReInvstWONomSuccess :{
		Header: 'নতুন রিইনভেস্টমেন্ট ডিপোজিট - সাফল্য',
		AccountNo :'আপনার আমানত একটি / সি সংখ্যা',	
	},
	RINomineeDetails :{
		Header:'মনোনীত বিস্তারিত',
		NomineeName: "ব্যক্তি নাম",
		Name:'নাম',
		NomineeAddressLine1:'মনোনীত ঠিকানা লাইন 1',
		AddressLine1 :'ঠিকানা লাইন 1',
		NomineeAddressLine2:'মনোনীত ঠিকানা লাইন 2',
		AddressLine2 :'ঠিকানা লাইন ২',
		NomineeAddressLine3 :'মনোনীত ঠিকানা লাইন 3',
		AddressLine3 :'ঠিকানা লাইন 3',
		NomineeAddressLine4 :'মনোনীত ঠিকানা লাইন 4',
		AddressLine4 :'ঠিকানা লাইন 4',
		NomineeAge :'( বছরে ) মনোনীত বয়স',
		Age:'বয়স',
	},
	RINomineeMinorDetails:{
		Header:' মনোনীত বিস্তারিত',
		NomineeAge :'ব্যক্তি বয়স :',
		RelationshipWithCustomer :'গ্রাহক সঙ্গে সম্পর্ক :',
		DisplayNomineeName :'প্রদর্শন মনোনীত নাম :',
		IsNomineeMinor:'ব্যক্তি নাবালক :',
		NomineeisMinor:'ব্যক্তি নাবালক',
		GuardianNameforNominee:'মনোনীত জন্য গার্ডিয়ান নাম :',
		GuardianName:'অভিভাবক',
		NomineeName:'ব্যক্তি নাম',
		NominationDetails:'মনোনয়ন বিবরণ (দেখার জন্য ক্লিক করুন)',
		TransactionPin:'লেনদেন পিন',
		TransactionPinAlias:'আপনার লেনদেন পিন লিখুন',
	},
	NomineeMaturityDetails:{
		Header:'ওপেন ডিপোজিট - নিশ্চিতকরণ',
		Scheme :'পরিকল্পনা',
		FromAccount :'অ্যাকাউন্ট থেকে',
		Amount :'পরিমাণ',
		PeriodofDeposit:'জমাকরণের সময়কাল',
		PeriodofDepositYears:'ডিপোজিট বছরের মেয়াদ',
		PeriodofDepositMonths:'ডিপোজিট মাস সময়কালের',
		PeriodofDepositDays:'ডিপোজিট দিনের',
		InterestPaymentFrequency:'সুদ পরিশোধে ফ্রিকোয়েন্সি',
		InterestPaymentOption:'সুদ পরিশোধে অপশন',
		AccounttoCreditInterest:'ক্রেডিট সুদ অ্যাকাউন্ট',
		MaturityInstructions:'পরিপক্কতা নির্দেশনা',
		AccountToCreditMaturityAmount:'মেয়াদ পূর্তির রাশি ক্রেডিট অ্যাকাউন্ট',
		TransactionRemarks:'লেনদেন মন্তব্য',
		NomineeDetails:' মনোনীত বিস্তারিত',
		NomineeRequired:'ব্যক্তি প্রয়োজনীয়',
		NomineeName:'ব্যক্তি নাম',
		Name:'নাম',
		RelationshipWithCustomer :'গ্রাহক সঙ্গে সম্পর্ক :',
		DisplayNomineeName :'প্রদর্শন মনোনীত নাম:',
		IsNomineeMinor:'ব্যক্তি নাবালক:',
		NomineeisMinor:'ব্যক্তি নাবালক',
		GuardianNameforNominee:'মনোনীত জন্য গার্ডিয়ান নাম :',
		GuardianName:'অভিভাবক',
		NominationDetails:'মনোনয়ন বিবরণ (দেখার জন্য ক্লিক করুন)',
		NomineeAddressLine1:'মনোনীত ঠিকানা লাইন 1',
		AddressLine1 :'ঠিকানা লাইন 1',
		NomineeAddress1:'মনোনীত ঠিকানা 1 :',
		NomineeAddressLine2:'মনোনীত ঠিকানা লাইন 2',
		AddressLine2 :'ঠিকানা লাইন ২',
		NomineeAddress2:'মনোনীত ঠিকানা 2 :',
		NomineeAddressLine3 :'মনোনীত ঠিকানা লাইন 3',
		NomineeAddress3 :'মনোনীত ঠিকানা 3 :',
		AddressLine3 :'ঠিকানা লাইন 3',
		NomineeAddressLine4 :'মনোনীত ঠিকানা লাইন 4',
		AddressLine4 :'ঠিকানা লাইন 4',
		NomineeAddress4 :'মনোনীত ঠিকানা 4 :',
		NomineeAge :'ব্যক্তি বয়স ',
		NomineeAgeInYears :'( বছরে ) মনোনীত বয়স',
		Age:'বয়স',
		Narration:'আখ্যান',
		InterestRate:'সুদের হার',
		MaturityDate:' পরিপক্বতা তারিখ',
		MaturityValue:'পরিপক্কতা মূল্য',
		TransactionPin:'লেনদেন পিন',
		AtMaturity:'পরিপক্কতার',
		RemainonDeposit:'ডিপোজিট থাকা',
		'Automatically Renew':'স্বয়ংক্রিয়ভাবে পুনর্নবীকরণ',
		Narrative :'আখ্যান',
		TransactionPinAlias:'আপনার লেনদেন পিন লিখুন',
		NextInstalmentDate:'পরবর্তী কিস্তি তারিখ',
	},
	RIConfWithNomSuccess :{
		Header: 'নতুন রিইনভেস্টমেন্ট ডিপোজিট - সাফল্য',
		AccountNo :'আপনার আমানত একটি / সি সংখ্যা',	
	},
	NewRecurringDeposit :{
		Header: 'নতুন পুনরাবৃত্ত ডিপোজিট',
		InterestRateLink: 'দেখুন সুদের হার',
		RecurringDepositFrequency :'পুনরাবৃত্ত ডিপোজিট ফ্রিকোয়েন্সি',	
		PreferredDateForInstallment :'কিস্তি ডেবিট জন্য পছন্দসই তারিখ',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'পুনরাবৃত্ত ডিপোজিট ফ্রিকোয়েন্সি',
		Monthly :'মাসিক',
		InstallmentDebitDay :'কিস্তি ডেবিট দিন',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'পুনরাবৃত্ত ডিপোজিট ফ্রিকোয়েন্সি',
		Monthly :'মাসিক',
		InstallmentDebitDay :'কিস্তি ডেবিট দিন',
	},
	NRDConfWONomSuccess :{
		Header: 'নতুন ডিপোজিট - সাফল্য',
		AccountNo :'আপনার আমানত একটি / সি সংখ্যা',	
	},
	NRDConfWithNomSuccess :{
		Header: 'নতুন ডিপোজিট - সাফল্য',
		AccountNo :'আপনার আমানত একটি / সি সংখ্যা',	
	},
	DepositList:{
		RecurringDeposits: 'পুনরাবৃত্ত আমানত',
		InstallmentAmount: 'কিস্তি পরিমাণ :',
		DepositAmount:'আমানত পরিমাণ:',
		ReinvestmentDeposits :'পুনঃবিনিয়োগ আমানত',
		RegularIncomeDeposits:'নিয়মিত আয় ডিপোজিট',
	},
	RDDetailScreen :{
		Product:'পণ্য',
		InstallmentAmount:'কিস্তি পরিমাণ',
		CurrentBalance :'বর্তমান জমাখরচ',
		OpeningDate :'খোলার তারিখ',
		MaturityAmount:'মেয়াদ পূর্তির রাশি',
		Last5Trans :'সর্বশেষ 5 টি লেনদেন',
		DetailStatement :'বিস্তারিত বিবৃতি',
		CloseAccount :'বন্ধ অ্যাকাউন্ট',
	},
	ReInvtDetailScreen :{
		Product:'পণ্য',
		InstallmentAmount:'কিস্তি পরিমাণ',
		CurrentBalance :'বর্তমান জমাখরচ',
		OpeningDate :'খোলার তারিখ',
		MaturityAmount:'মেয়াদ পূর্তির রাশি',
		Last5Trans :'সর্বশেষ 5 টি লেনদেন',
		DetailStatement :'বিস্তারিত বিবৃতি',
		CloseAccount :'বন্ধ অ্যাকাউন্ট',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'বিস্তারিত বিবৃতি',
		SelectAccount:'নির্বাচন অ্যাকাউন্ট',
		FromDate:'তারিখ থেকে',
		ToDate:'এখন পর্যন্ত',
	},
	DetailDepositStatement :{
		AccountNo :'হিসাব নাম্বার',
		Narration :'আখ্যান',
	},
	CloseDepositReq :{
		CloseDeposit :'বন্ধ ডিপোজিট',
		SelectFDAccount:'এফডি অ্যাকাউন্ট নির্বাচন',
		SelectFundTransferAccount:'নির্বাচন ফান্ড ট্রান্সফার অ্যাকাউন্ট',
		Narrative:'আখ্যান',
	},
	CloseDepositConfirmation :{
		Header:'বন্ধ ডিপোজিট - নিশ্চিতকরণ',
		RedemptionAmount:'পুনঃক্রয় পরিমাণ',
		PenaltyAmount:'শাস্তি পরিমাণ',
		FDAccount:'এফডি অ্যাকাউন্ট',
		ToAccount:'হিসাবে',
		Narration :'আখ্যান',
	},
	CloseDepositSuccess:{
		Header :'বন্ধ ডিপোজিট - সাফল্য',
		DepositclosureSuccessful:'ডিপোজিট অবসান সফল',
	},
	TransferMenu:{
		ManageBeneficiaries:'সুবিধাভোগী পরিচালনা',	
		TransferBetweenOwnAccounts :'নিজের অ্যাকাউন্টের মধ্যে স্থানান্তর',
		TransferThirdPartyWithinBank:'ব্যাংকের মধ্যে তৃতীয় পক্ষের কাছে হস্তান্তর',
		TransferDifferentBank :'থার্ড পার্টি অন্য ব্যাংকে হস্তান্তর',
		ImmediatePaymentService:'তাৎক্ষণিক পেমেন্ট সার্ভিস ( করে Imps )'
	},
	IMPSMenu:{
		GenerateMMID:'MMID উদ্ধার / নির্মাণ করা',
		CancelMMID :'MMID বাতিল',
		TransferMMID :'MMID ব্যবহার স্থানান্তর',
	},
	GenerateMMID:{
		Account : 'হিসাব',
		MobileNo:'মোবাইল নাম্বার.',
	},
	GenerateMMIDConf:{
		Header:'জেনারেট / পুনরুদ্ধার MMID - নিশ্চিতকরণ',
		MMIDText :'MMID ( মোবাইল মানি আইডেন্টিফাইয়ার ) করে Imps P2P স্থানান্তর টাইপ মাধ্যমে আপনার একাউন্টে ফান্ড প্রাপ্তির জন্য উত্পন্ন করা প্রয়োজন এক সময় কোড .'
	},
	GenerateMMIDSucc :{
		Header:'MMID উদ্ধার / নির্মাণ করা - সাফল্য',
		MMID :'এম এম আমি ডি',
		linkAccount :'অ্যাকাউন্টের সাথে সংযুক্ত করা হয়েছে',
	},
	CancelMMIDConf:{
		Header :'এম এম আমি ডি বাতিল -অনুমোদন',
		CancelMMIDText :'আপনি MMID বাতিলের পর MMID মাধ্যমে এই একাউন্টে টাকা গ্রহণ করতে সক্ষম হবে না',
		GenerateMMIDText :"এই অ্যাকাউন্টের জন্য MMID উৎপন্ন , Goto নির্মাণ / MMID পুনরুদ্ধার দয়া",
		MultipleMMIDText :'একাধিক MMIDs একই একাউন্ট নম্বর জন্য নির্মাণ করা যাবে না',
	},
	CancelMMIDSucc :{
		Header:'এম এম আমি ডি বাতিল - সাফল্য',
		MMIDLinkText:'এম এম আমি ডি অ্যাকাউন্ট লিঙ্ক',
		CancelText:'বাতিল করা হয়েছে',
	},
	IMPSP2P :{
		Header :'বেনিফিশিয়ারি মোবাইল কোন ও MMID তহবিল স্থানান্তর',
		BeneficiaryMobileNo:'বেনিফিশিয়ারি মোবাইল কোন',
		BeneficiaryMMID:'বেনিফিশিয়ারি এম এম আমি ডি',
		Remarks:'মন্তব্য',
	},
	IMPSP2PConf :{
		Header :'করে Imps পি 2 পি - পিন ভেরিফিকেশন',
		SecretQuestion :'গোপন প্রশ্ন',
	},
	IMPSP2PSucc :{
		Header :'তহবিল স্থানান্তর - সাফল্য',
		ReferenceNumber :'আপনার রেফারেন্স নম্বর হয়',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'ব্যাংকের মধ্যে বেনিফিশিয়ারি করো',
		AddBeneficiaryDifferentBank :'বেনিফিশিয়ারি বিভিন্ন ব্যাংক করো',
		ViewBeneficiaryWithinBank:' ব্যাংকের মধ্যে প্রদর্শন / পরিবর্তন বেনিফিশিয়ারি',
		ViewBeneficiaryOtherBank:' প্রদর্শন / পরিবর্তন বেনিফিশিয়ারি অন্যান্য ব্যাংক',
	},
	AddBeneWithinBank :{
		Header :'নতুন বেনিফিশিয়ারি করো - ব্যাংকের মধ্যে',
		BeneficiaryName:'সুবিধা প্রাপ্ত নাম',
		NickName :'নিক নাম',
		FundTransferLimit:'ফান্ড ট্রান্সফার সীমা',
		LimitMax:'সীমা ( সর্বোচ্চ',
		AccountNo :'অ্যাকাউন্ট নাম্বার',
		ConfirmAccountNo:'অ্যাকাউন্টটি নিশ্চিত',
	},
	AddBeneWithinBankConf:{
		Header :'বেনিফিশিয়ারি করো - নিশ্চিতকরণ',
		AccountNameText :'ব্যাংক রেকর্ড অনুযায়ী নাম অ্যাকাউন্ট',
		Limit : 'সীমা',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'নতুন বেনিফিশিয়ারি করো - সাফল্য',
		BeneficiaryAddedLine1:'তোমার নতুন সুবিধাভোগী যোগ করা হয়েছে এবং পরে সক্রিয় করা হবে',
		BeneficiaryAddedLine2:'ঘন্টা পরে যা আপনি তহবিল হস্তান্তর জন্য এটি ব্যবহার করতে পারেন . আপনি দেখুন সুবিধাভোগী পেজে সুবিধাভোগী অবস্থা পরীক্ষা করতে পারবেন',
	},
	AddBeneInterBank :{
		Header :'নতুন বেনিফিশিয়ারি যোগ - বিভিন্ন ব্যাংক',
		EmailId:'ইমেইল আইডি',
		Address:'ঠিকানা',
		State :'রাষ্ট্র',
		City :'শহর / জেলা',
		Pincode:'পিনকোড',
	},
	AddBeneInterBankConf :{
		Header : 'বেনিফিশিয়ারি করো - নিশ্চিতকরণ',
		IFSC :'আইএফএসসি',
		BankName:'ব্যাংকের নাম',
		BranchName:'শাখার নাম',
		Branch :'শাখা',
		Email:'ইমেইল',
		City:'শহর',
		Phone : 'ফোন',
		Bank :'ব্যাংক',
		BankBranch :'ব্যাংকের শাখা',
	},
	AddBeneInterBankConfSuccess :{
		Header :'নতুন বেনিফিশিয়ারি করো - সাফল্য',
	},
	SearchIFSC :{
		Header :'আইএফএসসি কোড পেতে একটি মোড নির্বাচন করুন',
		IFSCcode:'আইএফএসসি কোড',
		BankCodeCity :'ব্যাংক কোড এবং শহরের',
	},
	IFSCByCode:{
		EnterIFSCcode : 'আইএফএসসি কোড লিখুন'
	},
	IFSCByBankCity :{
		BankCode:'ব্যাংেকর সংকেতলিপি',
	},
	IFSCBankList :{
		IFSCList:'আইএফএসসি তালিকা',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'সক্রিয় সুবিধাভোগী',
		PendingBeneficiaries:'অপেক্ষারত সুবিধাভোগী',
	},
	IntraBankBenDetailActive:{	
		Status: 'অবস্থা',
		Active :'সক্রিয়',
		ModifyBeneficiary:'বেনিফিশিয়ারি পরিবর্তন',
		DeleteBeneficiary:'বেনিফিশিয়ারি মুছে',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'অপেক্ষারত অ্যাক্টিভেশন',
	},
	ModifyBenWithinSuccess:{
		Header :'বেনিফিশিয়ারি পরিবর্তন - সাফল্য',
		BeneficiarySuccessText :'বেনিফিশিয়ারি সফলভাবে পরিবর্তিত হয়েছে',
	},
	DeleteBenWithinConf :{
		Header : 'বেনিফিশিয়ারি মুছে দিন - নিশ্চিতকরণ',
	},
	DeleteBenWithinSuccess :{
		Header :'বেনিফিশিয়ারি মুছে দিন - সাফল্য',
		BeneficiaryDeletedText:'বেনিফিশিয়ারি সফলভাবে মোছা',
	},
	ModifyBenInter:{
		BeneficiaryBank:'সুবিধাভোগী ব্যাংক',
		BeneficiaryBankBranch:'বেনিফিশিয়ারি ব্যাংক শাখা',
	},
	ProfileMenu:{
		MyProfile:'প্রোফাইল',
		ChangeLoginPin:'পরিবর্তন লগইন পিন',
		ChangeTransactionPin :'পরিবর্তন লেনদেন পিন',
	},
	MyProfile:{
		CustomerProfile:'ক্রেতা বিবরণ',
		Name :'নাম',
		Mobile : 'মোবাইল',
		Email :'ইমেইল',
		Address : 'ঠিকানা',
		City :'শহর',
		State :'রাষ্ট্র',
		Country :'দেশ',
		Zip :'জিপ',
	},
	ChangeMPINConfirm :{
		Header :'লগইন PIN পরিবর্তন - সাফল্য',
		LoginPinChangedText:'লগইন পিন সফলভাবে পরিবর্তিত . আবার লগইন অনুগ্রহ.'
	},
	ChangeTPINConfirm :{
		Header :'লেনদেন পিন পরিবর্তন - সাফল্য',
		TransactionPinChangedText:'লেনদেন পিন সফলভাবে পরিবর্তিত .'
	},
	ServicesMenu:{
		ChequeBookRequest:'চেক বইয়ের অনুরোধ',
		ChequeStatusInquiry :'চেক স্থিতি তদন্ত',
		StopCheque :'বন্ধ চেক',
		Account :'হিসাব'
	},
	CBRConfirmation :{
		Header:'চেক বইয়ের অনুরোধ - নিশ্চিতকরণ',
		ChequeBookConfirmText :'চেক বইয়ের অ্যাকাউন্টের জন্য অনুরোধ করা হবে',
		ChequeBookLine1 :'যেমন প্রযোজ্য চার্জ আপনার অ্যাকাউন্টে ধার্য করা হবে . অভিযোগে বিবরণের জন্য , ESAF ওয়েবসাইটে অভিযোগে অধ্যায় অনুগ্রহ করে পরিদর্শন করুন',
		ChequeBookLine2 :' চেক বইয়ের 7 কার্যদিবসের মধ্যে আপনার রেজিস্টার্ড মেইলিং ঠিকানা থেকে সরবরাহ করা হবে " শৈলী = " ব্যবহার - সব - প্রস্থ mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'চেক বইয়ের অনুরোধ - সাফল্য',
		RequestAccepted :'একটি চেক বইয়ের জন্য আপনার অনুরোধ গ্রহণ করা হয়েছে',
	},
	CheckChqStatus:{
		ChequeStatus:'চেক স্থিতি',
		ChequeNo:'চেক কোন',
		StartChequeNo:'স্টার্ট চেক কোন',
		EndChequeNo:'শেষ চেক কোন',
		Status : 'অবস্থা',
		Reason:'কারণ',
	},
	StopChqConfirmation :{
		Header : 'বন্ধ চেক - নিশ্চিতকরণ',
		Type :'ಕೌಟುಂಬಿಕತೆ',
	},
	StopChqResponse :{
		Header : 'ಚೆಕ್ ನಿಲ್ಲಿಸಿ - ಯಶಸ್ಸು',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'বিস্তারিত বিবৃতি',
		AccountNo :'অ্যাকাউন্ট নাম্বার',
		FromDate :'তারিখ থেকে',
		ToDate :'এখন পর্যন্ত',
	},
	DetailAccountStatement :{
			Balance :'ভারসাম্য',
	},
	FT2OwnAccount:{
		Header :'নিজের অ্যাকাউন্টে তহবিল স্থানান্তর',
		ToAccount : 'হিসাবে',
		Amount : 'পরিমাণ',
	},
	FTConfirmation :{
		Header : 'তহবিল স্থানান্তর - নিশ্চিতকরণ',
	},
	FTSuccess :{
		Header :'তহবিল স্থানান্তর - সাফল্য',
		ReferenceNumber : 'আপনার রেফারেন্স নম্বর হয়',
	},
	FT2OwnBeneficiary:{	
		Header :'ব্যাংকের মধ্যে তৃতীয় পক্ষের কাছে ফান্ড ট্রান্সফার',
		Beneficiary :'মৃত ব্যক্তির সম্পত্তির উত্তরাধিকারী',
	},
	FTConfirmBeneficary :{
		Header :'তহবিল স্থানান্তর - নিশ্চিতকরণ',
		BeneficiaryName :'সুবিধা প্রাপ্ত নাম',
		BeneficiaryNickName:'বেনিফিশিয়ারি নিক নাম',
		BeneficiaryAccount:'আমি আজ খুশি',
	},
	FT2InterBankBen :{
		Header :'বিভিন্ন ব্যাংক এ তৃতীয় পক্ষের কাছে ফান্ড ট্রান্সফার',
		TransactionType :'লেনদেন প্রকার',
		TotalCharges :'মোট চার্জ ( আমি সি L n. ট্যাক্স )',
	},
	ContactUs :{
		Header : 'আমাদের সাথে যোগাযোগ করুন',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'ফোন',
		Email :'ই - মেল',
		Website :' ওয়েবসাইট',
	},
	CardList:{
		Header :'কার্ড',
	},
	CardDetailScreen :{
		LinkedAccountNo :'সংযুক্ত অ্যাকাউন্ট কোন',
		ExpiryDate :'মেয়াদ শেষ হওয়ার তারিখ',
		AvailableBalance:'পর্যাপ্ত টাকা',
		HotlistCard:'হট তালিকায় কার্ড',
	},
	HotListCardConf:{
		Header :'হট তালিকায় কার্ড - নিশ্চিতকরণ',
		CardNo:'কার্ড নম্বর',
	},
	HotListCardSuccess:{
		Header :' হট তালিকায় কার্ড - সাফল্য',
		SuccessText:'কার্ড হট সফলভাবে তালিকাভুক্ত',
	},
	MiniStatement:{
		Credit :'জমা',
		Debit :'ডেবিট',
	},
	Settings:{
		Header:'ভাষা',
	},
	Language:{
		Label:'লেবেল',
		Header:'ভাষা পরিবর্তন',
		Settings:'সেটিংস',
	},
	LanguageSuccess :{
		Header:'তোমার ভাষা পরিবর্তন করা হয়েছে',
	},
	progressInfo:{
		ValidatinMobileProgress:'যাচাই করা হচ্ছে . অনুগ্রহপূর্বক অপেক্ষা করুন...',
		Registering:'নিবন্ধন . অনুগ্রহপূর্বক অপেক্ষা করুন..',
		PleaseWait:'অনুগ্রহপূর্বক অপেক্ষা করুন.',
	},
	getBranchDetail :{
		selectCity:'সিটি নির্বাচন',
		selectState:'রাজ্য নির্বাচন',
		map:'মানচিত্র',
		showList:'শাখা তালিকা',
		Navigation:'ন্যাভিগেশন',
		BranchLocator:'শাখা লোকেটার',
		getDirections:'করুন',
		ContactNumber:'যোগাযোগের নম্বর',
		ContactPerson:'ব্যক্তি যোগাযোগ',
		branchLocations:'শাখা লোকেশন',
	},
	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook নিরাপত্তা পিন যোগ',
		SecurityPIN :'নিরাপত্তা পিন',
		ConfirmSecurityPIN:'পিন নিরাপত্তা নিশ্চিত করুন',
	},
	activateMPBsuccess:{
		title:'mPassbook ಸೇವೆಯನ್ನು ಯಶಸ್ವಿಯಾಗಿ ಸಕ್ರಿಯ . ದಯವಿಟ್ಟು ಪ್ರವೇಶ ತೆರೆ ಪರಿಶೀಲಿಸಿ.',
	},
	mPBLogin:{
		title:'mPassbook স্বাগতম'	
	},
	mPBMenu:{
		Accounts:'হিসাব',
		activateMPB:'mPassbook জন্য অ্যাকাউন্ট সক্রিয়',
		download:'ডাউনলোড',
	},
	mPBAccountList:{
		title:'কোনো অ্যাকাউন্ট mPassbook জন্য সক্রিয়'
	},
	mPBEnableAccount:{
		title:'অ্যাকাউন্ট সক্রিয়'	
	},
	mPBSettings:{
		title:'mPassbook সেটিংস',
		records:'প্রতি পাতায় রেকর্ডের সংখ্যা',
	},
	mPBDownload:{
		title:'ডাউনলোড বিবৃতি',
		SelectCategory:'বিভাগ নির্বাচন করুন',
		Month:'মাস',
		Year:'বছর',
	},
	mStatement:{
		Search:'অনুসন্ধান',
		Date:'তারিখ',
		Particulars:'বিবরণ',
		Withdrawal :'প্রত্যাহার',
		Deposit:'আমানত',
		Balance:'ভারসাম্য',
		Notes:'নোট',
		Remarks:'মন্তব্য',
		Category:'বিভাগ',
	},
	addNotesForPassbook:{
		title:'নোট যোগ করুন',
	},

	Remarks:'মন্তব্য',
	Category:'বিভাগ',
	/*
	Hindi:'হিন্দি',
	English:'ইংরেজি',
	Marathi:'মারাঠি',
	Bengali:'বাঙালি',
	Gujrati:'গুজরাটী',
	Kannada:'কন্নড',
	Malayalam:'মালায়ালম',
	Tamil:'তামিল',
	Telagu:'তেলেগু',
	Punjabi:'পাঞ্জাবি',
	*/

	DCSecQuestions:{
		Title:'নিরাপত্তা প্রশ্ন',
		Question: 'গোপন প্রশ্ন নির্বাচন করুন ',
		Answer:'গোপন উত্তর ',
	},

	ChangeSecQuestions:{
		Title:'নিরাপত্তা পরিবর্তন প্রশ্নাবলি',
	},
	
	ChangeSecQuestionsSuccess:{
		Title:'পরিবর্তন সিকিউরিটি প্রশ্নাবলি - সাফল্য',
		Status:'আপনি সফলভাবে আপনার গোপন প্রশ্ন এবং তাদের উত্তর আপডেট করেছি .',
	}
};

//Gujrati
var translations_gj = {
	common:{
 	info:'માહિતી',
 	exitApp:'ESAF મોબાઇલ બેન્કિંગ ઉપયોગ કરવા બદલ આભાર . તમે અરજી બહાર નીકળવા માંગો છો ?',
 	mobileValidation :'મોબાઇલ માન્યતા',
 	registerMobile :'તમારો મોબાઇલ નંબર બેન્ક સાથે રજીસ્ટર એક સાથે મેળ ખાતું નથી . એક ઉપકરણ રજીસ્ટર મોબાઈલ નંબર ધરાવતી કરીને ફરીથી પ્રયત્ન કરો .',
 	mobileValidationError :'અમે તમારા મોબાઇલ નંબર માન્ય કરવા માટે અસમર્થ છે. કૃપા કરીને તપાસો જો તમારા ઉપકરણ આઉટગોઇંગ એસએમએસ મોકલવા અથવા પછીથી ફરી પ્રયાસ કરવાનો છે.',
 	errorMessage:'તમારી વિનંતિ પર પ્રક્રિયા કરતી વખતે ભૂલ આવી. પછીથી ફરી પ્રયત્ન કરો.',
 	error :'ભૂલ',
 	internetDisconnectMessage:'ઇન્ટરનેટ કનેક્શન તમારા ઉપકરણ પર ઉપલબ્ધ નથી. મોબાઇલ ડેટા સક્ષમ કરો છો અથવા WiFi નેટવર્ક સાથે જોડાવા માટે અને ફરીથી પ્રયાસ કરો.',
 	internetDisconnect :'ઈન્ટરનેટ ડિસ્કનેક્ટેડ',
 	update:'અપડેટ',
 	updateMessage:'આ તાજેતરની આવૃત્તિ માટે અરજી અપડેટ કરવામાં આવશે. ચાલુ રાખશો?',
 	selectMaturityAmount:'કૃપા કરીને ક્રેડિટ પરિપક્વતા રકમ એકાઉન્ટ પસંદ',
 	enterAccountNo:'માન્ય 12 આંકડાના એકાઉન્ટ નંબર દાખલ કરો',
 	enterCustomerNo:'માન્ય 12 આંકડાના ગ્રાહક આઈડી દાખલ કરો',
 	fromAccToAccMesg:'એકાઉન્ટ પ્રતિ અને ખાતામાં ન હોઈ શકે',
 	pin:'PIN',
 	pinMandatory:'6 અંકનો PIN ફરજિયાત છે',
 	currentPinNewPinMesg:'વર્તમાન PIN અને નવુ પ્રવેશ પિન 6 અંકો હોવા જ જોઈએ',
 	currentPinNewPinNotMatch:'નવી લૉગિન પિન અને લૉગિન પિનની પુષ્ટિ મેળ ખાતા નથી',
 	currentPinNewPinSame:'નવી લૉગિન PIN અને વર્તમાન લૉગિન PIN જ ન હોઈ શકે',
 	currentPinTransPinMesg:'વર્તમાન PIN અને ન્યૂ ટ્રાન્ઝેક્શન PIN 6 અંકો હોવા જ જોઈએ',
 	currentPinTransPinNotMatch:'નવી ટ્રાન્ઝેક્શન PIN અને ખાતરી કરો ટ્રાન્ઝેક્શન PIN મેળ ખાતો નથી',
 	currentPinTransPinSame:'નવી ટ્રાન્ઝેક્શન PIN અને વર્તમાન ટ્રાન્ઝેક્શન PIN જ ન હોઈ શકે',
 	loginPinConfirmPinMesg:'PIN પ્રવેશ અને ખાતરી કરો લોગઇન PIN 6 અંકો હોવા જ જોઈએ',
 	loginPinConfirmPinNotMatch:'PIN પ્રવેશ અને પ્રવેશ પિન ખાતરી કરો મેળ ખાતા નથી',
 	TransPinConfirmTransPinMesg:'ટ્રાન્ઝેક્શન PIN અને ખાતરી કરો ટ્રાન્ઝેક્શન PIN 6 અંકો હોવા જ જોઈએ',
 	TransPinConfirmTransPinNotMatch:'ટ્રાન્ઝેક્શન PIN અને ખાતરી કરો ટ્રાન્ઝેક્શન PIN મેળ ખાતો નથી',
 	loginPinTransPinNotSame:'PIN પ્રવેશ અને ટ્રાન્ઝેક્શન PIN જ ન હોઈ શકે',
 	selectLoginOrTransPin:'પ્રવેશ PIN કે ટ્રાન્ઝેક્શન PIN ક્યાં રીસેટ કરવા માટે પસંદ કરો.',
 	TransPinMandatory:'6 અંકનો ટ્રાન્ઝેક્શન PIN ફરજિયાત છે',
 	SyncMesg:'માહિતી સમન્વય કરે છે. મહેરબાની કરી રાહ જુવો...',
 	SyncData:'સમન્વય ડેટા',
 	NoDataSync:'કોઈ ડેટા સમન્વયન માટે ઉપલબ્ધ છે.',
 	SyncSuccess:'સમન્વય સફળતા',
 	SyncSuccessMesg:'તમામ ડેટા સફળતાપૂર્વક સમન્વયિત થયું.',
 	Logout:'લૉગ આઉટ',
 	logoutConfirm:'તમે ખાતરી કરો કે તમે લૉગઆઉટ કરવા માંગો છો?',
 	AreYouSure:'તમે ખાતરી છે. ચાલુ રાખશો?',
 	NoData:'કોઈ ડેટા ઉપલબ્ધ નથી',
 	Jan:'જાન્યુ',
 	Feb:'ફેબ્રુ',
 	Mar:'માર્ચ',
 	Apr:'એપ્રિલ',
 	May:'મે',
 	Jun:'જૂન',
 	Jul:'જુલાઈ',
 	Aug:'ઑગસ્ટ',
 	Sep:'સપ્ટેમ્બર',
 	Oct:'ઓક્ટોબર',
 	Nov:'નવેમ્બર',
 	Dec:'ડિસે',
 	Issued:'જારી',
 	Paid:'ચૂકવેલ',
 	Void:'રદબાતલ',
 	Stopped:'અટકાવાયેલ',
 	InvalidChequeNo:'અમાન્ય ચેક કોઈ',
 	smsVerify:'એક SMS તમારા મોબાઇલ નંબર ચકાસવા માટે તમારા ફોન પરથી મોકલવામાં આવશે. ક્લિક કરો આગળ વધવા માટે મોકલો.',
 	existingCustomer:'હાલની ગ્રાહક',
 	generatedMesg:'તમે પહેલા પહેલેથી જ એક PIN પેદા કરી છે. તમે જ અથવા સુયોજનને એક નવું ઉપયોગ ચાલુ રાખવા માંગો છો?',
 	TransAmountExceeds:'વ્યવહાર રકમ લાભાર્થી મહત્તમ મર્યાદા કરતાં વધી જાય',
 	CutOffExceeded:'cutoff વટાવી',
 	HolidayMesg:'વ્યવહાર કારણ કે તે એક રજા પર અથવા દિવસ cutoff સમય પછી શરૂ કરવામાં આવ્યું છે પ્રક્રિયા કરી શકાતી નથી. તમે હજુ પણ ચાલુ રાખવા માંગો છો ? તમે પસંદ કરો હા, તે આગામી કામ દિવસ પર પ્રક્રિયા મળશે',
 	ConnectionFailure:'કનેક્શન નિષ્ફળ',
 	failureMesg:'કનેક્શન ઉપલબ્ધ નથી બેંક . પછીથી ફરી પ્રયત્ન કરો.',
 	btnLogin: 'પ્રવેશ',
 	btnNext: 'આગળ',
 	btnSubmit: 'સબમિટ',
 	btnCancel: 'રદ કરો',
 	btnBack: 'પાછા',
 	tnDownload : 'ડાઉનલોડ' ,
	createMstatement : ' mStatement સફળતાપૂર્વક બનાવેલ છે. ',
	Loading : ' લોડ કરી રહ્યું છે ...' ,
	savedSettings : ' સેટિંગ્સ સફળતાપૂર્વક સાચવી. ',
	accountExit : 'પસંદ accountNo પહેલેથી mPassbook માટે સક્રિય થયેલ છે ',
	InvalidMPB : 'અમાન્ય mPassbook ઓળખાણપત્ર ',
	mPBSync : ' સુમેળ સફળતાપૂર્વક mPassbook ',
	mPBAccountActivate : 'mPassbook માટે સફળતાપૂર્વક સક્રિય એકાઉન્ટ  . એકાઉન્ટ્સ ચેક કૃપા કરીને' , 	
	ValidatingMobileNo:'માન્ય મોબાઇલ નંબર',
	ftlimit:'મહત્તમ ફંડ ટ્રાન્સફર મર્યાદા ₹ 5,00,000 છે',
 },
 errorCodes : {
	"-1" : "તમારી વિનંતિ પર પ્રક્રિયા કરતી વખતે ભૂલ આવી. પછીથી ફરી પ્રયત્ન કરો.",
	"300" : "તમે અરજી ની જૂની આવૃત્તિ વાપરી રહ્યા હોય. સ્ટોર માંથી તાજેતરની એપ્લિકેશન ડાઉનલોડ કરો",
	"400" : "તમે અરજી ની જૂની આવૃત્તિ વાપરી રહ્યા હોય. સ્ટોર માંથી તાજેતરની એપ્લિકેશન ડાઉનલોડ કરો",
	"401" : "ઉપકરણ સક્રિય નથી ગ્રાહક નંબર આ ઉપકરણ સક્રિય કરવા માટે રજીસ્ટર કરો માટે",
	"1001" : "અમાન્ય લૉગિન પ્રમાણપત્રો. તમારું એકાઉન્ટ 3 અમાન્ય પ્રયાસો કર્યા પછી લૉક કરવામાં આવશે.",
	"1002" : "અમાન્ય ડેબિટ કાર્ડ વિગતો . મહેરબાની કરીને કડીને પુન દાખલ કરો.",
	"1003" : "અમાન્ય નેટબેન્કિંગ ઓળખપત્રો . મહેરબાની કરીને કડીને પુન દાખલ કરો.",
	"1004" : "પ્રવેશ અને વ્યવહાર PIN 6 અંકો હોવા જ જોઈએ.",
	"1005" : "અમાન્ય ગ્રાહક ID અથવા ગ્રાહક મોબાઇલ બેન્કિંગ માટે વપરાશ હોય છે નથી.",
	"1006" : "અમાન્ય એકાઉન્ટ કોઈ અથવા ગ્રાહક મોબાઇલ બેન્કિંગ માટે વપરાશ હોય છે નથી.",
	"1007" : "તમારું સત્ર સમાપ્ત થયું . કરીને ફરીથી લૉગિન કરો.",
	"1008" : "તમારું સત્ર સમાપ્ત થયું . કરીને ફરીથી લૉગિન કરો.",
	"1009" : "કોઈ એકાઉન્ટ્સ ગ્રાહક આઈડી માટે ઉપલબ્ધ",
	"1010" : "અમાન્ય એકાઉન્ટ નંબર",
	"1011" : "અમાન્ય લૉગિન પિન",
	"1012" : "પ્રવેશ PIN અને ટ્રાન્ઝેક્શન PIN જ ન હોઈ શકે.",
	"1013" : "પ્રવેશ PIN અને ટ્રાન્ઝેક્શન PIN પસંદ એકાઉન્ટ માટે મળી વ્યવહારો sameNo કરી શકાતી નથી.",
	"1014" : "ફંડ ટ્રાન્સફર માટે દાખલ વિગતો અમાન્ય છે. યોગ્ય વિગતો દાખલ કરો. ",
	"1015" : "ફંડ ટ્રાન્સફર નિષ્ફળ",
	"1016" : "અમાન્ય ટ્રાન્ઝેક્શન PIN",
	"1017" : "ગ્રાહક પહેલેથી જ મોબાઇલ બેન્કિંગ માટે રજીસ્ટર. પ્રવેશ અથવા પાસવર્ડ ભૂલી ગયા છો પ્રયાસ કરો.",
	"1018" : "ગ્રાહક આઈડી અસ્તિત્વમાં નથી.",
	"1019" : "ગ્રાહક આઈડી અને / અથવા એકાઉન્ટ કોઈ અમાન્ય છે.",
	"1020" : "એ જ એકાઉન્ટમાં ટ્રાન્સફર કરી શકતા નથી.",
	"1021" : "વિગતવાર નિવેદન માટે દાખલ પરિમાણો અયોગ્ય છે.",
	"1022" : "ચેક બુક વિનંતિ પહેલેથી હાજર છે.",
	"1023" : "અયોગ્ય પ્રવેશ PIN દાખલ . મહેરબાની કરીને કડીને પુન દાખલ વર્તમાન લૉગિન પિન.",
	"1024" : "પ્રવેશ અને વ્યવહાર PIN જ ન હોઈ શકે. અલગ PIN પ્રયત્ન કરો.",
	"1025" : "ખોટો ટ્રાન્ઝેક્શન PIN દાખલ થયો હતો. મહેરબાની કરીને કડીને પુન દાખલ વર્તમાન ટ્રાન્ઝેક્શન PIN .",
	"1026" : "થાપણ નિષ્ફળ બંધ . થોડીવાર પછી ફરી પ્રયાસ કરો અથવા ગ્રાહક સંભાળ સંપર્ક કરો.",
	"1027" : "કોઈ કાર્ડ ગ્રાહક માટે હાજર . સંપર્ક ગ્રાહક સંભાળ એક કાર્ડ માટે અરજી કરવા માટે",
	"1028" : "અમાન્ય કાર્ડ નંબર",
	"1029" : "પત્તાની હોટ લિસ્ટિંગ નિષ્ફળ. મહેરબાની કરીને ફરીથી પ્રયતન કરો.",
	"1030" : "અમાન્ય ચેક કોઈ અથવા ચેક શ્રેણી.",
	"1031" : "કોઈ લાભાર્થી બેંક પરિવહન અંદર જોવા મળે છે. લાભાર્થી ઉમેરવા બેંક વિકલ્પ અંદર લાભાર્થી ઉમેરો વાપરો.",
	"1032" : "કોઈ લાભાર્થી અન્ય બેંક પરિવહન માટે જોવા મળે છે. લાભાર્થી ઉમેરવા માટે લાભાર્થી ઉમેરો અલગ બેંક વિકલ્પ વાપરો.",
	"1033" : "લાભાર્થી ઉમેરવાનું નિષ્ફળ. મહેરબાની કરીને ફરીથી પ્રયતન કરો.",
	"1034" : "કોઈ બેન્કો અસ્તિત્વ ધરાવે છે.",
	"1035" : "લાભાર્થીની કાઢવાનું નિષ્ફળ થયું.",
	"1036" : "કોઈ થાપણ જોવા મળે છે.",
	"1037" : "ભૂલ આવી. થાપણ બંધ માટે વિગતો મેળવી શકાઈ નથી.",
	"1039" : "દાખલ લાભાર્થી એકાઉન્ટ અમાન્ય છે.",
	"1040" : "ડિપોઝિટ બનાવી શકાતી નથી . થોડીવાર પછી ફરી પ્રયાસ કરો.",
	"1042" : "કોઈ MMID એકાઉન્ટ સાથે લિંક પસંદ",
	"1043" : "IMPS ફંડ ટ્રાન્સફર નિષ્ફળ .",
	"1044" : "એકાઉન્ટ તાળું મરાયેલ છે. પુનઃ-રજીસ્ટર કરો.",
	"1045" : "અયોગ્ય પ્રવેશ PIN દાખલ . મહેરબાની કરીને કડીને પુન દાખલ વર્તમાન લૉગિન પિન.",
	"1046" : "બદલી લાભાર્થી નિષ્ફળ. મહેરબાની કરીને ફરીથી પ્રયતન કરો.",
	"1047" : "તમારો મોબાઇલ નંબર બેન્ક સાથે રજીસ્ટર એક સાથે મેળ ખાતું નથી . બેન્ક સાથે રજીસ્ટર મોબાઈલ નંબર સાથે ઉપકરણ માંથી રજીસ્ટર કરો.",
	"1050" : " લાભાર્થી એકાઉન્ટ કોઈ દાખલ અમાન્ય છે ",
	"1051" : " ગ્રાહક આઈડી દાખલ અમાન્ય છે અથવા મોબાઇલ બેન્કિંગ ઍક્સેસ નથી અથવા એકાઉન્ટ કોઈ દાખલ અમાન્ય છે અથવા મોબાઇલ બેન્કિંગ ઍક્સેસ નથી ",
},
	//combo changes
	'All Funding Account Holders':'બધા ભંડોળ એકાઉન્ટ ધારકો',
	'Transfer to Another Account':'અન્ય ખાતામાં ટ્રાન્સફર',
	'For Self Only':'સ્વ માટે માત્ર',
	No:'કોઈ',
	Yes:'હા',
	'Automatically Renew':'આપમેળે નવીકરણ',
	AndamanandNicobar:'આંદામાન અને નિકોબાર',
	'Chhattisgarh':'છત્તીસગઢ',
	'Andhra pradesh':'આંધ્ર પ્રદેશ',
	ArunachalPradesh:'અરુણાચલ પ્રદેશ',
	Assam:'આસામ',
	Bihar:'બિહાર',
	Chandigarh:'ચંદીગઢ',
	DamanandDiu:'દમણ અને દીવ',
	Delhi:'દિલ્હી',
	DadraandNagarHaveli:'દાદરા અને નગર હવેલી',
	'Goa':'ગોવા',
	Gujarat:'ગુજરાત',
	'Himachal Pradesh':'હિમાચલ પ્રદેશ',
	Haryana:'હરિયાણા',
	Jharkhand:'ઝારખંડ',
	'Jammu &amp; Kashmir':'જમ્મુ અને કાશ્મીર',
	Karnataka:'કર્ણાટક',
	Kerala:'કેરળ',
	Lakshadweep:'લક્ષદ્વીપ',
	Maharashtra:'મહારાષ્ટ્ર',
	Meghalaya:'મેઘાલય',
	Manipur:'મણિપુર',
	'Madhya Pradesh':'મધ્ય પ્રદેશ',
	Mizoram:'મિઝોરમ',
	Nagaland:'નાગાલેન્ડ',
	Odisha:'ઓરિસ્સા',
	Punjab:'પંજાબ',
	Puducherry:'પુડુચેરી',
	Rajasthan:'રાજસ્થાન',
	Sikkim:'સિક્કિમ',
	Telangana:'તેલંગણા',
	'Tamil Nadu':'તમિલનાડુ',
	Tripura:'ત્રિપુરા',
	Uttarakhand:'ઉત્તરાખંડ',
	'Uttar Pradesh':'ઉત્તર પ્રદેશ',
	'West Bengal':'પશ્ચિમ બંગાળ',
	Debit:'ડેબિટ',
	Credit:'ક્રેડિટ',

	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'મોબાઇલ બેન્કિંગ નોંધણી માટે આપનું સ્વાગત છે',
		Line1:'તમે આ સવલતનો ઉપયોગ કરવો શરૂ કરો તે પહેલાં તમે તમારા ઉપકરણ રજીસ્ટર અને તમારા મોબાઇલ બેન્કિંગ સત્તાધિકરણ ઓળખાણપત્ર સુયોજિત કરવાની જરૂર છે.',
		Line2:'આ ઉપકરણ મોબાઇલ નંબર (મલ્ટી સિમ ઉપકરણો કિસ્સામાં પ્રાથમિક સિમ કાર્ડ) બેંક સાથે તમારા રજિસ્ટર્ડ મોબાઇલ નંબર તરીકે જ છે તેની ખાતરી કરો.',
		Line3:'તમારી ઓળખ સ્થાપિત કરવા માટે, તમે ક્યાં તો તમારા નેટબૅંકિંગ એકાઉન્ટ માટે સત્તાધિકરણ પ્રમાણપત્રો અથવા તમારા ડેબિટ કાર્ડ પૂરી પાડવાની જરૂર પડશે.',
		Line4:'રજીસ્ટ્રેશન પછી , તમે માત્ર આ ઉપકરણ મોબાઇલ બેન્કિંગ ઍક્સેસ કરી શકો છો . તમે ભવિષ્યમાં તમારા ઉપકરણ બદલવા માંગો છો કિસ્સામાં, તમે નવા ઉપકરણ ફરી રજીસ્ટર કરવાની જરૂર પડશે .',
		iAgree:'હું વેબસાઈટ માં ઉલ્લેખ નિયમો અને શરતો માટે સંમત',
	},
	registration:{
		Title1:'પસંદ ગ્રાહક આઈડી અથવા એકાઉન્ટ સંખ્યા',
		Title2:'ગ્રાહક આઈડી',
		Title3:'ખાતા નંબર',
		Title4:'12 અંક ગ્રાહક આઈડી અથવા એકાઉન્ટ નંબર દાખલ કરો',
		Title5:'અહીં નંબર દાખલ કરો',
		Title6:'નોંધણી વિકલ્પ પસંદ કરો ',
		Title7:'નેટબૅંકિંગ',
		Title8:'ડેબિટ કાર્ડ',
	},
	ValidateMobile : {
		ValidateMobileNo:'મોબાઇલ કોઈ માન્ય',
	},
	registrationDebitCard:{
		Header:'ડેબિટ કાર્ડ વિગતો',
		DCLabel:'ડેબિટ કાર્ડ નંબર',
		PINLabel:'પી હું એ',
		ExpLabel:'સમાપ્તિ મહિનો',
		ExpYr:'સમાપ્તિ વર્ષ',
	},
	debitPinSetup:{
		Header:'મોબાઇલ બેન્કિંગ નોંધણી',
		CurrentLoginPin :'વર્તમાન લૉગિન પિન',
		CurrentTransactionPin :'વર્તમાન ટ્રાન્ઝેક્શન પિન',
		NewLoginPin:'નવુ પ્રવેશ PIN',
		NewLoginPinAlias:'નવુ પ્રવેશ PIN ( મીન 6 અંકો)',
		ConfirmLoginPin:'પ્રવેશ PIN ખાતરી',
		ConfirmLoginPinAlias:'ખાતરી કરો પ્રવેશ PIN ( મીન 6 અંકો)',
		NewTransactionPin:'ન્યૂ ટ્રાન્ઝેક્શન PIN',
		NewTransactionPinAlias:'ન્યૂ ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		ConfirmTransactionPin:'ટ્રાન્ઝેક્શન PIN ખાતરી',
		ConfirmTransactionPinAlias:'ખાતરી ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		PleaseNote : 'કૃપયા નોંધો',
		NumericValue :' - તમારો PIN માટે 6 અંકનો આંકડાકીય કિંમત દાખલ કરો.' ,
		SameConsecutiveDigits:'- તે કરતાં વધુ 2 સતત અંકો જ (દા.ત. 122287 અથવા 186333 ) હોઈ શકે નહિં',
		ConsecutiveDigitsSequence:'- તે ક્રમ કરતાં વધુ 2 સતત અંકો (દા.ત. 123845 અથવા 987253 ) હોઈ શકે નહિં',
		SameGroupDigits : '- તે 2 અંકો જ જૂથ કરતાં વધુ 2 વખત ( દા.ત. 121212 અથવા 989898 ) પુનરાવર્તન સમાવી શકે નહિં',
	},
	RegistrationCompletion :{
		Congratulations:'અભિનંદન',
		SuccessfullyComplete:'તમે સફળતાપૂર્વક મોબાઇલ બેન્કિંગ નોંધણી પ્રક્રિયા પૂર્ણ કરી છે.',
		LoginLink:'તમારા મોબાઇલ બેન્કિંગ સુવિધાનો ઉપયોગ શરૂ કરવા માટે નીચેના લૉગિન કરો કડી પર ક્લિક કરો.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'નેટ બેન્કિંગ ઓળખપત્રો',
		UserId : ' વપરાશકર્તા હું ડી',
		Password :'પાસવર્ડ',	
	},
	NBPinSetup:{
		Header:'PIN સેટઅપ',
		NewLoginPin:'નવુ પ્રવેશ PIN',
		NewLoginPinAlias:'નવુ પ્રવેશ PIN ( મીન 6 અંકો)',
		ConfirmLoginPin:'પ્રવેશ PIN ખાતરી',
		ConfirmLoginPinAlias:'ખાતરી કરો પ્રવેશ PIN ( મીન 6 અંકો)',
		NewTransactionPin:'ન્યૂ ટ્રાન્ઝેક્શન PIN',
		NewTransactionPinAlias:'ન્યૂ ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		ConfirmTransactionPin:'ટ્રાન્ઝેક્શન PIN ખાતરી',
		ConfirmTransactionPinAlias:'ખાતરી ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		PleaseNote : 'કૃપયા નોંધો',
		NumericValue :' - તમારો PIN માટે 6 અંકનો આંકડાકીય કિંમત દાખલ કરો.' ,
		SameConsecutiveDigits:'- તે કરતાં વધુ 2 સતત અંકો જ (દા.ત. 122287 અથવા 186333 ) હોઈ શકે નહિં',
		ConsecutiveDigitsSequence:'- તે ક્રમ કરતાં વધુ 2 સતત અંકો (દા.ત. 123845 અથવા 987253 ) હોઈ શકે નહિં',
		SameGroupDigits : '- તે 2 અંકો જ જૂથ કરતાં વધુ 2 વખત ( દા.ત. 121212 અથવા 989898 ) પુનરાવર્તન સમાવી શકે નહિં',
	},
	NBRegistrationCompletion :{
		Congratulations:'અભિનંદન',
		SuccessfullyComplete:'તમે સફળતાપૂર્વક મોબાઇલ બેન્કિંગ નોંધણી પ્રક્રિયા પૂર્ણ કરી છે.',
		LoginLink:'તમારા મોબાઇલ બેન્કિંગ સુવિધાનો ઉપયોગ શરૂ કરવા માટે નીચેના લૉગિન કરો કડી પર ક્લિક કરો.',
	},
	ForgotPinScreen1 :{
		ResetOption :' રીસેટ વિકલ્પ પસંદ કરો',
		Netbanking :'નેટબૅંકિંગ',
		DebitCard:'ડેબિટ કાર્ડ',
	},
	ForgotPINDebitCard:{
		Title:'PIN ફરીથી સેટ કરો - ડેબિટ કાર્ડ',
		DebitCardNumber :'ડેબિટ કાર્ડ નંબર',
		Pin:'પી હું એ',
		ExpiryMonth:'સમાપ્તિ મહિનો',
		ExpiryYear : ' સમાપ્તિ વર્ષ',
	},
	ForgotPINNetbanking:{
		Title : 'PIN ફરીથી સેટ કરો - નેટ બેન્કિંગ',
		UserId :'વપરાશકર્તા ID',
		Password : 'પાસવર્ડ',	
	},
	DebitForgotPinSetup:{
		Title : 'PIN ફરીથી સેટ કરો',
		ChangeLoginPin :'બદલો પ્રવેશ PIN',
		NewLoginPin:'નવુ પ્રવેશ PIN',
		NewLoginPinAlias:'નવુ પ્રવેશ PIN ( મીન 6 અંકો)',
		ConfirmLoginPin:'પ્રવેશ PIN ખાતરી',
		ConfirmLoginPinAlias:'ખાતરી કરો પ્રવેશ PIN ( મીન 6 અંકો)',
		ChangeTransactionPin :'બદલો ટ્રાન્ઝેક્શન PIN',
		NewTransactionPin:'ન્યૂ ટ્રાન્ઝેક્શન PIN',
		NewTransactionPinAlias:'ન્યૂ ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		ConfirmTransactionPin:'ટ્રાન્ઝેક્શન PIN ખાતરી',
		ConfirmTransactionPinAlias:'ખાતરી ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		PleaseNote : 'કૃપયા નોંધો',
		NumericValue :' - તમારો PIN માટે 6 અંકનો આંકડાકીય કિંમત દાખલ કરો.' ,
		SameConsecutiveDigits:'- તે કરતાં વધુ 2 સતત અંકો જ (દા.ત. 122287 અથવા 186333 ) હોઈ શકે નહિં',
		ConsecutiveDigitsSequence:'- તે ક્રમ કરતાં વધુ 2 સતત અંકો (દા.ત. 123845 અથવા 987253 ) હોઈ શકે નહિં',
		SameGroupDigits : '- તે 2 અંકો જ જૂથ કરતાં વધુ 2 વખત ( દા.ત. 121212 અથવા 989898 ) પુનરાવર્તન સમાવી શકે નહિં',
	},
	NBForgotPinSetup:{
		Title : 'PIN ફરીથી સેટ કરો',
		ChangeLoginPin :'બદલો પ્રવેશ PIN',
		NewLoginPin:'નવુ પ્રવેશ PIN',
		NewLoginPinAlias:'નવુ પ્રવેશ PIN ( મીન 6 અંકો)',
		ConfirmLoginPin:'પ્રવેશ PIN ખાતરી',
		ConfirmLoginPinAlias:'ખાતરી કરો પ્રવેશ PIN ( મીન 6 અંકો)',
		ChangeTransactionPin :'બદલો ટ્રાન્ઝેક્શન PIN',
		NewTransactionPin:'ન્યૂ ટ્રાન્ઝેક્શન PIN',
		NewTransactionPinAlias:'ન્યૂ ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		ConfirmTransactionPin:'ટ્રાન્ઝેક્શન PIN ખાતરી',
		ConfirmTransactionPinAlias:'ખાતરી ટ્રાન્ઝેક્શન PIN ( મીન 6 અંકો)',
		PleaseNote : 'કૃપયા નોંધો',
		NumericValue :' - તમારો PIN માટે 6 અંકનો આંકડાકીય કિંમત દાખલ કરો.' ,
		SameConsecutiveDigits:'- તે કરતાં વધુ 2 સતત અંકો જ (દા.ત. 122287 અથવા 186333 ) હોઈ શકે નહિં',
		ConsecutiveDigitsSequence:'- તે ક્રમ કરતાં વધુ 2 સતત અંકો (દા.ત. 123845 અથવા 987253 ) હોઈ શકે નહિં',
		SameGroupDigits : '- તે 2 અંકો જ જૂથ કરતાં વધુ 2 વખત ( દા.ત. 121212 અથવા 989898 ) પુનરાવર્તન સમાવી શકે નહિં',
	},
	DBForgotPINCompletion:{
		Congratulations:'અભિનંદન',
		SuccessfullyComplete:'તમારો PIN સફળતાપૂર્વક ફરી સેટ કરવામાં આવી છે.',
		LoginLink:'તમારા મોબાઇલ બેન્કિંગ સુવિધાનો ઉપયોગ શરૂ કરવા માટે નીચેના લૉગિન કરો કડી પર ક્લિક કરો.',
	},
	NBForgotPINCompletion :{
		Congratulations:'અભિનંદન',
		SuccessfullyComplete:'તમારો PIN સફળતાપૂર્વક ફરી સેટ કરવામાં આવી છે.',
		LoginLink:'તમારા મોબાઇલ બેન્કિંગ સુવિધાનો ઉપયોગ શરૂ કરવા માટે નીચેના લૉગિન કરો કડી પર ક્લિક કરો.',
	},
	ReLogin:{
		Title : 'આપનું સ્વાગત છે',
		LoginLabel : 'પ્રવેશ કરવા માટે તમારો PIN દાખલ કરો',
		LoginLabelAlias:'તમારા લૉગિન PIN દાખલ કરો',
		ForgotPin : 'PIN ભૂલી ગયા છો',
		Register : 'રજિસ્ટર',
		Version :'આવૃત્તિ',
	},
	Menu:{
		LastLoginTime: 'ગયા લૉગ માં :',
		TermDeposite :'મુદતી થાપણો',
		TransactionAccounts :'ટ્રાન્ઝેક્શન એકાઉન્ટ્સ',
		Transfers :'બદલી',
		Services : 'સેવાઓ',
		Cards :'કાર્ડ્સ',
		Profile :'પ્રોફાઇલ',
		ContactUs:'અમારો સંપર્ક કરો',
	},
	AccountList :{
		AvailableBalance :'ઉપલબ્ધ સંતુલન:',
		CashCreditAccount :'કેશ ક્રેડિટ એકાઉન્ટ',
		CurrentBalance:'વર્તમાન રકમ:',
		LoanAccount :'લોન એકાઉન્ટ',
		SavingAccount : 'બચત ખાતું',
		CurrentAccount : 'ચાલુ ખાતાની',
	},
	SavCurrAccDetailScreen:{
		Product :'ઉત્પાદન:',
		AvailableBalance :'ઉપલબ્ધ સંતુલન',
		CurrentBalance:'વર્તમાન રકમ',
		UnclearFunds :' સ્પષ્ટ નથી ફંડ',
		FundsOnHold :'સ્પષ્ટ નથી ફંડ',
		Last5Trans :'છેલ્લા 5 વ્યવહારોની',
		DetailStatement:'વિગતવાર નિવેદન',
		TransferOwnAccount :'એકાઉન્ટ ખરીદવું પરિવહન',
		TransferThirdPartyWithinBank :'બેંક અંદર તૃતીય પક્ષ માટે પરિવહન',
		TransferThirdPartyOtherBank:'થર્ડ પાર્ટી અન્ય બેંક પરિવહન',
		ImpsToMobile :' મોબાઇલ અને MMID માટે imps',
	},
	CashCreditDetailScreen:{
		Product :'ઉત્પાદન:',
		CreditLimit :'ક્રેડિટ મર્યાદા',
		AvailableBalance :'ઉપલબ્ધ સંતુલન',
		CurrentBalance:'વર્તમાન રકમ',
		UnclearFunds :' સ્પષ્ટ નથી ફંડ',
		AvailableCredit :'ઉપલબ્ધ ક્રેડિટ',
		TotalAmountDue :'કુલ રકમ કારણે',
		InterestRate :'વ્યાજ દર',
		Last5Trans :'છેલ્લા 5 વ્યવહારોની',
		DetailStatement:'વિગતવાર નિવેદન',
	},
	LoanDetailScreen:{
		Product :'ઉત્પાદન:',
		CreditLimit :'ક્રેડિટ મર્યાદા',
		AvailableBalance :'ઉપલબ્ધ સંતુલન',
		CurrentBalance:'વર્તમાન રકમ',
		OpeningDate :' શરૂઆતના તારીખ',
		MaturityDate:'મેચ્યોરિટીની તારીખ',
		AvailableCredit :'ઉપલબ્ધ ક્રેડિટ',
		TotalAmountDue :'કુલ રકમ કારણે',
		InterestRate :'વ્યાજ દર',
		Last5Trans :'છેલ્લા 5 વ્યવહારોની',
		DetailStatement:'વિગતવાર નિવેદન',
	},
	DepositMenu:{
		ViewDeposits :'જુઓ થાપણો',
		NewRecurringDeposite :'ન્યૂ રિકરિંગ ડિપોઝિટ',
		NewRegularIncome:'નવી નિયમિત આવક થાપણો',
		NewReinvestment :'ન્યૂ રીઇનવેસ્ટમેન્ટ ડિપોઝિટ',
	},
	RegularIncomeDeposit:{
		Header:' નવી નિયમિત આવક ડિપોઝિટ',
		Scheme :'યોજના',
		FromAccount :'એકાઉન્ટ પ્રતિ',
		Amount :'રકમ',
		PeriodofDeposit:'ડિપોઝિટ પીરિયડ: MAXTERM દિવસ',
		PeriodofDepositYears:'ડિપોઝિટ વર્ષ',
		PeriodofDepositMonths:'ડિપોઝિટ મહિનાનાં ગાળા',
		PeriodofDepositDays:'ડિપોઝિટ દિવસો પીરિયડ',
		InterestPaymentFrequency:'વ્યાજ ચુકવવાનું આવર્તન',
		AccounttoCreditInterest:'ક્રેડિટ રસ એકાઉન્ટ',
		MaturityInstructions:'પરિપક્વતા સૂચનાઓ',
		'Automatically Renew':'આપમેળે નવીકરણ',
		InterestPaymentOption:'વ્યાજ ચુકવણી વિકલ્પ',
		AccountToCreditMaturityAmount:'પરિપક્વતા રકમનો ક્રેડિટ એકાઉન્ટ',
		TransactionRemarks:'ટ્રાન્ઝેક્શન રીમાર્કસ',
		NomineeRequired:'નામાંકન જરૂરી',
	},
	PIDConfWONom:{
		Header:'ઓપન ડિપોઝિટ - સમર્થન',
		Scheme :'યોજના',
		FromAccount :'એકાઉન્ટ પ્રતિ',
		Amount :'રકમ',
		PeriodofDeposit:'ડિપોઝિટ  પીરિયડ ',
		PeriodofDepositYears:'ડિપોઝિટ વર્ષ',
		PeriodofDepositMonths:'ડિપોઝિટ મહિનાનાં ગાળા',
		PeriodofDepositDays:'ડિપોઝિટ દિવસો પીરિયડ',
		InterestPaymentOption:'વ્યાજ ચુકવણી વિકલ્પ',
		AccounttoCreditInterest:'ક્રેડિટ રસ એકાઉન્ટ',
		MaturityInstructions:'પરિપક્વતા સૂચનાઓ',
		AccountToCreditMaturityAmount:'પરિપક્વતા રકમનો ક્રેડિટ એકાઉન્ટ',
		TransactionRemarks:'ટ્રાન્ઝેક્શન રીમાર્કસ',
		NomineeRequired:'નામાંકન જરૂરી',
		Narration:'વર્ણન',
		InterestRate:'વ્યાજ દર',
		MaturityDate:' મેચ્યોરિટીની તારીખ',
		MaturityValue:'મેચ્યોરિટી વેલ્યુ',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
	},
	PIDConfWONomSuceess:{
		Header:'નિયમિત આવક ડિપોઝિટ - સફળતા',
		AccountNo :'તમારી ડિપોઝિટ એ / સી સંખ્યા છે ',
	},
	PIDNomineeDetails:{
		Header:'નામાંકન વિગતો',
		NomineeAddressLine1:'નામાંકન સરનામાં રેખા 1',
		NomineeAddressLine2:'નામાંકન સરનામાં રેખા 2',
		NomineeAddressLine3 :'નામાંકન સરનામાં રેખા 3',
		NomineeAddressLine4 :'નામાંકન સરનામાં રેખા 4',
		NomineeAge :'( વર્ષ ) નામાંકન ઉંમર',
	},
	PIDNomineeMinorDetails :{
		Header:'નામાંકન વિગતો',
		RelationshipWithCustomer :'ગ્રાહક સાથે સંબંધ',
		DisplayNomineeName :'ડિસ્પ્લે નામાંકન નામ',
		IsNomineeMinor:'ઉમેદવાર છે નાના',
		NomineeisMinor:'ઉમેદવાર છે નાના',
		GuardianNameforNominee:'નામાંકન માટે વાલી નામ:',
		GuardianName:'વાલી નામ',
	},
	PIDConfWithNom:{
		Header:'ઓપન ડિપોઝિટ - સમર્થન',
		Scheme :'યોજના',
		FromAccount :'એકાઉન્ટ પ્રતિ',
		Amount :'રકમ',
		PeriodofDeposit:'ડિપોઝિટ પીરિયડ ',
		PeriodofDepositYears:'ડિપોઝિટ વર્ષ',
		PeriodofDepositMonths:'ડિપોઝિટ મહિનાનાં ગાળા',
		PeriodofDepositDays:'ડિપોઝિટ દિવસો પીરિયડ',
		InterestPaymentOption:'વ્યાજ ચુકવણી વિકલ્પ',
		AccounttoCreditInterest:'ક્રેડિટ રસ એકાઉન્ટ',
		MaturityInstructions:'પરિપક્વતા સૂચનાઓ',
		AccountToCreditMaturityAmount:'પરિપક્વતા રકમનો ક્રેડિટ એકાઉન્ટ',
		TransactionRemarks:'ટ્રાન્ઝેક્શન રીમાર્કસ',
		NomineeRequired:'નામાંકન જરૂરી',
		Narration:'વર્ણન',
		InterestRate:'વ્યાજ દર',
		MaturityDate:' મેચ્યોરિટીની તારીખ',
		MaturityValue:'મેચ્યોરિટી વેલ્યુ',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		NomineeAddressLine1:'નામાંકન સરનામું 1:',
		NomineeAddressLine2:'નામાંકન સરનામું 2',
		NomineeAddressLine3 :'નામાંકન સરનામું 3:',
		NomineeAddressLine4 :'નામાંકન સરનામું 4:',
		NomineeAge :'નામાંકન ઉંમર:',
		RelationshipWithCustomer :'ગ્રાહક સાથે સંબંધ :',
		DisplayNomineeName :'ડિસ્પ્લે નામાંકન નામ :',
		IsNomineeMinor:'ઉમેદવાર છે નાના :',
		NomineeisMinor:'ઉમેદવાર છે નાના',
		GuardianNameforNominee:'નામાંકન માટે ગાર્ડિયન નામ:',
		GuardianName:'વાલી નામ',
		NomineeName:'નામાંકન નામ',
		NominationDetails:'નોમિનેશન વિગતો (જોવા માટે ક્લિક કરો)',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		TransactionPinAlias:'તમારા વ્યવહાર PIN દાખલ કરો',
	},
	PIDConfWithNomSuccess:{
		Header:'નિયમિત આવક ડિપોઝિટ - સફળતા',
		AccountNo :'તમારી ડિપોઝિટ એ / સી સંખ્યા છે ',
	},
	ReinvestmentDeposit:{
		Header:' ન્યૂ રીઇનવેસ્ટમેન્ટ ડિપોઝિટ',
		Scheme :'યોજના',
		FromAccount :'એકાઉન્ટ પ્રતિ',
		Amount :'રકમ',
		PeriodofDeposit:'ડિપોઝિટ પીરિયડ ',
		PeriodofDepositYears:'ડિપોઝિટ વર્ષ',
		PeriodofDepositMonths:'ડિપોઝિટ મહિનાનાં ગાળા',
		PeriodofDepositDays:'ડિપોઝિટ દિવસો પીરિયડ',
		InterestPaymentFrequency:'વ્યાજ ચુકવવાનું આવર્તન',
		InterestPaymentOption:'વ્યાજ ચુકવણી વિકલ્પ',
		AccounttoCreditInterest:'ક્રેડિટ રસ એકાઉન્ટ',
		MaturityInstructions:'પરિપક્વતા સૂચનાઓ',
		AccountToCreditMaturityAmount:'પરિપક્વતા રકમનો ક્રેડિટ એકાઉન્ટ',
		TransactionRemarks:'ટ્રાન્ઝેક્શન રીમાર્કસ',
		NomineeRequired:'નામાંકન જરૂરી',
		Narration:'વર્ણન',
		InterestRate:'વ્યાજ દર',
		MaturityDate:' મેચ્યોરિટીની તારીખ',
		MaturityValue:'મેચ્યોરિટી વેલ્યુ',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		AtMaturity:'પુખ્તતાએ',
		RemainonDeposit:'ડિપોઝિટ પર રહો',
		'Automatically Renew':'આપમેળે નવીકરણ',
		Narrative :'નેરેટિવ',
	},
	ReInvstConfWONom:{
		Header:'ઓપન ડિપોઝિટ - સમર્થન',
		Scheme :'યોજના',
		FromAccount :'એકાઉન્ટ પ્રતિ',
		Amount :'રકમ',
		PeriodofDeposit:'ડિપોઝિટ પીરિયડ ',
		PeriodofDepositYears:'ડિપોઝિટ વર્ષ',
		PeriodofDepositMonths:'ડિપોઝિટ મહિનાનાં ગાળા',
		PeriodofDepositDays:'ડિપોઝિટ દિવસો પીરિયડ',
		InterestPaymentFrequency:'વ્યાજ ચુકવવાનું આવર્તન',
		InterestPaymentOption:'વ્યાજ ચુકવણી વિકલ્પ',
		AccounttoCreditInterest:'ક્રેડિટ રસ એકાઉન્ટ',
		MaturityInstructions:'પરિપક્વતા સૂચનાઓ',
		AccountToCreditMaturityAmount:'પરિપક્વતા રકમનો ક્રેડિટ એકાઉન્ટ',
		TransactionRemarks:'ટ્રાન્ઝેક્શન રીમાર્કસ',
		NomineeRequired:'નામાંકન જરૂરી',
		Narration:'વર્ણન',
		InterestRate:'વ્યાજ દર',
		MaturityDate:'મેચ્યોરિટીની તારીખ',
		MaturityValue:'મેચ્યોરિટી વેલ્યુ',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		AtMaturity:'પુખ્તતાએ',
		RemainonDeposit:'ડિપોઝિટ પર રહો',
		'Automatically Renew':'આપમેળે નવીકરણ',
		Narrative :'નેરેટિવ',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		TransactionPinAlias:'તમારા વ્યવહાર PIN દાખલ કરો',
	},
	ReInvstWONomSuccess :{
		Header: 'ન્યૂ રીઇનવેસ્ટમેન્ટ ડિપોઝિટ - સફળતા',
		AccountNo :'તમારી ડિપોઝિટ એ / સી સંખ્યા છે',	
	},
	RINomineeDetails :{
		Header:'નામાંકન વિગતો',
		NomineeName: "નામાંકન નામ",
		Name:'નામ',
		NomineeAddressLine1:'નામાંકન સરનામાં રેખા 1',
		AddressLine1 :'સરનામાં રેખા 1',
		NomineeAddressLine2:'નામાંકન સરનામું લાઇન 2',
		AddressLine2 :'સરનામું લાઇન 2',
		NomineeAddressLine3 :'નામાંકન સરનામું લાઇન 3',
		AddressLine3 :'સરનામું લાઇન 3',
		NomineeAddressLine4 :'નામાંકન સરનામું લાઇન 4',
		AddressLine4 :'સરનામું લાઇન 4',
		NomineeAge :'( વર્ષ ) નામાંકન ઉંમર',
		Age:'ઉંમર',
	},
	RINomineeMinorDetails:{
		Header:'નામાંકન વિગતો',
		NomineeAge :'નામાંકન ઉંમર:',
		RelationshipWithCustomer :'ગ્રાહક સાથે સંબંધ:',
		DisplayNomineeName :'ડિસ્પ્લે નામાંકન નામ :',
		IsNomineeMinor:'ઉમેદવાર છે નાના :',
		NomineeisMinor:'ઉમેદવાર છે નાના',
		GuardianNameforNominee:'નામાંકન માટે વાલી નામ:',
		GuardianName:'ગાર્ડિયન',
		NomineeName:'નામાંકન નામ',
		NominationDetails:'નોમિનેશન વિગતો (જોવા માટે ક્લિક કરો)',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		TransactionPinAlias:'તમારા વ્યવહાર PIN દાખલ કરો',
	},
	NomineeMaturityDetails:{
		Header:'ઓપન ડિપોઝિટ - સમર્થન',
		Scheme :'યોજના',
		FromAccount :'એકાઉન્ટ પ્રતિ',
		Amount :'રકમ',
		PeriodofDeposit:'ડિપોઝિટ પીરિયડ ',
		PeriodofDepositYears:'ડિપોઝિટ વર્ષ',
		PeriodofDepositMonths:'ડિપોઝિટ મહિનાનાં ગાળા',
		PeriodofDepositDays:'ડિપોઝિટ દિવસો પીરિયડ',
		InterestPaymentFrequency:'વ્યાજ ચુકવવાનું આવર્તન',
		InterestPaymentOption:'વ્યાજ ચુકવણી વિકલ્પ',
		AccounttoCreditInterest:'ક્રેડિટ રસ એકાઉન્ટ',
		MaturityInstructions:'પરિપક્વતા સૂચનાઓ',
		AccountToCreditMaturityAmount:'પરિપક્વતા રકમનો ક્રેડિટ એકાઉન્ટ',
		TransactionRemarks:'ટ્રાન્ઝેક્શન રીમાર્કસ',
		NomineeDetails:' નામાંકન વિગતો',
		NomineeRequired:'નામાંકન જરૂરી',
		NomineeName:'નામાંકન નામ',
		Name:'નામ',
		RelationshipWithCustomer :'ગ્રાહક સાથે સંબંધ:',
		DisplayNomineeName :'ડિસ્પ્લે નામાંકન નામ :',
		IsNomineeMinor:'ઉમેદવાર છે નાના :',
		NomineeisMinor:'ઉમેદવાર છે નાના',
		GuardianNameforNominee:'નામાંકન માટે વાલી નામ:',
		GuardianName:'ગાર્ડિયન',
		NominationDetails:'નોમિનેશન વિગતો (જોવા માટે ક્લિક કરો)',
		NomineeAddressLine1:'નામાંકન સરનામાં રેખા 1',
		AddressLine1 :'સરનામાં રેખા 1',
		NomineeAddress1:'નામાંકન Address1:',
		NomineeAddressLine2:'નામાંકન સરનામું લાઇન 2',
		AddressLine2 :'સરનામું લાઇન 2',
		NomineeAddress2:'નામાંકન Address2:',
		NomineeAddressLine3 :'નામાંકન સરનામું લાઇન 3',
		NomineeAddress3 :'નામાંકન Address3:',
		AddressLine3 :'સરનામું લાઇન 3',
		NomineeAddressLine4 :'નામાંકન સરનામું લાઇન 4',
		AddressLine4 :'સરનામું લાઇન 4',
		NomineeAddress4 :'નામાંકન Address4:',
		NomineeAge :'નામાંકન ઉંમર ',
		NomineeAgeInYears :'( વર્ષ ) નામાંકન ઉંમર',
		Age:'ઉંમર',
		Narration:'વર્ણન',
		InterestRate:'વ્યાજ દર',
		MaturityDate:' મેચ્યોરિટીની તારીખ',
		MaturityValue:'મેચ્યોરિટી વેલ્યુ',
		TransactionPin:'ટ્રાન્ઝેક્શન PIN',
		AtMaturity:'પુખ્તતાએ',
		RemainonDeposit:'ડિપોઝિટ પર રહો',
		'Automatically Renew':'આપમેળે નવીકરણ',
		Narrative :'નેરેટિવ',
		TransactionPinAlias:'તમારા વ્યવહાર PIN દાખલ કરો',
		NextInstalmentDate:'આગામી હપતો તારીખ',
	},
	RIConfWithNomSuccess :{
		Header: 'ન્યૂ રીઇનવેસ્ટમેન્ટ ડિપોઝિટ - સફળતા',
		AccountNo :'તમારી ડિપોઝિટ એ / સી સંખ્યા છે',	
	},
	NewRecurringDeposit :{
		Header: 'ન્યૂ રિકરિંગ ડિપોઝિટ',
		InterestRateLink: 'જુઓ વ્યાજ દરો',
		RecurringDepositFrequency :'રિકરિંગ ડિપોઝિટ આવર્તન',	
		PreferredDateForInstallment :'હપતો ડેબિટ માટે મનપસંદ તારીખ',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'રિકરિંગ ડિપોઝિટ આવર્તન',
		Monthly :'માસિક',
		InstallmentDebitDay :'હપતો ડેબિટ ડે',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'રિકરિંગ ડિપોઝિટ આવર્તન',
		Monthly :'માસિક',
		InstallmentDebitDay :'હપતો ડેબિટ ડે',
	},
	NRDConfWONomSuccess :{
		Header: 'ન્યૂ ડિપોઝિટ - સફળતા',
		AccountNo :'તમારી ડિપોઝિટ એ / સી સંખ્યા છે',	
	},
	NRDConfWithNomSuccess :{
		Header: 'ન્યૂ ડિપોઝિટ - સફળતા',
		AccountNo :'તમારી ડિપોઝિટ એ / સી સંખ્યા છે',	
	},
	DepositList:{
		RecurringDeposits: 'રિકરિંગ ડિપોઝિટ્સ',
		InstallmentAmount: 'હપતો રકમ:',
		DepositAmount:'થાપણ રકમ:',
		ReinvestmentDeposits :'રીઇનવેસ્ટમેન્ટ થાપણો',
		RegularIncomeDeposits:'નિયમિત આવક થાપણો',
	},
	RDDetailScreen :{
		Product:'ઉત્પાદન',
		InstallmentAmount:'હપતો રકમ',
		CurrentBalance :'વર્તમાન રકમ',
		OpeningDate :'શરૂઆતના તારીખ',
		MaturityAmount:'પરિપક્વતા રકમનો',
		Last5Trans :'છેલ્લા 5 વ્યવહારોની',
		DetailStatement :'વિગતવાર નિવેદન',
		CloseAccount :'બંધ એકાઉન્ટ',
	},
	ReInvtDetailScreen :{
		Product:'ઉત્પાદન',
		InstallmentAmount:'હપતો રકમ',
		CurrentBalance :'વર્તમાન રકમ',
		OpeningDate :'શરૂઆતના તારીખ',
		MaturityAmount:'પરિપક્વતા રકમનો',
		Last5Trans :'છેલ્લા 5 વ્યવહારોની',
		DetailStatement :'વિગતવાર નિવેદન',
		CloseAccount :'બંધ એકાઉન્ટ',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'વિગતવાર નિવેદન',
		SelectAccount:'પસંદ એકાઉન્ટ',
		FromDate:'તારીખ થી',
		ToDate:'આજ સુધી',
	},
	DetailDepositStatement :{
		AccountNo :'ખાતા નંબર',
		Narration :'વર્ણન',
	},
	CloseDepositReq :{
		CloseDeposit :'બંધ કરો ડિપોઝિટ',
		SelectFDAccount:'FD એકાઉન્ટ પસંદ કરો',
		SelectFundTransferAccount:'પસંદ કરો ફંડ ટ્રાન્સફર એકાઉન્ટ',
		Narrative:'વર્ણન',
	},
	CloseDepositConfirmation :{
		Header:'બંધ કરો ડિપોઝિટ - સમર્થન',
		RedemptionAmount:'રીડેમ્પશન રકમ',
		PenaltyAmount:'દંડ જથ્થો',
		FDAccount:'FD એકાઉન્ટ',
		ToAccount:'એકાઉન્ટ',
		Narration :'વર્ણન',
	},
	CloseDepositSuccess:{
		Header :'બંધ કરો ડિપોઝિટ - સફળતા',
		DepositclosureSuccessful:'ડિપોઝિટ બંધ સફળ',
	},
	TransferMenu:{
		ManageBeneficiaries:'લાભાર્થીઓ મેનેજ',	
		TransferBetweenOwnAccounts :'પોતાના ખાતાઓ વચ્ચે પરિવહન',
		TransferThirdPartyWithinBank:'બેંક અંદર તૃતીય પક્ષ માટે પરિવહન',
		TransferDifferentBank :'થર્ડ પાર્ટી અન્ય બેંક પરિવહન',
		ImmediatePaymentService:'તાત્કાલિક ચુકવણી સેવા ( હું પી એસ એમ )'
	},
	IMPSMenu:{
		GenerateMMID:'M M હું ડી પુનઃપ્રાપ્ત / બનાવો',
		CancelMMID :'M M હું ડી રદ',
		TransferMMID :'M M હું ડી ઉપયોગ ટ્રાન્સફર',
	},
	GenerateMMID:{
		Account : 'એકાઉન્ટ',
		MobileNo:'મોબાઇલ નંબર',
	},
	GenerateMMIDConf:{
		Header:'બનાવો / પુનઃપ્રાપ્ત MMID - પુષ્ટિકરણ',
		MMIDText :'M M હું ડી ( મોબાઈલ મની આઇડેન્ટિફાયર ) હું પી એસ એમ P2P ટ્રાન્સફર પ્રકાર મારફતે તમારા ખાતામાં ભંડોળ પ્રાપ્ત કરવા માટે પેદા કરવા માટે જરૂરી એક સમય કોડ છે.'
	},
	GenerateMMIDSucc :{
		Header:'M M હું ડી પુનઃપ્રાપ્ત / બનાવો - સફળતા',
		MMID :'M M હું ડી',
		linkAccount :'એકાઉન્ટ સાથે સંકળાયેલી છે',
	},
	CancelMMIDConf:{
		Header :'M M હું ડી રદ - Confirmaton',
		CancelMMIDText :'તમે M M હું ડી રદ પછી M M હું ડી દ્વારા આ એકાઉન્ટમાં નાણાં પ્રાપ્ત કરવા માટે સમર્થ હશે નહિં',
		GenerateMMIDText :"આ એકાઉન્ટ માટે M M હું ડી પેદા કરવા માટે, જાઓ બનાવો / M M હું ડી પુનઃપ્રાપ્ત કૃપા કરીને",
		MultipleMMIDText :'મલ્ટીપલ M M હું ડી જ એકાઉન્ટ નંબર માટે પેદા કરી શકાતી નથી',
	},
	CancelMMIDSucc :{
		Header:'M M હું ડી રદ - સફળતા',
		MMIDLinkText:'M M હું ડી એકાઉન્ટ સાથે કડી',
		CancelText:'રદ કરવામાં આવી છે',
	},
	IMPSP2P :{
		Header :'લાભાર્થી મોબાઈલ નં અને M M હું ડી ભંડોળ ટ્રાન્સફર',
		BeneficiaryMobileNo:'લાભાર્થી મોબાઈલ નં',
		BeneficiaryMMID:'લાભાર્થી M M હું ડી',
		Remarks:'રીમાર્કસ',
	},
	IMPSP2PConf :{
		Header :'હું પી એસ એમ P2P - પિન ચકાસણી',
		SecretQuestion :'ગુપ્ત પ્રશ્ન',
	},
	IMPSP2PSucc :{
		Header :'ફંડ ટ્રાન્સફર - સફળતા',
		ReferenceNumber :'તમારા સંદર્ભ નંબર છે',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'બેંક અંદર લાભાર્થી ઉમેરો',
		AddBeneficiaryDifferentBank :'લાભાર્થી અલગ બેંક ઉમેરો',
		ViewBeneficiaryWithinBank:' બેંક અંદર જુઓ / સુધારો લાભાર્થી',
		ViewBeneficiaryOtherBank:' જુઓ / સુધારો લાભાર્થી અન્ય બેંક',
	},
	AddBeneWithinBank :{
		Header :'નવી લાભાર્થી ઉમેરો - બેંક અંદર',
		BeneficiaryName:'લાભાર્થી નામ',
		NickName :'નિક નામ',
		FundTransferLimit:'ફંડ ટ્રાન્સફર મર્યાદા',
		LimitMax:'મર્યાદા ( મેક્સ',
		AccountNo :'એકાઉન્ટ કોઈ',
		ConfirmAccountNo:'એકાઉન્ટ કોઈ ખાતરી',
	},
	AddBeneWithinBankConf:{
		Header :'લાભાર્થી ઉમેરો - સમર્થન',
		AccountNameText :'બેંક રેકોર્ડ મુજબ નામ એકાઉન્ટ',
		Limit : 'મર્યાદા',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'નવી લાભાર્થી ઉમેરો - સફળતા',
		BeneficiaryAddedLine1:'તમારા નવા લાભાર્થી ઉમેરાઈ ગયેલ છે અને પછી સક્રિય કરવામાં આવશે',
		BeneficiaryAddedLine2:'કલાક પછી તમે ભંડોળના ટ્રાન્સફર કરવા માટે તેનો ઉપયોગ કરી શકો છો. તમે જુઓ લાભાર્થીઓ પાનાં પર લાભાર્થી ની પરિસ્થિતિ ચકાસી શકો છો',
	},
	AddBeneInterBank :{
		Header :'નવી લાભાર્થી ઉમેરો - વિવિધ બેંક',
		EmailId:'ઇમેઇલ આઈડી',
		Address:'સરનામું',
		State :'રાજ્ય',
		City :'શહેર / જીલ્લા',
		Pincode:'પીન કોડ',
	},
	AddBeneInterBankConf :{
		Header : 'લાભાર્થી ઉમેરો - સમર્થન',
		IFSC :'હું એફ એસ સી',
		BankName:'બેન્ક નામ',
		BranchName:'બ્રાન્ચનું નામ',
		Branch :'શાખા',
		Email:'ઇમેઇલ',
		City:'સિટી',
		Phone : 'ફોન',
		Bank :'બેન્ક',
		BankBranch :'બેંક શાખા',
	},
	AddBeneInterBankConfSuccess :{
		Header :'નવી લાભાર્થી ઉમેરો - સફળતા',
	},
	SearchIFSC :{
		Header :'હું એફ એસ સી કોડ મેળવવા માટે સ્થિતિ પસંદ કરો',
		IFSCcode:'હું એફ એસ સી કોડ',
		BankCodeCity :'બેંક કોડ અને સિટી',
	},
	IFSCByCode:{
		EnterIFSCcode : 'હું એફ એસ સી કોડ દાખલ કરો'
	},
	IFSCByBankCity :{
		BankCode:'બેંક કોડ',
	},
	IFSCBankList :{
		IFSCList:'હું એફ એસ સી યાદી',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'સક્રિય લાભાર્થીઓ',
		PendingBeneficiaries:'બાકી લાભાર્થીઓ',
	},
	IntraBankBenDetailActive:{	
		Status: 'સ્થિતિ',
		Active :'સક્રિય',
		ModifyBeneficiary:'લાભાર્થી સુધારો',
		DeleteBeneficiary:'લાભાર્થી કાઢી નાખો',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'બાકી સક્રિયકરણ',
	},
	ModifyBenWithinSuccess:{
		Header :'લાભાર્થી સુધારો - સફળતા',
		BeneficiarySuccessText :'લાભાર્થી સફળતાપૂર્વક સુધારાઈ ગયેલ છે',
	},
	DeleteBenWithinConf :{
		Header : 'લાભાર્થી કાઢી નાખો - સમર્થન',
	},
	DeleteBenWithinSuccess :{
		Header :'લાભાર્થી કાઢી નાખો - સફળતા',
		BeneficiaryDeletedText:'લાભાર્થી સફળતાપૂર્વક કાઢી',
	},
	ModifyBenInter:{
		BeneficiaryBank:'લાભાર્થી બેન્ક',
		BeneficiaryBankBranch:'લાભાર્થી બેંક શાખા',
	},
	ProfileMenu:{
		MyProfile:'મારી પ્રોફાઇલ',
		ChangeLoginPin:'બદલો પ્રવેશ PIN',
		ChangeTransactionPin :'બદલો ટ્રાન્ઝેક્શન PIN',
	},
	MyProfile:{
		CustomerProfile:'ગ્રાહક પ્રોફાઇલ',
		Name :'નામ',
		Mobile : 'મોબાઇલ',
		Email :'ઇમેઇલ',
		Address : 'સરનામું',
		City :'સિટી',
		State :'રાજ્ય',
		Country :'દેશ ',
		Zip :'ઝિપ',
	},
	ChangeMPINConfirm :{
		Header :'પ્રવેશ PIN બદલો - સફળતા',
		LoginPinChangedText:'પ્રવેશ પિન સફળતાપૂર્વક બદલાઈ . કૃપા કરીને ફરીથી લૉગિન કરો.'
	},
	ChangeTPINConfirm :{
		Header :'ટ્રાન્ઝેક્શન PIN બદલો - સફળતા',
		TransactionPinChangedText:'ટ્રાન્ઝેક્શન પિન સફળતાપૂર્વક બદલાઈ .'
	},
	ServicesMenu:{
		ChequeBookRequest:'ચેક બુક વિનંતિ',
		ChequeStatusInquiry :'ચેકની સ્થિતિની તપાસ',
		StopCheque :'સ્ટોપ ચેક',
		Account :'એકાઉન્ટ'
	},
	CBRConfirmation :{
		Header:'ચેક બુક વિનંતિ - પુષ્ટિકરણ',
		ChequeBookConfirmText :'ચેક બુક એકાઉન્ટ માટે વિનંતી કરવામાં આવશે',
		ChequeBookLine1 :'લાગુ ખર્ચ તમારી એકાઉન્ટ વસુલવામાં આવશે . ખર્ચ પર વિગતો માટે, ESAF વેબસાઇટ પર ખર્ચ વિભાગ કૃપા કરીને મુલાકાત લો',
		ChequeBookLine2 :' ચેક પુસ્તક 7 દિવસની અંદર તમારી રજીસ્ટર મેઇલિંગ સરનામું પર વિતરિત કરવામાં આવશે" style="use-all-width mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'ચેક બુક વિનંતિ - સફળતા',
		RequestAccepted :'એક ચેક પુસ્તક માટે તમારી વિનંતિ સ્વીકારવામાં આવ્યું છે',
	},
	CheckChqStatus:{
		ChequeStatus:'ચેક સ્થિતિ',
		ChequeNo:'ચેક સંખ્યા',
		StartChequeNo:'પ્રારંભ ચેક કોઈ',
		EndChequeNo:'અંતે ચેક કોઈ',
		Status : 'સ્થિતિ',
		Reason:'કારણ',
	},
	StopChqConfirmation :{
		Header : 'સ્ટોપ ચેક - પુષ્ટિકરણ',
		Type :'પ્રકાર',
	},
	StopChqResponse :{
		Header : 'બંધ ચેક - સફળતા',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'વિગતવાર નિવેદન',
		AccountNo :'એકાઉન્ટ કોઈ',
		FromDate :'તારીખ થી',
		ToDate :'આજ સુધી',
	},
	DetailAccountStatement :{
			Balance :'બેલેન્સ',
	},
	FT2OwnAccount:{
		Header :'પોતાના ખાતાનો ભંડોળ ટ્રાન્સફર',
		ToAccount : 'એકાઉન્ટ',
		Amount : 'રકમ',
	},
	FTConfirmation :{
		Header : 'ફંડ ટ્રાન્સફર - સમર્થન',
	},
	FTSuccess :{
		Header :'ફંડ ટ્રાન્સફર - સફળતા',
		ReferenceNumber : 'તમારા સંદર્ભ નંબર છે',
	},
	FT2OwnBeneficiary:{	
		Header :'બેંક અંદર તૃતીય પક્ષ માટે ફંડ ટ્રાન્સફર',
		Beneficiary :'લાભાર્થી',
	},
	FTConfirmBeneficary :{
		Header :'ફંડ ટ્રાન્સફર - સમર્થન',
		BeneficiaryName :'લાભાર્થી નામ',
		BeneficiaryNickName:'લાભાર્થી નિક નામ',
		BeneficiaryAccount:'લાભાર્થી એકાઉન્ટ',
	},
	FT2InterBankBen :{
		Header :' વિવિધ બેન્ક તૃતીય પક્ષ માટે ફંડ ટ્રાન્સફર',
		TransactionType :'ટ્રાન્ઝેક્શન પ્રકાર',
		TotalCharges :'કુલ ખર્ચ ( પુન. કર)',
	},
	ContactUs :{
		Header : 'અમારો સંપર્ક કરો',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'ફોન',
		Email :'ઇ મેઇલ',
		Website :' વેબસાઇટ',
	},
	CardList:{
		Header :'કાર્ડ્સ',
	},
	CardDetailScreen :{
		LinkedAccountNo :'લિંક એકાઉન્ટ નંબર',
		ExpiryDate :'અંતિમ તારીખ',
		AvailableBalance:'ઉપલબ્ધ સંતુલન',
		HotlistCard:'હોટ યાદી પત્તાની',
	},
	HotListCardConf:{
		Header :'હોટ યાદી કાર્ડ - સમર્થન',
		CardNo:'કાર્ડ ક્રમાંક',
	},
	HotListCardSuccess:{
		Header :' હોટ યાદી કાર્ડ - સફળતા',
		SuccessText:'પત્તાની હોટ સફળતાપૂર્વક યાદી',
	},
	MiniStatement:{
		Credit :'ક્રેડિટ',
		Debit :'ડેબિટ',
	},
	Settings:{
		Header:'ભાષા',
	},
	Language:{
		Label:'લેબલ',
		Header:'ભાષા બદલો',
		Settings:'સેટિંગ્સ',
	},
	LanguageSuccess :{
		Header:'તમારી ભાષા બદલાઇ ગઇ છે',
	},
	progressInfo:{
		ValidatinMobileProgress:'માન્ય . મહેરબાની કરી રાહ જુવો...',
		Registering:'રજિસ્ટ્રેશન કરાવ્યું હતું. મહેરબાની કરી રાહ જુવો...',
		PleaseWait:'મહેરબાની કરી રાહ જુવો...',
	},
	getBranchDetail :{
		selectCity:'શહેર પસંદ',
		selectState:'રાજ્ય પસંદ કરો',
		map:'નકશો',
		showList:'શાખા યાદી',
		Navigation:'સંશોધક',
		BranchLocator:'શાખા લોકેટર',
		getDirections:'દિશા-નિર્દેશો મેળવો',
		ContactNumber:'સંપર્ક નંબર',
		ContactPerson:'સંપર્ક વ્યક્તિ',
		branchLocations:'શાખા સ્થાનો',
	},
	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook સુરક્ષા પિન ઉમેરો',
		SecurityPIN :'સુરક્ષા પિન',
		ConfirmSecurityPIN:'સુરક્ષા પિન ખાતરી',
	},
	activateMPBsuccess:{
		title:'mPassbook સેવા સફળતાપૂર્વક સક્રિય . પ્રવેશ સ્ક્રીન કૃપા કરીને તપાસો.',
	},
	mPBLogin:{
		title:'mPassbook માટે આપનું સ્વાગત છે'	
	},
	mPBMenu:{
		Accounts:'એકાઉન્ટ્સ',
		activateMPB:'mPassbook માટે એકાઉન્ટ સક્રિય',
		download:'ડાઉનલોડ કરો',
	},
	mPBAccountList:{
		title:'કોઈ એકાઉન્ટ mPassbook માટે સક્રિય'
	},
	mPBEnableAccount:{
		title:'એકાઉન્ટ સક્રિય'	
	},
	mPBSettings:{
		title:'mPassbook સેટિંગ્સ',
		records:'પૃષ્ઠ દીઠ રેકોર્ડ સંખ્યા',
	},
	mPBDownload:{
		title:'ડાઉનલોડ નિવેદન',
		SelectCategory:'શ્રેણી પસંદ કરો',
		Month:'માસ',
		Year:'વર્ષ',
	},
	mStatement:{
		Search:'શોધ',
		Date:'શોધ',
		Particulars:'વિગત',
		Withdrawal :'પાછી',
		Deposit:'ડિપોઝિટ',
		Balance:'બેલેન્સ',
		Notes:'નોંધો',
		Remarks:'રીમાર્કસ',
		Category:'વર્ગ',
	},
	addNotesForPassbook:{
		title:'નોંધો ઉમેરો',
	},

	Remarks:'રીમાર્કસ',
	Category:'વર્ગ',
	/*
	Hindi:'હિન્દી',
	English:'ઇંગલિશ',
	Marathi:'મરાઠી',
	Bengali:'બંગાળી',
	Gujrati:'ગુજરાતી',
	Kannada:'કન્નડા',
	Malayalam:'મલયાલમ',
	Tamil:'તમિલ',
	Telagu:'તેલગુ',
	Punjabi:'પંજાબી',
	*/
	DCSecQuestions:{
		Title:'સુરક્ષા પ્રશ્નો',
		Question: 'ગુપ્ત પ્રશ્ન પસંદ ',
		Answer:'ગુપ્ત જવાબ ',
	},

	ChangeSecQuestions:{
		Title:'સુરક્ષા બદલો પ્રશ્નો',
	},
	
	ChangeSecQuestionsSuccess:{
		Title:'બદલો સુરક્ષા પ્રશ્નો - સફળતા',
		Status:'તમે સફળતાપૂર્વક તમારા ગુપ્ત પ્રશ્નો અને તેમના જવાબો સુધારાશે છે.',
	}

};


//Kannada
var translations_ka = {
	common:{
 	info:'ಮಾಹಿತಿ',
 	exitApp:'ESAF ಬ್ಯಾಂಕ್ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಬಳಸಿ ಧನ್ಯವಾದಗಳು . ನೀವು ಅಪ್ಲಿಕೇಶನ್ ನಿರ್ಗಮಿಸಲು ಬಯಸುವಿರಾ ?',
 	mobileValidation :'ಮೊಬೈಲ್ ಕ್ರಮಬದ್ಧಗೊಳಿಸುವಿಕೆ',
 	registerMobile :'ನಿಮ್ಮ ಮೊಬೈಲ್ ಸಂಖ್ಯೆಯನ್ನು ಬ್ಯಾಂಕ್ ನೋಂದಣಿ ಒಂದು ಹೊಂದಾಣಿಕೆಯಾಗುವುದಿಲ್ಲ. ದಯವಿಟ್ಟು ನೋಂದಾಯಿತ ಮೊಬೈಲ್ ಸಂಖ್ಯೆ ಹೊಂದಿರುವ ಸಾಧನದಿಂದ ಮತ್ತೆ ಪ್ರಯತ್ನಿಸಿ.',
 	mobileValidationError :'ನಿಮ್ಮ ಮೊಬೈಲ್ ಸಂಖ್ಯೆ ಮೌಲ್ಯೀಕರಿಸಲು ಸಾಧ್ಯವಾಗುವುದಿಲ್ಲ. ದಯವಿಟ್ಟು ನಿನ್ನ ಸಾಧನದ ಹೊರಹೋಗುವ ಸಂಚಿಕೆ ಕಳುಹಿಸಲು ಅಥವಾ ನಂತರ ಮತ್ತೆ ಪ್ರಯತ್ನಿಸಿ ಸಾಧ್ಯವಾಗುತ್ತದೆ ಪರೀಕ್ಷಿಸಲು .',
 	errorMessage:'ನಿಮ್ಮ ವಿನಂತಿಯನ್ನು ಪ್ರಕ್ರಿಯೆಗೊಳಿಸುವಾಗ ದೋಷ ಸಂಭವಿಸಿದೆ. ದಯವಿಟ್ಟು ನಂತರ ಮತ್ತೆ ಪ್ರಯತ್ನಿಸಿ.',
 	error :'ದೋಷ',
 	internetDisconnectMessage:'ಇಂಟರ್ನೆಟ್ ಸಂಪರ್ಕ ನಿಮ್ಮ ಸಾಧನದಲ್ಲಿ ಲಭ್ಯವಿಲ್ಲ. ದಯವಿಟ್ಟು ಮೊಬೈಲ್ ಡೇಟಾವನ್ನು ಅಥವಾ ವೈಫೈ ನೆಟ್ವರ್ಕ್ಗೆ ಸಂಪರ್ಕಿಸಲು ಹಾಗೂ ಮತ್ತೆ ಪ್ರಯತ್ನಿಸಿ.',
 	internetDisconnect :'ಇಂಟರ್ನೆಟ್ ಸಂಪರ್ಕ ಕಡಿತಗೊಳಿಸಲಾಗಿದೆ',
 	update:'ಅಪ್ಡೇಟ್',
 	updateMessage:'ಈ ಇತ್ತೀಚಿನ ಆವೃತ್ತಿ ಅಪ್ಲಿಕೇಶನ್ ನವೀಕರಿಸಿ. ಮುಂದುವರಿಸಿ ?',
 	selectMaturityAmount:'ದಯವಿಟ್ಟು ಕ್ರೆಡಿಟ್ ಮುಕ್ತಾಯ ಪ್ರಮಾಣದ ಖಾತೆಯನ್ನು ಆಯ್ಕೆ',
 	enterAccountNo:'ದಯವಿಟ್ಟು ಮಾನ್ಯ 12 ಅಂಕಿಯ ಖಾತೆ ಸಂಖ್ಯೆ ನಮೂದಿಸಿ',
 	enterCustomerNo:'ದಯವಿಟ್ಟು ಮಾನ್ಯ 12 ಅಂಕಿಯ ಗ್ರಾಹಕರ ID ನಮೂದಿಸಿ',
 	fromAccToAccMesg:'ಖಾತೆಯಿಂದ ಹಾಗೂ ಖಾತೆ ಇರಲಾಗುವುದಿಲ್ಲ ಮಾಡಲು',
 	pin:'ಪಿನ್',
 	pinMandatory:'6 ಅಂಕಿಯ PIN ಕಡ್ಡಾಯ',
 	currentPinNewPinMesg:'ಪ್ರಸ್ತುತ ಪಿನ್ ಮತ್ತು ಹೊಸ ಲಾಗಿನ್ ಪಿನ್ 6 ಅಂಕಿಗಳಾಗಿರಬೇಕು',
 	currentPinNewPinNotMatch:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್ ಮತ್ತು ಲಾಗಿನ್ ಪಿನ್ ದೃಢೀಕರಿಸಿ ಹೊಂದುತ್ತಿಲ್ಲ',
 	currentPinNewPinSame:'ಹೊಸ ಲಾಗಿನ್ PIN ಮತ್ತು ಪ್ರಸ್ತುತ ಲಾಗಿನ್ ಪಿನ್ ಇರಲಾಗುವುದಿಲ್ಲ',
 	currentPinTransPinMesg:'ಪ್ರಸ್ತುತ PIN ಮತ್ತು ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ 6 ಅಂಕಿಗಳಾಗಿರಬೇಕು',
 	currentPinTransPinNotMatch:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ ಮತ್ತು ಖಚಿತಪಡಿಸಿ ವ್ಯವಹಾರ ಪಿನ್ ಹೊಂದುತ್ತಿಲ್ಲ',
 	currentPinTransPinSame:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ ಮತ್ತು ಪ್ರಸ್ತುತ ವ್ಯವಹಾರ ಪಿನ್ ಇರಲಾಗುವುದಿಲ್ಲ',
 	loginPinConfirmPinMesg:'ಪಿನ್ ಲಾಗಿನ್ ಮತ್ತು ದೃಢೀಕರಿಸಿ ಲಾಗಿನ್ ಪಿನ್ 6 ಅಂಕಿಗಳಾಗಿರಬೇಕು',
 	loginPinConfirmPinNotMatch:'ಪಿನ್ ಲಾಗಿನ್ ಮತ್ತು ಲಾಗಿನ್ ಪಿನ್ ಖಚಿತಪಡಿಸಿ ಹೊಂದುತ್ತಿಲ್ಲ',
 	TransPinConfirmTransPinMesg:'ವ್ಯವಹಾರ ಪಿನ್ ಮತ್ತು ದೃಢೀಕರಿಸಿ ವ್ಯವಹಾರ ಪಿನ್ 6 ಅಂಕಿಗಳಾಗಿರಬೇಕು',
 	TransPinConfirmTransPinNotMatch:'ವ್ಯವಹಾರ ಪಿನ್ ಮತ್ತು ವ್ಯವಹಾರ ಪಿನ್ ದೃಢೀಕರಿಸಿ ಹೊಂದುತ್ತಿಲ್ಲ',
 	loginPinTransPinNotSame:'ಪಿನ್ ಲಾಗಿನ್ ಮತ್ತು ವ್ಯವಹಾರ ಪಿನ್ ಇರಲಾಗುವುದಿಲ್ಲ',
 	selectLoginOrTransPin:'ಲಾಗಿನ್ ಪಿನ್ ಅಥವಾ ವ್ಯವಹಾರ ಪಿನ್ ಎರಡೂ ಮರುಹೊಂದಿಸಲು ಆಯ್ಕೆ ಮಾಡಿ.',
 	TransPinMandatory:'6 ಅಂಕಿಯ ವ್ಯವಹಾರ ಪಿನ್ ಕಡ್ಡಾಯ',
 	SyncMesg:'ಡೇಟಾವನ್ನು ಸಿಂಕ್ ಮಾಡಲಾಗುತ್ತಿದೆ. ದಯಮಾಡಿ ನಿರೀಕ್ಷಿಸಿ...',
 	SyncData:'ಸಿಂಕ್ ಡೇಟಾ',
 	NoDataSync:'ಡೇಟಾ ಸಿಂಕ್ ಲಭ್ಯವಿದೆ.',
 	SyncSuccess:'ಸಿಂಕ್ ಯಶಸ್ಸು',
 	SyncSuccessMesg:'ಎಲ್ಲಾ ಡೇಟಾವನ್ನು ಯಶಸ್ವಿಯಾಗಿ ಸಿಂಕ್.',
 	Logout:'ಲಾಗ್ ಔಟ್',
 	logoutConfirm:'ನೀವು ನಿರ್ಗಮಿಸಬೇಕಾಗುತ್ತದೆ ಬಯಸಿದ್ದೀರಾ?',
 	AreYouSure:'ನೀವು ಖಚಿತವಾಗಿ ಬಯಸುವಿರಾ. ಮುಂದುವರಿಸಿ ?',
 	NoData:'ಯಾವುದೇ ಡೇಟಾ ಲಭ್ಯವಿಲ್ಲ',
 	Jan:'ಜನವರಿ',
 	Feb:'ಫೆಬ್ರವರಿ',
 	Mar:'ಮಾರ್ಚ್',
 	Apr:'ಏಪ್ರಿ',
 	May:'ಮೇ',
 	Jun:'ಜೂನ್',
 	Jul:'ಜುಲೈ',
 	Aug:'ಆಗಸ್ಟ್',
 	Sep:'ಸೆಪ್ಟೆಂಬರ್',
 	Oct:'ಅಕ್ಟೋಬರ್',
 	Nov:'ನವೆಂಬರ್',
 	Dec:'ಡಿಸೆಂಬರ್',
 	Issued:'ಕೊಡಲಾಗಿದೆ',
 	Paid:'ಪಾವತಿಸಿದ',
 	Void:'ಶೂನ್ಯ',
 	Stopped:'ನಿಲ್ಲಿಸಿದ',
 	InvalidChequeNo:'ಅಮಾನ್ಯ ಚೆಕ್ ಯಾವುದೇ',
 	smsVerify:'ಒಂದು SMS ನಿಮ್ಮ ಮೊಬೈಲ್ ಸಂಖ್ಯೆಯನ್ನು ಪರಿಶೀಲಿಸಲು ನಿಮ್ಮ ಫೋನ್ನಿಂದ ಕಳುಹಿಸಲಾಗುವುದು. ಮುಂದುವರೆಯಲು ಕಳುಹಿಸಿ ಕ್ಲಿಕ್ ಮಾಡಿ.',
 	existingCustomer:'ಅಸ್ತಿತ್ವದಲ್ಲಿರುವ ಗ್ರಾಹಕ',
 	generatedMesg:'ನೀವು ಈಗಾಗಲೇ ಒಂದು ಪಿನ್ ಸೃಷ್ಟಿಸಿವೆ. ನೀವು ಅದೇ ಅಥವಾ ಹೊಸ ಸೆಟಪ್ ಅನ್ನು ಮುಂದುವರಿಸಲು ಬಯಸುತ್ತೀರಾ?',
 	TransAmountExceeds:'ವಹಿವಾಟಿನ ಮೊತ್ತದ ಫಲಾನುಭವಿಯ ಗರಿಷ್ಠ ಮಿತಿಯನ್ನು ಮೀರಿದೆ',
 	CutOffExceeded:'ಕಟ್ಆಫ್ ಮೀರಿದೆ',
 	HolidayMesg:'ಇದು ಒಂದು ರಜೆ ಅಥವಾ ದಿನ ಕಟ್ಆಫ್ ಸಮಯದ ನಂತರ ಆರಂಭಿಸಲಾಗಿದೆ ಎಂದು ವ್ಯವಹಾರದ ಪ್ರಕ್ರಿಯೆ ಸಾಧ್ಯವಿಲ್ಲ. ನೀವು ಮುಂದುವರಿಸಲು ಬಯಸುತ್ತೀರಾ? ನೀವು ಹೌದು, ಇದು ಮುಂದಿನ ಕೆಲಸ ದಿನ ಸಂಸ್ಕರಿಸಿದ ಆರಿಸಿದರೆ ಪಡೆಯುತ್ತೇನೆ',
 	ConnectionFailure:'ಸಂಪರ್ಕ ವಿಫಲ',
 	failureMesg:'ಸಂಪರ್ಕ ಲಭ್ಯವಿಲ್ಲ ಬ್ಯಾಂಕ್ . ದಯವಿಟ್ಟು ನಂತರ ಮತ್ತೆ ಪ್ರಯತ್ನಿಸಿ.',
 	btnLogin: 'ಲಾಗಿನ್',
 	btnNext: 'ಮುಂದಿನ',
 	btnSubmit: 'ಸಲ್ಲಿಸಲು',
 	btnCancel: 'ರದ್ದು',
 	btnBack: 'ಬ್ಯಾಕ್',
 	btnDownload : ' ಡೌನ್ಲೋಡ್' ,
	createMstatement : ' mStatement ಯಶಸ್ವಿಯಾಗಿ ರಚಿಸಲಾಗಿದೆ .',
	Loading : ' ಲೋಡ್ ...' ,
	savedSettings : ' ಸೆಟ್ಟಿಂಗ್ಗಳನ್ನು ಉಳಿಸಲಾಗಿದೆ. ',
	accountExit : ' ಆಯ್ದ accountNo ಈಗಾಗಲೇ mPassbook ಕ್ರಿಯಾಶೀಲವಾಗಿತ್ತು ',
	InvalidMPB : ' ಅಮಾನ್ಯ mPassbook ರುಜುವಾತುಗಳನ್ನು ',
	mPBSync : ' ಯಶಸ್ವಿಯಾಗಿ ಸಿಂಕ್ mPassbook ',
	mPBAccountActivate : ' ಖಾತೆಗಳು mPassbook successfully. Please ಚೆಕ್ ಸಕ್ರಿಯ ಖಾತೆ' ,
	ValidatingMobileNo:'ಮೊಬೈಲ್ ಸಂಖ್ಯೆ ಊರ್ಜಿತಗೊಳಿಸುವಿಕೆ',
	ftlimit:'ಗರಿಷ್ಠ ಹಣ ವರ್ಗಾವಣೆ ಮಿತಿಯನ್ನು ₹ 5,00,000 ಆಗಿದೆ',
 },
 errorCodes : {
	"-1" : "ನಿಮ್ಮ ವಿನಂತಿಯನ್ನು ಪ್ರಕ್ರಿಯೆಗೊಳಿಸುವಾಗ ದೋಷ ಸಂಭವಿಸಿದೆ. ದಯವಿಟ್ಟು ನಂತರ ಮತ್ತೆ ಪ್ರಯತ್ನಿಸಿ.",
	"300" : "ನೀವು ಅಪ್ಲಿಕೇಶನ್ ಒಂದು ಹಳೆಯ ಆವೃತ್ತಿಯನ್ನು ಬಳಸುತ್ತಿರುವಿರಿ. ಅಂಗಡಿಯಿಂದ ಇತ್ತೀಚಿನ ಅಪ್ಲಿಕೇಶನ್ ಡೌನ್ಲೋಡ್ ಮಾಡಿ",
	"400" : "ಸಾಧನ ಸಕ್ರಿಯವಾಗಿಲ್ಲ ಗ್ರಾಹಕ ನಂ ಈ ಸಾಧನವನ್ನು ಸಕ್ರಿಯಗೊಳಿಸಲು ನೊಂದಣಿ ದಯವಿಟ್ಟು",
	"401" : "ಸಾಧನ ಸಕ್ರಿಯವಾಗಿಲ್ಲ ಗ್ರಾಹಕ ನಂ ಈ ಸಾಧನವನ್ನು ಸಕ್ರಿಯಗೊಳಿಸಲು ನೊಂದಣಿ ದಯವಿಟ್ಟು",
	"1001" : "ಅಮಾನ್ಯ ಲಾಗಿನ್ ರುಜುವಾತುಗಳು. ನಿಮ್ಮ ಖಾತೆಯನ್ನು 3 ಅಮಾನ್ಯವಾಗಿದೆ ಪ್ರಯತ್ನಗಳು ನಂತರ ಲಾಕ್ ಆಗುತ್ತದೆ.",
	"1002" : "ಅಮಾನ್ಯ ಡೆಬಿಟ್ ಕಾರ್ಡ್ ವಿವರಗಳು. ದಯವಿಟ್ಟು ಪುನಃ ನಮೂದಿಸಿ.",
	"1003" : "ಅಮಾನ್ಯ ನೆಟ್ಬ್ಯಾಂಕಿಂಗ್ ರುಜುವಾತುಗಳು . ದಯವಿಟ್ಟು ಪುನಃ ನಮೂದಿಸಿ",
	"1004" : "ಲಾಗಿನ್ ಮತ್ತು ವ್ಯವಹಾರ ಪಿನ್ 6 ಅಂಕಿಗಳಾಗಿರಬೇಕು.",
	"1005" : "ಅಮಾನ್ಯ ಗ್ರಾಹಕ ID ಅಥವಾ ಗ್ರಾಹಕ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಪ್ರವೇಶವನ್ನು ಹೊಂದಿಲ್ಲ.",
	"1006" : "ಅಮಾನ್ಯ ಖಾತೆ ಸಂಖ್ಯೆ ಅಥವಾ ಗ್ರಾಹಕ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಪ್ರವೇಶವನ್ನು ಹೊಂದಿಲ್ಲ.",
	"1007" : "ನಿಮ್ಮ ಅವಧಿಯು ಮುಕ್ತಾಯಗೊಂಡಿದೆ . ಮರುಲಾಗಿನ್ ದಯವಿಟ್ಟು.",
	"1008" : "ನಿಮ್ಮ ಅವಧಿಯು ಮುಕ್ತಾಯಗೊಂಡಿದೆ . ಮರುಲಾಗಿನ್ ದಯವಿಟ್ಟು.",
	"1009" : "ಯಾವುದೇ ಖಾತೆಗಳನ್ನು ಗ್ರಾಹಕರ ID ಲಭ್ಯವಿದೆ",
	"1010" : "ಅಮಾನ್ಯ ಖಾತೆ ಸಂಖ್ಯೆ",
	"1011" : "ಅಮಾನ್ಯ ಲಾಗಿನ್ ಪಿನ್",
	"1012" : "ಲಾಗಿನ್ PIN ಮತ್ತು ವ್ಯವಹಾರ ಪಿನ್ ಇರಲಾಗುವುದಿಲ್ಲ .",
	"1013" : "ಯಾವುದೇ ಟ್ರಾನ್ಸಾಕ್ಷನ್ಸ್ ಖಾತೆಗಾಗಿ ಕಂಡುಬಂದಿಲ್ಲ ಆಯ್ಕೆ .",
	"1014" : "ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ ನಮೂದಿಸಿಲ್ಲ ವಿವರಗಳು ಅಮಾನ್ಯವಾಗಿದೆ. ದಯವಿಟ್ಟು ಸರಿಯಾದ ವಿವರಗಳನ್ನು ನಮೂದಿಸಿ.",
	"1015" : "ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ ವಿಫಲ",
	"1016" : "ಅಮಾನ್ಯ ವ್ಯವಹಾರ ಪಿನ್",
	"1017" : "ಗ್ರಾಹಕ ಈಗಾಗಲೇ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಮಾಡಿದಳು. ಲಾಗಿನ್ ಪಾಸ್ವರ್ಡ್ ಮರೆತು ಪ್ರಯತ್ನಿಸಿ.",
	"1018" : "ಗ್ರಾಹಕರ ID ಅಸ್ತಿತ್ವದಲ್ಲಿಲ್ಲ.",
	"1019" : "ಗ್ರಾಹಕ ID ಮತ್ತು / ಅಥವಾ ಖಾತೆಯ ಯಾವುದೇ ಅಮಾನ್ಯವಾಗಿದೆ.",
	"1020" : "ಅದೇ ಖಾತೆಗೆ ವರ್ಗಾಯಿಸಲು ಸಾಧ್ಯವಿಲ್ಲ.",
	"1021" : "ವಿವರವಾದ ಹೇಳಿಕೆ ಪ್ರವೇಶಿಸಿತು ನಿಯತಾಂಕಗಳನ್ನು ತಪ್ಪಾಗಿವೆ.",
	"1022" : "ಚೆಕ್ ಬುಕ್ ವಿನಂತಿ ಈಗಾಗಲೇ ಅಸ್ತಿತ್ವದಲ್ಲಿದೆ.",
	"1023" : "ಲಾಗಿನ್ ತಪ್ಪು ಪಿನ್ ಪ್ರವೇಶಿಸಿತು. ದಯವಿಟ್ಟು ಪ್ರಸ್ತುತ ಲಾಗಿನ್ ಪಿನ್ ಪುನಃ ನಮೂದಿಸಿ .",
	"1024" : "ಲಾಗಿನ್ ಮತ್ತು ವ್ಯವಹಾರ ಪಿನ್ ಇರಲಾಗುವುದಿಲ್ಲ . ದಯವಿಟ್ಟು ಬೇರೆ ಪಿನ್ ಪ್ರಯತ್ನಿಸಿ.",
	"1025" : "ತಪ್ಪಾದ ವ್ಯವಹಾರ ಪಿನ್ ಪ್ರವೇಶಿಸಿತು. ದಯವಿಟ್ಟು ಪ್ರಸ್ತುತ ವ್ಯವಹಾರ ಪಿನ್ ಪುನಃ ನಮೂದಿಸಿ .",
	"1026" : "ವಿಫಲ ಠೇವಣಿ ಮುಚ್ಚಿದ. ದಯವಿಟ್ಟು ನಂತರ ಪ್ರಯತ್ನಿಸಿ ಅಥವಾ ಗ್ರಾಹಕ ರಕ್ಷಣೆ ಸಂಪರ್ಕಿಸಿ.",
	"1027" : "ಯಾವುದೇ ಕಾರ್ಡ್ಗಳನ್ನು ಗ್ರಾಹಕರಿಗೆ ಪ್ರಸ್ತುತ. ಗ್ರಾಹಕ ಸೇವಾ ಸಂಪರ್ಕಿಸಿ ಕಾರ್ಡ್ ಅರ್ಜಿ .",
	"1028" : "ಅಮಾನ್ಯ ಚೀಟಿ ಸಂಖ್ಯೆ",
	"1029" : "ಕಾರ್ಡ್ ಹಾಟ್ ಪಟ್ಟಿ ವಿಫಲವಾಗಿದೆ. ದಯವಿಟ್ಟು ಪುನಃ ಪ್ರಯತ್ನಿಸಿ.",
	"1030" : "ಅಮಾನ್ಯ ಚೆಕ್ ಯಾವುದೇ ಅಥವಾ ಚೆಕ್ ಶ್ರೇಣಿ.",
	"1031" : "ಯಾವುದೇ ಫಲಾನುಭವಿಗಳ ಬ್ಯಾಂಕ್ ವರ್ಗಾವಣೆ ಒಳಗೆ ಕಂಡುಬಂದಿಲ್ಲ. ಫಲಾನುಭವಿ ಸೇರಿಸಲು ಬ್ಯಾಂಕ್ ಆಯ್ಕೆಯನ್ನು ಒಳಗೆ ಫಲಾನುಭವಿ ಸೇರಿಸು ಬಳಸಿ.",
	"1032" : "ಯಾವುದೇ ಫಲಾನುಭವಿಗಳ ಇತರ ಬ್ಯಾಂಕ್ ವರ್ಗಾವಣೆ ಕಂಡುಬಂದಿಲ್ಲ. ಫಲಾನುಭವಿ ಸೇರಿಸಲು ಫಲಾನುಭವಿ ಸೇರಿಸು ವಿವಿಧ ಬ್ಯಾಂಕ್ ಆಯ್ಕೆಯನ್ನು ಬಳಸಿ.",
	"1033" : "ಫಲಾನುಭವಿಯ ಸೇರಿಸಲು ವಿಫಲವಾಗಿದೆ . ದಯವಿಟ್ಟು ಪುನಃ ಪ್ರಯತ್ನಿಸಿ.",
	"1034" : "ಯಾವುದೇ ಬ್ಯಾಂಕುಗಳು ಅಸ್ತಿತ್ವದಲ್ಲಿವೆ.",
	"1035" : "ಫಲಾನುಭವಿಯ ಅಳಿಸುವಿಕೆ ವಿಫಲವಾಗಿದೆ.",
	"1036" : "ಯಾವುದೇ ಠೇವಣಿ ಖಾತೆಯನ್ನು ಕಂಡುಬರುತ್ತದೆ.",
	"1037" : "ದೋಷವೊಂದು ಸಂಭವಿಸಿದೆ. ಠೇವಣಿ ಮುಚ್ಚಿದ ವಿವರಗಳು ಪಡೆಯಲಾಗಲಿಲ್ಲ.",
	"1039" : "ಪ್ರವೇಶಿಸಿತು ಫಲಾನುಭವಿಯ ಖಾತೆಗೆ ಅಮಾನ್ಯವಾಗಿದೆ.",
	"1040" : "ಠೇವಣಿ ರಚಿಸಲು ಸಾಧ್ಯವಾಗಲಿಲ್ಲ . ದಯವಿಟ್ಟು ನಂತರ ಪ್ರಯತ್ನಿಸಿ.",
	"1042" : "ಯಾವುದೇ MMID ಖಾತೆಗೆ ಲಿಂಕ್ ಆಯ್ಕೆ",
	"1043" : "Imps ಹಣ ವರ್ಗಾವಣೆ ಯಶಸ್ವಿಯಾಗಲಿಲ್ಲ.",
	"1044" : "ಖಾತೆಯನ್ನು ಲಾಕ್ ಮಾಡಲಾಗಿದೆ. ದಯವಿಟ್ಟು ಮರು ನೋಂದಣಿ .",
	"1045" : "ಲಾಗಿನ್ ತಪ್ಪು ಪಿನ್ ಪ್ರವೇಶಿಸಿತು. ದಯವಿಟ್ಟು ಪ್ರಸ್ತುತ ಲಾಗಿನ್ ಪಿನ್ ಪುನಃ ನಮೂದಿಸಿ .",
	"1046" : "ಫಲಾನುಭವಿಯ ಮಾರ್ಪಡಿಸುವ ವಿಫಲವಾಗಿದೆ . ದಯವಿಟ್ಟು ಪುನಃ ಪ್ರಯತ್ನಿಸಿ.",
	"1047" : "ನಿಮ್ಮ ಮೊಬೈಲ್ ಸಂಖ್ಯೆಯನ್ನು ಬ್ಯಾಂಕ್ ನೋಂದಣಿ ಒಂದು ಹೊಂದಾಣಿಕೆಯಾಗುವುದಿಲ್ಲ. ಬ್ಯಾಂಕ್ ನೋಂದಣಿ ಮೊಬೈಲ್ ಸಂಖ್ಯೆಯ ಸಾಧನದಿಂದ ನೊಂದಣಿ ದಯವಿಟ್ಟು",
	"1050" : "ಫಲಾನುಭವಿ ಖಾತೆ ಪ್ರವೇಶಿಸಿತು ಯಾವುದೇ ಅಮಾನ್ಯವಾಗಿದೆ ",
	"1051" : "ನಮೂದಿಸಿದ ಗ್ರಾಹಕರ ಐಡಿ ಅಮಾನ್ಯವಾಗಿದೆ ಅಥವಾ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಪ್ರವೇಶವನ್ನು ಹೊಂದಿಲ್ಲ ಅಥವಾ ಖಾತೆಯ ಯಾವುದೇ ಪ್ರವೇಶಿಸಿತು ಅಮಾನ್ಯವಾಗಿದೆ ಅಥವಾ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಪ್ರವೇಶವನ್ನು ಹೊಂದಿಲ್ಲ ",
},
	//combo changes
	'All Funding Account Holders':'ಎಲ್ಲಾ ಹಣಕಾಸಿನ ಖಾತೆದಾರರು',
	'Transfer to Another Account':'ಮತ್ತೊಂದು ಖಾತೆಗೆ ವರ್ಗಾವಣೆ',
	'For Self Only':'ಸ್ವತಃ ಮಾತ್ರ',
	No:'ಯಾವುದೇ',
	Yes:'ಹೌದು',
	'Automatically Renew':'ಸ್ವಯಂಚಾಲಿತವಾಗಿ ನವೀಕರಿಸಿ',
	AndamanandNicobar:'ಅಂಡಮಾನ್ ಮತ್ತು ನಿಕೋಬಾರ್',
	'Chhattisgarh':'ಛತ್ತೀಸ್ಗಢ',
	'Andhra pradesh':'ಆಂಧ್ರ ಪ್ರದೇಶ',
	ArunachalPradesh:'ಅರುಣಾಚಲ ಪ್ರದೇಶ',
	Assam:'ಅಸ್ಸಾಂ',
	Bihar:'ಬಿಹಾರ',
	Chandigarh:'ಚಂಡೀಘಢ',
	DamanandDiu:'ದಮನ್ ಮತ್ತು ದಿಯು',
	Delhi:'ದೆಹಲಿ',
	DadraandNagarHaveli:'ದಾದ್ರಾ ಮತ್ತು ನಗರ್ ಹವೇಲಿ',
	'Goa':'ಗೋವಾ',
	Gujarat:'ಗುಜರಾತ್',
	'Himachal Pradesh':'ಹಿಮಾಚಲ ಪ್ರದೇಶ',
	Haryana:'ಹರಿಯಾಣ',
	Jharkhand:'ಜಾರ್ಖಂಡ್',
	'Jammu &amp; Kashmir':'ಜಮ್ಮು ಮತ್ತು ಕಾಶ್ಮೀರ',
	Karnataka:'ಕರ್ನಾಟಕ',
	Kerala:'ಕೇರಳ',
	Lakshadweep:'ಕೇರಳ',
	Maharashtra:'ಮಹಾರಾಷ್ಟ್ರ',
	Meghalaya:'ಮೇಘಾಲಯ',
	Manipur:'ಮಣಿಪುರ',
	'Madhya Pradesh':'ಮಧ್ಯಪ್ರದೇಶ',
	Mizoram:'ಮಿಜೋರಾಂ',
	Nagaland:'ನಾಗಾಲ್ಯಾಂಡ್',
	Odisha:'ಒಡಿಶಾ',
	Punjab:'ಪಂಜಾಬ್',
	Puducherry:'ಪುದುಚೇರಿ',
	Rajasthan:'ರಾಜಸ್ಥಾನ',
	Sikkim:'ಸಿಕ್ಕಿಂ',
	Telangana:'ತೆಲಂಗಾಣ',
	'Tamil Nadu':'ತಮಿಳುನಾಡು',
	Tripura:'ತ್ರಿಪುರ',
	Uttarakhand:'ಉತ್ತರಾಖಂಡ್',
	'Uttar Pradesh':'ಉತ್ತರ ಪ್ರದೇಶ',
	'West Bengal':'ಪಶ್ಚಿಮ ಬಂಗಾಳ',
	Debit:'ಡೆಬಿಟ್',
	Credit:'ಕ್ರೆಡಿಟ್',

	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ನೋಂದಣಿ ಸ್ವಾಗತ',
		Line1:'ಈ ಸೌಲಭ್ಯ ಬಳಸುವ ಮೊದಲು ನೀವು ನಿಮ್ಮ ಸಾಧನ ನೋಂದಣಿ ಮತ್ತು ನಿಮ್ಮ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ದೃಢೀಕರಣ ರುಜುವಾತುಗಳು ಹೊಂದಿಸ ಬೇಕಾಗುತ್ತದೆ.',
		Line2:'ಈ ಸಾಧನದ ಮೊಬೈಲ್ ಸಂಖ್ಯೆ ( ಬಹು ಸಿಮ್ ಸಾಧನಗಳ ಸಂದರ್ಭದಲ್ಲಿ ಪ್ರಾಥಮಿಕ SIM ಕಾರ್ಡ್ ) ಬ್ಯಾಂಕ್ ನಿಮ್ಮ ನೋಂದಾಯಿತ ಮೊಬೈಲ್ ಸಂಖ್ಯೆ ಅದೇ ಎಂದು ಖಚಿತಪಡಿಸಿಕೊಳ್ಳಿ.',
		Line3:'ನಿಮ್ಮ ಗುರುತನ್ನು ದೃಢಪಡಿಸಲು ನಿಮ್ಮ ನೆಟ್ಬ್ಯಾಂಕಿಂಗ್ ಖಾತೆ ಅಥವಾ ನಿಮ್ಮ ಡೆಬಿಟ್ ಕಾರ್ಡ್ ಎರಡೂ ದೃಢೀಕರಣ ರುಜುವಾತುಗಳು ಒದಗಿಸಬೇಕಾಗುತ್ತದೆ .',
		Line4:'ನೋಂದಣಿ ನಂತರ, ನೀವು ಮಾತ್ರ ಈ ಸಾಧನದಿಂದ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಪ್ರವೇಶಿಸಬಹುದು . ನೀವು ಭವಿಷ್ಯದಲ್ಲಿ ನಿಮ್ಮ ಸಾಧನ ಬದಲಾಯಿಸಲು ಬಯಸುವ ಸಂದರ್ಭದಲ್ಲಿ, ನೀವು ಹೊಸ ಸಾಧನದಿಂದ ಮತ್ತೆ ನೋಂದಾಯಿಸಿಕೊಳ್ಳಬಹುದು .',
		iAgree:'ನಾನು ವೆಬ್ಸೈಟ್ ಉಲ್ಲೇಖಿಸಲಾಗಿದೆ ನಿಯಮಗಳು ಮತ್ತು ಷರತ್ತುಗಳಿಗೆ ಒಪ್ಪುತ್ತೇನೆ',
	},
	registration:{
		Title1:'ಆಯ್ಕೆ ಗ್ರಾಹಕ ID ಅಥವಾ ಖಾತೆ ಸಂಖ್ಯೆ',
		Title2:'ಗ್ರಾಹಕ ID',
		Title3:'ಖಾತೆ ಸಂಖ್ಯೆ',
		Title4:'12 ಅಂಕಿಯ ಗ್ರಾಹಕ ID ಅಥವಾ ಖಾತೆ ಸಂಖ್ಯೆ ನಮೂದಿಸಿ',
		Title5:'ಇಲ್ಲಿ ಸಂಖ್ಯೆ ನಮೂದಿಸಿ',
		Title6:'ಒಂದು ನೋಂದಣಿ ಆಯ್ಕೆಯನ್ನು ಆರಿಸಿ ',
		Title7:'ನೆಟ್ಬ್ಯಾಂಕಿಂಗ್',
		Title8:'ಡೆಬಿಟ್ ಕಾರ್ಡ್',
	},
	ValidateMobile : {
		ValidateMobileNo:'ಮೊಬೈಲ್ ಯಾವುದೇ ಮೌಲ್ಯೀಕರಿಸಲು',
	},
	registrationDebitCard:{
		Header:'ಡೆಬಿಟ್ ಕಾರ್ಡ್ ವಿವರಗಳು',
		DCLabel:'ಡೆಬಿಟ್ ಕಾರ್ಡ್ ಸಂಖ್ಯೆ',
		PINLabel:'ಪಿನ್',
		ExpLabel:'ಅಂತ್ಯ ತಿಂಗಳ',
		ExpYr:'ಅಂತ್ಯ ವರ್ಷದ',
	},
	debitPinSetup:{
		Header:'ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ನೋಂದಣಿ',
		CurrentLoginPin :'ಪ್ರಸ್ತುತ ಲಾಗಿನ್ ಪಿನ್',
		CurrentTransactionPin :'ಪ್ರಸ್ತುತ ವ್ಯವಹಾರ ಪಿನ್',
		NewLoginPin:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್',
		NewLoginPinAlias:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmLoginPin:'ಲಾಗಿನ್ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmLoginPinAlias:'ದೃಢೀಕರಿಸಿ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		NewTransactionPin:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್',
		NewTransactionPinAlias:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmTransactionPin:'ವ್ಯವಹಾರ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmTransactionPinAlias:'ದೃಢೀಕರಿಸಿ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		PleaseNote : 'ದಯವಿಟ್ಟು ಗಮನಿಸಿ',
		NumericValue :' - ನಿಮ್ಮ ಪಿನ್ ಒಂದು 6 ಅಂಕಿಯ ಸಂಖ್ಯಾ ಮೌಲ್ಯ ನಮೂದಿಸಿ.' ,
		SameConsecutiveDigits:'-ಇದು ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು ಅದೇ (ಉದಾ 122287 ಅಥವಾ 186333 ) ಹೊಂದುವಂತಿಲ್ಲ',
		ConsecutiveDigitsSequence:'- ಇದು ಅನುಕ್ರಮದಲ್ಲಿ ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು (ಉದಾಹರಣೆಗೆ 123845 ಅಥವಾ 987253 ) ಹೊಂದುವಂತಿಲ್ಲ',
		SameGroupDigits : '-ಇದು 2 ಅಂಕೆಗಳು ಅದೇ ಗುಂಪು ಹೆಚ್ಚು 2 ಬಾರಿ (ಉದಾ 121212 ಅಥವಾ 989898 ) ಪುನರಾವರ್ತಿಸಲು ಹೊಂದಿರುತ್ತವೆ ಸಾಧ್ಯವಿಲ್ಲ',
	},
	RegistrationCompletion :{
		Congratulations:'ಅಭಿನಂದನೆಗಳು',
		SuccessfullyComplete:'ನೀವು ಯಶಸ್ವಿಯಾಗಿ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ನೋಂದಣಿ ಪ್ರಕ್ರಿಯೆ ಪೂರ್ಣಗೊಳಿಸಿದ.',
		LoginLink:'ನಿಮ್ಮ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಸೌಲಭ್ಯ ಬಳಸಿಕೊಂಡು ಆರಂಭಿಸಲು ಕೆಳಗೆ ಲಾಗಿನ್ ಲಿಂಕ್ ಕ್ಲಿಕ್ ಮಾಡಿ.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'ನೆಟ್ ಬ್ಯಾಂಕಿಂಗ್ ರುಜುವಾತುಗಳು',
		UserId : ' ಬಳಕೆದಾರರ ಗುರುತು',
		Password :'ಪಾಸ್ವರ್ಡ್',	
	},
	NBPinSetup:{
		Header:'ಪಿನ್ ಸೆಟಪ್',
		NewLoginPin:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್',
		NewLoginPinAlias:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmLoginPin:'ಲಾಗಿನ್ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmLoginPinAlias:'ದೃಢೀಕರಿಸಿ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		NewTransactionPin:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್',
		NewTransactionPinAlias:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmTransactionPin:'ವ್ಯವಹಾರ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmTransactionPinAlias:'ದೃಢೀಕರಿಸಿ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		PleaseNote : 'ದಯವಿಟ್ಟು ಗಮನಿಸಿ',
		NumericValue :' - ನಿಮ್ಮ ಪಿನ್ ಒಂದು 6 ಅಂಕಿಯ ಸಂಖ್ಯಾ ಮೌಲ್ಯ ನಮೂದಿಸಿ.' ,
		SameConsecutiveDigits:'-ಇದು ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು ಅದೇ (ಉದಾ 122287 ಅಥವಾ 186333 ) ಹೊಂದುವಂತಿಲ್ಲ',
		ConsecutiveDigitsSequence:'- ಇದು ಅನುಕ್ರಮದಲ್ಲಿ ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು (ಉದಾಹರಣೆಗೆ 123845 ಅಥವಾ 987253 ) ಹೊಂದುವಂತಿಲ್ಲ',
		SameGroupDigits : '- ಇದು 2 ಅಂಕೆಗಳು ಅದೇ ಗುಂಪು ಹೆಚ್ಚು 2 ಬಾರಿ (ಉದಾ 121212 ಅಥವಾ 989898 ) ಪುನರಾವರ್ತಿಸಲು ಹೊಂದಿರುತ್ತವೆ ಸಾಧ್ಯವಿಲ್ಲ',
	},
	NBRegistrationCompletion :{
		Congratulations:'ಅಭಿನಂದನೆಗಳು',
		SuccessfullyComplete:'ನೀವು ಯಶಸ್ವಿಯಾಗಿ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ನೋಂದಣಿ ಪ್ರಕ್ರಿಯೆ ಪೂರ್ಣಗೊಳಿಸಿದ.',
		LoginLink:'ನಿಮ್ಮ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಸೌಲಭ್ಯ ಬಳಸಿಕೊಂಡು ಆರಂಭಿಸಲು ಕೆಳಗೆ ಲಾಗಿನ್ ಲಿಂಕ್ ಕ್ಲಿಕ್ ಮಾಡಿ .',
	},
	ForgotPinScreen1 :{
		ResetOption :' ಒಂದು ಮರುಹೊಂದಿಸಿ ಆಯ್ಕೆ ಆಯ್ಕೆ',
		Netbanking :'ನೆಟ್ಬ್ಯಾಂಕಿಂಗ್',
		DebitCard:'ಡೆಬಿಟ್ ಕಾರ್ಡ್',
	},
	ForgotPINDebitCard:{
		Title:'ಪಿನ್ ಮರುಹೊಂದಿಸಿ - ಡೆಬಿಟ್ ಕಾರ್ಡ್',
		DebitCardNumber :'ಡೆಬಿಟ್ ಕಾರ್ಡ್ ಸಂಖ್ಯೆ',
		Pin:'ಪಿನ್',
		ExpiryMonth:'ಅಂತ್ಯ ತಿಂಗಳ',
		ExpiryYear : ' ಅಂತ್ಯ ವರ್ಷದ',
	},
	ForgotPINNetbanking:{
		Title : 'ಪಿನ್ ಮರುಹೊಂದಿಸಿ - ನೆಟ್ ಬ್ಯಾಂಕಿಂಗ್',
		UserId :'ಬಳಕೆದಾರರ ಗುರುತು',
		Password : 'ಪಾಸ್ವರ್ಡ್',	
	},
	DebitForgotPinSetup:{
		Title : 'ಪಿನ್ ಮರುಹೊಂದಿಸಿ',
		ChangeLoginPin :'ಬದಲಾವಣೆ ಲಾಗಿನ್ ಪಿನ್',
		NewLoginPin:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್',
		NewLoginPinAlias:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmLoginPin:'ಲಾಗಿನ್ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmLoginPinAlias:'ದೃಢೀಕರಿಸಿ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ChangeTransactionPin :'ಬದಲಾವಣೆ ವ್ಯವಹಾರ ಪಿನ್',
		NewTransactionPin:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್',
		NewTransactionPinAlias:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmTransactionPin:'ವ್ಯವಹಾರ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmTransactionPinAlias:'ದೃಢೀಕರಿಸಿ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		PleaseNote : 'ದಯವಿಟ್ಟು ಗಮನಿಸಿ',
		NumericValue :' - ನಿಮ್ಮ ಪಿನ್ ಒಂದು 6 ಅಂಕಿಯ ಸಂಖ್ಯಾ ಮೌಲ್ಯ ನಮೂದಿಸಿ.' ,
		SameConsecutiveDigits:'- ಇದು ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು ಅದೇ (ಉದಾ 122287 ಅಥವಾ 186333 ) ಹೊಂದುವಂತಿಲ್ಲ',
		ConsecutiveDigitsSequence:'-ಇದು ಅನುಕ್ರಮದಲ್ಲಿ ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು (ಉದಾಹರಣೆಗೆ 123845 ಅಥವಾ 987253 ) ಹೊಂದುವಂತಿಲ್ಲ',
		SameGroupDigits : '- ಇದು 2 ಅಂಕೆಗಳು ಅದೇ ಗುಂಪು ಹೆಚ್ಚು 2 ಬಾರಿ (ಉದಾ 121212 ಅಥವಾ 989898 ) ಪುನರಾವರ್ತಿಸಲು ಹೊಂದಿರುತ್ತವೆ ಸಾಧ್ಯವಿಲ್ಲ',
	},
	NBForgotPinSetup:{
		Title : 'ಪಿನ್ ಮರುಹೊಂದಿಸಿ',
		ChangeLoginPin :'ಬದಲಾವಣೆ ಲಾಗಿನ್ ಪಿನ್',
		NewLoginPin:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್',
		NewLoginPinAlias:'ಹೊಸ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmLoginPin:'ಲಾಗಿನ್ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmLoginPinAlias:'ದೃಢೀಕರಿಸಿ ಲಾಗಿನ್ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ChangeTransactionPin :'ಬದಲಾವಣೆ ವ್ಯವಹಾರ ಪಿನ್',
		NewTransactionPin:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್',
		NewTransactionPinAlias:'ಹೊಸ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		ConfirmTransactionPin:'ವ್ಯವಹಾರ ಪಿನ್ ದೃಢೀಕರಿಸಿ',
		ConfirmTransactionPinAlias:'ದೃಢೀಕರಿಸಿ ವ್ಯವಹಾರ ಪಿನ್ ( ಮಿನ್ 6 ಅಂಕೆಗಳು )',
		PleaseNote : 'ದಯವಿಟ್ಟು ಗಮನಿಸಿ',
		NumericValue :' - ನಿಮ್ಮ ಪಿನ್ ಒಂದು 6 ಅಂಕಿಯ ಸಂಖ್ಯಾ ಮೌಲ್ಯ ನಮೂದಿಸಿ.' ,
		SameConsecutiveDigits:'- ಇದು ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು ಅದೇ (ಉದಾ 122287 ಅಥವಾ 186333 ) ಹೊಂದುವಂತಿಲ್ಲ',
		ConsecutiveDigitsSequence:'- ಇದು ಅನುಕ್ರಮದಲ್ಲಿ ಹೆಚ್ಚು 2 ಸತತ ಅಂಕೆಗಳು (ಉದಾಹರಣೆಗೆ 123845 ಅಥವಾ 987253 ) ಹೊಂದುವಂತಿಲ್ಲ',
		SameGroupDigits : '- ಇದು 2 ಅಂಕೆಗಳು ಅದೇ ಗುಂಪು ಹೆಚ್ಚು 2 ಬಾರಿ (ಉದಾ 121212 ಅಥವಾ 989898 ) ಪುನರಾವರ್ತಿಸಲು ಹೊಂದಿರುತ್ತವೆ ಸಾಧ್ಯವಿಲ್ಲ',
	},
	DBForgotPINCompletion:{
		Congratulations:'ಅಭಿನಂದನೆಗಳು',
		SuccessfullyComplete:'ನಿಮ್ಮ ಪಿನ್ ಯಶಸ್ವಿಯಾಗಿ ಮರುಹೊಂದಿಸಲು ಮಾಡಲಾಗಿದೆ.',
		LoginLink:'ನಿಮ್ಮ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಸೌಲಭ್ಯ ಬಳಸಿಕೊಂಡು ಆರಂಭಿಸಲು ಕೆಳಗೆ ಲಾಗಿನ್ ಲಿಂಕ್ ಕ್ಲಿಕ್ ಮಾಡಿ .',
	},
	NBForgotPINCompletion :{
		Congratulations:'ಅಭಿನಂದನೆಗಳು',
		SuccessfullyComplete:'ನಿಮ್ಮ ಪಿನ್ ಯಶಸ್ವಿಯಾಗಿ ಮರುಹೊಂದಿಸಲು ಮಾಡಲಾಗಿದೆ.',
		LoginLink:'ನಿಮ್ಮ ಮೊಬೈಲ್ ಬ್ಯಾಂಕಿಂಗ್ ಸೌಲಭ್ಯ ಬಳಸಿಕೊಂಡು ಆರಂಭಿಸಲು ಕೆಳಗೆ ಲಾಗಿನ್ ಲಿಂಕ್ ಕ್ಲಿಕ್ ಮಾಡಿ .',
	},
	ReLogin:{
		Title : 'ಸ್ವಾಗತ',
		LoginLabel : 'ಲಾಗಿನ್ ನಿಮ್ಮ PIN ಅನ್ನು ನಮೂದಿಸಿ',
		LoginLabelAlias:'ನಿಮ್ಮ ಲಾಗಿನ್ ಪಿನ್',
		ForgotPin : 'ಪಿನ್ ಮರೆತಿರಾ',
		Register : 'ನೋಂದಣಿ',
		Version :'ಆವೃತ್ತಿ',
	},
	Menu:{
		LastLoginTime: 'ಕೊನೆಯ ಲಾಗ್ ಇನ್ :',
		TermDeposite :'ಟರ್ಮ್ ಠೇವಣಿಗಳ',
		TransactionAccounts :'ವ್ಯವಹಾರ ಖಾತೆಗಳ',
		Transfers :'ವರ್ಗಾವಣೆ',
		Services : 'ಸೇವೆಗಳು',
		Cards :'ಕಾರ್ಡ್',
		Profile :'ಪ್ರೊಫೈಲ್',
		ContactUs:'ನಮ್ಮನ್ನು ಸಂಪರ್ಕಿಸಿ',
	},
	AccountList :{
		AvailableBalance :'ಲಭ್ಯವಿರುವ ಬ್ಯಾಲೆನ್ಸ್:',
		CashCreditAccount :'ನಗದು ಸಾಲ ಖಾತೆ',
		CurrentBalance:'ಪ್ರಸ್ತುತ ಬ್ಯಾಲೆನ್ಸ್:',
		LoanAccount :'ಸಾಲದ ಖಾತೆ',
		SavingAccount : 'ಉಳಿತಾಯ ಖಾತೆ',
		CurrentAccount : 'ಚಾಲ್ತಿ ಖಾತೆ',
	},
	SavCurrAccDetailScreen:{
		Product :'ಉತ್ಪನ್ನ:',
		AvailableBalance :'ಲಭ್ಯವಿರುವ ಬ್ಯಾಲೆನ್ಸ್',
		CurrentBalance:'ಪ್ರಸ್ತುತ ಬ್ಯಾಲೆನ್ಸ್',
		UnclearFunds :' ತೆರವುಗೊಳಿಸಿಲ್ಲ ನಿಧಿಗಳು',
		FundsOnHold :'ತಡೆಹಿಡಿಯಲಾದ ನಿಧಿಗಳು',
		Last5Trans :'ಕೊನೆಯ 5 ಟ್ರಾನ್ಸಾಕ್ಷನ್ಸ್',
		DetailStatement:'ವಿವರವಾದ ಹೇಳಿಕೆ',
		TransferOwnAccount :'ಖಾತೆ ಆದ ವರ್ಗಾಯಿಸಿ',
		TransferThirdPartyWithinBank :'ಬ್ಯಾಂಕ್ ಒಳಗೆ ಮೂರನೇ ವ್ಯಕ್ತಿಗೆ ವರ್ಗಾಯಿಸುತ್ತದೆ',
		TransferThirdPartyOtherBank:'ತೃತೀಯ ಇತರೆ ಬ್ಯಾಂಕ್ ವರ್ಗಾವಣೆ',
		ImpsToMobile :' ಮೊಬೈಲ್ ಮತ್ತು MMID ಗೆ imps',
	},
	CashCreditDetailScreen:{
		Product :'ಉತ್ಪನ್ನ:',
		CreditLimit :'ಸಾಲದ ಮಿತಿಯನ್ನು',
		AvailableBalance :'ಲಭ್ಯವಿರುವ ಬ್ಯಾಲೆನ್ಸ್',
		CurrentBalance:'ಪ್ರಸ್ತುತ ಬ್ಯಾಲೆನ್ಸ್',
		UnclearFunds :' ತೆರವುಗೊಳಿಸಿಲ್ಲ ನಿಧಿಗಳು',
		AvailableCredit :'ಲಭ್ಯವಿರುವ ಕ್ರೆಡಿಟ್',
		TotalAmountDue :'ಒಟ್ಟು ಪ್ರಮಾಣವನ್ನು ಕಾರಣ',
		InterestRate :'ಬಡ್ಡಿ ದರ',
		Last5Trans :'ಕೊನೆಯ 5 ಟ್ರಾನ್ಸಾಕ್ಷನ್ಸ್',
		DetailStatement:'ವಿವರವಾದ ಹೇಳಿಕೆ',
	},
	LoanDetailScreen:{
		Product :'ಉತ್ಪನ್ನ:',
		CreditLimit :'ಸಾಲದ ಮಿತಿಯನ್ನು',
		AvailableBalance :'ಲಭ್ಯವಿರುವ ಬ್ಯಾಲೆನ್ಸ್',
		CurrentBalance:'ಪ್ರಸ್ತುತ ಬ್ಯಾಲೆನ್ಸ್',
		OpeningDate :'ತೆರೆಯುವ ದಿನಾಂಕ',
		MaturityDate:'ಮುಕ್ತಾಯ ದಿನಾಂಕ',
		AvailableCredit :'ಲಭ್ಯವಿರುವ ಕ್ರೆಡಿಟ್',
		TotalAmountDue :'ಒಟ್ಟು ಪ್ರಮಾಣವನ್ನು ಕಾರಣ',
		InterestRate :'ಬಡ್ಡಿ ದರ',
		Last5Trans :'ಕೊನೆಯ 5 ಟ್ರಾನ್ಸಾಕ್ಷನ್ಸ್',
		DetailStatement:'ವಿವರವಾದ ಹೇಳಿಕೆ',
	},
	DepositMenu:{
		ViewDeposits :'ವೀಕ್ಷಿಸಿ ಠೇವಣಿಗಳ',
		NewRecurringDeposite :'ಹೊಸ ಮರುಕಳಿಸುವ ಠೇವಣಿ',
		NewRegularIncome:'ಹೊಸ ನಿಯಮಿತ ವರಮಾನ ಠೇವಣಿ',
		NewReinvestment :'ಹೊಸ ರಿಇನ್ವೆಸ್ಟ್ಮೆಂಟ್ ಠೇವಣಿ',
	},
	RegularIncomeDeposit:{
		Header:' ಹೊಸ ನಿಯಮಿತ ವರಮಾನ ಠೇವಣಿ',
		Scheme :'ಯೋಜನೆ',
		FromAccount :'ಖಾತೆಯಿಂದ',
		Amount :'ಪ್ರಮಾಣ',
		PeriodofDeposit:'ಠೇವಣಿ ಅವಧಿ : MAXTERM ದಿನಗಳ',
		PeriodofDepositYears:'ಠೇವಣಿ ವರ್ಷಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositMonths:'ಠೇವಣಿ ತಿಂಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositDays:'ಠೇವಣಿ ಡೇಸ್ ಅವಧಿಯ',
		InterestPaymentFrequency:'ಬಡ್ಡಿ ಪಾವತಿ ಆವರ್ತನ',
		AccounttoCreditInterest:'ಕ್ರೆಡಿಟ್ ಆಸಕ್ತಿ ಖಾತೆ',
		MaturityInstructions:'ಮೆಚುರಿಟಿ ಸೂಚನೆಗಳು',
		'Automatically Renew':'ಸ್ವಯಂಚಾಲಿತವಾಗಿ ನವೀಕರಣಗೊಳ್ಳುತ್ತದೆ',
		InterestPaymentOption:'ಆಸಕ್ತಿ ಪಾವತಿ ಆಯ್ಕೆ',
		AccountToCreditMaturityAmount:'ಮೆಚುರಿಟಿ ಮೊತ್ತವನ್ನು ಸಾಲದ ಖಾತೆ',
		TransactionRemarks:'ವ್ಯವಹಾರ ಟೀಕೆಗಳು',
		NomineeRequired:'ನಾಮಿನಿ ಅಗತ್ಯವಿದೆ',
	},
	PIDConfWONom:{
		Header:'ಓಪನ್ ಠೇವಣಿ - ದೃಢೀಕರಣ',
		Scheme :'ಯೋಜನೆ',
		FromAccount :'ಖಾತೆಯಿಂದ',
		Amount :'ಪ್ರಮಾಣ',
		PeriodofDeposit:'ಠೇವಣಿ ಅವಧಿ ',
		PeriodofDepositYears:'ಠೇವಣಿ ವರ್ಷಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositMonths:'ಠೇವಣಿ ತಿಂಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositDays:'ಠೇವಣಿ ಡೇಸ್ ಅವಧಿಯ',
		InterestPaymentOption:'ಆಸಕ್ತಿ ಪಾವತಿ ಆಯ್ಕೆ',
		AccounttoCreditInterest:'ಕ್ರೆಡಿಟ್ ಆಸಕ್ತಿ ಖಾತೆ',
		MaturityInstructions:'ಮೆಚುರಿಟಿ ಸೂಚನೆಗಳು',
		AccountToCreditMaturityAmount:'ಮೆಚುರಿಟಿ ಮೊತ್ತವನ್ನು ಸಾಲದ ಖಾತೆ',
		TransactionRemarks:'ವ್ಯವಹಾರ ಟೀಕೆಗಳು',
		NomineeRequired:'ನಾಮಿನಿ ಅಗತ್ಯವಿದೆ',
		Narration:'ನಿರೂಪಣೆ',
		InterestRate:'ಬಡ್ಡಿ ದರ',
		MaturityDate:'ಮುಕ್ತಾಯ ದಿನಾಂಕ',
		MaturityValue:'ಮೆಚ್ಯೂರಿಟಿ ಮೌಲ್ಯ',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
	},
	PIDConfWONomSuceess:{
		Header:'ನಿಯಮಿತ ವರಮಾನ ಠೇವಣಿ - ಯಶಸ್ಸು',
		AccountNo :'ನಿಮ್ಮ ಠೇವಣಿ ಎ / ಸಿ ಸಂಖ್ಯೆ ',
	},
	PIDNomineeDetails:{
		Header:'ನಾಮಿನಿ ವಿವರಗಳು',
		NomineeAddressLine1:'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 1',
		NomineeAddressLine2:'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 2',
		NomineeAddressLine3 :'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 3',
		NomineeAddressLine4 :'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 4',
		NomineeAge :'( ವರ್ಷಗಳಲ್ಲಿ ) ನಾಮಿನಿ ವಯಸ್ಸು',
	},
	PIDNomineeMinorDetails :{
		Header:'ನಾಮಿನಿ ವಿವರಗಳು',
		RelationshipWithCustomer :'ಗ್ರಾಹಕ ಸಂಬಂಧ',
		DisplayNomineeName :'ಪ್ರದರ್ಶನ ನಾಮಿನಿ ಹೆಸರು',
		IsNomineeMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ',
		NomineeisMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ',
		GuardianNameforNominee:'ನಾಮಿನಿ ಗಾರ್ಡಿಯನ್ ಹೆಸರು:',
		GuardianName:'ಪೋಷಕರ ಹೆಸರು',
	},
	PIDConfWithNom:{
		Header:'ಓಪನ್ ಠೇವಣಿ - ದೃಢೀಕರಣ',
		Scheme :'ಯೋಜನೆ',
		FromAccount :'ಖಾತೆಯಿಂದ',
		Amount :'ಪ್ರಮಾಣ',
		PeriodofDeposit:'ಠೇವಣಿ ಅವಧಿ ',
		PeriodofDepositYears:'ಠೇವಣಿ ವರ್ಷಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositMonths:'ಠೇವಣಿ ತಿಂಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositDays:'ಠೇವಣಿ ಡೇಸ್ ಅವಧಿಯ',
		InterestPaymentOption:'ಆಸಕ್ತಿ ಪಾವತಿ ಆಯ್ಕೆ',
		AccounttoCreditInterest:'ಕ್ರೆಡಿಟ್ ಆಸಕ್ತಿ ಖಾತೆ',
		MaturityInstructions:'ಮೆಚುರಿಟಿ ಸೂಚನೆಗಳು',
		AccountToCreditMaturityAmount:'ಮೆಚುರಿಟಿ ಮೊತ್ತವನ್ನು ಸಾಲದ ಖಾತೆ',
		TransactionRemarks:'ವ್ಯವಹಾರ ಟೀಕೆಗಳು',
		NomineeRequired:'ನಾಮಿನಿ ಅಗತ್ಯವಿದೆ',
		Narration:'ನಿರೂಪಣೆ',
		InterestRate:'ಬಡ್ಡಿ ದರ',
		MaturityDate:' ಮುಕ್ತಾಯ ದಿನಾಂಕ',
		MaturityValue:'ಮೆಚ್ಯೂರಿಟಿ ಮೌಲ್ಯ',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		NomineeAddressLine1:'ನಾಮಿನಿ ವಿಳಾಸ 1:',
		NomineeAddressLine2:'ನಾಮಿನಿ ವಿಳಾಸ 2:',
		NomineeAddressLine3 :'ನಾಮಿನಿ ವಿಳಾಸ 3:',
		NomineeAddressLine4 :'ನಾಮಿನಿ ವಿಳಾಸ 4:',
		NomineeAge :'ನಾಮಿನಿ ವಯಸ್ಸು :',
		RelationshipWithCustomer :'ಗ್ರಾಹಕ ಸಂಬಂಧ :',
		DisplayNomineeName :'ಪ್ರದರ್ಶನ ನಾಮಿನಿ ಹೆಸರು :',
		IsNomineeMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ:',
		NomineeisMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ',
		GuardianNameforNominee:'ನಾಮಿನಿ ಗಾರ್ಡಿಯನ್ ಹೆಸರು:',
		GuardianName:'ಪೋಷಕರ ಹೆಸರು',
		NomineeName:'ನಾಮಿನಿ ಹೆಸರು',
		NominationDetails:'ನಾಮನಿರ್ದೇಶನ ವಿವರಗಳು ( ವೀಕ್ಷಿಸಿ ಕ್ಲಿಕ್ ಮಾಡಿ )',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		TransactionPinAlias:'ನಿಮ್ಮ ವ್ಯವಹಾರ ಪಿನ್ ನಮೂದಿಸಿ',
	},
	PIDConfWithNomSuccess:{
		Header:'ನಿಯಮಿತ ವರಮಾನ ಠೇವಣಿ - ಯಶಸ್ಸು',
		AccountNo :'ನಿಮ್ಮ ಠೇವಣಿ ಎ / ಸಿ ಸಂಖ್ಯೆ ',
	},
	ReinvestmentDeposit:{
		Header:'ಹೊಸ ರಿಇನ್ವೆಸ್ಟ್ಮೆಂಟ್ ಠೇವಣಿ',
		Scheme :'ಯೋಜನೆ',
		FromAccount :'ಖಾತೆಯಿಂದ',
		Amount :'ಪ್ರಮಾಣ',
		PeriodofDeposit:'ಠೇವಣಿ ಅವಧಿ ',
		PeriodofDepositYears:'ಠೇವಣಿ ವರ್ಷಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositMonths:'ಠೇವಣಿ ತಿಂಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositDays:'ಠೇವಣಿ ಡೇಸ್ ಅವಧಿಯ',
		InterestPaymentFrequency:'ಬಡ್ಡಿ ಪಾವತಿ ಆವರ್ತನ',
		InterestPaymentOption:'ಆಸಕ್ತಿ ಪಾವತಿ ಆಯ್ಕೆ',
		AccounttoCreditInterest:'ಕ್ರೆಡಿಟ್ ಆಸಕ್ತಿ ಖಾತೆ',
		MaturityInstructions:'ಮೆಚುರಿಟಿ ಸೂಚನೆಗಳು',
		AccountToCreditMaturityAmount:'ಮೆಚುರಿಟಿ ಮೊತ್ತವನ್ನು ಸಾಲದ ಖಾತೆ',
		TransactionRemarks:'ವ್ಯವಹಾರ ಟೀಕೆಗಳು',
		NomineeRequired:'ನಾಮಿನಿ ಅಗತ್ಯವಿದೆ',
		Narration:'ನಿರೂಪಣೆ',
		InterestRate:'ಬಡ್ಡಿ ದರ',
		MaturityDate:' ಮುಕ್ತಾಯ ದಿನಾಂಕ',
		MaturityValue:'ಮೆಚ್ಯೂರಿಟಿ ಮೌಲ್ಯ',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		AtMaturity:'ಮುಕ್ತಾಯ ನಲ್ಲಿ',
		RemainonDeposit:'ಠೇವಣಿ ಉಳಿಯಲು',
		'Automatically Renew':'ಸ್ವಯಂಚಾಲಿತವಾಗಿ ನವೀಕರಣಗೊಳ್ಳುತ್ತದೆ',
		Narrative :'ನಿರೂಪಣೆ',
	},
	ReInvstConfWONom:{
		Header:'ಓಪನ್ ಠೇವಣಿ - ದೃಢೀಕರಣ',
		Scheme :'ಯೋಜನೆ',
		FromAccount :'ಖಾತೆಯಿಂದ',
		Amount :'ಪ್ರಮಾಣ',
		PeriodofDeposit:'ಠೇವಣಿ ಅವಧಿ ',
		PeriodofDepositYears:'ಠೇವಣಿ ವರ್ಷಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositMonths:'ಠೇವಣಿ ತಿಂಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositDays:'ಠೇವಣಿ ಡೇಸ್ ಅವಧಿಯ',
		InterestPaymentFrequency:'ಬಡ್ಡಿ ಪಾವತಿ ಆವರ್ತನ',
		InterestPaymentOption:'ಆಸಕ್ತಿ ಪಾವತಿ ಆಯ್ಕೆ',
		AccounttoCreditInterest:'ಕ್ರೆಡಿಟ್ ಆಸಕ್ತಿ ಖಾತೆ',
		MaturityInstructions:'ಮೆಚುರಿಟಿ ಸೂಚನೆಗಳು',
		AccountToCreditMaturityAmount:'ಮೆಚುರಿಟಿ ಮೊತ್ತವನ್ನು ಸಾಲದ ಖಾತೆ',
		TransactionRemarks:'ವ್ಯವಹಾರ ಟೀಕೆಗಳು',
		NomineeRequired:'ನಾಮಿನಿ ಅಗತ್ಯವಿದೆ',
		Narration:'ನಿರೂಪಣೆ',
		InterestRate:'ಬಡ್ಡಿ ದರ',
		MaturityDate:' ಮುಕ್ತಾಯ ದಿನಾಂಕ',
		MaturityValue:'ಮೆಚ್ಯೂರಿಟಿ ಮೌಲ್ಯ',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		AtMaturity:'ಮುಕ್ತಾಯ ನಲ್ಲಿ',
		RemainonDeposit:'ಠೇವಣಿ ಉಳಿಯಲು',
		'Automatically Renew':'ಸ್ವಯಂಚಾಲಿತವಾಗಿ ನವೀಕರಣಗೊಳ್ಳುತ್ತದೆ',
		Narrative :'ನಿರೂಪಣೆ',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		TransactionPinAlias:'ನಿಮ್ಮ ವ್ಯವಹಾರ ಪಿನ್ ನಮೂದಿಸಿ',
	},
	ReInvstWONomSuccess :{
		Header: 'ಹೊಸ ರಿಇನ್ವೆಸ್ಟ್ಮೆಂಟ್ ಠೇವಣಿ - ಯಶಸ್ಸು',
		AccountNo :'ನಿಮ್ಮ ಠೇವಣಿ ಎ / ಸಿ ಸಂಖ್ಯೆ',	
	},
	RINomineeDetails :{
		Header:'ನಾಮಿನಿ ವಿವರಗಳು',
		NomineeName: "ನಾಮಿನಿ ಹೆಸರು",
		Name:'ಹೆಸರು',
		NomineeAddressLine1:'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 1',
		AddressLine1 :'ವಿಳಾಸ ಸಾಲು 1',
		NomineeAddressLine2:'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 2',
		AddressLine2 :'ವಿಳಾಸ ಸಾಲು 2',
		NomineeAddressLine3 :'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 3',
		AddressLine3 :'ವಿಳಾಸ ಸಾಲು 3',
		NomineeAddressLine4 :'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 4',
		AddressLine4 :'ವಿಳಾಸ ಸಾಲು 4',
		NomineeAge :'( ವರ್ಷಗಳಲ್ಲಿ ) ನಾಮಿನಿ ವಯಸ್ಸು',
		Age:'ವಯಸ್ಸು',
	},
	RINomineeMinorDetails:{
		Header:' ನಾಮಿನಿ ವಿವರಗಳು',
		NomineeAge :'ನಾಮಿನಿ ವಯಸ್ಸು :',
		RelationshipWithCustomer :'ಗ್ರಾಹಕ ಸಂಬಂಧ :',
		DisplayNomineeName :'ಪ್ರದರ್ಶನ ನಾಮಿನಿ ಹೆಸರು:',
		IsNomineeMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ :',
		NomineeisMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ',
		GuardianNameforNominee:'ನಾಮಿನಿ ಗಾರ್ಡಿಯನ್ ಹೆಸರು:',
		GuardianName:'ಗಾರ್ಡಿಯನ್',
		NomineeName:'ನಾಮಿನಿ ಹೆಸರು',
		NominationDetails:'ನಾಮನಿರ್ದೇಶನ ವಿವರಗಳು ( ವೀಕ್ಷಿಸಿ ಕ್ಲಿಕ್ ಮಾಡಿ )',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		TransactionPinAlias:'ನಿಮ್ಮ ವ್ಯವಹಾರ ಪಿನ್ ನಮೂದಿಸಿ',
	},
	NomineeMaturityDetails:{
		Header:'ಓಪನ್ ಠೇವಣಿ - ದೃಢೀಕರಣ',
		Scheme :'ಯೋಜನೆ',
		FromAccount :'ಖಾತೆಯಿಂದ',
		Amount :'ಪ್ರಮಾಣ',
		PeriodofDeposit:'ಠೇವಣಿ ಅವಧಿ ',
		PeriodofDepositYears:'ಠೇವಣಿ ವರ್ಷಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositMonths:'ಠೇವಣಿ ತಿಂಗಳ ಅವಧಿಯಲ್ಲಿ',
		PeriodofDepositDays:'ಠೇವಣಿ ಡೇಸ್ ಅವಧಿಯ',
		InterestPaymentFrequency:'ಬಡ್ಡಿ ಪಾವತಿ ಆವರ್ತನ',
		InterestPaymentOption:'ಆಸಕ್ತಿ ಪಾವತಿ ಆಯ್ಕೆ',
		AccounttoCreditInterest:'ಕ್ರೆಡಿಟ್ ಆಸಕ್ತಿ ಖಾತೆ',
		MaturityInstructions:'ಮೆಚುರಿಟಿ ಸೂಚನೆಗಳು',
		AccountToCreditMaturityAmount:'ಮೆಚುರಿಟಿ ಮೊತ್ತವನ್ನು ಸಾಲದ ಖಾತೆ',
		TransactionRemarks:'ವ್ಯವಹಾರ ಟೀಕೆಗಳು',
		NomineeDetails:'ನಾಮಿನಿ ವಿವರಗಳು',
		NomineeRequired:'ನಾಮಿನಿ ಅಗತ್ಯವಿದೆ',
		NomineeName:'ನಾಮಿನಿ ಹೆಸರು',
		Name:'ಹೆಸರು',
		RelationshipWithCustomer :'ಗ್ರಾಹಕ ಸಂಬಂಧ :',
		DisplayNomineeName :'ಪ್ರದರ್ಶನ ನಾಮಿನಿ ಹೆಸರು:',
		IsNomineeMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ :',
		NomineeisMinor:'ನಾಮನಿರ್ದೇಶಿತರು ಅಪ್ರಾಪ್ತರಾದಾಗ',
		GuardianNameforNominee:'ನಾಮಿನಿ ಗಾರ್ಡಿಯನ್ ಹೆಸರು:',
		GuardianName:'ಗಾರ್ಡಿಯನ್',
		NominationDetails:'ನಾಮನಿರ್ದೇಶನ ವಿವರಗಳು ( ವೀಕ್ಷಿಸಿ ಕ್ಲಿಕ್ ಮಾಡಿ )',
		NomineeAddressLine1:'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 1',
		AddressLine1 :'ವಿಳಾಸ ಸಾಲು 1',
		NomineeAddress1:'ನಾಮಿನಿ ವಿಳಾಸ 1:',
		NomineeAddressLine2:'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 2',
		AddressLine2 :'ವಿಳಾಸ ಸಾಲು 2',
		NomineeAddress2:'ನಾಮಿನಿ ವಿಳಾಸ 2:',
		NomineeAddressLine3 :'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 3',
		NomineeAddress3 :'ನಾಮಿನಿ ವಿಳಾಸ 3:',
		AddressLine3 :'ವಿಳಾಸ ಸಾಲು 3',
		NomineeAddressLine4 :'ನಾಮಿನಿ ವಿಳಾಸ ಸಾಲು 4',
		AddressLine4 :'ವಿಳಾಸ ಸಾಲು 4',
		NomineeAddress4 :'ನಾಮಿನಿ ವಿಳಾಸ 4:',
		NomineeAge :'ನಾಮಿನಿ ವಯಸ್ಸು ',
		NomineeAgeInYears :'( ವರ್ಷಗಳಲ್ಲಿ ) ನಾಮಿನಿ ವಯಸ್ಸು',
		Age:'ವಯಸ್ಸು',
		Narration:'ನಿರೂಪಣೆ',
		InterestRate:'ಬಡ್ಡಿ ದರ',
		MaturityDate:' ಮುಕ್ತಾಯ ದಿನಾಂಕ',
		MaturityValue:'ಮೆಚ್ಯೂರಿಟಿ ಮೌಲ್ಯ',
		TransactionPin:'ವ್ಯವಹಾರ ಪಿನ್',
		AtMaturity:'ಮುಕ್ತಾಯ ನಲ್ಲಿ',
		RemainonDeposit:'ಠೇವಣಿ ಉಳಿಯಲು',
		'Automatically Renew':'ಸ್ವಯಂಚಾಲಿತವಾಗಿ ನವೀಕರಣಗೊಳ್ಳುತ್ತದೆ',
		Narrative :'ನಿರೂಪಣೆ',
		TransactionPinAlias:'ನಿಮ್ಮ ವ್ಯವಹಾರ ಪಿನ್ ನಮೂದಿಸಿ',
		NextInstalmentDate:'ಮುಂದಿನ ಕಂತು ದಿನಾಂಕ',
	},
	RIConfWithNomSuccess :{
		Header: 'ಹೊಸ ರಿಇನ್ವೆಸ್ಟ್ಮೆಂಟ್ ಠೇವಣಿ - ಯಶಸ್ಸು',
		AccountNo :'ನಿಮ್ಮ ಠೇವಣಿ ಎ / ಸಿ ಸಂಖ್ಯೆ',	
	},
	NewRecurringDeposit :{
		Header: 'ಹೊಸ ಮರುಕಳಿಸುವ ಠೇವಣಿ',
		InterestRateLink: 'ವೀಕ್ಷಿಸಿ ಬಡ್ಡಿದರಗಳು',
		RecurringDepositFrequency :'ಮರುಕಳಿಸುವ ಠೇವಣಿ ಆವರ್ತನ',	
		PreferredDateForInstallment :'ಕಂತುಗಳಲ್ಲಿ ಡೆಬಿಟ್ ಫಾರ್ ಆದ್ಯತೆಯ ದಿನಾಂಕ',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'ಮರುಕಳಿಸುವ ಠೇವಣಿ ಆವರ್ತನ',
		Monthly :'ಮಾಸಿಕ',
		InstallmentDebitDay :'ಕಂತು ಡೆಬಿಟ್ ಡೇ',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'ಮರುಕಳಿಸುವ ಠೇವಣಿ ಆವರ್ತನ',
		Monthly :'ಮಾಸಿಕ',
		InstallmentDebitDay :'ಕಂತು ಡೆಬಿಟ್ ಡೇ',
	},
	NRDConfWONomSuccess :{
		Header: 'ಹೊಸ ಠೇವಣಿ - ಯಶಸ್ಸು',
		AccountNo :'ನಿಮ್ಮ ಠೇವಣಿ ಎ / ಸಿ ಸಂಖ್ಯೆ',	
	},
	NRDConfWithNomSuccess :{
		Header: 'ಹೊಸ ಠೇವಣಿ - ಯಶಸ್ಸು',
		AccountNo :'ನಿಮ್ಮ ಠೇವಣಿ ಎ / ಸಿ ಸಂಖ್ಯೆ',	
	},
	DepositList:{
		RecurringDeposits: 'ಮರುಕಳಿಸುವ ಠೇವಣಿಗಳು',
		InstallmentAmount: 'ಕಂತು ಪ್ರಮಾಣ:',
		DepositAmount:'ಠೇವಣಿ ಮೊತ್ತ :',
		ReinvestmentDeposits :'ರಿಇನ್ವೆಸ್ಟ್ಮೆಂಟ್ ಠೇವಣಿಗಳ',
		RegularIncomeDeposits:'ನಿಯಮಿತ ವರಮಾನ ಠೇವಣಿಗಳ',
	},
	RDDetailScreen :{
		Product:'ಉತ್ಪನ್ನ',
		InstallmentAmount:'ಕಂತು ಪ್ರಮಾಣ',
		CurrentBalance :'ಪ್ರಸ್ತುತ ಬ್ಯಾಲೆನ್ಸ್',
		OpeningDate :'ತೆರೆಯುವ ದಿನಾಂಕ',
		MaturityAmount:'ಮುಕ್ತಾಯ ಪ್ರಮಾಣ',
		Last5Trans :'ಕೊನೆಯ 5 ಟ್ರಾನ್ಸಾಕ್ಷನ್ಸ್',
		DetailStatement :'ವಿವರವಾದ ಹೇಳಿಕೆ',
		CloseAccount :'ಖಾತೆಯನ್ನು ಮುಚ್ಚಿ',
	},
	ReInvtDetailScreen :{
		Product:'ಉತ್ಪನ್ನ',
		InstallmentAmount:'ಕಂತು ಪ್ರಮಾಣ',
		CurrentBalance :'ಪ್ರಸ್ತುತ ಬ್ಯಾಲೆನ್ಸ್',
		OpeningDate :'ತೆರೆಯುವ ದಿನಾಂಕ',
		MaturityAmount:'ಮುಕ್ತಾಯ ಪ್ರಮಾಣ',
		Last5Trans :'ಕೊನೆಯ 5 ಟ್ರಾನ್ಸಾಕ್ಷನ್ಸ್',
		DetailStatement :'ವಿವರವಾದ ಹೇಳಿಕೆ',
		CloseAccount :'ಖಾತೆಯನ್ನು ಮುಚ್ಚಿ',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'ವಿವರವಾದ ಹೇಳಿಕೆ',
		SelectAccount:'ಖಾತೆಯನ್ನು ಆಯ್ಕೆಮಾಡಿ',
		FromDate:'ದಿನಾಂಕದಿಂದ',
		ToDate:'ದಿನಾಂಕ',
	},
	DetailDepositStatement :{
		AccountNo :'ಖಾತೆ ಸಂಖ್ಯೆ',
		Narration :'ನಿರೂಪಣೆ',
	},
	CloseDepositReq :{
		CloseDeposit :'ಮುಚ್ಚು ಠೇವಣಿ',
		SelectFDAccount:'ಎಫ್ಡಿ ಖಾತೆ ಆಯ್ಕೆ',
		SelectFundTransferAccount:'ಆಯ್ಕೆ ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ ಖಾತೆ',
		Narrative:'ನಿರೂಪಣೆ',
	},
	CloseDepositConfirmation :{
		Header:'ಮುಚ್ಚು ಠೇವಣಿ - ದೃಢೀಕರಣ',
		RedemptionAmount:'ರಿಡೆಂಪ್ಶನ್ ಪ್ರಮಾಣ',
		PenaltyAmount:'ದಂಡದ ಮೊತ್ತ',
		FDAccount:'ಎಫ್ಡಿ ಖಾತೆ',
		ToAccount:'ಖಾತೆಗೆ',
		Narration :'ನಿರೂಪಣೆ',
	},
	CloseDepositSuccess:{
		Header :'ಮುಚ್ಚು ಠೇವಣಿ - ಯಶಸ್ಸು',
		DepositclosureSuccessful:'ಠೇವಣಿ ಮುಚ್ಚಿದ ಯಶಸ್ವಿ',
	},
	TransferMenu:{
		ManageBeneficiaries:'ಫಲಾನುಭವಿಗಳು ನಿರ್ವಹಿಸಿ',	
		TransferBetweenOwnAccounts :'ಸ್ವಂತ ಖಾತೆಗಳ ನಡುವೆ ವರ್ಗಾವಣೆ',
		TransferThirdPartyWithinBank:'ಬ್ಯಾಂಕ್ ಒಳಗೆ ಮೂರನೇ ಪಕ್ಷದ ವರ್ಗಾಯಿಸಿ',
		TransferDifferentBank :'ಮೂರನೇ ಪಕ್ಷದ ಇತರೆ ಬ್ಯಾಂಕ್ ವರ್ಗಾವಣೆ',
		ImmediatePaymentService:'ತಕ್ಷಣದ ಪಾವತಿ ಸೇವೆ ( imps )'
	},
	IMPSMenu:{
		GenerateMMID:'M M ನಾನು ಡಿ ಹಿಂಪಡೆಯಲು / ರಚಿಸಿ',
		CancelMMID :'M M ನಾನು ಡಿ ರದ್ದು',
		TransferMMID :'M M ನಾನು ಡಿ ಬಳಸಿ ವರ್ಗಾವಣೆ',
	},
	GenerateMMID:{
		Account : 'ಖಾತೆ',
		MobileNo:'ಮೊಬೈಲ್ ನಂ',
	},
	GenerateMMIDConf:{
		Header:'ರಚಿಸಿ / ಹಿಂಪಡೆಯಲು MMID - ದೃಢೀಕರಣ',
		MMIDText :'M M ನಾನು ಡಿ ( ಮೊಬೈಲ್ ಮನಿ ಐಡೆಂಟಿಫೈಯರ್ ) imps P2P ವರ್ಗಾವಣೆ ವಿಧಾನವನ್ನು ಮೂಲಕ ನಿಮ್ಮ ಖಾತೆಗೆ ಅನುದಾನ ಪಡೆದ ಉತ್ಪಾದಿಸಿದ ಅಗತ್ಯವಿದೆ ಒಂದು ಬಾರಿ ಸಂಕೇತ.'
	},
	GenerateMMIDSucc :{
		Header:'M M ನಾನು ಡಿ ಹಿಂಪಡೆಯಲು / ರಚಿಸಿ - ಯಶಸ್ಸು',
		MMID :'M M ನಾನು ಡಿ',
		linkAccount :'ಖಾತೆಗೆ ಲಿಂಕ್ ಮಾಡಲಾಗಿದೆ',
	},
	CancelMMIDConf:{
		Header :'M M ನಾನು ಡಿ ರದ್ದು - Confirmaton',
		CancelMMIDText :'ನೀವು M M ನಾನು ಡಿ ಕಾರ್ಯಕ್ರಮದ ರದ್ದತಿ ನಂತರ M M ನಾನು ಡಿ ಮೂಲಕ ಈ ಖಾತೆಗೆ ಹಣ ಸ್ವೀಕರಿಸಲು ಸಾಧ್ಯವಾಗುವುದಿಲ್ಲ',
		GenerateMMIDText :"ಈ ಖಾತೆಗಾಗಿ M M ನಾನು ಡಿ ಸೃಷ್ಟಿಸಲು , ಗೊಟೊ ರಚಿಸಿ / M M ನಾನು ಡಿ ಹಿಂಪಡೆಯಿರಿ ದಯವಿಟ್ಟು",
		MultipleMMIDText :'ಬಹು M M ನಾನು ಡಿ ಅದೇ ಖಾತೆ ಸಂಖ್ಯೆ ಉತ್ಪಾದಿಸಿದ ಸಾಧ್ಯವಿಲ್ಲ',
	},
	CancelMMIDSucc :{
		Header:'M M ನಾನು ಡಿ ರದ್ದು - ಯಶಸ್ಸು',
		MMIDLinkText:'M M ನಾನು ಡಿ ಖಾತೆಗೆ ಲಿಂಕ್',
		CancelText:'ರದ್ದುಗೊಳಿಸಲಾಗಿದೆ',
	},
	IMPSP2P :{
		Header :'ಫಲಾನುಭವಿ ಮೊಬೈಲ್ ಸಂಖ್ಯೆ ಮತ್ತು M M ನಾನು ಡಿ ಮಾಡಲು ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್',
		BeneficiaryMobileNo:'ಫಲಾನುಭವಿ ಮೊಬೈಲ್ ಯಾವುದೇ',
		BeneficiaryMMID:'ಫಲಾನುಭವಿ M M ನಾನು ಡಿ',
		Remarks:'ಟೀಕೆಗಳು',
	},
	IMPSP2PConf :{
		Header :'Imps P2P - ಪಿನ್ ಪರಿಶೀಲನೆ',
		SecretQuestion :'ಸೀಕ್ರೆಟ್ ಪ್ರಶ್ನೆ',
	},
	IMPSP2PSucc :{
		Header :'ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ - ಯಶಸ್ಸು',
		ReferenceNumber :'ನಿಮ್ಮ ಉಲ್ಲೇಖ ಸಂಖ್ಯೆ',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'ಬ್ಯಾಂಕ್ ಒಳಗೆ ಫಲಾನುಭವಿ ಸೇರಿಸಿ',
		AddBeneficiaryDifferentBank :'ಫಲಾನುಭವಿ ವಿವಿಧ ಬ್ಯಾಂಕ್ ಸೇರಿಸಿ',
		ViewBeneficiaryWithinBank:' ಬ್ಯಾಂಕ್ ಒಳಗೆ ವೀಕ್ಷಿಸಿ / ಮಾರ್ಪಡಿಸಿ ಫಲಾನುಭವಿ',
		ViewBeneficiaryOtherBank:' ವೀಕ್ಷಿಸಿ / ಮಾರ್ಪಡಿಸಿ ಫಲಾನುಭವಿ ಇತರೆ ಬ್ಯಾಂಕ್',
	},
	AddBeneWithinBank :{
		Header :'ಹೊಸ ಫಲಾನುಭವಿ ಸೇರಿಸಿ - ಬ್ಯಾಂಕ್ ಒಳಗೆ',
		BeneficiaryName:'ಫಲಾನುಭವಿ ಹೆಸರು',
		NickName :'ಅಡ್ಡ ಹೆಸರು',
		FundTransferLimit:'ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ ಮಿತಿ',
		LimitMax:'ಮಿತಿ ( ಮ್ಯಾಕ್ಸ್',
		AccountNo :'ಖಾತೆ ಸಂಖ್ಯೆ',
		ConfirmAccountNo:'ಖಾತೆ ಸಂಖ್ಯೆ ದೃಢೀಕರಿಸಿ',
	},
	AddBeneWithinBankConf:{
		Header :'ಫಲಾನುಭವಿ ಸೇರಿಸಿ - ದೃಢೀಕರಣ',
		AccountNameText :'ಬ್ಯಾಂಕ್ ದಾಖಲೆಗಳ ಪ್ರಕಾರ ಹೆಸರು ಖಾತೆ',
		Limit : 'ಮಿತಿ',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'ಹೊಸ ಫಲಾನುಭವಿ ಸೇರಿಸಿ - ಯಶಸ್ಸು',
		BeneficiaryAddedLine1:'ನಿಮ್ಮ ಹೊಸ ಫಲಾನುಭವಿಯ ಸೇರಿಸಲಾಗಿದೆ ಮತ್ತು ನಂತರ ಸಕ್ರಿಯ ನಡೆಯಲಿದೆ',
		BeneficiaryAddedLine2:'ಗಂಟೆಗಳ ನಂತರ ನೀವು ಹಣ ವರ್ಗಾವಣೆ ಬಳಸಬಹುದು. ನೀವು ವೀಕ್ಷಿಸಿ ಫಲಾನುಭವಿಗಳು ಪುಟದಲ್ಲಿ ಫಲಾನುಭವಿಯ ಸ್ಥಿತಿಗತಿಯನ್ನು ಪರಿಶೀಲಿಸಬಹುದು',
	},
	AddBeneInterBank :{
		Header :'ಹೊಸ ಫಲಾನುಭವಿ ಸೇರಿಸಿ - ವಿವಿಧ ಬ್ಯಾಂಕ್',
		EmailId:'ಇಮೇಲ್',
		Address:'ವಿಳಾಸ',
		State :'ರಾಜ್ಯ',
		City :'ನಗರ / ಜಿಲ್ಲೆ',
		Pincode:'ಪಿನ್ ಕೋಡ್',
	},
	AddBeneInterBankConf :{
		Header : 'ಫಲಾನುಭವಿ ಸೇರಿಸಿ - ದೃಢೀಕರಣ',
		IFSC :'ನಾನು ಎಫ್ ಎಸ್ ಸಿ',
		BankName:'ಬ್ಯಾಂಕ್ ಹೆಸರು',
		BranchName:'ಶಾಖೆಯ ಹೆಸರು',
		Branch :'ಶಾಖೆ',
		Email:'ಇಮೇಲ್',
		City:'ನಗರ',
		Phone : 'ಫೋನ್',
		Bank :'ಬ್ಯಾಂಕ್',
		BankBranch :'ಬ್ಯಾಂಕ್ ಶಾಖೆ',
	},
	AddBeneInterBankConfSuccess :{
		Header :'ಹೊಸ ಫಲಾನುಭವಿ ಸೇರಿಸಿ - ಯಶಸ್ಸು',
	},
	SearchIFSC :{
		Header :'ನಾನು ಎಫ್ ಎಸ್ ಸಿ ಕೋಡ್ ಪಡೆಯಲು ಕ್ರಮದಲ್ಲಿ ಆರಿಸಿ',
		IFSCcode:'ನಾನು ಎಫ್ ಎಸ್ ಸಿ ಕೋಡ್',
		BankCodeCity :'ಬ್ಯಾಂಕ್ ಸಂಕೇತ ಮತ್ತು ನಗರ',
	},
	IFSCByCode:{
		EnterIFSCcode : 'ನಾನು ಎಫ್ ಎಸ್ ಸಿ ಕೋಡ್ ನಮೂದಿಸಿ'
	},
	IFSCByBankCity :{
		BankCode:'ಬ್ಯಾಂಕ್ ಕೋಡ್',
	},
	IFSCBankList :{
		IFSCList:'ನಾನು ಎಫ್ ಎಸ್ ಸಿ ಪಟ್ಟಿ',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'ಸಕ್ರಿಯ ಫಲಾನುಭವಿಗಳು',
		PendingBeneficiaries:'ಬಾಕಿ ಫಲಾನುಭವಿಗಳು',
	},
	IntraBankBenDetailActive:{	
		Status: 'ಸ್ಥಿತಿ',
		Active :'ಸಕ್ರಿಯ',
		ModifyBeneficiary:'ಫಲಾನುಭವಿ ಮಾರ್ಪಡಿಸಿ',
		DeleteBeneficiary:'ಫಲಾನುಭವಿ ಅಳಿಸಿ',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'ಬಾಕಿ ಸಕ್ರಿಯಗೊಳಿಸುವಿಕೆ',
	},
	ModifyBenWithinSuccess:{
		Header :'ಫಲಾನುಭವಿ ಮಾರ್ಪಡಿಸಿ - ಯಶಸ್ಸು',
		BeneficiarySuccessText :'ಫಲಾನುಭವಿ ಯಶಸ್ವಿಯಾಗಿ ಮಾರ್ಪಡಿಸಲಾಗಿದೆ',
	},
	DeleteBenWithinConf :{
		Header : 'ಫಲಾನುಭವಿ ಅಳಿಸಿ - ದೃಢೀಕರಣ',
	},
	DeleteBenWithinSuccess :{
		Header :'ಫಲಾನುಭವಿ ಅಳಿಸಿ - ಯಶಸ್ಸು',
		BeneficiaryDeletedText:'ಫಲಾನುಭವಿ ಯಶಸ್ವಿಯಾಗಿ ಅಳಿಸಲಾಗಿದೆ',
	},
	ModifyBenInter:{
		BeneficiaryBank:'ಫಲಾನುಭವಿ ಬ್ಯಾಂಕ್',
		BeneficiaryBankBranch:'ಫಲಾನುಭವಿ ಬ್ಯಾಂಕ್ ಶಾಖೆ',
	},
	ProfileMenu:{
		MyProfile:'ನನ್ನ ಪ್ರೊಫೈಲ್',
		ChangeLoginPin:'ಬದಲಾವಣೆ ಲಾಗಿನ್ ಪಿನ್',
		ChangeTransactionPin :'ಬದಲಾವಣೆ ವ್ಯವಹಾರ ಪಿನ್',
	},
	MyProfile:{
		CustomerProfile:'ಗ್ರಾಹಕ ಪ್ರೊಫೈಲ್',
		Name :'ಹೆಸರು',
		Mobile : 'ಮೊಬೈಲ್',
		Email :'ಇಮೇಲ್',
		Address : 'ವಿಳಾಸ',
		City :'ನಗರ',
		State :'ರಾಜ್ಯ',
		Country :'ದೇಶದ',
		Zip :'ಜಿಪ್',
	},
	ChangeMPINConfirm :{
		Header :'ಲಾಗಿನ್ ಪಿನ್ ಬದಲಾಯಿಸಲು - ಯಶಸ್ಸು',
		LoginPinChangedText:'ಲಾಗಿನ್ ಪಿನ್ ಯಶಸ್ವಿಯಾಗಿ ಬದಲಾಯಿಸಲಾಗಿದೆ . ಮರುಲಾಗಿನ್ ದಯವಿಟ್ಟು .'
	},
	ChangeTPINConfirm :{
		Header :'ವ್ಯವಹಾರ ಪಿನ್ ಬದಲಾಯಿಸಿ - ಯಶಸ್ಸು',
		TransactionPinChangedText:'ವ್ಯವಹಾರ ಪಿನ್ ಯಶಸ್ವಿಯಾಗಿ ಬದಲಾವಣೆ.'
	},
	ServicesMenu:{
		ChequeBookRequest:'ಚೆಕ್ ಬುಕ್ ವಿನಂತಿ',
		ChequeStatusInquiry :'ಚೆಕ್ ಸ್ಥಿತಿ ವಿಚಾರಣೆ',
		StopCheque :'ನಿಲ್ಲಿಸಿ ಚೆಕ್',
		Account :'ಖಾತೆ'
	},
	CBRConfirmation :{
		Header:'ಚೆಕ್ ಬುಕ್ ವಿನಂತಿ - ದೃಢೀಕರಣ',
		ChequeBookConfirmText :'ಚೆಕ್ ಬುಕ್ ಖಾತೆಗೆ ಕೋರಲಾಗುವುದು',
		ChequeBookLine1 :'ಅನ್ವಯವಾಗುವಂತೆ ಆರೋಪಗಳನ್ನು ನಿಮ್ಮ ಖಾತೆಗೆ ವಿಧಿಸಲಾಗುವ ಮಾಡಲಾಗುತ್ತದೆ. ಆರೋಪಗಳನ್ನು ವಿವರಗಳಿಗಾಗಿ, ESAF ವೆಬ್ಸೈಟ್ನಲ್ಲಿ ಚಾರ್ಜಸ್ ವಿಭಾಗಕ್ಕೆ ಭೇಟಿ ಮಾಡಿ',
		ChequeBookLine2 :' ಚೆಕ್ ಪುಸ್ತಕದ 7 ದಿನಗಳೊಳಗಾಗಿ ನಿಮ್ಮ ನೋಂದಾಯಿತ ಮೇಲಿಂಗ್ ವಿಳಾಸಕ್ಕೆ ತಲುಪಿಸಲಾಗುವುದು" style="use-all-width mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'ಚೆಕ್ ಬುಕ್ ವಿನಂತಿ - ಯಶಸ್ಸು',
		RequestAccepted :'ಒಂದು ಚೆಕ್ಬುಕ್ ನಿಮ್ಮ ವಿನಂತಿಯನ್ನು ಸ್ವೀಕರಿಸಲಾಗಿದೆ',
	},
	CheckChqStatus:{
		ChequeStatus:'ಚೆಕ್ ಸ್ಥಿತಿ',
		ChequeNo:'ಚೆಕ್ ಯಾವುದೇ',
		StartChequeNo:'ಪ್ರಾರಂಭಿಸಿ ಚೆಕ್ ಯಾವುದೇ',
		EndChequeNo:'ಎಂಡ್ ಚೆಕ್ ಯಾವುದೇ',
		Status : 'ಸ್ಥಿತಿ',
		Reason:'ಕಾರಣ',
	},
	StopChqConfirmation :{
		Header : 'ನಿಲ್ಲಿಸಿ ಚೆಕ್ - ದೃಢೀಕರಣ',
		Type :'ഇനം',
	},
	StopChqResponse :{
		Header : 'നിർത്തുക ചെക്ക് - വിജയം',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'ವಿವರವಾದ ಹೇಳಿಕೆ',
		AccountNo :'ಖಾತೆ ಸಂಖ್ಯೆ',
		FromDate :'ದಿನಾಂಕದಿಂದ',
		ToDate :'ದಿನಾಂಕ',
	},
	DetailAccountStatement :{
		Balance :'ಬ್ಯಾಲೆನ್ಸ್',
	},
	FT2OwnAccount:{
		Header :'ಓನ್ ಖಾತೆಗೆ ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್',
		ToAccount : 'ಖಾತೆಗೆ',
		Amount : 'ಪ್ರಮಾಣ',
	},
	FTConfirmation :{
		Header : 'ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ - ದೃಢೀಕರಣ',
	},
	FTSuccess :{
		Header :'ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ - ಯಶಸ್ಸು',
		ReferenceNumber : 'ನಿಮ್ಮ ಉಲ್ಲೇಖ ಸಂಖ್ಯೆ',
	},
	FT2OwnBeneficiary:{	
		Header :'ಬ್ಯಾಂಕ್ ಒಳಗೆ ಮೂರನೇ ವ್ಯಕ್ತಿಗೆ ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್',
		Beneficiary :'ಫಲಾನುಭವಿ',
	},
	FTConfirmBeneficary :{
		Header :'ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್ - ದೃಢೀಕರಣ',
		BeneficiaryName :'ಫಲಾನುಭವಿ ಹೆಸರು',
		BeneficiaryNickName:'ಫಲಾನುಭವಿ ನಿಕ್ ಹೆಸರು',
		BeneficiaryAccount:'ಫಲಾನುಭವಿ ಖಾತೆ',
	},
	FT2InterBankBen :{
		Header :' ವಿವಿಧ ಬ್ಯಾಂಕ್ ಮೂರನೇ ವ್ಯಕ್ತಿಗೆ ಫಂಡ್ ಟ್ರಾನ್ಸ್ಫರ್',
		TransactionType :'ವ್ಯವಹಾರ ಕೌಟುಂಬಿಕತೆ',
		TotalCharges :'ಒಟ್ಟು ಶುಲ್ಕಗಳು (ಭಾಗಗಳು. ತೆರಿಗೆ )',
	},
	ContactUs :{
		Header : 'ನಮ್ಮನ್ನು ಸಂಪರ್ಕಿಸಿ',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'ಫೋನ್',
		Email :'ಇ ಮೇಲ್',
		Website :' ವೆಬ್ಸೈಟ್',
	},
	CardList:{
		Header :'ಕಾರ್ಡ್',
	},
	CardDetailScreen :{
		LinkedAccountNo :'ಲಿಂಕ್ಡ್ ಖಾತೆ ಸಂಖ್ಯೆ',
		ExpiryDate :'ಗಡುವು ದಿನಾಂಕ',
		AvailableBalance:'ಲಭ್ಯವಿರುವ ಬ್ಯಾಲೆನ್ಸ್',
		HotlistCard:'ಹಾಟ್ಲಿಸ್ಟ್ನಲ್ಲಿ ಕಾರ್ಡ್',
	},
	HotListCardConf:{
		Header :'ಹಾಟ್ಲಿಸ್ಟ್ನಲ್ಲಿ ಕಾರ್ಡ್ - ದೃಢೀಕರಣ',
		CardNo:'ಚೀಟಿ ಸಂಖ್ಯೆ',
	},
	HotListCardSuccess:{
		Header :' ಹಾಟ್ಲಿಸ್ಟ್ನಲ್ಲಿ ಕಾರ್ಡ್ - ಯಶಸ್ಸು',
		SuccessText:'ಕಾರ್ಡ್ ಹಾಟ್ ಯಶಸ್ವಿಯಾಗಿ ಪಟ್ಟಿ',
	},
	MiniStatement:{
		Credit :'ಕ್ರೆಡಿಟ್',
		Debit :'ಡೆಬಿಟ್',
	},
	Settings:{
		Header:'ಭಾಷಾ',
	},
	Language:{
		Header:'ಭಾಷೆಯನ್ನು ಬದಲಾಯಿಸಿ',
		Label :'ಭಾಷೆ ಬದಲಾಯಿಸಿ',
		Settings:'ಸೆಟ್ಟಿಂಗ್ಗಳು',
	},
	LanguageSuccess :{
		Header:'ನಿಮ್ಮ ಭಾಷೆಯನ್ನು ಬದಲಾಯಿಸಲಾಗಿದೆ',
	},
	progressInfo:{
		ValidatinMobileProgress:'ಊರ್ಜಿತಗೊಳಿಸುವಿಕೆ . ದಯಮಾಡಿ ನಿರೀಕ್ಷಿಸಿ...',
		Registering:'ನೋಂದಣಿ . ದಯಮಾಡಿ ನಿರೀಕ್ಷಿಸಿ...',
		PleaseWait:'ದಯಮಾಡಿ ನಿರೀಕ್ಷಿಸಿ...',
	},
	getBranchDetail :{
		selectCity:'ಸಿಟಿ ಆರಿಸಿರಿ',
		selectState:'ರಾಜ್ಯವನ್ನು ಆರಿಸಿರಿ',
		map:'ನಕ್ಷೆ',
		showList:'ಶಾಖೆ ಪಟ್ಟಿ',
		Navigation:'ಸಂಚರಣೆ',
		BranchLocator:'ಶಾಖೆ ಲೊಕೇಟರ್',
		getDirections:'ಮಾರ್ಗದರ್ಶನ ಪಡೆಯಿರಿ',
		ContactNumber:'ಸಂಪರ್ಕ ಸಂಖ್ಯೆ',
		ContactPerson:'ವ್ಯಕ್ತಿ ಸಂಪರ್ಕ',
		branchLocations:'ಶಾಖೆ ಸ್ಥಳಗಳು',
	},
	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook ಭದ್ರತೆ PIN ಸೇರಿಸಿ',
		SecurityPIN :'ಭದ್ರತೆ PIN',
		ConfirmSecurityPIN:'ಭದ್ರತಾ ಪಿನ್ ಖಚಿತಪಡಿಸಿ',
	},
	activateMPBsuccess:{
		title:'mPassbook ಸೇವೆ ಯಶಸ್ವಿಯಾಗಿ . ದಯವಿಟ್ಟು ಚೆಕ್ ಪ್ರವೇಶ ತೆರೆ ಸಕ್ರಿಯ .',
	},
	mPBLogin:{
		title:'mPassbook ಸ್ವಾಗತ'	
	},
	mPBMenu:{
		Accounts:'ಖಾತೆಗಳು',
		activateMPB:'mPassbook ಖಾತೆಯನ್ನು ಸಕ್ರಿಯಗೊಳಿಸಲು',
		download:'ಡೌನ್ಲೋಡ್',
	},
	mPBAccountList:{
		title:'ಯಾವುದೇ ಖಾತೆ mPassbook ಸಕ್ರಿಯಗೊಳಿಸಬಹುದು'
	},
	mPBEnableAccount:{
		title:'ಖಾತೆಯನ್ನು ಸಕ್ರಿಯಗೊಳಿಸಿ'	
	},
	mPBSettings:{
		title:'mPassbook ಸೆಟ್ಟಿಂಗ್ಗಳನ್ನು',
		records:'ಪ್ರತಿ ಪುಟಕ್ಕೆ ದಾಖಲೆಗಳ ಸಂಖ್ಯೆ',
	},
	mPBDownload:{
		title:'ಹೇಳಿಕೆ ಡೌನ್ಲೋಡ್',
		SelectCategory:'ವರ್ಗ ಆಯ್ಕೆ ಮಾಡಿ',
		Month:'ತಿಂಗಳು',
		Year:'ವರ್ಷ',
	},
	mStatement:{
		Search:'ಹುಡುಕು',
		Date:'ದಿನಾಂಕ',
		Particulars:'ವಿವರಗಳು',
		Withdrawal :'ನಿವರ್ತನ',
		Deposit:'ಠೇವಣಿ',
		Balance:'ಬ್ಯಾಲೆನ್ಸ್',
		Notes:'ಟಿಪ್ಪಣಿಗಳು',
		Remarks:'ಟೀಕೆಗಳು',
		Category:'ವರ್ಗ',
	},
	addNotesForPassbook:{
		title:'ಟಿಪ್ಪಣಿಗಳು ಸೇರಿಸಿ',
	},

	Remarks:'ಟೀಕೆಗಳು',
	Category:'ವರ್ಗ',
	/*
	Hindi:'ಹಿಂದಿ',
	English:'ಇಂಗ್ಲೀಷ್',
	Marathi:'ಮರಾಠಿ',
	Bengali:'ಬಂಗಾಳಿ',
	Gujrati:'ಗುಜರಾತಿ',
	Kannada:'ಕನ್ನಡ',
	Malayalam:'ಮಲಯಾಳಂ',
	Tamil:'ತಮಿಳು',
	Telagu:'ತೆಲುಗು',
	Urdu:'ಉರ್ದು',
	Punjabi:'ಪಂಜಾಬಿ',
	*/

	DCSecQuestions:{
		Title:'ಭದ್ರತೆ ಪ್ರಶ್ನೆಗಳು',
		Question: 'ರಹಸ್ಯ ಪ್ರಶ್ನೆ ಆಯ್ಕೆ ',
		Answer:'ರಹಸ್ಯ ಉತ್ತರ ',
	},

	ChangeSecQuestions:{
		Title:'ಭದ್ರತಾ ಬದಲಾವಣೆ ಪ್ರಶ್ನೆಗಳು',
	},
	ChangeSecQuestionsSuccess:{
		Title:'ಭದ್ರತಾ ಪ್ರಶ್ನೆಗಳು ಬದಲಿಸಿ - ಯಶಸ್ಸು',
		Status:'ನೀವು ಯಶಸ್ವಿಯಾಗಿ ನಿಮ್ಮ ರಹಸ್ಯ ಪ್ರಶ್ನೆಗಳು ಮತ್ತು ಅವರ ಉತ್ತರಗಳನ್ನು ಅಪ್ಡೇಟ್ಗೊಳಿಸಲಾಗಿದೆ.',
	}
};

//Malayalam
var translations_mal = {
	common:{
 	info:'വിവരങ്ങളും',
 	exitApp:'ESAF ബാങ്ക് മൊബൈൽ ബാങ്കിംഗ് ഉപയോഗിക്കുന്നതിന് നന്ദി . നിങ്ങൾ അപ്ലിക്കേഷൻ പുറത്തുകടക്കാൻ ആഗ്രഹിക്കുന്നുണ്ടോ?',
 	mobileValidation :'മൊബൈൽ സാധൂകരണം',
 	registerMobile :'നിങ്ങളുടെ മൊബൈൽ നമ്പർ ബാങ്കിൽ രജിസ്റ്റർ ഒറ്റ പൊരുത്തപ്പെടുന്നില്ല. രജിസ്റ്റർ ചെയ്ത മൊബൈൽ നമ്പർ ഇല്ലാത്ത ഒരു ഉപകരണം നിന്ന് വീണ്ടും ശ്രമിക്കുക .',
 	mobileValidationError :'ഞങ്ങൾ നിങ്ങളുടെ മൊബൈൽ നമ്പർ മൂല്യനിർണ്ണയം കഴിയുന്നില്ല . നിങ്ങളുടെ ഉപകരണം ഔട്ട്ഗോയിംഗ് എസ്എംഎസ് അയയ്ക്കുക അല്ലെങ്കിൽ പിന്നീട് വീണ്ടും ശ്രമിക്കുക കഴിയും പരിശോധിക്കുക .',
 	errorMessage:'നിങ്ങളുടെ അപേക്ഷ പരിഗണിക്കുന്നതിനിടയിൽ തെറ്റ് സംഭവിച്ചിരിക്കുന്നു. പിന്നീട് വീണ്ടും ശ്രമിക്കുക.',
 	error :'പിശക്',
 	internetDisconnectMessage:'ഇന്റർനെറ്റ് കണക്ഷൻ നിങ്ങളുടെ ഉപകരണത്തിൽ ലഭ്യമല്ല. മൊബൈൽ ഡാറ്റ പ്രാപ്തമാക്കുക അല്ലെങ്കിൽ ഒരു വൈഫൈ നെറ്റ്വർക്കിൽ കണക്ട് വീണ്ടും ശ്രമിക്കുക .',
 	internetDisconnect :'ഇന്റർനെറ്റ് വിച്ഛേദിച്ചു',
 	update:'അപ്ഡേറ്റ്',
 	updateMessage:'ഇത് ഏറ്റവും പുതിയ പതിപ്പിലേക്ക് അപ്ലിക്കേഷൻ അപ്ഡേറ്റ് ചെയ്യും. തുടരുക?',
 	selectMaturityAmount:'ക്രെഡിറ്റ് മെച്യൂരിറ്റി തുക അക്കൗണ്ട് തിരഞ്ഞെടുക്കുക',
 	enterAccountNo:'ദയവായി സാധുവായ 12 അക്ക അക്കൗണ്ട് നമ്പർ നൽകുക',
 	enterCustomerNo:'ദയവായി സാധുവായ 12 അക്ക ഉപയോക്തൃ ഐഡി നൽകുക',
 	fromAccToAccMesg:'അക്കൗണ്ട് നിന്നും അക്കൗണ്ടിലേക്ക് സമാനമാകരുത്',
 	pin:'പിൻ',
 	pinMandatory:'6 അക്ക PIN നിര്ബന്ധമാണ്',
 	currentPinNewPinMesg:'നിലവിലെ പിൻ ന്യൂ ലോഗിൻ പിൻ 6 അക്കങ്ങൾ ആയിരിക്കണം',
 	currentPinNewPinNotMatch:'പുതിയ ലോഗിൻ പിൻ പൊരുത്തപ്പെടുന്നില്ല ലോഗിൻ പിൻ സ്ഥിരീകരിക്കുക',
 	currentPinNewPinSame:'പുതിയ ലോഗിൻ പിൻ നിലവിൽ ലോഗിൻ പിൻ ആയിരിക്കും ഒരേ കഴിയില്ല',
 	currentPinTransPinMesg:'നിലവിലെ പിൻ ന്യൂ ഇടപാട് പിൻ 6 അക്കങ്ങൾ ആയിരിക്കണം',
 	currentPinTransPinNotMatch:'പുതിയ ഇടപാട് പിൻ പൊരുത്തപ്പെടുന്നില്ല ഇടപാട് പിൻ സ്ഥിരീകരിക്കുക',
 	currentPinTransPinSame:'പുതിയ ഇടപാട് പിൻ നിലവിൽ ഇടപാട് പിൻ ആയിരിക്കും ഒരേ കഴിയില്ല',
 	loginPinConfirmPinMesg:'പിൻ ലോഗിൻ ചെയ്ത് ലോഗിൻ പിൻ 6 അക്കങ്ങൾ ആയിരിക്കണം സ്ഥിരീകരിക്കുക',
 	loginPinConfirmPinNotMatch:'പിൻ ലോഗിൻ ചെയ്ത് ലോഗിൻ പിൻ സ്ഥിരീകരിക്കുക പൊരുത്തപ്പെടുന്നില്ല',
 	TransPinConfirmTransPinMesg:'ഇടപാട് പിൻ 6 അക്കങ്ങൾ ആയിരിക്കണം ഇടപാട് പിൻ സ്ഥിരീകരിക്കുക',
 	TransPinConfirmTransPinNotMatch:'ഇടപാട് പിൻ പൊരുത്തപ്പെടുന്നില്ല ഇടപാട് പിൻ സ്ഥിരീകരിക്കുക',
 	loginPinTransPinNotSame:'പിൻ ട്രാൻസാക്ഷൻ പിൻ ആയിരിക്കും ഒരേ കഴിയില്ല ലോഗിൻ',
 	selectLoginOrTransPin:'പുനഃക്രമീകരിക്കാൻ ദയവായി ലോഗിൻ പിൻ അല്ലെങ്കിൽ ഇടപാട് പിൻ ഒന്നുകിൽ തിരഞ്ഞെടുക്കുക.',
 	TransPinMandatory:'6 അക്ക ഇടപാട് പിൻ നിർബന്ധമായും',
 	SyncMesg:'ഡാറ്റ സമന്വയിപ്പിക്കുന്നു. കാത്തിരിക്കൂ...',
 	SyncData:'സമന്വയം ഡാറ്റ',
 	NoDataSync:'സമന്വയത്തിന്റേയോ ഡാറ്റാ ലഭ്യമല്ല.',
 	SyncSuccess:'സമന്വയം വിജയകരം',
 	SyncSuccessMesg:'എല്ലാ ഡാറ്റയും വിജയകരമായി സമന്വയിപ്പിച്ചു.',
 	Logout:'പുറത്തിറങ്ങുക',
 	logoutConfirm:'നിങ്ങൾക്ക് ഉറപ്പാണോ ലോഗൗട്ട് ചെയ്യണമെന്ന് ഉറപ്പാണോ?',
 	AreYouSure:'നിങ്ങൾ ഉറപ്പാണോ . തുടരുക?',
 	NoData:'വിവരമൊന്നും ലഭ്യമല്ല',
 	Jan:'ജനുവരി',
 	Feb:'ഫെബ്രുവരി',
 	Mar:'മാർ',
 	Apr:'ഏപ്രി',
 	May:'മേയ്',
 	Jun:'ജൂണ്',
 	Jul:'ജൂലൈ',
 	Aug:'ഓഗസ്റ്റ്',
 	Sep:'സെപ്റ്റംബർ',
 	Oct:'ഒക്ടോബർ',
 	Nov:'നവം',
 	Dec:'ഡിസംബർ',
 	Issued:'ഇഷ്യൂചെയ്തു',
 	Paid:'പണമടച്ചു',
 	Void:'ദുർബ്ബലമാക്കുന്നു',
 	Stopped:'നിർത്തി',
 	InvalidChequeNo:'അസാധുവായ ചെക്ക് ഇല്ല',
 	smsVerify:'ഒരു SMS നിങ്ങളുടെ മൊബൈൽ നമ്പർ പരിശോധിക്കാൻ നിങ്ങളുടെ ഫോണിൽ നിന്നും അയയ്ക്കും. മുന്നോട്ട് അയക്കുക ക്ലിക്ക് ചെയ്യുക.',
 	existingCustomer:'നിലവിലുള്ള കസ്റ്റമർ',
 	generatedMesg:'നിങ്ങൾ ഇതിനകം മുമ്പ് ഒരു പിൻ പതിന്മടങ്ങ് . സമാനമായ അല്ലെങ്കിൽ സെറ്റപ്പ് പുതിയതൊന്ന് ഉപയോഗിക്കുന്നത് തുടരാൻ ആഗ്രഹിക്കുന്നുണ്ടോ?',
 	TransAmountExceeds:'ഇടപാട് തുക ഗുണഭോക്തൃ പരമാവധി പരിധി കവിയുന്നു',
 	CutOffExceeded:'പരിധിയനിസരിച്ച് കവിഞ്ഞു',
 	HolidayMesg:'അതു ഒരു അവധിക്കാലം അല്ലെങ്കിൽ ദിവസം പരിധിയനിസരിച്ച് സമയം ശേഷം ആരംഭിച്ചു പോലെ ഇടപാട് പ്രോസസ്സ് ചെയ്യാൻ കഴിയില്ല . ഇപ്പോഴും നിങ്ങൾ തുടരാൻ ആഗ്രഹിക്കുന്നുണ്ടോ? നിങ്ങൾ അതെ തിരഞ്ഞെടുക്കുക , അത് അടുത്ത പ്രവൃത്തി ദിവസത്തിൽ പ്രോസസ്സ് ചെയ്യും',
 	ConnectionFailure:'കണക്ഷൻ പരാജയം',
 	failureMesg:'ലഭ്യമല്ല ബാങ്ക് കണക്ഷൻ . പിന്നീട് വീണ്ടും ശ്രമിക്കുക.',
 	btnLogin: 'ലോഗിൻ',
 	btnNext: 'അടുത്തത്',
 	btnSubmit: 'സമർപ്പിക്കുക',
 	btnCancel: 'റദ്ദാക്കുക',
 	btnBack: 'തിരിച്ച്',
 	btnDownload : ' ഇറക്കുമതി ',
	createMstatement : ' mStatement വിജയകരമായി സൃഷ്ടിച്ചു . ',
	Loading: ' ലോഡുചെയ്യുന്നു ... ',
	savedSettings : 'ക്രമീകരണങ്ങൾ വിജയകരമായി സംരക്ഷിച്ചു. ',
	accountExit : ' തിരഞ്ഞെടുത്ത accountNo ഇതിനകം mPassbook സജീവമാക്കും ആണ് ',
	InvalidMPB : ' അസാധുവായ mPassbook ക്രെഡൻഷ്യലുകൾ ',
	mPBSync : ' mPassbook സമന്വയം വിജയകരമായി ',
	mPBAccountActivate : ' അക്കൗണ്ട് വിജയകരമായി mPassbook സജീവമാക്കും . അക്കൗണ്ടുകൾ  ലെ പരിശോധിക്കുക ',
	ValidatingMobileNo:'മൊബൈൽ നമ്പർ മൂല്യനിർണ്ണയം',
	ftlimit:'പരമാവധി ഫണ്ട് ട്രാൻസ്ഫർ പരിധി ₹ 5,00,000 ആണ്',
 },
 errorCodes : {
	"-1" : "നിങ്ങളുടെ അപേക്ഷ പരിഗണിക്കുന്നതിനിടയിൽ തെറ്റ് സംഭവിച്ചിരിക്കുന്നു. പിന്നീട് വീണ്ടും ശ്രമിക്കുക.",
	"300" : "അപേക്ഷയിൽ ഒരു പഴയ പതിപ്പാണ് ഉപയോഗിക്കുന്നത്. സ്റ്റോറിൽ നിന്ന് പുതിയ അപ്ലിക്കേഷൻ ഡൗൺലോഡ് ദയവായി",
	"400" : "ഉപകരണ കസ്റ്റമർ നമ്പർ സജീവമല്ല ഈ ഉപകരണം സജീവമാക്കുന്നതിന് രജിസ്റ്റർ ചെയ്യുക",
	"401" : "ഉപകരണ കസ്റ്റമർ നമ്പർ സജീവമല്ല ഈ ഉപകരണം സജീവമാക്കുന്നതിന് രജിസ്റ്റർ ചെയ്യുക",
	"1001" : "അസാധുവായ ലോഗിൻ ക്രെഡൻഷ്യലുകൾ. നിങ്ങളുടെ അക്കൗണ്ട് 3 അസാധുവായ ശ്രമങ്ങൾ ലോക്ക് ചെയ്യും ",
	"1002" : "അസാധുവായ ഡെബിറ്റ് കാർഡ് വിവരങ്ങൾ . ദയവായി വീണ്ടും നൽകുക.",
	"1003" : "അസാധുവായ നെറ്റ്ബാംങ്കിംഗ് ക്രഡൻഷ്യലുകൾ. ദയവായി വീണ്ടും നൽകുക.",
	"1004" : "ലോഗിൻ ഇടപാട് പിൻ 6 അക്കങ്ങൾ ആയിരിക്കണം ",
	"1005" : "അസാധുവായ ഉപഭോക്തൃ ഐഡി അല്ലെങ്കിൽ കസ്റ്റമർ മൊബൈൽ ബാങ്കിംഗ് ആക്സസ് ഇല്ല.",
	"1006" : "അസാധുവായ അക്കൗണ്ട് നമ്പര് അല്ലെങ്കിൽ കസ്റ്റമർ മൊബൈൽ ബാങ്കിംഗ് ആക്സസ് ഇല്ല.",
	"1007" : "നിങ്ങളുടെ സെഷൻ കാലഹരണപ്പെട്ടു. ദയവായി .",
	"1008" : "നിങ്ങളുടെ സെഷൻ കാലഹരണപ്പെട്ടു. ദയവായി .",
	"1009" : "ഉപഭോക്തൃ ID ലഭ്യമാണ് അക്കൗണ്ടുകളില്ല",
	"1010" : "അസാധുവായ അക്കൗണ്ട് നമ്പർ",
	"1011" : "അസാധുവായ ലോഗിൻ പിൻ",
	"1012" : "പിൻ ട്രാൻസാക്ഷൻ പിൻ ഒന്നുതന്നെയായിരിക്കരുത് ലോഗിൻ .",
	"1013" : "ഇടപാടുകൾ ഒന്നുമില്ല തിരഞ്ഞെടുത്ത അക്കൗണ്ടിൽ കണ്ടെത്തിയില്ല .",
	"1014" : "ഫണ്ട് കൈമാറ്റം നൽകിയ വിശദാംശങ്ങൾ അസാധുവാണ്. ദയവായി ശരിയായ വിശദാംശങ്ങൾ നൽകുക.",
	"1015": "ഫണ്ട് ട്രാൻസ്ഫർ വിജയിച്ചില്ലെങ്കിൽ",
	"1016": "അസാധുവായ ഇടപാട് പിൻ",
	"1017": "കസ്റ്റമർ ഇതിനകം മൊബൈൽ ബാങ്കിങ് രജിസ്റ്റർ ലോഗിൻ ചെയ്യുക അല്ലെങ്കിൽ ശ്രമിക്കുക മറന്നുപോയി പാസ്വേഡ്.",
	"1018": "ഉപയോക്തൃ ഐഡി നിലവിലില്ല.",
	"1019": "ഉപയോക്തൃ ഐഡിയും / അല്ലെങ്കിൽ അക്കൗണ്ട് നമ്പര് അസാധുവാണ്.",
	"1020": "ഒരേ അക്കൗണ്ടിൽ കൈമാറ്റം ചെയ്യാൻ കഴിയില്ല.",
	"1021": "വിശദമായ പ്രസ്താവന പരാമീറ്ററുകൾ നൽകിയ തെറ്റാണ്.",
	"1022": "ചെക്കോ ബുക്ക് അഭ്യർത്ഥന ഇതിനകം നിലവിലുണ്ട്",
	"1023": "തെറ്റായ ലോഗിൻ പിൻ നൽകിയ വീണ്ടും നൽകുക നിലവിൽ ലോഗിൻ പിൻ",
	"1024": "ലോഗിൻ ഇടപാട് പിൻ ആയിരിക്കും ഒരേ കഴിയില്ല മറ്റൊരു പിൻ ശ്രമിക്കുക",
	"1025": "തെറ്റായ ഇടപാട് പിൻ നൽകിയ വീണ്ടും നൽകുക നിലവിൽ ഇടപാട് പിൻ",
	"1026": "ഡെപ്പോസിറ്റ് അടയുക വിജയിച്ചില്ല പിന്നീട് ശ്രമിക്കുക കസ്റ്റമർ കെയറുമായി ബന്ധപ്പെടുകയോ.",
	"1027": "ഒരു കാർഡിന് അപേക്ഷിക്കാൻ ഉപഭോക്താവിന് ഇപ്പോഴത്തെ കാർഡുകളൊന്നും ബന്ധപ്പെടുക കസ്റ്റമർ കെയർ",
	"1028": "അസാധുവായ കാർഡ് നമ്പർ",
	"1029": "കാർഡ് ഹോട്ട് പട്ടിക പരാജയപ്പെട്ടു വീണ്ടും ശ്രമിക്കുക..",
	"1030": "അസാധുവായ ചെക്ക് ചെയ്യരുത് അല്ലെങ്കിൽ ശ്രേണി പരിശോധിക്കുക",
	"1031": "ഇല്ല ഗുണഭോക്താക്കൾക്ക് ഗുണഭോക്താക്കളാവുന്നുവോ ചേർക്കാൻ ബാങ്ക് ഓപ്ഷൻ ബെനിഫിഷ്യറി ചേര്ക്കുക ബാങ്ക് കൈമാറ്റങ്ങൾ ഉള്ളിൽ കണ്ടെത്തിയില്ല.",
	"1032": "ഇല്ല ഗുണഭോക്താക്കൾക്ക് ഗുണഭോക്താക്കളാവുന്നുവോ ചേർക്കാൻ ബെനിഫിഷ്യറി ചേര്ക്കുക വിവിധ ബാങ്ക് ഉപാധി ഉപയോഗിക്കുക മറ്റ് ബാങ്ക് കൈമാറ്റങ്ങൾ കണ്ടെത്തിയില്ല.",
	"1033": "ഗുണഭോക്താവിന് ചേർക്കുന്നു പരാജയപ്പെട്ടു വീണ്ടും ശ്രമിക്കുക.",
	"1034": "ഇല്ല ബാങ്കുകൾ നിലവിലില്ല.",
	"1035": "ഗുണഭോക്താവ് എന്ന ഇല്ലാതാക്കൽ പരാജയപ്പെട്ടു.",
	"1036": "ഇല്ല നിക്ഷേപ അക്കൗണ്ട് കാണപ്പെടുന്നത്.",
	"1037": "പിശക് സംഭവിച്ചു ഡെപ്പോസിറ്റ് അടച്ചിരിക്കുന്നു വിശദാംശങ്ങൾ നേടാൻ കഴിഞ്ഞില്ല..",
	"1039": "കടന്നു ഗുണഭോക്തൃ അക്കൗണ്ട് അസാധുവാണ്.",
	"1040": "ഡെപ്പോസിറ്റ് സൃഷ്ടിക്കാൻ കഴിഞ്ഞില്ല പിന്നീട് ശ്രമിക്കുക.",
	"1042": "ഇല്ല MMID തിരഞ്ഞെടുത്ത അക്കൗണ്ടിലേക്ക് ലിങ്ക്",
	"1043": "ഐഎംപിഎസ് ഫണ്ട് കൈമാറ്റം വിജയിച്ചില്ലെങ്കിൽ",
	"1044": "അക്കൗണ്ട് ലോക്ക് ദയവായി വീണ്ടും രജിസ്റ്റർ..",
	"1045": "തെറ്റായ ലോഗിൻ പിൻ നൽകിയ വീണ്ടും നൽകുക നിലവിൽ ലോഗിൻ പിൻ",
	"1046": "ഗുണഭോക്താവിന് പരിഷ്ക്കരിക്കുന്നത് പരാജയപ്പെട്ടു വീണ്ടും ശ്രമിക്കുക.",
	"1047": "നിങ്ങളുടെ മൊബൈൽ നമ്പർ ബാങ്കിൽ രജിസ്റ്റർ ഒറ്റ പൊരുത്തപ്പെടുന്നില്ല ബാങ്ക് രജിസ്റ്റർ പോലെ മൊബൈൽ നമ്പർ ഉപയോഗിച്ച് ഉപകരണത്തിൽ നിന്നും രജിസ്റ്റർ ചെയ്യുക.",
	"1050": " ബെനിഫിഷ്യറി അക്കൗണ്ട് പൊരുത്തപ്പെടുന്നില്ല അസാധുവാണ് ",
	"1051": "ഉപയോക്തൃ ഐഡി നൽകിയ അസാധുവാണ് അല്ലെങ്കിൽ മൊബൈൽ ബാങ്കിംഗ് ആക്സസ് ഉണ്ടാകും അല്ലെങ്കിൽ അക്കൗണ്ട് ഇല്ല പൊരുത്തപ്പെടുന്നില്ല അസാധുവാണ് അല്ലെങ്കിൽ മൊബൈൽ ബാങ്കിംഗ് ആക്സസ് ഇല്ല ഇല്ല ",
},
	//combo changes
	'All Funding Account Holders' : 'മുഴുവൻ സഹായവും അക്കൗണ്ട് ഉടമകൾ ',
	'Transfer to Another Account' : 'മറ്റൊരു അക്കൗണ്ടിലേക്ക് ട്രാൻസ്ഫർ ',
	'For Self Only' : 'സ്വയംഭരണ മാത്രം ',
	No:'ഇല്ല',
	Yes:'അതെ',
	'Automatically Renew':'സ്വയം പുതുക്കും',
	AndamanandNicobar:'ആൻഡമാൻ ആൻഡ് നിക്കോബാർ',
	'Chhattisgarh':'ഛത്തീസ്ഗഢ്',
	'Andhra pradesh':'ആന്ധ്ര പ്രദേശ്',
	ArunachalPradesh:'അരുണാചൽ പ്രദേശ്',
	Assam:'അസം',
	Bihar:'ബീഹാർ',
	Chandigarh:'ഛണ്ഡിഗഢ്',
	DamanandDiu:'ദാമൻ , ദിയു',
	Delhi:'ഡൽഹി',
	DadraandNagarHaveli:'ദാദ്ര, നാഗർ ഹവേലി',
	'Goa':'ഗോവ',
	Gujarat:'ഗുജറാത്ത്',
	'Himachal Pradesh':'ഹിമാചൽ പ്രദേശ്',
	Haryana:'ഹരിയാന',
	Jharkhand:'ജാർഖണ്ഡ്',
	'Jammu &amp; Kashmir':'ജമ്മു കശ്മീർ',
	Karnataka:'കർണാടക',
	Kerala:'കേരളം',
	Lakshadweep:'ലക്ഷദ്വീപ്',
	Maharashtra:'മഹാരാഷ്ട്ര',
	Meghalaya:'മേഘാലയ',
	Manipur:'മണിപ്പൂർ',
	'Madhya Pradesh':'മധ്യപ്രദേശ്',
	Mizoram:'മിസോറം',
	Nagaland:'നാഗാലാൻഡ്',
	Odisha:'ഒഡീഷ',
	Punjab:'പഞ്ചാബ്',
	Puducherry:'പുതുച്ചേരി',
	Rajasthan:'രാജസ്ഥാൻ',
	Sikkim:'സിക്കിം',
	Telangana:'തെലുങ്കാന',
	'Tamil Nadu':'തമിഴ്നാട്',
	Tripura:'ത്രിപുര',
	Uttarakhand:'ഉത്തരാഖണ്ഡ്',
	'Uttar Pradesh':'ഉത്തർപ്രദേശ്',
	'West Bengal':'പശ്ചിമ ബംഗാൾ',
	Debit:'ഡെബിറ്റ്',
	Credit:'ക്രെഡിറ്റ്',
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'മൊബൈൽ ബാങ്കിംഗ് രജിസ്ട്രേഷൻ സ്വാഗതം',
		Line1:'നിങ്ങൾ ഈ സൗകര്യം ഉപയോഗിക്കാൻ തുടങ്ങും മുമ്പ് നിങ്ങളുടെ ഉപകരണം രജിസ്റ്റർ ചെയ്ത് നിങ്ങളുടെ മൊബൈൽ ബാങ്കിംഗ് ആധികാരികത ക്രെഡൻഷ്യലുകൾ സജ്ജമാക്കേണ്ടതുണ്ട്.',
		Line2:'ഈ ഉപകരണത്തിന്റെ മൊബൈൽ നമ്പർ ( മൾട്ടി സിം ഉപകരണങ്ങളുടെ കേസിൽ പ്രാഥമിക സിം കാർഡ് ) ബാങ്കിൽ നിങ്ങളുടെ രജിസ്റ്റർ മൊബൈൽ നമ്പർ തന്നെ ആണ് ഉറപ്പുവരുത്തുക.',
		Line3:'നിങ്ങളുടെ വ്യക്തിത്വം മുറപോലെ , നിങ്ങളുടെ നെറ്റ്ബാംങ്കിംഗ് അക്കൗണ്ട് അല്ലെങ്കിൽ നിങ്ങളുടെ ഡെബിറ്റ് കാർഡ് ഒന്നുകിൽ ആധികാരികത ക്രെഡൻഷ്യലുകൾ ആവശ്യമാണ്.',
		Line4:'രജിസ്ട്രേഷൻ ശേഷം, നിങ്ങൾ മാത്രം ഈ ഉപകരണത്തിൽ നിന്ന് മൊബൈൽ ബാങ്കിംഗ് ആക്സസ് ചെയ്യാൻ കഴിയും . ഭാവിയിലും നിങ്ങളുടെ ഉപകരണം മാറ്റാൻ നേരുന്നു സാഹചര്യത്തിൽ, നിങ്ങൾ പുതിയ ഉപകരണത്തിൽ നിന്ന് വീണ്ടും രജിസ്റ്റർ ചെയ്യണം.',
		iAgree:'ഞാൻ വെബ്സൈറ്റിൽ പരാമർശിച്ചിരിക്കുന്ന നിബന്ധനകളും വ്യവസ്ഥകളും അംഗീകരിക്കുന്നു',
	},
	registration:{
		Title1:'കസ്റ്റമർ ഐഡി അല്ലെങ്കിൽ അക്കൗണ്ട് നമ്പർ തിരഞ്ഞെടുക്കുക',
		Title2:'കസ്റ്റമർ ഐഡി',
		Title3:'അക്കൗണ്ട് നമ്പർ',
		Title4:'12 അക്ക ഉപഭോക്തൃ ഐഡി അല്ലെങ്കിൽ അക്കൗണ്ട് നമ്പർ നൽകുക',
		Title5:'ഇവിടെ നമ്പർ നൽകുക',
		Title6:'ഒരു രജിസ്ട്രേഷൻ ഓപ്ഷൻ തിരഞ്ഞെടുക്കുക ',
		Title7:'നെറ്റ്ബാംങ്കിംഗ്',
		Title8:'ഡെബിറ്റ് കാർഡ്',
	},
	ValidateMobile : {
		ValidateMobileNo:'മൂല്യനിർണ്ണയം മൊബൈൽ ഇല്ല',
	},
	registrationDebitCard:{
		Header:'ഡെബിറ്റ് കാർഡ് വിശദാംശങ്ങൾ',
		DCLabel:'ഡെബിറ്റ് കാർഡ് നമ്പർ',
		PINLabel:'പിന്',
		ExpLabel:'കാലഹരണ മാസം',
		ExpYr:'കാലഹരണ വർഷം',
	},
	debitPinSetup:{
		Header:'മൊബൈൽ ബാങ്കിംഗ് രജിസ്ട്രേഷൻ',
		CurrentLoginPin :'ഇപ്പോഴത്തെ ലോഗിൻ പിൻ',
		CurrentTransactionPin :'ഇപ്പോഴത്തെ ഇടപാട് പിന്',
		NewLoginPin:'പുതിയ ലോഗിൻ പിന്',
		NewLoginPinAlias:'പുതിയ ലോഗിൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmLoginPin:'ലോഗിൻ പിന് സ്ഥിരീകരിക്കുക',
		ConfirmLoginPinAlias:'സ്ഥിരീകരിക്കുക ലോഗ് പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		NewTransactionPin:'പുതിയ ഇടപാട് പിന്',
		NewTransactionPinAlias:'പുതിയ ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmTransactionPin:'ഇടപാട് പിന് സ്ഥിരീകരിക്കുക',
		ConfirmTransactionPinAlias:'സ്ഥിരീകരിക്കുക ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		PleaseNote : 'ദയവായി ശ്രദ്ധിക്കുക',
		NumericValue :' - നിങ്ങളുടെ പിൻ ഒരു 6 അക്ക സംഖ്യ മൂല്യം നൽകുക .' ,
		SameConsecutiveDigits:'- ഇത് 2-ൽ കൂടുതൽ തുടർച്ചയായ അക്കങ്ങൾ ഒരേ ( ഉദാ 122287 അല്ലെങ്കിൽ 186333 ) ഉണ്ടാകരുത്',
		ConsecutiveDigitsSequence:'- അതു ശ്രേണിയിലുള്ള ലധികം 2 തുടർച്ചയായ അക്കങ്ങൾ ( ഉദാ 123845 അല്ലെങ്കിൽ 987253 ) ഉണ്ടാകരുത്',
		SameGroupDigits : '- ഇത് 2 അക്കങ്ങൾ ഇതേ ഗ്രൂപ്പ് ലധികം 2 തവണ ( ഉദാ 121212 അല്ലെങ്കിൽ 989898 ) ആവർത്തിക്കുക ഉൾപ്പെടുത്താൻ കഴിയില്ല',
	},
	RegistrationCompletion :{
		Congratulations:'അഭിനന്ദനങ്ങൾ',
		SuccessfullyComplete:'നിങ്ങൾ മൊബൈൽ ബാങ്കിംഗ് രജിസ്ട്രേഷൻ പ്രക്രിയ വിജയകരമായി പൂർത്തിയാക്കി.',
		LoginLink:'നിങ്ങളുടെ മൊബൈൽ ബാങ്കിങ് സൗകര്യം ഉപയോഗിച്ച് തുടങ്ങാൻ താഴെയുള്ള ലോഗിൻ ലിങ്കില് ക്ലിക്ക് ചെയ്യുക.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'നെറ്റ് ബാങ്കിങ് ക്രെഡൻഷ്യലുകൾ',
		UserId : 'യൂസർ ഐഡി',
		Password :'പാസ്വേഡ്',	
	},
	NBPinSetup:{
		Header:'പിന് സെറ്റപ്പ്',
		NewLoginPin:'പുതിയ ലോഗിൻ പിന്',
		NewLoginPinAlias:'പുതിയ ലോഗിൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmLoginPin:'ലോഗിൻ പിന് സ്ഥിരീകരിക്കുക',
		ConfirmLoginPinAlias:'സ്ഥിരീകരിക്കുക ലോഗ് പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		NewTransactionPin:'പുതിയ ഇടപാട് പിന്',
		NewTransactionPinAlias:'പുതിയ ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmTransactionPin:'ഇടപാട് പിന് സ്ഥിരീകരിക്കുക',
		ConfirmTransactionPinAlias:'സ്ഥിരീകരിക്കുക ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		PleaseNote : 'ദയവായി ശ്രദ്ധിക്കുക',
		NumericValue :' - നിങ്ങളുടെ പിൻ ഒരു 6 അക്ക സംഖ്യ മൂല്യം നൽകുക.' ,
		SameConsecutiveDigits:'- ഇത് 2-ൽ കൂടുതൽ തുടർച്ചയായ അക്കങ്ങൾ ഒരേ ( ഉദാ 122287 അല്ലെങ്കിൽ 186333 ) ഉണ്ടാകരുത്',
		ConsecutiveDigitsSequence:'- അതു ശ്രേണിയിലുള്ള ലധികം 2 തുടർച്ചയായ അക്കങ്ങൾ ( ഉദാ 123845 അല്ലെങ്കിൽ 987253 ) ഉണ്ടാകരുത്',
		SameGroupDigits : '- ഇത് 2 അക്കങ്ങൾ ഇതേ ഗ്രൂപ്പ് ലധികം 2 തവണ ( ഉദാ 121212 അല്ലെങ്കിൽ 989898 ) ആവർത്തിക്കുക ഉൾപ്പെടുത്താൻ കഴിയില്ല',
	},
	NBRegistrationCompletion :{
		Congratulations:'അഭിനന്ദനങ്ങൾ',
		SuccessfullyComplete:'നിങ്ങൾ മൊബൈൽ ബാങ്കിംഗ് രജിസ്ട്രേഷൻ പ്രക്രിയ വിജയകരമായി പൂർത്തിയാക്കിയ.',
		LoginLink:'നിങ്ങളുടെ മൊബൈൽ ബാങ്കിങ് സൗകര്യം ഉപയോഗിച്ച് തുടങ്ങാൻ താഴെയുള്ള ലോഗിൻ ലിങ്കില് ക്ലിക്ക് ചെയ്യുക.',
	},
	ForgotPinScreen1 :{
		ResetOption :' റീസെറ്റ് ഓപ്ഷന് തിരഞ്ഞെടുക്കുക',
		Netbanking :'നെറ്റ്ബാംങ്കിംഗ്',
		DebitCard:'ഡെബിറ്റ് കാർഡ്',
	},
	ForgotPINDebitCard:{
		Title:'ഡെബിറ്റ് കാർഡ് - PIN പുനഃസജ്ജമാക്കുക',
		DebitCardNumber :'ഡെബിറ്റ് കാർഡ് നമ്പർ',
		Pin:'പിന്',
		ExpiryMonth:'കാലഹരണ മാസം',
		ExpiryYear : ' കാലഹരണ വർഷം',
	},
	ForgotPINNetbanking:{
		Title : 'പി ഞാൻ എൻ റീസെറ്റ് ചെയ്യുക - നെറ്റ് ബാങ്കിംഗ്',
		UserId :'യൂസർ ഐഡി',
		Password : 'പാസ്വേഡ്',	
	},
	DebitForgotPinSetup:{
		Title : 'പി ഞാൻ എൻ പുനഃസജ്ജമാക്കുക',
		ChangeLoginPin :'മാറ്റം ലോഗിൻ PIN',
		NewLoginPin:'പുതിയ ലോഗിൻ പിന്',
		NewLoginPinAlias:'പുതിയ ലോഗിൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmLoginPin:'ലോഗിൻ പിന് സ്ഥിരീകരിക്കുക',
		ConfirmLoginPinAlias:'സ്ഥിരീകരിക്കുക ലോഗ് പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ChangeTransactionPin :'മാറ്റുക ഇടപാട് PIN',
		NewTransactionPin:'പുതിയ ഇടപാട് പിന്',
		NewTransactionPinAlias:'പുതിയ ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmTransactionPin:'ഇടപാട് പിന് സ്ഥിരീകരിക്കുക',
		ConfirmTransactionPinAlias:'സ്ഥിരീകരിക്കുക ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		PleaseNote : 'ദയവായി ശ്രദ്ധിക്കുക',
		NumericValue :' -നിങ്ങളുടെ പിൻ ഒരു 6 അക്ക സംഖ്യ മൂല്യം നൽകുക.' ,
		SameConsecutiveDigits:'- ഇത് 2-ൽ കൂടുതൽ തുടർച്ചയായ അക്കങ്ങൾ ഒരേ ( ഉദാ 122287 അല്ലെങ്കിൽ 186333 ) ഉണ്ടാകരുത്',
		ConsecutiveDigitsSequence:'-അതു ശ്രേണിയിലുള്ള ലധികം 2 തുടർച്ചയായ അക്കങ്ങൾ ( ഉദാ 123845 അല്ലെങ്കിൽ 987253 ) ഉണ്ടാകരുത്',
		SameGroupDigits : '-ഇത് 2 അക്കങ്ങൾ ഇതേ ഗ്രൂപ്പ് ലധികം 2 തവണ ( ഉദാ 121212 അല്ലെങ്കിൽ 989898 ) ആവർത്തിക്കുക ഉൾപ്പെടുത്താൻ കഴിയില്ല',
	},
	NBForgotPinSetup:{
		Title : 'PIN പുനഃസജ്ജമാക്കുക',
		ChangeLoginPin :'മാറ്റം ലോഗിൻ PIN',
		NewLoginPin:'പുതിയ ലോഗിൻ പിന്',
		NewLoginPinAlias:'പുതിയ ലോഗിൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmLoginPin:'ലോഗിൻ പിന് സ്ഥിരീകരിക്കുക',
		ConfirmLoginPinAlias:'സ്ഥിരീകരിക്കുക ലോഗ് പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ChangeTransactionPin :'മാറ്റുക ഇടപാട് PIN',
		NewTransactionPin:'പുതിയ ഇടപാട് പിന്',
		NewTransactionPinAlias:'പുതിയ ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		ConfirmTransactionPin:'ഇടപാട് പിന് സ്ഥിരീകരിക്കുക',
		ConfirmTransactionPinAlias:'സ്ഥിരീകരിക്കുക ട്രാൻസാക്ഷൻ പിന് ( കുറഞ്ഞത് 6 അക്കം)',
		PleaseNote : 'ദയവായി ശ്രദ്ധിക്കുക',
		NumericValue :' - നിങ്ങളുടെ പിൻ ഒരു 6 അക്ക സംഖ്യ മൂല്യം നൽകുക .' ,
		SameConsecutiveDigits:'- ഇത് 2-ൽ കൂടുതൽ തുടർച്ചയായ അക്കങ്ങൾ ഒരേ ( ഉദാ 122287 അല്ലെങ്കിൽ 186333 ) ഉണ്ടാകരുത്',
		ConsecutiveDigitsSequence:'- അതു ശ്രേണിയിലുള്ള ലധികം 2 തുടർച്ചയായ അക്കങ്ങൾ ( ഉദാ 123845 അല്ലെങ്കിൽ 987253 ) ഉണ്ടാകരുത്',
		SameGroupDigits : '- ഇത് 2 അക്കങ്ങൾ ഇതേ ഗ്രൂപ്പ് ലധികം 2 തവണ ( ഉദാ 121212 അല്ലെങ്കിൽ 989898 ) ആവർത്തിക്കുക ഉൾപ്പെടുത്താൻ കഴിയില്ല',
	},
	DBForgotPINCompletion:{
		Congratulations:'അഭിനന്ദനങ്ങൾ',
		SuccessfullyComplete:'നിങ്ങളുടെ പിൻ വിജയകരമായി പുനഃസ്ഥാപിച്ചു.',
		LoginLink:'നിങ്ങളുടെ മൊബൈൽ ബാങ്കിങ് സൗകര്യം ഉപയോഗിച്ച് തുടങ്ങാൻ താഴെയുള്ള ലോഗിൻ ലിങ്കില് ക്ലിക്ക് ദയവായി.',
	},
	NBForgotPINCompletion :{
		Congratulations:'അഭിനന്ദനങ്ങൾ',
		SuccessfullyComplete:'നിങ്ങളുടെ പിൻ വിജയകരമായി പുനഃസ്ഥാപിച്ചു',
		LoginLink:'നിങ്ങളുടെ മൊബൈൽ ബാങ്കിങ് സൗകര്യം ഉപയോഗിച്ച് തുടങ്ങാൻ താഴെയുള്ള ലോഗിൻ ലിങ്കില് ക്ലിക്ക് ദയവായി.',
	},
	ReLogin:{
		Title : 'സ്വാഗതം',
		LoginLabel : 'ലോഗിൻ ചെയ്യാനുള്ള നിങ്ങളുടെ പിൻ നൽകുക',
		LoginLabelAlias:'നിങ്ങളുടെ ലോഗിൻ പിൻ നൽകുക',
		ForgotPin : 'പിന് മറന്നോ',
		Register : 'രജിസ്റ്റർ',
		Version :'പതിപ്പ്',
	},
	Menu:{
		LastLoginTime: 'അവസാനം ലോഗിൻ ചെയ്ത ൽ :',
		TermDeposite :'കാലാവധി നിക്ഷേപങ്ങൾക്ക്',
		TransactionAccounts :'ഇടപാടുകൾക്കുമെതിരേ',
		Transfers :'കൈമാറ്റങ്ങൾ',
		Services : 'സേവനങ്ങള്',
		Cards :'കാർഡുകൾ',
		Profile :'പ്രൊഫൈൽ',
		ContactUs:'ഞങ്ങളെ സമീപിക്കുക',
	},
	AccountList :{
		AvailableBalance :'ലഭ്യമായ ബാലൻസ്:',
		CashCreditAccount :'ക്യാഷ് ക്രെഡിറ്റ് അക്കൗണ്ട്',
		CurrentBalance:'ഇപ്പോഴത്തെ ബാലൻസ്:',
		LoanAccount :'ലോൺ അക്കൗണ്ട്',
		SavingAccount : 'അക്കൗണ്ട് സംരക്ഷിക്കുന്നു',
		CurrentAccount : 'കറന്റ് അക്കൌണ്ട്',
	},
	SavCurrAccDetailScreen:{
		Product :'പ്രൊഡക്ട്:',
		AvailableBalance :'ലഭ്യമായ ബാലൻസ്',
		CurrentBalance:'ഇപ്പോഴത്തെ ബാലൻസ്',
		UnclearFunds :' വ്യക്തമാക്കാത്തത് ഫണ്ട്സ്',
		FundsOnHold :'തടഞ്ഞിരിക്കുന്നു ഫണ്ട്',
		Last5Trans :'അവസാനം 5 ഇടപാടുകൾ',
		DetailStatement:'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
		TransferOwnAccount :'സ്വന്തം അക്കൗണ്ടിലേക്ക് ട്രാൻസ്ഫർ',
		TransferThirdPartyWithinBank :'ബാങ്ക് ഉള്ളിൽ മൂന്നാം കക്ഷിക്ക് ട്രാൻസ്ഫർ',
		TransferThirdPartyOtherBank:'മൂന്നാം കക്ഷി മറ്റുള്ളവ ബാങ്കിനു ട്രാൻസ്ഫർ',
		ImpsToMobile :' മൊബൈൽ, MMID വരെ ഐഎംപിഎസ്',
	},
	CashCreditDetailScreen:{
		Product :'പ്രൊഡക്ട്:',
		CreditLimit :'വായ്പാ പരിധി',
		AvailableBalance :'ലഭ്യമായ ബാലൻസ്',
		CurrentBalance:'ഇപ്പോഴത്തെ ബാലൻസ്',
		UnclearFunds :' വ്യക്തമാക്കാത്തത് ഫണ്ട്സ്',
		AvailableCredit :'ലഭ്യമായ ക്രെഡിറ്റ്',
		TotalAmountDue :'ഇക്കാരണങ്ങൾ ആകെ തുക',
		InterestRate :'പലിശ നിരക്ക്',
		Last5Trans :'അവസാനം 5 ഇടപാടുകൾ',
		DetailStatement:'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
	},
	LoanDetailScreen:{
		Product :'പ്രൊഡക്ട്:',
		CreditLimit :'വായ്പാ പരിധി',
		AvailableBalance :'ലഭ്യമായ ബാലൻസ്',
		CurrentBalance:'ഇപ്പോഴത്തെ ബാലൻസ്',
		OpeningDate :'തീയതി തുറക്കുന്നു',
		MaturityDate:'പൂർണതാ കാലാവധി',
		AvailableCredit :'ലഭ്യമായ ക്രെഡിറ്റ്',
		TotalAmountDue :'ഇക്കാരണങ്ങൾ ആകെ തുക',
		InterestRate :'പലിശ നിരക്ക്',
		Last5Trans :'അവസാനം 5 ഇടപാടുകൾ',
		DetailStatement:'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
	},
	DepositMenu:{
		ViewDeposits :'കാണുക നിക്ഷേപങ്ങൾ',
		NewRecurringDeposite :'പുതിയ സിനിമയായി',
		NewRegularIncome:'പുതിയ സ്ഥിരം വരുമാനം ഡിപ്പോസിറ്റ്',
		NewReinvestment :'ന്യൂ ഡിവിഡന്റ് ഡെപ്പോസിറ്റ്',
	},
	RegularIncomeDeposit:{
		Header:' പുതിയ സ്ഥിരം വരുമാനം ഡിപ്പോസിറ്റ്',
		Scheme :'സ്കീം',
		FromAccount :'അക്കൗണ്ടിൽ നിന്ന്',
		Amount :'തുക',
		PeriodofDeposit:'ഡെപ്പോസിറ്റ് കാലാവധി : MAXTERM ദിവസം',
		PeriodofDepositYears:'നിക്ഷേപ വർഷം കാലാവധി',
		PeriodofDepositMonths:'ഡെപ്പോസിറ്റ് മാസങ്ങൾ കാലാവധി',
		PeriodofDepositDays:'നിക്ഷേപ ഡെയ്സ് കാലാവധി',
		InterestPaymentFrequency:'പലിശ പണമടയ്ക്കല്',
		AccounttoCreditInterest:'ക്രെഡിറ്റ് പലിശ വരെ അക്കൗണ്ട്',
		MaturityInstructions:'മെച്യുരിറ്റി നിർദ്ദേശങ്ങൾ',
		'Automatically Renew':'സ്വയം പുതുക്കും',
		InterestPaymentOption:'പലിശ പെയ്മെൻറ്',
		AccountToCreditMaturityAmount:'ക്രെഡിറ്റ് കാലപൂർത്തി തുക അക്കൗണ്ട്',
		TransactionRemarks:'ഇടപാട് അഭിപ്രായപ്രകടനം',
		NomineeRequired:'നോമിനിക്ക് ആവശ്യമാണ്',
	},
	PIDConfWONom:{
		Header:'ഓപ്പൺ ഡെപ്പോസിറ്റ് - സ്ഥിരീകരണം',
		Scheme :'സ്കീം',
		FromAccount :'അക്കൗണ്ടിൽ നിന്ന്',
		Amount :'തുക',
		PeriodofDeposit:'നിക്ഷേപത്തിന്റെ കാലാവധി ',
		PeriodofDepositYears:'നിക്ഷേപ വർഷം കാലാവധി',
		PeriodofDepositMonths:'ഡെപ്പോസിറ്റ് മാസങ്ങൾ കാലാവധി',
		PeriodofDepositDays:'നിക്ഷേപ ഡെയ്സ് കാലാവധി',
		InterestPaymentOption:'പലിശ പെയ്മെൻറ്',
		AccounttoCreditInterest:'ക്രെഡിറ്റ് പലിശ വരെ അക്കൗണ്ട്',
		MaturityInstructions:'മെച്യുരിറ്റി നിർദ്ദേശങ്ങൾ',
		AccountToCreditMaturityAmount:'ക്രെഡിറ്റ് കാലപൂർത്തി തുക അക്കൗണ്ട്',
		TransactionRemarks:'ഇടപാട് അഭിപ്രായപ്രകടനം',
		NomineeRequired:'നോമിനിക്ക് ആവശ്യമാണ്',
		Narration:'ആഖാനം',
		InterestRate:'പലിശ നിരക്ക്',
		MaturityDate:' പൂർണതാ കാലാവധി',
		MaturityValue:'ഫണ്ട് മൂല്യം',
		TransactionPin:'ഇടപാട് പിന്',
	},
	PIDConfWONomSuceess:{
		Header:'സ്ഥിരം വരുമാനം നിക്ഷേപ - വിജയം',
		AccountNo :'നിങ്ങളുടെ ഡെപ്പോസിറ്റ് എ / സി നമ്പർ ആണ് ',
	},
	PIDNomineeDetails:{
		Header:'നോമിനിക്ക് വിശദാംശങ്ങൾ',
		NomineeAddressLine1:'നോമിനിക്ക് വിലാസ വരി 1',
		NomineeAddressLine2:'നോമിനിക്ക് വിലാസ വരി 2',
		NomineeAddressLine3 :'നോമിനിക്ക് വിലാസ വരി 3',
		NomineeAddressLine4 :'നോമിനിക്ക് വിലാസ വരി 4',
		NomineeAge :'നോമിനിക്ക് പ്രായം ( വർഷങ്ങളിൽ )',
	},
	PIDNomineeMinorDetails :{
		Header:'നോമിനിക്ക് വിശദാംശങ്ങൾ',
		RelationshipWithCustomer :'കസ്റ്റമർ ബന്ധം',
		DisplayNomineeName :'പ്രദർശന നോമിനിക്ക് പേര്',
		IsNomineeMinor:'നോമിനിക്ക് പ്രായപൂർത്തിയായിട്ടില്ലെന്ന്',
		NomineeisMinor:'അവകാശിക്ക് മൈനർ ആണ്',
		GuardianNameforNominee:'നോമിനിക്ക് വേണ്ടി ഗാർഡിയൻ പേര്:',
		GuardianName:'ഗാർഡിയൻ പേര്',
	},
	PIDConfWithNom:{
		Header:'ഓപ്പൺ ഡെപ്പോസിറ്റ് - സ്ഥിരീകരണം',
		Scheme :'സ്കീം',
		FromAccount :'അക്കൗണ്ടിൽ നിന്ന്',
		Amount :'തുക',
		PeriodofDeposit:'നിക്ഷേപത്തിന്റെ കാലാവധി',
		PeriodofDepositYears:'നിക്ഷേപ വർഷം കാലാവധി',
		PeriodofDepositMonths:'ഡെപ്പോസിറ്റ് മാസങ്ങൾ കാലാവധി',
		PeriodofDepositDays:'നിക്ഷേപ ഡെയ്സ് കാലാവധി',
		InterestPaymentOption:'പലിശ പെയ്മെൻറ്',
		AccounttoCreditInterest:'ക്രെഡിറ്റ് പലിശ വരെ അക്കൗണ്ട്',
		MaturityInstructions:'മെച്യുരിറ്റി നിർദ്ദേശങ്ങൾ',
		AccountToCreditMaturityAmount:'ക്രെഡിറ്റ് കാലപൂർത്തി തുക അക്കൗണ്ട്',
		TransactionRemarks:'ഇടപാട് അഭിപ്രായപ്രകടനം',
		NomineeRequired:'നോമിനിക്ക് ആവശ്യമാണ്',
		Narration:'ആഖാനം',
		InterestRate:'പലിശ നിരക്ക്',
		MaturityDate:' പൂർണതാ കാലാവധി',
		MaturityValue:'ഫണ്ട് മൂല്യം',
		TransactionPin:'ഇടപാട് പിന്',
		NomineeAddressLine1:'നോമിനിക്ക് വിലാസം 1:',
		NomineeAddressLine2:'നോമിനിക്ക് വിലാസം 2:',
		NomineeAddressLine3 :'നോമിനിക്ക് വിലാസം 3',
		NomineeAddressLine4 :'നോമിനിക്ക് വിലാസം 4:',
		NomineeAge :'നോമിനിക്ക് പ്രായം:',
		RelationshipWithCustomer :'കസ്റ്റമർ ബന്ധം :',
		DisplayNomineeName :'പ്രദർശന നോമിനിക്ക് പേര്:',
		IsNomineeMinor:'നോമിനിക്ക് പ്രായപൂർത്തിയായിട്ടില്ലെന്ന് :',
		NomineeisMinor:'അവകാശിക്ക് മൈനർ ആണ്',
		GuardianNameforNominee:'നോമിനിക്ക് വേണ്ടി ഗാർഡിയൻ പേര്:',
		GuardianName:'ഗാർഡിയൻ പേര്',
		NomineeName:'നോമിനിക്ക് പേര്',
		NominationDetails:'നോമിനേഷൻ വിശദാംശങ്ങൾ ( കാണുക ക്ലിക്കുചെയ്യുക )',
		TransactionPin:'ഇടപാട് പിന്',
		TransactionPinAlias:'നിങ്ങളുടെ ഇടപാട് പിൻ നൽകുക',
	},
	PIDConfWithNomSuccess:{
		Header:'സ്ഥിരം വരുമാനം നിക്ഷേപ - വിജയം',
		AccountNo :'നിങ്ങളുടെ ഡെപ്പോസിറ്റ് എ / സി നമ്പർ ആണ് ',
	},
	ReinvestmentDeposit:{
		Header:'ന്യൂ ഡിവിഡന്റ് ഡെപ്പോസിറ്റ്',
		Scheme :'സ്കീം',
		FromAccount :'അക്കൗണ്ടിൽ നിന്ന്',
		Amount :'തുക',
		PeriodofDeposit:'നിക്ഷേപത്തിന്റെ കാലാവധി',
		PeriodofDepositYears:'നിക്ഷേപ വർഷം കാലാവധി',
		PeriodofDepositMonths:'ഡെപ്പോസിറ്റ് മാസങ്ങൾ കാലാവധി',
		PeriodofDepositDays:'നിക്ഷേപ ഡെയ്സ് കാലാവധി',
		InterestPaymentFrequency:'പലിശ പണമടയ്ക്കല്',
		InterestPaymentOption:'പലിശ പെയ്മെൻറ്',
		AccounttoCreditInterest:'ക്രെഡിറ്റ് പലിശ വരെ അക്കൗണ്ട്',
		MaturityInstructions:'മെച്യുരിറ്റി നിർദ്ദേശങ്ങൾ',
		AccountToCreditMaturityAmount:'ക്രെഡിറ്റ് കാലപൂർത്തി തുക അക്കൗണ്ട്',
		TransactionRemarks:'ഇടപാട് അഭിപ്രായപ്രകടനം',
		NomineeRequired:'നോമിനിക്ക് ആവശ്യമാണ്',
		Narration:'ആഖാനം',
		InterestRate:'പലിശ നിരക്ക്',
		MaturityDate:'പൂർണതാ കാലാവധി',
		MaturityValue:'ഫണ്ട് മൂല്യം',
		TransactionPin:'ഇടപാട് പിന്',
		AtMaturity:'പൂർത്തിയാകുന്ന',
		RemainonDeposit:'ഡെപ്പോസിറ്റ് തുടരുന്ന',
		'Automatically Renew':'സ്വയം പുതുക്കും',
		Narrative :'ആഖ്യാനം',
	},
	ReInvstConfWONom:{
		Header:'ഓപ്പൺ ഡെപ്പോസിറ്റ് - സ്ഥിരീകരണം',
		Scheme :'സ്കീം',
		FromAccount :'അക്കൗണ്ടിൽ നിന്ന്',
		Amount :'തുക',
		PeriodofDeposit:'നിക്ഷേപത്തിന്റെ കാലാവധി ',
		PeriodofDepositYears:'നിക്ഷേപ വർഷം കാലാവധി',
		PeriodofDepositMonths:'ഡെപ്പോസിറ്റ് മാസങ്ങൾ കാലാവധി',
		PeriodofDepositDays:'നിക്ഷേപ ഡെയ്സ് കാലാവധി',
		InterestPaymentFrequency:'പലിശ പണമടയ്ക്കല്',
		InterestPaymentOption:'പലിശ പെയ്മെൻറ്',
		AccounttoCreditInterest:'ക്രെഡിറ്റ് പലിശ വരെ അക്കൗണ്ട്',
		MaturityInstructions:'മെച്യുരിറ്റി നിർദ്ദേശങ്ങൾ',
		AccountToCreditMaturityAmount:'ക്രെഡിറ്റ് കാലപൂർത്തി തുക അക്കൗണ്ട്',
		TransactionRemarks:'ഇടപാട് അഭിപ്രായപ്രകടനം',
		NomineeRequired:'നോമിനിക്ക് ആവശ്യമാണ്',
		Narration:'ആഖാനം',
		InterestRate:'പലിശ നിരക്ക്',
		MaturityDate:' പൂർണതാ കാലാവധി',
		MaturityValue:'ഫണ്ട് മൂല്യം',
		TransactionPin:'ഇടപാട് പിന്',
		AtMaturity:'പൂർത്തിയാകുന്ന',
		RemainonDeposit:'ഡെപ്പോസിറ്റ് തുടരുന്ന',
		'Automatically Renew':'സ്വയം പുതുക്കും',
		Narrative :'ആഖ്യാനം',
		TransactionPin:'ഇടപാട് പിന്',
		TransactionPinAlias:'നിങ്ങളുടെ ഇടപാട് പിൻ നൽകുക',
	},
	ReInvstWONomSuccess :{
		Header: 'ന്യൂ ഡിവിഡന്റ് ഡിപ്പോസിറ്റ് - വിജയം',
		AccountNo :'നിങ്ങളുടെ ഡെപ്പോസിറ്റ് എ / സി നമ്പർ ആണ്',	
	},
	RINomineeDetails :{
		Header:'നോമിനിക്ക് വിശദാംശങ്ങൾ',
		NomineeName: "നോമിനിക്ക് പേര്",
		Name:'പേര്',
		NomineeAddressLine1:'നോമിനിക്ക് വിലാസ വരി 1',
		AddressLine1 :'വിലാസ ലൈൻ 1',
		NomineeAddressLine2:'നോമിനിക്ക് വിലാസ വരി 2',
		AddressLine2 :'വിലാസ ലൈൻ 2',
		NomineeAddressLine3 :'നോമിനിക്ക് വിലാസ വരി 3',
		AddressLine3 :'വിലാസ ലൈൻ 3',
		NomineeAddressLine4 :'നോമിനിക്ക് വിലാസ വരി 4',
		AddressLine4 :'വിലാസ ലൈൻ 4',
		NomineeAge :'നോമിനിക്ക് പ്രായം ( വർഷങ്ങളിൽ )',
		Age:'പ്രായം',
	},
	RINomineeMinorDetails:{
		Header:' നോമിനിക്ക് വിശദാംശങ്ങൾ',
		NomineeAge :'നോമിനിക്ക് പ്രായം:',
		RelationshipWithCustomer :'കസ്റ്റമർ ബന്ധം:',
		DisplayNomineeName :'പ്രദർശന നോമിനിക്ക് പേര്:',
		IsNomineeMinor:'നോമിനിക്ക് പ്രായപൂർത്തിയായിട്ടില്ലെന്ന്:',
		NomineeisMinor:'അവകാശിക്ക് മൈനർ ആണ്',
		GuardianNameforNominee:'നോമിനിക്ക് വേണ്ടി ഗാർഡിയൻ പേര്:',
		GuardianName:'ഗാർഡിയൻ',
		NomineeName:'നോമിനിക്ക് പേര്',
		NominationDetails:'നോമിനേഷൻ വിശദാംശങ്ങൾ ( കാണുക ക്ലിക്കുചെയ്യുക )',
		TransactionPin:'ഇടപാട് പിന്',
		TransactionPinAlias:'നിങ്ങളുടെ ഇടപാട് പിൻ നൽകുക',
	},
	NomineeMaturityDetails:{
		Header:'ഓപ്പൺ ഡെപ്പോസിറ്റ് - സ്ഥിരീകരണം',
		Scheme :'സ്കീം',
		FromAccount :'അക്കൗണ്ടിൽ നിന്ന്',
		Amount :'തുക',
		PeriodofDeposit:'നിക്ഷേപത്തിന്റെ കാലാവധി',
		PeriodofDepositYears:'നിക്ഷേപ വർഷം കാലാവധി',
		PeriodofDepositMonths:'ഡെപ്പോസിറ്റ് മാസങ്ങൾ കാലാവധി',
		PeriodofDepositDays:'നിക്ഷേപ ഡെയ്സ് കാലാവധി',
		InterestPaymentFrequency:'പലിശ പണമടയ്ക്കല്',
		InterestPaymentOption:'പലിശ പെയ്മെൻറ്',
		AccounttoCreditInterest:'ക്രെഡിറ്റ് പലിശ വരെ അക്കൗണ്ട്',
		MaturityInstructions:'മെച്യുരിറ്റി നിർദ്ദേശങ്ങൾ',
		AccountToCreditMaturityAmount:'ക്രെഡിറ്റ് കാലപൂർത്തി തുക അക്കൗണ്ട്',
		TransactionRemarks:'ഇടപാട് അഭിപ്രായപ്രകടനം',
		NomineeDetails:' നോമിനിക്ക് വിശദാംശങ്ങൾ',
		NomineeRequired:'നോമിനിക്ക് ആവശ്യമാണ്',
		NomineeName:'നോമിനിക്ക് പേര്',
		Name:'പേര്',
		RelationshipWithCustomer :'കസ്റ്റമർ ബന്ധം :',
		DisplayNomineeName :'പ്രദർശന നോമിനിക്ക് പേര് :',
		IsNomineeMinor:'നോമിനിക്ക് പ്രായപൂർത്തിയായിട്ടില്ലെന്ന് :',
		NomineeisMinor:'അവകാശിക്ക് മൈനർ ആണ്',
		GuardianNameforNominee:'നോമിനിക്ക് വേണ്ടി ഗാർഡിയൻ പേര്:',
		GuardianName:'ഗാർഡിയൻ',
		NominationDetails:'നോമിനേഷൻ വിശദാംശങ്ങൾ ( കാണുക ക്ലിക്കുചെയ്യുക )',
		NomineeAddressLine1:'നോമിനിക്ക് വിലാസ വരി 1',
		AddressLine1 :'വിലാസ ലൈൻ 1',
		NomineeAddress1:'നോമിനിക്ക് വിലാസം 1:',
		NomineeAddressLine2:'നോമിനിക്ക് വിലാസ വരി 2',
		AddressLine2 :'വിലാസം വരി 2',
		NomineeAddress2:'നോമിനിക്ക് വിലാസം 2:',
		NomineeAddressLine3 :'നോമിനിക്ക് വിലാസ വരി 3',
		NomineeAddress3 :'നോമിനിക്ക് വിലാസം 3:',
		AddressLine3 :'വിലാസം ലൈൻ 3',
		NomineeAddressLine4 :'നോമിനിക്ക് വിലാസ വരി 4',
		AddressLine4 :'വിലാസം ലൈൻ 4',
		NomineeAddress4 :'നോമിനിക്ക് വിലാസം 4:',
		NomineeAge :'നോമിനിക്ക് പ്രായം ',
		NomineeAgeInYears :'നോമിനിക്ക് പ്രായം ( വർഷങ്ങളിൽ )',
		Age:'പ്രായം',
		Narration:'ആഖാനം',
		InterestRate:'പലിശ നിരക്ക്',
		MaturityDate:' പൂർണതാ കാലാവധി',
		MaturityValue:'ഫണ്ട് മൂല്യം',
		TransactionPin:'ഇടപാട് പിന്',
		AtMaturity:'പൂർത്തിയാകുന്ന',
		RemainonDeposit:'ഡെപ്പോസിറ്റ് തുടരുന്ന',
		'Automatically Renew':'സ്വയം പുതുക്കും',
		Narrative :'ആഖ്യാനം',
		TransactionPinAlias:'നിങ്ങളുടെ ഇടപാട് പിൻ നൽകുക',
		NextInstalmentDate:'അടുത്ത ഗഡു തിയതി',
	},
	RIConfWithNomSuccess :{
		Header: 'ന്യൂ ഡിവിഡന്റ് ഡിപ്പോസിറ്റ് - വിജയം',
		AccountNo :'നിങ്ങളുടെ ഡെപ്പോസിറ്റ് എ / സി നമ്പർ ആണ്',	
	},
	NewRecurringDeposit :{
		Header: 'പുതിയ സിനിമയായി',
		InterestRateLink: 'കാണുക പലിശ നിരക്ക്',
		RecurringDepositFrequency :'സിനിമയായി ഫ്രീക്വൻസി',	
		PreferredDateForInstallment :'ഗഡു ഡെബിറ്റ് വേണ്ടി താൽപ്പര്യമുള്ള തീയതി',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'സിനിമയായി ഫ്രീക്വൻസി',
		Monthly :'പ്രതിമാസം',
		InstallmentDebitDay :'ഗഡു ഡെബിറ്റ് ദിനം',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'സിനിമയായി ഫ്രീക്വൻസി',
		Monthly :'പ്രതിമാസം',
		InstallmentDebitDay :'ഗഡു ഡെബിറ്റ് ദിനം',
	},
	NRDConfWONomSuccess :{
		Header: 'ന്യൂ ഡിപ്പോസിറ്റ് - വിജയം',
		AccountNo :'നിങ്ങളുടെ ഡെപ്പോസിറ്റ് എ / സി നമ്പർ ആണ്',	
	},
	NRDConfWithNomSuccess :{
		Header: 'ന്യൂ ഡിപ്പോസിറ്റ് - വിജയം',
		AccountNo :'നിങ്ങളുടെ ഡെപ്പോസിറ്റ് എ / സി നമ്പർ ആണ്',	
	},
	DepositList:{
		RecurringDeposits: 'ആവർത്തിക്കുന്നു നിക്ഷേപങ്ങൾ',
		InstallmentAmount: 'ഗഡു തുക:',
		DepositAmount:'നിക്ഷേപ തുക:',
		ReinvestmentDeposits :'ഡിവിഡന്റ് നിക്ഷേപങ്ങൾ',
		RegularIncomeDeposits:'സ്ഥിരം വരുമാനം നിക്ഷേപങ്ങൾ',
	},
	RDDetailScreen :{
		Product:'പ്രൊഡക്ട്',
		InstallmentAmount:'ഗഡു തുക',
		CurrentBalance :'ഇപ്പോഴത്തെ ബാലൻസ്',
		OpeningDate :'തീയതി തുറക്കുന്നു',
		MaturityAmount:'മെച്യുരിറ്റി തുക',
		Last5Trans :'അവസാനം 5 ഇടപാടുകൾ',
		DetailStatement :'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
		CloseAccount :'അടയ്ക്കുക അക്കൗണ്ട്',
	},
	ReInvtDetailScreen :{
		Product:'പ്രൊഡക്ട്',
		InstallmentAmount:'ഗഡു തുക',
		CurrentBalance :'ഇപ്പോഴത്തെ ബാലൻസ്',
		OpeningDate :'തീയതി തുറക്കുന്നു',
		MaturityAmount:'മെച്യുരിറ്റി തുക',
		Last5Trans :'അവസാനം 5 ഇടപാടുകൾ',
		DetailStatement :'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
		CloseAccount :'അടയ്ക്കുക അക്കൗണ്ട്',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
		SelectAccount:'അക്കൗണ്ട് തിരഞ്ഞെടുക്കുക',
		FromDate:'ഈ തീയതി മുതൽ',
		ToDate:'തീയതി',
	},
	DetailDepositStatement :{
		AccountNo :'അക്കൗണ്ട് നമ്പർ',
		Narration :'ആഖാനം',
	},
	CloseDepositReq :{
		CloseDeposit :'അടയ്ക്കുക ഡെപ്പോസിറ്റ്',
		SelectFDAccount:'എഫ് ഡി അക്കൗണ്ട് തിരഞ്ഞെടുക്കുക',
		SelectFundTransferAccount:'ഫണ്ട് ട്രാൻസ്ഫർ അക്കൗണ്ട് തിരഞ്ഞെടുക്കുക',
		Narrative:'ആഖ്യാനം',
	},
	CloseDepositConfirmation :{
		Header:'അടയ്ക്കുക ഡെപ്പോസിറ്റ് - സ്ഥിരീകരണം',
		RedemptionAmount:'റിഡംപ്ഷൻ തുക',
		PenaltyAmount:'പെനാൽറ്റി തുക',
		FDAccount:'എഫ് ഡി അക്കൗണ്ട്',
		ToAccount:'അക്കൗണ്ടിലേക്ക്',
		Narration :'ആഖാനം',
	},
	CloseDepositSuccess:{
		Header :'അടയ്ക്കുക ഡെപ്പോസിറ്റ് - വിജയം',
		DepositclosureSuccessful:'നിക്ഷേപ അടച്ചിരിക്കുന്നു വിജയകരം',
	},
	TransferMenu:{
		ManageBeneficiaries:'ഗുണഭോക്താക്കൾ നിയന്ത്രിക്കുക',	
		TransferBetweenOwnAccounts :'സ്വന്തം അക്കൗണ്ടുകൾ തമ്മിലുള്ള ട്രാൻസ്ഫർ',
		TransferThirdPartyWithinBank:'ബാങ്ക് ഉള്ളിൽ മൂന്നാം കക്ഷിക്ക് ട്രാൻസ്ഫർ',
		TransferDifferentBank :'മൂന്നാം കക്ഷി മറ്റുള്ളവ ബാങ്ക് ട്രാൻസ്ഫർ',
		ImmediatePaymentService:'ഉടനടിയുള്ള പെയ്മെന്റ് സര്വീസ് ( ഐഎംപിഎസ്)'
	},
	IMPSMenu:{
		GenerateMMID:'ജനറേറ്റുചെയ്യൂ / എം എം ഞാൻ ഡി വീണ്ടെടുക്കുക',
		CancelMMID :'എം എം ഞാൻ ഡി റദ്ദാക്കുക',
		TransferMMID :'എം എം ഞാൻ ഡി ഉപയോഗിച്ച് ട്രാൻസ്ഫർ',
	},
	GenerateMMID:{
		Account : 'അക്കൗണ്ട്',
		MobileNo:'മൊബൈൽ ഇല്ല.',
	},
	GenerateMMIDConf:{
		Header:'സൃഷ്ടിക്കുക / വീണ്ടെടുക്കുക MMID - സ്ഥിരീകരണം',
		MMIDText :'എം എം ഞാൻ ഡി ( മൊബൈൽ മണി ഐഡന്റിഫയർ ) ഐഎംപിഎസ് P2P ട്രാൻസ്ഫർ തരം വഴി നിങ്ങളുടെ അക്കൗണ്ടിലേക്ക് ഫണ്ട് സ്വീകരിക്കുന്നതിനായി നിർമ്മിക്കപ്പെടും ആവശ്യമാണ് ഒരു സമയം കോഡ് ആണ് .'
	},
	GenerateMMIDSucc :{
		Header:'ജനറേറ്റുചെയ്യൂ / എം എം ഞാൻ ഡി വീണ്ടെടുക്കുക - വിജയം',
		MMID :'എം എം ഞാൻ ഡി',
		linkAccount :'അക്കൗണ്ടിലേക്ക് ലിങ്ക് ചെയ്തു',
	},
	CancelMMIDConf:{
		Header :'എം എം ഞാൻ ഡി റദ്ദാക്കുക - സ്ഥിരീകരണം',
		CancelMMIDText :'നിങ്ങൾ എം എം ഞാൻ ഡി റദ്ദാക്കിയ ശേഷം എം എം ഞാൻ ഡി മുഖേന ഈ അക്കൗണ്ടിലേക്ക് പണം സ്വീകരിക്കാൻ സാധ്യമാകുകയില്ല',
		GenerateMMIDText :"ഈ അക്കൗണ്ട് എം എം ഞാൻ ഡി യും ഉണ്ടാക്കുന്നതിനു് സൃഷ്ടിക്കുന്നു GOTO ദയവായി / എം എം ഞാൻ ഡി വീണ്ടെടുക്കുക",
		MultipleMMIDText :'ഒന്നിലധികം എം എം ഞാൻ ഡിങ്ങള് ഒരേ അക്കൗണ്ട് നമ്പർ വേണ്ടി ഉണ്ടാകുന്നതല്ല കഴിയില്ല',
	},
	CancelMMIDSucc :{
		Header:'എം എം ഞാൻ ഡി റദ്ദാക്കുക - വിജയം',
		MMIDLinkText:'എം എം ഞാൻ ഡി അക്കൗണ്ടുമായി ലിങ്ക്',
		CancelText:'റദ്ദാക്കി',
	},
	IMPSP2P :{
		Header :'ബെനിഫിഷ്യറി മൊബൈൽ ഇല്ല ആൻഡ് എം എം ഞാൻ ഡി ഫണ്ട് ട്രാൻസ്ഫർ',
		BeneficiaryMobileNo:'ബെനിഫിഷ്യറി മൊബൈൽ ഇല്ല',
		BeneficiaryMMID:'ബെനിഫിഷ്യറി എം എം ഞാൻ ഡി',
		Remarks:'അഭിപ്രായപ്രകടനം',
	},
	IMPSP2PConf :{
		Header :'ഐഎംപിഎസ് പി 2 പി - പി ഞാൻ എൻ പരിശോധന',
		SecretQuestion :'രഹസ്യ ചോദ്യം',
	},
	IMPSP2PSucc :{
		Header :'ഫണ്ട് ട്രാൻസ്ഫർ - വിജയം',
		ReferenceNumber :'നിങ്ങളുടെ റഫറൻസ് നമ്പർ ആണ്',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'ബാങ്ക് ഉള്ളിൽ ബെനിഫിഷ്യറി ചേർക്കുക',
		AddBeneficiaryDifferentBank :'ബെനിഫിഷ്യറി വ്യത്യസ്ത ബാങ്ക് ചേർക്കുക',
		ViewBeneficiaryWithinBank:' കാണുക / ബാങ്ക് ഉള്ളിൽ ബെനിഫിഷ്യറി പരിഷ്ക്കരിക്കുക',
		ViewBeneficiaryOtherBank:' കാണുക / ബെനിഫിഷ്യറി മറ്റുള്ളവ ബാങ്ക് പരിഷ്ക്കരിക്കുക',
	},
	AddBeneWithinBank :{
		Header :'പുതിയ ബെനിഫിഷ്യറി ചേർക്കുക - ബാങ്ക് ഉള്ളിൽ',
		BeneficiaryName:'ബെനിഫിഷ്യറി പേര്',
		NickName :'മണാലി',
		FundTransferLimit:'ഫണ്ട് ട്രാൻസ്ഫർ പരിധി',
		LimitMax:'പരിധി ( പരമാവധി',
		AccountNo :'അക്കൗണ്ട് നമ്പർ',
		ConfirmAccountNo:'അക്കൗണ്ട് നമ്പര് സ്ഥിരീകരിക്കുക',
	},
	AddBeneWithinBankConf:{
		Header :'ബെനിഫിഷ്യറി ചേർക്കുക - സ്ഥിരീകരണം',
		AccountNameText :'ബാങ്ക് രേഖകള് പ്രകാരം അക്കൗണ്ട് പേര്',
		Limit : 'പരിധി',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'വിജയിച്ചു - പുതിയ ബെനിഫിഷ്യറി ചേർക്കുക',
		BeneficiaryAddedLine1:'നിങ്ങളുടെ പുതിയ ഗുണഭോക്താവ് ചേർത്തു ശേഷവും സജീവമാക്കും',
		BeneficiaryAddedLine2:'നിങ്ങൾ ഫണ്ട് ട്രാൻസ്ഫർ അത് ഉപയോഗിക്കാൻ കഴിയുന്ന ശേഷം മണിക്കൂർ . നിങ്ങൾ കാണുക ഗുണഭോക്താക്കൾ പേജിൽ ഗുണഭോക്താവ് സ്റ്റാറ്റസ് പരിശോധിക്കാൻ കഴിയും',
	},
	AddBeneInterBank :{
		Header :'വ്യത്യസ്ത ബാങ്ക് - പുതിയ ബെനിഫിഷ്യറി ചേർക്കുക',
		EmailId:'ഇമെയിൽ ഐഡി',
		Address:'വിലാസം',
		State :'സ്റ്റേറ്റ്',
		City :'സിറ്റി / ജില്ലാ',
		Pincode:'പിൻ കോഡ്',
	},
	AddBeneInterBankConf :{
		Header : 'ബെനിഫിഷ്യറി ചേർക്കുക - സ്ഥിരീകരണം',
		IFSC :'ഞാൻ സെ സി',
		BankName:'ബാങ്ക് പേര്',
		BranchName:'ബ്രാഞ്ച് പേര്',
		Branch :'ബ്രാഞ്ച്',
		Email:'ഇമെയിൽ',
		City:'സിറ്റി',
		Phone : 'ഫോൺ',
		Bank :'ബാങ്ക്',
		BankBranch :'ബാങ്ക് ശാഖ',
	},
	AddBeneInterBankConfSuccess :{
		Header :'വിജയിച്ചു - പുതിയ ബെനിഫിഷ്യറി ചേർക്കുക',
	},
	SearchIFSC :{
		Header :'ഞാൻ സെ സി കോഡ് നേടുകയും ഒരു മോഡ് തിരഞ്ഞെടുക്കുക',
		IFSCcode:'ഞാൻ സെ സി കോഡ്',
		BankCodeCity :'ബാങ്ക് കോഡ് സിറ്റി',
	},
	IFSCByCode:{
		EnterIFSCcode : 'ഞാൻ സെ സി കോഡ് നൽകുക'
	},
	IFSCByBankCity :{
		BankCode:'ബാങ്ക് കോഡ്',
	},
	IFSCBankList :{
		IFSCList:'ഞാൻ സെ സി പട്ടിക',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'സജീവ ഗുണഭോക്താക്കൾ',
		PendingBeneficiaries:'തീർച്ചപ്പെടുത്തിയിട്ടില്ലാത്ത ഗുണഭോക്താക്കൾ',
	},
	IntraBankBenDetailActive:{	
		Status: 'അവസ്ഥ',
		Active :'സജീവ',
		ModifyBeneficiary:'ബെനിഫിഷ്യറി പരിഷ്ക്കരിക്കുക',
		DeleteBeneficiary:'ബെനിഫിഷ്യറി ഇല്ലാതാക്കുക',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'തീർച്ചപ്പെടുത്തിയിട്ടില്ല ആക്റ്റിവേഷൻ',
	},
	ModifyBenWithinSuccess:{
		Header :'ബെനിഫിഷ്യറി പരിഷ്ക്കരിക്കുക - വിജയം',
		BeneficiarySuccessText :'ബെനിഫിഷ്യറി വിജയകരമായി പരിഷ്ക്കരിച്ചു',
	},
	DeleteBenWithinConf :{
		Header : 'ബെനിഫിഷ്യറി ഇല്ലാതാക്കുക - സ്ഥിരീകരണം',
	},
	DeleteBenWithinSuccess :{
		Header :'ബെനിഫിഷ്യറി ഇല്ലാതാക്കുക - വിജയം',
		BeneficiaryDeletedText:'ബെനിഫിഷ്യറി വിജയകരമായി ഇല്ലാതാക്കി',
	},
	ModifyBenInter:{
		BeneficiaryBank:'ബെനിഫിഷ്യറി ബാങ്ക്',
		BeneficiaryBankBranch:'ബെനിഫിഷ്യറി ബാങ്ക് ബ്രാഞ്ച്',
	},
	ProfileMenu:{
		MyProfile:'എന്റെ പ്രൊഫൈൽ',
		ChangeLoginPin:'മാറ്റം ലോഗിൻ PIN',
		ChangeTransactionPin :'മാറ്റുക ഇടപാട് PIN',
	},
	MyProfile:{
		CustomerProfile:'കസ്റ്റമർ പ്രൊഫൈൽ',
		Name :'പേര്',
		Mobile : 'മൊബൈൽ',
		Email :'ഇമെയിൽ',
		Address : 'വിലാസം',
		City :'സിറ്റി',
		State :'സ്റ്റേറ്റ്',
		Country :'രാജ്യം',
		Zip :'സിപ്പ്',
	},
	ChangeMPINConfirm :{
		Header :'ലോഗ് പിന് - വിജയം',
		LoginPinChangedText:'ലോഗ് പിൻ വിജയകരമായി മാറ്റിയിരിക്കുന്നു . ദയവായി വീണ്ടും.'
	},
	ChangeTPINConfirm :{
		Header :'ഇടപാട് പിന് - വിജയം',
		TransactionPinChangedText:'ഇടപാട് പിൻ മാറ്റി.'
	},
	ServicesMenu:{
		ChequeBookRequest:'ചെക്ക് ഗ്രന്ഥം അഭ്യർത്ഥന',
		ChequeStatusInquiry :'ചെക്ക് അവസ്ഥ അന്വേഷണ',
		StopCheque :'നിർത്തുക ചെക്ക്',
		Account :'അക്കൗണ്ട്'
	},
	CBRConfirmation :{
		Header:'ചെക്ക് ബുക്ക് അഭ്യർത്ഥന - സ്ഥിരീകരണം',
		ChequeBookConfirmText :'ചെക്ക് ഗ്രന്ഥം അക്കൗണ്ടിന് അഭ്യർത്ഥിച്ചു ചെയ്യും',
		ChequeBookLine1 :'ബാധകമായ പോലെ നിരക്കുകൾ നിങ്ങളുടെ അക്കൗണ്ടിൽ ചുമത്തുന്ന ചെയ്യും . ചുമത്തി വിശദാംശങ്ങൾക്ക് , ESAF വെബ്സൈറ്റിൽ ഈടാക്കുന്നത് വിഭാഗം സന്ദർശിക്കുക',
		ChequeBookLine2 :' ചെക്ക് പുസ്തകം " style =" ഉപയോഗിക്കുക - എല്ലാം -വീതിയുള്ള mwtDisclaimer 7 പ്രവര്ത്തി ദിവസത്തിനുള്ളിൽ നിങ്ങളുടെ രജിസ്റ്റർ മെയിലിംഗ് വിലാസം കൈമാറും' 
	},
	CBRSuccess :{
		Header :'ചെക്ക് ഗ്രന്ഥം അഭ്യർത്ഥന - വിജയം',
		RequestAccepted :'ചെക്ക് പുസ്തകം നിങ്ങളുടെ അഭ്യർത്ഥന സ്വീകരിച്ചു ചെയ്തു',
	},
	CheckChqStatus:{
		ChequeStatus:'ചെക്ക് അവസ്ഥ',
		ChequeNo:'ഇല്ല ചെക്ക്',
		StartChequeNo:'ചെക്ക് പോസ്റ്റ് ആരംഭിക്കുക',
		EndChequeNo:'അവസാനിപ്പിക്കുക ചെക്ക് ഇല്ല',
		Status : 'അവസ്ഥ',
		Reason:'കാരണം',
	},
	StopChqConfirmation :{
		Header : 'ചെക്ക് നിർത്തുക - സ്ഥിരീകരണം',
		Type :'ഇനം',
	},
	StopChqResponse :{
		Header : ' നിർത്തുക ചെക്ക് - വിജയം ',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'വിശദമായ സ്റ്റേറ്റ്മെന്റ്',
		AccountNo :'അക്കൗണ്ട് നമ്പർ',
		FromDate :'ഈ തീയതി മുതൽ',
		ToDate :'തീയതി',
	},
	DetailAccountStatement :{
			Balance :'ബാലൻസ്',
	},
	FT2OwnAccount:{
		Header :'സ്വന്തം അക്കൗണ്ടിലേക്ക് ഫണ്ട് ട്രാൻസ്ഫർ',
		ToAccount : 'അക്കൗണ്ടിലേക്ക്',
		Amount : 'തുക',
	},
	FTConfirmation :{
		Header : 'ഫണ്ട് ട്രാൻസ്ഫർ - സ്ഥിരീകരണം',
	},
	FTSuccess :{
		Header :'ഫണ്ട് ട്രാൻസ്ഫർ - വിജയം',
		ReferenceNumber : 'നിങ്ങളുടെ റഫറൻസ് നമ്പർ ആണ്',
	},
	FT2OwnBeneficiary:{	
		Header :'ബാങ്ക് -ൽ മൂന്നാം കക്ഷിക്ക് ഫണ്ട് ട്രാൻസ്ഫർ',
		Beneficiary :'പയോജകന്',
	},
	FTConfirmBeneficary :{
		Header :'ഫണ്ട് ട്രാൻസ്ഫർ - സ്ഥിരീകരണം',
		BeneficiaryName :'ബെനിഫിഷ്യറി പേര്',
		BeneficiaryNickName:'ബെനിഫിഷ്യറി മണാലി',
		BeneficiaryAccount:'ബെനിഫിഷ്യറി അക്കൗണ്ട്',
	},
	FT2InterBankBen :{
		Header :' വ്യത്യസ്ത ബാങ്കിലെ മൂന്നാം കക്ഷിക്ക് ഫണ്ട് ട്രാൻസ്ഫർ',
		TransactionType :'ഇടപാട് തരം',
		TotalCharges :'ആകെ ഈടാക്കുന്നത് ( വാടക . നികുതി )',
	},
	ContactUs :{
		Header : 'ഞങ്ങളെ സമീപിക്കുക',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'ഫോൺ',
		Email :'ഇ - മെയിൽ',
		Website :'വെബ്സൈറ്റ്',
	},	
	CardList:{
		Header :'കാർഡുകൾ',
	},
	CardDetailScreen :{
		LinkedAccountNo :'ലിങ്ക്ഡ് അക്കൗണ്ട് നമ്പർ',
		ExpiryDate :'കാലഹരണപ്പെടുന്ന തീയതി',
		AvailableBalance:'ലഭ്യമായ ബാലൻസ്',
		HotlistCard:'ഹോട്ട് പട്ടിക കാർഡ്',
	},
	HotListCardConf:{
		Header :'ഹോട്ട് പട്ടിക കാർഡ് - സ്ഥിരീകരണം',
		CardNo:'കാർഡ് നമ്പർ',
	},
	HotListCardSuccess:{
		Header :' ഹോട്ട് പട്ടിക കാർഡ് - വിജയം',
		SuccessText:'കാർഡ് ഹോട്ട് വിജയകരമായി ലിസ്റ്റ്',
	},
	MiniStatement:{
		Credit :'ക്രെഡിറ്റ്',
		Debit :'ഡെബിറ്റ്',
	},
	Settings:{
		Header:'ഭാഷ',
	},
	Language:{
		Header:'ഭാഷ മാറ്റുക',
		Label:'ഭാഷ മാറ്റുക',
		Settings:'ക്രമീകരണങ്ങൾ',
	},
	LanguageSuccess :{
		Header:'നിങ്ങളുടെ ഭാഷ മാറ്റി',
	},
	progressInfo:{
		ValidatinMobileProgress:'വാലിഡേറ്റുചെയ്യുന്നു . കാത്തിരിക്കൂ...',
		Registering:'രജിസ്റ്റർ ചെയ്യുന്നു . കാത്തിരിക്കൂ...',
		PleaseWait:'കാത്തിരിക്കൂ...',
	},
	getBranchDetail :{
		selectCity:'നഗരം തിരഞ്ഞെടുക്കുക',
		selectState:'സംസ്ഥാനം തിരഞ്ഞെടുക്കൂ',
		map:'ഭൂപടം',
		showList:'ബ്രാഞ്ച് ലിസ്റ്റ്',
		Navigation:'നാവിഗേഷൻ',
		BranchLocator:'ബ്രാഞ്ച് ലൊക്കേറ്റർ',
		getDirections:'ദിശ ലഭിക്കുക',
		ContactNumber:'കോൺടാക്റ്റ് നമ്പർ',
		ContactPerson:'സമ്പർക്ക വ്യക്തി',
		branchLocations:'ബ്രാഞ്ച് ലൊക്കേഷനുകൾ',
	},
	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook സുരക്ഷാ PIN ചേർക്കുക',
		SecurityPIN :'സുരക്ഷാ PIN',
		ConfirmSecurityPIN:'സുരക്ഷാ PIN സ്ഥിരീകരിക്കുക',
	},
	activateMPBsuccess:{
		title:'mPassbook സേവനം വിജയകരമായി സജീവമാക്കി. ലോഗിൻ സ്ക്രീൻ പരിശോധിക്കുക.',
	},
	mPBLogin:{
		title:'mPassbook സ്വാഗതം'
	},
	mPBMenu:{
		Accounts:'അക്കൗണ്ടുകൾ',
		activateMPB:'mPassbook വേണ്ടി അക്കൗണ്ട് സജീവമാക്കുക',
		download:'ഇറക്കുമതി',
	},
	mPBAccountList:{
		title:'ഒരു അക്കൗണ്ടും mPassbook സജീവമാക്കും'
	},
	mPBEnableAccount:{
		title:'അക്കൗണ്ട് സജീവമാക്കുക'	
	},
	mPBSettings:{
		title:'mPassbook ക്രമീകരണങ്ങൾ',
		records:'പേജിലും റെക്കോർഡുകൾ എണ്ണം',
	},
	mPBDownload:{
		title:'ഇറക്കുമതി സ്റ്റേറ്റ്മെന്റ്',
		SelectCategory:'വിഭാഗം തിരഞ്ഞെടുക്കൂ',
		Month:'മാസം',
		Year:'വര്ഷം',
	},
	mStatement:{
		Search:'തിരയൽ',
		Date:'തീയതി',
		Particulars:'വിശദാംശങ്ങൾ',
		Withdrawal :'പിൻവലിക്കൽ',
		Deposit:'നിക്ഷേപം',
		Balance:'ബാക്കി',
		Notes:'കുറിപ്പുകൾ',
		Remarks:'പരാമർശത്തെ',
		Category:'വർഗ്ഗം',
	},
	addNotesForPassbook:{
		title:'കുറിപ്പുകൾ ചേർക്കാൻ',
	},

	Remarks:'പരാമർശത്തെ',
	Category:'വർഗ്ഗം',
	/*
	Hindi:'ഹിന്ദി',
	English:'ഇംഗ്ലീഷ്',
	Marathi:'മറാത്തി',
	Bengali:'ബംഗാളി',
	Gujrati:'ഗുജറാത്തി',
	Kannada:'കന്നഡ',
	Malayalam:'ബസിൽ',
	Tamil:'തമിഴ്',
	Telagu:'തെലുങ്ക്',
	Urdu:'ഉർദു',
	Punjabi:'പഞ്ചാബി',
	*/

	DCSecQuestions:{
		Title:'സുരക്ഷാ ചോദ്യങ്ങള്',
		Question: 'രഹസ്യ ചോദ്യം തിരഞ്ഞെടുക്കുക ',
		Answer:'രഹസ്യ ഉത്തരം ',
	},

	ChangeSecQuestions:{
		Title:'സുരക്ഷാ മാറ്റുക ചോദ്യങ്ങൾ',
	},
	ChangeSecQuestionsSuccess:{
		Title:'സെക്യൂരിറ്റി മാറ്റുക ചോദ്യങ്ങൾ - വിജയം',
		Status:'നിങ്ങൾ വിജയകരമായി രഹസ്യ ചോദ്യങ്ങൾ അവരുടെ ഉത്തരങ്ങൾ അപ്ഡേറ്റ് ചെയ്തിരിക്കുന്നു.',
	}
};

//Tamil
var translations_tam = {
	common:{
 	info:'தகவல்',
	exitApp : ' ESAF வங்கி மொபைல் வங்கி பயன்படுத்தி நன்றி . நீங்கள் பயன்பாடு வெளியேற வேண்டுமா ? ' ,
 	mobileValidation : 'மொபைல் மதிப்பீட்டு ' ,
 	registerMobile : ' உங்கள் மொபைல் எண் வங்கியில் பதிவு ஒன்று பொருந்தவில்லை. பதிவு பெற்ற மொபைல் எண் கொண்ட ஒரு கருவியில் இருந்து மீண்டும் முயற்சிக்கவும். ' ,
	mobileValidationError : ' நாம் உங்கள் மொபைல் எண்ணை செல்லுபடியாக்க முடியவில்லை . உங்கள் சாதனம் வெளிச்செல்லும் எஸ்எம்எஸ் அனுப்ப அல்லது பின்னர் மீண்டும் முயற்சி செய்ய முடியும் எனச் சரிபார்க்கவும் . ' ,
 	ERRORMESSAGE : ' உங்கள் கோரிக்கையை செயல்படுத்தும்போது ஒரு பிழை ஏற்பட்டது. தயவுசெய்து மீண்டும் முயற்சிக்கவும்.',
 	error :'பிழை',
 	internetDisconnectMessage : ' இணைய இணைப்பு உங்கள் சாதனத்தில் கிடைக்கவில்லை. மொபைல் தரவு இயக்கவும் அல்லது ஒரு WiFi பிணைய இணைக்க மீண்டும் முயற்சிக்கவும். ' ,
 	internetDisconnect : ' இணையம் துண்டிக்கப்பட்டது ' ,
 	update:'புதுப்பிக்கப்பட்டது',
	updateMessage : ' இந்த சமீபத்திய பதிப்பு பயன்பாடு புதுப்பிக்க வேண்டும். தொடர்ந்து ? ' ,
 	selectMaturityAmount : 'தயவுசெய்து கடன் முதிர்வு தொகை கணக்கு தேர்வு ' ,
 	enterAccountNo : 'தயவுசெய்து செல்லுபடியாகும் 12 ஐக்கிய கணக்கு எண்ணை ' ,
 	enterCustomerNo : 'தயவுசெய்து செல்லுபடியாகும் 12 ஐக்கிய வாடிக்கையாளர் ஐடியை உள்ளிடவும் ' ,
 	fromAccToAccMesg : ' கணக்கு மூலம் மற்றும் கணக்கில் அதே இருக்க முடியாது ' ,pin:'PIN',
 	pinMandatory: '6 இலக்க PIN கட்டாயமாகும்',
	currentPinNewPinMesg: 'நடப்பு பின் மற்றும் புதிய தேதி முள் 6 இலக்கங்கள் வேண்டும்',
	currentPinNewPinNotMatch: 'புதிய தேதி PIN மற்றும் தேதி பின்னை உறுதிப்படுத்தவும் பொருந்தவில்லை',
	currentPinNewPinSame: 'புதிய தேதி PIN மற்றும் தற்போதைய தேதி PIN ஐ இருக்க முடியாது அதே',
	currentPinTransPinMesg: 'நடப்பு பின் மற்றும் புதிய பரிவர்த்தனை முள் 6 இலக்கங்கள் வேண்டும்',
	currentPinTransPinNotMatch: 'புதிய பரிவர்த்தனை PIN மற்றும் பரிவர்த்தனை பின்னை உறுதிப்படுத்தவும் பொருந்தவில்லை',
	currentPinTransPinSame: 'புதிய பரிவர்த்தனை PIN மற்றும் தற்போதைய பரிவர்த்தனை PIN ஐ இருக்க முடியாது அதே',
	loginPinConfirmPinMesg: 'தேதி PIN மற்றும் உறுதிப்படுத்தவும் தேதி முள் 6 இலக்கங்கள் வேண்டும்',
	loginPinConfirmPinNotMatch: 'தேதி PIN மற்றும் உறுதிப்படுத்தவும் தேதி PIN பொருந்தவில்லை வேண்டாம்',
	TransPinConfirmTransPinMesg: 'பரிவர்த்தனை PIN மற்றும் பரிவர்த்தனை பின்னை உறுதிப்படுத்தவும் 6 இலக்கங்கள் வேண்டும்',
	TransPinConfirmTransPinNotMatch: 'பரிவர்த்தனை PIN மற்றும் பரிவர்த்தனை பின்னை உறுதிப்படுத்தவும் பொருந்தவில்லை',
	loginPinTransPinNotSame: 'தேதி PIN மற்றும் பரிவர்த்தனை PIN ஐ இருக்க முடியாது அதே',
	selectLoginOrTransPin: 'தேதி பின் அல்லது பரிவர்த்தனை PIN ஐ ஒன்று மீட்டமைக்க தேர்ந்தெடுக்கவும்.',
	TransPinMandatory: '6 ஐக்கிய பரிவர்த்தனை PIN ஐ கட்டாயமாகும்',
	SyncMesg: 'ஒத்திசைக்கிறது தரவு. தயவு செய்து காத்திருக்கவும் ... ',
 	SyncData:'ஒத்திசைவு தரவு',
 	NoDataSync:'ஒத்திசைக்கிறது தரவு கிடைக்கவில்லை .',
 	SyncSuccess : ' ஒத்திசைவு வெற்றி ' ,
 	SyncSuccessMesg : ' அனைத்து தரவு வெற்றிகரமாக ஒத்திசைக்கப்பட்டது. ' ,
 	Logout:'வெளியேறு',
 	logoutConfirm : 'நீ அதை நிச்சயமாக வெளியேறி விரும்புகிறீர்களா? ' ,
 	AreYouSure : ' நீங்கள் உறுதியாக இருக்கிறீர்களா. தொடர்ந்து ? ' ,
 	NoData : ' தரவு எதுவும் கிடைக்கவில்லை ' ,
 	Jan:'ஜனவரி',
 	Feb:'பிப்ரவரி',
 	Mar:'மார்ச்',
 	Apr:'சித்திரை',
 	May:'மே',
 	Jun:'ஜூன்',
 	Jul:'ஆடி',
 	Aug:'ஆகஸ்ட்',
 	Sep:'செப்',
 	Oct:'அக்',
 	Nov:'நவம்பர்',
 	Dec:'டிசம்பர்',
 	Issued:'வெளியிடப்படுகிறது',
 	Paid:'பணம்',
 	Void:'வெற்றிடத்தை',
 	Stopped:'நிறுத்தி',
 	InvalidChequeNo:'தவறான காசோலை இல்லை',
 	smsVerify:'ஒரு SMS உங்கள் மொபைல் எண்ணை சரிபார்க்க உங்கள் தொலைபேசியில் இருந்து அனுப்பப்படும். தொடர அனுப்பவும் கிளிக் செய்யவும்.',
 	existingCustomer:'ஏற்கனவே வாடிக்கையாளர்',
	generatedMesg : ' நீங்கள் ஏற்கனவே ஒரு PIN முன் தோற்றுவித்துள்ளன. நீங்கள் அதே அல்லது அமைப்பு ஒரு புதிய பயன்படுத்தி தொடர விரும்புகிறீர்களா? ' ,
 	TransAmountExceeds : ' பரிவர்த்தனை தொகை பயனாளி அதிகபட்ச வரம்பை மீறுகிறது ' ,
 	CutOffExceeded : ' கட்-ஆப் மதிப்பெண் மீறய ' ,
 	HolidayMesg : ' அது ஒரு விடுமுறை அல்லது நாள் கட்-ஆப் மதிப்பெண் நேரம் கழித்து தொடங்கப்பட்டது பரிவர்த்தனை செயல்படுத்த முடியாது . நீங்கள் இன்னும் தொடர விரும்புகிறீர்களா ? நீங்கள் ஆமாம், அது அடுத்த வேலை நாள் செயல்படுத்தப்படும் விடும் தேர்வு செய்தால் ' ,
 	ConnectionFailure : ' இணைப்பு தோல்வி ' ,
 	failureMesg : ' இணைப்பு இல்லை வங்கி . பின்னர் மீண்டும் முயற்சிக்கவும். ' ,
 	btnLogin : 'தேதி ' ,
 	btnNext : 'அடுத்து' ,
 	btnSubmit : 'Submit' ,
 	btnCancel : 'ரத்து செய்' ,
 	btnBack : 'பின்' ,
 	btnDownload : ' பதிவிறக்கம் ' ,
	createMstatement : ' mStatement வெற்றிகரமாக உருவாக்கப்பட்டது. ' ,
	Loading : ' ஏற்றுகிறது ... ' ,
	savedSettings : 'அமைப்புகள் வெற்றிகரமாக சேமிக்கப்பட்டது. ' ,
	accountExit : ' தேர்ந்தெடுக்கப்பட்ட accountNo ஏற்கனவே mPassbook செயல்படுத்தப்பட்டது ' ,
	InvalidMPB : ' தவறான mPassbook சான்றுகளை ' ,
	mPBSync : ' வெற்றிகரமாக ஒத்திசைவு mPassbook ' ,
	mPBAccountActivate : 'வெற்றிகரமாக mPassbook செயல்படுத்தப்படுகிறது கணக்கு  . கணக்குகள் சரிபார்க்கவும் ' ,
	ValidatingMobileNo:'மொபைல் எண் உறவுகள்',
	ftlimit:'அதிகபட்ச நிதி பரிமாற்ற எல்லை ₹ 5,00,000 ஆகும்',
 },
 errorCodes : {
	
	"-1": "பிழை உங்கள் வேண்டுகோளை நிறைவேற்றும் போது ஏற்பட்டது, பிறகு மீண்டும் முயலவும்..",
	"300": "நீங்கள் விண்ணப்ப பழைய பதிப்பு பயன்படுத்தி கடையில் இருந்து சமீபத்திய விண்ணப்பத்தை பதிவிறக்கம் செய்து",
	"400": "வாடிக்கையாளர் எண் இந்த சாதனத்தை செயல்படுத்த தயவு செய்து பதிவு செய்க சாதன செயலில் இல்லை",
	"401": "வாடிக்கையாளர் எண் இந்த சாதனத்தை செயல்படுத்த தயவு செய்து பதிவு செய்க சாதன செயலில் இல்லை",
	"1001": "தவறான உள்நுழைவு உங்கள் கணக்கு மூன்று தவறான முயற்சிகள் பின்னர் பூட்டப்பட்டிருக்கும்.",
	"1002": "தவறான பற்று அட்டை விவரங்கள் தயவு செய்து மீண்டும் நுழைய.",
	"1003": "தவறான நெட்பேங்கிங் தகைமை தயவு செய்து மீண்டும் நுழைய.",
	"1004": "தேதி மற்றும் பரிவர்த்தனை முள் 6 இலக்கங்கள் இருக்க வேண்டும்.",
	"1005": "செல்லாத வாடிக்கையாளர் ஐடி அல்லது வாடிக்கையாளர் மொபைல் வங்கி அணுகல் இல்லை",
	"1006": "தவறான கணக்கு இல்லை அல்லது வாடிக்கையாளர் மொபைல் வங்கி அணுகல் இல்லை",
	"1007": "உங்கள் அமர்வு காலாவதியாகிவிட்டது relogin கொள்ளவும்.",
	"1008": "உங்கள் அமர்வு காலாவதியாகிவிட்டது relogin கொள்ளவும்.",
	"1009": "வாடிக்கையாளர் அடையாள கிடைக்க கணக்குகள் இல்லை",
	"1010": "தவறான கணக்கு எண்",
	"1011": "தப்பான பதிவு PIN ஐ",
	"1012": "தேதி PIN மற்றும் பரிவர்த்தனை PIN ஐ அதே இருக்க முடியாது. " ,
	"1013": "இல்லை பரிவர்த்தனைகள் கணக்கு காணப்படவில்லை தெரிவு செய்துள்ளார். " ,
	"1014": "விவரம் நிதி மாற்றம் உள்ளிட்ட செல்லாதவை சரியான விவரங்களை உள்ளிடவும். . " ,
	"1015": "நிதி மாற்றம் வெற்றிபெறாத " ,
	"1016": "தவறான பரிவர்த்தனை முள்" ,
	"1017": "வாடிக்கையாளர் ஏற்கனவே மொபைல் வங்கி பதிவு உள்நுழைவு அல்லது கடவுச்சொல்லை மறந்துவிட்டேன் முயற்சி . . " ,
	"1018": "வாடிக்கையாளர் ஐடி கிடைக்காது. " ,
	"1019": "வாடிக்கையாளர் ஐடி மற்றும் / அல்லது கணக்கு இல்லை தவறானவை. " ,
	"1020": "அதே கணக்கிற்கு மாற்ற முடியாது. " ,
	"1021": "விரிவான அறிக்கை உள்ளிட்ட அளவுருக்கள் தவறானவை . " ,
	"1022": "காசோலைப் புத்தகம் வேண்டுகோள் ஏற்கனவே உள்ளது. " ,
	"1023": "நுழைவில் பின்னைப் உள்ளிட்ட தற்போதைய தேதி பின்னை மீண்டும் உள்ளிடவும் " ,
	"1024": "தேதி மற்றும் பரிவர்த்தனை PIN ஐ இருக்கக்கூடாது வேறு பின்னை முயற்சிக்கவும்..",
	"1025": "தவறான பரிவர்த்தனை PIN ஐ உள்ளிட்ட தயவு செய்து நடப்பு பரிமாற்றத்தை பின்னை மீண்டும் உள்ளிடவும்.",
	"1026": "வைப்பு வெற்றிபெறாத மூடுதல் பின்னர் அல்லது வாடிக்கையாளர் பாதுகாப்பு முயற்சிக்கவும்.",
	"1027": "கார்டுகள் எதுவும் ஒரு அட்டை விண்ணப்பிக்க வாடிக்கையாளர் தொடர்பு வாடிக்கையாளர் பாதுகாப்பு தற்போது",
	"1028": "தவறான அட்டை எண்",
	"1029": "அட்டை சூடான பட்டியல் தோல்வி, மீண்டும் முயற்சிக்கவும்.",
	"1030": "தவறான காசோலை இல்லை அல்லது காசோலை வரம்பில்.",
	"1031": "இல்லை பயனாளிகளுக்கு வங்கி இடமாற்றங்கள் உள்ள காணப்படவில்லை ஒரு பயனாளி சேர்க்க வங்கி விருப்பத்தை உள்ள பயனாளியின் சேர் பயன்படுத்தவும்",
	"1032": "இல்லை பயனாளிகளுக்கு மற்ற வங்கி இடமாற்றங்கள் காணப்படவில்லை ஒரு பயனாளி சேர்க்க பயனாளியின் சேர் பல்வேறு வங்கி விருப்பத்தை பயன்படுத்தவும்",
	"1033": "பயனாளியின் தோல்வி சேர்த்தல் மீண்டும் முயற்சிக்கவும்.",
	"1034": "இல்லை வங்கிகள் உள்ளன.",
	"1035": "பயனாளியின் நீக்கம் தோல்வியடைந்தது.",
	"1036": "இல்லை வைப்பு கணக்கு காணப்படுகிறது.",
	"1037": "பிழை வைப்பு மூடல் விவரங்கள் பெற முடியவில்லை..",
	"1039": "உள்ளிட்டது பயனாளியின் கணக்கில் தவறானது.",
	"1040": "வைப்பு உருவாக்க முடியவில்லை தயவுசெய்து மீண்டும் முயற்சிக்கவும்.",
	"1042": "இல்லை MMID தேர்ந்தெடுத்த கணக்கில் இணைக்கப்பட்ட",
	"1043": "IMPS நிதிப்பெயர்ச்சி வெற்றியடையவில்லை.",
	"1044": "கணக்கு பூட்டப்பட்டுள்ளது தயவு செய்து மீண்டும் பதிவு.",
	"1045": "நுழைவில் பின்னைப் உள்ளிட்ட தற்போதைய தேதி பின்னை மீண்டும் உள்ளிடவும்",
	"1046": "பயனாளியின் தோல்வி மாற்றியமைக்கிறது மீண்டும் முயற்சிக்கவும். " ,
	"1047": "உங்கள் மொபைல் எண் வங்கியில் பதிவு ஒரு பொருந்தவில்லை வங்கியில் பதிவு போன்ற மொபைல் எண் சாதனத்தை பதிவு செய்க " ,
	"1050": " பயனாளியின் கணக்கில் தவறானது உள்ளிட்ட இல்லை " ,
	"1051": "வாடிக்கையாளர் ஐடி உள்ளிட்ட தவறானது அல்லது மொபைல் வங்கி அணுகல் இல்லை அல்லது கணக்கு இல்லை தவறானது உள்ளிட்ட அல்லது மொபைல் வங்கி அணுகல் இல்லை " ,
},
	//combo changes
	'All Funding Account Holders':'அனைத்து நிதி கணக்கு வைத்திருப்பவர்கள்',
	'Transfer to Another Account':'வேறொரு கணக்கிற்கு மாற்ற',
	'For Self Only':'சுய மட்டுமே',
	No:'இல்லை',
	Yes:'ஆமாம்',
	'Automatically Renew':'தானாக புதுப்பிக்க',
	AndamanandNicobar:'அந்தமான் நிக்கோபார்',
	'Chhattisgarh':'சத்தீஸ்கர்',
	'Andhra pradesh':'ஆந்திரப் பிரதேசம்',
	ArunachalPradesh:'அருணாசலப் பிரதேசம்',
	Assam:'அசாம்',
	Bihar:'பீகார்',
	Chandigarh:'சண்டிகர்',
	DamanandDiu:'டாமன் மற்றும் டையூ',
	Delhi:'தில்லி',
	DadraandNagarHaveli:'தாத்ரா மற்றும் நகர் ஹவேலி',
	'Goa':'கோவா',
	Gujarat:'குஜராத்',
	'Himachal Pradesh':'இமாசலப் பிரதேசம்',
	Haryana:'அரியானா',
	Jharkhand:'ஜார்க்கண்ட்',
	'Jammu &amp; Kashmir':'ஜம்மு காஷ்மீர்',
	Karnataka:'கர்நாடக',
	Kerala:'கேரளா',
	Lakshadweep:'கேரளா',
	Maharashtra:'மகாராஷ்டிரா',
	Meghalaya:'மேகாலயா',
	Manipur:'மேகாலயா',
	'Madhya Pradesh':'மத்தியப் பிரதேசம்',
	Mizoram:'மிசோரம்',
	Nagaland:'நாகாலாந்து',
	Odisha:'ஒடிசா',
	Punjab:'பஞ்சாப்',
	Puducherry:'புதுச்சேரி',
	Rajasthan:'ராஜஸ்தான்',
	Sikkim:'சிக்கிம்',
	Telangana:'தெலுங்கானா',
	'Tamil Nadu':'தமிழ்நாடு',
	Tripura:'திரிபுரா',
	Uttarakhand:'உத்தரகண்ட்',
	'Uttar Pradesh':'உத்தரப் பிரதேசம்',
	'West Bengal':'மேற்கு வங்க',
	Debit:'பற்று',
	Credit:'கடன்',
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'மொபைல் பேங்கிங் பதிவு வரவேற்கிறோம்',
		Line1:'நீங்கள் உங்கள் சாதனத்தைப் பதிவு மற்றும் நீங்கள் இந்த வசதி பயன்படுத்த தொடங்கும் முன் உங்கள் மொபைல் பேங்கிங் அங்கீகார நம்பிக்கைச்சான்றுகளை அமைக்க வேண்டும்.',
		Line2:'இந்த சாதனம் மொபைல் எண் ( பல சிம் சாதனங்கள் வழக்கில் முதன்மை சிம் அட்டை ) வங்கி உங்கள் பதிவு மொபைல் எண் அதே தான் என்பதை உறுதி செய்து கொள்ளவும் .',
		Line3:'உங்கள் அடையாளத்தை உறுதிப்படுத்த , நீங்கள் உங்கள் நெட்பேங்கிங் கணக்கு அல்லது உங்கள் பற்று அட்டை ஒன்று அங்கீகார சான்றிதழ்களை வழங்க வேண்டும் .',
		Line4:'பதிவு செய்த பின்னர் , நீங்கள் மட்டுமே இந்த சாதனத்தில் இருந்து மொபைல் பேங்கிங் அணுக முடியும். நீங்கள் எதிர்காலத்தில் உங்கள் சாதனம் மாற்ற விரும்பினால் வழக்கில், நீங்கள் புதிய சாதனம் இருந்து மீண்டும் பதிவு செய்ய வேண்டும்.',
		iAgree:'நான் இணையதளத்தில் குறிப்பிடப்பட்டுள்ளது விதிகள் மற்றும் நிபந்தனைகளை ஏற்று',
	},
	registration:{
		Title1:'தேர்வு வாடிக்கையாளர் அடையாள அல்லது கணக்கு எண்',
		Title2:'வாடிக்கையாளர் அடையாள',
		Title3:'கணக்கு எண்',
		Title4:'12 இலக்க வாடிக்கையாளர் அடையாள அல்லது கணக்கு எண் உள்ளிடவும்',
		Title5:'இங்கே எண் உள்ளிடவும்',
		Title6:'ஒரு பதிவு விருப்பத்தை தேர்வு ',
		Title7:'நெட்பேங்கிங்',
		Title8:'பற்று அட்டை',
	},
	ValidateMobile : {
		ValidateMobileNo:'கைப்பேசி பரிசோதிக்கவும்',
	},
	registrationDebitCard:{
		Header:'பற்று அட்டை விவரங்கள்',
		DCLabel:'பற்று அட்டை எண்',
		PINLabel:'PIN ஐ',
		ExpLabel:'காலாவதியாகும் மாதத்தின்',
		ExpYr:'காலாவதியாகும் ஆண்டு',
	},
	debitPinSetup:{
		Header:'மொபைல் பேங்கிங் பதிவு',
		CurrentLoginPin :'தற்போதைய தேதி முள்',
		CurrentTransactionPin :'தற்போதைய பரிவர்த்தனை முள்',
		NewLoginPin:'புதிய தேதி PIN ஐ',
		NewLoginPinAlias:'புதிய தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmLoginPin:'தேதி PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmLoginPinAlias:'உறுதிப்படுத்தவும் தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		NewTransactionPin:'புதிய பரிவர்த்தனை PIN ஐ',
		NewTransactionPinAlias:'புதிய பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmTransactionPin:'பரிவர்த்தனை PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmTransactionPinAlias:'உறுதிப்படுத்தவும் பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		PleaseNote : 'குறிப்பு தயவு செய்து',
		NumericValue :' - உங்கள் PIN -க்கான ஒரு 6 இலக்க எண் மதிப்பு சேர்க்கவும்.' ,
		SameConsecutiveDigits:'- அதை விட , தொடர்ச்சியாக 2 இலக்கங்கள் அதே (எ.கா. 122287 அல்லது 186333 ) கொண்டிருக்க முடியாது',
		ConsecutiveDigitsSequence:'- அது வரிசையில் இன்னும் விட , தொடர்ச்சியாக 2 இலக்கங்கள் (எ.கா. 123845 அல்லது 987253 ) கொண்டிருக்க முடியாது',
		SameGroupDigits : '- அது 2 இலக்கங்கள் அதே குழு விட 2 மடங்கு (எ.கா. 121212 அல்லது 989898 ) மீண்டும் கொண்டிருக்க முடியாது',
	},
	RegistrationCompletion :{
		Congratulations:'வாழ்த்துக்கள்',
		SuccessfullyComplete:'நீங்கள் வெற்றிகரமாக மொபைல் பேங்கிங் பதிவு செயல்முறை நிறைவு.',
		LoginLink:'உங்கள் மொபைல் பேங்கிங் வசதி பயன்படுத்தி தொடங்க கீழே தேதி இணைப்பை கிளிக் செய்யவும்.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'நிகர வங்கி சான்றுகளை',
		UserId : ' பயனர் ஐடி',
		Password :'கடவுச்சொல்',	
	},
	NBPinSetup:{
		Header:'PIN ஐ அமைவு',
		NewLoginPin:'புதிய தேதி PIN ஐ',
		NewLoginPinAlias:'புதிய தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmLoginPin:'தேதி PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmLoginPinAlias:'உறுதிப்படுத்தவும் தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		NewTransactionPin:'புதிய பரிவர்த்தனை PIN ஐ',
		NewTransactionPinAlias:'புதிய பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmTransactionPin:'பரிவர்த்தனை PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmTransactionPinAlias:'உறுதிப்படுத்தவும் பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		PleaseNote : 'குறிப்பு தயவு செய்து',
		NumericValue :' -உங்கள் PIN ஒரு 6 இலக்க எண் மதிப்பை உள்ளிடவும் ' ,
		SameConsecutiveDigits:'- அதை விட , தொடர்ச்சியாக 2 இலக்கங்கள் அதே (எ.கா. 122287 அல்லது 186333 ) கொண்டிருக்க முடியாது',
		ConsecutiveDigitsSequence:'- அது வரிசையில் இன்னும் விட , தொடர்ச்சியாக 2 இலக்கங்கள் (எ.கா. 123845 அல்லது 987253 ) கொண்டிருக்க முடியாது',
		SameGroupDigits : '- அது 2 இலக்கங்கள் அதே குழு விட 2 மடங்கு (எ.கா. 121212 அல்லது 989898 ) மீண்டும் கொண்டிருக்க முடியாது',
	},
	NBRegistrationCompletion :{
		Congratulations:'வாழ்த்துக்கள்',
		SuccessfullyComplete:'நீங்கள் வெற்றிகரமாக மொபைல் பேங்கிங் பதிவு செயல்முறை நிறைவு.',
		LoginLink:'உங்கள் மொபைல் பேங்கிங் வசதி பயன்படுத்தி தொடங்க கீழே தேதி இணைப்பை கிளிக் செய்க.',
	},
	ForgotPinScreen1 :{
		ResetOption :' ஒரு மீட்டமை விருப்ப தேர்வு',
		Netbanking :'நெட்பேங்கிங்',
		DebitCard:'பற்று அட்டை',
	},
	ForgotPINDebitCard:{
		Title:'PIN ஐ மீட்டமை - பற்று அட்டை',
		DebitCardNumber :'பற்று அட்டை எண்',
		Pin:'PIN ஐ',
		ExpiryMonth:'காலாவதியாகும் மாதத்தின்',
		ExpiryYear : ' காலாவதியாகும் ஆண்டு',
	},
	ForgotPINNetbanking:{
		Title : 'PIN ஐ மீட்டமை - நெட் பேங்கிங்',
		UserId :'பயனர் ஐடி',
		Password : 'கடவுச்சொல்',	
	},
	DebitForgotPinSetup:{
		Title : 'PIN ஐ மீட்டமை',
		ChangeLoginPin :'மாற்றம் தேதி PIN ஐ',
		NewLoginPin:'புதிய தேதி PIN ஐ',
		NewLoginPinAlias:'புதிய தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmLoginPin:'தேதி PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmLoginPinAlias:'உறுதிப்படுத்தவும் தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ChangeTransactionPin :'மாற்றம் பரிவர்த்தனை PIN ஐ',
		NewTransactionPin:'புதிய பரிவர்த்தனை PIN ஐ',
		NewTransactionPinAlias:'புதிய பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmTransactionPin:'பரிவர்த்தனை PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmTransactionPinAlias:'உறுதிப்படுத்தவும் பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		PleaseNote : 'குறிப்பு தயவு செய்து',
		NumericValue :' -உங்கள் PIN -க்கான ஒரு 6 இலக்க எண் மதிப்பு சேர்க்கவும்.' ,
		SameConsecutiveDigits:'- அதை விட , தொடர்ச்சியாக 2 இலக்கங்கள் அதே (எ.கா. 122287 அல்லது 186333 ) கொண்டிருக்க முடியாது',
		ConsecutiveDigitsSequence:'- அது வரிசையில் இன்னும் விட , தொடர்ச்சியாக 2 இலக்கங்கள் (எ.கா. 123845 அல்லது 987253 ) கொண்டிருக்க முடியாது',
		SameGroupDigits : '- அது 2 இலக்கங்கள் அதே குழு விட 2 மடங்கு (எ.கா. 121212 அல்லது 989898 ) மீண்டும் கொண்டிருக்க முடியாது',
	},
	NBForgotPinSetup:{
		Title : 'PIN ஐ மீட்டமை',
		ChangeLoginPin :'மாற்றம் தேதி PIN ஐ',
		NewLoginPin:'புதிய தேதி PIN ஐ',
		NewLoginPinAlias:'புதிய தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmLoginPin:'தேதி PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmLoginPinAlias:'உறுதிப்படுத்தவும் தேதி பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ChangeTransactionPin :'மாற்றம் பரிவர்த்தனை PIN ஐ',
		NewTransactionPin:'புதிய பரிவர்த்தனை PIN ஐ',
		NewTransactionPinAlias:'புதிய பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		ConfirmTransactionPin:'பரிவர்த்தனை PIN ஐ உறுதிப்படுத்தவும்',
		ConfirmTransactionPinAlias:'உறுதிப்படுத்தவும் பரிவர்த்தனை பின் ( குறைந்தது 6 இலக்கங்கள்)',
		PleaseNote : 'குறிப்பு தயவு செய்து',
		NumericValue :' - உங்கள் PIN -க்கான ஒரு 6 இலக்க எண் மதிப்பு சேர்க்கவும்.' ,
		SameConsecutiveDigits:'-அதை விட , தொடர்ச்சியாக 2 இலக்கங்கள் அதே (எ.கா. 122287 அல்லது 186333 ) கொண்டிருக்க முடியாது',
		ConsecutiveDigitsSequence:'-அது வரிசையில் இன்னும் விட , தொடர்ச்சியாக 2 இலக்கங்கள் (எ.கா. 123845 அல்லது 987253 ) கொண்டிருக்க முடியாது',
		SameGroupDigits : '- அது 2 இலக்கங்கள் அதே குழு விட 2 மடங்கு (எ.கா. 121212 அல்லது 989898 ) மீண்டும் கொண்டிருக்க முடியாது',
	},
	DBForgotPINCompletion:{
		Congratulations:'வாழ்த்துக்கள்',
		SuccessfullyComplete:'உங்கள் PIN வெற்றிகரமாக மீட்டெடுக்கப்பட்டன.',
		LoginLink:'உங்கள் மொபைல் பேங்கிங் வசதி பயன்படுத்தி தொடங்க கீழே தேதி இணைப்பை கிளிக் செய்க.',
	},
	NBForgotPINCompletion :{
		Congratulations:'வாழ்த்துக்கள்',
		SuccessfullyComplete:'உங்கள் PIN வெற்றிகரமாக மீட்டெடுக்கப்பட்டன.',
		LoginLink:'உங்கள் மொபைல் பேங்கிங் வசதி பயன்படுத்தி தொடங்க கீழே தேதி இணைப்பை கிளிக் செய்க.',
	},
	ReLogin:{
		Title : 'வரவேற்கிறோம்',
		LoginLabel : 'உள்நுழைய உங்கள் PIN ஐ உள்ளிடவும்',
		LoginLabelAlias:'உங்கள் உள்நுழைவு PIN ஐ உள்ளிடவும்',
		ForgotPin : 'PIN ஐ மறந்துவிட்டதா',
		Register : 'பதிவு',
		Version :'பதிப்பு',
	},
	Menu:{
		LastLoginTime: 'கடைசியாக வெளியேற்ற இல் :',
		TermDeposite :'கால வைப்புத் தொகைகள்',
		TransactionAccounts :'பரிவர்த்தனை கணக்குகள்',
		Transfers :'இடமாற்றங்கள்',
		Services : 'சேவைகள்',
		Cards :'அட்டைகள்',
		Profile :'பதிவு செய்தது',
		ContactUs:'எங்களை தொடர்பு',
	},
	AccountList :{
		AvailableBalance :'இருப்பு தொகை:',
		CashCreditAccount :'ரொக்கக் கடன் கணக்கு',
		CurrentBalance:'தற்போதைய இருப்பு:',
		LoanAccount :'கடன் கணக்கு',
		SavingAccount : 'சேமிப்பு கணக்கு',
		CurrentAccount : 'நடப்பு கணக்கு',
	},
	SavCurrAccDetailScreen:{
		Product :'தயாரிப்பு ::',
		AvailableBalance :'இருப்பு தொகை',
		CurrentBalance:'தற்போதைய இருப்பு',
		UnclearFunds :'அழிக்கப்படாதது நிதிகள்',
		FundsOnHold :'நிலுவையிலுள்ளது நிதிகள்',
		Last5Trans :'கடைசி 5 பரிவர்த்தனைகள்',
		DetailStatement:'விரிவான அறிக்கை',
		TransferOwnAccount :'கணக்கு சொந்தமாக பரிமாற்றம்',
		TransferThirdPartyWithinBank :'வங்கி உள்ள மூன்றாம் மாற்ற',
		TransferThirdPartyOtherBank:'மூன்றாம் பிற வங்கி பரிமாற்றம்',
		ImpsToMobile :' மொபைல் மற்றும் MMID செய்ய IMPS',
	},
	CashCreditDetailScreen:{
		Product :'தயாரிப்பு:',
		CreditLimit :'கடன் அளவு',
		AvailableBalance :'இருப்பு தொகை',
		CurrentBalance:'தற்போதைய இருப்பு',
		UnclearFunds :' அழிக்கப்படாதது நிதிகள்',
		AvailableCredit :'கிடைக்கும் கடன்',
		TotalAmountDue :'மொத்த தொகை காரணமாக',
		InterestRate :'வட்டி விகிதம்',
		Last5Trans :'கடைசி 5 பரிவர்த்தனைகள்',
		DetailStatement:'விரிவான அறிக்கை',
	},
	LoanDetailScreen:{
		Product :'தயாரிப்பு:',
		CreditLimit :'கடன் அளவு',
		AvailableBalance :'இருப்பு தொகை',
		CurrentBalance:'தற்போதைய இருப்பு',
		OpeningDate :' திறப்பு தேதி',
		MaturityDate:'முதிர்ச்சி நாள்',
		AvailableCredit :'கிடைக்கும் கடன்',
		TotalAmountDue :'மொத்த தொகை காரணமாக',
		InterestRate :'வட்டி விகிதம்',
		Last5Trans :'கடைசி 5 பரிவர்த்தனைகள்',
		DetailStatement:'விரிவான அறிக்கை',
	},
	DepositMenu:{
		ViewDeposits :'காண்க வைப்பு',
		NewRecurringDeposite :'புதிய தொடர் வைப்பு',
		NewRegularIncome:'புதிய வழக்கமான வருமான வைப்பு',
		NewReinvestment :'புதிய மறு முதலீட்டு வைப்பு',
	},
	RegularIncomeDeposit:{
		Header:' புதிய வழக்கமான வருமான வைப்பு',
		Scheme :'திட்டம்',
		FromAccount :'கணக்கு மூலம்',
		Amount :'தொகை',
		PeriodofDeposit:'வைப்புத்தொகை காலம்: மேக்ஸ் கால நாட்கள்',
		PeriodofDepositYears:'வைப்பு ஆண்டுகளுக்கு',
		PeriodofDepositMonths:'வைப்பு மாத காலத்திற்குள்',
		PeriodofDepositDays:'வைப்பு நாட்கள் காலம்',
		InterestPaymentFrequency:'வட்டி செலுத்தும் முறை',
		AccounttoCreditInterest:'கடன் வட்டி கணக்கு',
		MaturityInstructions:'முதிர்வு வழிமுறைகள்',
		'Automatically Renew':'தானாக புதுப்பிக்க',
		InterestPaymentOption:'வட்டி கட்டண விருப்பம்',
		AccountToCreditMaturityAmount:'முதிர்வுத் தொகை கடன் கணக்கு',
		TransactionRemarks:'பரிவர்த்தனை குறிப்புகள்',
		NomineeRequired:'வாரிசுதாரர் தேவையான',
	},
	PIDConfWONom:{
		Header:'திறந்த வைப்பு - உறுதிப்படுத்தல்',
		Scheme :'திட்டம்',
		FromAccount :'கணக்கு மூலம்',
		Amount :'தொகை',
		PeriodofDeposit:'வைப்புத்தொகை காலம் ',
		PeriodofDepositYears:'வைப்பு ஆண்டுகளுக்கு',
		PeriodofDepositMonths:'வைப்பு மாத காலத்திற்குள்',
		PeriodofDepositDays:'வைப்பு நாட்கள் காலம்',
		InterestPaymentOption:'வட்டி கட்டண விருப்பம்',
		AccounttoCreditInterest:'கடன் வட்டி கணக்கு',
		MaturityInstructions:'முதிர்வு வழிமுறைகள்',
		AccountToCreditMaturityAmount:'முதிர்வுத் தொகை கடன் கணக்கு',
		TransactionRemarks:'பரிவர்த்தனை குறிப்புகள்',
		NomineeRequired:'வாரிசுதாரர் தேவையான',
		Narration:'கதை கூறல்',
		InterestRate:'வட்டி விகிதம்',
		MaturityDate:' முதிர்ச்சி நாள்',
		MaturityValue:'முதிர்வு மதிப்பு',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
	},
	PIDConfWONomSuceess:{
		Header:'வழக்கமான வருமான வைப்பு - வெற்றி',
		AccountNo :'உங்கள் வைப்பு ஒரு / கேட்ச் எண் ஆகிறது ',
	},
	PIDNomineeDetails:{
		Header:'வாரிசுதாரர் விபரங்கள்',
		NomineeAddressLine1:'வாரிசுதாரர் முகவரி வரி 1',
		NomineeAddressLine2:'வாரிசுதாரர் முகவரி வரி 2',
		NomineeAddressLine3 :'வாரிசுதாரர் முகவரி வரி 3',
		NomineeAddressLine4 :'வாரிசுதாரர் முகவரி வரி 4',
		NomineeAge :'(வருடங்களில்) வாரிசுதாரர் வயது',
	},
	PIDNomineeMinorDetails :{
		Header:'வாரிசுதாரர் விபரங்கள்',
		RelationshipWithCustomer :'வாடிக்கையாளர் உறவு',
		DisplayNomineeName :'காட்சி வாரிசுதாரர் பெயர்',
		IsNomineeMinor:'வாரிசுதாரர் சிறிய உள்ளது',
		NomineeisMinor:'வாரிசுதாரர் மைனர் ஆகிறது',
		GuardianNameforNominee:'வாரிசுதாரர் கார்டியன் பெயர்:',
		GuardianName:'பாதுகாவலர் பெயர்',
	},
	PIDConfWithNom:{
		Header:'திறந்த வைப்பு - உறுதிப்படுத்தல்',
		Scheme :'திட்டம்',
		FromAccount :'கணக்கு மூலம்',
		Amount :'தொகை',
		PeriodofDeposit:'வைப்புத்தொகை காலம் ',
		PeriodofDepositYears:'வைப்பு ஆண்டுகளுக்கு',
		PeriodofDepositMonths:'வைப்பு மாத காலத்திற்குள்',
		PeriodofDepositDays:'வைப்பு நாட்கள் காலம்',
		InterestPaymentOption:'வட்டி கட்டண விருப்பம்',
		AccounttoCreditInterest:'கடன் வட்டி கணக்கு',
		MaturityInstructions:'முதிர்வு வழிமுறைகள்',
		AccountToCreditMaturityAmount:'முதிர்வுத் தொகை கடன் கணக்கு',
		TransactionRemarks:'பரிவர்த்தனை குறிப்புகள்',
		NomineeRequired:'வாரிசுதாரர் தேவையான',
		Narration:'கதை கூறல்',
		InterestRate:'வட்டி விகிதம்',
		MaturityDate:'முதிர்ச்சி நாள்',
		MaturityValue:'முதிர்வு மதிப்பு',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
		NomineeAddressLine1:'வாரிசுதாரர் முகவரி 1:',
		NomineeAddressLine2:'வாரிசுதாரர் முகவரி 2:',
		NomineeAddressLine3 :'வாரிசுதாரர் முகவரி 3 :',
		NomineeAddressLine4 :'வாரிசுதாரர் முகவரி 4 :',
		NomineeAge :'வாரிசுதாரர் வயது:',
		RelationshipWithCustomer :'வாடிக்கையாளர் உறவு:',
		DisplayNomineeName :'காட்சி வாரிசுதாரர் பெயர் :',
		IsNomineeMinor:'வாரிசுதாரர் சிறிய உள்ளது :',
		NomineeisMinor:'வாரிசுதாரர் மைனர் ஆகிறது',
		GuardianNameforNominee:'வாரிசுதாரர் கார்டியன் பெயர்:',
		GuardianName:'பாதுகாவலர் பெயர்',
		NomineeName:'வாரிசுதாரர் பெயர்',
		NominationDetails:'வாரிசு விவரங்கள் ( காண்க கிளிக் செய்யவும் )',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
		TransactionPinAlias:'உங்கள் பரிவர்த்தனை PIN ஐ உள்ளிடவும்',
	},
	PIDConfWithNomSuccess:{
		Header:'வழக்கமான வருமான வைப்பு - வெற்றி',
		AccountNo :'உங்கள் வைப்பு ஒரு / கேட்ச் எண் ஆகிறது ',
	},
	ReinvestmentDeposit:{
		Header:' புதிய மறு முதலீட்டு வைப்பு',
		Scheme :'திட்டம்',
		FromAccount :'கணக்கு மூலம்',
		Amount :'தொகை',
		PeriodofDeposit:'வைப்புத்தொகை காலம் ',
		PeriodofDepositYears:'வைப்பு ஆண்டுகளுக்கு',
		PeriodofDepositMonths:'வைப்பு மாத காலத்திற்குள்',
		PeriodofDepositDays:'வைப்பு நாட்கள் காலம்',
		InterestPaymentFrequency:'வட்டி செலுத்தும் முறை',
		InterestPaymentOption:'வட்டி கட்டண விருப்பம்',
		AccounttoCreditInterest:'கடன் வட்டி கணக்கு',
		MaturityInstructions:'முதிர்வு வழிமுறைகள்',
		AccountToCreditMaturityAmount:'முதிர்வுத் தொகை கடன் கணக்கு',
		TransactionRemarks:'பரிவர்த்தனை குறிப்புகள்',
		NomineeRequired:'வாரிசுதாரர் தேவையான',
		Narration:'கதை கூறல்',
		InterestRate:'வட்டி விகிதம்',
		MaturityDate:'முதிர்ச்சி நாள்',
		MaturityValue:'முதிர்வு மதிப்பு',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
		AtMaturity:'முதிர்வு',
		RemainonDeposit:'வைப்பு மீது இருக்கிறது',
		'Automatically Renew':'தானாக புதுப்பிக்க',
		Narrative :'விவரணை',
	},
	ReInvstConfWONom:{
		Header:'திறந்த வைப்பு - உறுதிப்படுத்தல்',
		Scheme :'திட்டம்',
		FromAccount :'கணக்கு மூலம்',
		Amount :'தொகை',
		PeriodofDeposit:'வைப்புத்தொகை காலம் ',
		PeriodofDepositYears:'வைப்பு ஆண்டுகளுக்கு',
		PeriodofDepositMonths:'வைப்பு மாத காலத்திற்குள்',
		PeriodofDepositDays:'வைப்பு நாட்கள் காலம்',
		InterestPaymentFrequency:'வட்டி செலுத்தும் முறை',
		InterestPaymentOption:'வட்டி கட்டண விருப்பம்',
		AccounttoCreditInterest:'கடன் வட்டி கணக்கு',
		MaturityInstructions:'முதிர்வு வழிமுறைகள்',
		AccountToCreditMaturityAmount:'முதிர்வுத் தொகை கடன் கணக்கு',
		TransactionRemarks:'பரிவர்த்தனை குறிப்புகள்',
		NomineeRequired:'வாரிசுதாரர் தேவையான',
		Narration:'கதை கூறல்',
		InterestRate:'வட்டி விகிதம்',
		MaturityDate:' முதிர்ச்சி நாள்',
		MaturityValue:'முதிர்வு மதிப்பு',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
		AtMaturity:'முதிர்வு',
		RemainonDeposit:'வைப்பு மீது இருக்கிறது',
		'Automatically Renew':'தானாக புதுப்பிக்க',
		Narrative :'விவரணை',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
		TransactionPinAlias:'உங்கள் பரிவர்த்தனை PIN ஐ உள்ளிடவும்',
	},
	ReInvstWONomSuccess :{
		Header: 'புதிய மறு முதலீட்டு வைப்பு - வெற்றி',
		AccountNo :'உங்கள் வைப்பு ஒரு / கேட்ச் எண் ஆகிறது',	
	},
	RINomineeDetails :{
		Header:'வாரிசுதாரர் விபரங்கள்',
		NomineeName: "வாரிசுதாரர் பெயர்",
		Name:'பெயர்',
		NomineeAddressLine1:'வாரிசுதாரர் முகவரி வரி 1',
		AddressLine1 :'முகவரி வரி 1',
		NomineeAddressLine2:'வாரிசுதாரர் விளம்பர Lidressne 2',
		AddressLine2 :'முகவரி வரி 2',
		NomineeAddressLine3 :'வாரிசுதாரர் விலாசம் வரி 3',
		AddressLine3 :'விலாசம் வரி 3',
		NomineeAddressLine4 :'வாரிசுதாரர் முகவரி வரி 4',
		AddressLine4 :'முகவரி வரி 4',
		NomineeAge :'(வருடங்களில்) வாரிசுதாரர் வயது',
		Age:'வயது',
	},
	RINomineeMinorDetails:{
		Header:' வாரிசுதாரர் விபரங்கள்',
		NomineeAge :'வாரிசுதாரர் வயது:',
		RelationshipWithCustomer :'வாடிக்கையாளர் உறவு :',
		DisplayNomineeName :'காட்சி வாரிசுதாரர் பெயர் :',
		IsNomineeMinor:'வாரிசுதாரர் சிறிய உள்ளது :',
		NomineeisMinor:'வாரிசுதாரர் மைனர் ஆகிறது',
		GuardianNameforNominee:'வாரிசுதாரர் கார்டியன் பெயர்:',
		GuardianName:'கார்டியன்',
		NomineeName:'வாரிசுதாரர் பெயர்',
		NominationDetails:'வாரிசு விவரங்கள் ( காண்க கிளிக் செய்யவும் )',
		TransactionPin:'பரிவர்த்தனை PIN ஐ',
		TransactionPinAlias:'உங்கள் பரிவர்த்தனை PIN ஐ உள்ளிடவும்',
	},
	NomineeMaturityDetails:{
		Header:'திறந்த வைப்பு - உறுதிப்படுத்தல்',
		Scheme :'திட்டம்',
		FromAccount :'கணக்கு மூலம்',
		Amount :'தொகை',
		PeriodofDeposit:'வைப்புத்தொகை காலம் ',
		PeriodofDepositYears:'வைப்பு ஆண்டுகளுக்கு',
		PeriodofDepositMonths:'வைப்பு மாத காலத்திற்குள்',
		PeriodofDepositDays:'வைப்பு நாட்கள் காலம்',
		InterestPaymentFrequency:'வட்டி செலுத்தும் முறை',
		InterestPaymentOption:'வட்டி கட்டண விருப்பம்',
		AccounttoCreditInterest:'கடன் வட்டி கணக்கு',
		MaturityInstructions:'முதிர்வு வழிமுறைகள்',
		AccountToCreditMaturityAmount:'முதிர்வுத் தொகை கடன் கணக்கு',
		TransactionRemarks:'பரிவர்த்தனை குறிப்புகள்',
		NomineeDetails:' வாரிசுதாரர் விபரங்கள்',
		NomineeRequired:'வாரிசுதாரர் தேவையான',
		NomineeName:'வாரிசுதாரர் பெயர்',
		Name:'பெயர்',
		RelationshipWithCustomer :'வாடிக்கையாளர் உறவு :',
		DisplayNomineeName :'காட்சி வாரிசுதாரர் பெயர்:',
		IsNomineeMinor:'வாரிசுதாரர் சிறிய உள்ளது :',
		NomineeisMinor:'வாரிசுதாரர் மைனர் ஆகிறது',
		GuardianNameforNominee:'வாரிசுதாரர் கார்டியன் பெயர்:',
		GuardianName:'கார்டியன்',
		NominationDetails:'வாரிசு விவரங்கள் ( காண்க கிளிக் செய்யவும் )',
		NomineeAddressLine1:'வாரிசுதாரர் முகவரி வரி 1',
		AddressLine1 :'முகவரி வரி 1',
		NomineeAddress1:'வாரிசுதாரர் முகவரி 1 :',
		NomineeAddressLine2:'வாரிசுதாரர் முகவரி வரி 2',
		AddressLine2 :'முகவரி வரி 2',
		NomineeAddress2:'வாரிசுதாரர் முகவரி 2 :',
		NomineeAddressLine3 :'வாரிசுதாரர் விலாசம் வரி 3',
		NomineeAddress3 :'வாரிசுதாரர் முகவரி 3:',
		AddressLine3 :'விலாசம் வரி 3',
		NomineeAddressLine4 :'வாரிசுதாரர் முகவரி வரி 4',
		AddressLine4 :'முகவரி வரி 4',
		NomineeAddress4 :'வாரிசுதாரர் முகவரி 4:',
		NomineeAge :'வாரிசுதாரர் வயது',
		NomineeAgeInYears :'(வருடங்களில்) வாரிசுதாரர் வயது',
		Age:'வயது',
		Narration:'கதை கூறல்',
		InterestRate:'வட்டி விகிதம்',
		MaturityDate:'முதிர்ச்சி நாள்',
		MaturityValue:'முதிர்வு மதிப்பு',
		TransactionPin:'பரிவர்த்தனை பி நான் என் ஐ',
		AtMaturity:'முதிர்வு',
		RemainonDeposit:'வைப்பு மீது இருக்கிறது',
		'Automatically Renew':'தானாக புதுப்பிக்க',
		Narrative :'விவரணை',
		TransactionPinAlias:'உங்கள் பரிவர்த்தனை பி நான் என் ஐ உள்ளிடவும்',
		NextInstalmentDate:'அடுத்த தவணை தேதி',
	},
	RIConfWithNomSuccess :{
		Header: 'புதிய மறு முதலீட்டு வைப்பு - வெற்றி',
		AccountNo :'உங்கள் வைப்பு ஒரு / கேட்ச் எண் ஆகிறது',	
	},
	NewRecurringDeposit :{
		Header: 'புதிய தொடர் வைப்பு',
		InterestRateLink: 'காண்க வட்டி விகிதங்கள்',
		RecurringDepositFrequency :'தொடர் வைப்பு அதிர்வெண்',	
		PreferredDateForInstallment :'தவணை பற்று ஐந்து விருப்பமான தேதி',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'தொடர் வைப்பு அதிர்வெண்',
		Monthly :'மாதாந்திர',
		InstallmentDebitDay :'தவணை பற்று நாள்',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'தொடர் வைப்பு அதிர்வெண்',
		Monthly :'மாதாந்திர',
		InstallmentDebitDay :'தவணை பற்று நாள்',
	},
	NRDConfWONomSuccess :{
		Header: 'புதிய மறு முதலீட்டு வைப்பு - வெற்றி',
		AccountNo :'உங்கள் வைப்பு ஒரு / கேட்ச் எண் ஆகிறது',	
	},
	NRDConfWithNomSuccess :{
		Header: 'புதிய மறு முதலீட்டு வைப்பு - வெற்றி',
		AccountNo :'உங்கள் வைப்பு ஒரு / கேட்ச் எண் ஆகிறது',	
	},
	DepositList:{
		RecurringDeposits: 'சுழற்சி வைப்பு',
		InstallmentAmount: 'தவணை தொகை:',
		DepositAmount:'வைப்பு தொகை:',
		ReinvestmentDeposits :'மறு முதலீட்டு வைப்பு',
		RegularIncomeDeposits:'வழக்கமான வருமான வைப்பு',
	},
	RDDetailScreen :{
		Product:'தயாரிப்பு',
		InstallmentAmount:'தவணை தொகை',
		CurrentBalance :'தற்போதைய இருப்பு',
		OpeningDate :'திறப்பு தேதி',
		MaturityAmount:'முதிர்வுத் தொகை',
		Last5Trans :'கடைசி 5 பரிவர்த்தனைகள்',
		DetailStatement :'விரிவான அறிக்கை',
		CloseAccount :'கணக்கை மூடு',
	},
	ReInvtDetailScreen :{
		Product:'தயாரிப்பு',
		InstallmentAmount:'தவணை தொகை',
		CurrentBalance :'தற்போதைய இருப்பு',
		OpeningDate :'திறப்பு தேதி',
		MaturityAmount:'முதிர்வுத் தொகை',
		Last5Trans :'கடைசி 5 பரிவர்த்தனைகள்',
		DetailStatement :'விரிவான அறிக்கை',
		CloseAccount :'கணக்கை மூடு',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'விரிவான அறிக்கை',
		SelectAccount:'கணக்கைத் தேர்ந்தெடுக்கவும்',
		FromDate:'வரம்பு தேதி',
		ToDate:'తేదీ',
	},
	DetailDepositStatement :{
		AccountNo :'கணக்கு எண்',
		Narration :'கதை கூறல்',
	},
	CloseDepositReq :{
		CloseDeposit :'மூடு வைப்பு',
		SelectFDAccount:'எஃப்டி கணக்கு தேர்ந்தெடுக்கவும்',
		SelectFundTransferAccount:'தேர்வு நிதி மாற்றம் கணக்கு',
		Narrative:'விவரணை',
	},
	CloseDepositConfirmation :{
		Header:'மூடு வைப்பு - உறுதிப்படுத்தல்',
		RedemptionAmount:'மீட்பு தொகை',
		PenaltyAmount:'அபராதம் தொகை',
		FDAccount:'எஃப்டி கணக்கு',
		ToAccount:'கணக்கில்',
		Narration :'கதை கூறல்',
	},
	CloseDepositSuccess:{
		Header :'மூடு வைப்பு - வெற்றி',
		DepositclosureSuccessful:'வைப்பு மூடல் வெற்றிகரமான',
	},
	TransferMenu:{
		ManageBeneficiaries:'பயனாளிகள் நிர்வகிக்கவும்',	
		TransferBetweenOwnAccounts :'சொந்த கணக்குகளுக்கு இடையே மாற்றம்',
		TransferThirdPartyWithinBank:'வங்கியின் மூன்றாவது கட்சி மாற்ற',
		TransferDifferentBank :'மூன்றாம் கட்சி பிற வங்கி பரிமாற்றம்',
		ImmediatePaymentService:'உடனடியான செலுத்தும் சேவை ( நான் பி எஸ் எம் )'
	},
	IMPSMenu:{
		GenerateMMID:'எம் எம் நான் டி மீட்டெடுக்கலாம் / உருவாக்குதல்',
		CancelMMID :'எம் எம் நான் டி ரத்து',
		TransferMMID :'எம் எம் நான் டி பயன்படுத்தி மாற்றம்',
	},
	GenerateMMID:{
		Account : 'கணக்கு',
		MobileNo:'கைப்பேசி.',
	},
	GenerateMMIDConf:{
		Header:'MMID திரும்ப பெற உருவாக்குதல் / - உறுதிப்படுத்தல்',
		MMIDText :'எம் எம் நான் டி ( மொபைல் பணம் ஐடண்டிபயர்) நான் பி எஸ் எம் பி 2 பி பரிமாற்ற வகை வழியாக உங்கள் கணக்கில் நிதி பெறும் உருவாக்கப்படும் தேவையான ஒரு முறை குறியீடு உள்ளது.'
	},
	GenerateMMIDSucc :{
		Header:'எம் எம் நான் டி மீட்டெடுக்கலாம் / உருவாக்க - வெற்றி',
		MMID :'எம் எம் நான் டி',
		linkAccount :'கணக்குடன் இணைக்கப்பட்ட',
	},
	CancelMMIDConf:{
		Header :'எம் எம் நான் டி ரத்து - Confirmaton',
		CancelMMIDText :'நீங்கள் எம் எம் நான் டி நிராகரிக்கப்பட்ட பின்னர் எம் எம் நான் டி மூலம் இந்த கணக்கில் பணம் பெற முடியும்',
		GenerateMMIDText :"இந்த கணக்கிற்கு எம் எம் நான் டி உருவாக்க, செல் உருவாக்குதல் / எம் எம் நான் டி மீட்டெடுக்க தயவு செய்து",
		MultipleMMIDText :'பல MMIDs அதே கணக்கு எண் உருவாக்கப்படும்',
	},
	CancelMMIDSucc :{
		Header:'எம் எம் நான் டி ரத்து - வெற்றி',
		MMIDLinkText:'எம் எம் நான் டி கணக்குடன் இணைக்கப்பட்ட',
		CancelText:'ரத்து செய்யப்பட்டது',
	},
	IMPSP2P :{
		Header :'பயனாளியின் மொபைல் இல்லை மற்றும் எம் எம் நான் டி செய்ய நிதி மாற்றம்',
		BeneficiaryMobileNo:'பயனாளியின் மொபைல் இல்லை',
		BeneficiaryMMID:'பயனாளியின் எம் எம் நான் டி',
		Remarks:'குறிப்புகள்',
	},
	IMPSP2PConf :{
		Header :'நான் பி எஸ் எம் பி 2 பி - பி நான் என் சரிபார்ப்பு',
		SecretQuestion :'ரகசியக் கேள்வி',
	},
	IMPSP2PSucc :{
		Header :'நிதி மாற்றம் - வெற்றி',
		ReferenceNumber :'உங்கள் குறிப்பு எண் ஆகிறது',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'வங்கியின் பயனாளியின் சேர்க்கவும்',
		AddBeneficiaryDifferentBank :'பயனாளியின் பல்வேறு வங்கி சேர்க்கவும்',
		ViewBeneficiaryWithinBank:' வங்கியின் காண்க மாற்ற / பயனாளியின்',
		ViewBeneficiaryOtherBank:'பார்வை / மாற்ற பயனாளியின் பிற வங்கி',
	},
	AddBeneWithinBank :{
		Header :'புதிய பயனாளியின் சேர் - வங்கியின்',
		BeneficiaryName:'நலன்பெறுநர் பெயர்',
		NickName :'நிக் பெயர்',
		FundTransferLimit:'நிதி மாற்றம் வரம்பு',
		LimitMax:'எல்லை ( மேக்ஸ்',
		AccountNo :'கணக்கு எண்',
		ConfirmAccountNo:'கணக்கு இல்லை உறுதிப்படுத்தவும்',
	},
	AddBeneWithinBankConf:{
		Header :'பயனாளியின் சேர்க்கவும் - உறுதிப்படுத்தல்',
		AccountNameText :'வங்கி ஆதாரங்களைப் படி கணக்கு பெயர்',
		Limit : 'எல்லை',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'புதிய பயனாளியின் சேர் - வெற்றி',
		BeneficiaryAddedLine1:'உங்கள் புதிய பயனாளி சேர்க்கப்பட்டதுபின்னர் செயல்படுத்தப்படுகிறது',
		BeneficiaryAddedLine2:'மணி பின்னர் நீங்கள் நிதி மாற்றம் அதை பயன்படுத்த முடியும் . நீங்கள் காண்க பயனாளிகள் பக்கத்தில் பயனாளியின் நிலையை அறிய முடியும்',
	},
	AddBeneInterBank :{
		Header :'புதிய பயனாளியின் சேர் - பல்வேறு வங்கி',
		EmailId:'மின்னஞ்சல் முகவரி',
		Address:'முகவரி',
		State :'அரசு',
		City :'நகரம் / மாவட்டம்',
		Pincode:'அஞ்சல் குறியீடு',
	},
	AddBeneInterBankConf :{
		Header : 'பயனாளியின் சேர்க்கவும் - உறுதிப்படுத்தல்',
		IFSC :'நான் எஃப் எஸ் சி',
		BankName:'வங்கியின் பெயர்',
		BranchName:'கிளையின் பெயர்',
		Branch :'கிளை',
		Email:'மின்னஞ்சல்',
		City:'பெருநகரம்',
		Phone : 'தொலைபேசி',
		Bank :'வங்கி',
		BankBranch :'வங்கி கிளை',
	},
	AddBeneInterBankConfSuccess :{
		Header :'புதிய பயனாளியின் சேர் - வெற்றி',
	},
	SearchIFSC :{
		Header :'குறியீடு என்ன குறியீடு பெற ஒரு முறையில் தேர்வு',
		IFSCcode:'நான் எஃப் எஸ் சி குறியீடு',
		BankCodeCity :'வங்கி குறியீடு மற்றும் சிட்டி',
	},
	IFSCByCode:{
		EnterIFSCcode : 'நான் எஃப் எஸ் சி குறியீடு உள்ளிடவும்'
	},
	IFSCByBankCity :{
		BankCode:'வங்கி குறியீடு',
	},
	IFSCBankList :{
		IFSCList:'நான் எஃப் எஸ் சி பட்டியல்',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'செயலில் பயனாளிகள்',
		PendingBeneficiaries:'நிலுவையில் பயனாளிகள்',
	},
	IntraBankBenDetailActive:{	
		Status: 'நிலைமை',
		Active :'செயலில்',
		ModifyBeneficiary:'பயனாளியின் மாற்றவும்',
		DeleteBeneficiary:'பயனாளியின் நீக்கு',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'நிலுவையில் செயல்படுத்தல்',
	},
	ModifyBenWithinSuccess:{
		Header :'பயனாளியின் மாற்ற - வெற்றி',
		BeneficiarySuccessText :'பயனாளியின் வெற்றிகரமாக மாற்றப்பட்டுள்ளது',
	},
	DeleteBenWithinConf :{
		Header : 'பயனாளியின் நீக்கு - உறுதிப்படுத்தல்',
	},
	DeleteBenWithinSuccess :{
		Header :'பயனாளியின் நீக்கு - வெற்றி',
		BeneficiaryDeletedText:'பயனாளியின் வெற்றிகரமாக நீக்கப்பட்டது',
	},
	ModifyBenInter:{
		BeneficiaryBank:'பயனாளியின் வங்கி',
		BeneficiaryBankBranch:'பயனாளியின் வங்கி கிளை',
	},
	ProfileMenu:{
		MyProfile:'என் சுயவிவரம்',
		ChangeLoginPin:'மாற்றம் தேதி PIN ஐ',
		ChangeTransactionPin :'மாற்றம் பரிவர்த்தனை PIN ஐ',
	},
	MyProfile:{
		CustomerProfile:'வாடிக்கையாளர் விவரம்',
		Name :'பெயர்',
		Mobile : 'மொபைல்',
		Email :'மின்னஞ்சல்',
		Address : 'முகவரி',
		City :'பெருநகரம்',
		State :'அரசு',
		Country :'நாடு',
		Zip :'ஜிப்',
	},
	ChangeMPINConfirm :{
		Header :'தேதி PIN ஐ மாற்று - வெற்றி',
		LoginPinChangedText:'தேதி முள் வெற்றிகரமாக மாற்றப்பட்டது. தயவுசெய்து மீண்டும் உள்நுழைக.'
	},
	ChangeTPINConfirm :{
		Header :'பரிவர்த்தனை PIN ஐ மாற்று - வெற்றி',
		TransactionPinChangedText:'பரிவர்த்தனை முள் வெற்றிகரமாக மாற்றப்பட்டது.'
	},
	ServicesMenu:{
		ChequeBookRequest:'காசோலைப் புத்தகம் வேண்டுகோள்',
		ChequeStatusInquiry :'காசோலை நிலைமை விசாரணை',
		StopCheque :'நிறுத்து காசோலை',
		Account :'கணக்கு'
	},
	CBRConfirmation :{
		Header:'காசோலைப் புத்தகம் வேண்டுகோள் - உறுதிப்படுத்தல்',
		ChequeBookConfirmText :'காசோலைப் புத்தகம் கணக்கு கோரிய',
		ChequeBookLine1 :'பொருந்தும் என கட்டணங்கள் உங்கள் கணக்கில் விதிக்கப்பட்டிருந்தது. குற்றச்சாட்டுக்கள் பற்றிய விவரங்களுக்கு, ESAF வலைத்தளத்தில் கட்டணங்கள் பிரிவில் செல்க',
		ChequeBookLine2 :' காசோலை புத்தகம் 7 நாட்களுக்குள் உங்கள் பதிவு அஞ்சல் முகவரி வழங்கப்படும்" style="use-all-width mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'ప్రిపే బుక్ అభ్యర్థన - సక్సెస్',
		RequestAccepted :'ஒரு காசோலை புத்தகம் உங்கள் கோரிக்கை ஏற்கப்பட்டுள்ளது',
	},
	CheckChqStatus:{
		ChequeStatus:'காசோலை நிலைமை',
		ChequeNo:'காசோலை இல்லை',
		StartChequeNo:'தொடக்க காசோலை இல்லை',
		EndChequeNo:'முடிவு காசோலை இல்லை',
		Status : 'நிலைமை',
		Reason:'காரணம்',
	},
	StopChqConfirmation :{
		Header : 'நிறுத்து காசோலை - உறுதிப்படுத்தல்',
		Type :'வகை',
	},
	StopChqResponse :{
		Header : 'நிறுத்து காசோலை - வெற்றி',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'விரிவான அறிக்கை',
		AccountNo :'கணக்கு எண்',
		FromDate :'வரம்பு தேதி',
		ToDate :'நாளுக்காக',
	},
	DetailAccountStatement :{
			Balance :'இருப்பு',
	},
	FT2OwnAccount:{
		Header :'சொந்த கணக்கில் நிதி மாற்றம்',
		ToAccount : 'கணக்கில்',
		Amount : 'தொகை',
	},
	FTConfirmation :{
		Header : 'நிதி மாற்றம் - உறுதிப்படுத்தல்',
	},
	FTSuccess :{
		Header :'நிதி மாற்றம் - வெற்றி',
		ReferenceNumber : 'உங்கள் குறிப்பு எண் ஆகிறது',
	},
	FT2OwnBeneficiary:{	
		Header :'வங்கியின் மூன்றாம் தரப்பு நிதி மாற்றம்',
		Beneficiary :'பயனாளியின்',
	},
	FTConfirmBeneficary :{
		Header :'நிதி மாற்றம் - உறுதிப்படுத்தல்',
		BeneficiaryName :'நலன்பெறுநர் பெயர்',
		BeneficiaryNickName:'பயனாளியின் நிக் பெயர்',
		BeneficiaryAccount:'பயனாளியின் கணக்கு',
	},
	FT2InterBankBen :{
		Header :' வெவ்வேறு வங்கி மூன்றாவது கட்சி நிதி மாற்றம்',
		TransactionType :'பரிமாற்றம் வகை',
		TotalCharges :'மொத்த கட்டணம் (ஐபிசிசி . வரி)',
	},
	ContactUs :{
		Header : 'எங்களை தொடர்பு',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'தொலைபேசி',
		Email :'மின்னஞ்சல்',
		Website :' வலைத்தளம்',
	},
	CardList:{
		Header :'அட்டைகள்',
	},
	CardDetailScreen :{
		LinkedAccountNo :'இணைக்கப்பட்ட கணக்கு எண்',
		ExpiryDate :'காலாவதியாகும் திகதி',
		AvailableBalance:'இருப்பு தொகை',
		HotlistCard:'ஹாட்லிஸ்ட் அட்டை',
	},
	HotListCardConf:{
		Header :'ஹாட்லிஸ்ட் அட்டை - உறுதிப்படுத்தல்',
		CardNo:'அட்டை எண்',
	},
	HotListCardSuccess:{
		Header :' ஹாட்லிஸ்ட் அட்டை - வெற்றி',
		SuccessText:'அட்டை சூடான வெற்றிகரமாக பட்டியலிடப்பட்டு',
	},
	MiniStatement:{
		Credit :'கடன்',
		Debit :'பற்று',
	},
	Settings:{
		Header:'மொழி',
	},
	Language:{
		Header:'மொழியை மாற்று',
		Label:'மொழியை மாற்று',
		Settings:'அமைப்புகள்',
	},
	LanguageSuccess :{
		Header:'உங்கள் மொழி மாற்றப்பட்டுள்ளது',
	},
	progressInfo:{
		ValidatinMobileProgress:'உறவுகள் . தயவுசெய்து காத்திருங்கள்...',
		Registering:'பதிவு . தயவுசெய்து காத்திருங்கள்...',
		PleaseWait:'தயவுசெய்து காத்திருங்கள்...',
	},
	getBranchDetail :{
		selectCity:'நிசாமாபாத்',
		selectState:'அமர்நாத்',
		map:'வரைபடம்',
		showList:'கிளை பட்டியலில்',
		Navigation:'ஊடுருவல்',
		BranchLocator:'கிளை லொக்கேட்டர்',
		getDirections:'திசைகள்',
		ContactNumber:'தொடர்பு எண்',
		ContactPerson:'நபர் தொடர்பு',
		branchLocations:'கிளை இருப்பிடங்கள்',
	},

	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook பாதுகாப்புப் பின் சேர்',
		SecurityPIN :'பாதுகாப்பு PIN',
		ConfirmSecurityPIN:'பாதுகாப்பு பின்னை உறுதிப்படுத்தவும்',
	},
	activateMPBsuccess:{
		title:'mPassbook சேவை வெற்றிகரமாக செயல்படுத்தப்பட்டது . உள்நுழைவு திரையில் சரிபார்க்கவும்.',
	},
	mPBLogin:{
		title:'mPassbook வரவேற்கிறோம்'	
	},
	mPBMenu:{
		Accounts:'கணக்குகள்',
		activateMPB:'mPassbook க்கான கணக்கை செயல்படுத்த',
		download:'பதிவிறக்க',
	},
	mPBAccountList:{
		title:'எந்த கணக்கும் mPassbook செயல்படுத்தப்படுகிறது'
	},
	mPBEnableAccount:{
		title:'கணக்கு செயல்படுத்தவும்'	
	},
	mPBSettings:{
		title:'mPassbook அமைப்புகளை',
		records:'பக்கம் ஒன்றுக்கு பதிவுகள் எண்ணிக்கை',
	},
	mPBDownload:{
		title:'பதிவிறக்க அறிக்கை',
		SelectCategory:'பிரிவை தேர்வு செய்க',
		Month:'மாதம்',
		Year:'ஆண்டு',
	},
	mStatement:{
		Search:'தேடல்',
		Date:'தேதி',
		Particulars:'விபரங்கள்',
		Withdrawal :'பின்வாங்கும்',
		Deposit:'வைப்பு',
		Balance:'இருப்பு',
		Notes:'குறிப்புகள்',
		Remarks:'குறிப்புகள்',
		Category:'பகுப்பு',
	},
	addNotesForPassbook:{
		title:'குறிப்புகள் சேர்',
	},

	Remarks:'குறிப்புகள்',
	Category:'பகுப்பு',
	/*
	Hindi:'இந்தி',
	English:'ஆங்கிலம்',
	Marathi:'மராத்தி',
	Bengali:'பெங்காலி',
	Gujrati:'குஜராத்தி',
	Kannada:'கன்னடம்',
	Malayalam:'மலையாளத்',
	Tamil:'தமிழ்',
	Telagu:'தெலுங்கு',
	Urdu:'உருது',
	Punjabi:'உருது',
	*/

	DCSecQuestions:{
		Title:'സുരക്ഷാ ചോദ്യങ്ങള്',
		Question: 'രഹസ്യ ചോദ്യം തിരഞ്ഞെടുക്കുക ',
		Answer:'രഹസ്യ ഉത്തരം ',
	},

	ChangeSecQuestions:{
		Title:'സുരക്ഷാ മാറ്റുക ചോദ്യങ്ങൾ',
	},
	ChangeSecQuestionsSuccess:{
		Title:'സെക്യൂരിറ്റി മാറ്റുക ചോദ്യങ്ങൾ - വിജയം',
		Status:'നിങ്ങൾ വിജയകരമായി രഹസ്യ ചോദ്യങ്ങൾ അവരുടെ ഉത്തരങ്ങൾ അപ്ഡേറ്റ് ചെയ്തിരിക്കുന്നു.',
	}
};

//Telagu
var translations_te = {
	common:{
 	info:'సమాచారం',
 	exitApp : 'ESAF బ్యాంక్ మొబైల్ బ్యాంకింగ్ వుపయోగించి ధన్యవాదాలు. మీరు అప్లికేషన్ నిష్క్రమించాలని అనుకుంటున్నారా ? ',
 	mobileValidation : 'మొబైల్ క్రమబద్దీకరణకు ',
 	registerMobile : ' మీ మొబైల్ నంబర్ బ్యాంకు తో నమోదు ఒక తో సరిపోలడం లేదు. దయచేసి నమోదిత మొబైల్ నెంబర్ ఒక పరికరం నుండి మళ్ళీ ప్రయత్నించండి. ',
 	mobileValidationError : 'మేము మీ మొబైల్ నంబర్ ధ్రువీకరించడానికి పోతున్నాము. మీ పరికరం అవుట్గోయింగ్ SMS పంపడానికి లేదా తరువాత మళ్ళీ ప్రయత్నించండి చేయగలరు ఉంటే చూడండి. ' ,
 	ERRORMESSAGE : ' లోపం మీ అభ్యర్థనను ప్రాసెస్ చేసే సమయంలో సంభవించింది. దయచేసి తర్వాత మళ్లీ ప్రయత్నించండి.',
 	error :'లోపం',
 	nternetDisconnectMessage : 'ఇంటర్నెట్ కనెక్షన్ మీ పరికరంలో అందుబాటులో లేదు. మొబైల్ డేటా ఎనేబుల్ చెయ్యండి లేదా ఒక వైఫై నెట్వర్క్ కనెక్ట్ చేసి మళ్లీ ప్రయత్నించండి. ',
 	internetDisconnect : 'ఇంటర్నెట్ డిస్కనెక్ట్ ',
 	update:'నవీకరణ',
 	updateMessage : ' ఈ తాజా వెర్షన్ అప్లికేషన్ అప్డేట్ అవుతుంది. కొనసాగించు ? ',
 	selectMaturityAmount : 'దయచేసి క్రెడిట్ మెచూరిటీ మొత్తం ఖాతాను ఎంచుకోండి ',
 	enterAccountNo : ' చెల్లుబాటులో 12 అంకెల ఖాతా సంఖ్య నమోదు చేయండి ',
 	enterCustomerNo : ' చెల్లుబాటులో 12 అంకెల కస్టమర్ ఐడి ఎంటర్ చేయండి ',
 	fromAccToAccMesg : 'ఖాతా నుండి మరియు ఖాతా అదే ఉండకూడదు ',
 	pin:'పిన్',
	pinMandatory: '6 అంకెల PIN తప్పనిసరి',
	currentPinNewPinMesg: 'ప్రస్తుత PIN మరియు న్యూ లాగిన్ పిన్ 6 అంకెలు ఉండాలి',
	currentPinNewPinNotMatch: 'న్యూ లాగిన్ PIN మరియు లాగిన్ PIN ను నిర్ధారించండి సరిపోలడం లేదు',
	currentPinNewPinSame: 'న్యూ లాగిన్ PIN మరియు ప్రస్తుత లాగిన్ పిన్ అదే ఉండకూడదు',
	currentPinTransPinMesg: 'ప్రస్తుత PIN మరియు న్యూ లావాదేవీ పిన్ 6 అంకెలు ఉండాలి',
	currentPinTransPinNotMatch: 'న్యూ లావాదేవీ PIN మరియు ట్రాన్సాక్షన్ PIN ను నిర్ధారించండి సరిపోలడం లేదు',
	currentPinTransPinSame: 'న్యూ లావాదేవీ PIN మరియు ప్రస్తుత లావాదేవీ పిన్ అదే ఉండకూడదు',
	loginPinConfirmPinMesg: 'లాగిన్ PIN మరియు నిర్ధారించండి లాగిన్ పిన్ 6 అంకెలు ఉండాలి',
	loginPinConfirmPinNotMatch: 'లాగిన్ PIN మరియు నిర్ధారించండి లాగిన్ పిన్ సరిపోలడం లేదు',
	TransPinConfirmTransPinMesg: 'లావాదేవీ PIN మరియు ట్రాన్సాక్షన్ PIN ను నిర్ధారించండి 6 అంకెలు ఉండాలి',
	TransPinConfirmTransPinNotMatch: 'లావాదేవీ PIN మరియు ట్రాన్సాక్షన్ PIN ను నిర్ధారించండి సరిపోలడం లేదు',
	loginPinTransPinNotSame: 'లాగిన్ PIN మరియు ట్రాన్సాక్షన్ పిన్ అదే ఉండకూడదు',
	selectLoginOrTransPin: 'దయచేసి లాగిన్ పిన్ లేదా లావాదేవీ పిన్ గాని రీసెట్ ఎంచుకోండి.',
	TransPinMandatory: '6 అంకెల లావాదేవీ పిన్ తప్పనిసరి',
 	SyncMesg : ' సింక్రొనైసింగ్ డేటా. దయచేసి వేచి ఉండండి ... ',
 	SyncData : 'సింక్ డేటా' ,
 	NoDataSync : 'డేటా సమకాలీకరణ అందుబాటులో లేవు .',
 	SyncSuccess : 'సింక్ విజయం ',
 	SyncSuccessMesg : ' అన్ని డేటా విజయవంతంగా సమకాలీకరించబడింది. ',
 	Logout:'లాగౌట్',
 	logoutConfirm:'మీరు ఖచ్చితంగా లాగ్ అవుట్ చేయాలనుకుంటున్నారా?',
 	AreYouSure:'మీరు ఖచ్చితంగా. మొదలుపెట్టమంటారా?',
 	NoData:'డేటా అందుబాటులో లేవు',
 	Jan:'జన్',
 	Feb:'ఫిబ్రవరి',
 	Mar:'మార్చి',
 	Apr:'ఏప్రిల్',
 	May:'మే',
 	Jun:'జూన్',
 	Jul:'జూలై',
 	Aug:'ఆగస్టు',
 	Sep:'సెప్టెంబర్',
 	Oct:'అక్టోబర్',
 	Nov:'నవంబర్',
 	Dec:'డిసెంబర్',
 	Issued:'జారీ',
 	Paid:'చెల్లింపు',
 	Void:'శూన్యం',
 	Stopped:'ఆగిపోయింది',
	InvalidChequeNo : ' చెల్లని చెక్కు నో' ,
 	smsVerify : ' ఒక SMS మీ మొబైల్ నంబర్ ధృవీకరించడానికి మీ ఫోన్ నుండి పంపబడుతుంది . ముందుకు పంపు క్లిక్ చేయండి . ',
 	existingCustomer : ' ఉన్న కస్టమర్ ',
 	generatedMesg : 'మీరు ఇప్పటికే ఒక పిన్ ముందు ఉత్పత్తి చేశారు . మీరు అదే లేదా ఒక కొత్త సెటప్ ఉపయోగించడం కొనసాగించాలని మీరు అనుకుంటున్నారా ? ',
 	TransAmountExceeds : ' లావాదేవీ మొత్తం మించి లబ్దిదారునికి గరిష్ట పరిమితి ',
 	CutOffExceeded : ' తేడాను మించింది ',
 	HolidayMesg : ' లావాదేవీ అది ఒక సెలవు లేదా రోజుల తేడాను సమయం తరువాత ప్రారంభించారు చెయ్యబడింది ప్రాసెస్ చేయలేము. మీరు ఇప్పటికీ కొనసాగాలని అనుకుంటున్నారా ? మీరు అవును , అది తదుపరి రోజు ప్రాసెస్ అందుకుంటారని ఎంచుకుంటే ',
 	ConnectionFailure : ' కనెక్షన్ విఫలమైంది ',
 	failureMesg : ' కనెక్షన్ అందుబాటులో లేదు బ్యాంకు . దయచేసి తర్వాత మళ్లీ ప్రయత్నించండి.',
 	btnLogin : ' లాగిన్ ',
 	btnNext : 'తదుపరి ',
 	btnSubmit : 'సమర్పించవచ్చు ',
 	btnCancel : ' రద్దు ',
 	btnBack : ' బ్యాక్',
 	btnDownload : 'డౌన్లోడ్ ',
	createMstatement : ' mStatement విజయవంతంగా రూపొందించినవారు .',
	Loading: ' లోడ్ ...',
	savedSettings : 'సెట్టింగులు విజయవంతంగా సేవ్ .',
	accountExit : ' ఎంచుకున్న accountNo ఇప్పటికే mPassbook కోసం సక్రియం ',
	InvalidMPB : ' చెల్లని mPassbook ఆధారాలను ',
	mPBSync : ' విజయవంతంగా సమకాలీకరణ mPassbook ',
	mPBAccountActivate : 'విజయవంతంగా mPassbook కోసం సక్రియం ఖాతా ని . అకౌంట్స్ లో చెక్ దయచేసి ' ,
	ValidatingMobileNo:'మొబైల్ నంబర్ నిర్ధారించడంలో',
	ftlimit:'గరిష్ఠ ఫండ్ బదిలీ పరిమితి ₹ 5,00,000 ఉంది',
 },
 errorCodes : {
	"-1"  : "లోపం మీ అభ్యర్థనను ప్రాసెస్ చేసే సమయంలో సంభవించింది , దయచేసి తర్వాత మళ్లీ ప్రయత్నించండి.",
	"300" : "మీరు అప్లికేషన్ యొక్క ఒక పాత వెర్షన్ను వాడుతుంటే స్టోర్ నుండి తాజా అప్లికేషన్ డౌన్లోడ్ చేయండి ",
	"400" : "కస్టమర్ నం కోసం ఈ సాధనాన్ని క్రియాశీలం నమోదు చేయండి పరికర చురుకుగా ఉంది ",
	"401" : "కస్టమర్ నం కోసం ఈ సాధనాన్ని క్రియాశీలం నమోదు చేయండి పరికర చురుకుగా ఉంది ",
	"1001": "చెల్లని లాగిన్ ఆధారాల మీ ఖాతా 3 చెల్లని ప్రయత్నాలు తర్వాత లాక్ చేయబడుతుంది. ",
	"1002": "చెల్లని డెబిట్ కార్డ్ వివరాలు మళ్లీ నమోదు చేయండి .",
	"1003": "చెల్లని నెట్ బ్యాంకింగ్ క్రెడెన్షియల్స్ మళ్లీ నమోదు చేయండి .",
	"1004": "లాగిన్ మరియు లావాదేవీల పిన్ 6 అంకెలు ఉండాలి. ",
	"1005": "చెల్లని కస్టమర్ ID లేదా కస్టమర్ మొబైల్ బ్యాంకింగ్ యాక్సెస్ లేదు",
	"1006": "చెల్లని ఖాతా లేవు లేదా కస్టమర్ మొబైల్ బ్యాంకింగ్ యాక్సెస్ లేదు",
	"1007": "మీ సెషన్ గడువు ముగిసింది మళ్ళీ లాగిన్ చేయండి." ,
	"1008": "మీ సెషన్ గడువు ముగిసింది మళ్ళీ లాగిన్ చేయండి." ,
	"1009": "ఖాతాల కస్టమర్ ఐడి అందుబాటులో లేవు ",
	"1010": "చెల్లని ఖాతా నెంబరు ",
	"1011": "చెల్లని లాగిన్ పిన్ ",
	"1012": "లాగిన్ PIN మరియు ట్రాన్సాక్షన్ పిన్ అదే ఉండకూడదు. ",
	"1013": "నో ట్రాన్సాక్షన్స్ ఖాతా కనుగొనబడలేదు ఎన్నుకున్నారు. ",
	"1014": "వివరాలు ఫండ్ ట్రాన్స్ఫర్ ప్రవేశించింది చెల్లవు సరైన వివరాలు నమోదు చేయండి . .",
	"1015": "ఫండ్ ట్రాన్స్ఫర్ విజయవంతం ",
	"1016": "చెల్లని లావాదేవీ పిన్ ",
	"1017": "కస్టమర్ ఇప్పటికే మొబైల్ బ్యాంకింగ్ కోసం రిజిస్టర్ దయచేసి లాగిన్ లేదా మర్చిపోయారు పాస్వర్డ్ను ప్రయత్నించండి.",
	"1018": "కస్టమర్ ఐడి ఉనికిలో లేదు .",
	"1019": "కస్టమర్ ID మరియు / లేదా ఖాతా లేవు చెల్లవు .",
	"1020": "ఒకే ఖాతాలోకి బదిలీ చేయలేరు. ",
	"1021": "వివరణాత్మక ప్రకటన ఎంటర్ పారామితులు తప్పు. ",
	"1022":" చెక్ బుక్ అభ్యర్థన ఇప్పటికే ఉంది ",
	"1023": "సరికాని లాగిన్ PIN ఎంటర్ ప్రస్తుత లాగిన్ PIN ను మళ్లీ నమోదు చేయండి ",
	"1024": "లాగిన్ మరియు లావాదేవీల పిన్ అదే ఉండకూడదు దయచేసి వేరొక పిన్ ప్రయత్నించండి.",
	"1025": "సరి కానటువంటి PIN ఎంటర్ లావాదేవీ ప్రస్తుత లావాదేవీ PIN ను మళ్లీ నమోదు చేయండి .",
	"1026": "డిపాజిట్ విజయవంతం మూసివేత దయచేసి తర్వాత లేదా కస్టమర్ కేర్ను సంప్రదించండి ప్రయత్నించండి." ,
	"1027": "కార్డులు ఒక కార్డు కోసం దరఖాస్తు కస్టమర్ సంప్రదించండి కస్టమర్ కేర్ లేవు ",
	"1028": "చెల్లని కార్డ్ నో" ,
	"1029": "కార్డ్ హాట్ జాబితా లేకపొయాను దయచేసి మళ్ళీ ప్రయత్నించండి.",
	"1030": "చెల్లని చెక్కు లేవు లేదా చెక్ పరిధి.",
	"1031": "లేవు లబ్ధిదారులకు బ్యాంకు బదిలీలు లోపల కనుగొనబడలేదు లబ్దిదారు జోడించడానికి బ్యాంకు ఎంపిక లోపల చేర్చు లబ్ధిదారులు ఉపయోగించు",
	"1032": "లేవు లబ్ధిదారులకు ఇతర బ్యాంకు బదిలీలు కనుగొనబడలేదు లబ్దిదారు జోడించడానికి లబ్ధిదారులు వివిధ బ్యాంకు ఐచ్చికం వుపయోగించుము ",
	"1033": "లబ్దిదారునికి విఫలమైంది జోడించడం దయచేసి మళ్ళీ ప్రయత్నించండి",
	"1034": "నో బ్యాంకులు ఉన్నాయి.",
	"1035": "లబ్ధిదారుని తొలగింపు విఫలమైంది. ",
	"1036": "నో డిపాజిట్ ఖాతా కనబడుతుంది. ",
	"1037": "దోషం సంభవించింది డిపాజిట్ మూసివేతకు వివరాలు పొందడం సాధ్యం కాలేదు.",
	"1039": "ప్రవేశించింది లబ్ధిదారు ఖాతా చెల్లదు. ",
	"1040": "డిపాజిట్ సృష్టించబడదు దయచేసి తర్వాత మళ్లీ ప్రయత్నించండి. ",
	"1042": "నో MMID ఎంపిక ఖాతాకు అనుసంధానం ",
	"1043": "IMPS ఫండ్ బదిలీ విజయవంతం .",
	"1044": "ఖాతా లాక్ మళ్లీ నమోదు చేయండి. ",
	"1045": "సరికాని లాగిన్ PIN ఎంటర్ ప్రస్తుత లాగిన్ PIN ను మళ్లీ నమోదు చేయండి ",
	"1046": "లబ్దిదారునికి విఫలమైంది సవరించుట దయచేసి మళ్ళీ ప్రయత్నించండి . ",
	"1047": "మీ మొబైల్ నంబర్ బ్యాంకు తో నమోదు ఒక తో సరిపోలడం లేదు బ్యాంక్ తో నమోదు మొబైల్ సంఖ్యలో పరికరం నుండి నమోదు చేయండి" ,
	"1050": " లబ్ధిదారులు ఖాతా ఎంటర్ లేవు చెల్లదు ",
	"1051": " ఎంటర్ కస్టమర్ ఐడి చెల్లదు లేదా మొబైల్ బ్యాంకింగ్ యాక్సెస్ లేదు లేదా కాదు ప్రవేశించింది ఖాతా చెల్లదు లేదా మొబైల్ బ్యాంకింగ్ యాక్సెస్ లేదు",

},
	//combo changes

	'All Funding Account Holders' : ' అన్ని నిధులు ఖాతాదారుల ',
	'Transfer to Another Account' : 'మరో ఖాతాకు బదిలీ ',
	'For Self Only' : 'స్వయం ఓన్లి ',
	No:'తోబుట్టువుల',
	Yes:'అవును',
	'Automatically Renew':'స్వయంచాలకంగా పునరుద్ధరించు',
	AndamanandNicobar:'అండమాన్ నికోబార్',
	'Chhattisgarh':'ఛత్తీస్గఢ్',
	'Andhra pradesh':'ఆంధ్ర ప్రదేశ్',
	ArunachalPradesh:'అరుణాచల్ ప్రదేశ్',
	Assam:'అస్సాం',
	Bihar:'బీహార్',
	Chandigarh:'చండీగఢ్',
	DamanandDiu:'డామన్ మరియు డయ్యు',
	Delhi:'ఢిల్లీ',
	DadraandNagarHaveli:'దాద్రా మరియు నగర్ హవేలి',
	'Goa':'గోవా',
	Gujarat:'గుజరాత్',
	'Himachal Pradesh':'హిమాచల్ ప్రదేశ్',
	Haryana:'హర్యానా',
	Jharkhand:'జార్ఖండ్',
	'Jammu &amp; Kashmir':'జమ్మూ కాశ్మీర్',
	Karnataka:'కర్ణాటక',
	Kerala:'కర్ణాటక',
	Lakshadweep:'లక్షద్వీప్',
	Maharashtra:'మహారాష్ట్ర',
	Meghalaya:'మేఘాలయ',
	Manipur:'మణిపూర్',
	'Madhya Pradesh':'మధ్యప్రదేశ్',
	Mizoram:'మిజోరం',
	Nagaland:'నాగాలాండ్',
	Odisha:'ఒడిషా',
	Punjab:'పంజాబ్',
	Puducherry:'పుదుచ్చేరి',
	Rajasthan:'రాజస్థాన్',
	Sikkim:'సిక్కిం',
	Telangana:'తెలంగాణ',
	'Tamil Nadu':'తమిళనాడు',
	Tripura:'త్రిపుర',
	Uttarakhand:'ఉత్తరాఖండ్',
	'Uttar Pradesh':'ఉత్తర ప్రదేశ్',
	'West Bengal':'పశ్చిమ బెంగాల్',
	Debit:'డెబిట్',
	Credit:'క్రెడిట్',
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'మొబైల్ బ్యాంకింగ్ రిజిస్ట్రేషన్ కు స్వాగతం',
		Line1:'మీరు మీ పరికరాన్ని నమోదు మరియు మీరు ఈ సౌకర్యం ఉపయోగించడానికి ప్రారంభమవుతుంది ముందు మీ మొబైల్ బ్యాంకింగ్ ప్రమాణీకరణ ఆధారాలను సెట్ చేయాలి.',
		Line2:'ఈ పరికరం యొక్క మొబైల్ నంబర్ ( బహుళ SIM పరికరాల విషయంలో ప్రాధమిక సిమ్ కార్డ్) బ్యాంకు మీ నమోదిత మొబైల్ నంబర్ అదే అని దయచేసి.',
		Line3:'మీ గుర్తింపు నెలకొల్పేందుకు , మీరు మీ నెట్బ్యాంకింగ్ ఖాతా లేదా మీ డెబిట్ కార్డ్ గాని ప్రమాణీకరణ ఆధారాలను అందించాల్సిన అవసరముంది .',
		Line4:'నమోదు తర్వాత , మీరు మాత్రమే ఈ పరికరం నుండి మొబైల్ బ్యాంకింగ్ యాక్సెస్ చేయవచ్చు. మీరు భవిష్యత్తులో మీ పరికరం మార్చాలనుకుంటే సందర్భంలో, మీరు కొత్త పరికరం నుండి మళ్ళీ నమోదు చేసుకోవాలి .',
		iAgree:'నేను వెబ్ సైట్ లో పేర్కొన్నారు నిబంధనలను అంగీకరిస్తున్నారు',
	},
	registration:{
		Title1:'ఎంచుకోండి కస్టమర్ నేను D లేదా ఖాతా సంఖ్య',
		Title2:'కస్టమర్ ID',
		Title3:'ఖాతా సంఖ్య',
		Title4:'12 అంకెల కస్టమర్ ID లేదా ఖాతా సంఖ్య ఎంటర్',
		Title5:'ఇక్కడ సంఖ్యను ఇవ్వండి',
		Title6:'ఒక నమోదు ఎంపికను ఎంచుకోండి ',
		Title7:'నెట్బ్యాంకింగ్',
		Title8:'డెబిట్ కార్డు',
	},
	ValidateMobile : {
		ValidateMobileNo:'మొబైల్ లేవు ప్రమాణీకరించు',
	},
	registrationDebitCard:{
		Header:'డెబిట్ కార్డ్ వివరాలు',
		DCLabel:'డెబిట్ కార్డ్ సంఖ్య',
		PINLabel:'పిన్',
		ExpLabel:'గడువు నెల',
		ExpYr:'గడువు ఇయర్',
	},
	debitPinSetup:{
		Header:'మొబైల్ బ్యాంకింగ్ రిజిస్ట్రేషన్',
		CurrentLoginPin :'ప్రస్తుత లాగిన్ పిన్',
		CurrentTransactionPin :'ప్రస్తుత లావాదేవీ పిన్',
		NewLoginPin:'కొత్త లాగిన్ పిన్',
		NewLoginPinAlias:'కొత్త లాగిన్ పిన్ ( Min 6 అంకెలు )',
		ConfirmLoginPin:'లాగిన్ PIN నిర్ధారించండి',
		ConfirmLoginPinAlias:'నిర్ధారించండి లాగిన్ పిన్ ( Min 6 అంకెలు )',
		NewTransactionPin:'కొత్త లావాదేవీ PIN',
		NewTransactionPinAlias:'కొత్త లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		ConfirmTransactionPin:'లావాదేవీ PIN నిర్ధారించండి',
		ConfirmTransactionPinAlias:'నిర్ధారించండి లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		PleaseNote : 'గమనిక దయచేసి',
		NumericValue :' - మీ పిన్ 6 అంకెల సంఖ్యా విలువ ఎంటర్.' ,
		SameConsecutiveDigits:'- ఇది కంటే ఎక్కువ 2 వరుసగా అంకెలు అదే ( ఉదా 122287 లేదా 186333 ) ఉండకూడదు',
		ConsecutiveDigitsSequence:'- ఇది క్రమం కంటే ఎక్కువ 2 వరుసగా అంకెలు ( ఉదా 123845 లేదా 987253 ) ఉండకూడదు',
		SameGroupDigits : '-ఇది 2 అంకెలు అదే సమూహం కంటే ఎక్కువ 2 సార్లు ( ఉదా 121212 లేదా 989898 ) పునరావృతం ఉండకూడదు',
	},
	RegistrationCompletion :{
		Congratulations:'అభినందనలు',
		SuccessfullyComplete:'మీరు విజయవంతంగా మొబైల్ బ్యాంకింగ్ రిజిస్ట్రేషన్ ప్రక్రియ పూర్తి చేశారు.',
		LoginLink:'మీ మొబైల్ బ్యాంకింగ్ సౌకర్యం ఉపయోగించి ప్రారంభించడానికి క్రింద లాగిన్ లింక్పై క్లిక్ చేయండి.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'నెట్ బ్యాంకింగ్ ఆధారాల',
		UserId : ' వినియోగదారుని గుర్తింపు',
		Password :'పాస్వర్డ్',	
	},
	NBPinSetup:{
		Header:'పిన్ సెటప్',
		NewLoginPin:'కొత్త లాగిన్ పిన్',
		NewLoginPinAlias:'కొత్త లాగిన్ పిన్ ( Min 6 అంకెలు )',
		ConfirmLoginPin:'లాగిన్ పిన్ నిర్ధారించండి',
		ConfirmLoginPinAlias:'నిర్ధారించండి లాగిన్ పిన్ ( Min 6 అంకెలు )',
		NewTransactionPin:'కొత్త లావాదేవీ పిన్',
		NewTransactionPinAlias:'కొత్త లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		ConfirmTransactionPin:'లావాదేవీ పిన్ నిర్ధారించండి',
		ConfirmTransactionPinAlias:'నిర్ధారించండి లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		PleaseNote : 'గమనిక దయచేసి',
		NumericValue :' - మీ పిన్ 6 అంకెల సంఖ్యా విలువను ఎంటర్ చెయ్యండి.' ,
		SameConsecutiveDigits:'- ఇది కంటే ఎక్కువ 2 వరుసగా అంకెలు అదే ( ఉదా 122287 లేదా 186333 ) ఉండకూడదు',
		ConsecutiveDigitsSequence:'- ఇది క్రమం కంటే ఎక్కువ 2 వరుసగా అంకెలు ( ఉదా 123845 లేదా 987253 ) ఉండకూడదు',
		SameGroupDigits : '- ఇది 2 అంకెలు అదే సమూహం కంటే ఎక్కువ 2 సార్లు ( ఉదా 121212 లేదా 989898 ) పునరావృతం ఉండకూడదు',
	},
	NBRegistrationCompletion :{
		Congratulations:'అభినందనలు',
		SuccessfullyComplete:'మీరు విజయవంతంగా మొబైల్ బ్యాంకింగ్ రిజిస్ట్రేషన్ ప్రక్రియ పూర్తి చేశారు.',
		LoginLink:'మీ మొబైల్ బ్యాంకింగ్ సౌకర్యం ఉపయోగించి ప్రారంభించడానికి క్రింద లాగిన్ లింక్పై క్లిక్ చేయండి.',
	},
	ForgotPinScreen1 :{
		ResetOption :' ఒక రీసెట్ ఎంపికను ఎంచుకోండి',
		Netbanking :'నెట్బ్యాంకింగ్',
		DebitCard:'డెబిట్ కార్డు',
	},
	ForgotPINDebitCard:{
		Title:'పిన్ రీసెట్ - డెబిట్ కార్డ్',
		DebitCardNumber :'డెబిట్ కార్డ్ సంఖ్య',
		Pin:'పిన్',
		ExpiryMonth:'గడువు నెల',
		ExpiryYear : ' గడువు ఇయర్',
	},
	ForgotPINNetbanking:{
		Title : 'పిన్ రీసెట్ - నెట్ బ్యాంకింగ్',
		UserId :'వినియోగదారుని గుర్తింపు',
		Password : 'పాస్వర్డ్',	
	},
	DebitForgotPinSetup:{
		Title : 'పిన్ రీసెట్',
		ChangeLoginPin :'మార్చు లాగిన్ PIN',
		NewLoginPin:'కొత్త లాగిన్ PIN',
		NewLoginPinAlias:'కొత్త లాగిన్ పిన్ ( Min 6 అంకెలు )',
		ConfirmLoginPin:'లాగిన్ PIN నిర్ధారించండి',
		ConfirmLoginPinAlias:'నిర్ధారించండి లాగిన్ పిన్ ( Min 6 అంకెలు )',
		ChangeTransactionPin :'మార్చు లావాదేవీ PIN',
		NewTransactionPin:'కొత్త లావాదేవీ PIN',
		NewTransactionPinAlias:'కొత్త లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		ConfirmTransactionPin:'లావాదేవీ PIN నిర్ధారించండి',
		ConfirmTransactionPinAlias:'నిర్ధారించండి లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		PleaseNote : 'గమనిక దయచేసి',
		NumericValue :' - మీ పిన్ 6 అంకెల సంఖ్యా విలువ ఎంటర్.' ,
		SameConsecutiveDigits:'- ఇది కంటే ఎక్కువ 2 వరుసగా అంకెలు అదే ( ఉదా 122287 లేదా 186333 ) ఉండకూడదు',
		ConsecutiveDigitsSequence:'- ఇది క్రమం కంటే ఎక్కువ 2 వరుసగా అంకెలు ( ఉదా 123845 లేదా 987253 ) ఉండకూడదు',
		SameGroupDigits : '- ఇది 2 అంకెలు అదే సమూహం కంటే ఎక్కువ 2 సార్లు ( ఉదా 121212 లేదా 989898 ) పునరావృతం ఉండకూడదు',
	},
	NBForgotPinSetup:{
		Title : 'పిన్ రీసెట్',
		ChangeLoginPin :'మార్చు లాగిన్ PIN',
		NewLoginPin:'కొత్త లాగిన్ PIN',
		NewLoginPinAlias:'కొత్త లాగిన్ పిన్ ( Min 6 అంకెలు )',
		ConfirmLoginPin:'లాగిన్ PIN నిర్ధారించండి',
		ConfirmLoginPinAlias:'నిర్ధారించండి లాగిన్ పిన్ ( Min 6 అంకెలు )',
		ChangeTransactionPin :'మార్చు లావాదేవీ PIN',
		NewTransactionPin:'కొత్త లావాదేవీ PIN',
		NewTransactionPinAlias:'కొత్త లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		ConfirmTransactionPin:'లావాదేవీ PIN నిర్ధారించండి',
		ConfirmTransactionPinAlias:'నిర్ధారించండి లావాదేవీ పిన్ ( Min 6 అంకెలు )',
		PleaseNote : 'గమనిక దయచేసి',
		NumericValue :' - మీ పిన్ 6 అంకెల సంఖ్యా విలువ ఎంటర్.' ,
		SameConsecutiveDigits:'- ఇది కంటే ఎక్కువ 2 వరుసగా అంకెలు అదే ( ఉదా 122287 లేదా 186333 ) ఉండకూడదు',
		ConsecutiveDigitsSequence:'- ఇది క్రమం కంటే ఎక్కువ 2 వరుసగా అంకెలు ( ఉదా 123845 లేదా 987253 ) ఉండకూడదు',
		SameGroupDigits : '- ఇది 2 అంకెలు అదే సమూహం కంటే ఎక్కువ 2 సార్లు ( ఉదా 121212 లేదా 989898 ) పునరావృతం ఉండకూడదు',
	},
	DBForgotPINCompletion:{
		Congratulations:'అభినందనలు',
		SuccessfullyComplete:'మీ పిన్ విజయవంతంగా రీసెట్ చేయబడింది.',
		LoginLink:'మీ మొబైల్ బ్యాంకింగ్ సౌకర్యం ఉపయోగించి ప్రారంభించడానికి క్రింద లాగిన్ లింక్పై క్లిక్ చేయండి.',
	},
	NBForgotPINCompletion :{
		Congratulations:'అభినందనలు',
		SuccessfullyComplete:'మీ పిన్ విజయవంతంగా రీసెట్ చేయబడింది .',
		LoginLink:'మీ మొబైల్ బ్యాంకింగ్ సౌకర్యం ఉపయోగించి ప్రారంభించడానికి క్రింద లాగిన్ లింక్పై క్లిక్ చేయండి.',
	},
	ReLogin:{
		Title : 'స్వాగతం',
		LoginLabel : 'లాగిన్ మీ PIN ను నమోదు చేయండి',
		LoginLabelAlias:'మీ లాగిన్ PIN ఎంటర్',
		ForgotPin : 'పిన్ మర్చిపోయారా',
		Register : 'నమోదు',
		Version :'వెర్షన్',
	},
	Menu:{
		LastLoginTime: 'చివరి లాగ్ :',
		TermDeposite :'టర్మ్ డిపాజిట్లు',
		TransactionAccounts :'లావాదేవీ అకౌంట్స్',
		Transfers :'బదిలీలు',
		Services : 'సర్వీసులు',
		Cards :'కార్డులు',
		Profile :'ప్రొఫైల్',
		ContactUs:'మమ్మల్ని సంప్రదించండి',
	},
	AccountList :{
		AvailableBalance :'అందుబాటులో సంతులనం:',
		CashCreditAccount :'క్యాష్ క్రెడిట్ ఖాతా',
		CurrentBalance:'ప్రస్తుత నిల్వ:',
		LoanAccount :'రుణ ఖాతా',
		SavingAccount : 'పొదుపు ఖాతా',
		CurrentAccount : 'వాడుక ఖాతా',
	},
	SavCurrAccDetailScreen:{
		Product :'ఉత్పత్తి:',
		AvailableBalance :'అందుబాటులో సంతులనం',
		CurrentBalance:'ప్రస్తుత నిల్వ',
		UnclearFunds :'స్పష్టంగా ఫండ్స్',
		FundsOnHold :'ఆన్ హోల్డ్ ఫండ్స్',
		Last5Trans :'చివరి 5 లావాదేవీలు',
		DetailStatement:'వివరణాత్మక ప్రకటన',
		TransferOwnAccount :'ఖాతా స్వంతం బదిలీ',
		TransferThirdPartyWithinBank :'బ్యాంక్ లోపల మూడవ పార్టీ బదిలీ',
		TransferThirdPartyOtherBank:'మూడవ పార్టీ ఇతర బ్యాంక్ బదిలీ',
		ImpsToMobile :' మొబైల్ మరియు MMID కు IMPS',
	},
	CashCreditDetailScreen:{
		Product :'ఉత్పత్తి:',
		CreditLimit :'క్రెడిట్ పరిమితి',
		AvailableBalance :'అందుబాటులో సంతులనం',
		CurrentBalance:'ప్రస్తుత నిల్వ',
		UnclearFunds :' స్పష్టంగా ఫండ్స్',
		AvailableCredit :'అందుబాటులో క్రెడిట్',
		TotalAmountDue :'మొత్తం పరిమాణం కారణంగా',
		InterestRate :'వడ్డీ రేటు',
		Last5Trans :'చివరి 5 లావాదేవీలు',
		DetailStatement:'వివరణాత్మక ప్రకటన',
	},
	LoanDetailScreen:{
		Product :'ఉత్పత్తి',
		CreditLimit :'క్రెడిట్ పరిమితి',
		AvailableBalance :'అందుబాటులో సంతులనం',
		CurrentBalance:'ప్రస్తుత నిల్వ',
		OpeningDate :' ప్రారంభ తేదీ',
		MaturityDate:'మెచ్యూరిటీ తేదీ',
		AvailableCredit :'అందుబాటులో క్రెడిట్',
		TotalAmountDue :'అందుబాటులో క్రెడిట్',
		InterestRate :'వడ్డీ రేటు',
		Last5Trans :'చివరి 5 లావాదేవీలు',
		DetailStatement:'వివరణాత్మక ప్రకటన',
	},
	DepositMenu:{
		ViewDeposits :'చూడండి డిపాజిట్లు',
		NewRecurringDeposite :'న్యూ రికరింగ్ డిపాజిట్',
		NewRegularIncome:'న్యూ రెగ్యులర్ ఆదాయం డిపాజిట్',
		NewReinvestment :'న్యూ రీ ఇన్వెస్ట్మెంట్ డిపాజిట్',
	},
	RegularIncomeDeposit:{
		Header:' న్యూ రెగ్యులర్ ఆదాయం డిపాజిట్',
		Scheme :'పథకం',
		FromAccount :'ఖాతా నుండి',
		Amount :'మొత్తం',
		PeriodofDeposit:'డిపాజిట్ కాలం : MAXTERM రోజుల',
		PeriodofDepositYears:'డిపాజిట్ ఇయర్స్ కాలం',
		PeriodofDepositMonths:'డిపాజిట్ నెలల కాలంలో',
		PeriodofDepositDays:'డిపాజిట్ డేస్ కాలం',
		InterestPaymentFrequency:'వడ్డీ చెల్లింపు ఫ్రీక్వెన్సీ',
		AccounttoCreditInterest:'క్రెడిట్ వడ్డీ ఖాతా',
		MaturityInstructions:'మెచ్యూరిటీ సూచనలు',
		'Automatically Renew':'స్వయంచాలకంగా పునరుద్ధరించు',
		InterestPaymentOption:'వడ్డీ చెల్లింపు ఎంపిక',
		AccountToCreditMaturityAmount:'మెచూరిటీ మొత్తం క్రెడిట్ ఖాతా',
		TransactionRemarks:'లావాదేవీ విశేషాంశాలు',
		NomineeRequired:'నామినీ అవసరం',
	},
	PIDConfWONom:{
		Header:'ఓపెన్ డిపాజిట్ - నిర్ధారణ',
		Scheme :'పథకం',
		FromAccount :'ఖాతా నుండి',
		Amount :'మొత్తం',
		PeriodofDeposit:'డిపాజిట్ కాలం ',
		PeriodofDepositYears:'డిపాజిట్ ఇయర్స్ కాలం',
		PeriodofDepositMonths:'డిపాజిట్ నెలల కాలంలో',
		PeriodofDepositDays:'డిపాజిట్ డేస్ కాలం',
		InterestPaymentOption:'వడ్డీ చెల్లింపు ఎంపిక',
		AccounttoCreditInterest:'క్రెడిట్ వడ్డీ ఖాతా',
		MaturityInstructions:'మెచ్యూరిటీ సూచనలు',
		AccountToCreditMaturityAmount:'మెచూరిటీ మొత్తం క్రెడిట్ ఖాతా',
		TransactionRemarks:'లావాదేవీ విశేషాంశాలు',
		NomineeRequired:'నామినీ అవసరం',
		Narration:'నెరేషన్',
		InterestRate:'వడ్డీ రేటు',
		MaturityDate:' మెచ్యూరిటీ తేదీ',
		MaturityValue:'మెచ్యూరిటీ విలువ',
		TransactionPin:'లావాదేవీ PIN',
	},
	PIDConfWONomSuceess:{
		Header:'రెగ్యులర్ ఆదాయం డిపాజిట్ - సక్సెస్',
		AccountNo :'మీ డిపాజిట్ A / c సంఖ్య ',
	},
	PIDNomineeDetails:{
		Header:'నామినీ వివరాలు',
		NomineeAddressLine1:'నామినీ చిరునామా పంక్తి 1',
		NomineeAddressLine2:'నామినీ చిరునామా పంక్తి 2',
		NomineeAddressLine3 :'నామినీ చిరునామా పంక్తి 3',
		NomineeAddressLine4 :'నామినీ చిరునామా పంక్తి 4',
		NomineeAge :' నామినీ (సంవత్సరాలలో ) వయసు',
	},
	PIDNomineeMinorDetails :{
		Header:'నామినీ వివరాలు',
		RelationshipWithCustomer :'కస్టమర్ తో సంబంధం',
		DisplayNomineeName :'ప్రదర్శించు నామినీ పేరు',
		IsNomineeMinor:'నామినీ మైనర్ ఉంది',
		NomineeisMinor:'నామినీ మైనర్ ఉంది',
		GuardianNameforNominee:'నామినీ గార్డియన్ పేరు:',
		GuardianName:'గార్డియన్ పేరు',
	},
	PIDConfWithNom:{
		Header:'ఓపెన్ డిపాజిట్ - నిర్ధారణ',
		Scheme :'పథకం',
		FromAccount :'ఖాతా నుండి',
		Amount :'మొత్తం',
		PeriodofDeposit:'డిపాజిట్ కాలం ',
		PeriodofDepositYears:'డిపాజిట్ ఇయర్స్ కాలం',
		PeriodofDepositMonths:'డిపాజిట్ నెలల కాలంలో',
		PeriodofDepositDays:'డిపాజిట్ డేస్ కాలం',
		InterestPaymentOption:'వడ్డీ చెల్లింపు ఎంపిక',
		AccounttoCreditInterest:'క్రెడిట్ వడ్డీ ఖాతా',
		MaturityInstructions:'మెచ్యూరిటీ సూచనలు',
		AccountToCreditMaturityAmount:'మెచూరిటీ మొత్తం క్రెడిట్ ఖాతా',
		TransactionRemarks:'లావాదేవీ విశేషాంశాలు',
		NomineeRequired:'నామినీ అవసరం',
		Narration:'నెరేషన్',
		InterestRate:'వడ్డీ రేటు',
		MaturityDate:' మెచ్యూరిటీ తేదీ',
		MaturityValue:'మెచ్యూరిటీ విలువ',
		TransactionPin:'లావాదేవీ PIN',
		NomineeAddressLine1:'నామినీ Address1 :',
		NomineeAddressLine2:'నామినీ Address2 :',
		NomineeAddressLine3 :'నామినీ Address3 :',
		NomineeAddressLine4 :'నామినీ Address4 :',
		NomineeAge :'నామినీ వయసు:',
		RelationshipWithCustomer :'కస్టమర్ తో సంబంధం:',
		DisplayNomineeName :'ప్రదర్శించు నామినీ పేరు :',
		IsNomineeMinor:'నామినీ మైనర్ ఉంది :',
		NomineeisMinor:'నామినీ మైనర్ ఉంది',
		GuardianNameforNominee:'నామినీ గార్డియన్ పేరు:',
		GuardianName:'గార్డియన్ పేరు',
		NomineeName:'నామినీ పేరు',
		NominationDetails:'నామినేషన్ వివరాలు ( వీక్షించండి క్లిక్ చేయండి )',
		TransactionPin:'లావాదేవీ PIN',
		TransactionPinAlias:'మీ లావాదేవీ PIN ఎంటర్',
	},
	PIDConfWithNomSuccess:{
		Header:'రెగ్యులర్ ఆదాయం డిపాజిట్ - సక్సెస్',
		AccountNo :'మీ డిపాజిట్ A / c సంఖ్య ',
	},
	ReinvestmentDeposit:{
		Header:' న్యూ రీ ఇన్వెస్ట్మెంట్ డిపాజిట్',
		Scheme :'పథకం',
		FromAccount :'ఖాతా నుండి',
		Amount :'మొత్తం',
		PeriodofDeposit:'డిపాజిట్ కాలం ',
		PeriodofDepositYears:'డిపాజిట్ ఇయర్స్ కాలం',
		PeriodofDepositMonths:'డిపాజిట్ నెలల కాలంలో',
		PeriodofDepositDays:'డిపాజిట్ డేస్ కాలం',
		InterestPaymentFrequency:'వడ్డీ చెల్లింపు ఫ్రీక్వెన్సీ',
		InterestPaymentOption:'వడ్డీ చెల్లింపు ఎంపిక',
		AccounttoCreditInterest:'క్రెడిట్ వడ్డీ ఖాతా',
		MaturityInstructions:'మెచ్యూరిటీ సూచనలు',
		AccountToCreditMaturityAmount:'మెచూరిటీ మొత్తం క్రెడిట్ ఖాతా',
		TransactionRemarks:'లావాదేవీ విశేషాంశాలు',
		NomineeRequired:'నామినీ అవసరం',
		Narration:'నెరేషన్',
		InterestRate:'వడ్డీ రేటు',
		MaturityDate:'మెచ్యూరిటీ తేదీ',
		MaturityValue:'మెచ్యూరిటీ విలువ',
		TransactionPin:'లావాదేవీ PIN',
		AtMaturity:'మెచ్యూరిటీ',
		RemainonDeposit:'డిపాజిట్ వుండేందుకు',
		'Automatically Renew':'స్వయంచాలకంగా పునరుద్ధరించు',
		Narrative :'కథనాత్మక',
	},
	ReInvstConfWONom:{
		Header:'ఓపెన్ డిపాజిట్ - నిర్ధారణ',
		Scheme :'పథకం',
		FromAccount :'ఖాతా నుండి',
		Amount :'మొత్తం',
		PeriodofDeposit:'డిపాజిట్ కాలం',
		PeriodofDepositYears:'డిపాజిట్ ఇయర్స్ కాలం',
		PeriodofDepositMonths:'డిపాజిట్ నెలల కాలంలో',
		PeriodofDepositDays:'డిపాజిట్ డేస్ కాలం',
		InterestPaymentFrequency:'వడ్డీ చెల్లింపు ఫ్రీక్వెన్సీ',
		InterestPaymentOption:'వడ్డీ చెల్లింపు ఎంపిక',
		AccounttoCreditInterest:'క్రెడిట్ వడ్డీ ఖాతా',
		MaturityInstructions:'మెచ్యూరిటీ సూచనలు',
		AccountToCreditMaturityAmount:'మెచూరిటీ మొత్తం క్రెడిట్ ఖాతా',
		TransactionRemarks:'లావాదేవీ విశేషాంశాలు',
		NomineeRequired:'నామినీ అవసరం',
		Narration:'నెరేషన్',
		InterestRate:'వడ్డీ రేటు',
		MaturityDate:' మెచ్యూరిటీ తేదీ',
		MaturityValue:'మెచ్యూరిటీ విలువ',
		TransactionPin:'లావాదేవీ PIN',
		AtMaturity:'మెచ్యూరిటీ',
		RemainonDeposit:'డిపాజిట్ వుండేందుకు',
		'Automatically Renew':'స్వయంచాలకంగా పునరుద్ధరించు',
		Narrative :'కథనాత్మక',
		TransactionPin:'లావాదేవీ PIN',
		TransactionPinAlias:'మీ లావాదేవీ PIN ఎంటర్',
	},
	ReInvstWONomSuccess :{
		Header: 'న్యూ రీ ఇన్వెస్ట్మెంట్ డిపాజిట్ - సక్సెస్',
		AccountNo :'మీ డిపాజిట్ A / c సంఖ్య',	
	},
	RINomineeDetails :{
		Header:'నామినీ వివరాలు',
		NomineeName: "నామినీ పేరు",
		Name:'పేరు',
		NomineeAddressLine1:'నామినీ చిరునామా పంక్తి 1',
		AddressLine1 :'చిరునామా పంక్తి 1',
		NomineeAddressLine2:'నామినీ చిరునామా పంక్తి 2',
		AddressLine2 :'చిరునామా లైన్ 2',
		NomineeAddressLine3 :'నామినీ చిరునామా పంక్తి 3',
		AddressLine3 :'చిరునామా పంక్తి 3',
		NomineeAddressLine4 :'నామినీ చిరునామా పంక్తి 4',
		AddressLine4 :'చిరునామా పంక్తి 4',
		NomineeAge :'(సంవత్సరాలలో ) నామినీ వయసు',
		Age:'వయసు',
	},
	RINomineeMinorDetails:{
		Header:' నామినీ వివరాలు',
		NomineeAge :'నామినీ వయసు :',
		RelationshipWithCustomer :'కస్టమర్ తో సంబంధం :',
		DisplayNomineeName :'ప్రదర్శించు నామినీ పేరు:',
		IsNomineeMinor:'నామినీ మైనర్ ఉంది:',
		NomineeisMinor:'నామినీ మైనర్ ఉంది',
		GuardianNameforNominee:'నామినీ గార్డియన్ పేరు:',
		GuardianName:'గార్డియన్',
		NomineeName:'నామినీ పేరు',
		NominationDetails:'నామినేషన్ వివరాలు ( వీక్షించండి క్లిక్ చేయండి )',
		TransactionPin:'లావాదేవీ PIN',
		TransactionPinAlias:'మీ లావాదేవీ PIN ఎంటర్',
	},
	NomineeMaturityDetails:{
		Header:'ఓపెన్ డిపాజిట్ - నిర్ధారణ',
		Scheme :'పథకం',
		FromAccount :'ఖాతా నుండి',
		Amount :'మొత్తం',
		PeriodofDeposit:'డిపాజిట్ కాలం ',
		PeriodofDepositYears:'డిపాజిట్ ఇయర్స్ కాలం',
		PeriodofDepositMonths:'డిపాజిట్ నెలల కాలంలో',
		PeriodofDepositDays:'డిపాజిట్ డేస్ కాలం',
		InterestPaymentFrequency:'వడ్డీ చెల్లింపు ఫ్రీక్వెన్సీ',
		InterestPaymentOption:'వడ్డీ చెల్లింపు ఎంపిక',
		AccounttoCreditInterest:'క్రెడిట్ వడ్డీ ఖాతా',
		MaturityInstructions:'మెచ్యూరిటీ సూచనలు',
		AccountToCreditMaturityAmount:'మెచూరిటీ మొత్తం క్రెడిట్ ఖాతా',
		TransactionRemarks:'లావాదేవీ విశేషాంశాలు',
		NomineeDetails:' నామినీ వివరాలు',
		NomineeRequired:'నామినీ అవసరం',
		NomineeName:'నామినీ పేరు',
		Name:'పేరు',
		RelationshipWithCustomer :'కస్టమర్ తో సంబంధం :',
		DisplayNomineeName :'ప్రదర్శించు నామినీ పేరు:',
		IsNomineeMinor:'నామినీ మైనర్ ఉంది :',
		NomineeisMinor:'నామినీ మైనర్ ఉంది',
		GuardianNameforNominee:'నామినీ గార్డియన్ పేరు:',
		GuardianName:'గార్డియన్',
		NominationDetails:'నామినేషన్ వివరాలు ( వీక్షించండి క్లిక్ చేయండి )',
		NomineeAddressLine1:'నామినీ చిరునామా పంక్తి 1',
		AddressLine1 :' పంక్తి 1 పరిష్కరించేందుకు',
		NomineeAddress1:'నామినీ చిరునామా 1:',
		NomineeAddressLine2:'నామినీ చిరునామా పంక్తి 2',
		AddressLine2 :'చిరునామా లైన్ 2',
		NomineeAddress2:'నామినీ చిరునామా 2:',
		NomineeAddressLine3 :'నామినీ చిరునామా పంక్తి 3',
		NomineeAddress3 :'నామినీ చిరునామా 3:',
		AddressLine3 :'చిరునామా పంక్తి 3',
		NomineeAddressLine4 :'నామినీ చిరునామా పంక్తి 4',
		AddressLine4 :'చిరునామా పంక్తి 4',
		NomineeAddress4 :'నామినీ చిరునామా 4:',
		NomineeAge :'నామినీ వయసు ',
		NomineeAgeInYears :'(సంవత్సరాలలో ) నామినీ వయసు',
		Age:'వయసు',
		Narration:'నెరేషన్',
		InterestRate:'వడ్డీ రేటు',
		MaturityDate:' మెచ్యూరిటీ తేదీ',
		MaturityValue:'మెచ్యూరిటీ విలువ',
		TransactionPin:'లావాదేవీ PIN',
		AtMaturity:'మెచ్యూరిటీ',
		RemainonDeposit:'డిపాజిట్ వుండేందుకు',
		'Automatically Renew':'స్వయంచాలకంగా పునరుద్ధరించు',
		Narrative :'కథనాత్మక',
		TransactionPinAlias:'మీ లావాదేవీ PIN ఎంటర్',
		NextInstalmentDate:'తదుపరి విడత తేదీ',
	},
	RIConfWithNomSuccess :{
		Header: 'న్యూ రీ ఇన్వెస్ట్మెంట్ డిపాజిట్ - సక్సెస్',
		AccountNo :'మీ డిపాజిట్ A / c సంఖ్య',	
	},
	NewRecurringDeposit :{
		Header: 'న్యూ రికరింగ్ డిపాజిట్',
		InterestRateLink: 'చూడండి వడ్డీ రేట్లు',
		RecurringDepositFrequency :'పునరావృతమయ్యే డిపాజిట్ ఫ్రీక్వెన్సీ',	
		PreferredDateForInstallment :'వాయిదా డెబిట్ కోసం ప్రతిపాదించబడిన తేదీ',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'పునరావృతమయ్యే డిపాజిట్ ఫ్రీక్వెన్సీ',
		Monthly :'మంత్లీ',
		InstallmentDebitDay :'వాయిదా డెబిట్ డే',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'పునరావృతమయ్యే డిపాజిట్ ఫ్రీక్వెన్సీ',
		Monthly :'మంత్లీ',
		InstallmentDebitDay :'వాయిదా డెబిట్ డే',
	},
	NRDConfWONomSuccess :{
		Header: 'న్యూ  డిపాజిట్ - సక్సెస్',
		AccountNo :'మీ డిపాజిట్ A / c సంఖ్య',	
	},
	NRDConfWithNomSuccess :{
		Header: 'న్యూ  డిపాజిట్ - సక్సెస్',
		AccountNo :'మీ డిపాజిట్ A / c సంఖ్య',	
	},
	DepositList:{
		RecurringDeposits: 'పునరావృత డిపాజిట్లు',
		InstallmentAmount: 'వాయిదా సొమ్ము:',
		DepositAmount:'డిపాజిట్ మొత్తాన్ని:',
		ReinvestmentDeposits :'రీ ఇన్వెస్ట్మెంట్ డిపాజిట్లు',
		RegularIncomeDeposits:'రెగ్యులర్ ఆదాయం డిపాజిట్లు',
	},
	RDDetailScreen :{
		Product:'ఉత్పత్తి',
		InstallmentAmount:'వాయిదా సొమ్ము',
		CurrentBalance :'ప్రస్తుత నిల్వ',
		OpeningDate :'ప్రారంభ తేదీ',
		MaturityAmount:'మెచూరిటీ మొత్తం',
		Last5Trans :'చివరి 5 లావాదేవీలు',
		DetailStatement :'వివరణాత్మక ప్రకటన',
		CloseAccount :'దగ్గరగా ఖాతా',
	},
	ReInvtDetailScreen :{
		Product:'ఉత్పత్తి',
		InstallmentAmount:'వాయిదా సొమ్ము',
		CurrentBalance :'ప్రస్తుత నిల్వ',
		OpeningDate :'ప్రారంభ తేదీ',
		MaturityAmount:'మెచూరిటీ మొత్తం',
		Last5Trans :'చివరి 5 లావాదేవీలు',
		DetailStatement :'వివరణాత్మక ప్రకటన',
		CloseAccount :'దగ్గరగా ఖాతా',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'వివరణాత్మక ప్రకటన',
		SelectAccount:'ఎంచుకోండి ఖాతా',
		FromDate:'తేదీ నుండి',
		ToDate:'తేదీ',
	},
	DetailDepositStatement :{
		AccountNo :'ఖాతా సంఖ్య',
		Narration :'నెరేషన్',
	},
	CloseDepositReq :{
		CloseDeposit :'దగ్గరగా డిపాజిట్',
		SelectFDAccount:'FD ఖాతా ఎంచుకోండి',
		SelectFundTransferAccount:'Select ఫండ్ ట్రాన్స్ఫర్ ఖాతా',
		Narrative:'కథనాత్మక',
	},
	CloseDepositConfirmation :{
		Header:'దగ్గరగా డిపాజిట్ - నిర్ధారణ',
		RedemptionAmount:'రిడంప్షన్ మొత్తం',
		PenaltyAmount:'పెనాల్టీ సొమ్ము',
		FDAccount:'FD ఖాతా',
		ToAccount:'ఖాతాకు',
		Narration :'నెరేషన్',
	},
	CloseDepositSuccess:{
		Header :'దగ్గరగా డిపాజిట్ - సక్సెస్',
		DepositclosureSuccessful:'డిపాజిట్ మూసివేత విజయవంతమైన',
	},
	TransferMenu:{
		ManageBeneficiaries:'లబ్దిదారులు నిర్వహించండి',	
		TransferBetweenOwnAccounts :'సొంత ఖాతాలకు మధ్య బదిలీ',
		TransferThirdPartyWithinBank:'బ్యాంకు లోపల మూడవ పార్టీ బదిలీ',
		TransferDifferentBank :'మూడవ పార్టీ ఇతర బ్యాంకు బదిలీ',
		ImmediatePaymentService:'తక్షణ చెల్లింపు సర్వీస్ ( IMPS )'
	},
	IMPSMenu:{
		GenerateMMID:'MMID తే / రూపొందించండి',
		CancelMMID :'MMID రద్దు',
		TransferMMID :'MMID ఉపయోగించి బదిలీ',
	},
	GenerateMMID:{
		Account : 'ఖాతా',
		MobileNo:'మొబైల్ నం',
	},
	GenerateMMIDConf:{
		Header:'/ రూపొందించండి MMID తిరిగి - నిర్ధారణ',
		MMIDText :'M M నేను D (మొబైల్ మనీ గుర్తించేది ) IMPS P2P బదిలీ రకం ద్వారా మీ ఖాతాలోకి నిధులను అందుకున్నందుకు ఉత్పత్తి చేయడానికి అవసరమైన ఒక సమయంలో కోడ్ .'
	},
	GenerateMMIDSucc :{
		Header:'M M నేను D తే / రూపొందించండి - సక్సెస్',
		MMID :'M M నేను D',
		linkAccount :'ఖాతా జతచేయబడింది',
	},
	CancelMMIDConf:{
		Header :'MMID రద్దు -నిర్ధారణ',
		CancelMMIDText :'మీరు MMID రద్దు చేసిన తర్వాత MMID ద్వారా ఈ ఖాతాకు డబ్బు అందుకున్న చేయలేరు',
		GenerateMMIDText :"ఈ ఖాతా కోసం MMID ఉత్పత్తి చేయడానికి, గోటో రూపొందించండి / MMID తే దయచేసి",
		MultipleMMIDText :'బహుళ MMIDs అదే ఖాతా సంఖ్య కోసం ఉత్పత్తి సాధ్యం కాదు',
	},
	CancelMMIDSucc :{
		Header:'MMID రద్దు - సక్సెస్',
		MMIDLinkText:'MMID ఖాతాకు అనుసంధానం',
		CancelText:'రద్దు చెయ్యబడింది',
	},
	IMPSP2P :{
		Header :'లబ్ధిదారులు మొబైల్ లేవు మరియు MMID టు ఫండ్ ట్రాన్స్ఫర్',
		BeneficiaryMobileNo:'లబ్ధిదారులు మొబైల్ లేవు',
		BeneficiaryMMID:'లబ్ధిదారులు MMID',
		Remarks:'విశేషాంశాలు',
	},
	IMPSP2PConf :{
		Header :'IMPS P2P - PIN ధృవీకరణ',
		SecretQuestion :'రహస్య ప్రశ్న',
	},
	IMPSP2PSucc :{
		Header :'ఫండ్ ట్రాన్స్ఫర్ - సక్సెస్',
		ReferenceNumber :'మీ సూచన సంఖ్య',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'బ్యాంకు లోపల లబ్ధిదారులు జోడించండి',
		AddBeneficiaryDifferentBank :'లబ్ధిదారులు వివిధ బ్యాంకు జోడించండి',
		ViewBeneficiaryWithinBank:' బ్యాంకు లోపల చూడండి / సవరించండి లబ్ధిదారులు',
		ViewBeneficiaryOtherBank:' చూడండి / సవరించండి లబ్ధిదారులు ఇతర బ్యాంకు',
	},
	AddBeneWithinBank :{
		Header :'న్యూ లబ్ధిదారులు జోడించండి - బ్యాంకు లోపల',
		BeneficiaryName:'లబ్దిదారుని పేరు',
		NickName :'నిక్ పేరు',
		FundTransferLimit:'ఫండ్ ట్రాన్స్ఫర్ పరిమితి',
		LimitMax:'పరిమితి ( మాక్స్',
		AccountNo :'ఖాతా సంఖ్య',
		ConfirmAccountNo:'ఖాతా సంఖ్య నిర్ధారించండి',
	},
	AddBeneWithinBankConf:{
		Header :'లబ్ధిదారులు జోడించండి - నిర్ధారణ',
		AccountNameText :'బ్యాంకు రికార్డుల ప్రకారం పేరు ఖాతా',
		Limit : 'పరిమితి',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'న్యూ లబ్ధిదారులు జోడించండి - సక్సెస్',
		BeneficiaryAddedLine1:'మీ కొత్త లబ్దిదారునికి జతచేయబడింది మరియు తర్వాత సక్రియం చేయబడుతుంది',
		BeneficiaryAddedLine2:'గంటల తర్వాత మీరు నగదు బదిలీ దానిని ఉపయోగించవచ్చు . మీరు చూడండి లబ్దిదారులు పేజీలో లబ్దిదారునికి యొక్క స్థితిని తనిఖీ చేయవచ్చు',
	},
	AddBeneInterBank :{
		Header :'న్యూ లబ్ధిదారులు జోడించండి - వివిధ బ్యాంకు',
		EmailId:'ఇమెయిల్ ఐడి',
		Address:'చిరునామా',
		State :'రాష్ట్రం',
		City :'నగరం / జిల్లా',
		Pincode:'పిన్ కోడ్',
	},
	AddBeneInterBankConf :{
		Header : 'లబ్ధిదారులు జోడించండి - నిర్ధారణ',
		IFSC :'నేను F S సి',
		BankName:'బ్యాంకు పేరు',
		BranchName:'బ్రాంచ్ పేరు',
		Branch :'బ్రాంచ్',
		Email:'బ్రాంచ్',
		City:'సిటీ',
		Phone : 'ఫోన్',
		Bank :'బ్యాంక్',
		BankBranch :'బ్యాంకు శాఖ',
	},
	AddBeneInterBankConfSuccess :{
		Header :'న్యూ లబ్ధిదారులు జోడించండి - సక్సెస్',
	},
	SearchIFSC :{
		Header :'నేను F S సి కోడ్ పొందడానికి ఒక మోడ్ ఎంచుకోండి',
		IFSCcode:'నేను F S సి కోడ్',
		BankCodeCity :'బ్యాంక్ కోడ్ అండ్ ది సిటీ',
	},
	IFSCByCode:{
		EnterIFSCcode : 'నేను F S సి కోడ్ ఎంటర్'
	},
	IFSCByBankCity :{
		BankCode:'బ్యాంక్ కోడ్',
	},
	IFSCBankList :{
		IFSCList:'నేను F S సి జాబితా',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'క్రియాశీల లబ్దిదారులు',
		PendingBeneficiaries:'పెండింగ్ లబ్దిదారులు',
	},
	IntraBankBenDetailActive:{	
		Status: 'స్థితి',
		Active :'క్రియాశీల',
		ModifyBeneficiary:'లబ్ధిదారులు సవరించండి',
		DeleteBeneficiary:'లబ్ధిదారులు తొలగించు',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'పెండింగ్ యాక్టివేషన్',
	},
	ModifyBenWithinSuccess:{
		Header :'లబ్ధిదారులు సవరించండి - సక్సెస్',
		BeneficiarySuccessText :'లబ్ధిదారులు విజయవంతంగా మారిస్తే',
	},
	DeleteBenWithinConf :{
		Header : 'లబ్ధిదారులు తొలగించు - నిర్ధారణ',
	},
	DeleteBenWithinSuccess :{
		Header :'లబ్ధిదారులు తొలగించు - సక్సెస్',
		BeneficiaryDeletedText:'లబ్ధిదారులు విజయవంతంగా తొలగించబడింది',
	},
	ModifyBenInter:{
		BeneficiaryBank:'లబ్దిదారుని బ్యాంకు',
		BeneficiaryBankBranch:'లబ్దిదారుని బ్యాంకు బ్రాంచ్',
	},
	ProfileMenu:{
		MyProfile:'నా జీవన వివరణ',
		ChangeLoginPin:'మార్చు లాగిన్ PIN',
		ChangeTransactionPin :'మార్చు లావాదేవీ PIN',
	},
	MyProfile:{
		CustomerProfile:'కస్టమర్ ప్రొఫైల్',
		Name :'పేరు',
		Mobile : 'మొబైల్',
		Email :'ఇమెయిల్',
		Address : 'చిరునామా',
		City :'సిటీ',
		State :'రాష్ట్రం',
		Country :'దేశం',
		Zip :'దేశం',
	},
	ChangeMPINConfirm :{
		Header :'లాగిన్ పిన్ను మార్చండి - సక్సెస్',
		LoginPinChangedText:'లాగిన్ పిన్ విజయవంతంగా మార్చబడింది. దయచేసి మళ్ళీ లాగిన్ అవ్వండి.'
	},
	ChangeTPINConfirm :{
		Header :'లావాదేవీ పిన్ను మార్చండి - సక్సెస్',
		TransactionPinChangedText:'లావాదేవీ పిన్ను మార్చండి - సక్సెస్.'
	},
	ServicesMenu:{
		ChequeBookRequest:'ప్రిపే బుక్ అభ్యర్థన',
		ChequeStatusInquiry :'ప్రిపే హోదా విచారణ',
		StopCheque :'ఆపు ప్రిపే',
		Account :'ఖాతా'
	},
	CBRConfirmation :{
		Header:'ప్రిపే బుక్ అభ్యర్థన - నిర్ధారణ',
		ChequeBookConfirmText :'ప్రిపే బుక్ ఖాతా కోసం అభ్యర్థించిన ఉంటుంది',
		ChequeBookLine1 :'వర్తించే విధంగా ఛార్జీలు మీ ఖాతాకు విధించిన ఉంటుంది. ఆరోపణలపై వివరాలకు, ESAF వెబ్ సైట్ ఛార్జీలు విభాగాన్ని సందర్శించండి',
		ChequeBookLine2 :' ప్రిపే పుస్తకం 7 పని రోజుల్లో మీ నమోదిత మెయిలింగ్ చిరునామా పంపబడతాయి" style="use-all-width mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'ప్రిపే బుక్ అభ్యర్థన - సక్సెస్',
		RequestAccepted :'ఒక చెక్ బుక్ కోసం మీ అభ్యర్థనను ఆమోదిస్తున్నట్టు చెయ్యబడింది',
	},
	CheckChqStatus:{
		ChequeStatus:'ప్రిపే స్థితి',
		ChequeNo:'ప్రిపే లేవు',
		StartChequeNo:'ప్రారంభ ప్రారంభం ప్రిపే లేవు',
		EndChequeNo:'ఎండ్ ప్రిపే లేవు',
		Status : 'స్థితి',
		Reason:'కారణము',
	},
	StopChqConfirmation :{
		Header : 'ఆపు ప్రిపే - నిర్ధారణ',
		Type :'రకం',
	},
	StopChqResponse :{
		Header : 'ప్రిపే ఆపు - సక్సెస్',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'వివరణాత్మక ప్రకటన',
		AccountNo :'ఖాతా సంఖ్య',
		FromDate :'తేదీ నుండి',
		ToDate :'తేదీ',
	},
	DetailAccountStatement :{
			Balance :'సంతులనం',
	},
	FT2OwnAccount:{
		Header :'సొంత ఖాతాకు ఫండ్ ట్రాన్స్ఫర్',
		ToAccount : 'ఖాతాకు',
		Amount : 'మొత్తం',
	},
	FTConfirmation :{
		Header : 'ఫండ్ ట్రాన్స్ఫర్ - నిర్ధారణ',
	},
	FTSuccess :{
		Header :'ఫండ్ ట్రాన్స్ఫర్ - సక్సెస్',
		ReferenceNumber : 'మీ సూచన సంఖ్య',
	},
	FT2OwnBeneficiary:{	
		Header :'బ్యాంకు లోపల మూడవ పార్టీ ఫండ్ ట్రాన్స్ఫర్',
		Beneficiary :'లబ్ధిదారులు',
	},
	FTConfirmBeneficary :{
		Header :'ఫండ్ ట్రాన్స్ఫర్ - నిర్ధారణ',
		BeneficiaryName :'లబ్దిదారుని పేరు',
		BeneficiaryNickName:'లబ్ధిదారులు నిక్ పేరు',
		BeneficiaryAccount:'లబ్ధిదారులు ఖాతా',
	},
	FT2InterBankBen :{
		Header :' వివిధ బ్యాంకు ధర్డ్ పార్టీ ఫండ్ ట్రాన్స్ఫర్',
		TransactionType :'లావాదేవీ పద్ధతి',
		TotalCharges :'అయిననూ మొత్తం విధింపులు (కలిపి . పన్ను)',
	},
	ContactUs :{
		Header : 'మమ్మల్ని సంప్రదించండి',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'ఫోన్',
		Email :'E - మెయిల్',
		Website :' వెబ్సైట్',
	},
	CardList:{
		Header :'కార్డులు',
	},
	CardDetailScreen :{
		LinkedAccountNo :'లింక్డ్ ఖాతా సంఖ్య',
		ExpiryDate :'గడువు తీరు తేదీ',
		AvailableBalance:'అందుబాటులో సంతులనం',
		HotlistCard:'హాట్ లిస్ట్ కార్డ్',
	},
	HotListCardConf:{
		Header :'హాట్ లిస్ట్ కార్డ్ - నిర్ధారణ',
		CardNo:'కార్డ్ సంఖ్య',
	},
	HotListCardSuccess:{
		Header :' హాట్ జాబితా కార్డ్ - సక్సెస్',
		SuccessText:'కార్డ్ హాట్ విజయవంతంగా జాబితా',
	},
	MiniStatement:{
		Credit :'క్రెడిట్',
		Debit :'డెబిట్',
	},
	Settings:{
		Header:'భాషా',
	},
	Language:{
		Header:'భాష మార్చు',
		Label:'భాష మార్చు',
		Settings:'సెట్టింగులు',
	},
	LanguageSuccess :{
		Header:'మీ భాష మార్చబడింది',
	},
	progressInfo:{
		ValidatinMobileProgress:'నిర్ధారించడంలో . దయచేసి వేచి ఉండండి ...',
		Registering:'నమోదు . దయచేసి వేచి ఉండండి ...',
		PleaseWait:'దయచేసి వేచి ఉండండి ...',
	},
	getBranchDetail :{
		selectCity:'సిటీ ఎంచుకోండి',
		selectState:'రాష్ట్రం ఎంచుకోండి',
		map:'మ్యాప్',
		showList:'బ్రాంచ్ జాబితాలో',
		Navigation:'మార్గదర్శకం',
		BranchLocator:'బ్రాంచ్ గుర్తింపుదారుడు',
		getDirections:'దిశలను పొందండి',
		ContactNumber:'సంప్రదించండి సంఖ్య',
		ContactPerson:'పర్సన్ సంప్రదించండి',
		branchLocations:'బ్రాంచ్ స్థానాలు',
	},

	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook భద్రతా PIN జోడించండి',
		SecurityPIN :'భద్రతా PIN',
		ConfirmSecurityPIN:'భద్రతా PIN నిర్ధారించండి',
	},
	activateMPBsuccess:{
		title:'mPassbook సేవ విజయవంతంగా సక్రియం. లాగిన్ స్క్రీన్ తనిఖీ చేయండి.',
	},
	mPBLogin:{
		title:'కు mPassbook స్వాగతం'	
	},
	mPBMenu:{
		Accounts:'అకౌంట్స్',
		activateMPB:'mPassbook కోసం ఖాతా ఉత్తేజపరచటానికి',
		download:'డౌన్లోడ్',
	},
	mPBAccountList:{
		title:'ఖాతా లేదా mPassbook కోసం సక్రియం'
	},
	mPBEnableAccount:{
		title:'ఖాతాను సక్రియం'	
	},
	mPBSettings:{
		title:'mPassbook సెట్టింగులు',
		records:'పేజీకి రికార్డులను సంఖ్య',
	},
	mPBDownload:{
		title:'ప్రకటన డౌన్లోడ్',
		SelectCategory:'వర్గం ఎంచుకోండి',
		Month:'నెల',
		Year:'ఇయర్',
	},
	mStatement:{
		Search:'శోధన',
		Date:'తేదీ',
		Particulars:'వివరముల',
		Withdrawal :'ఉపసంహరణ',
		Deposit:'డిపాజిట్',
		Balance:'సంతులనం',
		Notes:'గమనికలు',
		Remarks:'విశేషాంశాలు',
		Category:'వర్గం',
	},
	addNotesForPassbook:{
		title:'గమనికలు జోడించండి',
	},

	Remarks:'విశేషాంశాలు',
	Category:'వర్గం',
	/*
	Hindi:'హిందీ',
	English:'ఇంగ్లీష్',
	Marathi:'మరాఠీ',
	Bengali:'బెంగాలీ',
	Gujrati:'గుజరాతీ',
	Kannada:'కన్నడ',
	Malayalam:'మలయాళం',
	Tamil:'తమిళ',
	Telagu:'తెలుగు',
	Urdu:'ఉర్దూ',
	Punjabi:'పంజాబీ',
	*/
	DCSecQuestions:{
		Title:'భద్రత ప్రశ్నలు',
		Question: 'రహస్య ప్రశ్న ఎంచుకోండి ',
		Answer:'రహస్య సమాధానం ',
	},

	ChangeSecQuestions:{
		Title:'మార్చు సెక్యూరిటీ ప్రశ్నలు',
	},
	ChangeSecQuestionsSuccess:{
		Title:'సెక్యూరిటీ ప్రశ్నలు మార్చండి - సక్సెస్',
		Status:'మీరు విజయవంతంగా మీ రహస్య ప్రశ్నలు మరియు సమాధానములు నవీకరించబడింది.',
	}
};

//Punjabi
var translations_punjabi = {
 
 common:{
 	info:'ਜਾਣਕਾਰੀ',
 	exitApp:'ESAF ਬਕ ਮੋਬਾਇਲ ਬੈਕਿੰਗ ਵਰਤਣ ਲਈ ਤੁਹਾਡਾ ਧੰਨਵਾਦ. ਤੁਹਾਨੂੰ ਕਾਰਜ ਨੂੰ ਬੰਦ ਕਰਨਾ ਚਾਹੁੰਦੇ ਹੋ?',
 	mobileValidation :'ਮੋਬਾਈਲ ਵੈਧਤਾ',
 	registerMobile :'ਤੁਹਾਡਾ ਮੋਬਾਈਲ ਨੰਬਰ ਬਕ ਨਾਲ ਰਜਿਸਟਰ ਨੂੰ ਇੱਕ ਨਾਲ ਮੇਲ ਨਹੀ ਹੈ. ਇੱਕ ਜੰਤਰ ਨੂੰ ਰਜਿਸਟਰਡ ਮੋਬਾਈਲ ਨੰਬਰ ਹੋਣ ਤੱਕ ਮੁੜ ਕੋਸ਼ਿਸ ਕਰੋ ਜੀ..',
 	mobileValidationError :'ਸਾਨੂੰ ਆਪਣੇ ਮੋਬਾਈਲ ਨੰਬਰ ਦੀ ਪੜਤਾਲ ਕਰਨ ਲਈ ਅਸਮਰੱਥ ਹੁੰਦੇ ਹਨ. ਚੈੱਕ ਕਰੋ, ਜੇਕਰ ਆਪਣੇ ਜੰਤਰ ਨੂੰ ਬਾਹਰ ਜਾਣ ਐਸਐਮਐਸ ਭੇਜਣ ਜ ਬਾਅਦ ਵਿੱਚ ਦੁਬਾਰਾ ਕੋਸ਼ਿਸ਼ ਕਰਨ ਦੇ ਯੋਗ ਹੁੰਦਾ ਹੈ',
 	errorMessage:'ਤੁਹਾਡੀ ਬੇਨਤੀ ਨੂੰ ਕਾਰਵਾਈ ਕਰਨ ਦੌਰਾਨ ਇੱਕ ਗਲਤੀ ਆਈ ਹੈ. ਬਾਅਦ ਵਿੱਚ ਦੁਬਾਰਾ ਕੋਸ਼ਿਸ਼ ਕਰੋ ਜੀ.',
 	error :'ਗਲਤੀ ਹੈ ,ਇੰਟਰਨੈੱਟ ਕੁਨੈਕਸ਼ਨ ਆਪਣੇ ਜੰਤਰ ਤੇ ਉਪਲਬਧ ਨਹੀ ਹੈ. ਮੋਬਾਈਲ ਡਾਟਾ ਨੂੰ ਯੋਗ ਜ ਇੱਕ WiFi ਨੈੱਟਵਰਕ ਨਾਲ ਜੁੜਨ ਅਤੇ ਮੁੜ ਕੋਸ਼ਿਸ ਕਰੋ ਜੀ.',
 	internetDisconnect :'ਇੰਟਰਨੈੱਟ ਜੁੜਿਆ',
 	update:' ਅੱਪਡੇਟ',
 	updateMessage:'ਇਹ ਨਵੀਨਤਮ ਵਰਜਨ ਤੱਕ ਕਾਰਜ ਨੂੰ ਅੱਪਡੇਟ ਕਰੇਗਾ. ਜਾਰੀ ਰੱਖਣਾ ਹੈ?',
 	selectMaturityAmount:'ਕਿਰਪਾ ਕਰਕੇ ਕਰੈਡਿਟ ਮਿਆਦ ਦੀ ਰਕਮ ਨੂੰ ਖਾਤੇ ਦੀ ਚੋਣ ਕਰੋ',
 	enterAccountNo:'ਠੀਕ 12 ਅੰਕ ਖਾਤਾ ਨੰਬਰ ਦਿਓ ਜੀ',
 	enterCustomerNo:'ਠੀਕ 12 ਅੰਕ ਗਾਹਕ ID ਦਿਓ ਜੀ',
 	fromAccToAccMesg:'ਖਾਤੇ ਤੱਕ ਅਤੇ ਖਾਤੇ ਨੂੰ ਵੀ ਉਸੇ ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
 	pin:'ਪਿੰਨ',
 	pinMandatory:'6 ਅੰਕ ਪਿੰਨ ਲਾਜ਼ਮੀ ਹੈ',
 	currentPinNewPinMesg:'ਵਰਤਮਾਨ ਪਿੰਨ ਅਤੇ ਨਿਊ ਲਾਗਇਨ ਪਿੰਨ 6 ਅੰਕ ਹੀ ਹੋਣਾ ਚਾਹੀਦਾ ਹੈ',
 	currentPinNewPinNotMatch:'ਨਿਊ ਲਾਗਇਨ ਪਿੰਨ ਅਤੇ ਲਾਗਇਨ PIN ਦੀ ਪੁਸ਼ਟੀ ਮੇਲ ਨਾ ਕਰਦੇ,',
 	currentPinNewPinSame:'ਨਿਊ ਲਾਗਇਨ ਪਿੰਨ ਅਤੇ ਵਰਤਮਾਨ ਲਾਗਇਨ ਪਿੰਨ ਉਸੇ ਹੀ ਹੋ ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
 	currentPinTransPinMesg:'ਵਰਤਮਾਨ ਪਿੰਨ ਅਤੇ ਨਿਊ ਸੰਚਾਰ ਪਿੰਨ 6 ਅੰਕ ਹੀ ਹੋਣਾ ਚਾਹੀਦਾ ਹੈ',
 	currentPinTransPinNotMatch:'ਨਿਊ ਸੰਚਾਰ ਪਿੰਨ ਅਤੇ ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਪਿੰਨ ਮੇਲ ਨਾ ਕਰਦੇ,',
 	currentPinTransPinSame:'ਨਿਊ ਸੰਚਾਰ ਪਿੰਨ ਅਤੇ ਮੌਜੂਦਾ ਸੰਚਾਰ ਪਿੰਨ ਉਸੇ ਹੀ ਹੋ ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
 	loginPinConfirmPinMesg:'ਪਿੰਨ ਲਾਗਇਨ ਅਤੇ ਪੁਸ਼ਟੀ ਲਈ ਲਾਗਇਨ ਪਿੰਨ 6 ਅੰਕ ਹੀ ਹੋਣਾ ਚਾਹੀਦਾ ਹੈ',
 	loginPinConfirmPinNotMatch:'ਪਿੰਨ ਲਾਗਇਨ ਅਤੇ ਲਾਗਇਨ PIN ਦੀ ਪੁਸ਼ਟੀ ਮੇਲ ਨਾ ਕਰਦੇ,',
 	TransPinConfirmTransPinMesg:'ਸੰਚਾਰ ਪਿੰਨ ਅਤੇ ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਪਿੰਨ 6 ਅੰਕ ਹੀ ਹੋਣਾ ਚਾਹੀਦਾ ਹੈ',
 	TransPinConfirmTransPinNotMatch:'ਸੰਚਾਰ ਪਿੰਨ ਅਤੇ ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਪਿੰਨ ਮੇਲ ਨਾ ਕਰਦੇ,',
 	loginPinTransPinNotSame:'ਪਿੰਨ ਲਾਗਇਨ ਅਤੇ ਸੰਚਾਰ ਪਿੰਨ ਉਸੇ ਹੀ ਹੋ ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
 	selectLoginOrTransPin:'ਲਾਗਇਨ ਿਪਨ ਜ ਸੰਚਾਰ ਪਿੰਨ ਕਿਸੇ ਸੈੱਟ ਕਰਨ ਲਈ ਦੀ ਚੋਣ ਕਰੋ.',
 	TransPinMandatory:'6 ਅੰਕ ਸੰਚਾਰ ਪਿੰਨ ਲਾਜ਼ਮੀ ਹੈ',
 	SyncMesg:'ਡਾਟਾ ਸਿੰਕ . ਕ੍ਰਿਪਾ ਕਰਕੇ ਉਡੀਕ ਕਰੋ...',
 	SyncData:'ਸਿੰਕ ਡਾਟਾ',
 	NoDataSync:'ਕੋਈ ਡਾਟਾ ਸੈਕਰੋਨਾਈਜ਼ ਲਈ ਉਪਲੱਬਧ ਹੈ.',
 	SyncSuccess:'ਸਿੰਕ ਸਫਲਤਾ',
 	SyncSuccessMesg:'ਸਭ ਡਾਟਾ ਸਫਲਤਾਪੂਰਕ ਸਮਕਾਲੀ .',
 	Logout:'Logout',
 	logoutConfirm:'ਜੇਕਰ ਤੁਹਾਨੂੰ ਇਹ ਯਕੀਨੀ ਤੁਹਾਨੂੰ ਲਾਗਆਉਟ ਕਰਨਾ ਚਾਹੁੰਦੇ ਹੋ?',
 	AreYouSure:'ਤੁਹਾਨੂੰ ਕੀ ਤੁਹਾਨੂੰ ਯਕੀਨ ਹੈ . ਜਾਰੀ ਰੱਖਣਾ ਹੈ?',
 	NoData:'ਕੋਈ ਡਾਟਾ ਉਪਲੱਬਧ',
 	Jan:'ਜਨ',
 	Feb:'ਫਰਵਰੀ',
 	Mar:'ਮਾਰਚ',
 	Apr:'ਅਪਰੈਲ',
 	May:'ਅਪਰੈਲ',
 	Jun:'ਜੂਨ',
 	Jul:'ਜੁਲਾਈ',
 	Aug:'ਅਗਸਤ ਨੂੰ',
 	Sep:'ਸਤੰਬਰ ਨੂੰ',
 	Oct:'ਅਕਤੂਬਰ',
 	Nov:'ਨਵੰਬਰ ਨੂੰ',
 	Dec:'ਦਸੰਬਰ ਨੂੰ',
 	Issued:'ਜਾਰੀ',
 	Paid:'ਭੁਗਤਾਨ',
 	Void:'ਬੇਕਾਰ',
 	Stopped:'ਰੋਕਿਆ',
 	InvalidChequeNo:'ਗਲਤ ਚੈੱਕ ਕੋਈ',
 	smsVerify:'ਇੱਕ ਐਸਐਮਐਸ ਆਪਣੇ ਮੋਬਾਈਲ ਨੰਬਰ ਦੀ ਪੜਤਾਲ ਕਰਨ ਲਈ ਆਪਣੇ ਫੋਨ ਤੱਕ ਭੇਜਿਆ ਜਾਵੇਗਾ. ਕਿਰਪਾ ਕਰਕੇ ਕਲਿਕ ਕਰੋ ਜਾਰੀ ਕਰਨ ਲਈ ਭੇਜੋ.',
 	existingCustomer:'ਮੌਜੂਦਾ ਗਾਹਕ',
 	generatedMesg:'ਤੁਹਾਨੂੰ ਹੀ ਅੱਗੇ ਇੱਕ PIN ਤਿਆਰ ਕੀਤਾ ਹੈ. ਤੁਹਾਨੂੰ ਵੀ ਉਸੇ ਜ ਸੈੱਟਅੱਪ ਇੱਕ ਨਵ ਇੱਕ ਵਰਤ ਜਾਰੀ ਰੱਖਣਾ ਚਾਹੁੰਦੇ ਹੋ?',
 	TransAmountExceeds:'ਸੰਚਾਰ ਦੀ ਰਕਮ ਲਾਭ ਵੱਧ ਸੀਮਾ ਵੱਧ ਹੈ',
 	CutOffExceeded:'ਕੱਟੋ ਬੰਦ ਵਧੀ',
 	HolidayMesg:'ਸੰਚਾਰ ਦੇ ਤੌਰ ਤੇ ਇਸ ਨੂੰ ਇੱਕ ਛੁੱਟੀ ਤੇ ਜ ਦਿਨ ਲਈ cutoff ਵਾਰ ਦੇ ਬਾਅਦ ਸ਼ੁਰੂ ਕੀਤਾ ਗਿਆ ਹੈ ਤੇ ਕਾਰਵਾਈ ਨਹੀ ਕੀਤਾ ਜਾ ਸਕਦਾ ਹੈ. ਜੇਕਰ ਤੁਹਾਨੂੰ ਅਜੇ ਵੀ ਜਾਰੀ ਰੱਖਣਾ ਚਾਹੁੰਦੇ ਹੋ ? ਤੁਹਾਨੂੰ ਚੁਣੋ ਜੀ, ਇਸ ਨੂੰ ਅਗਲੇ ਕੰਮਕਾਜੀ ਦਿਨ ਤੇ ਕਾਰਵਾਈ ਹੋ ਜਾਵੇਗਾ , ਜੇ',
 	ConnectionFailure:'ਕੁਨੈਕਸ਼ਨ ਅਸਫਲ',
 	failureMesg:'ਕੁਨੈਕਸ਼ਨ ਉਪਲੱਬਧ ਨਾ ਬਕ ਕਰਨ ਲਈ. ਬਾਅਦ ਵਿੱਚ ਦੁਬਾਰਾ ਕੋਸ਼ਿਸ਼ ਕਰੋ ਜੀ.',
 	btnLogin: 'ਲਾਗਿਨ',
 	btnNext: 'ਅਗਲਾ',
 	btnSubmit: 'ਪੇਸ਼ ਕਰੋ',
 	btnCancel: 'ਰੱਦ ਕਰੋ',
 	btnBack: 'ਵਾਪਸ',
	btnDownload : ' ਡਾਊਨਲੋਡ ',
	createMstatement : ' mStatement ਸਫਲਤਾਪੂਰਕ ਬਣਾਇਆ ਹੈ. ',
	Loading : ' ਲੋਡ ਹੋ ... ',
	savedSettings : ' ਸੈਟਿੰਗ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਨੂੰ ਬਚਾਇਆ. ',
	accountExit : ' ਚੁਣੇ accountNo ਹੀ mPassbook ਲਈ ਸਰਗਰਮ ਹੈ ',
	InvalidMPB : ' ਗਲਤ mPassbook ਸਨਦ ',
	mPBSync : ' ਸਮਕਾਲੀ ਸਫਲਤਾਪੂਰਕ mPassbook ',
	mPBAccountActivate : 'mPassbook ਲਈ ਸਫਲਤਾਪੂਰਕ ਸਰਗਰਮ ਖਾਤਾ  . ਖਾਤੇ ਵਿੱਚ ਚੈੱਕ ਕਰੋ ਜੀ ',
	ValidatingMobileNo:'ਪ੍ਰਮਾਣਿਤ ਮੋਬਾਈਲ ਨੰਬਰ',
	ftlimit:'ਵੱਧ ਫੰਡ ਦਾ ਸੰਚਾਰ ਸੀਮਾ ₹ 5,00,000 ਹੈ',
 },
 errorCodes : {
	"-1" : "ਤੁਹਾਡੀ ਬੇਨਤੀ ਨੂੰ ਕਾਰਵਾਈ ਕਰਨ ਦੌਰਾਨ ਇੱਕ ਗਲਤੀ ਆਈ ਹੈ. ਬਾਅਦ ਵਿੱਚ ਦੁਬਾਰਾ ਕੋਸ਼ਿਸ਼ ਕਰੋ ਜੀ.",
	"300" : "ਤੁਹਾਨੂੰ ਅਰਜ਼ੀ ਦੀ ਇੱਕ ਪੁਰਾਣਾ ਵਰਜਨ ਵਰਤ ਰਹੇ ਹੋ. ਸਟੋਰ ਨਵੀਨਤਮ ਕਾਰਜ ਨੂੰ ਡਾਊਨਲੋਡ ਕਰੋ ਜੀ",
	"400" : "ਜੰਤਰ ਸਰਗਰਮ ਨਹੀ ਹੈ ਗਾਹਕ ਨੰ ਇਸ ਜੰਤਰ ਨੂੰ ਸਰਗਰਮ ਕਰਨ ਲਈ ਰਜਿਸਟਰ ਕਰੋ ਜੀ ਲਈ",
	"401" : "ਜੰਤਰ ਸਰਗਰਮ ਨਹੀ ਹੈ ਗਾਹਕ ਨੰ ਇਸ ਜੰਤਰ ਨੂੰ ਸਰਗਰਮ ਕਰਨ ਲਈ ਰਜਿਸਟਰ ਕਰੋ ਜੀ ਲਈ",
	"1001" : "ਗਲਤ ਲਾਗਇਨ ਜਾਣਕਾਰੀ . ਤੁਹਾਡਾ ਖਾਤਾ 3 ਗਲਤ ਕੋਸ਼ਿਸ਼ ਦੇ ਬਾਅਦ ਤਾਲਾਬੰਦ ਕਰ ਦਿੱਤਾ ਜਾਵੇਗਾ.",
	"1002" : "ਗਲਤ ਡੈਬਿਟ ਕਾਰਡ ਦੇ ਵੇਰਵੇ . ਕਿਰਪਾ ਕਰਕੇ ਮੁੜ- ਦਿਓ.",
	"1003" : "ਗਲਤ ਨੈੱਟ ਬੈਕਿੰਗ ਸਨਦ . ਕਿਰਪਾ ਕਰਕੇ ਮੁੜ- ਦਿਓ.",
	"1004" : "ਲਾਗਇਨ ਅਤੇ ਸੰਚਾਰ ਪਿੰਨ 6 ਅੰਕ ਹੋਣਾ ਚਾਹੀਦਾ ਹੈ.",
	"1005" : "ਗਲਤ ਗਾਹਕ ID ਜ ਗਾਹਕ ਮੋਬਾਇਲ ਬੈਕਿੰਗ ਤੱਕ ਪਹੁੰਚ ਹੈ, ਨਾ ਹੈ.",
	"1006" : "ਗਲਤ ਖਾਤਾ ਕੋਈ ਜ ਗਾਹਕ ਮੋਬਾਇਲ ਬੈਕਿੰਗ ਤੱਕ ਪਹੁੰਚ ਹੈ, ਨਾ ਹੈ .",
	"1007" : "ਤੁਹਾਡਾ ਸ਼ੈਸ਼ਨ ਖਤਮ ਹੋ ਗਿਆ ਹੈ . ਲਾਗਇਨ ਕਰੋ.",
	"1008" : "ਤੁਹਾਡਾ ਸ਼ੈਸ਼ਨ ਖਤਮ ਹੋ ਗਿਆ ਹੈ . ਲਾਗਇਨ ਕਰੋ ਜੀ.",
	"1009" : "ਕੋਈ ਖਾਤੇ ਗਾਹਕ ID ਲਈ ਉਪਲੱਬਧ ਹੈ",
	"1010" : "ਗਲਤ ਖਾਤਾ ਨੰਬਰ",
	"1011" : "ਗਲਤ ਲਾਗਇਨ ਪਿੰਨ",
	"1012" : "ਪਿੰਨ ਲਾਗਇਨ ਅਤੇ ਸੰਚਾਰ ਪਿੰਨ ਉਸੇ ਹੀ ਹੋ ਨਾ ਹੋ ਸਕਦਾ ਹੈ.",
	"1013" : "ਕੋਈ ਸੰਚਾਰ ਖਾਤੇ ਲਈ ਲੱਭਿਆ ਹੈ, ਚੁਣਿਆ .",
	"1014" : "ਫੰਡ ਸੰਚਾਰ ਲਈ ਦਿੱਤਾ ਹੈ ਵੇਰਵਾ ਗਲਤ ਹਨ. ਸਹੀ ਵੇਰਵੇ ਦਰਜ ਕਰੋ.",
	"1015" : "ਫੰਡ ਸੰਚਾਰ ਅਸਫਲ",
	"1016" : "ਗਲਤ ਸੰਚਾਰ ਪਿੰਨ",
	"1017" : "ਗਾਹਕ ਹੀ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਲਈ ਦਰਜ ਕੀਤਾ ਹੈ. ਲਾਗਇਨ ਜ ਭੁੱਲ ਪਾਸਵਰਡ ਦੀ ਕੋਸ਼ਿਸ਼ ਕਰੋ ਜੀ.",
	"1018" : "ਗਾਹਕ ID ਮੌਜੂਦ ਨਹੀ ਹੈ.",
	"1019" : "ਗਾਹਕ ID ਅਤੇ / ਜ ਖਾਤਾ ਕੋਈ ਗਲਤ ਹਨ.",
	"1020" : "ਉਸੇ ਹੀ ਖਾਤੇ ਨੂੰ ਦਾ ਤਬਾਦਲਾ ਨਾ ਕਰ ਸਕਦਾ ਹੈ",
	"1021" : "ਵੇਰਵੇ ਬਿਆਨ ਲਈ ਦਿੱਤਾ ਹੈ, ਪੈਰਾਮੀਟਰ ਗਲਤ ਹਨ.",
	"1022" : "ਚੈੱਕ ਬੁੱਕ ਬੇਨਤੀ ਹੀ ਮੌਜੂਦ ਹੈ.",
	"1023" : "ਗਲਤ ਲਾਗਇਨ PIN ਗਿਆ. ਕਿਰਪਾ ਕਰਕੇ ਮੁੜ- ਦਿਓ, ਵਰਤਮਾਨ ਲਾਗਇਨ ਪਿੰਨ.",
	"1024" : "ਲਾਗਇਨ ਅਤੇ ਸੰਚਾਰ ਪਿੰਨ ਉਸੇ ਹੀ ਹੋ ਨਾ ਹੋ ਸਕਦਾ ਹੈ. ਇੱਕ ਵੱਖਰੇ PIN ਕੋਸ਼ਿਸ਼ ਕਰੋ.",
	"1025" : "ਗਲਤ ਸੰਚਾਰ PIN ਗਿਆ. ਕਿਰਪਾ ਕਰਕੇ ਮੁੜ- ਦਿਓ, ਵਰਤਮਾਨ ਸੰਚਾਰ ਪਿੰਨ .",
	"1026" : "ਡਿਪਾਜ਼ਿਟ ਅਸਫਲ ਦੇ ਬੰਦ . ਬਾਅਦ ਵਿੱਚ ਕੋਸ਼ਿਸ਼ ਕਰੋ ਜ ਗਾਹਕ ਦੇਖਭਾਲ ਨਾਲ ਸੰਪਰਕ ਕਰੋ.",
	"1027" : "ਕੋਈ ਕਾਰਡ ਗਾਹਕ ਲਈ ਮੌਜੂਦ . ਸੰਪਰਕ ਗਾਹਕ ਦੇਖਭਾਲ ਇੱਕ ਕਾਰਡ ਲਈ ਅਰਜ਼ੀ ਦੇਣ ਲਈ.",
	"1028" : "ਗਲਤ ਕਾਰਡ ਨੰਬਰ",
	"1029" : "ਕਾਰਡ ਤਾਜ਼ਾ ਸੂਚੀ ਵਿੱਚ ਅਸਫਲ. ਮੁੜ ਕੋਸ਼ਿਸ ਕਰੋ ਜੀ.",
	"1030" : "ਗਲਤ ਚੈੱਕ ਕੋਈ ਜ ਚੈੱਕ ਸੀਮਾ.",
	"1031" : "ਕੋਈ ਲਾਭ ਬਕ ਸੰਚਾਰ ਦੇ ਅੰਦਰ ਲਈ ਮਿਲਿਆ ਹੈ. ਨੂੰ ਇੱਕ ਲਾਭਪਾਤਰੀ ਨੂੰ ਜੋਡ਼ਨ ਲਈ ਬਕ ਚੋਣ ਨੂੰ ਦੇ ਅੰਦਰ ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਕਰੋ ਵਰਤੋ.",
	"1032" : "ਕੋਈ ਲਾਭ ਹੋਰ ਬਕ ਸੰਚਾਰ ਲਈ ਮਿਲਿਆ ਹੈ. ਨੂੰ ਇੱਕ ਲਾਭਪਾਤਰੀ ਨੂੰ ਜੋਡ਼ਨ ਲਈ ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਵੱਖ-ਵੱਖ ਬਕ ਚੋਣ ਵਰਤੋ.",
	"1033" : "ਲਾਭਪਾਤਰੀ ਸ਼ਾਮਿਲ ਫੇਲ੍ਹ ਹੈ. ਮੁੜ ਕੋਸ਼ਿਸ ਕਰੋ ਜੀ.",
	"1034" : "ਕੋਈ ਬਕ ਹਵਾਈਅੱਡੇ ਮੌਜੂਦ.",
	"1035" : "ਲਾਭਪਾਤਰੀ ਦੇ ਹਟਾਉਣ ਲਈ ਫੇਲ੍ਹ ਹੈ.",
	"1036" : "ਕੋਈ ਡਿਪਾਜ਼ਿਟ ਖਾਤੇ ਪਾਇਆ ਹੈ,.",
	"1037" : "ਗਲਤੀ ਆਈ ਹੈ. ਡਿਪਾਜ਼ਿਟ ਬੰਦ ਕਰਨ ਲਈ ਵੇਰਵੇ ਪ੍ਰਾਪਤ ਨਾ ਕਰ ਸਕਿਆ.",
	"1039" : "ਵੜ ਲਾਭ ਖਾਤੇ ਗਲਤ ਹੈ.",
	"1040" : "ਡਿਪਾਜ਼ਿਟ ਬਣਾਇਆ ਨਹੀ ਕੀਤਾ ਜਾ ਸਕਿਆ ਹੈ. ਬਾਅਦ ਵਿੱਚ ਕੋਸ਼ਿਸ਼ ਕਰੋ.",
	"1042" : "ਕੋਈ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਖਾਤੇ ਨਾਲ ਲਿੰਕ ਚੁਣਿਆ",
	"1043" : "IMPS ਫੰਡ ਦਾ ਸੰਚਾਰ ਅਸਫਲ .",
	"1044" : "ਖਾਤਾ ਤਾਲਾਬੰਦ ਹੈ . ਕਿਰਪਾ ਕਰਕੇ ਮੁੜ-ਰਜਿਸਟਰ.",
	"1045" : "ਗਲਤ ਲਾਗਇਨ ਪੀ ਮੈਨੂੰ ਐਨ ਗਿਆ. ਕਿਰਪਾ ਕਰਕੇ ਮੁੜ- ਦਿਓ, ਵਰਤਮਾਨ ਲਾਗਇਨ ਪਿੰਨ.",
	"1046" : "ਸੋਧੋ ਲਾਭ ਲਈ ਫੇਲ੍ਹ ਹੈ. ਮੁੜ ਕੋਸ਼ਿਸ ਕਰੋ ਜੀ.",
	"1047" : "ਤੁਹਾਡਾ ਮੋਬਾਈਲ ਨੰਬਰ ਬਕ ਨਾਲ ਰਜਿਸਟਰ ਨੂੰ ਇੱਕ ਨਾਲ ਮੇਲ ਨਹੀ ਹੈ. ਦੇ ਤੌਰ ਤੇ ਬਕ ਨਾਲ ਰਜਿਸਟਰ ਮੋਬਾਈਲ ਨੰਬਰ ਦੇ ਨਾਲ ਜੰਤਰ ਤੱਕ ਰਜਿਸਟਰ ਕਰੋ ਜੀ.",
	"1050" : "లబ్ధిదారులు ఖాతా ఎంటర్ లేవు చెల్లదు",
	"1051" : "ఎంటర్ కస్టమర్ ఐడి చెల్లదు లేదా మొబైల్ బ్యాంకింగ్ యాక్సెస్ లేదా ఖాతా లేవు ప్రవేశించింది చెల్లదు లేదా మొబైల్ బ్యాంకింగ్ యాక్సెస్ లేదు లేదు"
	},
	//combo changes
	'All Funding Account Holders':'ਸਾਰੇ ਫੰਡ ਖਾਤਾ ਧਾਰਕ',
	'Transfer to Another Account':'ਹੋਰ ਖਾਤੇ ਵਿੱਚ ਤਬਦੀਲ',
	'For Self Only':'ਸਵੈ ਲਈ ਹੀ',
	No:'ਕੋਈ',
	Yes:'ਜੀ',
	'Automatically Renew':'ਆਪ ਹੀ ਨਵਿਆਉਣ',
	AndamanandNicobar:'ਅੰਡੇਮਾਨ ਅਤੇ ਨਿਕੋਬਾਰ',
	'Chhattisgarh':'ਛੱਤੀਸਗੜ੍ਹ',
	'Andhra pradesh':'ਪ੍ਰਦੇਸ਼',
	ArunachalPradesh:'ਅਰੁਣਾਚਲ ਪ੍ਰਦੇਸ਼',
	Assam:'ਅਸਾਮ',
	Bihar:'ਬਿਹਾਰ',
	Chandigarh:'ਬਿਹਾਰ',
	DamanandDiu:'ਦਮਨ ਅਤੇ ਦਿਉ',
	Delhi:'ਦਿੱਲੀ',
	DadraandNagarHaveli:'ਦਾਦਰਾ ਅਤੇ ਨਗਰ ਹਵੇਲੀ',
	'Goa':'ਗੋਆ',
	Gujarat:'ਗੁਜਰਾਤ ਦੇ',
	'Himachal Pradesh':'ਹਿਮਾਚਲ ਪ੍ਰਦੇਸ਼',
	Haryana:'ਹਰਿਆਣਾ',
	Jharkhand:'ਝਾਰਖੰਡ',
	'Jammu &amp; Kashmir':'ਜੰਮੂ ਅਤੇ ਕਸ਼ਮੀਰ',
	Karnataka:'ਕਰਨਾਟਕ',
	Kerala:'ਕੇਰਲ',
	Lakshadweep:'ਲਕਸ਼ਦਵੀਪ',
	Maharashtra:'ਮਹਾਰਾਸ਼ਟਰ',
	Meghalaya:'ਮੇਘਾਲਿਆ',
	Manipur:'ਮਣੀਪੁਰ',
	'Madhya Pradesh':'ਮੱਧ ਪ੍ਰਦੇਸ਼',
	Mizoram:'ਮਿਜ਼ੋਰਮ',
	Nagaland:'ਸਵਾਈਨ',
	Odisha:'ਓਡੀਸ਼ਾ',
	Punjab:'ਪੰਜਾਬ ਦੇ',
	Puducherry:'ਪੁਡੂਚੇਰੀ',
	Rajasthan:'ਪੁਡੂਚੇਰੀ',
	Sikkim:'ਸਿੱਕਮ',
	Telangana:'ਤੇਲੰਗਾਨਾ',
	'Tamil Nadu':'ਤਾਮਿਲਨਾਡੂ',
	Tripura:'ਤ੍ਰਿਪੁਰਾ',
	Uttarakhand:'ਉਤਰਾਖੰਡ',
	'Uttar Pradesh':'ਉੱਤਰ ਪ੍ਰਦੇਸ਼',
	'West Bengal':'ਪੱਛਮੀ ਬੰਗਾਲ',
	Debit:'ਡੈਬਿਟ',
	Credit:'ਕ੍ਰੈਡਿਟ',
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਰਜਿਸਟਰੇਸ਼ਨ ਕਰਨ ਲਈ ਸੁਆਗਤ ਹੈ',
		Line1:'ਤੁਹਾਨੂੰ ਆਪਣੇ ਜੰਤਰ ਨੂੰ ਰਜਿਸਟਰ ਕਰੋ ਅਤੇ ਆਪਣੇ ਮੋਬਾਇਲ ਬਿਕੰਗ ਪ੍ਰਮਾਣਿਕਤਾ ਕ੍ਰੇਡੇੰਸ਼ਿਅਲ ਨੂੰ ਸੈੱਟ ਅੱਗੇ ਤੁਹਾਨੂੰ ਇਸ ਸਹੂਲਤ ਨੂੰ ਵਰਤਣ ਲਈ ਸ਼ੁਰੂ ਕਰਨ ਦੀ ਲੋੜ ਹੈ.',
		Line2:'ਕਿਰਪਾ ਕਰਕੇ ਯਕੀਨੀ ਬਣਾਉ ਕਿ ਇਸ ਜੰਤਰ ਦੇ ਮੋਬਾਈਲ ਨੰਬਰ ( ਬਹੁ ਸਿਮ ਜੰਤਰ ਹੋਣ ਦੀ ਸਥਿਤੀ ਵਿੱਚ ਪ੍ਰਾਇਮਰੀ ਿਸਮ ਕਾਰਡ ) ਬਕ ਦੇ ਨਾਲ ਆਪਣੇ ਰਜਿਸਟਰ ਮੋਬਾਈਲ ਨੰਬਰ ਦੇ ਤੌਰ ਤੇ ਹੀ ਹੁੰਦਾ ਹੈ.',
		Line3:'ਆਪਣੇ ਪਛਾਣ ਨੂੰ ਸਥਾਪਤ ਕਰਨ ਲਈ, ਤੁਹਾਨੂੰ ਕਿਸੇ ਨੂੰ ਆਪਣੇ Netbanking ਖਾਤੇ ਜ ਆਪਣੇ ਡੈਬਿਟ ਕਾਰਡ ਲਈ ਪ੍ਰਮਾਣਿਕਤਾ ਕ੍ਰੇਡੇੰਸ਼ਿਅਲ ਮੁਹੱਈਆ ਕਰਨ ਦੀ ਲੋੜ ਹੋਵੇਗੀ.',
		Line4:'ਰਜਿਸਟਰੇਸ਼ਨ ਬਾਅਦ, ਤੁਹਾਨੂੰ ਸਿਰਫ਼ ਇਸ ਜੰਤਰ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਪਹੁੰਚ ਕਰ ਸਕਦੇ ਹੋ  ਮਾਮਲੇ ਤੁਹਾਨੂੰ ਭਵਿੱਖ ਵਿੱਚ ਆਪਣੇ ਜੰਤਰ ਨੂੰ ਤਬਦੀਲ ਕਰਨਾ ਚਾਹੁੰਦੇ ਹੋ , ਤੁਹਾਨੂੰ ਨਵ ਜੰਤਰ ਨੂੰ ਮੁੜ- ਰਜਿਸਟਰ ਕਰਨ ਦੀ ਲੋੜ ਹੋਵੇਗੀ .',
		iAgree:'ਮੈਨੂੰ ਸ਼ਬਦ ਹੈ ਅਤੇ ਹਾਲਾਤ ਦੀ ਵੈੱਬਸਾਈਟ ਵਿਚ ਜ਼ਿਕਰ ਕਰਨ ਲਈ ਸਹਿਮਤ',
	},
	registration:{
		Title1:'ਚੁਣੋ ਗਾਹਕ ਮੈਨੂੰ ਡੀ ਜ ਖਾਤਾ ਨੰਬਰ',
		Title2:'ਗਾਹਕ ਮੈਨੂੰ ਡੀ',
		Title3:'ਅਕਾਊਂਟ ਨੰਬਰ',
		Title4:'12 ਅੰਕ ਗਾਹਕ ਮੈਨੂੰ ਡੀ ਜ ਖਾਤਾ ਨੰਬਰ ਦਿਓ',
		Title5:'ਇੱਥੇ ਨੰਬਰ ਦਿਓ',
		Title6:'ਨੂੰ ਇੱਕ ਰਜਿਸਟਰੇਸ਼ਨ ਚੋਣ ਨੂੰ ਚੁਣੋ ',
		Title7:'ਨੈੱਟ ਬੈਕਿੰਗ',
		Title8:'ਡੈਬਿਟ ਕਾਰਡ',
	},
	ValidateMobile : {
		ValidateMobileNo:'ਪੜਤਾਲ ਮੋਬਾਈਲ ਕੋਈ',
	},
	registrationDebitCard:{
		Header:'ਡੈਬਿਟ ਕਾਰਡ ਦੇ ਵੇਰਵੇ',
		DCLabel:'ਡੈਬਿਟ ਕਾਰਡ ਨੰਬਰ',
		PINLabel:'ਪਿੰਨ',
		ExpLabel:'ਆਖਰੀ ਮਹੀਨੇ',
		ExpYr:'ਮਿਆਦ ਸਾਲ',
	},
	debitPinSetup:{
		Header:'ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਰਜਿਸਟਰੇਸ਼ਨ',
		CurrentLoginPin :'ਵਰਤਮਾਨ ਲਾਗਇਨ ਪਿੰਨ',
		CurrentTransactionPin :'ਵਰਤਮਾਨ ਸੰਚਾਰ ਪਿੰਨ',
		NewLoginPin:'ਨ੍ਯੂ ਲਾਗਇਨ ਪਿੰਨ',
		NewLoginPinAlias:'ਨ੍ਯੂ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmLoginPin:'ਲਾਗਇਨ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmLoginPinAlias:'ਪੁਸ਼ਟੀ ਕਰੋ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		NewTransactionPin:'ਨ੍ਯੂ ਸੰਚਾਰ ਪਿੰਨ',
		NewTransactionPinAlias:'ਨ੍ਯੂ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmTransactionPin:'ਸੰਚਾਰ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmTransactionPinAlias:'ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		PleaseNote : 'ਕ੍ਰਿਪਾ ਧਿਆਨ ਦਿਓ',
		NumericValue :' - ਆਪਣਾ ਪਿੰਨ ਲਈ ਇੱਕ 6 ਅੰਕ ਅੰਕ ਮੁੱਲ ਦਿਓ.' ,
		SameConsecutiveDigits:'- ਇਹ ਲਗਾਤਾਰ ਵੱਧ 2 ਅੰਕ ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ ਉਸੇ ਹੀ (ਉਦਾਹਰਨ ਲਈ 122287 ਜ 186333 )',
		ConsecutiveDigitsSequence:'- ਇਹ ਕ੍ਰਮ ਵਿਚ ਹੋਰ ਵੱਧ 2 ਲਗਾਤਾਰ ਅੰਕ (ਉਦਾਹਰਨ ਲਈ 123845 ਜ 987253 ) ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
		SameGroupDigits : '- ਇਹ ਹੁੰਦੇ ਹਨ , ਨਾ ਕਰ ਸਕਦਾ ਹੈ 2 ਅੰਕ ਦੇ ਇਸੇ ਗਰੁੱਪ ਨੂੰ ਵੱਧ 2 ਵਾਰ (ਉਦਾਹਰਨ ਲਈ 121212 ਜ 989898 ) ਦੁਹਰਾਉਣ',
	},
	RegistrationCompletion :{
		Congratulations:'ਵਧਾਈ',
		SuccessfullyComplete:'ਤੁਹਾਨੂੰ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਰਜਿਸਟਰੇਸ਼ਨ ਦੀ ਪ੍ਰਕਿਰਿਆ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਪੂਰਾ ਕਰ ਲਿਆ ਹੈ .',
		LoginLink:'ਆਪਣੇ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਸਹੂਲਤ ਵਰਤ ਸ਼ੁਰੂ ਕਰਨ ਲਈ ਹੇਠ ਲਾਗਇਨ ਲਿੰਕ ਤੇ ਕਲਿੱਕ ਕਰੋ ਜੀ.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'ਨੈੱਟ ਬੈਕਿੰਗ ਸਨਦ',
		UserId : 'ਯੂਜਰ ਆਈਡੀ',
		Password :'Password',	
	},
	NBPinSetup:{
		Header:'ਪਿੰਨ ਸੈੱਟਅੱਪ',
		NewLoginPin:'ਨ੍ਯੂ ਲਾਗਇਨ ਪਿੰਨ',
		NewLoginPinAlias:'ਨ੍ਯੂ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmLoginPin:'ਲਾਗਇਨ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmLoginPinAlias:'ਪੁਸ਼ਟੀ ਕਰੋ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		NewTransactionPin:'ਨ੍ਯੂ ਸੰਚਾਰ ਪਿੰਨ',
		NewTransactionPinAlias:'ਨ੍ਯੂ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmTransactionPin:'ਸੰਚਾਰ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmTransactionPinAlias:'ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		PleaseNote : 'ਕ੍ਰਿਪਾ ਧਿਆਨ ਦਿਓ',
		NumericValue :' - ਆਪਣਾ ਪਿੰਨ ਲਈ ਇੱਕ 6 ਅੰਕ ਅੰਕੀ ਮੁੱਲ ਦਿਓ.' ,
		SameConsecutiveDigits:'- ਇਹ ਲਗਾਤਾਰ ਵੱਧ 2 ਅੰਕ ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ ਉਸੇ ਹੀ (ਉਦਾਹਰਨ ਲਈ 122287 ਜ 186333 )',
		ConsecutiveDigitsSequence:'- ਇਹ ਕ੍ਰਮ ਵਿਚ ਹੋਰ ਵੱਧ 2 ਲਗਾਤਾਰ ਅੰਕ (ਉਦਾਹਰਨ ਲਈ 123845 ਜ 987253 ) ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
		SameGroupDigits : '- ਇਹ ਹੁੰਦੇ ਹਨ , ਨਾ ਕਰ ਸਕਦਾ ਹੈ 2 ਅੰਕ ਦੇ ਇਸੇ ਗਰੁੱਪ ਨੂੰ ਵੱਧ 2 ਵਾਰ (ਉਦਾਹਰਨ ਲਈ 121212 ਜ 989898 ) ਦੁਹਰਾਉਣ',
	},
	NBRegistrationCompletion :{
		Congratulations:'ਵਧਾਈ',
		SuccessfullyComplete:'ਤੁਹਾਨੂੰ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਰਜਿਸਟਰੇਸ਼ਨ ਦੀ ਪ੍ਰਕਿਰਿਆ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਪੂਰਾ ਕਰ ਲਿਆ ਹੈ.',
		LoginLink:'ਆਪਣੇ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਸਹੂਲਤ ਵਰਤ ਸ਼ੁਰੂ ਕਰਨ ਲਈ ਹੇਠ ਲਾਗਇਨ ਲਿੰਕ ਤੇ ਕਲਿੱਕ ਕਰੋ ਜੀ.',
	},
	ForgotPinScreen1 :{
		ResetOption :' ਨੂੰ ਇੱਕ ਰੀਸੈੱਟ ਚੋਣ ਚੁਣੋ',
		Netbanking :'ਨੈੱਟ ਬੈਕਿੰਗ',
		DebitCard:'ਡੈਬਿਟ ਕਾਰਡ',
	},
	ForgotPINDebitCard:{
		Title:'ਰੀਸੈੱਟ ਪਿੰਨ - ਡੈਬਿਟ ਕਾਰਡ',
		DebitCardNumber :'ਡੈਬਿਟ ਕਾਰਡ ਨੰਬਰ',
		Pin:'ਪਿੰਨ',
		ExpiryMonth:'ਆਖਰੀ ਮਹੀਨੇ',
		ExpiryYear : ' ਮਿਆਦ ਸਾਲ',
	},
	ForgotPINNetbanking:{
		Title : 'ਰੀਸੈੱਟ ਪਿੰਨ - ਨੈੱਟ ਬੈਕਿੰਗ',
		UserId :'ਯੂਜਰ ਆਈਡੀ',
		Password : 'ਪਾਸਵਰਡ',	
	},
	DebitForgotPinSetup:{
		Title : 'ਰੀਸੈੱਟ ਪਿੰਨ',
		ChangeLoginPin :'ਲਾਗਇਨ ਪਿੰਨ ਬਦਲੋ',
		NewLoginPin:'ਨ੍ਯੂ ਲਾਗਇਨ ਪਿੰਨ',
		NewLoginPinAlias:'ਨ੍ਯੂ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmLoginPin:'ਲਾਗਇਨ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmLoginPinAlias:'ਪੁਸ਼ਟੀ ਕਰੋ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ChangeTransactionPin :'ਸੰਚਾਰ ਪਿੰਨ ਬਦਲੋ',
		NewTransactionPin:'ਨ੍ਯੂ ਸੰਚਾਰ ਪਿੰਨ',
		NewTransactionPinAlias:'ਨ੍ਯੂ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmTransactionPin:'ਸੰਚਾਰ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmTransactionPinAlias:'ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		PleaseNote : 'ਕ੍ਰਿਪਾ ਧਿਆਨ ਦਿਓ',
		NumericValue :' - ਆਪਣਾ ਪਿੰਨ ਲਈ ਇੱਕ 6 ਅੰਕ ਅੰਕ ਮੁੱਲ ਦਿਓ.' ,
		SameConsecutiveDigits:'- ਇਹ ਲਗਾਤਾਰ ਵੱਧ 2 ਅੰਕ ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ ਉਸੇ ਹੀ (ਉਦਾਹਰਨ ਲਈ 122287 ਜ 186333 )',
		ConsecutiveDigitsSequence:'- ਇਹ ਕ੍ਰਮ ਵਿਚ ਹੋਰ ਵੱਧ 2 ਲਗਾਤਾਰ ਅੰਕ (ਉਦਾਹਰਨ ਲਈ 123845 ਜ 987253 ) ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
		SameGroupDigits : '- ਇਹ ਹੁੰਦੇ ਹਨ , ਨਾ ਕਰ ਸਕਦਾ ਹੈ 2 ਅੰਕ ਦੇ ਇਸੇ ਗਰੁੱਪ ਨੂੰ ਵੱਧ 2 ਵਾਰ (ਉਦਾਹਰਨ ਲਈ 121212 ਜ 989898 ) ਦੁਹਰਾਉਣ',
	},
	NBForgotPinSetup:{
		Title : 'ਰੀਸੈੱਟ ਪਿੰਨ',
		ChangeLoginPin :'ਲਾਗਇਨ ਪਿੰਨ ਬਦਲੋ',
		NewLoginPin:'ਨ੍ਯੂ ਲਾਗਇਨ ਪਿੰਨ',
		NewLoginPinAlias:'ਨ੍ਯੂ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmLoginPin:'ਲਾਗਇਨ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmLoginPinAlias:'ਪੁਸ਼ਟੀ ਕਰੋ ਲਾਗਇਨ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ChangeTransactionPin :'ਸੰਚਾਰ ਪਿੰਨ ਬਦਲੋ',
		NewTransactionPin:'ਨ੍ਯੂ ਸੰਚਾਰ ਪਿੰਨ',
		NewTransactionPinAlias:'ਨ੍ਯੂ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		ConfirmTransactionPin:'ਸੰਚਾਰ ਪਿੰਨ ਦੀ ਪੁਸ਼ਟੀ',
		ConfirmTransactionPinAlias:'ਪੁਸ਼ਟੀ ਸੰਚਾਰ ਿਪਨ ( ਮਿਨ 6 ਅੰਕ)',
		PleaseNote : 'ਕ੍ਰਿਪਾ ਧਿਆਨ ਦਿਓ',
		NumericValue :' - ਆਪਣਾ ਪਿੰਨ ਲਈ ਇੱਕ 6 ਅੰਕ ਅੰਕ ਮੁੱਲ ਦਿਓ.' ,
		SameConsecutiveDigits:'- ਇਹ ਲਗਾਤਾਰ ਵੱਧ 2 ਅੰਕ ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ ਉਸੇ ਹੀ (ਉਦਾਹਰਨ ਲਈ 122287 ਜ 186333 )',
		ConsecutiveDigitsSequence:'- ਇਹ ਕ੍ਰਮ ਵਿਚ ਹੋਰ ਵੱਧ 2 ਲਗਾਤਾਰ ਅੰਕ (ਉਦਾਹਰਨ ਲਈ 123845 ਜ 987253 ) ਹੈ, ਨਾ ਹੋ ਸਕਦਾ ਹੈ',
		SameGroupDigits : '- ਇਹ ਹੁੰਦੇ ਹਨ , ਨਾ ਕਰ ਸਕਦਾ ਹੈ 2 ਅੰਕ ਦੇ ਇਸੇ ਗਰੁੱਪ ਨੂੰ ਵੱਧ 2 ਵਾਰ (ਉਦਾਹਰਨ ਲਈ 121212 ਜ 989898 ) ਦੁਹਰਾਉਣ',
	},
	DBForgotPINCompletion:{
		Congratulations:'ਵਧਾਈ',
		SuccessfullyComplete:'ਤੁਹਾਡਾ ਪਿੰਨ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਮੁੜ-ਸੈੱਟ ਕਰ ਦਿੱਤਾ ਗਿਆ ਹੈ.',
		LoginLink:'ਆਪਣੇ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਸਹੂਲਤ ਵਰਤ ਸ਼ੁਰੂ ਕਰਨ ਲਈ ਹੇਠ ਲਾਗਇਨ ਲਿੰਕ ਤੇ ਕਲਿੱਕ ਕਰੋ ਜੀ.',
	},
	NBForgotPINCompletion :{
		Congratulations:'ਵਧਾਈ',
		SuccessfullyComplete:'ਤੁਹਾਡਾ ਪਿੰਨ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਮੁੜ-ਸੈੱਟ ਕਰ ਦਿੱਤਾ ਗਿਆ ਹੈ.',
		LoginLink:'ਆਪਣੇ ਮੋਬਾਈਲ ਬੈਕਿੰਗ ਸਹੂਲਤ ਵਰਤ ਸ਼ੁਰੂ ਕਰਨ ਲਈ ਹੇਠ ਲਾਗਇਨ ਲਿੰਕ ਤੇ ਕਲਿੱਕ ਕਰੋ ਜੀ.',
	},
	ReLogin:{
		Title : 'ਸੁਆਗਤ ਹੈ',
		LoginLabel : 'ਲਾਗਇਨ ਕਰਨ ਲਈ ਆਪਣੇ ਪਿੰਨ ਦਰਜ ਕਰੋ',
		LoginLabelAlias:'ਆਪਣੇ ਲਾਗਇਨ ਪਿੰਨ ਦਰਜ',
		ForgotPin : 'ਪਿੰਨ ਭੁੱਲ ਗਏ',
		Register : 'ਰਜਿਸਟਰ',
		Version :'ਵਰਜਨ',
	},
	Menu:{
		LastLoginTime: 'ਆਖਰੀ ਲਾਗਇਨ ਵਿੱਚ:',
		TermDeposite :'ਟਰਮ ਪੇਸ਼ਗੀ',
		TransactionAccounts :'ਸੰਚਾਰ ਖਾਤੇ',
		Transfers :'ਸੰਚਾਰ',
		Services : 'ਸਰਵਿਸਿਜ਼',
		Cards :'ਕਾਰਡ',
		Profile :'ਪ੍ਰੋਫਾਈਲ',
		ContactUs:'ਸਾਡੇ ਨਾਲ ਸੰਪਰਕ ਕਰੋ',
	},
	AccountList :{
		AvailableBalance :'ਉਪਲੱਬਧ ਬਕਾਇਆ:',
		CashCreditAccount :'ਨਕਦ ਕ੍ਰੈਡਿਟ ਖਾਤਾ',
		CurrentBalance:'ਵਰਤਮਾਨ ਬਕਾਇਆ:',
		LoanAccount :'ਲੋਨ ਖਾਤਾ',
		SavingAccount :'ਬੱਚਤ ਖਾਤਾ',
		CurrentAccount : 'ਮੌਜੂਦਾ ਖਾਤਾ',
	},
	SavCurrAccDetailScreen:{
		Product :'ਉਤਪਾਦ:',
		AvailableBalance :'ਉਪਲੱਬਧ ਬਕਾਇਆ',
		CurrentBalance:'ਵਰਤਮਾਨ ਬਕਾਇਆ',
		UnclearFunds :' ਮਨਜੂਰ ਫੰਡ',
		FundsOnHold :'ਹੋਲਡ ਤੇ ਫੰਡ',
		Last5Trans :'ਪਿਛਲੇ 5 ਲੈਣ',
		DetailStatement:'ਵੇਰਵਾ ਬਿਆਨ',
		TransferOwnAccount :'ਖਾਤਾ ਮਾਲਕ ਨੂੰ ਤਬਦੀਲ',
		TransferThirdPartyWithinBank :'ਬਕ ਦੇ ਅੰਦਰ ਤੀਜੀ ਧਿਰ ਨੂੰ ਤਬਦੀਲ',
		TransferThirdPartyOtherBank:'ਤੀਜੀ ਪਾਰਟੀ ਦੇ ਹੋਰ ਬਕ ਨੂੰ ਤਬਦੀਲ',
		ImpsToMobile :' ਮੈਨੂੰ ਪੀ ਐਸ ਐਮ ਮੋਬਾਈਲ ਅਤੇ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਨੂੰ',
	},
	CashCreditDetailScreen:{
		Product :'ਉਤਪਾਦ:',
		CreditLimit :'ਕ੍ਰੈਡਿਟ ਸੀਮਾ',
		AvailableBalance :'ਉਪਲੱਬਧ ਬਕਾਇਆ',
		CurrentBalance:'ਵਰਤਮਾਨ ਬਕਾਇਆ',
		UnclearFunds :' ਮਨਜੂਰ ਫੰਡ',
		AvailableCredit :'ਉਪਲੱਬਧ ਕ੍ਰੈਡਿਟ',
		TotalAmountDue :'ਕੁੱਲ ਰਕਮ ਦੇ ਕਾਰਨ',
		InterestRate :'ਵਿਆਜ ਦਰ',
		Last5Trans :'ਪਿਛਲੇ 5 ਲੈਣ',
		DetailStatement:'ਵੇਰਵਾ ਬਿਆਨ',
	},
	LoanDetailScreen:{
		Product :'ਉਤਪਾਦ:',
		CreditLimit :'ਕ੍ਰੈਡਿਟ ਸੀਮਾ',
		AvailableBalance :'ਉਪਲੱਬਧ ਬਕਾਇਆ',
		CurrentBalance:'ਵਰਤਮਾਨ ਬਕਾਇਆ',
		OpeningDate :' ਉਦਘਾਟਨੀ ਤਾਰੀਖ',
		MaturityDate:'ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਦੀ ਮਿਤੀ',
		AvailableCredit :'ਉਪਲੱਬਧ ਕ੍ਰੈਡਿਟ',
		TotalAmountDue :'ਕੁੱਲ ਰਕਮ ਦੇ ਕਾਰਨ',
		InterestRate :'ਵਿਆਜ ਦਰ',
		Last5Trans :'ਪਿਛਲੇ 5 ਲੈਣ',
		DetailStatement:'ਵੇਰਵਾ ਬਿਆਨ',
	},
	DepositMenu:{
		ViewDeposits :'ਪੇਸ਼ਗੀ ਦੇਖੋ',
		NewRecurringDeposite :'ਨ੍ਯੂ ਆਵਰਤੀ ਡਿਪਾਜ਼ਿਟ',
		NewRegularIncome:'ਨ੍ਯੂ ਨਿਯਮਤ ਆਮਦਨ ਡਿਪਾਜ਼ਿਟ',
		NewReinvestment :'ਨ੍ਯੂ ਮੁੜ ਨਿਵੇਸ਼ ਡਿਪਾਜ਼ਿਟ',
	},
	RegularIncomeDeposit:{
		Header:' ਨ੍ਯੂ ਨਿਯਮਤ ਆਮਦਨ ਡਿਪਾਜ਼ਿਟ',
		Scheme :'ਸਕੀਮ',
		FromAccount :'ਖਾਤੇ ਤੱਕ',
		Amount :'ਮਾਤਰਾ',
		PeriodofDeposit:'ਡਿਪਾਜ਼ਿਟ ਦੇ ਪੀਰੀਅਡ : MAXTERM ਦਿਨ',
		PeriodofDepositYears:'ਡਿਪਾਜ਼ਿਟ ਸਾਲ ਦੀ ਮਿਆਦ',
		PeriodofDepositMonths:'ਡਿਪਾਜ਼ਿਟ ਮਹੀਨੇ ਦੀ ਮਿਆਦ',
		PeriodofDepositDays:'ਡਿਪਾਜ਼ਿਟ ਦਿਨ ਦੀ ਮਿਆਦ',
		InterestPaymentFrequency:'ਵਿਆਜ ਭੁਗਤਾਨ ਦੀ ਬਾਰੰਬਾਰਤਾ',
		AccounttoCreditInterest:'ਕ੍ਰੈਡਿਟ ਵਿਆਜ ਦਾ ਖਾਤਾ',
		MaturityInstructions:'ਮਿਆਦ ਪੂਰੀ ਨਿਰਦੇਸ਼',
		'Automatically Renew':'ਆਪ ਹੀ ਨਵਿਆਉਣ',
		InterestPaymentOption:'ਵਿਆਜ ਭੁਗਤਾਨ ਦਾ ਵਿਕਲਪ',
		AccountToCreditMaturityAmount:'ਖਾਤਾ ਮਿਆਦ ​​ਮਾਤਰਾ ਕਰੈਡਿਟ ਕਰਨ ਲਈ',
		TransactionRemarks:'ਸੰਚਾਰ ਕਥਨ',
		NomineeRequired:'ਨਾਮਜ਼ਦ ਦੀ ਲੋੜ ਹੈ',
	},
	PIDConfWONom:{
		Header:'ਓਪਨ ਡਿਪਾਜ਼ਿਟ - ਪੁਸ਼ਟੀ',
		Scheme :'ਸਕੀਮ',
		FromAccount :'ਖਾਤੇ ਤੱਕ',
		Amount :'ਮਾਤਰਾ',
		PeriodofDeposit:'ਡਿਪਾਜ਼ਿਟ ਦੀ ਮਿਆਦ ',
		PeriodofDepositYears:'ਡਿਪਾਜ਼ਿਟ ਸਾਲ ਦੀ ਮਿਆਦ',
		PeriodofDepositMonths:'ਡਿਪਾਜ਼ਿਟ ਮਹੀਨੇ ਦੀ ਮਿਆਦ',
		PeriodofDepositDays:'ਡਿਪਾਜ਼ਿਟ ਦਿਨ ਦੀ ਮਿਆਦ',
		InterestPaymentOption:'ਵਿਆਜ ਭੁਗਤਾਨ ਦਾ ਵਿਕਲਪ',
		AccounttoCreditInterest:'ਕ੍ਰੈਡਿਟ ਵਿਆਜ ਦਾ ਖਾਤਾ',
		MaturityInstructions:'ਮਿਆਦ ਪੂਰੀ ਨਿਰਦੇਸ਼',
		AccountToCreditMaturityAmount:'ਖਾਤਾ ਮਿਆਦ ​​ਮਾਤਰਾ ਕਰੈਡਿਟ ਕਰਨ ਲਈ',
		TransactionRemarks:'ਸੰਚਾਰ ਕਥਨ',
		NomineeRequired:'ਨਾਮਜ਼ਦ ਦੀ ਲੋੜ ਹੈ',
		Narration:'ਵਰਨਨ',
		InterestRate:'ਵਿਆਜ ਦਰ',
		MaturityDate:' ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਦੀ ਮਿਤੀ',
		MaturityValue:'ਮਿਆਦ ਪੂਰੀ ਮੁੱਲ',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
	},
	PIDConfWONomSuceess:{
		Header:'ਨਿਯਮਤ ਆਮਦਨ ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		AccountNo :'ਤੁਹਾਡਾ ਡਿਪਾਜ਼ਿਟ ਇੱਕ / C ਨੰਬਰ ਹੈ ',
	},
	PIDNomineeDetails:{
		Header:'ਨਾਮਜ਼ਦ ਵੇਰਵਾ',
		NomineeAddressLine1:'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 1',
		NomineeAddressLine2:'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 2',
		NomineeAddressLine3 :'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 3',
		NomineeAddressLine4 :'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 4',
		NomineeAge :'ਨਾਮਜ਼ਦ ਉਮਰ ( ਸਾਲ ਵਿੱਚ)',
	},
	PIDNomineeMinorDetails :{
		Header:'ਨਾਮਜ਼ਦ ਵੇਰਵਾ',
		RelationshipWithCustomer :'ਗਾਹਕ ਦੇ ਨਾਲ ਰਿਸ਼ਤਾ',
		DisplayNomineeName :'ਡਿਸਪਲੇਅ ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ',
		IsNomineeMinor:'ਨਾਮਜ਼ਦ ਨਾਬਾਲਗ ਹੈ',
		NomineeisMinor:'ਨਾਮਜ਼ਦ ਮਾਈਨਰ ਹੈ',
		GuardianNameforNominee:'ਨਾਮਜ਼ਦ ਲਈ ਗਾਰਡੀਅਨ ਦਾ ਨਾਮ:',
		GuardianName:'ਗਾਰਡੀਅਨ ਦਾ ਨਾਮ',
	},
	PIDConfWithNom:{
		Header:'ਓਪਨ ਡਿਪਾਜ਼ਿਟ - ਪੁਸ਼ਟੀ',
		Scheme :'ਸਕੀਮ',
		FromAccount :'ਖਾਤੇ ਤੱਕ',
		Amount :'ਮਾਤਰਾ',
		PeriodofDeposit:'ਡਿਪਾਜ਼ਿਟ ਦੀ ਮਿਆਦ ',
		PeriodofDepositYears:'ਡਿਪਾਜ਼ਿਟ ਸਾਲ ਦੀ ਮਿਆਦ',
		PeriodofDepositMonths:'ਡਿਪਾਜ਼ਿਟ ਮਹੀਨੇ ਦੀ ਮਿਆਦ',
		PeriodofDepositDays:'ਡਿਪਾਜ਼ਿਟ ਦਿਨ ਦੀ ਮਿਆਦ',
		InterestPaymentOption:'ਵਿਆਜ ਭੁਗਤਾਨ ਦਾ ਵਿਕਲਪ',
		AccounttoCreditInterest:'ਕ੍ਰੈਡਿਟ ਵਿਆਜ ਦਾ ਖਾਤਾ',
		MaturityInstructions:'ਮਿਆਦ ਪੂਰੀ ਨਿਰਦੇਸ਼',
		AccountToCreditMaturityAmount:'ਖਾਤਾ ਮਿਆਦ ​​ਮਾਤਰਾ ਕਰੈਡਿਟ ਕਰਨ ਲਈ',
		TransactionRemarks:'ਸੰਚਾਰ ਕਥਨ',
		NomineeRequired:'ਨਾਮਜ਼ਦ ਦੀ ਲੋੜ ਹੈ',
		Narration:'ਵਰਨਨ',
		InterestRate:'ਵਿਆਜ ਦਰ',
		MaturityDate:' ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਦੀ ਮਿਤੀ',
		MaturityValue:'ਮਿਆਦ ਪੂਰੀ ਮੁੱਲ',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		NomineeAddressLine1:'ਨਾਮਜ਼ਦ ਪਤਾ 1:',
		NomineeAddressLine2:'ਨਾਮਜ਼ਦ ਪਤਾ 2:',
		NomineeAddressLine3 :'ਨਾਮਜ਼ਦ ਪਤਾ 3:',
		NomineeAddressLine4 :'ਨਾਮਜ਼ਦ ਪਤਾ 4:',
		NomineeAge :'ਨਾਮਜ਼ਦ ਉਮਰ:',
		RelationshipWithCustomer :'ਗਾਹਕ ਦੇ ਨਾਲ ਰਿਸ਼ਤਾ:',
		DisplayNomineeName :'ਡਿਸਪਲੇਅ ਨਾਮਜ਼ਦ ਨਾਮ:',
		IsNomineeMinor:'ਨਾਮਜ਼ਦ ਨਾਬਾਲਗ ਹੈ :',
		NomineeisMinor:'ਨਾਮਜ਼ਦ ਮਾਈਨਰ ਹੈ',
		GuardianNameforNominee:'ਨਾਮਜ਼ਦ ਲਈ ਗਾਰਡੀਅਨ ਦਾ ਨਾਮ:',
		GuardianName:'ਗਾਰਡੀਅਨ ਦਾ ਨਾਮ',
		NomineeName:'ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ',
		NominationDetails:'ਨਾਮਜ਼ਦਗੀ ਵੇਰਵਾ ( ਦੇਖਣ ਲਈ ਕਲਿੱਕ ਕਰੋ )',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		TransactionPinAlias:'ਤੁਹਾਡੇ ਸੰਚਾਰ ਪਿੰਨ ਦਰਜ',
	},
	PIDConfWithNomSuccess:{
		Header:'ਨਿਯਮਤ ਆਮਦਨ ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		AccountNo :'ਤੁਹਾਡਾ ਡਿਪਾਜ਼ਿਟ ਇੱਕ / C ਨੰਬਰ ਹੈ ',
	},
	ReinvestmentDeposit:{
		Header:'ਨ੍ਯੂ ਮੁੜ ਨਿਵੇਸ਼ ਡਿਪਾਜ਼ਿਟ',
		Scheme :'ਸਕੀਮ',
		FromAccount :'ਖਾਤੇ ਤੱਕ',
		Amount :'ਮਾਤਰਾ',
		PeriodofDeposit:'ਡਿਪਾਜ਼ਿਟ ਦੀ ਮਿਆਦ ',
		PeriodofDepositYears:'ਡਿਪਾਜ਼ਿਟ ਸਾਲ ਦੀ ਮਿਆਦ',
		PeriodofDepositMonths:'ਡਿਪਾਜ਼ਿਟ ਮਹੀਨੇ ਦੀ ਮਿਆਦ',
		PeriodofDepositDays:'ਡਿਪਾਜ਼ਿਟ ਦਿਨ ਦੀ ਮਿਆਦ',
		InterestPaymentFrequency:'ਵਿਆਜ ਭੁਗਤਾਨ ਦੀ ਬਾਰੰਬਾਰਤਾ',
		InterestPaymentOption:'ਵਿਆਜ ਭੁਗਤਾਨ ਦਾ ਵਿਕਲਪ',
		AccounttoCreditInterest:'ਕ੍ਰੈਡਿਟ ਵਿਆਜ ਦਾ ਖਾਤਾ',
		MaturityInstructions:'ਮਿਆਦ ਪੂਰੀ ਨਿਰਦੇਸ਼',
		AccountToCreditMaturityAmount:'ਖਾਤਾ ਮਿਆਦ ​​ਮਾਤਰਾ ਕਰੈਡਿਟ ਕਰਨ ਲਈ',
		TransactionRemarks:'ਸੰਚਾਰ ਕਥਨ',
		NomineeRequired:'ਨਾਮਜ਼ਦ ਦੀ ਲੋੜ ਹੈ',
		Narration:'ਵਰਨਨ',
		InterestRate:'ਵਿਆਜ ਦਰ',
		MaturityDate:'ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਦੀ ਮਿਤੀ',
		MaturityValue:'ਮਿਆਦ ਪੂਰੀ ਮੁੱਲ',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		AtMaturity:'ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਤੇ',
		RemainonDeposit:'ਡਿਪਾਜ਼ਿਟਤੇ ਰਹੋ',
		'Automatically Renew':'ਆਪ ਹੀ ਨਵਿਆਉਣ',
		Narrative :'ਵਾਰਤਾ',
	},
	ReInvstConfWONom:{
		Header:'ਓਪਨ ਡਿਪਾਜ਼ਿਟ - ਪੁਸ਼ਟੀ',
		Scheme :'ਸਕੀਮ',
		FromAccount :'ਸਕੀਮ',
		Amount :'ਮਾਤਰਾ',
		PeriodofDeposit:'ਡਿਪਾਜ਼ਿਟ ਦੀ ਮਿਆਦ ',
		PeriodofDepositYears:'ਡਿਪਾਜ਼ਿਟ ਸਾਲ ਦੀ ਮਿਆਦ',
		PeriodofDepositMonths:'ਡਿਪਾਜ਼ਿਟ ਮਹੀਨੇ ਦੀ ਮਿਆਦ',
		PeriodofDepositDays:'ਡਿਪਾਜ਼ਿਟ ਦਿਨ ਦੀ ਮਿਆਦ',
		InterestPaymentFrequency:'ਵਿਆਜ ਭੁਗਤਾਨ ਦੀ ਬਾਰੰਬਾਰਤਾ',
		InterestPaymentOption:'ਵਿਆਜ ਭੁਗਤਾਨ ਦਾ ਵਿਕਲਪ',
		AccounttoCreditInterest:'ਕ੍ਰੈਡਿਟ ਵਿਆਜ ਦਾ ਖਾਤਾ',
		MaturityInstructions:'ਮਿਆਦ ਪੂਰੀ ਨਿਰਦੇਸ਼',
		AccountToCreditMaturityAmount:'ਖਾਤਾ ਮਿਆਦ ​​ਮਾਤਰਾ ਕਰੈਡਿਟ ਕਰਨ ਲਈ',
		TransactionRemarks:'ਸੰਚਾਰ ਕਥਨ',
		NomineeRequired:'ਨਾਮਜ਼ਦ ਦੀ ਲੋੜ ਹੈ',
		Narration:'ਵਰਨਨ',
		InterestRate:'ਵਿਆਜ ਦਰ',
		MaturityDate:' ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਦੀ ਮਿਤੀ',
		MaturityValue:'ਮਿਆਦ ਪੂਰੀ ਮੁੱਲ',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		AtMaturity:'ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਤੇ',
		RemainonDeposit:'ਡਿਪਾਜ਼ਿਟ ਤੇ ਰਹੋ',
		'Automatically Renew':'ਆਪ ਹੀ ਨਵਿਆਉਣ',
		Narrative :'ਵਾਰਤਾ',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		TransactionPinAlias:'ਤੁਹਾਡੇ ਸੰਚਾਰ ਪੀ ਮੈਨੂੰ ਐਨ ਦਰਜ',
	},
	ReInvstWONomSuccess :{
		Header: 'ਨਿਊ ਮੁੜ ਨਿਵੇਸ਼ ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		AccountNo :'ਤੁਹਾਡਾ ਡਿਪਾਜ਼ਿਟ ਇੱਕ / C ਨੰਬਰ ਹੈ',	
	},
	RINomineeDetails :{
		Header:'ਨਾਮਜ਼ਦ ਵੇਰਵਾ',
		NomineeName: "ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ",
		Name:'ਦਾ ਨਾਮ',
		NomineeAddressLine1:'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 1',
		AddressLine1 :'ਪਤਾ ਲਾਈਨ 1',
		NomineeAddressLine2:'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 2',
		AddressLine2 :'ਪਤਾ ਲਾਈਨ 2',
		NomineeAddressLine3 :'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 3',
		AddressLine3 :'ਪਤਾ ਲਾਈਨ 3',
		NomineeAddressLine4 :'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 4',
		AddressLine4 :'ਪਤਾ ਲਾਈਨ 4',
		NomineeAge :'ਨਾਮਜ਼ਦ ਉਮਰ ( ਸਾਲ ਵਿੱਚ)',
		Age:'ਉੁਮਰ',
	},
	RINomineeMinorDetails:{
		Header:' ਨਾਮਜ਼ਦ ਵੇਰਵਾ',
		NomineeAge :'ਨਾਮਜ਼ਦ ਉਮਰ:',
		RelationshipWithCustomer :'ਗਾਹਕ ਦੇ ਨਾਲ ਰਿਸ਼ਤਾ :',
		DisplayNomineeName :'ਡਿਸਪਲੇਅ ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ :',
		IsNomineeMinor:'ਨਾਮਜ਼ਦ ਨਾਬਾਲਗ ਹੈ :',
		NomineeisMinor:'ਨਾਮਜ਼ਦ ਮਾਈਨਰ ਹੈ',
		GuardianNameforNominee:'ਨਾਮਜ਼ਦ ਲਈ ਗਾਰਡੀਅਨ ਦਾ ਨਾਮ:',
		GuardianName:'ਗਾਰਡੀਅਨ',
		NomineeName:'ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ',
		NominationDetails:'ਨਾਮਜ਼ਦਗੀ ਵੇਰਵਾ ( ਦੇਖਣ ਲਈ ਕਲਿੱਕ ਕਰੋ )',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		TransactionPinAlias:'ਤੁਹਾਡੇ ਸੰਚਾਰ ਪਿੰਨ ਦਰਜ',
	},
	NomineeMaturityDetails:{
		Header:'ਓਪਨ ਡਿਪਾਜ਼ਿਟ - ਪੁਸ਼ਟੀ',
		Scheme :'ਸਕੀਮ',
		FromAccount :'ਖਾਤੇ ਤੱਕ',
		Amount :'ਮਾਤਰਾ',
		PeriodofDeposit:'ਡਿਪਾਜ਼ਿਟ ਦੀ ਮਿਆਦ ',
		PeriodofDepositYears:'ਡਿਪਾਜ਼ਿਟ ਸਾਲ ਦੀ ਮਿਆਦ',
		PeriodofDepositMonths:'ਡਿਪਾਜ਼ਿਟ ਮਹੀਨੇ ਦੀ ਮਿਆਦ',
		PeriodofDepositDays:'ਡਿਪਾਜ਼ਿਟ ਦਿਨ ਦੀ ਮਿਆਦ',
		InterestPaymentFrequency:'ਵਿਆਜ ਭੁਗਤਾਨ ਦੀ ਬਾਰੰਬਾਰਤਾ',
		InterestPaymentOption:'ਵਿਆਜ ਭੁਗਤਾਨ ਦਾ ਵਿਕਲਪ',
		AccounttoCreditInterest:'ਕ੍ਰੈਡਿਟ ਵਿਆਜ ਦਾ ਖਾਤਾ',
		MaturityInstructions:'ਮਿਆਦ ਪੂਰੀ ਨਿਰਦੇਸ਼',
		AccountToCreditMaturityAmount:'ਖਾਤਾ ਮਿਆਦ ​​ਮਾਤਰਾ ਕਰੈਡਿਟ ਕਰਨ ਲਈ',
		TransactionRemarks:'ਸੰਚਾਰ ਕਥਨ',
		NomineeDetails:' ਨਾਮਜ਼ਦ ਵੇਰਵਾ',
		NomineeRequired:'ਨਾਮਜ਼ਦ ਦੀ ਲੋੜ ਹੈ',
		NomineeName:'ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ',
		Name:'ਦਾ ਨਾਮ',
		RelationshipWithCustomer :'ਗਾਹਕ ਦੇ ਨਾਲ ਰਿਸ਼ਤਾ :',
		DisplayNomineeName :'ਡਿਸਪਲੇਅ ਨਾਮਜ਼ਦ ਦਾ ਨਾਮ:',
		IsNomineeMinor:'ਨਾਮਜ਼ਦ ਨਾਬਾਲਗ ਹੈ :',
		NomineeisMinor:'ਨਾਮਜ਼ਦ ਮਾਈਨਰ ਹੈ',
		GuardianNameforNominee:'ਨਾਮਜ਼ਦ ਲਈ ਗਾਰਡੀਅਨ ਦਾ ਨਾਮ:',
		GuardianName:'ਗਾਰਡੀਅਨ',
		NominationDetails:'ਨਾਮਜ਼ਦਗੀ ਵੇਰਵਾ ( ਦੇਖਣ ਲਈ ਕਲਿੱਕ ਕਰੋ )',
		NomineeAddressLine1:'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 1',
		AddressLine1 :'ਪਤਾ ਲਾਈਨ 1',
		NomineeAddress1:'ਨਾਮਜ਼ਦ ਪਤਾ 1:',
		NomineeAddressLine2:'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 2',
		AddressLine2 :'ਪਤਾ ਲਾਈਨ 2',
		NomineeAddress2:'ਨਾਮਜ਼ਦ ਪਤਾ 2:',
		NomineeAddressLine3 :'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 3',
		NomineeAddress3 :'ਨਾਮਜ਼ਦ ਪਤਾ 3:',
		AddressLine3 :'ਪਤਾ ਲਾਈਨ 3',
		NomineeAddressLine4 :'ਨਾਮਜ਼ਦ ਪਤਾ ਲਾਈਨ 4',
		AddressLine4 :'ਪਤਾ ਲਾਈਨ 4',
		NomineeAddress4 :'ਨਾਮਜ਼ਦ ਪਤਾ 4:',
		NomineeAge :'ਨਾਮਜ਼ਦ ਉਮਰ',
		NomineeAgeInYears :'ਨਾਮਜ਼ਦ ਉਮਰ ( ਸਾਲ ਵਿੱਚ)',
		Age:'ਉੁਮਰ',
		Narration:'ਵਰਨਨ',
		InterestRate:'ਵਿਆਜ ਦਰ',
		MaturityDate:'ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਦੀ ਮਿਤੀ',
		MaturityValue:'ਮਿਆਦ ਪੂਰੀ ਮੁੱਲ',
		TransactionPin:'ਸੰਚਾਰ ਪਿੰਨ',
		AtMaturity:'ਮਿਆਦ ਪੂਰੀ ਹੋਣ ਤੇ',
		RemainonDeposit:'ਡਿਪਾਜ਼ਿਟ ਤੇ ਰਹੋ',
		'Automatically Renew':'ਆਪ ਹੀ ਨਵਿਆਉਣ',
		Narrative :'ਵਾਰਤਾ',
		TransactionPinAlias:'ਤੁਹਾਡੇ ਸੰਚਾਰ ਪਿੰਨ ਦਰਜ',
		NextInstalmentDate:'ਅਗਲੀ ਕਿਸ਼ਤ ਤਾਰੀਖ',
	},
	RIConfWithNomSuccess :{
		Header: 'ਨਿਊ ਮੁੜ ਨਿਵੇਸ਼ ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		AccountNo :'ਤੁਹਾਡਾ ਡਿਪਾਜ਼ਿਟ ਇੱਕ / C ਨੰਬਰ ਹੈ',	
	},
	NewRecurringDeposit :{
		Header: 'ਨ੍ਯੂ ਆਵਰਤੀ ਡਿਪਾਜ਼ਿਟ',
		InterestRateLink: 'ਦੇਖੋ ਵਿਆਜ ਦੇ ਮੁੱਲ',
		RecurringDepositFrequency :'ਆਵਰਤੀ ਡਿਪਾਜ਼ਿਟ ਦਾ ਵਕਫ਼ਾ',	
		PreferredDateForInstallment :'ਕਿਸ਼ਤ ਡੈਬਿਟ ਲਈ ਪਸੰਦੀਦਾ ਦੀ ਮਿਤੀ',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'ਆਵਰਤੀ ਡਿਪਾਜ਼ਿਟ ਦਾ ਵਕਫ਼ਾ',
		Monthly :'ਮਾਸਿਕ',
		InstallmentDebitDay :'ਕਿਸ਼ਤ ਡੈਬਿਟ ਦਿਵਸ',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'ਆਵਰਤੀ ਡਿਪਾਜ਼ਿਟ ਦਾ ਵਕਫ਼ਾ',
		Monthly :'ਮਾਸਿਕ',
		InstallmentDebitDay :'ਕਿਸ਼ਤ ਡੈਬਿਟ ਦਿਵਸ',
	},
	NRDConfWONomSuccess :{
		Header: 'ਨਿਊ  ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		AccountNo :'ਤੁਹਾਡਾ ਡਿਪਾਜ਼ਿਟ ਇੱਕ / C ਨੰਬਰ ਹੈ',	
	},
	NRDConfWithNomSuccess :{
		Header: 'ਨਿਊ  ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		AccountNo :'ਤੁਹਾਡਾ ਡਿਪਾਜ਼ਿਟ ਇੱਕ / C ਨੰਬਰ ਹੈ',	
	},
	DepositList:{
		RecurringDeposits: 'ਆਵਰਤੀ ਪੇਸ਼ਗੀ',
		InstallmentAmount: 'ਕਿਸ਼ਤ ਮਾਤਰਾ:',
		DepositAmount:'ਪੇਸ਼ਗੀ ਰਕਮ:',
		ReinvestmentDeposits :'ਮੁੜ ਨਿਵੇਸ਼ ਪੇਸ਼ਗੀ',
		RegularIncomeDeposits:'ਰੈਗੂਲਰ ਇਨਕਮ ਪੇਸ਼ਗੀ',
	},
	RDDetailScreen :{
		Product:'ਉਤਪਾਦ',
		InstallmentAmount:'ਕਿਸ਼ਤ ਮਾਤਰਾ',
		CurrentBalance :'ਵਰਤਮਾਨ ਬਕਾਇਆ',
		OpeningDate :'ਉਦਘਾਟਨੀ ਤਾਰੀਖ',
		MaturityAmount:'ਮਿਆਦ ਪੂਰੀ ਮਾਤਰਾ',
		Last5Trans :'ਪਿਛਲੇ 5 ਲੈਣ',
		DetailStatement :'ਵੇਰਵਾ ਬਿਆਨ',
		CloseAccount :'ਬੰਦ ਕਰੋ ਖਾਤਾ',
	},
	ReInvtDetailScreen :{
		Product:'ਉਤਪਾਦ',
		InstallmentAmount:'ਕਿਸ਼ਤ ਮਾਤਰਾ',
		CurrentBalance :'ਵਰਤਮਾਨ ਬਕਾਇਆ',
		OpeningDate :'ਉਦਘਾਟਨੀ ਤਾਰੀਖ',
		MaturityAmount:'ਮਿਆਦ ਪੂਰੀ ਮਾਤਰਾ',
		Last5Trans :'ਪਿਛਲੇ 5 ਲੈਣ',
		DetailStatement :'ਵੇਰਵਾ ਬਿਆਨ',
		CloseAccount :'ਬੰਦ ਕਰੋ ਖਾਤਾ',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'ਵੇਰਵਾ ਬਿਆਨ',
		SelectAccount:'ਖਾਤਾ ਚੁਣੋ',
		FromDate:'ਮਿਤੀ ਤੱਕ',
		ToDate:'ਮਿਤੀ ਤੱਕ',
	},
	DetailDepositStatement :{
		AccountNo :'ਅਕਾਊਂਟ ਨੰਬਰ',
		Narration :'ਵਰਨਨ',
	},
	CloseDepositReq :{
		CloseDeposit :'ਬੰਦ ਕਰੋ ਡਿਪਾਜ਼ਿਟ',
		SelectFDAccount:'FD ਖਾਤਾ ਚੁਣੋ',
		SelectFundTransferAccount:'ਫੰਡ ਦੀ ਚੋਣ ਕਰੋ ਸੰਚਾਰ ਖਾਤਾ',
		Narrative:'ਵਾਰਤਾ',
	},
	CloseDepositConfirmation :{
		Header:'ਬੰਦ ਕਰੋ ਡਿਪਾਜ਼ਿਟ - ਪੁਸ਼ਟੀ',
		RedemptionAmount:'ਮੁਕਤੀ ਮਾਤਰਾ',
		PenaltyAmount:'ਸਜ਼ਾ ਮਾਤਰਾ',
		FDAccount:'ਫਾਰੇਨਹਾਇਟ ਡੀ ਖਾਤਾ',
		ToAccount:'ਖਾਤੇ ਨੂੰ',
		Narration :'ਵਰਨਨ',
	},
	CloseDepositSuccess:{
		Header :'ਬੰਦ ਕਰੋ ਡਿਪਾਜ਼ਿਟ - ਸਫਲਤਾ',
		DepositclosureSuccessful:'ਡਿਪਾਜ਼ਿਟ ਬੰਦ ਸਫਲ',
	},
	TransferMenu:{
		ManageBeneficiaries:'ਲਾਭਪਾਤਰੋ ਦਾ ਪ੍ਰਬੰਧ ਕਰੋ',	
		TransferBetweenOwnAccounts :'ਆਪਣੇ ਖਾਤੇ ਦੇ ਵਿਚਕਾਰ ਸੰਚਾਰ',
		TransferThirdPartyWithinBank:'ਬਕ ਦੇ ਅੰਦਰ ਤੀਜੀ ਧਿਰ ਨੂੰ ਤਬਦੀਲ',
		TransferDifferentBank :'ਤੀਜੀ ਪਾਰਟੀ ਹੋਰ ਬਕ ਨੂੰ ਤਬਦੀਲ',
		ImmediatePaymentService:'ਤੁਰੰਤ ਭੁਗਤਾਨ ਸੇਵਾ ( IMPS )'
	},
	IMPSMenu:{
		GenerateMMID:'ਬਣਾਉਣ ਲਈ ਹੈ / ਪ੍ਰਾਪਤ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ',
		CancelMMID :'ਰੱਦ ਕਰੋ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ',
		TransferMMID :'ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਵਰਤ ਸੰਚਾਰ',
	},
	GenerateMMID:{
		Account : 'ਖਾਤਾ',
		MobileNo:'ਮੋਬਾਈਲ ਨੰ',
	},
	GenerateMMIDConf:{
		Header:'ਬਣਾਉਣ ਲਈ ਹੈ / ਪ੍ਰਾਪਤ MMID - ਪੁਸ਼ਟੀ',
		MMIDText :'ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ( ਮੋਬਾਈਲ ਮਨੀ ਪਛਾਣਕਰਤਾ ) ਇੱਕ ਵਾਰ IMPS P2P ਤਬਾਦਲੇ ਦੀ ਕਿਸਮ ਦੁਆਰਾ ਆਪਣੇ ਖਾਤੇ ਵਿੱਚ ਫੰਡ ਪ੍ਰਾਪਤ ਕਰਨ ਲਈ ਤਿਆਰ ਕੀਤਾ ਜਾ ਕਰਨ ਦੀ ਲੋੜ ਕੋਡ ਹੈ.'
	},
	GenerateMMIDSucc :{
		Header:'ਬਣਾਉਣ ਲਈ ਹੈ / ਪ੍ਰਾਪਤ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ - ਸਫਲਤਾ',
		MMID :'ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ',
		linkAccount :'ਖਾਤੇ ਨਾਲ ਲਿੰਕ ਦਿੱਤਾ ਗਿਆ ਹੈ',
	},
	CancelMMIDConf:{
		Header :'ਰੱਦ ਕਰੋ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ - ਪੁਸ਼ਟੀ',
		CancelMMIDText :'ਤੁਹਾਨੂੰ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਦੇ ਰੱਦ ਦੇ ਬਾਅਦ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਦੁਆਰਾ ਇਸ ਖਾਤੇ ਨੂੰ ਪੈਸੇ ਪ੍ਰਾਪਤ ਕਰਨ ਦੇ ਯੋਗ ਨਹੀ ਹੋ ਜਾਵੇਗਾ,',
		GenerateMMIDText :'ਇਸ ਖਾਤੇ ਲਈ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਪੈਦਾ ਕਰਨ ਲਈ, ਕਿਰਪਾ ਕਰਕੇ ਬਣਾਉਣ / ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਭਾਗ ਪ੍ਰਾਪਤ ਕਰਨ ਲਈ ਜਾਣ.',
		MultipleMMIDText :'ਬਹੁ MMIDs ਉਸੇ ਖਾਤੇ ਦਾ ਨੰਬਰ ਦੇ ਲਈ ਤਿਆਰ ਨਹੀ ਕੀਤਾ ਜਾ ਸਕਦਾ ਹੈ,',
	},
	CancelMMIDSucc :{
		Header:'ਰੱਦ ਕਰੋ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ - ਸਫਲਤਾ',
		MMIDLinkText:'ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ ਖਾਤੇ ਨਾਲ ਲਿੰਕ',
		CancelText:'ਰੱਦ ਕਰ ਦਿੱਤਾ ਗਿਆ ਹੈ',
	},
	IMPSP2P :{
		Header :'ਫੰਡ ਦਾ ਤਬਾਦਲਾ ਕਰਨ ਲਈ ਲਾਭਪਾਤਰ ਮੋਬਾਈਲ ਕੋਈ ਅਤੇ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ',
		BeneficiaryMobileNo:'ਲਾਭਪਾਤਰ ਮੋਬਾਈਲ ਕੋਈ',
		BeneficiaryMMID:'ਲਾਭਪਾਤਰ ਐਮ ਐਮ ਮੈਨੂੰ ਡੀ',
		Remarks:'ਟਿੱਪਣੀ',
	},
	IMPSP2PConf :{
		Header :'ਮੈਨੂੰ ਪੀ ਐਸ ਐਮਪੀ 2 ਪੀ - ਪਿੰਨ ਪੁਸ਼ਟੀ',
		SecretQuestion :'ਗੁਪਤ ਸਵਾਲ',
	},
	IMPSP2PSucc :{
		Header :'ਫੰਡ ਸੰਚਾਰ - ਸਫਲਤਾ',
		ReferenceNumber :'ਤੁਹਾਡਾ ਹਵਾਲਾ ਨੰਬਰ ਹੈ',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'ਬਕ ਦੇ ਅੰਦਰ ਲਾਭਪਾਤਰ ਜੋੜੋ',
		AddBeneficiaryDifferentBank :'ਲਾਭਪਾਤਰ ਵੱਖ-ਵੱਖ ਬਕ ਜੋੜੋ',
		ViewBeneficiaryWithinBank:'ਵੇਖੋ / ਸੋਧੋ ਬਕ ਦੇ ਅੰਦਰ ਲਾਭ',
		ViewBeneficiaryOtherBank:' ਵੇਖੋ / ਸੋਧੋ ਲਾਭ ਹੋਰ ਬਕ',
	},
	AddBeneWithinBank :{
		Header :'ਨਿਊ ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਕਰੋ - ਬਕ ਦੇ ਅੰਦਰ',
		BeneficiaryName:'ਲਾਭਪਾਤਰ ਦਾ ਨਾਮ',
		NickName :'ਨਿਕ ਦਾ ਨਾਮ',
		FundTransferLimit:'ਫੰਡ ਸੰਚਾਰ ਸੀਮਾ',
		LimitMax:'ਸੀਮਾ ( ਮੈਕਸ )',
		AccountNo :'ਖਾਤਾ ਕੋਈ',
		ConfirmAccountNo:'ਪੁਸ਼ਟੀ ਕਰੋ ਖਾਤਾ ਕੋਈ',
	},
	AddBeneWithinBankConf:{
		Header :'ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਕਰੋ - ਪੁਸ਼ਟੀ',
		AccountNameText :'ਬਕ ਦੇ ਰਿਕਾਰਡ ਅਨੁਸਾਰ ਖਾਤਾ ਨਾਮ',
		Limit : 'ਸੀਮਾ',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'ਨਿਊ ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਕਰੋ - ਸਫਲਤਾ',
		BeneficiaryAddedLine1:'ਤੁਹਾਡਾ ਨਵ ਲਾਭ ਸ਼ਾਮਲ ਕੀਤਾ ਗਿਆ ਹੈ ਅਤੇ ਇਸ ਦੇ ਬਾਅਦ ਸਰਗਰਮ ਹੋ ਜਾਵੇਗਾ',
		BeneficiaryAddedLine2:'ਘੰਟੇ , ਜਿਸ ਦੇ ਬਾਅਦ ਤੁਹਾਨੂੰ ਫੰਡ ਦਾ ਸੰਚਾਰ ਕਰਨ ਲਈ ਇਸ ਨੂੰ ਵਰਤ ਸਕਦੇ ਹੋ. ਤੁਹਾਨੂੰ ਵੇਖਣ ਲਾਭਪਾਤਰੋ ਸਫ਼ੇ ਤੇ ਲਾਭ ਦੀ ਸਥਿਤੀ ਨੂੰ ਚੈੱਕ ਕਰ ਸਕਦਾ ਹੈ',
	},
	AddBeneInterBank :{
		Header :'ਵੱਖ-ਵੱਖ ਬਕ - ਨਿਊ ਲਾਭ ਜੋੜੋ',
		EmailId:'ਈਮੇਲ ਮੈਨੂੰ ',
		Address:'ਪਤਾ',
		State :'ਸਟੇਟ',
		City :'ਸਿਟੀ / ਜ਼ਿਲ੍ਹਾ',
		Pincode:'ਪਿੰਨ',
	},
	AddBeneInterBankConf :{
		Header : 'ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਕਰੋ - ਪੁਸ਼ਟੀ',
		IFSC :'ਮੈਨੂੰ ਫਾਰੇਨਹਾਇਟ C',
		BankName:'ਬਕ ਦਾ ਨਾਮ',
		BranchName:'ਸ਼ਾਖਾ ਦਾ ਨਾਮ',
		Branch :'ਸ਼ਾਖਾ',
		Email:'ਈਮੇਲ',
		City:'ਸਿਟੀ',
		Phone : 'ਫੋਨ',
		Bank :'ਬਕ',
		BankBranch :'ਬਕ ਸ਼ਾਖਾ',
	},
	AddBeneInterBankConfSuccess :{
		Header :'ਨਿਊ ਲਾਭਪਾਤਰ ਸ਼ਾਮਲ ਕਰੋ - ਸਫਲਤਾ',
	},
	SearchIFSC :{
		Header :'ਮੈਨੂੰ ਫਾਰੇਨਹਾਇਟ C ਕੋਡ ਨੂੰ ਪ੍ਰਾਪਤ ਕਰਨ ਲਈ ਇੱਕ ਢੰਗ ਹੈ ਦੀ ਚੋਣ ਕਰੋ',
		IFSCcode:'ਮੈਨੂੰ ਫਾਰੇਨਹਾਇਟ C ਕੋਡ',
		BankCodeCity :'ਬਕ ਕੋਡ ਅਤੇ ਸਿਟੀ',
	},
	IFSCByCode:{
		EnterIFSCcode : 'ਮੈਨੂੰ ਫਾਰੇਨਹਾਇਟ C ਕੋਡ ਦਰਜ ਕਰੋ'
	},
	IFSCByBankCity :{
		BankCode:'ਬਕ ਕੋਡ',
	},
	IFSCBankList :{
		IFSCList:'ਮੈਨੂੰ ਫਾਰੇਨਹਾਇਟ C ਸੂਚੀ',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'ਸਰਗਰਮ ਲਾਭਪਾਤਰੋ',
		PendingBeneficiaries:'ਬਕਾਇਆ ਲਾਭਪਾਤਰੋ',
	},
	IntraBankBenDetailActive:{	
		Status: 'ਸਥਿਤੀ',
		Active :'ਸਰਗਰਮ',
		ModifyBeneficiary:'ਲਾਭਪਾਤਰ ਤਬਦੀਲੀ',
		DeleteBeneficiary:'ਲਾਭਪਾਤਰ ਹਟਾਓ',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'ਬਕਾਇਆ ਸਰਗਰਮੀ',
	},
	ModifyBenWithinSuccess:{
		Header :'ਲਾਭਪਾਤਰ ਤਬਦੀਲੀ - ਸਫਲਤਾ',
		BeneficiarySuccessText :'ਲਾਭਪਾਤਰ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਸੋਧਿਆ ਗਿਆ ਹੈ',
	},
	DeleteBenWithinConf :{
		Header : 'ਲਾਭਪਾਤਰ ਹਟਾਓ - ਪੁਸ਼ਟੀ',
	},
	DeleteBenWithinSuccess :{
		Header :'ਲਾਭਪਾਤਰ ਹਟਾਓ - ਸਫਲਤਾ',
		BeneficiaryDeletedText:'ਲਾਭਪਾਤਰ ਨੂੰ ਸਫਲਤਾਪੂਰਕ ਹਟਾਇਆ',
	},
	ModifyBenInter:{
		BeneficiaryBank:'ਲਾਭਪਾਤਰ ਬਕ',
		BeneficiaryBankBranch:'ਲਾਭਪਾਤਰ ਬਕ ਸ਼ਾਖਾ',
	},
	ProfileMenu:{
		MyProfile:'ਵਾਪਸ ਮੇਰੇ ਪ੍ਰੋਫ਼ਾਈਲ',
		ChangeLoginPin:'ਲਾਗਇਨ PIN ਬਦਲੋ',
		ChangeTransactionPin :'ਸੰਚਾਰ PIN ਬਦਲੋ',
	},
	MyProfile:{
		CustomerProfile:'ਗਾਹਕ ਦਾ ਪ੍ਰੋਫ਼ਾਈਲ',
		Name :'ਦਾ ਨਾਮ',
		Mobile : 'ਮੋਬਾਈਲ',
		Email :'ਈਮੇਲ',
		Address : 'ਪਤਾ',
		City :'ਸਿਟੀ',
		State :'ਸਟੇਟ',
		Country :'ਦੇਸ਼',
		Zip :'ਜ਼ਿੱਪ',
	},
	ChangeMPINConfirm :{
		Header :'ਲਾਗਇਨ ਪਿੰਨ ਬਦਲੋ - ਸਫਲਤਾ',
		LoginPinChangedText:'ਲਾਗਇਨ ਪਿੰਨ ਸਫਲਤਾਪੂਰਵਕ ਬਦਲੀ . ਲਾਗਇਨ ਕਰੋ ਜੀ.'
	},
	ChangeTPINConfirm :{
		Header :'ਸੰਚਾਰ ਪਿੰਨ ਬਦਲੋ - ਸਫਲਤਾ',
		TransactionPinChangedText:'ਸੰਚਾਰ ਪਿੰਨ ਸਫਲਤਾਪੂਰਵਕ ਬਦਲੀ.'
	},
	ServicesMenu:{
		ChequeBookRequest:'ਚੈੱਕ ਬੁੱਕ ਬੇਨਤੀ',
		ChequeStatusInquiry :'ਚੈੱਕ ਸਥਿਤੀ ਇਨਕੁਆਰੀ',
		StopCheque :'ਰੋਕੋ ਚੈੱਕ',
		Account :'ਖਾਤਾ'
	},
	CBRConfirmation :{
		Header:'ਚੈੱਕ ਬੁੱਕ ਬੇਨਤੀ - ਪੁਸ਼ਟੀ',
		ChequeBookConfirmText :'ਚੈੱਕ ਬੁੱਕ ਖਾਤੇ ਲਈ ਬੇਨਤੀ ਕੀਤੀ ਜਾਵੇਗੀ',
		ChequeBookLine1 :'ਲਾਗੂ ਤੌਰ ਖਰਚੇ ਆਪਣੇ ਖਾਤੇ ਨੂੰ ਲਗਾਇਆ ਕੀਤਾ ਜਾਵੇਗਾ. ਦੋਸ਼ ਤੇ ਜਾਣਕਾਰੀ ਲਈ , ਕਿਰਪਾ ਕਰਕੇ ESAF ਵੈੱਬਸਾਈਟ ਤੇ ਖਰਚੇ ਭਾਗ ਤੇ ਜਾਓ',
		ChequeBookLine2 :' ਚੈੱਕ ਦੀ ਕਿਤਾਬ 7 ਕੰਮ ਕਰ ਦਿਨ ਦੇ ਅੰਦਰ-ਅੰਦਰ ਆਪਣੇ ਰਜਿਸਟਰਡ ਡਾਕ ਪਤਾ ਕਰਨ ਲਈ ਦੇ ਦਿੱਤਾ ਜਾਵੇਗਾ' 
	},
	CBRSuccess :{
		Header :'ਚੈੱਕ ਬੁੱਕ ਬੇਨਤੀ - ਸਫਲਤਾ',
		RequestAccepted :'ਇੱਕ ਨਵ ਚੈੱਕ ਬੁੱਕ ਲਈ ਤੁਹਾਡੀ ਬੇਨਤੀ ਨੂੰ ਸਵੀਕਾਰ ਕਰ ਲਿਆ ਗਿਆ ਹੈ,.',
	},
	CheckChqStatus:{
		Cheques:'ਚੈੱਕ',
		ChequeStatus:'ਚੈੱਕ ਸਥਿਤੀ',
		ChequeNo:'ਚੈੱਕ ਕੋਈ',
		StartChequeNo:'ਸ਼ੁਰੂ ਚੈੱਕ ਕੋਈ',
		EndChequeNo:'ਅੰਤ ਚੈੱਕ ਕੋਈ',
		Status : 'ਸਥਿਤੀ',
		Reason :'ਕਾਰਨ',	
	},
	StopChqConfirmation :{
		Header : 'ਰੋਕੋ ਚੈੱਕ  96 ਪੁਸ਼ਟੀ',
		Type :'ਦੀ ਕਿਸਮ',
	},
	StopChqResponse :{
		Header : 'ਰੋਕੋ ਚੈੱਕ  96 ਸਫਲਤਾ',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'ਵੇਰਵਾ ਬਿਆਨ',
		AccountNo :'ਖਾਤਾ ਕੋਈ',
		FromDate :'ਮਿਤੀ ਤੱਕ',
		ToDate :'ਮਿਤੀ ਤੱਕ',
	},
	DetailAccountStatement :{
			Balance :'ਬਕਾਇਆ',
	},
	FT2OwnAccount:{
		Header :'ਫੰਡ ਸੰਚਾਰ ਹੀ ਖਾਤਾ ਕਰਨ ਲਈ',
		ToAccount : 'ਖਾਤੇ ਨੂੰ',
		Amount : 'ਮਾਤਰਾ',
	},
	FTConfirmation :{
		Header : 'ਫੰਡ ਸੰਚਾਰ - ਪੁਸ਼ਟੀ',
	},
	FTSuccess :{
		Header :'ਫੰਡ ਸੰਚਾਰ - ਸਫਲਤਾ',
		ReferenceNumber : 'ਤੁਹਾਡਾ ਹਵਾਲਾ ਨੰਬਰ ਹੈ',
	},
	FT2OwnBeneficiary:{	
		Header :'ਫੰਡ ਸੰਚਾਰ ਤੀਜੀ ਧਿਰ ਨੂੰ ਬਕ ਦੇ ਅੰਦਰ',
		Beneficiary :'ਲਾਭਪਾਤਰ',
	},
	FTConfirmBeneficary :{
		Header :'ਫੰਡ ਸੰਚਾਰ - ਪੁਸ਼ਟੀ',
		BeneficiaryName :'ਲਾਭਪਾਤਰ ਦਾ ਨਾਮ',
		BeneficiaryNickName:'ਲਾਭਪਾਤਰ ਨਿਕ ਦਾ ਨਾਮ',
		BeneficiaryAccount:'ਲਾਭਪਾਤਰ ਖਾਤਾ',
	},
	FT2InterBankBen :{
		Header :' ਫੰਡ ਸੰਚਾਰ ਵੱਖ ਬਕ ਵਿਚ ਤੀਜੀ ਧਿਰ ਨੂੰ',
		TransactionType :'ਸੰਚਾਰ ਦੀ ਕਿਸਮ',
		TotalCharges :'ਕੁੱਲ ਖਰਚੇ ( ਨੰ. ਟੈਕਸ )',
	},
	ContactUs :{
		Header : 'ਸਾਡੇ ਨਾਲ ਸੰਪਰਕ ਕਰੋ',
		Address1 :'ESAF Small Finance Bank , ',
		Address2 :'Hepzibah Complex, Mannuthy P.O, ',
		Address3 :'Thrissur,',
		Address4 :'Kerala - 680 651',
		Phone :'ਫੋਨ',
		Email :'ਈ-ਮੇਲ',
		Website :' ਵੈੱਬਸਾਈਟ',
	},
	CardList:{
		Header :'ਕਾਰਡ',
	},
	CardDetailScreen :{
		LinkedAccountNo :'ਲਿੰਕਡ ਖਾਤਾ ਕੋਈ',
		ExpiryDate :'ਅੰਤ ਦੀ ਤਾਰੀਖ',
		AvailableBalance:'ਉਪਲੱਬਧ ਬਕਾਇਆ',
		HotlistCard:'ਤਾਜ਼ਾ ਸੂਚੀ ਵਿੱਚ ਕਾਰਡ',
	},
	HotListCardConf:{
		Header :'ਤਾਜ਼ਾ ਸੂਚੀ ਵਿੱਚ ਕਾਰਡ - ਪੁਸ਼ਟੀ',
		CardNo:'ਕਾਰਡ ਕੋਈ',
	},
	HotListCardSuccess:{
		Header :' ਤਾਜ਼ਾ ਸੂਚੀ ਵਿੱਚ ਕਾਰਡ - ਸਫਲਤਾ',
		SuccessText:'ਕਾਰਡ ਤਾਜ਼ਾ ਸਫਲਤਾਪੂਰਵਕ ਸੂਚੀਬੱਧ',
	},
	MiniStatement:{
		Credit :'ਕ੍ਰੈਡਿਟ',
		Debit :'ਡੈਬਿਟ',
	},
	Settings:{
		Header:'ਭਾਸ਼ਾ',
	},
	Language:{
		Header:'ਆਪਣੇ ਭਾਸ਼ਾ ਚੁਣੋ',
		Label:'ਭਾਸ਼ਾ ਬਦਲੋ',
		Settings:'ਸੈਟਿੰਗ',
	},
	LanguageSuccess :{
		Header:'ਤੁਹਾਡੀ ਭਾਸ਼ਾ ਬਦਲ ਦਿੱਤਾ ਗਿਆ ਹੈ',
	},
	progressInfo:{
		ValidatinMobileProgress:'ਪ੍ਰਮਾਣਿਤ . ਕ੍ਰਿਪਾ ਕਰਕੇ ਉਡੀਕ ਕਰੋ...',
		Registering:'ਰਜਿਸਟਰ . ਕ੍ਰਿਪਾ ਕਰਕੇ ਉਡੀਕ ਕਰੋ...',
		PleaseWait:'ਕ੍ਰਿਪਾ ਕਰਕੇ ਉਡੀਕ ਕਰੋ...',
	},
	getBranchDetail :{
		selectCity:'ਸ਼ਹਿਰ ਦੀ ਚੋਣ ਕਰੋ',
		selectState:'ਸਟੇਟ ਚੋਣ',
		map:'ਨਕਸ਼ਾ',
		showList:'ਸ਼ਾਖਾ ਸੂਚੀ',
		Navigation:'ਨੇਵੀਗੇਸ਼ਨ',
		BranchLocator:'ਸ਼ਾਖਾ ਲੋਕੇਟਰ',
		getDirections:'ਨਿਰਦੇਸ਼ ਪ੍ਰਾਪਤ ਕਰੋ',
		ContactNumber:'ਸੰਪਰਕ ਨੰਬਰ',
		ContactPerson:'ਵਿਅਕਤੀ ਨੂੰ ਸੰਪਰਕ ਕਰੋ',
		branchLocations:'ਸ਼ਾਖਾ ਸਥਾਨ',
	},
	mPassbook :{
		title: 'mPassbook',
	},
	activateMPB:{
		title : 'mPassbook ਸੁਰੱਖਿਆ ਨੂੰ ਪਿੰਨ ਜੋੜੋ',
		SecurityPIN :'ਸੁਰੱਖਿਆ ਪਿੰਨ',
		ConfirmSecurityPIN:'ਸੁਰੱਖਿਆ PIN ਦੀ ਪੁਸ਼ਟੀ',
	},
	activateMPBsuccess:{
		title:'mPassbook ਸੇਵਾ ਸਫਲਤਾਪੂਰਕ ਸਰਗਰਮ . ਲਾਗਇਨ ਸਕਰੀਨ ਚੈੱਕ ਕਰੋ ਜੀ.',
	},
	mPBLogin:{
		title:'mPassbook ਸੁਆਗਤ ਹੈ'	
	},
	mPBMenu:{
		Accounts:'ਖਾਤੇ',
		activateMPB:'mPassbook ਲਈ ਖਾਤੇ ਨੂੰ ਐਕਟੀਵੇਟ',
		download:'ਡਾਊਨਲੋਡ',
	},
	mPBAccountList:{
		title:'ਕੋਈ ਖਾਤਾ mPassbook ਲਈ ਸਰਗਰਮ'
	},
	mPBEnableAccount:{
		title:'ਖਾਤਾ ਐਕਟੀਵੇਟ ਕਰੋ'	
	},
	mPBSettings:{
		title:'mPassbook ਸੈਟਿੰਗ',
		records:'ਪ੍ਰਤੀ ਸਫ਼ੇ ਦੇ ਰਿਕਾਰਡ ਦੀ ਗਿਣਤੀ',
	},
	mPBDownload:{
		title:'ਡਾਊਨਲੋਡ ਬਿਆਨ',
		SelectCategory:'ਸ਼੍ਰੇਣੀ ਚੁਣੋ',
		Month:'ਮਹੀਨਾ',
		Year:'ਸਾਲ',
	},
	mStatement:{
		Search:'ਖੋਜ',
		Date:'ਮਿਤੀ',
		Particulars:'ਵੇਰਵੇ',
		Withdrawal :'ਕਢਵਾਉਣਾ',
		Deposit:'ਡਿਪਾਜ਼ਿਟ',
		Balance:'ਬਕਾਇਆ',
		Notes:'ਸੂਚਨਾ',
		Remarks:'ਟਿੱਪਣੀ',
		Category:'ਸ਼੍ਰੇਣੀ',
	},
	addNotesForPassbook:{
		title:'ਸੂਚਨਾ ਜੋੜੋ',
	},

	Remarks:'ਟਿੱਪਣੀ',
	Category:'ਸ਼੍ਰੇਣੀ',
	/*
	Hindi:'ਦਾ ਹਿੰਦੀ',
	English:'ਅੰਗਰੇਜ਼ੀ',
	Marathi:'ਮਰਾਠੀ',
	Bengali:'ਦਾ ਬੰਗਾਲੀ',
	Gujrati:'ਗੁਜਰਾਤੀ',
	Kannada:'ਕੰਨੜ',
	Malayalam:'ਮਲਿਆਲਮ',
	Tamil:'ਤਮਿਲ',
	Telagu:'ਤੇਲਗੂ',
	Punjabi:'ਪੰਜਾਬੀ ਦੇ',
	*/

	DCSecQuestions:{
		Title:'ਸੁਰੱਖਿਆ ਸਵਾਲ',
		Question: 'ਰਾਜ਼ ਸਵਾਲ ਚੁਣੋ ',
		Answer:'ਗੁਪਤ ਜਵਾਬ ',
	},

	ChangeSecQuestions:{
		Title:'ਸੁਰੱਖਿਆ ਬਦਲੋ ਸਵਾਲ',
	},
	ChangeSecQuestionsSuccess:{
		Title:'ਬਦਲੋ ਸੁਰੱਖਿਆ ਸਵਾਲ - ਸਫਲਤਾ',
		Status:'ਤੁਹਾਨੂੰ ਸਫਲਤਾ ਨਾਲ ਆਪਣੇ ਗੁਪਤ ਸਵਾਲ ਅਤੇ ਆਪਣੇ ਜਵਾਬ ਨੂੰ ਅੱਪਡੇਟ ਕੀਤਾ ਹੈ.',
	}
};

//Urdu
var translations_ur = {
	//Leaf Name = RegistrationLanding
	registrationLanding : {
		Welcome:'موبائل بینکنگ رجسٹریشن میں خوش آمدید',
		Line1:'آپ کو اس سہولت کا استعمال کرنے کے لئے شروع کرنے سے پہلے آپ کے آلے میں رجسٹر ہوں اور اپنے موبائل بینکنگ تصدیق اسناد قائم کرنے کی ضرورت.',
		Line2:'اس آلہ کے موبائل نمبر (کثیر سم آلات کے معاملے میں پرائمری سم کارڈ) بینک کے ساتھ آپ کا رجسٹرڈ موبائل نمبر پر ایک ہی ہے کہ براہ کرم یقینی بنائیں .',
		Line3:'اپنی شناخت قائم کرنے کے لئے ، آپ کو یا تو آپ کے اکاؤنٹ کے لئے خالص بینکاری تصدیق اسناد یا آپ ڈیبٹ کارڈ فراہم کرنے کے لئے کی ضرورت ہو گی.',
		Line4:'رجسٹریشن کے بعد ، آپ کو صرف اس آلہ سے موبائل بینکاری تک رسائی حاصل کر سکتے ہیں . اگر آپ مستقبل میں آپ کے آلے کو تبدیل کرنا چاہتے صورت میں ، آپ کو نئے آلے سے دوبارہ اندراج کی ضرورت ہو گی .',
		iAgree:'میں نے ویب سائٹ میں ذکر کیا شرائط و ضوابط سے اتفاق کرتا ہوں',
	},
	registration:{
		Title1:'منتخب کسٹمر میں ڈی یا اکاؤنٹ نمبر',
		Title2:'کسٹمر کی شناخت',
		Title3:'اکاؤنٹ نمبر',
		Title4:'12 عددی کسٹمر میں ڈی یا اکاؤنٹ نمبر درج کریں',
		Title5:'یہاں نمبر درج کریں',
		Title6:'ایک رجسٹریشن اختیار کو منتخب کریں ',
		Title7:'خالص بینکاری',
		Title8:'ڈیبٹ کارڈ',
	},
	ValidateMobile : {
		ValidateMobileNo:'موبائل کوئی توثیق',
	},
	registrationDebitCard:{
		Header:'ڈیبٹ کارڈ کی تفصیلات',
		DCLabel:'ڈیبٹ کارڈ نمبر',
		PINLabel:'پن',
		ExpLabel:'ختم ہونے مہینہ',
		ExpYr:'ختم ہونے کی سال',
	},
	debitPinSetup:{
		Header:'موبائل بینکنگ رجسٹریشن',
		CurrentLoginPin :'موجودہ لاگ ان پن',
		CurrentTransactionPin :'موجودہ ٹرانزیکشن پن',
		NewLoginPin:'نیا لاگ ان پن',
		NewLoginPinAlias:'نیا لاگ ان پن (کم از کم 6 ہندسوں)',
		ConfirmLoginPin:'لاگ ان پن کی توثیق کریں',
		ConfirmLoginPinAlias:'تصدیق لاگ ان پن (کم از کم 6 ہندسوں)',
		NewTransactionPin:'نئے سودے پن',
		NewTransactionPinAlias:'نئے سودے پن (کم از کم 6 ہندسوں)',
		ConfirmTransactionPin:'ٹرانزیکشن پن کی توثیق کریں',
		ConfirmTransactionPinAlias:'تصدیق ٹرانزیکشن پن (کم از کم 6 ہندسوں)',
		PleaseNote : 'براہ مہربانی نوٹ کریں',
		NumericValue :' -اپنا پن کے لئے ایک 6 عددی عددی قیمت درج کریں.' ,
		SameConsecutiveDigits:'- یہ زیادہ سے زیادہ 2 مسلسل ہندسوں اسی ( مثال کے طور پر 122287 یا 186333 ) نہیں کر سکتے ہیں',
		ConsecutiveDigitsSequence:'- یہ تسلسل میں زیادہ سے زیادہ 2 مسلسل ہندسوں ( مثال کے طور پر 123845 یا 987253 ) نہیں کر سکتے ہیں',
		SameGroupDigits : '-یہ 2 ہندسوں کے اسی گروپ سے زیادہ 2 بار (مثلا 121212 یا 989898 ) دہرانے پر مشتمل نہیں کر سکتے ہیں',
	},
	RegistrationCompletion :{
		Congratulations:'مبارک ہو',
		SuccessfullyComplete:'آپ نے کامیابی سے موبائل بینکنگ رجسٹریشن کے عمل مکمل کر لیا ہے.',
		LoginLink:'اپنے موبائل بینکنگ کی سہولت کا استعمال کرتے ہوئے شروع کرنے کے لئے ذیل میں لاگ ان لنک پر کلک کریں براہ مہربانی.',
	},
	RegistrationNetbanking :{
		NetBankingCredentials :'خالص بینکاری اسناد',
		UserId : ' صارف کی شناخت',
		Password :'پاس ورڈ',	
	},
	NBPinSetup:{
		Header:'پن سیٹ اپ',
		NewLoginPin:'نیا لاگ ان پن',
		NewLoginPinAlias:'نیا لاگ ان پن (کم از کم 6 ہندسوں)',
		ConfirmLoginPin:'لاگ ان پن کی توثیق کریں',
		ConfirmLoginPinAlias:'تصدیق لاگ ان پن (کم از کم 6 ہندسوں)',
		NewTransactionPin:'نئے سودے پن',
		NewTransactionPinAlias:'نئے سودے پن (کم از کم 6 ہندسوں)',
		ConfirmTransactionPin:'ٹرانزیکشن پن کی توثیق کریں',
		ConfirmTransactionPinAlias:'تصدیق ٹرانزیکشن پن (کم از کم 6 ہندسوں)',
		PleaseNote : 'براہ مہربانی نوٹ کریں',
		NumericValue :' - اپنا پن کے لئے ایک 6 عددی عددی قیمت درج کریں.' ,
		SameConsecutiveDigits:'- یہ زیادہ سے زیادہ 2 مسلسل ہندسوں اسی ( مثال کے طور پر 122287 یا 186333 ) نہیں کر سکتے ہیں',
		ConsecutiveDigitsSequence:'- یہ تسلسل میں زیادہ سے زیادہ 2 مسلسل ہندسوں ( مثال کے طور پر 123845 یا 987253 ) نہیں کر سکتے ہیں',
		SameGroupDigits : '- یہ 2 ہندسوں کے اسی گروپ سے زیادہ 2 بار (مثلا 121212 یا 989898 ) دہرانے پر مشتمل نہیں کر سکتے ہیں',
	},
	NBRegistrationCompletion :{
		Congratulations:'مبارک ہو',
		SuccessfullyComplete:'آپ نے کامیابی سے موبائل بینکنگ رجسٹریشن کے عمل مکمل کر لیا ہے .',
		LoginLink:'اپنے موبائل بینکنگ کی سہولت کا استعمال کرتے ہوئے شروع کرنے کے لئے ذیل میں لاگ ان لنک پر کلک کریں براہ مہربانی.',
	},
	ForgotPinScreen1 :{
		ResetOption :' ایک ری سیٹ کا اختیار منتخب کریں',
		Netbanking :'خالص بینکاری',
		DebitCard:'ڈیبٹ کارڈ',
	},
	ForgotPINDebitCard:{
		Title:'پن کریں - ڈیبٹ کارڈ',
		DebitCardNumber :'ڈیبٹ کارڈ نمبر',
		Pin:'پن',
		ExpiryMonth:'ختم ہونے مہینہ',
		ExpiryYear : 'ختم ہونے کی سال',
	},
	ForgotPINNetbanking:{
		Title : 'پن کریں - خالص بینکاری',
		UserId :'صارف کی شناخت',
		Password : 'پاس ورڈ',	
	},
	DebitForgotPinSetup:{
		Title : 'پن دوبارہ مرتب کریں',
		ChangeLoginPin :'پیج لاگ ان پن',
		NewLoginPin:'نیا لاگ ان پن',
		NewLoginPinAlias:'نیا لاگ ان پن (کم از کم 6 ہندسوں)',
		ConfirmLoginPin:'لاگ ان پن کی توثیق کریں',
		ConfirmLoginPinAlias:'تصدیق لاگ ان پن (کم از کم 6 ہندسوں)',
		ChangeTransactionPin :'پیج ٹرانزیکشن پن',
		NewTransactionPin:'نئے سودے پن',
		NewTransactionPinAlias:'نئے سودے پن (کم از کم 6 ہندسوں)',
		ConfirmTransactionPin:'ٹرانزیکشن پن کی توثیق کریں',
		ConfirmTransactionPinAlias:'تصدیق ٹرانزیکشن پن (کم از کم 6 ہندسوں)',
		PleaseNote : 'براہ مہربانی نوٹ کریں',
		NumericValue :' -اپنا پن کے لئے ایک 6 عددی عددی قیمت درج کریں.' ,
		SameConsecutiveDigits:'- یہ زیادہ سے زیادہ 2 مسلسل ہندسوں اسی ( مثال کے طور پر 122287 یا 186333 ) نہیں کر سکتے ہیں',
		ConsecutiveDigitsSequence:'-ہ تسلسل میں زیادہ سے زیادہ 2 مسلسل ہندسوں ( مثال کے طور پر 123845 یا 987253 ) نہیں کر سکتے ہیں',
		SameGroupDigits : '- یہ 2 ہندسوں کے اسی گروپ سے زیادہ 2 بار (مثلا 121212 یا 989898 ) دہرانے پر مشتمل نہیں کر سکتے ہیں',
	},
	NBForgotPinSetup:{
		Title : 'پن دوبارہ مرتب کریں',
		ChangeLoginPin :'پیج لاگ ان پن',
		NewLoginPin:'نیا لاگ ان پن',
		NewLoginPinAlias:'نیا لاگ ان پن (کم از کم 6 ہندسوں)',
		ConfirmLoginPin:'لاگ ان پن کی توثیق کریں',
		ConfirmLoginPinAlias:'تصدیق لاگ ان پن (کم از کم 6 ہندسوں)',
		ChangeTransactionPin :'پیج ٹرانزیکشن پن',
		NewTransactionPin:'نئے سودے پن',
		NewTransactionPinAlias:'نئے سودے پن (کم از کم 6 ہندسوں)',
		ConfirmTransactionPin:'ٹرانزیکشن پن کی توثیق کریں',
		ConfirmTransactionPinAlias:'تصدیق ٹرانزیکشن پن (کم از کم 6 ہندسوں)',
		PleaseNote : 'براہ مہربانی نوٹ کریں',
		NumericValue :' - اپنا پن کے لئے ایک 6 عددی عددی قیمت درج کریں.' ,
		SameConsecutiveDigits:'- یہ زیادہ سے زیادہ 2 مسلسل ہندسوں اسی ( مثال کے طور پر 122287 یا 186333 ) نہیں کر سکتے ہیں',
		ConsecutiveDigitsSequence:'- یہ تسلسل میں زیادہ سے زیادہ 2 مسلسل ہندسوں ( مثال کے طور پر 123845 یا 987253 ) نہیں کر سکتے ہیں',
		SameGroupDigits : '- یہ 2 ہندسوں کے اسی گروپ سے زیادہ 2 بار (مثلا 121212 یا 989898 ) دہرانے پر مشتمل نہیں کر سکتے ہیں',
	},
	DBForgotPINCompletion:{
		Congratulations:'مبارک ہو',
		SuccessfullyComplete:'اپنا پن کامیابی ری سیٹ کر دیا گیا ہے .',
		LoginLink:'اپنے موبائل بینکنگ کی سہولت کا استعمال کرتے ہوئے شروع کرنے کے لئے ذیل میں لاگ ان لنک پر کلک کریں .',
	},
	NBForgotPINCompletion :{
		Congratulations:'مبارک ہو',
		SuccessfullyComplete:'اپنا پن کامیابی ری سیٹ کر دیا گیا ہے .',
		LoginLink:'اپنے موبائل بینکنگ کی سہولت کا استعمال کرتے ہوئے شروع کرنے کے لئے ذیل میں لاگ ان لنک پر کلک کریں براہ مہربانی.',
	},
	ReLogin:{
		Title : 'خوش آمدید',
		LoginLabel : 'لاگ ان کرنے کے لئے اپنے پن درج کریں',
		LoginLabelAlias:'پنے لاگ ان پن درج کریں',
		ForgotPin : 'پن بھول گئے',
		Register : 'رجسٹر',
		Version :'ورژن',
	},
	Menu:{
		LastLoginTime: 'آخری ہی میں :',
		TermDeposite :'ٹرم ڈپازٹ',
		TransactionAccounts :'ٹرانزیکشن اکاؤنٹس',
		Transfers :'منتقلی',
		Services : 'خدمات',
		Cards :'کارڈ',
		Profile :'پروفائل',
		ContactUs:'ہم سے رابطہ کریں',
	},
	AccountList :{
		AvailableBalance :'دستیاب بیلنس:',
		CashCreditAccount :'کیش کریڈٹ اکاؤنٹ کی فہرست',
		CurrentBalance:'موجودہ توازن:',
		LoanAccount :'قرض کے اکاؤنٹ',
	},
	SavCurrAccDetailScreen:{
		Product :'مصنوعات:',
		AvailableBalance :'دستیاب بیلنس',
		CurrentBalance:'موجودہ توازن',
		UnclearFunds :' غیر کلیئر شدہ فنڈز',
		FundsOnHold :'ہولڈ پر فنڈز',
		Last5Trans :'آخری 5 معاملات',
		DetailStatement:'تفصیلا بیان',
		TransferOwnAccount :'اکاؤنٹ کے مالک پر ٹرانسفر کریں',
		TransferThirdPartyWithinBank :'بینک کے اندر تیسری پارٹی کو منتقلی',
		TransferThirdPartyOtherBank:'تیسرے فریق دوسرے بینک میں منتقل',
		ImpsToMobile :' موبائل اور ایم ایم ڈی کرنے میں P ایس ایم کے',
	},
	CashCreditDetailScreen:{
		Product :'مصنوعات:',
		CreditLimit :'ادھار کی حد',
		AvailableBalance :'دستیاب بیلنس',
		CurrentBalance:'موجودہ توازن',
		UnclearFunds :' غیر کلیئر شدہ فنڈز',
		AvailableCredit :'دستیاب کریڈٹ',
		TotalAmountDue :'کل رقم کی وجہ سے',
		InterestRate :'سود کی شرح',
		Last5Trans :'آخری 5 معاملات',
		DetailStatement:'تفصیلا بیان',
	},
	LoanDetailScreen:{
		Product :'مصنوعات:',
		CreditLimit :'ادھار کی حد',
		AvailableBalance :'دستیاب بیلنس',
		CurrentBalance:'موجودہ توازن',
		OpeningDate :' افتتاحی تاریخ',
		MaturityDate:'پختگی کی تاریخ',
		AvailableCredit :'دستیاب کریڈٹ',
		TotalAmountDue :'کل رقم کی وجہ سے',
		InterestRate :'سود کی شرح',
		Last5Trans :'آخری 5 معاملات',
		DetailStatement:'تفصیلا بیان',
	},
	DepositMenu:{
		ViewDeposits :'لنک ڈپازٹس',
		NewRecurringDeposite :'نئی مکرر ڈپازٹ',
		NewRegularIncome:'نئی باقاعدہ آمدنی جمع',
		NewReinvestment :'نیا پنرنیویش ڈپازٹ',
	},
	RegularIncomeDeposit:{
		Header:'نئی باقاعدہ آمدنی جمع',
		Scheme :'سکیم',
		FromAccount :'اکاؤنٹ سے',
		Amount :'رقم',
		PeriodofDeposit:'ڈپازٹ کی مدت: M ایک ایکس ٹی ای آر ایم دن',
		PeriodofDepositYears:'ڈپازٹ سال کی مدت',
		PeriodofDepositMonths:'ڈپازٹ ماہ کی مدت',
		PeriodofDepositDays:'ڈپازٹ دن کی مدت',
		InterestPaymentFrequency:'سود کی ادائیگی فریکوئینسی',
		AccounttoCreditInterest:'کریڈٹ دلچسپی اکاؤنٹ',
		MaturityInstructions:'پرپکوتا ہدایات',
		'Automatically Renew':'خود بخود تجدید',
		InterestPaymentOption:'سود کی ادائیگی کا اختیار',
		AccountToCreditMaturityAmount:'پرپکوتا کی گئی رقم کریڈٹ اکاؤنٹ',
		TransactionRemarks:'ٹرانزیکشن ریمارکس',
		NomineeRequired:'امیدوار مطلوب',
	},
	PIDConfWONom:{
		Header:'کھولیں ڈپازٹ - تصدیق',
		Scheme :'سکیم',
		FromAccount :'اکاؤنٹ سے',
		Amount :'رقم',
		PeriodofDeposit:'ڈپازٹ کی مدت ',
		PeriodofDepositYears:'ڈپازٹ سال کی مدت',
		PeriodofDepositMonths:'ڈپازٹ ماہ کی مدت',
		PeriodofDepositDays:'ڈپازٹ دن کی مدت',
		InterestPaymentOption:'سود کی ادائیگی کا اختیار',
		AccounttoCreditInterest:'کریڈٹ دلچسپی اکاؤنٹ',
		MaturityInstructions:'پرپکوتا ہدایات',
		AccountToCreditMaturityAmount:'پرپکوتا کی گئی رقم کریڈٹ اکاؤنٹ',
		TransactionRemarks:'ٹرانزیکشن ریمارکس',
		NomineeRequired:'امیدوار مطلوب',
		Narration:'روایت',
		InterestRate:'سود کی شرح',
		MaturityDate:' پختگی کی تاریخ',
		MaturityValue:'پرپکوتا ویلیو',
		TransactionPin:'ٹرانزیکشن پن',
	},
	PIDConfWONomSuceess:{
		Header:'ریگولر انکم جمع - کامیابی',
		AccountNo :'آپ کی جمع ایک / سی نمبر ہے ',
	},
	PIDNomineeDetails:{
		Header:'امیدوار کی تفصیلات',
		NomineeAddressLine1:'امیدوار ایڈریس لائن 1',
		NomineeAddressLine2:'امیدوار ایڈریس لائن 2',
		NomineeAddressLine3 :'امیدوار ایڈریس لائن 3',
		NomineeAddressLine4 :'امیدوار ایڈریس لائن 4',
		NomineeAge :'(سال میں) امیدوار عمر',
	},
	PIDNomineeMinorDetails :{
		Header:'امیدوار کی تفصیلات',
		RelationshipWithCustomer :'گاہکوں کے ساتھ تعلقات',
		DisplayNomineeName :'ڈسپلے امیدوار کا نام',
		IsNomineeMinor:'امیدوار معمولی ہے',
		NomineeisMinor:'امیدوار معمولی ہے',
		GuardianNameforNominee:'امیدوار کے لئے سرپرست کا نام :',
		GuardianName:'سرپرست کا نام',
	},
	PIDConfWithNom:{
		Header:'کھولیں ڈپازٹ - تصدیق',
		Scheme :'سکیم',
		FromAccount :'اکاؤنٹ سے',
		Amount :'رقم',
		PeriodofDeposit:'ڈپازٹ کی مدت ',
		PeriodofDepositYears:'ڈپازٹ سال کی مدت',
		PeriodofDepositMonths:'ڈپازٹ ماہ کی مدت',
		PeriodofDepositDays:'ڈپازٹ دن کی مدت',
		InterestPaymentOption:'سود کی ادائیگی کا اختیار',
		AccounttoCreditInterest:'کریڈٹ دلچسپی اکاؤنٹ',
		MaturityInstructions:'پرپکوتا ہدایات',
		AccountToCreditMaturityAmount:'پرپکوتا کی گئی رقم کریڈٹ اکاؤنٹ',
		TransactionRemarks:'ٹرانزیکشن ریمارکس',
		NomineeRequired:'امیدوار مطلوب',
		Narration:'روایت',
		InterestRate:'سود کی شرح',
		MaturityDate:'پختگی کی تاریخ',
		MaturityValue:'پرپکوتا ویلیو',
		TransactionPin:'ٹرانزیکشن پن',
		NomineeAddressLine1:'امیدوار ایڈریس 1:',
		NomineeAddressLine2:'امیدوار ایڈریس 2:',
		NomineeAddressLine3 :'امیدوار ایڈریس 3:',
		NomineeAddressLine4 :'امیدوار ایڈریس 4:',
		NomineeAge :'امیدوار عمر:',
		RelationshipWithCustomer :'گاہکوں کے ساتھ تعلقات:',
		DisplayNomineeName :'ڈسپلے امیدوار کا نام:',
		IsNomineeMinor:'امیدوار معمولی ہے :',
		NomineeisMinor:'امیدوار معمولی ہے',
		GuardianNameforNominee:'امیدوار کے لئے سرپرست کا نام:',
		GuardianName:'سرپرست کا نام',
		NomineeName:'امیدوار کا نام',
		NominationDetails:'نامزدگی کی تفصیلات (دیکھنے کے لئے کلک کریں)',
		TransactionPin:'ٹرانزیکشن پن',
		TransactionPinAlias:'آپ کی ٹرانزیکشن کی پن درج کریں',
	},
	PIDConfWithNomSuccess:{
		Header:'ریگولر انکم جمع - کامیابی',
		AccountNo :'آپ کی جمع ایک سی نمبر ہے',
	},
	ReinvestmentDeposit:{
		Header:' نیا پنرنیویش ڈپازٹ',
		Scheme :'سکیم',
		FromAccount :'اکاؤنٹ سے',
		Amount :'رقم',
		PeriodofDeposit:'ڈپازٹ کی مدت ',
		PeriodofDepositYears:'ڈپازٹ سال کی مدت',
		PeriodofDepositMonths:'ڈپازٹ ماہ کی مدت',
		PeriodofDepositDays:'ڈپازٹ دن کی مدت',
		InterestPaymentFrequency:'سود کی ادائیگی فریکوئینسی',
		InterestPaymentOption:'سود کی ادائیگی کا اختیار',
		AccounttoCreditInterest:'کریڈٹ دلچسپی اکاؤنٹ',
		MaturityInstructions:'پرپکوتا ہدایات',
		AccountToCreditMaturityAmount:'پرپکوتا کی گئی رقم کریڈٹ اکاؤنٹ',
		TransactionRemarks:'ٹرانزیکشن ریمارکس',
		NomineeRequired:'امیدوار مطلوب',
		Narration:'روایت',
		InterestRate:'سود کی شرح',
		MaturityDate:' پختگی کی تاریخ',
		MaturityValue:'پرپکوتا ویلیو',
		TransactionPin:'ٹرانزیکشن پن',
		AtMaturity:'پختگی پر',
		RemainonDeposit:'ڈپازٹ پر رہیں',
		'Automatically Renew':'خود بخود تجدید',
		Narrative :'وضاحتی',
	},
	ReInvstConfWONom:{
		Header:'کھولیں ڈپازٹ - تصدیق',
		Scheme :'سکیم',
		FromAccount :'اکاؤنٹ سے',
		Amount :'رقم',
		PeriodofDeposit:'ڈپازٹ کی مدت',
		PeriodofDepositYears:'ڈپازٹ سال کی مدت',
		PeriodofDepositMonths:'ڈپازٹ ماہ کی مدت',
		PeriodofDepositDays:'ڈپازٹ دن کی مدت',
		InterestPaymentFrequency:'سود کی ادائیگی فریکوئینسی',
		InterestPaymentOption:'سود کی ادائیگی کا اختیار',
		AccounttoCreditInterest:'کریڈٹ دلچسپی اکاؤنٹ',
		MaturityInstructions:'پرپکوتا ہدایات',
		AccountToCreditMaturityAmount:'پرپکوتا کی گئی رقم کریڈٹ اکاؤنٹ',
		TransactionRemarks:'ٹرانزیکشن ریمارکس',
		NomineeRequired:'امیدوار مطلوب',
		Narration:'روایت',
		InterestRate:'سود کی شرح',
		MaturityDate:'پختگی کی تاریخ',
		MaturityValue:'پرپکوتا ویلیو',
		TransactionPin:'ٹرانزیکشن پن',
		AtMaturity:'پختگی پر',
		RemainonDeposit:'ڈپازٹ پر رہیں',
		'Automatically Renew':'خود بخود تجدید',
		Narrative :'وضاحتی',
		TransactionPin:'ٹرانزیکشن پن',
		TransactionPinAlias:'آپ کی ٹرانزیکشن کی پن درج کریں',
	},
	ReInvstWONomSuccess :{
		Header: 'نیا پنرنیویش جمع - کامیابی',
		AccountNo :'آپ کی جمع ایک سی نمبر ہے',	
	},
	RINomineeDetails :{
		Header:'امیدوار کی تفصیلات',
		NomineeName: "امیدوار کا نام",
		Name:'نام',
		NomineeAddressLine1:'امیدوار ایڈریس لائن 1',
		AddressLine1 :'پتہ لائن 1',
		NomineeAddressLine2:'امیدوار ایڈریس لائن 2',
		AddressLine2 :'پتہ لائن 2',
		NomineeAddressLine3 :'امیدوار ایڈریس کی سطر نمبر 3',
		AddressLine3 :'ایڈریس کی سطر نمبر 3',
		NomineeAddressLine4 :'امیدوار ایڈریس کی سطر نمبر 4',
		AddressLine4 :'ایڈریس کی سطر نمبر 4',
		NomineeAge :'(سال میں) امیدوار عمر',
		Age:'عمر',
	},
	RINomineeMinorDetails:{
		Header:' امیدوار کی تفصیلات',
		NomineeAge :'امیدوار عمر:',
		RelationshipWithCustomer :'گاہکوں کے ساتھ تعلقات :',
		DisplayNomineeName :'ڈسپلے امیدوار کا نام :',
		IsNomineeMinor:'امیدوار معمولی ہے :',
		NomineeisMinor:'امیدوار معمولی ہے',
		GuardianNameforNominee:'امیدوار معمولی ہے:',
		GuardianName:'گارڈین',
		NomineeName:'امیدوار کا نام',
		NominationDetails:'نامزدگی کی تفصیلات (دیکھنے کے لئے کلک کریں)',
		TransactionPin:'ٹرانزیکشن پن',
		TransactionPinAlias:'آپ کی ٹرانزیکشن کی پن درج کریں',
	},
	NomineeMaturityDetails:{
		Header:'کھولیں ڈپازٹ - تصدیق',
		Scheme :'سکیم',
		FromAccount :'اکاؤنٹ سے',
		Amount :'رقم',
		PeriodofDeposit:'ڈپازٹ کی مدت ',
		PeriodofDepositYears:'ڈپازٹ سال کی مدت',
		PeriodofDepositMonths:'ڈپازٹ ماہ کی مدت',
		PeriodofDepositDays:'ڈپازٹ دن کی مدت',
		InterestPaymentFrequency:'سود کی ادائیگی فریکوئینسی',
		InterestPaymentOption:'سود کی ادائیگی کا اختیار',
		AccounttoCreditInterest:'کریڈٹ دلچسپی اکاؤنٹ',
		MaturityInstructions:'پرپکوتا ہدایات',
		AccountToCreditMaturityAmount:'پرپکوتا کی گئی رقم کریڈٹ اکاؤنٹ',
		TransactionRemarks:'ٹرانزیکشن ریمارکس',
		NomineeDetails:' امیدوار کی تفصیلات',
		NomineeRequired:'امیدوار مطلوب',
		NomineeName:'امیدوار کا نام',
		Name:'نام',
		RelationshipWithCustomer :'گاہکوں کے ساتھ تعلقات:',
		DisplayNomineeName :'ڈسپلے امیدوار کا نام:',
		IsNomineeMinor:'امیدوار معمولی ہے :',
		NomineeisMinor:'امیدوار معمولی ہے',
		GuardianNameforNominee:'امیدوار کے لئے سرپرست کا نام:',
		GuardianName:'گارڈین',
		NominationDetails:'نامزدگی کی تفصیلات (دیکھنے کے لئے کلک کریں)',
		NomineeAddressLine1:'امیدوار ایڈریس لائن 1',
		AddressLine1 :'پتہ لائن 1',
		NomineeAddress1:'امیدوار ایڈریس 1:',
		NomineeAddressLine2:'امیدوار ایڈریس لائن 2',
		AddressLine2 :'پتہ لائن 2',
		NomineeAddress2:'امیدوار ایڈریس 2:',
		NomineeAddressLine3 :'امیدوار ایڈریس لائن 3',
		NomineeAddress3 :'امیدوار ایڈریس 3:',
		AddressLine3 :'پتہ لائن 3',
		NomineeAddressLine4 :'امیدوار ایڈریس لائن 4',
		AddressLine4 :'پتہ لائن 4',
		NomineeAddress4 :'امیدوار ایڈریس 4:',
		NomineeAge :'امیدوار عمر ',
		NomineeAgeInYears :'(سال میں) امیدوار عمر',
		Age:'عمر',
		Narration:'روایت',
		InterestRate:'سود کی شرح',
		MaturityDate:' پختگی کی تاریخ',
		MaturityValue:'پرپکوتا ویلیو',
		TransactionPin:'ٹرانزیکشن پن',
		AtMaturity:'پختگی پر',
		RemainonDeposit:'ڈپازٹ پر رہیں',
		'Automatically Renew':'خود بخود تجدید',
		Narrative :'وضاحتی',
		TransactionPinAlias:'آپ کی ٹرانزیکشن کی پن درج کریں',
	},
	RIConfWithNomSuccess :{
		Header: 'نیا پنرنیویش جمع - کامیابی',
		AccountNo :'آپ کی جمع ایک سی نمبر ہے',	
	},
	NewRecurringDeposit :{
		Header: 'نئی مکرر ڈپازٹ',
		InterestRateLink: 'دیکھیں شرح سود',
		RecurringDepositFrequency :'مکرر ڈپازٹ فریکوئینسی',	
		PreferredDateForInstallment :'قسط ڈیبٹ کے لئے ترجیح تاریخ',	
	},
	NRDConfWithNom :{
		RecurringDepositFrequency :'مکرر ڈپازٹ فریکوئینسی',
		Monthly :'ماہانہ',
		InstallmentDebitDay :'قسط ڈیبٹ دن',
	},
	NRDConfWONom :{
		RecurringDepositFrequency :'مکرر ڈپازٹ فریکوئینسی',
		Monthly :'ماہانہ',
		InstallmentDebitDay :'قسط ڈیبٹ دن',
	},
	NRDConfWONomSuccess :{
		Header: 'نیا پنرنیویش جمع - کامیابی',
		AccountNo :'آپ کی جمع ایک سی نمبر ہے',	
	},
	NRDConfWithNomSuccess :{
		Header: 'نیا پنرنیویش جمع - کامیابی',
		AccountNo :'آپ کی جمع ایک سی نمبر ہے',	
	},
	DepositList:{
		RecurringDeposits: 'مکرر ڈپازٹس',
		InstallmentAmount: 'قسط رقم:',
		DepositAmount:'جمع رقم :',
		ReinvestmentDeposits :'پنرنیویش ڈپازٹس',
		RegularIncomeDeposits:'ریگولر انکم ڈپازٹس',
	},
	RDDetailScreen :{
		Product:'مصنوعات',
		InstallmentAmount:'قسط رقم',
		CurrentBalance :'موجودہ توازن',
		OpeningDate :'افتتاحی تاریخ',
		MaturityAmount:'پرپکوتا رقم',
		Last5Trans :'آخری 5 معاملات',
		DetailStatement :'تفصیلا بیان',
		CloseAccount :'اکاؤنٹ بند کریں',
	},
	ReInvtDetailScreen :{
		Product:'مصنوعات',
		InstallmentAmount:'قسط رقم',
		CurrentBalance :'موجودہ توازن',
		OpeningDate :'افتتاحی تاریخ',
		MaturityAmount:'پرپکوتا رقم',
		Last5Trans :'آخری 5 معاملات',
		DetailStatement :'تفصیلا بیان',
		CloseAccount :'اکاؤنٹ بند کریں',
	},
	RequestDetailDepositStmt:{
		DetailedStatement:'تفصیلا بیان',
		SelectAccount:'اکاؤنٹ منتخب کریں',
		FromDate:'تاریخ سے',
		ToDate:'تاریخ کرنے کے لئے',
	},
	DetailDepositStatement :{
		AccountNo :'اکاؤنٹ نمبر',
		Narration :'روایت',
	},
	CloseDepositReq :{
		CloseDeposit :'بند ڈپازٹ',
		SelectFDAccount:'یفڈی اکاؤنٹ منتخب کریں',
		SelectFundTransferAccount:'منتخب فنڈ ٹرانسفر اکاؤنٹ',
		Narrative:'وضاحتی',
	},
	CloseDepositConfirmation :{
		Header:'بند ڈپازٹ - تصدیق',
		RedemptionAmount:'موچن رقم',
		PenaltyAmount:'عذاب رقم',
		FDAccount:'یفڈی اکاؤنٹ',
		ToAccount:'اکاؤنٹ',
		Narration :'روایت',
	},
	CloseDepositSuccess:{
		Header :'بند ڈپازٹ - کامیابی',
		DepositclosureSuccessful:'ڈپازٹ بندش کامیاب',
	},
	TransferMenu:{
		ManageBeneficiaries:'مستفید ہونے کا انتظام',	
		TransferBetweenOwnAccounts :'اپنے اکاؤنٹس کے درمیان منتقلی',
		TransferThirdPartyWithinBank:'بینک کے اندر تیسری پارٹی کو منتقلی',
		TransferDifferentBank :'تیسری پارٹی کے دوسرے بینک میں منتقل',
		ImmediatePaymentService:'فوری طور پر ادائیگی سروس ( میں P ایس ایم کے )'
	},
	IMPSMenu:{
		GenerateMMID:'/ ایم ایم ڈی بازیافت پیدا',
		CancelMMID :'ایم ایم ڈی منسوخ',
		TransferMMID :'ایم ایم ڈی کا استعمال کرتے ہوئے کی منتقلی',
	},
	GenerateMMID:{
		Account : 'اکاؤنٹ',
		MobileNo:'موبائل نمبر',
	},
	GenerateMMIDConf:{
		MMIDText :'ایم ایم ڈی (موبائل منی شناخت ) میں P ایس ایم کے P2P منتقلی کی قسم کے ذریعے آپ کے اکاؤنٹ میں فنڈز حاصل کرنے کے لئے پیدا کیا جا کرنے کی ضرورت ایک بار کوڈ آن ہے.'
	},
	GenerateMMIDSucc :{
		Header:'ایم ایم ڈی بازیافت / بنائیں - کامیابیs',
		MMID :'ایم ایم ڈی',
		linkAccount :'اکاؤنٹ سے منسلک کر دیا گیا ہے',
	},
	CancelMMIDConf:{
		Header :'ایم ایم ڈی منسوخ - توثیق',
		CancelMMIDText :'تم ایم ایم ڈی کی منسوخی کے بعد ایم ایم ڈی ذریعے اس کے اکاؤنٹ کو پیسے حاصل کرنے کے لئے نہیں کر سکیں گے',
		GenerateMMIDText :"اس اکاؤنٹ کے لئے ایم ایم ڈی پیدا کرنے کے لئے ، روانگی بر پیدا / ایم ایم ڈی بازیافت کریں",
		MultipleMMIDText :'ایک سے زیادہ ایم ایم ڈی ایس اسی اکاؤنٹ نمبر کے لئے پیدا نہیں کیا جا سکتا',
	},
	CancelMMIDSucc :{
		Header:'ایم ایم ڈی منسوخ - کامیابی',
		MMIDLinkText:'ایم ایم ڈی اکاؤنٹ سے منسلک',
		CancelText:'منسوخ کر دیا گیا',
	},
	IMPSP2P :{
		Header :'وصول کرنے والے کے موبائل نہیں اور ایم ایم ڈی کو فنڈ ٹرانسفر',
		BeneficiaryMobileNo:'وصول کرنے والے کے موبائل نہیں',
		BeneficiaryMMID:'وصول کرنے والے ایم ایم ڈی',
		Remarks:'ریمارکس',
	},
	IMPSP2PConf :{
		Header :'میں پی ایس ایم کے پی 2 پی - پن کی توثیق',
		SecretQuestion :'خفیہ سوال',
	},
	IMPSP2PSucc :{
		Header :'فنڈ کی منتقلی - کامیابی',
		ReferenceNumber :'اپنا حوالہ نمبر ہے',
	},
	BenefMenu:{
		AddBeneficiaryWithinBank:'بینک کے اندر وصول شامل',
		AddBeneficiaryDifferentBank :'وصول کرنے والے مختلف بینک شامل',
		ViewBeneficiaryWithinBank:' بینک کے اندر دیکھیں / ترمیم کریں وصول',
		ViewBeneficiaryOtherBank:'لنک میں ترمیم کریں / وصول کرنے والے دیگر بینک',
	},
	AddBeneWithinBank :{
		Header :'نیا وصول شامل کریں - بینک کے اندر',
		BeneficiaryName:'وصول کرنے والے کا نام',
		NickName :'نک نام',
		FundTransferLimit:'فنڈ کی منتقلی کی حد',
		LimitMax:'حد ( زیادہ سے زیادہ)',
		AccountNo :'اکاؤنٹ کا نمبر',
		ConfirmAccountNo:'اکاؤنٹ نمبر کی توثیق کریں',
	},
	AddBeneWithinBankConf:{
		Header :'وصول کرنے والے کا اضافہ کریں - توثیق',
		AccountNameText :'بینک ریکارڈز کے مطابق نام اکاؤنٹ',
		Limit : 'حد',
	},
	AddBeneWithinBankConfSuccess :{
		Header :'نیا وصول شامل - کامیابی',
		BeneficiaryAddedLine1:'آپ کا نیا فائدہ اٹھانے والوں میں شامل کیا گیا ہے اور اس کے بعد چالو ہو جائے گا',
		BeneficiaryAddedLine2:'گھنٹے ، جس کے بعد آپ کو فنڈز کی منتقلی کے لئے استعمال کر سکتے ہیں . آپ صرف مسودہ دیکھ مستفید صفحے پر فائدہ اٹھانے کی حیثیت کی جانچ کر سکتے ہیں',
	},
	AddBeneInterBank :{
		Header :'نیا وصول شامل کریں - مختلف بینک',
		EmailId:'ای میل کی شناخت',
		Address:'پتہ',
		State :'ریاست',
		City :'شہر / ضلع',
		Pincode:'خفیہ نمبر',
	},
	AddBeneInterBankConf :{
		Header : 'وصول کرنے والے کا اضافہ کریں - توثیق',
		IFSC :'میں F ایس سی',
		BankName:'بینک کا نام',
		BranchName:'برانچ کا نام',
		Branch :'برانچ',
		Email:'ای میل',
		City:'شہر',
		Phone : 'فون',
		Bank :'بینک',
		BankBranch :'بنک کی شاخ',
	},
	AddBeneInterBankConfSuccess :{
		Header :'نیا وصول شامل - کامیابی',
	},
	SearchIFSC :{
		Header :'میں F ایس سی کوڈ حاصل کرنے کے لئے موڈ کا انتخاب کریں',
		IFSCcode:'میں F ایس C کوڈ',
		BankCodeCity :'بینک کوڈ اور شہر',
	},
	IFSCByCode:{
		EnterIFSCcode : 'میں F ایس سی کوڈ درج کریں'
	},
	IFSCByBankCity :{
		BankCode:'بینک کوڈ',
	},
	IFSCBankList :{
		IFSCList:'میں F ایس سی فہرست',
	},
	IntraBankBenList:{
		ActiveBeneficiaries:'ایکٹو مستفید',
		PendingBeneficiaries:'زیر غور مستفید',
	},
	IntraBankBenDetailActive:{	
		Status: 'سٹیٹس',
		Active :'ایکٹو',
		ModifyBeneficiary:'وصول کرنے والے میں ترمیم کریں',
		DeleteBeneficiary:'وصول کرنے والے حذف',
	},
	IntraBankBenDetailInActive:{
		PendingActivation:'زیر چالو',
	},
	ModifyBenWithinSuccess:{
		Header :'وصول کرنے والے پر نظر ثانی - کامیابی',
		BeneficiarySuccessText :'وصول کرنے والے کامیابی سے ترمیم کی گئی ہے',
	},
	DeleteBenWithinConf :{
		Header : 'وصول کرنے والے کو حذف کریں - توثیق',
	},
	DeleteBenWithinSuccess :{
		Header :'وصول کرنے والے کو حذف کریں - کامیابی',
		BeneficiaryDeletedText:'وصول کرنے والے کو کامیابی سے خارج',
	},
	ModifyBenInter:{
		BeneficiaryBank:'وصول کرنے والے کے بینک',
		BeneficiaryBankBranch:'وصول کرنے والے کے بینک کی شاخ',
	},
	ProfileMenu:{
		MyProfile:'میری پروفائل',
		ChangeLoginPin:'پیج لاگ ان پن',
		ChangeTransactionPin :'پیج ٹرانزیکشن پن',
	},
	MyProfile:{
		CustomerProfile:'کسٹمر پروفائل',
		Name :'نام',
		Mobile : 'موبائل',
		Email :'ای میل',
		Address : 'پتہ',
		City :'شہر',
		State :'ریاست',
		Country :'ملک',
		Zip :'زپ',
	},
	ChangeMPINConfirm :{
		Header :'لاگ ان پن تبدیل - کامیابی',
		LoginPinChangedText:'لاگ ان پن کو کامیابی سے تبدیل . لاگ ان دوبارہ کریں.'
	},
	ChangeTPINConfirm :{
		Header :'ٹرانزیکشن پن تبدیل - کامیابی',
		TransactionPinChangedText:'ٹرانزیکشن پن کو کامیابی سے تبدیل.'
	},
	ServicesMenu:{
		ChequeBookRequest:'چیک کتاب کی درخواست',
		ChequeStatusInquiry :'چیک کی حیثیت انکوائری',
		StopCheque :'سٹاپ چیک',
		Account :'اکاؤنٹ'
	},
	CBRConfirmation :{
		ChequeBookConfirmText :'چیک کتاب اکاؤنٹ کے لئے درخواست کی جائے گی',
		ChequeBookLine1 :'قابل اطلاق کے طور پر الزامات کو اپنے اکاؤنٹ میں لگایا جائے گا . الزامات پر تفصیلات کے لئے ، ESAF ویب سائٹ پر چارجز سیکشن ملاحظہ کیجیے',
		ChequeBookLine2 :' چیک کتاب 7 کاروباری دنوں کے اندر آپ کا رجسٹرڈ ای میل ایڈریس پر بھیج دیا جائے گا" style="use-all-width mwtDisclaimer' 
	},
	CBRSuccess :{
		Header :'چیک کتاب کی درخواست - کامیابی',
		RequestAccepted :'چیک بک کے لئے آپ کی درخواست کو قبول کر لیا گیا ہے',
	},
	CheckChqStatus:{
		ChequeStatus:'چیک کی حیثیت',
		ChequeNo:'چیک نہیں',
		StartChequeNo:'شروع چیک نہیں',
		EndChequeNo:'اختتام چیک نہیں',
		Status : 'سٹیٹس',
	},
	StopChqConfirmation :{
		Header : 'سٹاپ چیک - تصدیق',
	},
	RequestDetailAccStmt :{
		DetailedStatement:'تفصیلا بیان',
		AccountNo :'اکاؤنٹ کا نمبر',
		FromDate :'تاریخ سے',
		ToDate :'تاریخ کرنے کے لئے',
	},
	DetailAccountStatement :{
			Balance :'بیلنس',
	},
	FT2OwnAccount:{
		Header :'اپنے اکاؤنٹ کو فنڈ ٹرانسفر',
		ToAccount : 'اکاؤنٹ',
		Amount : 'رقم',
	},
	FTConfirmation :{
		Header : 'فنڈ کی منتقلی - تصدیق',
	},
	FTSuccess :{
		Header :'فنڈ کی منتقلی - کامیابی',
		ReferenceNumber : 'اپنا حوالہ نمبر ہے',
	},
	FT2OwnBeneficiary:{	
		Header :'بینک کے اندر تیسری پارٹی کو فنڈ ٹرانسفر',
		Beneficiary :'وصول کرنے والے',
	},
	FTConfirmBeneficary :{
		Header :'فنڈ کی منتقلی - تصدیق',
		BeneficiaryName :'وصول کرنے والے کا نام',
		BeneficiaryNickName:'وصول کرنے والے کا نام نک',
		BeneficiaryAccount:'وصول کرنے والے کے اکاؤنٹ',
	},
	FT2InterBankBen :{
		Header :' مختلف بینک میں تیسری پارٹی کو فنڈ ٹرانسفر',
		TransactionType :'ٹرانزیکشن کی قسم',
		TotalCharges :'کل فیس ( بشمول ٹیکس )',
	},
	ContactUs :{
		Header : 'ہم سے رابطہ کریں',
		ContactAddress :'بھارتیہ مہیلا بینک لمیٹڈ & # 10؛ 9th کے فلور ، آئیفسیآئ ٹاور ، & # 10؛ 61 ، نہرو پلیس ، & # 10؛ نئی دہلی - 110019',
		Phone :'فون',
		Email :'ای میل',
		Website :' ویب سائٹ',
	},
	CardList:{
		Header :'کارڈ',
	},
	CardDetailScreen :{
		LinkedAccountNo :'منسلک اکاؤنٹ نمبر',
		ExpiryDate :'خاتمے کی تاریخ',
		AvailableBalance:'دستیاب بیلنس',
		HotlistCard:'گرم، شہوت انگیز فہرست کارڈ',
	},
	HotListCardConf:{
		Header :'گرم، شہوت انگیز فہرست کارڈ - تصدیق',
		CardNo:'کارڈ نمبر',
	},
	HotListCardSuccess:{
		Header :' گرم، شہوت انگیز فہرست کارڈ - کامیابی',
		SuccessText:'کارڈ گرم، شہوت انگیز کامیابی سے درج',
	},
	MiniStatement:{
		Credit :'کریڈٹ',
		Debit :'v',
	},
	Settings:{
		Header:'زبان',
	},
	Language:{
		Header:'زبان تبدیل کریں',
		Settings:'ترتیبات',
	},
	LanguageSuccess :{
		Header:'آپ کی زبان تبدیل کر دیا گیا',
	},
	progressInfo:{
		ValidatinMobileProgress:'منظور . برائے مہربانی انتظار کریں...',
		Registering:'رجسٹر . برائے مہربانی انتظار کریں...',
		PleaseWait:'برائے مہربانی انتظار کریں...',
	},
};
